/* A Bison parser, made by GNU Bison 3.0.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2017, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 264 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTACH = 296,
    ATTRIBUTE = 297,
    AUTHORIZATION = 298,
    BACKWARD = 299,
    BEFORE = 300,
    BEGIN_P = 301,
    BETWEEN = 302,
    BIGINT = 303,
    BINARY = 304,
    BIT = 305,
    BOOLEAN_P = 306,
    BOTH = 307,
    BY = 308,
    CACHE = 309,
    CALLED = 310,
    CASCADE = 311,
    CASCADED = 312,
    CASE = 313,
    CAST = 314,
    CATALOG_P = 315,
    CHAIN = 316,
    CHAR_P = 317,
    CHARACTER = 318,
    CHARACTERISTICS = 319,
    CHECK = 320,
    CHECKPOINT = 321,
    CLASS = 322,
    CLOSE = 323,
    CLUSTER = 324,
    COALESCE = 325,
    COLLATE = 326,
    COLLATION = 327,
    COLUMN = 328,
    COLUMNS = 329,
    COMMENT = 330,
    COMMENTS = 331,
    COMMIT = 332,
    COMMITTED = 333,
    CONCURRENTLY = 334,
    CONFIGURATION = 335,
    CONFLICT = 336,
    CONNECTION = 337,
    CONSTRAINT = 338,
    CONSTRAINTS = 339,
    CONTENT_P = 340,
    CONTINUE_P = 341,
    CONVERSION_P = 342,
    COPY = 343,
    COST = 344,
    CREATE = 345,
    CROSS = 346,
    CSV = 347,
    CUBE = 348,
    CURRENT_P = 349,
    CURRENT_CATALOG = 350,
    CURRENT_DATE = 351,
    CURRENT_ROLE = 352,
    CURRENT_SCHEMA = 353,
    CURRENT_TIME = 354,
    CURRENT_TIMESTAMP = 355,
    CURRENT_USER = 356,
    CURSOR = 357,
    CYCLE = 358,
    DATA_P = 359,
    DATABASE = 360,
    DAY_P = 361,
    DEALLOCATE = 362,
    DEC = 363,
    DECIMAL_P = 364,
    DECLARE = 365,
    DEFAULT = 366,
    DEFAULTS = 367,
    DEFERRABLE = 368,
    DEFERRED = 369,
    DEFINER = 370,
    DELETE_P = 371,
    DELIMITER = 372,
    DELIMITERS = 373,
    DEPENDS = 374,
    DESC = 375,
    DETACH = 376,
    DICTIONARY = 377,
    DISABLE_P = 378,
    DISCARD = 379,
    DISTINCT = 380,
    DO = 381,
    DOCUMENT_P = 382,
    DOMAIN_P = 383,
    DOUBLE_P = 384,
    DROP = 385,
    EACH = 386,
    ELSE = 387,
    ENABLE_P = 388,
    ENCODING = 389,
    ENCRYPTED = 390,
    END_P = 391,
    ENUM_P = 392,
    ESCAPE = 393,
    EVENT = 394,
    EXCEPT = 395,
    EXCLUDE = 396,
    EXCLUDING = 397,
    EXCLUSIVE = 398,
    EXECUTE = 399,
    EXISTS = 400,
    EXPLAIN = 401,
    EXTENSION = 402,
    EXTERNAL = 403,
    EXTRACT = 404,
    FALSE_P = 405,
    FAMILY = 406,
    FETCH = 407,
    FILTER = 408,
    FIRST_P = 409,
    FLOAT_P = 410,
    FOLLOWING = 411,
    FOR = 412,
    FORCE = 413,
    FOREIGN = 414,
    FORWARD = 415,
    FREEZE = 416,
    FROM = 417,
    FULL = 418,
    FUNCTION = 419,
    FUNCTIONS = 420,
    GENERATED = 421,
    GLOBAL = 422,
    GRANT = 423,
    GRANTED = 424,
    GREATEST = 425,
    GROUP_P = 426,
    GROUPING = 427,
    HANDLER = 428,
    HAVING = 429,
    HEADER_P = 430,
    HOLD = 431,
    HOUR_P = 432,
    IDENTITY_P = 433,
    IF_P = 434,
    ILIKE = 435,
    IMMEDIATE = 436,
    IMMUTABLE = 437,
    IMPLICIT_P = 438,
    IMPORT_P = 439,
    IN_P = 440,
    INCLUDING = 441,
    INCREMENT = 442,
    INDEX = 443,
    INDEXES = 444,
    INHERIT = 445,
    INHERITS = 446,
    INITIALLY = 447,
    INLINE_P = 448,
    INNER_P = 449,
    INOUT = 450,
    INPUT_P = 451,
    INSENSITIVE = 452,
    INSERT = 453,
    INSTEAD = 454,
    INT_P = 455,
    INTEGER = 456,
    INTERSECT = 457,
    INTERVAL = 458,
    INTO = 459,
    INVOKER = 460,
    IS = 461,
    ISNULL = 462,
    ISOLATION = 463,
    JOIN = 464,
    KEY = 465,
    LABEL = 466,
    LANGUAGE = 467,
    LARGE_P = 468,
    LAST_P = 469,
    LATERAL_P = 470,
    LEADING = 471,
    LEAKPROOF = 472,
    LEAST = 473,
    LEFT = 474,
    LEVEL = 475,
    LIKE = 476,
    LIMIT = 477,
    LISTEN = 478,
    LOAD = 479,
    LOCAL = 480,
    LOCALTIME = 481,
    LOCALTIMESTAMP = 482,
    LOCATION = 483,
    LOCK_P = 484,
    LOCKED = 485,
    LOGGED = 486,
    MAPPING = 487,
    MATCH = 488,
    MATERIALIZED = 489,
    MAXVALUE = 490,
    METHOD = 491,
    MINUTE_P = 492,
    MINVALUE = 493,
    MODE = 494,
    MONTH_P = 495,
    MOVE = 496,
    NAME_P = 497,
    NAMES = 498,
    NATIONAL = 499,
    NATURAL = 500,
    NCHAR = 501,
    NEW = 502,
    NEXT = 503,
    NO = 504,
    NONE = 505,
    NOT = 506,
    NOTHING = 507,
    NOTIFY = 508,
    NOTNULL = 509,
    NOWAIT = 510,
    NULL_P = 511,
    NULLIF = 512,
    NULLS_P = 513,
    NUMERIC = 514,
    OBJECT_P = 515,
    OF = 516,
    OFF = 517,
    OFFSET = 518,
    OIDS = 519,
    OLD = 520,
    ON = 521,
    ONLY = 522,
    OPERATOR = 523,
    OPTION = 524,
    OPTIONS = 525,
    OR = 526,
    ORDER = 527,
    ORDINALITY = 528,
    OUT_P = 529,
    OUTER_P = 530,
    OVER = 531,
    OVERLAPS = 532,
    OVERLAY = 533,
    OVERRIDING = 534,
    OWNED = 535,
    OWNER = 536,
    PARALLEL = 537,
    PARSER = 538,
    PARTIAL = 539,
    PARTITION = 540,
    PASSING = 541,
    PASSWORD = 542,
    PLACING = 543,
    PLANS = 544,
    POLICY = 545,
    POSITION = 546,
    PRECEDING = 547,
    PRECISION = 548,
    PRESERVE = 549,
    PREPARE = 550,
    PREPARED = 551,
    PRIMARY = 552,
    PRIOR = 553,
    PRIVILEGES = 554,
    PROCEDURAL = 555,
    PROCEDURE = 556,
    PROGRAM = 557,
    PUBLICATION = 558,
    QUOTE = 559,
    RANGE = 560,
    READ = 561,
    REAL = 562,
    REASSIGN = 563,
    RECHECK = 564,
    RECURSIVE = 565,
    REF = 566,
    REFERENCES = 567,
    REFERENCING = 568,
    REFRESH = 569,
    REINDEX = 570,
    RELATIVE_P = 571,
    RELEASE = 572,
    RENAME = 573,
    REPEATABLE = 574,
    REPLACE = 575,
    REPLICA = 576,
    RESET = 577,
    RESTART = 578,
    RESTRICT = 579,
    RETURNING = 580,
    RETURNS = 581,
    REVOKE = 582,
    RIGHT = 583,
    ROLE = 584,
    ROLLBACK = 585,
    ROLLUP = 586,
    ROW = 587,
    ROWS = 588,
    RULE = 589,
    SAVEPOINT = 590,
    SCHEMA = 591,
    SCHEMAS = 592,
    SCROLL = 593,
    SEARCH = 594,
    SECOND_P = 595,
    SECURITY = 596,
    SELECT = 597,
    SEQUENCE = 598,
    SEQUENCES = 599,
    SERIALIZABLE = 600,
    SERVER = 601,
    SESSION = 602,
    SESSION_USER = 603,
    SET = 604,
    SETS = 605,
    SETOF = 606,
    SHARE = 607,
    SHOW = 608,
    SIMILAR = 609,
    SIMPLE = 610,
    SKIP = 611,
    SMALLINT = 612,
    SNAPSHOT = 613,
    SOME = 614,
    SQL_P = 615,
    STABLE = 616,
    STANDALONE_P = 617,
    START = 618,
    STATEMENT = 619,
    STATISTICS = 620,
    STDIN = 621,
    STDOUT = 622,
    STORAGE = 623,
    STRICT_P = 624,
    STRIP_P = 625,
    SUBSCRIPTION = 626,
    SUBSTRING = 627,
    SYMMETRIC = 628,
    SYSID = 629,
    SYSTEM_P = 630,
    TABLE = 631,
    TABLES = 632,
    TABLESAMPLE = 633,
    TABLESPACE = 634,
    TEMP = 635,
    TEMPLATE = 636,
    TEMPORARY = 637,
    TEXT_P = 638,
    THEN = 639,
    TIME = 640,
    TIMESTAMP = 641,
    TO = 642,
    TRAILING = 643,
    TRANSACTION = 644,
    TRANSFORM = 645,
    TREAT = 646,
    TRIGGER = 647,
    TRIM = 648,
    TRUE_P = 649,
    TRUNCATE = 650,
    TRUSTED = 651,
    TYPE_P = 652,
    TYPES_P = 653,
    UNBOUNDED = 654,
    UNCOMMITTED = 655,
    UNENCRYPTED = 656,
    UNION = 657,
    UNIQUE = 658,
    UNKNOWN = 659,
    UNLISTEN = 660,
    UNLOGGED = 661,
    UNTIL = 662,
    UPDATE = 663,
    USER = 664,
    USING = 665,
    VACUUM = 666,
    VALID = 667,
    VALIDATE = 668,
    VALIDATOR = 669,
    VALUE_P = 670,
    VALUES = 671,
    VARCHAR = 672,
    VARIADIC = 673,
    VARYING = 674,
    VERBOSE = 675,
    VERSION_P = 676,
    VIEW = 677,
    VIEWS = 678,
    VOLATILE = 679,
    WHEN = 680,
    WHERE = 681,
    WHITESPACE_P = 682,
    WINDOW = 683,
    WITH = 684,
    WITHIN = 685,
    WITHOUT = 686,
    WORK = 687,
    WRAPPER = 688,
    WRITE = 689,
    XML_P = 690,
    XMLATTRIBUTES = 691,
    XMLCONCAT = 692,
    XMLELEMENT = 693,
    XMLEXISTS = 694,
    XMLFOREST = 695,
    XMLNAMESPACES = 696,
    XMLPARSE = 697,
    XMLPI = 698,
    XMLROOT = 699,
    XMLSERIALIZE = 700,
    XMLTABLE = 701,
    YEAR_P = 702,
    YES_P = 703,
    ZONE = 704,
    NOT_LA = 705,
    NULLS_LA = 706,
    WITH_LA = 707,
    POSTFIXOP = 708,
    UMINUS = 709
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 202 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs		*objwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
	PartitionElem		*partelem;
	PartitionSpec		*partspec;
	PartitionBoundSpec	*partboundspec;
	RoleSpec			*rolespec;

#line 803 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 833 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  784
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   96998

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  472
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  653
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2660
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5308

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   709

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   461,     2,     2,
     466,   467,   459,   457,   470,   458,   468,   460,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   471,   469,
     453,   455,   454,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   464,     2,   465,   462,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   456,   463
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   775,   775,   791,   803,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   929,   930,   931,   932,   933,   934,   935,   937,   947,
     958,   959,   960,   969,   970,   974,   975,   979,   984,   988,
     998,  1006,  1010,  1014,  1019,  1023,  1071,  1073,  1077,  1081,
    1085,  1089,  1103,  1121,  1129,  1140,  1141,  1145,  1153,  1161,
    1169,  1190,  1197,  1204,  1211,  1218,  1225,  1242,  1260,  1271,
    1272,  1283,  1293,  1303,  1318,  1336,  1337,  1341,  1348,  1356,
    1357,  1358,  1359,  1360,  1361,  1375,  1381,  1387,  1396,  1404,
    1412,  1416,  1424,  1432,  1439,  1448,  1449,  1457,  1468,  1476,
    1484,  1495,  1503,  1511,  1518,  1527,  1537,  1538,  1542,  1543,
    1546,  1548,  1552,  1553,  1554,  1555,  1559,  1560,  1561,  1567,
    1579,  1583,  1587,  1602,  1609,  1610,  1611,  1615,  1616,  1617,
    1621,  1622,  1626,  1630,  1631,  1638,  1645,  1655,  1662,  1672,
    1673,  1678,  1679,  1684,  1690,  1696,  1702,  1708,  1718,  1728,
    1729,  1733,  1734,  1742,  1757,  1763,  1769,  1775,  1781,  1800,
    1809,  1818,  1827,  1836,  1847,  1858,  1867,  1876,  1887,  1898,
    1907,  1916,  1925,  1934,  1943,  1952,  1963,  1977,  1978,  1983,
    1996,  2012,  2021,  2030,  2039,  2048,  2057,  2065,  2073,  2082,
    2091,  2100,  2109,  2126,  2135,  2144,  2153,  2163,  2176,  2191,
    2200,  2208,  2223,  2231,  2241,  2251,  2258,  2265,  2273,  2281,
    2288,  2295,  2303,  2311,  2319,  2326,  2333,  2341,  2348,  2355,
    2363,  2371,  2379,  2387,  2395,  2403,  2413,  2420,  2428,  2436,
    2444,  2452,  2460,  2467,  2474,  2481,  2487,  2497,  2498,  2502,
    2503,  2504,  2508,  2516,  2520,  2521,  2525,  2532,  2539,  2546,
    2556,  2559,  2560,  2564,  2565,  2570,  2574,  2578,  2583,  2590,
    2592,  2597,  2601,  2605,  2616,  2624,  2636,  2650,  2651,  2652,
    2653,  2654,  2658,  2659,  2664,  2665,  2670,  2680,  2690,  2710,
    2723,  2724,  2729,  2738,  2748,  2758,  2784,  2790,  2823,  2852,
    2874,  2875,  2879,  2880,  2889,  2890,  2891,  2894,  2895,  2900,
    2901,  2905,  2909,  2913,  2917,  2921,  2925,  2929,  2933,  2937,
    2941,  2945,  2949,  2953,  2957,  2966,  2970,  2974,  2978,  2982,
    2986,  2990,  2991,  2996,  3000,  3007,  3014,  3015,  3016,  3017,
    3018,  3022,  3026,  3034,  3045,  3062,  3080,  3099,  3118,  3137,
    3169,  3170,  3171,  3172,  3173,  3180,  3187,  3188,  3192,  3193,
    3197,  3198,  3202,  3206,  3213,  3217,  3224,  3225,  3226,  3230,
    3231,  3234,  3256,  3275,  3297,  3298,  3302,  3309,  3310,  3311,
    3342,  3349,  3356,  3367,  3378,  3390,  3399,  3408,  3426,  3427,
    3446,  3453,  3460,  3467,  3478,  3488,  3489,  3490,  3494,  3495,
    3496,  3497,  3498,  3499,  3500,  3501,  3510,  3517,  3521,  3534,
    3549,  3563,  3578,  3592,  3610,  3631,  3632,  3636,  3637,  3641,
    3642,  3645,  3651,  3655,  3663,  3668,  3674,  3675,  3679,  3684,
    3691,  3692,  3702,  3704,  3706,  3708,  3711,  3714,  3717,  3721,
    3722,  3723,  3724,  3725,  3728,  3729,  3733,  3734,  3737,  3749,
    3750,  3753,  3754,  3757,  3768,  3779,  3793,  3794,  3795,  3796,
    3799,  3800,  3801,  3802,  3805,  3806,  3809,  3810,  3813,  3831,
    3842,  3866,  3879,  3895,  3909,  3910,  3911,  3923,  3936,  3952,
    3965,  3966,  3978,  3998,  4008,  4021,  4029,  4040,  4041,  4044,
    4045,  4048,  4049,  4052,  4056,  4060,  4064,  4068,  4072,  4076,
    4080,  4084,  4088,  4092,  4097,  4101,  4105,  4111,  4112,  4116,
    4117,  4118,  4123,  4126,  4127,  4139,  4151,  4166,  4167,  4175,
    4176,  4180,  4181,  4185,  4186,  4190,  4191,  4195,  4205,  4218,
    4219,  4229,  4240,  4241,  4254,  4261,  4278,  4286,  4297,  4300,
    4304,  4308,  4312,  4316,  4328,  4338,  4341,  4345,  4358,  4367,
    4376,  4385,  4394,  4403,  4412,  4421,  4430,  4439,  4448,  4457,
    4466,  4475,  4484,  4493,  4502,  4511,  4520,  4529,  4538,  4547,
    4556,  4565,  4574,  4583,  4601,  4612,  4613,  4614,  4615,  4619,
    4620,  4624,  4625,  4635,  4643,  4655,  4656,  4660,  4664,  4672,
    4676,  4680,  4687,  4691,  4696,  4701,  4708,  4715,  4720,  4730,
    4742,  4757,  4758,  4763,  4764,  4768,  4769,  4779,  4788,  4796,
    4813,  4833,  4853,  4874,  4905,  4914,  4935,  4950,  4951,  4955,
    4963,  4978,  4987,  4999,  5000,  5012,  5020,  5037,  5061,  5078,
    5092,  5093,  5097,  5098,  5102,  5103,  5107,  5108,  5112,  5126,
    5130,  5131,  5135,  5136,  5137,  5138,  5139,  5149,  5167,  5188,
    5214,  5215,  5216,  5220,  5222,  5244,  5246,  5248,  5250,  5252,
    5257,  5258,  5262,  5263,  5267,  5278,  5279,  5283,  5292,  5296,
    5300,  5305,  5315,  5316,  5320,  5321,  5325,  5326,  5330,  5331,
    5332,  5336,  5340,  5341,  5342,  5346,  5347,  5352,  5353,  5380,
    5381,  5382,  5383,  5384,  5385,  5398,  5408,  5422,  5424,  5429,
    5434,  5436,  5441,  5451,  5452,  5453,  5454,  5466,  5486,  5508,
    5518,  5529,  5539,  5549,  5560,  5569,  5576,  5583,  5592,  5601,
    5610,  5619,  5628,  5638,  5647,  5659,  5662,  5663,  5666,  5670,
    5677,  5678,  5679,  5680,  5681,  5682,  5685,  5688,  5689,  5697,
    5704,  5705,  5708,  5710,  5721,  5732,  5743,  5754,  5767,  5768,
    5784,  5799,  5800,  5804,  5816,  5826,  5834,  5843,  5852,  5853,
    5856,  5857,  5860,  5861,  5862,  5865,  5879,  5884,  5894,  5903,
    5915,  5916,  5920,  5928,  5940,  5950,  5963,  5973,  5995,  6005,
    6023,  6033,  6043,  6053,  6063,  6073,  6083,  6093,  6103,  6113,
    6123,  6133,  6147,  6148,  6149,  6150,  6151,  6152,  6153,  6154,
    6155,  6156,  6157,  6158,  6159,  6164,  6165,  6166,  6167,  6168,
    6169,  6170,  6175,  6176,  6177,  6181,  6182,  6185,  6186,  6189,
    6191,  6196,  6197,  6207,  6218,  6219,  6220,  6254,  6262,  6270,
    6278,  6286,  6294,  6302,  6310,  6318,  6331,  6339,  6347,  6355,
    6363,  6371,  6379,  6387,  6399,  6400,  6401,  6402,  6403,  6404,
    6405,  6406,  6407,  6408,  6409,  6410,  6411,  6412,  6417,  6418,
    6419,  6420,  6421,  6422,  6423,  6424,  6425,  6426,  6427,  6428,
    6432,  6433,  6447,  6457,  6467,  6477,  6487,  6497,  6507,  6519,
    6520,  6525,  6526,  6527,  6528,  6529,  6530,  6535,  6536,  6537,
    6538,  6539,  6540,  6541,  6542,  6545,  6546,  6556,  6562,  6570,
    6578,  6586,  6594,  6602,  6610,  6618,  6626,  6634,  6642,  6650,
    6658,  6666,  6674,  6682,  6690,  6700,  6701,  6704,  6705,  6715,
    6731,  6745,  6771,  6773,  6775,  6777,  6784,  6793,  6794,  6797,
    6804,  6811,  6818,  6832,  6840,  6848,  6856,  6864,  6872,  6880,
    6888,  6896,  6904,  6912,  6920,  6928,  6936,  6944,  6952,  6964,
    6965,  6969,  6970,  6975,  6976,  6986,  6999,  7009,  7021,  7022,
    7025,  7026,  7036,  7046,  7047,  7051,  7055,  7059,  7070,  7083,
    7097,  7114,  7115,  7116,  7117,  7118,  7130,  7156,  7185,  7186,
    7190,  7191,  7195,  7196,  7200,  7201,  7204,  7205,  7213,  7224,
    7235,  7248,  7249,  7252,  7253,  7256,  7257,  7258,  7261,  7262,
    7263,  7279,  7291,  7304,  7319,  7320,  7323,  7324,  7328,  7329,
    7333,  7334,  7339,  7351,  7358,  7365,  7380,  7381,  7385,  7386,
    7401,  7410,  7419,  7428,  7437,  7449,  7450,  7451,  7452,  7453,
    7459,  7463,  7478,  7479,  7485,  7495,  7499,  7504,  7512,  7553,
    7557,  7561,  7565,  7573,  7574,  7578,  7588,  7589,  7595,  7596,
    7603,  7607,  7611,  7615,  7619,  7623,  7627,  7631,  7635,  7639,
    7643,  7647,  7651,  7655,  7659,  7664,  7671,  7675,  7679,  7683,
    7687,  7693,  7694,  7701,  7702,  7706,  7707,  7710,  7722,  7726,
    7741,  7752,  7753,  7758,  7759,  7774,  7784,  7797,  7807,  7820,
    7830,  7843,  7851,  7853,  7855,  7860,  7862,  7867,  7868,  7873,
    7891,  7900,  7901,  7905,  7909,  7921,  7932,  7943,  7956,  7957,
    7958,  7962,  7974,  7975,  7985,  7997,  8001,  8005,  8009,  8016,
    8036,  8045,  8054,  8063,  8074,  8075,  8078,  8079,  8080,  8083,
    8084,  8087,  8097,  8106,  8123,  8132,  8141,  8150,  8159,  8168,
    8177,  8186,  8195,  8204,  8213,  8222,  8231,  8241,  8251,  8260,
    8269,  8278,  8287,  8297,  8307,  8317,  8327,  8337,  8347,  8357,
    8367,  8377,  8387,  8397,  8407,  8418,  8429,  8440,  8451,  8461,
    8471,  8482,  8493,  8503,  8513,  8521,  8530,  8539,  8548,  8557,
    8566,  8575,  8584,  8593,  8602,  8616,  8617,  8620,  8621,  8631,
    8639,  8648,  8656,  8673,  8682,  8691,  8700,  8709,  8718,  8727,
    8736,  8745,  8754,  8763,  8772,  8781,  8790,  8799,  8808,  8817,
    8826,  8835,  8844,  8853,  8862,  8871,  8880,  8889,  8907,  8916,
    8917,  8920,  8922,  8928,  8929,  8930,  8931,  8932,  8941,  8949,
    8957,  8965,  8973,  8981,  8989,  8997,  9005,  9013,  9021,  9029,
    9037,  9045,  9053,  9061,  9069,  9077,  9085,  9093,  9101,  9109,
    9127,  9146,  9147,  9151,  9155,  9175,  9182,  9190,  9198,  9215,
    9228,  9232,  9239,  9248,  9257,  9266,  9275,  9285,  9295,  9313,
    9321,  9337,  9354,  9355,  9356,  9361,  9367,  9376,  9377,  9378,
    9379,  9380,  9384,  9385,  9388,  9389,  9390,  9391,  9395,  9396,
    9397,  9409,  9419,  9420,  9423,  9432,  9438,  9457,  9464,  9471,
    9478,  9485,  9492,  9499,  9507,  9515,  9523,  9531,  9539,  9546,
    9553,  9562,  9563,  9564,  9568,  9571,  9574,  9577,  9580,  9587,
    9589,  9591,  9596,  9598,  9610,  9623,  9636,  9654,  9675,  9676,
    9677,  9678,  9688,  9704,  9714,  9715,  9719,  9720,  9724,  9728,
    9732,  9750,  9751,  9752,  9753,  9754,  9755,  9756,  9763,  9764,
    9775,  9782,  9789,  9800,  9817,  9824,  9840,  9857,  9863,  9879,
    9892,  9901,  9909,  9917,  9926,  9937,  9948,  9958,  9959,  9970,
    9980,  9991, 10002, 10013, 10024, 10033, 10045, 10046, 10060, 10083,
   10091, 10100, 10111, 10112, 10124, 10138, 10152, 10164, 10172, 10185,
   10186, 10190, 10191, 10192, 10193, 10194, 10207, 10217, 10230, 10231,
   10235, 10236, 10239, 10240, 10243, 10244, 10248, 10249, 10262, 10269,
   10279, 10286, 10296, 10297, 10298, 10299, 10300, 10301, 10302, 10303,
   10304, 10308, 10312, 10319, 10326, 10327, 10331, 10332, 10333, 10343,
   10353, 10354, 10358, 10359, 10360, 10361, 10371, 10378, 10396, 10397,
   10407, 10413, 10419, 10425, 10441, 10459, 10463, 10471, 10477, 10484,
   10490, 10497, 10506, 10507, 10511, 10513, 10518, 10529, 10539, 10549,
   10555, 10564, 10573, 10579, 10580, 10591, 10605, 10606, 10617, 10628,
   10629, 10632, 10633, 10634, 10635, 10636, 10637, 10638, 10639, 10642,
   10643, 10647, 10648, 10649, 10660, 10678, 10679, 10683, 10688, 10712,
   10723, 10724, 10734, 10745, 10748, 10749, 10750, 10751, 10752, 10755,
   10756, 10757, 10805, 10806, 10810, 10811, 10826, 10827, 10834, 10842,
   10850, 10858, 10866, 10874, 10885, 10886, 10913, 10927, 10942, 10943,
   10962, 10966, 10970, 10987, 10994, 11001, 11011, 11012, 11015, 11027,
   11028, 11032, 11044, 11052, 11057, 11062, 11067, 11072, 11080, 11088,
   11093, 11098, 11105, 11106, 11110, 11111, 11112, 11119, 11120, 11124,
   11125, 11129, 11130, 11134, 11138, 11139, 11142, 11151, 11164, 11165,
   11166, 11167, 11171, 11172, 11176, 11178, 11188, 11193, 11196, 11201,
   11202, 11210, 11220, 11221, 11222, 11230, 11234, 11235, 11238, 11239,
   11264, 11265, 11269, 11270, 11274, 11275, 11276, 11277, 11278, 11282,
   11295, 11302, 11309, 11316, 11317, 11321, 11322, 11326, 11327, 11331,
   11332, 11336, 11347, 11348, 11349, 11350, 11354, 11355, 11365, 11371,
   11389, 11390, 11394, 11395, 11401, 11406, 11414, 11421, 11429, 11435,
   11442, 11477, 11502, 11506, 11532, 11536, 11548, 11561, 11575, 11586,
   11601, 11607, 11612, 11618, 11625, 11626, 11634, 11638, 11642, 11648,
   11655, 11660, 11661, 11662, 11663, 11667, 11668, 11680, 11681, 11686,
   11693, 11700, 11707, 11718, 11719, 11732, 11736, 11743, 11756, 11769,
   11770, 11785, 11795, 11807, 11812, 11813, 11816, 11817, 11820, 11821,
   11826, 11827, 11832, 11833, 11841, 11846, 11847, 11851, 11855, 11861,
   11886, 11896, 11909, 11910, 11914, 11928, 11985, 11999, 12001, 12006,
   12008, 12010, 12012, 12017, 12019, 12024, 12032, 12052, 12057, 12064,
   12069, 12075, 12080, 12089, 12091, 12094, 12098, 12099, 12100, 12101,
   12102, 12103, 12108, 12128, 12129, 12130, 12131, 12142, 12148, 12156,
   12157, 12163, 12168, 12173, 12178, 12183, 12188, 12193, 12198, 12204,
   12210, 12216, 12223, 12245, 12254, 12258, 12266, 12270, 12278, 12290,
   12311, 12315, 12321, 12325, 12338, 12346, 12356, 12358, 12360, 12362,
   12364, 12366, 12371, 12372, 12379, 12388, 12396, 12405, 12416, 12424,
   12425, 12426, 12430, 12432, 12434, 12436, 12438, 12440, 12442, 12447,
   12452, 12458, 12466, 12471, 12478, 12485, 12489, 12493, 12529, 12530,
   12532, 12540, 12555, 12557, 12559, 12561, 12563, 12565, 12567, 12569,
   12571, 12573, 12575, 12577, 12579, 12581, 12584, 12586, 12588, 12591,
   12593, 12595, 12597, 12600, 12605, 12613, 12618, 12626, 12631, 12639,
   12644, 12653, 12661, 12669, 12677, 12695, 12703, 12711, 12719, 12727,
   12743, 12751, 12759, 12767, 12775, 12783, 12791, 12795, 12799, 12803,
   12807, 12815, 12823, 12831, 12839, 12859, 12881, 12892, 12899, 12915,
   12920, 12926, 12951, 12953, 12955, 12957, 12959, 12961, 12963, 12965,
   12967, 12969, 12971, 12973, 12975, 12977, 12979, 12981, 12983, 12985,
   12987, 12989, 12993, 12997, 13001, 13005, 13010, 13026, 13027, 13028,
   13043, 13077, 13079, 13081, 13092, 13116, 13127, 13138, 13145, 13155,
   13165, 13174, 13178, 13184, 13191, 13198, 13208, 13215, 13243, 13278,
   13289, 13290, 13297, 13303, 13307, 13311, 13315, 13319, 13323, 13327,
   13331, 13335, 13339, 13343, 13347, 13351, 13355, 13359, 13363, 13365,
   13369, 13378, 13383, 13390, 13405, 13412, 13416, 13420, 13424, 13428,
   13435, 13443, 13451, 13455, 13459, 13463, 13467, 13471, 13477, 13481,
   13490, 13494, 13498, 13503, 13517, 13519, 13523, 13525, 13527, 13530,
   13533, 13536, 13537, 13540, 13548, 13558, 13559, 13562, 13563, 13564,
   13569, 13573, 13577, 13581, 13592, 13593, 13597, 13598, 13606, 13607,
   13611, 13612, 13617, 13625, 13627, 13641, 13644, 13671, 13672, 13675,
   13676, 13687, 13705, 13712, 13721, 13738, 13783, 13791, 13799, 13807,
   13815, 13836, 13837, 13838, 13841, 13842, 13845, 13848, 13849, 13850,
   13853, 13854, 13857, 13858, 13859, 13860, 13861, 13862, 13863, 13864,
   13865, 13866, 13867, 13868, 13871, 13873, 13878, 13880, 13885, 13887,
   13889, 13891, 13893, 13895, 13907, 13911, 13918, 13922, 13928, 13932,
   13941, 13952, 13953, 13956, 13960, 13964, 13970, 13971, 13976, 13980,
   13987, 13988, 13989, 13990, 13991, 13992, 13993, 13994, 14004, 14008,
   14015, 14022, 14023, 14039, 14043, 14048, 14052, 14067, 14072, 14076,
   14079, 14082, 14083, 14084, 14087, 14094, 14104, 14118, 14119, 14123,
   14134, 14135, 14138, 14139, 14142, 14146, 14153, 14157, 14161, 14169,
   14180, 14181, 14185, 14186, 14190, 14191, 14194, 14195, 14205, 14206,
   14210, 14211, 14214, 14230, 14238, 14246, 14268, 14269, 14280, 14284,
   14311, 14313, 14318, 14321, 14324, 14326, 14328, 14330, 14340, 14342,
   14353, 14357, 14361, 14365, 14369, 14378, 14385, 14417, 14421, 14427,
   14434, 14438, 14442, 14448, 14449, 14451, 14452, 14453, 14457, 14487,
   14514, 14518, 14524, 14526, 14543, 14544, 14545, 14550, 14551, 14552,
   14557, 14558, 14559, 14560, 14566, 14567, 14568, 14569, 14570, 14590,
   14591, 14592, 14593, 14594, 14595, 14596, 14597, 14598, 14599, 14600,
   14601, 14602, 14603, 14604, 14605, 14606, 14607, 14608, 14609, 14610,
   14611, 14612, 14613, 14614, 14615, 14616, 14617, 14618, 14619, 14620,
   14621, 14622, 14623, 14624, 14625, 14626, 14627, 14628, 14629, 14630,
   14631, 14632, 14633, 14634, 14635, 14636, 14637, 14638, 14639, 14640,
   14641, 14642, 14643, 14644, 14645, 14646, 14647, 14648, 14649, 14650,
   14651, 14652, 14653, 14654, 14655, 14656, 14657, 14658, 14659, 14660,
   14661, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669, 14670,
   14671, 14672, 14673, 14674, 14675, 14676, 14677, 14678, 14679, 14680,
   14681, 14682, 14683, 14684, 14685, 14686, 14687, 14688, 14689, 14690,
   14691, 14692, 14693, 14694, 14695, 14696, 14697, 14698, 14699, 14700,
   14701, 14702, 14703, 14704, 14705, 14706, 14707, 14708, 14709, 14710,
   14711, 14712, 14713, 14714, 14715, 14716, 14717, 14718, 14719, 14720,
   14721, 14722, 14723, 14724, 14725, 14726, 14727, 14728, 14729, 14730,
   14731, 14732, 14733, 14734, 14735, 14736, 14737, 14738, 14739, 14740,
   14741, 14742, 14743, 14744, 14745, 14746, 14747, 14748, 14749, 14750,
   14751, 14752, 14753, 14754, 14755, 14756, 14757, 14758, 14759, 14760,
   14761, 14762, 14763, 14764, 14765, 14766, 14767, 14768, 14769, 14770,
   14771, 14772, 14773, 14774, 14775, 14776, 14777, 14778, 14779, 14780,
   14781, 14782, 14783, 14784, 14785, 14786, 14787, 14788, 14789, 14790,
   14791, 14792, 14793, 14794, 14795, 14796, 14797, 14798, 14799, 14800,
   14801, 14802, 14803, 14804, 14805, 14806, 14807, 14808, 14809, 14810,
   14811, 14812, 14813, 14814, 14815, 14816, 14817, 14818, 14819, 14820,
   14821, 14822, 14823, 14824, 14825, 14826, 14827, 14828, 14829, 14830,
   14831, 14832, 14833, 14834, 14835, 14836, 14837, 14838, 14839, 14840,
   14841, 14842, 14843, 14844, 14845, 14846, 14847, 14848, 14849, 14850,
   14851, 14852, 14853, 14854, 14855, 14856, 14857, 14858, 14859, 14860,
   14861, 14862, 14863, 14864, 14865, 14866, 14867, 14868, 14869, 14870,
   14871, 14885, 14886, 14887, 14888, 14889, 14890, 14891, 14892, 14893,
   14894, 14895, 14896, 14897, 14898, 14899, 14900, 14901, 14902, 14903,
   14904, 14905, 14906, 14907, 14908, 14909, 14910, 14911, 14912, 14913,
   14914, 14915, 14916, 14917, 14918, 14919, 14920, 14921, 14922, 14923,
   14924, 14925, 14926, 14927, 14928, 14929, 14930, 14931, 14932, 14933,
   14934, 14948, 14949, 14950, 14951, 14952, 14953, 14954, 14955, 14956,
   14957, 14958, 14959, 14960, 14961, 14962, 14963, 14964, 14965, 14966,
   14967, 14968, 14969, 14970, 14980, 14981, 14982, 14983, 14984, 14985,
   14986, 14987, 14988, 14989, 14990, 14991, 14992, 14993, 14994, 14995,
   14996, 14997, 14998, 14999, 15000, 15001, 15002, 15003, 15004, 15005,
   15006, 15007, 15008, 15009, 15010, 15011, 15012, 15013, 15014, 15015,
   15016, 15017, 15018, 15019, 15020, 15021, 15022, 15023, 15024, 15025,
   15026, 15027, 15028, 15029, 15030, 15031, 15032, 15033, 15034, 15035,
   15036, 15037, 15038, 15039, 15040, 15041, 15042, 15043, 15044, 15045,
   15046, 15047, 15048, 15049, 15050, 15051, 15052, 15053, 15054, 15055,
   15056
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEW", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "ON", "ONLY",
  "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD",
  "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION",
  "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES",
  "PROCEDURAL", "PROCEDURE", "PROGRAM", "PUBLICATION", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSCRIPTION", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES", "XMLPARSE", "XMLPI",
  "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P", "YES_P", "ZONE",
  "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='", "POSTFIXOP", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'",
  "'.'", "';'", "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "ForValues", "partbound_datum", "partbound_datum_list",
  "range_datum_list", "PartitionRangeDatum", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,    60,    62,    61,   708,    43,    45,    42,
      47,    37,    94,   709,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

#define YYPACT_NINF -4741

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4741)))

#define YYTABLE_NINF -2567

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2567)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    5631,    22, 15156, -4741, -4741,    22, -4741, 65860,    11,   747,
     599,   156, 16712, 66307, 73012,   942,   895, 16118,    22, 73012,
    2022, 50662, 62731,   861, 73012,  1223,   905, 50662, 73012, 73459,
    1037,  1121,   810, 73906, 66754, 61390,  1195, 73012,  1171,   363,
   74353, 67201,  1001, 67648,   905, 47114,    66,  1041, 74800, 73012,
    1921,  1539,  1108, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741,    11, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,  1758, -4741,
    1157,  2113,  1523,   179,  1186, -4741, -4741, -4741, 59155, 73012,
   73012, 73012,  1458, 73012,  1432, 73012,   295, 59155, 55132, 68095,
    1571,  1452, 43532, 75247, -4741, 73012, 53344, 73012, 73012, 75694,
   73012, 73012, 73012,  1280, 64072, 73012,  1543, 73012, 73012, 53791,
   76141,  1709,  1404, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, 73012, 18517,  1223, -4741, -4741,  1921, 73012,
    1774, 59155, 73012,  1512, 76588,  1671, 73012, -4741, 73012,  1710,
   77035,   439,   591, 55132,  1736, 43980,  1752, 73012, 73012, 55132,
   77482, 77929, 78376, 73012, 73012, -4741, -4741,  1790, 73012, 73012,
   -4741,  1928, 55579,  1329,  1954,  2107,  2007,   695, -4741, 68542,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, 58261,   895,
   -4741, -4741,  1977, 59602, 73012,  2020, -4741, -4741, 78823, 93951,
    1844, -4741,   464, 60049, 56026,  2135,  1827, 44428,  2195, -4741,
   -4741, 56473, -4741, -4741, -4741, -4741, -4741, 79270, -4741, 79717,
    1920,  2020, -4741, 94384, 56920, -4741,  2048, 80164, 80611, 81058,
   -4741,  1802,  1423,   791, 39476, -4741, -4741, -4741,    11, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741,   351,   261,   299,
     203,   348, -4741, -4741,   208,   209,   211,   351,  2278,  2278,
   -4741, 73012, -4741, -4741,   261,    62,  1836,  1836,  1836,  2045,
     988, -4741,  1836,  1965, -4741, -4741, -4741, -4741, 67648, -4741,
    1852,  1223,  1885,  2301,  1939, -4741, -4741, -4741, -4741, -4741,
    1942, 73012, 73012, 73012, -4741, -4741,  2336,  1952,  2183,  1956,
   -4741, -4741, -4741,  2148,  2159,  2169,   122,  1223,  2062, -4741,
    2293, -4741,  2190, 28031, 28031,  1223, 68989, 81505,   202, 58261,
    1223, 69436,  2029,  1457,  2215, -4741, -4741, -4741,   612, -4741,
    2442,  2043,  2304,  1956,  1404, 40825, -4741,  2047,  1662, 67648,
   -4741, -4741, -4741,   274,  2352, 29887, 73012,  2050, -4741,  2058,
    2050,  2061,  2067,  1523, -4741,  5631, 73012,   375,   375,  2485,
     375,  1422,  1768, -4741,  2342, -4741,  2384,  2353, 67648,  2095,
     218, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741,  1110,  2101,  1662, -4741,   265, -4741,
    1169,  2094,  1508,  1756, -4741, -4741,   226, 73012,   245,  2139,
   69883,  6262,  2125,  1662,  2130, -4741, -4741, -4741,  2259,   903,
   -4741, -4741, -4741, -4741,  2415,  2466,  6733,   319, 70330, -4741,
   -4741, -4741, -4741, 73012, 73012, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741,  2147,  1118, -4741, -4741,  2155,  2470,
    2365,  1025,  2455,  2341,  1024,  2404,  1521,  2526,  6811,  1361,
    1728,  1884, 70777, 73012,  2490,  2535,  5517,  1700,   640,  2431,
    1242,  2455,  2544,  2394,  1024,  2557,  7661, 73012, -4741,  2488,
    2604,   596, -4741,   139, -4741,  2316,  2462,  1062,  2497, 59155,
    2268, -4741, -4741, 73012, -4741, -4741, 94817,  2348, -4741,   776,
   59155, -4741,  2482,  2329, 44876, 73012, -4741, -4741, 73012, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741,  2418,  2613, 73012, 94817,
   -4741,  2563, 73012, 73012, -4741,  2312, -4741, -4741, -4741, -4741,
    1836, 73012,  2314,  2728, 94817,  2546,   103, 73012,   580,  2770,
   73012,  2555,   580,  2378, 81952, -4741, -4741,   580, -4741, -4741,
   -4741, 73012, 73012,  2347,  1620,  2552,  2662,   580,  2569,  2785,
    2786,  2583,  2439,  2595,  2058,  2771,  2582,   878,   313,   183,
    1726,   580,  2446, 82399, 82846, 73012,  2450, 73012,  2798, 59155,
   73012,  2724, -4741,  2584, -4741, -4741,   944, -4741, -4741, -4741,
   -4741, -4741,  2737, -4741,   174,   238,  2738,  2420,  2742, -4741,
   -4741, -4741,  2469, -4741,  2469,  2469,  2423,  2423,  2597,  2427,
    2751, -4741, -4741, -4741,  2025,  2469,  2423, -4741, 95683, -4741,
    1460,  1545, -4741,   194, -4741,  2865, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741,  2441, -4741,  1357,  1753, -4741, -4741,
    2478, -4741,  2775,   215, -4741,  2780, -4741,  2456, 83293, -4741,
   83740, 84187,  2790,   240, -4741, 55132,  2791,  2456,  2793,   238,
    2803, -4741,   890,  2773,  2804,   194,  2806,  1826,  2456, 58708,
    2807,   316, -4741,  2808,   323, -4741,  2816,  2677, 29887, -4741,
    2571, -4741,  1041, -4741,  1569, -4741, 49768, -4741,   791,   261,
   -4741, 73012,   261, 73012,   261, 73012,   261, 73012,   261, 73012,
   73012, 73012,   261, -4741, -4741, -4741, 73012,  2496, 73012, 73012,
   -4741, -4741, -4741, 63178, 55132, 63625, -4741, 73012, -4741,   113,
    1223, -4741, -4741, 94817,  2928, 55132,  2798, -4741,  1680, -4741,
   -4741, -4741, -4741, -4741, -4741,  2745, 73012,  2809,  2810, 63178,
   55132, -4741, 84634, 58261,  2702,  2506, -4741, -4741, -4741, -4741,
   -4741,  1715,  2969,   201,  2970, 29887,  2511,   201,   201,  2512,
    2822, -4741, -4741, -4741,   269,  2514,  2515, -4741,   196,   196,
   -4741,  2520,  2521, -4741,   220,  2522,  2525,  2987,  2989,   241,
    2529,  2531,  2532,  2025,   201, 29887, -4741,  2533,   196,  2534,
    2536,  2542,  2996,  2545, -4741,  3005,  2548,   223,   329,  2549,
    2550, -4741,  2520, -4741,   246,  2551,  2553,  2554,  2559,  2560,
    2564,  2565,  2567, 29887, 29887, 29887, -4741, 26639,  1662,  1223,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,   251,  3551,
   -4741,  2588, -4741, -4741,  2735, -4741, -4741, 29887, -4741, -4741,
      97, -4741,   270, -4741, -4741, -4741,  1662,  2825,  2566, -4741,
   -4741,  1187,  2572, -4741,  1711, -4741, -4741, -4741, -4741, -4741,
   -4741, 57367,  2999, -4741,   235,  1223,   139,   332,  2941, 48874,
   49321, -4741, -4741,  2821, -4741, 73012, -4741, -4741, 29887, 46667,
   -4741,  1662,   435, -4741, -4741, -4741, -4741,  1694, -4741, -4741,
   -4741,    11, 14421,  1708,  2050, 73012, 73012,  3010, -4741, -4741,
   -4741,  2058, -4741, -4741,  1523,  1523, 29887,  1523,   774,  1713,
   28495, 29887,  2889,  2787,   954,   214,  2892, -4741,  2792,  1422,
    1768, 67648, 73012, 85081,  2708, 29887,  2679,  2680,  2736, 48008,
   -4741,  1662,  2684,  2652,  2689,  2739, 51556,  2609,  2691,  2692,
    2746, -4741,  2859, -4741, -4741,  2697,  2698, 85528, -4741, -4741,
     257, -4741, -4741, -4741,   257, -4741,  2633,  1414,  1033,  1233,
    2699,   250,   219,  3006, -4741,  1128, -4741, -4741,  2757, -4741,
    6140, 73012,  2949,  7833,  2831,   319,  2832,  2765, -4741, -4741,
    2891,  2726, 73012,  2731,  2855,   319,   849, 85975, -4741, -4741,
   -4741, -4741, -4741, -4741,  2325, 25772, -4741,  1754,  2732,  2712,
    2743, 73012, 60496,   357,  2858,  2860,    76,  2016,   790,  2797,
   73012,   266,  2864, 73012,  2667,  2750,  2766,  2956,  2672,  1777,
    3069,  2686, -4741, -4741, -4741,  2024,  2071,  2874, -4741,  2972,
    3013,  7259,  2755,  2756, 92652, -4741,  2782,   528, 45324, 73012,
   73012,  2784,  2794,  2788,  2795,   868,  3066,  1300,  2796, -4741,
   -4741, -4741,  1300, 73012,  2800,  2801, 73012, 95683,   319, -4741,
    3120,   319,   319,  1835,  3121,  2811,   378,  2937,  1167,   580,
    2686,  2660, -4741,  2812,  2813,   309, -4741,  2910,  2814,  2815,
    2845,  1223, -4741, -4741,  2818,  2881,  2824,   586, -4741, -4741,
    1297,  2829, 67648,  2900,  2918,   229,  2144,  2686, -4741,  2826,
    2827,  2672,  2672, 73012, 73012, 73012, 73012, 73012,   216,  3167,
    3173,  2830,   199,  2880,  2748, -4741,  1300, 54238,  2833, -4741,
    1300, 73012,  2834,  2173,  2686,  1526,  1613, -4741, -4741, -4741,
    1404, -4741, 73012, -4741, 73012, -4741,  3016, 94817,  2953,  3019,
   -4741,  2799, -4741,  3027,   319, -4741, 73012, 73012,  3028,  2973,
    2975,   938, 94817,  2976,  3029, -4741,  3030,  3032,  2856,  2817,
    2847, 48441, -4741,  2347,  2781,  3213,  3105, 73012, 51556, -4741,
    3230,   257, -4741, 94817,  2990,  3110, -4741, 73012,  3007,  1006,
   -4741,  3146,  2851, -4741, -4741,    82, 73012,   254,  2835, -4741,
   -4741,  3118, 55132,  1245,  3127,  1223,  2844,  3129,  3009,  1223,
   55132,  3049, 73012, 73012, 73012, 73012, -4741, -4741,  3018,   808,
     676, -4741, 54238,  3034, -4741, 73012,  3035,  2660,  3037,  3245,
     920,  1836, 86422,  3124, -4741, 86869,  2836,  3248, 94817,  3078,
   -4741,  1803, -4741,  2955, -4741, 59155, -4741, -4741, 59155, -4741,
   -4741, -4741, 94817, 73012, -4741,  2838, -4741, -4741, 29887, -4741,
   -4741, -4741,  2278, -4741, 94817,  2469,  2469, -4741, -4741,  3262,
    2912,  2914,  2278, -4741,  2278, -4741, 94817, -4741,  2837,  2842,
    2278,  2913,  2920,  2921, -4741,  2848,  2923,  2278, -4741, -4741,
    1776, -4741, -4741, 59155, 59155, -4741, 55132, 55132,  3166,   316,
    3168,  2905,  3174,  2916, 45324, 45324, -4741,   328, 55132, 73012,
   -4741, 73012, -4741, -4741, -4741, -4741, 94817, 94817, -4741, 55132,
   54238,  3183,  3184,   238, 73012, 73012, -4741, 73012, 73012, -4741,
   73012, 73012,  1737, 87316,   791, 57814, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, 73012, -4741, 73012, -4741, 73012, -4741,
   73012, -4741, 73012, -4741, -4741, -4741, 73012, -4741, 73012,  1742,
   -4741, -4741,  1794,  1101, 73012, 73012,   743, 59155, 73012,  3070,
   73012, 73012, 73012, 73012, 73012,  2944,  2572,    -8, -4741,   792,
     906, 67648,  3077, -4741, -4741,  1822,  1921,  1122, 73012,   982,
    1942, -4741, -4741, 63625, 62731,  3172,   173, 73012, -4741, -4741,
    5028, 29887,  1662, 27567, -4741, -4741, 14421,  2915, 29887, 29887,
    2869,  2278,  2278, -4741,   873, 29887, 29887, 29887,  2278,  2278,
    4015, 29887, 45324, 29887, 34063, 23942, 29887, 29887, 27103, -4741,
   29887,  3097, 34985, 29887,   332,  3101, 29887,   332,  4015,  3334,
    3334,  1449,  6278,  2877,  1662, -4741,  2278,   182, -4741,   291,
   94817, 29887, 29887, 29887, 29887, 51556,  2963,   233, 73012, 29887,
    2883,  1520, -4741, 29887, -4741,  2885, 29887,  2965,  1047, 29887,
   29887, 29887, 29887, 29887, 29887, 29887, 29887, 29887, -4741, 36332,
     453,  3182,  3201,    30,   480, 71224, 28031,  3193, 23012, -4741,
     237,  3193, -4741, -4741, -4741, 73012,  2999, -4741, -4741,  2968,
   -4741, -4741, -4741, -4741, -4741,   285, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741,  2888, -4741, -4741, -4741, -4741,  2888, -4741,
    2893, 11802,  2890, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,  3185,
    3186,   238, 73012,   274, 64519, -4741, 29887, -4741,  1828,  2896,
   -4741,  3163, -4741,  2897, -4741,  8875,  3163, -4741, -4741,   312,
    3014,  3159,  3106, -4741, -4741, -4741,  2902, 14421, -4741,  1659,
   14421,  1723, -4741, -4741, -4741, -4741, -4741, -4741,  1220, -4741,
   73012,   667,  2889,   214,  2964,   759,  3340, 73012, -4741, 41274,
    1829, 55132, 73012, 73012,  3102, -4741,  3324, -4741, 95683, -4741,
    2911, -4741, 95250, 91339, -4741, -4741,    59, -4741,   940, 55132,
   -4741, 73012, 73012, -4741, 51556, 55132, 73012, 73012, -4741, 55132,
   73012, 73012, -4741, -4741, -4741, -4741, -4741, 50215,   615, 62731,
    3043, 61837, -4741, -4741,  2917, 73012,  2971,  3170,  3175,  1193,
   -4741, -4741, 87763, -4741,  3126, 55132, 73012, 73012, 29887,  3128,
   73012, 73012, -4741,   263,  3001,  3002, -4741, 73012,  3003,  3150,
   59155,  2925, 73012, 73012, 94817,  3000,   863, 59155,  2974, 45772,
   73012, 73012, 73012, 73012,  3054,  3237, 94817, 73012,  3187,  1420,
   67648,   172,  2191,  2686,  3139, -4741,  3250,  1145, -4741, 55132,
   -4741, 73012,  3132, -4741, -4741, -4741, 71671,  3357,  3044, -4741,
   -4741, 88210, -4741, -4741, -4741,  1833, -4741, 55132, 55132, 73012,
    8140, 88657,  1266,  3152, -4741, -4741, 94817, -4741, 73012, 73012,
   73012,  3254,  3189, 73012, 64966, 89104, 89551,    80,    81,  3190,
   73012, 65413,  3191, -4741,  3073, 73012, -4741, -4741, 52003, 55132,
   73012,  1061, 51556, -4741, -4741, 73012, -4741,  3142,   282, -4741,
   73012, 10309, -4741, -4741,  3020,  3033, 73012,  3151,   193,  2294,
    2686, 73012, 73012,  2948,  1838, 55132, 73012, 51556, -4741,  3153,
      87, 67648, 67648, 55132, 73012, 67648, -4741, 73012, 81505, -4741,
   55132,  1065, -4741,  3104, 55132, 73012,  9329, -4741, -4741, -4741,
     319, -4741, -4741, -4741, -4741, -4741, 73012, 73012,   319, 73012,
   73012,   319,  1480, -4741, 55132, 73012, -4741, -4741, -4741, 55132,
   73012, 73012, -4741, 55132,  2835, 73012, 51556, -4741, 73012,  7215,
   73012, 73012, 73012, 73012, 73012, 73012, 55132, 73012, -4741, -4741,
    1421,  1045,  1048,  1396,   230, 73012,  3241, 73012, 89998, 55132,
   73012, 73012,  1223, 73012,  1702, -4741, -4741,  3079, -4741, 55132,
    1065, -4741,  8351, 73012, 73012,  3039,  3040,   176,  3122, -4741,
   -4741, -4741, -4741, -4741, -4741,   321,  3389, 90445,   321, -4741,
     321,  3223,  3021,  3023,   321, 73012, 73012, -4741, -4741, -4741,
   -4741,  3218, 73012,   321,   321,   321,  3133,  3176,   679,  3249,
    2983,  1842, -4741, -4741, 29887, 94817, 73012, -4741,  1851, -4741,
    2984,   808, -4741, -4741, 51556, 73012,   191,   127,  3296,  3188,
   60943,  2631,  3287, 73012,  3024, 73012,  3410,  3071, 67648,  2347,
   -4741,  2631, 73012, -4741,  1343, 62731, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, 73012, -4741, -4741,  3288, 73012, 29887,  3147,
   -4741,  1223,  2347,  2347,  2347,  2347, -4741, -4741, -4741, -4741,
    3192,  1810, -4741,  2985,  2347, 73012,  3112,  3316,  2631,  3008,
    3317, -4741,  2660,  3320,  1364, 73012,  3206, 60943,  1859,  3046,
    3222,  3434,  1836,  1223,  3225,  3211, -4741, 26205,  6252,  3215,
    3267, 58261,  3307,  3308,  3328, -4741,   174, -4741,  3451, -4741,
   29887,  1856,  3022,   194, -4741, -4741,  3026,  2842,  3042,  3045,
    3025,  3031, -4741,  2278,   190,  3036,  1298,   647,  3155,  2278,
    3253,  3038, -4741,   215, -4741,  2456, -4741, 73012, -4741, 73012,
   73012, 73012, 73012,   240, -4741, -4741,  2456,   238, -4741,  3284,
     194,  2456,  3154,  3344, 58261, -4741,   316, -4741,   323, -4741,
    3231,   238, -4741,  3251,  1836, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741,  1860, -4741, 73012, -4741,  3319,  3321,  3322,
    3047,  3050,  3075, 73012,  3051,  3047,   319,  3047,  2572,  2572,
    3047,  3050, 54685,  3490,  3345, -4741,  3135,  3053,  3354,   817,
   -4741,   867,    72,  3286, -4741, -4741, -4741, -4741, 94817, -4741,
   55132,  3094, 73012, 73012, -4741,   123,  3260,  3057, 54685,  3475,
     238, -4741, 59155, -4741, -4741, 94817,  3137,  3156, 59155,  3270,
    3109, -4741, -4741, -4741, -4741, -4741, -4741, -4741, 94817, -4741,
    3323, 73012, 73012,  1862, -4741, -4741,  1638, -4741,  1707, 29887,
     157, -4741, 12922,  1873, 29887,  3067,  3072, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741,  3084,  3375, -4741,  1882,  1886,  1896,
    3085,  3089,  3088,  3090, 13100,  3093,  3074, 34063, 34063, 26639,
    2863, -4741, 34063,  3096,  3278,  1901, 12306,  3095,  3103, 13157,
   28959, 29887, 28959, 28959, 13628,  3095,  3107,  1907, 51556,  3258,
   13717,  1914, -4741, 29887, 51556,  4979, 29887, -4741, 29887,  3108,
   -4741, -4741,  2601,  2601,  2601,  4015, -4741,  3115, -4741, 34063,
   34063, -4741,  3757, 26639, -4741, -4741,  3407, -4741, -4741,  1354,
   -4741,  3113, -4741, -4741,  3859, 45324,  5163, 29887,   290, 29887,
    2883, 29887,  3194,  2601,  2601,  2601,   372,   372,   292,   292,
     292,  1696,   480, -4741, -4741, -4741,  3116,  3119,  3123,  3297,
    3130, 29887, -4741,  1887,  2008, 73012,   335,  2397,  2802, -4741,
   -4741, -4741, 37231,  3158, 29887, 29887, 29887,  3111, -4741,  2126,
   14421,   690, -4741,   286,  3158, -4741,  1404,  2278,   182, 49768,
   -4741, -4741, 29887, -4741, -4741, -4741,  2058, -4741, -4741, -4741,
   14421, -4741,  1921, 29887, -4741, -4741,   961,  3136, 29887,  1659,
   -4741, -4741,  3164, -4741, 29887, -4741, -4741, -4741,  2572, -4741,
    3358, -4741, -4741, -4741, 37231,  3169,  3177,    32, 40375,  3326,
   -4741, 73012, -4741, 73012,   135, -4741,  3144, -4741, -4741, -4741,
   -4741, -4741, -4741, 91339,  1753, -4741, 95250, -4741, 95250, -4741,
    1753,  3537, -4741, 91339,  1685, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, 55132, 55132,
    3331, 73012,  3325,  3335, 29887,   777, 73012,  3141,  3143,  1381,
    3414, 73012, -4741,  3458,   238, -4741, -4741,  3221, -4741, 14421,
   -4741, -4741, -4741, -4741, -4741, 55132, 73012, -4741, 58261, -4741,
   73012, -4741, 94817, -4741, -4741, -4741, 73012,  3179, 73012, -4741,
   73012, 73012, 73012, -4741, -4741, -4741, -4741, -4741,  1056, 94817,
   -4741, -4741, 73012, 73012,   147,  3226,  3232, 73012, -4741,   146,
    2910,  8795, 73012, 73012, 73012,  3421, 73012, -4741, -4741, -4741,
   -4741,  3362, -4741, -4741, 91339, -4741,  2456,   626,  3233,  2686,
    3370, -4741,  3479,  3355, -4741,  1318, -4741, 73012,  3285, -4741,
   -4741, -4741, -4741,  3482,   238,  3483,   238, 73012, 73012, 73012,
   73012,  3294, -4741, -4741, -4741, -4741,  3295,  3409, -4741, 51556,
   51556, 51556,  1916, -4741, -4741,  1223, -4741, -4741, -4741, -4741,
   -4741, -4741,  3449, -4741,  1925, -4741,  1359, -4741, -4741, -4741,
   -4741, -4741, -4741, 55132, 73012,  9944,  3491, 73012, 73012, 73012,
    1773, -4741,  1107, 94817, -4741, 93085, -4741, -4741,  1929, -4741,
    3195, 73012,  3255, 55132,  3234,  3171,  3171, -4741, -4741,  3171,
   -4741, -4741, -4741,  3418,  3359, -4741,   322,  3361, 55132,  3242,
   -4741,  3264, -4741, -4741,  3266,  2425,  2686,  2660, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741,  1095, -4741, -4741,   677,   384,  2540,  2686,
   -4741,  3497, -4741,  3268, -4741,  3271, -4741, -4741, -4741,  3427,
    3428,  3430,  3279,  3280,  3336,  3283,  3291,  3337, -4741,  3293,
    3339,  3298,  3346,  3415,  3299,   238, 94817,  3432,  1223,  3341,
    3539,   238, -4741,  3301, -4741,  3302, -4741,  3649, -4741, 73012,
   -4741,  3309,  2578,  2686, -4741, -4741, 55132, 73012, -4741, -4741,
   -4741, -4741, -4741, -4741, 94817, 73012,  3492, -4741, -4741,   321,
   73012, 73012, -4741,  3493,  3494, 73012,  3495, -4741, -4741, -4741,
   -4741,   268, -4741, -4741, -4741,  3133,  3524, 42624, -4741,  3699,
    7162,  3236,   124, -4741, 51556, 42624,  1926,  1979,   367,   580,
   -4741, 58261, 73012, 58261, -4741,   127,  3355, 73012, 73012, 73012,
    3238,  3239, -4741, -4741, -4741, -4741, 55132,   184, 55132,  2278,
   -4741, -4741,  3310, -4741, 73012,  1836,  3701,  3553, -4741,  3171,
   -4741,  3665,  2786,  1245,  3391,  1625,  2439,  3608,  2058,   331,
   51556,  3046, -4741, -4741, -4741, -4741, 73012, 73012,   808,  1223,
   -4741,  3246,  3244, -4741, 73012,  3562, 73012, 73012, 73012, 73012,
    3094,  3259, 73012,  3257, 94817,   733,  3457,  3460,  2672,  3692,
    3583,  1921,  3046,  3342,  3585, 73012, -4741,  1933,   116, -4741,
    1223, 58261, 92219,  3575, -4741,  4628, -4741, -4741,   864, 73012,
    3564, -4741, -4741,  1921, -4741, 94817,  1938, -4741, -4741, -4741,
    2278, -4741, -4741,  1546,  1546,  3273, -4741,  3274, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741,  3275, -4741, -4741, -4741,   316,
    3343,   238,  3349,   238, -4741, -4741, 73012, -4741, 73012, 54238,
     238, -4741, -4741, 73012, -4741,  3590, -4741, -4741,  3405,  3408,
    3416, 73012,  3047, -4741,  3276, 55132,  1407, -4741, -4741,  3476,
   -4741, -4741, 67648,  3404, -4741, -4741, -4741, -4741,  3611,  3612,
   -4741, -4741, -4741,   232, -4741, -4741, -4741, 55132, 63178,   449,
   55132, -4741,  3545,  3550, -4741, -4741,  3554,   319, -4741,  3555,
   -4741,  3556,  3557, -4741, -4741, -4741,  3305, 13839, 29887, -4741,
    3630, 94817, -4741,  7200, -4741, -4741, -4741, 29887, -4741, -4741,
   -4741, -4741, -4741, 29887, -4741, 29887,  3609, -4741, 24407,  3759,
    3759,  3304, 94817, 34063, 34063, 34063, 34063,  1628,  2534, 34063,
   34063, 34063, 34063, 34063, 34063, 34063, 34063, 34063, 34527,   395,
   -4741,  3499, 29887, 29887,  3620,  3609, -4741, 94817,  3311,  3095,
    3312,  3313, 29887, -4741, -4741,  1940, 35434,  3314, 51556, -4741,
   29887, 12548,  1949,  3363, 14339,  1662,  7665,  1223, 29887,   850,
    2230, 29887,  1963, 29887,  3621, -4741, -4741, -4741,  3329, -4741,
   -4741, 94817, 29887,  3315,  4304, 34063, 34063,  4475, -4741,  5452,
   29887, 26639, -4741,  3513,  3360, 41723, -4741, 24872,  3318,   905,
     905,   905,   905, -4741, 73012, 73012, 73012, 37680,  3627,  3330,
   36781, 72118,  3332,  1888, -4741, 72118, 72565, 72118, -4741,  3338,
   -4741,  3333,  1662, 29887,  3629,   753,   753,  3513, -4741, 29887,
   29887, 29423,  3347, -4741,  3629,   139,  3351, -4741, -4741, 14421,
    3327, -4741,  3353, -4741,  3364, -4741,  3136,   255, -4741,  7973,
    3531, -4741, -4741, -4741,  3332, 30351,  3478, -4741, -4741, -4741,
    3386,  1964, -4741, -4741,  3725,  3478, -4741, -4741,  1976, 41274,
    3169, 29887,  1662,  1991,  1691, -4741, -4741, 91339, -4741,  3411,
    2456,  2456,  1218,  3047,  3650,  1218,  8089, -4741, -4741, 38129,
   73012, 73012, -4741, 73012,  1997,  1609, 73012, -4741, 73012, -4741,
   -4741, -4741, -4741,  3774, -4741, 73012, -4741, -4741,  3403,  3417,
   73012, 73012, 73012, 73012,  3614, -4741, -4741,  2094, -4741, -4741,
   55132, 73012, -4741, -4741, -4741,   450,  2685,  2686, -4741,  3437,
   -4741, -4741, -4741,  3633, -4741,  3778,  3453, 73012,  3688, 73012,
    3368, -4741,  1609,  3669,  1369,  2672,   378,  5478, -4741,  1664,
   -4741, -4741,  3439, -4741, -4741, 73012, -4741, 73012, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741,  3501, -4741, -4741, -4741, -4741,
   52003, -4741, -4741, 73012, -4741, 51556, 42624, 51556, -4741,   983,
     461,  2701,  2686, 73012, -4741,  3459, -4741,  3463,  3466,  3502,
    1134,   221,  3467,  3468,  3511,  3394,  3396,  3397, -4741, 51556,
   43084,  3547, 73012,  2456,  3400,  3440,   351,  1223, -4741, -4741,
    1223,  2456,  1223, 73012, 73012, 73012, 51556, -4741,  3815,  3496,
   73012, 73012, 73012, 73012,  3456, -4741, 73012, 73012,  3714,   243,
    1837, 55132, 73012, 73012, 55132, 73012, 73012, 73012, 73012, 73012,
   73012,  3726, 73012, -4741,  3803,  3735,  1961,  3773,  3486, 73012,
   -4741, 73012,  1223,  2910, 73012, 73012, -4741, -4741,  3419,  3678,
     321, -4741,  3682,  3683,   321,   321,  3685,   321, -4741, -4741,
     580, -4741,   268, 73012, -4741,  3364,  2024,  2071, -4741, -4741,
   -4741, -4741, -4741, -4741,  2983, -4741, -4741,  2010, 73012, -4741,
   -4741, -4741, 73012,  3426, 73012, 73012, 34063, -4741,  1820,  1547,
    1234, -4741,  3684, 73012,  2835, -4741, -4741, -4741,  3592, 73012,
   -4741, -4741, -4741, -4741, -4741,  1076,  3259, -4741,  3706, 60943,
    2456, 55132, 55132,  2456, -4741, 94817,  3435,  3046, -4741,   200,
    3515, 55132,  1245,  1522, 90892,  2844,  3470,  3634, 37231,  1095,
   -4741,  3441,  3591, -4741,  3452,  3450, -4741, -4741, 73012,  3355,
   54238,  2001,  2660,  3872,   937,  1802, -4741, 62284,  3636,  3259,
    3706, -4741, -4741, -4741,  3845,  3544, -4741,  1921, 73012,  3094,
    3544,  1223, 73012,  2971, -4741, 91339, 29887, 29887, -4741,  3454,
   -4741,  3461,  6253, -4741,  3528,  3462, -4741, -4741, -4741, -4741,
   -4741, -4741,  3542,  3465, 73012, -4741,  3469, -4741,  3480, -4741,
   -4741, -4741, -4741, -4741, -4741, 73012, -4741, 73012, -4741,   238,
   -4741,  3580, -4741,   238, 73012, 73012, 73012, 73012,  3047,   319,
   -4741,  3765, 54685, -4741, -4741,  2019, 73012, -4741, -4741, -4741,
    3830,   173,  3779, -4741, -4741,   888,   888,   888,  3729,   888,
     888,   888, -4741, 29887, 14421, -4741,  3473, -4741, 14421,  8490,
   14421,  3620, -4741,  2026, 29887, -4741,  2330,  2330,  2330,  4121,
    3781, -4741,  1196,  3481,  2330,  2330,  2330,   437,   437,   242,
     242,   242,  3759,   395, 14421, 14421, -4741, -4741,  3484, -4741,
   -4741, -4741,  3095, -4741, 30815,  3635,  3895, -4741, -4741, -4741,
    3522,  3523,  3487, -4741, 29887, 31279,  3485, 95683,  3676, -4741,
    1282, 29887, 29887,   919, -4741,  5563, 29887, 94817,  2033,   919,
     469, 29887,  2688,  3455, 29887, 29887,  5816,  8547,  3498, 29887,
   91772, -4741, -4741, -4741,  2034, 29887, 73012, 73012, 73012, 73012,
   -4741, -4741, -4741, 72118, 72565, 72118,  3500, 35883, 25322,  1888,
    3504, 73012, -4741, -4741,  3503, 37231,  3750,  3686, -4741, 37231,
    3686,  1631,  3686,  3753,  3586, 42172, -4741, -4741,  3506, -4741,
    3690, -4741, 23012,  1754, 14421,  3914,  3794, 29887,  3507,  3508,
    3509, 14421, 14421, 29887, -4741,  1223,  3794,  1223, -4741, -4741,
   45324, -4741, -4741, -4741, -4741, -4741,  3712, 14421, 28031, -4741,
    1921,  2081, 73012,  1662,   749, -4741,  3530, 73012, -4741,  3478,
   14421, -4741,  3589,  2035, -4741, -4741, -4741, -4741, -4741, -4741,
    3596, 62731,  3825, -4741, 29887,  2051, -4741,  3548,  3917,   358,
    2052,  2065,  1609, -4741,  2835, -4741,  1561,  3799,   205, -4741,
     238, -4741, 94817, -4741, 73012, 73012, -4741, -4741, -4741, -4741,
   73012,  2609, -4741, -4741, 73012, 73012, 73012, 73012, -4741, 55132,
   73012, -4741, 73012, -4741, 51556,  1979,  1820,  3811,  3736, -4741,
     319, -4741,  1820,  3737,   351, 73012, -4741, -4741,  2747, -4741,
   94817,   238,   238, -4741, -4741, -4741, -4741, -4741,  3540,  3941,
    3617, 73012, 73012, 73012, -4741, 73012, 55132, 73012, 73012,  2278,
    2278, 94817,  3529, -4741,  2278,  2278,  3533, -4741, 55132, 73012,
   73012, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741,  3628, -4741, 29887,  3933, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, 55132, 73012,  3632, -4741,  3637,
   -4741,  1337, -4741, -4741, 73012, 73012, 73012, 73012,  3869, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, 73012,
   -4741, 73012, -4741, -4741,  1223,  1223, 94817,   238,   238, -4741,
   -4741, -4741, -4741,  3814,   321, -4741,   321,   321, -4741, -4741,
     321, -4741,  3561,   175, -4741,  1609,   844,  3853, -4741,  3860,
   29887, -4741,  1204,  4121, -4741,  3918,  3993, -4741, -4741, -4741,
   -4741,  2835,  1836,  3623, 59155,   884, -4741,  3849,   191,  3775,
   60943,  3497,   278,  3569,  3691, -4741,  2456,  2456,  3631, 73012,
    4003, -4741, -4741, -4741, -4741, -4741, -4741, 55132,  3234, -4741,
    3789,  1053,  3883, 73012, 29887,  3332, -4741,  1462,  3886, -4741,
    1223, -4741, -4741,  3702,  3046, -4741,  1921, 73012,  3784, 60943,
    3094,  2073, -4741, -4741, -4741,  3622,  3997,  1859, -4741,  3497,
    3636,   222, 73012, -4741,  3638,  4017, -4741, -4741,  3897,  3791,
    3594, -4741, 14421, 14421,  1223, 96116,  4628, 94817,  3906, 73012,
     767,  3877,   238, -4741,   238,   238, -4741, 73012, -4741,  3047,
    3047,  3047, -4741,  3804, -4741, -4741,  3868, -4741,   238, 54685,
   -4741, -4741, -4741, -4741, -4741,   888, -4741, -4741, -4741, 14421,
   -4741, -4741, -4741, -4741,  8782, 34063,  3912, -4741,  3610, 94817,
   -4741,  3613,  2078,  2086, 34985,  3766, -4741, -4741, -4741,  9091,
    3663, 14421,  3720,  3616,  3618,   919,   919,  5563,  2088, -4741,
     919, 29887, 29887,   919,   919, 29887, -4741, -4741,  9433,  3802,
   -4741, -4741,  9523, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   52450,  3625,  3258, 72118,  3639, 73012,  1888, 37231, -4741, -4741,
    1992, -4741, 37231,  3875, -4741, 37231, 59155, -4741, 73012,  3640,
   73012, -4741,   690, 31743, 29887,  3660, -4741, -4741, -4741,  3513,
   -4741,  3660, -4741,  3626, 73012,  2566, -4741,    32, -4741, -4741,
    4006, 38129,  3968, 29887, -4741, -4741, -4741, -4741, 54685,  3829,
   54685,  1609, 10092,  2835, 38129, 46220, 73012, 73012, 73012,  3786,
    2835,  3623, -4741, -4741, -4741, -4741, -4741, -4741,  3641, -4741,
   -4741, -4741, -4741,  3709, -4741, -4741,    54,  3077, -4741,  2096,
   -4741,  4065,  3956, -4741, -4741, -4741, -4741, -4741, -4741,  3803,
   -4741, -4741, 42624, 55132, 73012, -4741,  3715, -4741, -4741, -4741,
   -4741, -4741, 39926, 45324, -4741,  1134,  3643,  3644,   221, -4741,
   -4741, -4741, 73012, 10162,  3646,   564,  3077, 73012, 73012,  3647,
    3652,  1466,  1391,  1345,  3047,  3947, -4741, -4741, -4741, -4741,
    3803, -4741, -4741,   321, -4741, -4741, -4741, -4741, 51556, -4741,
    2783, -4741,   580,  3989, 59155,  4080,  4080, 73012, -4741, 10808,
    3863, -4741, -4741,  3938,  3623,  3887,  3934, -4741,  3657, 73012,
    3823,  3662, 73012,  3659,  3785,  1019,  1019, 73012, 73012, 73012,
    2111,  1921,  2456,  3440,  1245,  3988, 60943,  4030,  3355,   346,
   -4741, -4741,  1462, -4741,  1441,  4004,  3717, -4741, 73012,  4104,
    3094,  3259, 73012,  3681, -4741, -4741, 62284,  3873,  1979, 96549,
    3460,  3636,  1859,  3816, -4741,  3817, -4741,  1328, -4741,  1921,
   73012, 73012, 38129, -4741, 95250, -4741,  2122, -4741, -4741, -4741,
    3758,  3158,  3797,  3800,  3687, 73012,   101, -4741, -4741, -4741,
   -4741, -4741, 73012, -4741,   449, -4741, -4741,  4212, 34063, 94817,
    2157, 29887, -4741, 29887, -4741,  4108, -4741, -4741, -4741,   754,
   -4741, -4741, -4741,   919,   919,   919, -4741,  4109,  3513, -4741,
   -4741,  2158,  4128, 33135,  4090, -4741, 73012,  2162, -4741, 29887,
    3700, -4741, -4741, 37231,  1992,  3703,  2166, 73012,  2168, 94817,
    3698,  3710,    28,  3711, 23477,  3697, -4741, -4741, -4741, -4741,
   -4741, 14421, 14421, 73012, -4741,  3705, -4741, -4741, -4741,  3760,
   73012,  2175, -4741,   650, 14421,  1407,  1218,   449,  3917,  3623,
   -4741,  3713, -4741, -4741, -4741,  1205,  1205, 73012,  3623, -4741,
   -4741, 73012,  3801, -4741, -4741, 51556,  4000, -4741,  3772, -4741,
     572,  3077, 73012, 94817, -4741,   100,  4027, -4741, 94817, 94817,
   -4741, -4741, -4741, 29887,  3818, -4741, -4741, -4741,  1039,   526,
   -4741, -4741, 73012, 73012, 73012, 73012, 73012,   238, -4741,  2176,
   -4741, 39027, -4741, -4741,  2770,  1223,  2770,  1544, -4741, -4741,
    2770, -4741,  2770, -4741,  3561,  1223,  4080,   342, -4741, -4741,
   -4741,  1604,  3949,  3738, -4741,   723,  3935,  3824,  3739, -4741,
   59155,  4197,  3259,  3706, 73012, -4741, -4741, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741,  2185,  3355,  4059,  3046,  3638,
   -4741, 73012,  3792, -4741, 37231, -4741, -4741, -4741,  2770, -4741,
      94,  3745,  4068,  3355,  1921, -4741,  3636,  3259,  3706, -4741,
   -4741, -4741,  3764, -4741,  3544,  1859,  3460, -4741, -4741,  4159,
    3957,  4166,  3094, -4741,  2971,  2194, -4741,  6253, 96116, 94817,
    4106,  3810,  3812, -4741, -4741,  3819, 73012, -4741, -4741,  3355,
   -4741,  4212,  2198, -4741,  2212,  2239,  3929,  3827, -4741, 29887,
    1641,  3338, 52450,  3777, -4741, 34063,  2240, -4741,  3732, 73012,
    2249, -4741, 14421, 73012, -4741, -4741, 29887, -4741,  2251, -4741,
   -4741, 29887,  3787, 29887, -4741, 31743,  3782, -4741,  4209, -4741,
    1921, -4741,  3158, 38129, -4741,  3896, -4741,  4089, -4741, 73012,
    3828, 45324,  3136,  3136,  1836, -4741,  1609, -4741, 73012, -4741,
    3738, 29887, -4741,  3876, -4741, -4741,  2257,  1365,  3948,  3948,
    2292,  2297, 11201, 73012, -4741, -4741, -4741, -4741, -4741, -4741,
    2298, -4741, -4741, -4741, -4741,  2302,  3050,  1345,  3050, -4741,
    3047, -4741, -4741, 51556, -4741, 52897, -4741, -4741, -4741,  1223,
   -4741,  1223,  4002, 73012, 47561,  1223,  1223, -4741, -4741, -4741,
   -4741, -4741,  4125,  4069, -4741,  2660, -4741, -4741, -4741, -4741,
     403, -4741,  3994,  3995, 73012, -4741,  3796, -4741,  2328,  3497,
    3919,  3355, -4741, -4741, 73012,  4228,  4231, -4741,  1066, 73012,
    3332, 73012, -4741, -4741, -4741, 29887,  3966, -4741,  3638,  1859,
    3497,  3636,  1979, 38578, -4741,  3460,  3544,  4001, -4741,  4007,
   -4741,  3805,  3046,  4628, -4741, -4741,   841,  4114,  4115, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741,  3095, 32207, 32207,
    3806, -4741, -4741, 73012,  4121,  3821, 33135, 51556,  2333, -4741,
   93518, -4741,  2340,  2345, -4741,  2357, 31743,  2363, -4741, 73012,
    3822, -4741, -4741, -4741, 41274, 54685,  1205,  3831, -4741,  3813,
   -4741, -4741,  3887,  1609,  3077, -4741, 14421, 73012, 59155,  4219,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741,  3077,  3894,  1039,
   -4741,   526, 73012, -4741, -4741,  2368, -4741, -4741, -4741, 73012,
    3441, -4741,  3441, -4741, -4741,  3955, -4741,  1370,   788,   788,
    4177, -4741,  3888, -4741, -4741,  3833, -4741,  4289,  3952, 73012,
   -4741, -4741,  1134,  1921, 60943,  3355, -4741, -4741, 11276, 59155,
   -4741,  3460,  3636,  1859, 29887,  2373, -4741,  3917,   358,  3544,
   -4741, -4741, -4741, 38129,  3544, -4741, -4741, -4741,  1619, 59155,
   59155, 33599,  3963,   198, 12865, -4741, -4741, -4741, -4741,  2374,
   34985, -4741, -4741, -4741, 73012,  4029,   979, -4741,  3984, -4741,
    2375, -4741, -4741, -4741,  1358,   449,  3136, 29887,  1609, -4741,
    3935, -4741,  3077, -4741, 73012, -4741,  3840, -4741, -4741, -4741,
   -4741, 52897,  3441,  3717, -4741, -4741,  4286, -4741,  1115, -4741,
   -4741, -4741, -4741, 73012,  3355,  3529,  3638, -4741, -4741,  3847,
    3544,  1859,  3460, 11311, -4741, 38578, 73012, 73012, -4741,  2381,
    3158, -4741,  2760, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
    3841,  3844,  4290, -4741, -4741, -4741, -4741, -4741, -4741,  3258,
   -4741, -4741, 34063, 34063,  4067, -4741,   979, -4741,  3858, -4741,
   -4741, -4741, -4741, -4741, 11671, -4741, -4741, -4741,  1039, -4741,
    4181, -4741, -4741, -4741,  3355, -4741, -4741, 51109, -4741,  3460,
    3544,  3917, -4741, -4741, -4741,  3046, -4741,  1993, -4741, -4741,
    2003,  2067,  3939,  4168, 32671,  4254,  4121,  4121, -4741, -4741,
   29887, -4741,  1609,  2388,  4031, -4741, -4741,  2390, -4741, -4741,
   -4741, -4741,  3544, -4741, 73012,  3544, -4741,  2760,  3971,  3973,
   -4741, 73012, 12020, -4741, 59155, -4741, 51109, -4741, -4741,  3158,
   -4741,  3905,  3907,  2392, -4741,  3871, -4741, -4741,  4171,  4174,
   -4741, 51109, 59155, 59155,  2400, -4741, -4741, -4741
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1620,  1403,   620,  1489,  1488,  1403,   253,     0,  1491,     0,
    1403,   416,  1095,     0,     0,     0,     0,   620,  1403,     0,
    1620,     0,     0,     0,     0,     0,  1633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1403,     0,     0,  1640,
       0,     0,     0,     0,  1633,     0,  1493,     0,     0,     0,
       0,     0,     2,     4,    71,    72,    31,    30,    91,    54,
      18,    62,   125,   124,   126,    41,    37,    79,    26,    28,
      38,    42,    64,    66,    44,    55,   103,    63,    24,    61,
      86,    67,    89,    49,    12,    13,    50,    14,    51,    15,
      52,    16,    99,    73,    92,    35,    60,    23,    43,    69,
      70,     5,    45,    81,    77,    11,    56,    57,    59,    83,
      84,    85,   108,    87,   120,    40,   117,    96,    97,   114,
      98,   115,     9,   100,    53,    17,   111,   110,   112,    80,
      46,    82,    68,    90,   109,    27,   113,    19,    20,    22,
      21,    58,    29,    65,    32,    88,   116,   106,   102,   121,
     119,   127,   104,    74,     7,     8,    93,     6,    25,    48,
      10,    34,    33,    47,    39,   123,    36,  1491,    95,   107,
      94,    75,   101,    78,   105,   122,    76,   118,  1593,  1592,
    1642,  1596,  1619,     0,  1608,  1402,  1401,  1387,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   619,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1413,  2214,  2229,  2230,  2231,  2232,  2233,  2234,
    2235,  2236,   387,  2237,  2238,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2511,  2512,  2513,  2514,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2515,  2516,  2255,  2256,  2257,
    2258,  2259,  2517,  2260,  2261,  2262,  2263,  2264,  2265,  2266,
    2267,  2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,
    2277,  2278,  2279,  2280,  2281,  2282,  2518,  2519,  2283,  2284,
    2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,
    2295,  2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,
    2305,  2306,  2307,  2308,  2309,  2520,  2310,  2311,  2312,  2521,
    2313,  2314,  2315,  2522,  2316,  2317,  2318,  2319,  2320,  2321,
    2322,  2323,  2523,  2524,  2324,  2325,  2326,  2327,  2328,  2329,
    2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,
    2340,  2525,  2341,  2342,  2343,  2344,  2526,  2527,  2528,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2529,  2353,  2354,
    2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,
    2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,  2530,  2531,
    2373,  2374,  2375,  2532,  2376,  2377,  2378,  2533,  2379,  2534,
    2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,  2535,
    2389,  2536,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
    2398,  2399,  2400,  2537,  2401,  2538,  2404,  2402,  2403,  2405,
    2406,  2407,  2408,  2409,  2410,  2411,  2412,  2413,  2539,  2414,
    2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,  2424,
    2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,
    2540,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2447,  2448,  2449,  2450,  2541,  2451,  2452,
    2453,  2454,  2542,  2455,  2456,  2457,  2458,  2459,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2543,  2468,  2469,  2470,
    2471,  2472,  2473,  2474,  2475,  2544,  2545,  2476,  2477,  2546,
    2478,  2547,  2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2548,
    2549,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,
    2505,  2506,  2507,  2550,  2551,  2552,  2553,  2554,  2555,  2556,
    2557,  2558,  2559,  2560,  2508,  2509,  2510,   386,  1583,  2182,
    2215,  2216,  1490,  1470,   620,     0,  1390,   415,  1620,     0,
       0,     0,     0,     0,     0,     0,     0,   848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     176,     0,     0,     0,     0,   441,   440,     0,     0,     0,
    1068,   446,     0,     0,     0,     0,     0,   608,  1532,  2402,
    1530,  1584,   254,   257,   258,   255,   256,  2204,     0,  1190,
    1191,  1193,     0,     0,     0,  1203,   888,   889,     0,     0,
       0,   897,     0,     0,     0,   886,     0,     0,     0,   902,
     899,     0,   903,   900,   883,   901,   890,     0,   882,     0,
       0,  1203,   904,     0,     0,   884,     0,     0,     0,     0,
    1391,  1529,   447,  1620,     0,  1507,  1508,  1509,  1491,  1498,
    1510,  1503,  1505,  1504,  1506,  1502,  2203,  2230,  1008,  1008,
    1008,  1008,  1005,  1006,  1008,  1008,  1008,  2421,     0,     0,
     987,     0,   989,  2205,  1008,  1013,   508,   508,   508,     0,
    1012,  1017,   508,     0,  1384,  1422,  2187,  1632,     0,   988,
    1383,  2476,  1521,     0,     0,  1218,  1214,  1216,  1217,  1215,
       0,     0,     0,  2437,  1395,   238,  2448,  2544,  2476,   237,
     232,   233,   206,  2234,     0,     0,  1012,     0,  1392,  1393,
     970,  1639,  1637,     0,  2169,  2253,  2268,  2356,   229,  2432,
    2438,  2448,  2544,  2476,  2507,   185,   195,   190,     0,   247,
    2448,  2544,  2476,   243,  1413,     0,  1609,  1739,  2178,     0,
    1386,  1385,  1492,     0,  1495,     0,  2416,  1613,  1616,  1497,
    1614,  1605,     0,     0,     1,  1620,  1486,  1636,  1636,     0,
    1636,     0,  1597,  1605,  1600,  1604,     0,     0,     0,     0,
    2214,  2561,  2562,  2563,  2564,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  2578,  2579,
    2580,  2581,  2582,  2583,     0,     0,     0,  2188,  2215,  2219,
       0,   907,     0,  1425,  2183,  1054,     0,     0,     0,     0,
       0,     0,     0,  1104,  1103,  2220,  2210,  2211,     0,  2208,
    2209,  2221,  2222,  2223,     0,  2329,     0,     0,     0,  2080,
    2091,  2092,  2093,  2257,  2313,  2088,  2089,  2090,  2082,  2083,
    2084,  2085,  2086,  2087,     0,     0,  1185,  2081,     0,  2329,
       0,     0,   155,     0,   132,     0,     0,  2329,     0,     0,
       0,     0,     0,     0,     0,  2329,     0,     0,     0,     0,
       0,   155,  2361,     0,   132,  2329,     0,     0,  1407,     0,
       0,     0,  1409,  1412,  1388,  1473,     0,  2178,     0,     0,
       0,   941,   934,     0,   942,   949,     0,     0,   951,     0,
       0,   935,     0,     0,     0,     0,   954,   955,     0,   956,
     936,   957,   937,   958,   938,   959,     0,     0,     0,     0,
     939,     0,     0,     0,  1399,     0,  1523,  1525,  1524,  1522,
     508,     0,     0,     0,     0,  2329,     0,     0,   132,  1458,
       0,  2329,   132,     0,     0,   445,   444,   132,  2208,   443,
     442,  2257,  2313,     0,  1094,     0,  1342,   132,  2329,     0,
     178,  2329,   692,  2329,  1497,     0,   623,     0,     0,   803,
    2361,   132,     0,     0,     0,     0,     0,     0,  1071,     0,
       0,     0,   607,   620,  1533,  1531,     0,  1194,   231,   230,
    1192,   895,  2329,  1136,   341,   341,     0,     0,  2329,  1444,
    2217,  1814,  1843,  1821,  1843,  1843,  1810,  1810,  2297,  1823,
    2329,  1811,  1812,  1848,     0,  1843,  1810,  1815,     0,  1813,
    1851,  1851,  1838,   341,   911,  1795,  1796,  1797,  1798,  1824,
    1825,  1799,  1830,  1831,  1835,  1800,  1865,  1810,  2218,   896,
       0,   887,  2329,   341,  1100,  2329,  2212,   165,     0,   885,
    2257,  2313,  2329,   341,  1187,     0,  2329,   161,  2329,   341,
    2329,   624,     0,     0,  2329,   341,  2329,  2361,   163,     0,
    2329,   341,   905,  2329,   341,  2180,  2329,     0,     0,  1526,
       0,  1500,  2548,  1515,     0,  1511,  1518,  1514,  1620,  1008,
    1007,     0,  1008,     0,  1008,     0,  1008,     0,  1008,     0,
       0,     0,  1008,  2206,  2207,   990,     0,  1014,     0,     0,
    1021,  1020,  1019,     0,     0,     0,  1022,     0,  1743,  1560,
       0,  1381,  1398,     0,     0,     0,  1071,  1221,     0,  1219,
    1210,  1211,  1394,   236,   234,     0,     0,     0,     0,     0,
       0,  1400,     0,     0,     0,     0,  2191,  2193,  2194,  2094,
    2164,     0,  2512,  2513,  2514,  2153,     0,  2515,  2516,  2517,
    2563,  1996,  1983,  1992,  1997,  1984,  1986,  1993,  2518,  2519,
    1931,  2520,  2521,  2201,  2522,  2523,  2524,  2526,  2527,  2528,
    2529,  1988,  1990,  2530,  2531,     0,  2202,  2533,  2534,  2385,
    2536,  2537,  2539,  2540,  1994,  2542,  2543,  2544,  2545,  2546,
    2547,  2200,     0,  1995,  2549,  2551,  2552,  2553,  2554,  2556,
    2557,  2558,  2559,     0,     0,     0,  2175,     0,  1963,     0,
    1803,  1804,  1826,  1827,  1805,  1832,  1833,  1806,     0,  2174,
    1868,  2045,  1962,  1979,     0,  1968,  1969,     0,  1961,  1957,
    1622,  2170,     0,  1958,  2190,  2192,  2154,  1622,  2168,   198,
     249,     0,   250,  2176,  2448,   186,   228,   200,   227,   201,
     199,     0,  2255,   187,     0,     0,   188,     0,     0,     0,
       0,   246,   244,     0,  1389,     0,  1741,  1740,  2161,     0,
    2162,  2179,   916,  1485,  1483,  1484,  1482,     0,  1479,  1481,
    1494,  1491,  2104,     0,  1615,     0,     0,     0,  1595,  1594,
       3,  1497,  1634,  1635,     0,     0,     0,     0,     0,     0,
       0,     0,  1688,  1650,  1651,  1653,  1685,  1689,  1697,     0,
    1601,     0,     0,  1745,     0,     0,     0,     0,     0,     0,
    1135,  2189,     0,     0,     0,     0,     0,   908,     0,     0,
       0,  1431,     0,  1433,  1434,  1435,     0,     0,  1436,  1437,
    1425,   240,  1443,  1441,  1424,  1426,  1439,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,   169,   170,     0,   636,
     620,     0,  2329,     0,     0,     0,     0,     0,  1143,  1150,
       0,     0,     0,     0,     0,     0,     0,     0,  1144,  1142,
    1145,   242,  1154,  1171,  1174,     0,  1102,  1105,     0,     0,
       0,     0,     0,  1276,     0,     0,     0,  1276,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   265,   277,   336,   599,     0,     0,     0,   602,     0,
    2329,     0,     0,     0,     0,  1189,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   130,
     131,   136,     0,     0,     0,     0,     0,     0,     0,   585,
     598,     0,     0,     0,     0,     0,   595,     0,     0,   132,
     269,   575,   581,     0,     0,     0,   699,   698,     0,     0,
       0,     0,  1358,  1357,     0,     0,     0,     0,  1448,  1447,
       0,     0,     0,     0,     0,  1276,     0,   259,   261,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   379,   380,     0,     0,     0,   136,
       0,     0,     0,     0,   271,     0,     0,  1408,  1405,  1406,
       0,  1411,     0,  1469,     0,   948,     0,     0,     0,     0,
     950,     0,   943,     0,     0,   940,  2257,  2313,     0,     0,
       0,     0,     0,     0,     0,   953,     0,     0,     0,   418,
       0,     0,   800,     0,     0,     0,     0,     0,     0,   811,
       0,  1425,  1457,     0,     0,     0,   629,     0,  2329,     0,
     134,   849,     0,   801,   446,     0,     0,     0,  1166,  1341,
     134,     0,     0,   172,     0,     0,   696,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   741,   740,     0,     0,
       0,   802,     0,     0,   134,     0,  2329,   578,  2329,     0,
     508,   508,     0,     0,  1070,  1073,     0,     0,     0,     0,
    1587,  1589,  1588,     0,  1586,     0,   339,   340,     0,  1177,
     798,  1202,     0,     0,  1842,  1829,  1837,  1836,     0,  1819,
    1818,  1817,     0,  1816,     0,  1843,  1843,  1841,  1820,  1795,
       0,     0,     0,  1847,     0,  1845,     0,   878,  1791,  1787,
       0,  1854,  1855,  1856,  1853,  1866,  1852,     0,  1801,  1857,
    1810,  1807,   898,     0,     0,  1175,     0,     0,  2329,   341,
    2329,     0,  2329,     0,     0,     0,  1179,   341,     0,     0,
    1359,     0,   894,   892,   891,   893,     0,     0,   876,     0,
       0,     0,  2329,   341,     0,     0,   871,     0,     0,   873,
       0,     0,     0,     0,  1620,     0,   217,   218,   216,  1516,
     219,  1517,  1513,  1499,     0,   998,     0,  1002,     0,   993,
       0,   999,     0,   994,   991,   992,     0,   997,     0,     0,
     509,   511,     0,     0,  2280,  2296,     0,  2319,  2349,  2350,
    2438,  2444,     0,  2471,  2481,     0,  1023,  1049,  1018,   710,
       0,     0,  1570,  1382,  2111,     0,  1620,     0,     0,     0,
       0,   235,   207,     0,     0,     0,  1051,  2437,  1397,   969,
     620,     0,  1959,     0,  1966,  1967,  2152,     0,     0,     0,
       0,     0,     0,  1965,  2119,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,  2132,     0,  2138,     0,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,     0,  1892,  1872,
    1873,  1963,  2104,     0,  1964,  2197,     0,  1865,  2173,  2094,
       0,  2091,  2092,  2093,     0,     0,     0,  2167,     0,  2102,
       0,     0,  1906,  2100,  1908,     0,     0,     0,     0,  2088,
    2089,  2090,  2082,  2083,  2084,  2085,  2086,  2087,  2098,  1888,
       0,     0,  2047,     0,  1887,     0,     0,  1701,     0,  2195,
    2155,  1701,   251,   252,   248,     0,     0,   203,   202,     0,
     221,   225,   226,   197,   224,     0,   220,   205,  2036,  2035,
     204,   196,   193,   191,   208,   210,   211,   194,   192,   245,
       0,  2160,     0,  2224,  2584,  2585,  2586,  2587,  2588,  2589,
    2590,  2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,
    2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,  2608,  2609,
    2610,  2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,
    2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,
    2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,
    2640,  2641,  2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,
    2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,
    2660,  2157,  2156,  2185,  2225,  2226,  2227,  2228,  2163,     0,
       0,   341,  1477,     0,  1474,  1698,     0,  1617,     0,     0,
    1487,  1612,  1611,  1643,  1644,  1087,  1610,  1668,  1669,  1664,
       0,     0,     0,  1694,  1692,  1660,  1654,  1659,  1657,     0,
    1661,  1868,  1687,  1599,  1648,  1649,  1652,  1598,     0,  1690,
       0,  1573,  1688,  1653,  1557,     0,  1535,     0,  1746,     0,
       0,     0,     0,     0,  1115,  1117,     0,  1116,     0,  1119,
       0,  1128,     0,     0,  1114,  1133,     0,  1122,  1120,     0,
    1446,     0,     0,   909,     0,     0,     0,     0,  1432,     0,
       0,  2471,   239,  1435,  1440,  1427,  1438,     0,     0,     0,
       0,     0,  1053,  1052,     0,     0,  1075,     0,     0,     0,
    1453,   497,     0,   338,     0,     0,     0,     0,     0,     0,
       0,     0,   796,   793,     0,     0,   792,     0,   634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,  1276,     0,   704,     0,  1152,     0,     0,  1151,     0,
    1155,     0,     0,  1153,  1148,  1149,  2438,  2448,  2476,   241,
    1173,     0,  1172,  1170,  1097,     0,  1098,     0,     0,     0,
       0,     0,  2306,  2329,   281,   300,     0,  1275,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   323,     0,     0,   326,   325,     0,     0,
       0,     0,     0,   330,   309,     0,   310,     0,     0,   329,
       0,     0,   600,   601,     0,     0,     0,     0,  1276,     0,
     273,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
     727,     0,     0,     0,     0,     0,  1345,     0,     0,   158,
       0,   153,   157,     0,     0,     0,     0,   583,   584,   597,
       0,   588,   589,   586,   590,   591,     0,     0,     0,     0,
       0,     0,     0,   582,     0,     0,   694,   693,   697,     0,
       0,     0,  1354,     0,  1166,     0,     0,  1353,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,  1222,
       0,     0,     0,     0,     0,     0,   839,     0,     0,     0,
       0,     0,     0,     0,     0,   160,   714,     0,   713,     0,
     154,   159,     0,     0,     0,     0,     0,     0,     0,   215,
    1404,  1410,  1472,  2186,  1471,     0,     0,     0,     0,   952,
       0,     0,     0,     0,     0,     0,     0,   944,   945,   946,
     947,     0,     0,     0,     0,     0,   393,     0,     0,     0,
    2217,     0,   827,   799,     0,     0,     0,   813,     0,   816,
     819,     0,  1423,   465,     0,     0,   626,   672,     0,     0,
     449,   167,     0,     0,     0,     0,   729,     0,     0,     0,
    1340,   129,   176,   178,   447,     0,   177,   179,   181,   182,
     183,   180,   184,     0,   691,   695,     0,     0,     0,     0,
     622,     0,     0,     0,     0,     0,   742,   746,   745,   749,
     747,     0,   743,     0,     0,  1766,     0,     0,   152,     0,
       0,   573,   577,     0,     0,     0,     0,   449,   549,   352,
    2329,     0,   508,     0,  2329,     0,  1072,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,   341,  1137,     0,  1445,
       0,     0,     0,   341,  1840,  1839,  1792,  1788,     0,     0,
       0,     0,   912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1808,   341,  1101,   166,  2213,     0,   880,     0,
       0,     0,     0,   341,  1188,   868,   162,   341,   625,     0,
     341,   164,     0,     0,     0,   617,   341,   906,   341,  2181,
       0,   341,  1528,  2329,   508,  1501,  1512,   995,  1004,  1003,
    1001,  1000,   996,     0,  1015,     0,   507,     0,     0,     0,
    1029,  1030,     0,     0,  1028,  1031,     0,  1033,  1025,  1024,
    1034,  1035,     0,     0,  1051,   708,     0,     0,     0,     0,
    1567,     0,  1565,     0,  1744,  1569,  1558,  1520,     0,  1519,
       0,   566,     0,     0,  1220,     0,     0,  1012,     0,     0,
     341,  1396,     0,   971,   977,     0,     0,     0,     0,     0,
       0,   980,   981,   982,   973,   983,   974,   984,     0,   975,
       0,     0,     0,     0,  2165,  2115,     0,  2116,     0,     0,
    2151,  2147,     0,     0,     0,     0,     0,  2120,  2123,  2124,
    2125,  2122,  2126,  2121,     0,     0,  2127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2540,     0,     0,     0,
       0,  1932,     0,     0,  2075,     0,  2104,  2137,     0,     0,
       0,     0,     0,     0,  2104,  2143,     0,     0,     0,     0,
    2034,     0,  2031,     0,     0,     0,     0,  2164,     0,     0,
    2198,  1869,  1883,  1884,  1885,  1889,  2172,     0,  2166,     0,
       0,  1870,  1897,     0,  2144,  1924,     0,  1929,  1912,     0,
    1905,     0,  1910,  1914,  1893,     0,  1890,     0,  2167,  2103,
       0,  2101,     0,  1880,  1881,  1882,  1874,  1875,  1876,  1877,
    1878,  1879,  1886,  2079,  2077,  2078,     0,     0,     0,  2055,
       0,     0,  1909,  2322,  2356,     0,  1633,  1633,  1633,  1621,
    1631,  2171,     0,  1761,     0,     0,     0,     0,  1971,     0,
    2108,  1642,  2106,  1120,  1761,  2177,     0,     0,  1865,     0,
    1742,  2158,  2161,   914,   915,   913,  1497,  1480,  1476,  1475,
    2105,  1496,  1620,     0,  1085,  1086,     0,  1090,     0,     0,
    1662,  1695,     0,  1686,     0,  1666,  1667,  1658,  1696,  1571,
       0,  1691,  1603,  1602,     0,  1764,     0,     0,     0,  1549,
    1537,     0,  1747,     0,  1701,  1575,     0,  2164,  1699,  1318,
    1224,  1283,  1118,     0,  1810,  1129,     0,  1113,     0,  1112,
    1810,     0,  1130,     0,  1810,  1319,  1225,  1284,   910,  1320,
    1226,  1285,  1321,  1227,  1442,  1430,  1429,  1428,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   777,  2329,   341,  1451,  1322,     0,  1228,   337,
    1452,  1286,  1456,   795,   794,     0,     0,  1287,     0,   635,
       0,   639,     0,   641,   642,   643,     0,     0,     0,   644,
       0,  2257,  2313,   646,   649,   656,   661,   651,     0,     0,
     663,   657,     0,     0,     0,     0,     0,     0,   669,   674,
       0,     0,     0,     0,     0,     0,     0,  1146,  1147,  1323,
    1231,     0,  1288,  1096,     0,  1232,   168,     0,     0,   266,
    2329,   283,     0,   676,   777,  1278,   307,     0,     0,   322,
     317,   318,   316,  2329,   341,  2329,   341,     0,     0,     0,
       0,     0,   319,   314,   315,   311,     0,     0,   324,  2233,
    2298,  2449,     0,   680,   682,     0,   687,   327,  1250,   348,
     347,   346,     0,   331,     0,   353,   356,   328,   305,   308,
     306,   302,   278,     0,     0,     0,     0,     0,     0,     0,
       0,  2184,     0,     0,  1181,     0,  1326,  1289,     0,  1309,
       0,     0,     0,     0,   721,  1346,  1348,  1338,  1238,  1347,
     156,  1265,   145,     0,     0,   141,     0,     0,     0,     0,
     135,     0,  1329,  1239,     0,     0,   270,   576,   587,   592,
    1244,   596,   593,  1299,   594,  1336,  1240,  1332,  1268,  1294,
    1339,  1355,  1241,  1166,  1350,  1352,     0,  1276,     0,   260,
     262,     0,   280,     0,  1242,     0,  1292,  1331,  1267,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,   341,     0,     0,     0,  1278,
    2329,   341,  1330,     0,  1273,     0,  1307,     0,   381,     0,
    1266,     0,     0,   272,  1246,  1301,     0,     0,   213,   212,
     214,   961,   921,   960,     0,  2296,     0,   920,   922,     0,
       0,     0,   923,     0,     0,     0,     0,   919,   917,   918,
     392,     0,   417,   390,   391,   393,     0,     0,   826,     0,
       0,     0,     0,   815,     0,     0,     0,  1449,     0,   132,
     633,     0,     0,     0,   628,   671,   676,     0,     0,     0,
       0,   448,   452,   456,   457,   458,     0,     0,     0,     0,
     146,   133,     0,   857,     0,   508,     0,   731,  1344,  1343,
    1165,     0,   178,   171,     0,     0,   692,     0,  1497,     0,
       0,   352,   810,   808,   807,   809,     0,     0,     0,   831,
     806,     0,  1765,  1767,     0,     0,     0,     0,     0,     0,
     566,   451,     0,     0,   511,     0,     0,   553,     0,     0,
       0,     0,   352,     0,     0,     0,  1107,     0,  1125,  1108,
       0,     0,     0,     0,  1159,  1166,  1160,  1138,     0,     0,
     605,  1590,  1591,     0,  1178,     0,     0,  1809,  1822,   879,
       0,  1850,  1849,  1851,  1851,     0,  1793,     0,  1834,  1859,
    1860,  1861,  1862,  1863,  1864,     0,  1858,  1802,  1176,   341,
       0,   341,     0,   341,  1180,  1360,     0,   877,     0,     0,
     341,   870,   872,     0,   874,     0,  1016,   510,     0,     0,
       0,     0,  1027,   603,  1032,     0,  1044,  1039,  1041,     0,
    1045,   707,     0,     0,  1568,  1561,  1563,  1562,     0,     0,
    1559,  2112,   869,     0,   572,  1212,  1213,     0,     0,   341,
       0,  1046,     0,     0,   978,   972,     0,     0,   976,     0,
     979,     0,     0,  1638,  2113,  2114,     0,     0,     0,  2148,
       0,     0,  2009,     0,  1985,  1987,  1999,     0,  2010,  1970,
    2011,  1989,  1991,     0,  2095,     0,     0,  2000,     0,  1934,
    1935,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1950,  1949,
    2001,  2074,     0,     0,  2135,  2136,  2002,     0,     0,  2142,
       0,     0,     0,  2007,  2012,     0,     0,     0,     0,  2018,
       0,  2039,     0,     0,     0,  1960,  2105,     0,     0,     0,
       0,     0,     0,     0,     0,  1930,  1913,  1907,     0,  1911,
    1915,     0,     0,     0,  1901,     0,     0,  1899,  1925,  1895,
       0,     0,  1926,     0,     0,     0,  1978,     0,     0,  1633,
    1633,  1633,  1633,  1630,     0,     0,     0,     0,  2435,  2560,
       0,  1725,  1700,  1702,  1712,  1725,  1730,  1725,  1980,  1759,
    1981,     0,  2178,     0,  1671,  1642,  1642,  1642,  1977,     0,
       0,     0,     0,  1641,  1671,   189,     0,   222,   209,  2160,
       0,  1478,     0,  1645,     0,  2096,  1090,     0,  1647,     0,
       0,  1693,  1655,  1572,  1556,     0,  1554,  1541,  1543,  1542,
       0,     0,  1544,  2164,     0,  1554,  1536,  1580,     0,     0,
    1764,     0,  1579,     0,  1810,  1110,  1111,     0,  1134,     0,
    1056,  1057,     0,  1055,     0,     0,     0,   496,  1074,     0,
       0,     0,   777,     0,     0,   500,     0,  1454,     0,  1337,
    1264,   637,   638,     0,   650,     0,   659,   658,     0,     0,
       0,     0,     0,     0,     0,   645,   665,   609,   666,   668,
       0,     0,   667,   670,   673,  1276,     0,   705,  1252,     0,
    1305,  1140,  1279,     0,  1099,     0,     0,     0,     0,     0,
       0,   465,   301,     0,     0,     0,   361,     0,   285,   293,
     359,   299,     0,  1282,   333,     0,   304,     0,   297,   320,
     312,   321,   313,   332,   334,     0,   684,   685,   683,   679,
       0,   686,   688,     0,   350,     0,     0,     0,  1325,     0,
    1276,     0,   274,     0,  1248,     0,  1303,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1308,     0,
       0,     0,     0,   726,     0,   723,     0,     0,   138,   137,
       0,   144,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,     0,     0,     0,     0,   279,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   382,   343,     0,   834,     0,     0,     0,
     384,     0,     0,     0,     0,     0,  1324,  1233,     0,     0,
       0,   932,     0,     0,     0,     0,     0,     0,   395,   396,
     132,   394,     0,     0,   825,  2385,  2082,  2083,   823,   829,
     820,   822,   824,   821,     0,   828,   777,     0,     0,   812,
     817,   818,     0,     0,     0,     0,     0,   480,     0,     0,
       0,   471,     0,     0,  1166,   464,   467,   468,     0,     0,
     629,   632,   630,   631,   664,     0,   451,   487,   535,     0,
     148,     0,     0,   149,   147,     0,     0,   352,   728,     0,
     725,     0,   174,   447,     0,   696,     0,     0,     0,  1166,
     621,   748,   751,   744,     0,   830,   832,   804,     0,   676,
       0,     0,   578,     0,   508,  1529,   561,     0,   537,   451,
     535,   547,   546,   548,     0,   555,   351,     0,     0,   566,
     555,     0,     0,  1075,  1106,     0,     0,     0,  1156,  1161,
    1157,     0,     0,  1121,     0,  1158,  1139,  1093,  1376,  1377,
    1374,  1375,     0,     0,     0,  1582,     0,  1828,     0,  1846,
    1844,  1789,  1794,  1867,   881,     0,   864,     0,   866,   341,
     715,     0,   618,   341,     0,     0,     0,     0,  1026,     0,
    1042,     0,     0,  1009,  1048,     0,     0,  1566,  1564,   564,
       0,  1051,     0,  1010,  1050,     0,     0,     0,     0,     0,
       0,     0,  2117,     0,  2150,  2146,     0,  1982,  2118,     0,
    2130,  2129,  2075,     0,     0,  1933,  1945,  1946,  1947,  2131,
       0,  1955,     0,     0,  1942,  1943,  1944,  1936,  1937,  1938,
    1939,  1940,  1941,  1948,  2140,  2139,  2133,  2134,     0,  2004,
    2005,  2006,  2141,  2013,     0,  2248,  2040,  2017,  2033,  2032,
       0,     0,     0,  2020,     0,     0,  2029,     0,  2076,  2199,
    1871,     0,     0,  1898,  2145,  1916,     0,     0,     0,  1894,
    2095,     0,     0,     0,     0,     0,  1903,     0,     0,     0,
    2058,  2053,  2054,  2072,     0,     0,     0,     0,     0,     0,
    1624,  1623,  1629,  1725,  1730,  1725,     0,     0,  1605,     0,
    1712,     0,  1724,  1710,  1723,     0,     0,  1736,  1734,     0,
    1736,     0,  1736,     0,  1704,     0,  1726,  1706,  1723,  1708,
       0,  1751,     0,  2179,  1760,     0,  1684,     0,     0,     0,
       0,  2109,  2110,     0,  2107,  1972,  1684,     0,  2159,  1618,
       0,  1646,  1088,  1089,  1663,  1656,  2276,  1762,     0,  1555,
       0,     0,     0,  1546,  1552,  1534,     0,     0,  1576,  1554,
    1577,  1131,     0,     0,  1123,  1062,  1065,  1063,  1061,  1064,
       0,     0,     0,   777,     0,     0,   516,     0,  1082,  1082,
       0,     0,   502,   558,  1166,   780,     0,     0,     0,   778,
     341,  1229,     0,   660,     0,     0,   655,   653,   652,   654,
       0,   610,  1335,  1230,     0,     0,     0,     0,  1141,     0,
       0,  1251,     0,   282,     0,   461,     0,   294,     0,   290,
       0,  1277,     0,     0,     0,     0,   289,   363,     0,   360,
       0,   341,   341,   335,   681,   349,   354,   355,   358,     0,
       0,     0,     0,     0,  1281,     0,     0,     0,     0,     0,
       0,     0,   858,   841,     0,     0,   859,   860,     0,     0,
       0,  1183,  1184,  1182,  1310,  1311,  1316,  1313,  1312,  1315,
    1317,  1314,     0,  1236,     0,     0,   719,   142,   139,   140,
     143,  1262,  1245,  1300,  1351,     0,     0,     0,  1243,     0,
    1293,     0,  1258,  1254,     0,     0,     0,     0,     0,  1334,
    1272,  1298,  1333,  1270,  1296,  1269,  1295,  1271,  1297,     0,
    1263,     0,  1769,   838,     0,     0,     0,   341,   341,   837,
     717,  1247,  1302,     0,     0,   924,     0,     0,   926,   927,
       0,   929,   400,   420,   737,   797,     0,     0,   814,   776,
       0,   469,     0,   475,   478,     0,     0,   482,   483,   481,
     470,  1166,   508,   557,     0,     0,   787,     0,   627,     0,
     449,     0,   484,     0,     0,   453,   151,   150,     0,     0,
       0,   732,   736,   734,   733,   735,   730,     0,   721,   178,
    2329,     0,     0,     0,     0,   559,  1349,     0,   761,   805,
       0,  1768,   711,     0,   352,   574,     0,     0,     0,   449,
     566,     0,   454,   459,   460,   465,     0,   549,   536,     0,
     537,     0,     0,   563,  1421,     0,   567,   569,     0,     0,
       0,  1109,  1126,  1127,     0,     0,  1166,     0,     0,     0,
       0,   612,   341,  1790,   341,   341,  1209,     0,   875,  1038,
    1037,  1036,   604,     0,  1040,   709,     0,   565,   341,     0,
     986,   966,   985,   965,   967,     0,   964,   962,   963,  2149,
    1998,  2008,  2128,  2074,  2105,     0,     0,  1956,     0,     0,
    2003,  2550,     0,     0,     0,     0,  2037,  2038,  2019,     0,
    2375,  2024,     0,     0,     0,  1922,  1920,  1917,     0,  1918,
    1902,     0,     0,  1900,  1896,     0,  1927,  2044,     0,  2060,
    2057,  2071,  2105,  1628,  1627,  1626,  1625,  1711,  1707,  1709,
       0,  2555,     0,  1714,  1721,     0,  1703,     0,  1735,  1731,
       0,  1732,     0,     0,  1733,     0,     0,  1705,     0,  1721,
       0,  1758,  1642,     0,     0,  2049,  1975,  1976,  1973,  1642,
    2196,  2049,   223,     0,     0,  1553,  1538,     0,  1539,  1545,
       0,     0,     0,     0,  1581,  1574,  1124,  1132,     0,     0,
       0,   498,     0,  1166,     0,     0,     0,  1084,  1084,     0,
    1166,   557,   782,   781,   784,   779,   783,  1455,     0,   647,
     648,   662,  1253,     0,  1306,  1260,     0,  1570,   284,     0,
     677,     0,     0,   286,   362,   364,   287,   288,   291,   343,
     303,   296,     0,     0,     0,  1249,     0,  1304,  1256,  1327,
    1234,  1290,     0,     0,   847,     0,     0,     0,     0,  1328,
    1235,  1291,     0,     0,     0,     0,  1570,     0,     0,     0,
       0,     0,     0,     0,  1464,     0,  1280,   342,   836,   835,
     343,   383,  1274,     0,   925,   930,   931,   928,     0,   389,
     397,   421,   132,     0,     0,  1200,  1200,     0,   777,     0,
       0,   466,   479,     0,   557,   515,     0,   472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   724,   723,   173,     0,   449,     0,   676,     0,
     755,   756,   750,   752,     0,   763,   767,   833,     0,     0,
     566,   451,     0,     0,  1527,   450,     0,     0,   462,     0,
     553,   537,   549,     0,   550,     0,   554,     0,  1414,     0,
       0,     0,     0,  1162,     0,  1168,     0,  1120,  1091,  1163,
       0,  1761,     0,     0,     0,     0,   616,  1201,   865,   867,
     716,  1043,     0,  1047,   341,   968,  2076,  1951,     0,     0,
       0,     0,  2014,     0,  2015,  2042,  2041,  2021,  2025,     0,
    2022,  2023,  1919,  1923,  1921,  1904,  2046,     0,  1642,  2073,
    1754,     0,  1757,     0,     0,  1713,     0,     0,  1715,     0,
       0,  1717,  1719,     0,     0,     0,     0,     0,     0,  2182,
       0,  2275,  2524,  2434,     0,  1670,  1672,  1675,  1677,  1676,
    1678,  1674,  1683,     0,  1607,     0,  1606,  2097,  1763,     0,
       0,     0,  1076,     0,  1578,  1044,     0,   341,  1082,   557,
     517,  2385,   518,  1081,  1083,  1087,  1087,     0,   557,   777,
     640,     0,     0,   267,   675,     0,     0,   295,   345,   357,
       0,  1570,     0,     0,   845,   854,   854,   842,     0,     0,
     861,  1237,   720,     0,     0,   263,  1259,  1255,     0,     0,
    1466,  1467,     0,     0,     0,     0,     0,   341,   933,     0,
     423,   430,   401,   406,  1458,     0,  1458,     0,   403,   407,
    1458,   402,  1458,   399,   400,     0,  1200,     0,  1197,  1196,
     775,     0,   506,   580,   473,     0,   526,     0,     0,   788,
       0,     0,   451,   535,     0,   495,   488,   489,   490,   491,
     492,   493,   494,   486,   485,     0,   676,   851,   352,  1421,
     718,     0,     0,   689,     0,   753,   758,   757,  1458,   762,
       0,     0,     0,   676,     0,   562,   537,   451,   535,   455,
     465,   539,     0,   540,   555,   549,   553,   551,   552,     0,
       0,     0,   566,  1468,  1075,     0,  1167,     0,     0,     0,
       0,     0,     0,  1204,   611,     0,     0,   615,   606,   676,
    1011,  1952,     0,  1953,     0,     0,     0,  2027,  2026,     0,
    2063,  1759,     0,     0,  1753,     0,     0,  1783,     0,     0,
       0,  1722,  1738,     0,  1718,  1716,     0,  1727,     0,  1729,
    1972,     0,     0,     0,  1679,     0,  2048,  2050,     0,  1974,
       0,  1551,  1761,     0,  1548,     0,  1058,     0,  1059,  1084,
     521,     0,  1090,  1090,   508,   777,   499,  1261,     0,   678,
     580,     0,   298,     0,   275,  1257,     0,     0,   856,   856,
       0,     0,     0,     0,   370,   377,   376,   371,   369,   378,
       0,   374,   368,   367,   372,     0,  1460,     0,  1461,  1462,
    1465,   385,   398,     0,   428,     0,   426,   425,   427,     0,
     414,     0,     0,     0,     0,     0,     0,   388,   419,  1195,
    1199,  1198,     0,     0,   474,     0,   476,   512,   513,   514,
       0,   477,   522,   523,     0,   785,     0,   790,     0,     0,
       0,   676,   534,   700,     0,     0,     0,  1415,     0,     0,
     560,     0,   764,   765,   760,     0,     0,   712,  1421,   549,
       0,   537,   463,     0,   436,   553,   555,     0,  1418,     0,
     568,     0,   352,  1166,  1169,  1164,  1380,     0,     0,   614,
     613,   706,  1954,  2030,  2016,  2043,  2028,  2059,     0,     0,
       0,  1752,  1755,     0,  1786,     0,     0,     0,     0,  1772,
       0,  1720,     0,     0,  1728,     0,     0,     0,  1673,     0,
       0,  1540,  1550,  1077,     0,     0,  1087,     0,   777,     0,
    1079,  1078,   515,   501,  1570,   292,   344,     0,     0,     0,
     852,   855,   843,   844,   863,   862,   722,  1570,     0,     0,
     365,     0,     0,   424,   433,     0,   431,   404,   409,     0,
     413,   411,   410,   405,   408,     0,   505,     0,     0,     0,
       0,   524,     0,   525,   556,     0,   789,     0,     0,     0,
     702,   850,     0,     0,   449,   676,   754,   759,     0,     0,
    1416,   553,   537,   549,     0,     0,   541,  1082,  1082,   555,
     434,  1419,  1420,     0,   555,  1092,  1379,  1378,  1620,     0,
       0,  2511,  2276,  2483,     0,  2061,  2064,  2062,  2056,     0,
       0,  1784,  1785,  1770,     0,     0,  1774,  1737,  1750,  1681,
       0,  1680,  2051,  2052,  1761,   341,  1090,     0,   503,   519,
     526,   268,  1570,   846,     0,   264,     0,   375,   373,  1463,
     429,     0,   412,   767,   579,   531,     0,   530,     0,   528,
     527,   786,   791,     0,   676,   840,  1421,   690,   766,     0,
     555,   549,   553,     0,   538,     0,  1084,  1084,   438,     0,
    1761,  1362,  1620,  1361,  1363,  1371,  1368,  1370,  1369,  1367,
    1207,  1208,     0,  2068,  2067,  2066,  2070,  2069,  1756,     0,
    1773,  1776,     0,     0,     0,  1782,  1775,  1777,     0,  1748,
    1682,  1547,  1060,  1080,     0,   777,   276,   853,     0,   432,
       0,   529,   533,   532,   676,   701,  1417,   770,   437,   553,
     555,  1082,   542,   544,   543,   352,  1066,     0,  1372,  1366,
    1605,  1592,     0,     0,     0,     0,  1779,  1780,  1781,  1778,
       0,   520,   504,     0,     0,   703,   772,     0,   768,   771,
     773,   774,   555,   435,  1084,   555,  1364,  1620,     0,     0,
    2065,     0,     0,   366,     0,   738,     0,   439,   545,  1761,
    1365,     0,     0,     0,  1749,     0,   769,  1067,     0,     0,
    1771,   770,     0,     0,     0,  1205,  1206,   739
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4741, -4741, -4741,  3565, -4741,  -873,   344,  2805,  -975, -4741,
   -4741, -4741,  1156, -4741, -4741, -4741, -4741,  3510, -4741,  1927,
   -2339, -4741, -4741,   141,  3447, -1242,   112,  3041,  1583, -4741,
   -1100, -4741, -4741,  -549,    84, -4741,  3464,   488, -4741, -4741,
   -4741, -4741, -4741, -4741, -4741, -4741,  -788,  2040,  2112,  1427,
    -840, -2573, -4741, -4741, -1376, -3096, -4741,   760, -4741,   793,
   -4049, -4482, -4741,  -871,  -699, -4741, -4741,  2027, -4741, -4741,
   -4741,  1248,   672,  -378, -4741, -4741, -4741, -4741, -4741, -4741,
   -4741,  -556, -4741, -4741,  -791,   158,    40, -2358, -3596, -4741,
   -4741,   632,  -194, -1391, -4741, -3436, -4741,   177, -3648, -4741,
   -4741, -4741,  -163, -1359,  1529, -4741,  -679, -1117,  1831,  -665,
   -4741,   -44, -4741,  -768,  -570,  -568,  -694, -3635, -4106, -4741,
   -4741, -4741,  -798, -4117, -4388, -3594, -3334,  1541, -4741,   160,
   -3009, -3092,   161,   600, -4741,   162,   163, -4741,   620,  -497,
    -876, -1467, -4741,  -747, -4741, -4741, -4741, -2803, -4741, -4741,
   -4741, -4741,    64, -4741, -4741, -4741, -4741,   664, -4741, -4741,
   -4741, -4741, -4741, -4741, -2577,  1999,  2000, -4741, -3050, -4741,
    -859, -4741,   811, -2860,  1448, -4741, -4741,  1236,  3514,   649,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -1560, -4741, -4741,
   -4741, -4741,   181,  -138, -4741, -4741, -4741, -4741, -4741, -4741,
     165, -4741,  2015,  1229, -4741, -4741,  -144, -4741, -4741, -4741,
   -4741, -4741, -4741,  -754,  -891,  -875, -4741, -2856, -4741, -4741,
   -4741,  -117, -4741, -4741, -4741, -4741, -4741, -4741,  -809, -4741,
    1289, -3008, -4741, -4741,  1295, -4741, -4741, -4741, -4741, -4741,
    -675,   -60,  2819, -4741,  -285,  -477, -4741, -4741, -4741,   -55,
   -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -1045,  7270,
    -799,  -519, -4741, -4741, -4741, -4741, -4741, -2253, -4741, -4741,
   -4741, -4741, -3550, -4741,  4397,   412,   568,   166, -4741,   -15,
      68,  3289, -1108, -2540,   583,  -247, -4741, -4741, -4741, -2462,
   -4741, -4741, -4741, -4741, -3382,   167, -4741,  3277, -4741, -3652,
   -4391, -3408, -3912, -4279, -4423, -3369, -4741, -4741, -4741, -4741,
   -1311,  -171, -4741, -4741, -1374,  2338, -1873, -4741, -2033,   634,
    1612,  3474, -2637,  -123,  2767, -3667,  -657, -3137, -4741, -4741,
   -2254,  -379, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
    -577,  2716,  -187, -4741, -4741,  3826, -4741, -3671, -4741,  3790,
   -4741, -4741, -4741, -4741,  2634,  2635, -4741,  2637, -4741, -4741,
   -1371,  1379, -4741, -4741, -4741, -4741,   830, -4741, -4741, -4741,
   -4741, -4741, -4741, -4741,  1281,   814, -4741, -4741, -4741, -4741,
   -4741,  -666,  -824, -4741, -4741,   168, -4741, -4741, -4741, -4741,
    2105,  -869,  -677,  3695,   169, -4565, -4741, -4741, -1065, -4741,
    3076, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -2259, -4741, -4741, -4271, -4741, -4741, -4741, -4741, -4741,  2421,
    2422,    51,   -36, -4741, -4741,  -945, -4741,  -537, -4741,  2700,
   -4741, -4741, -4741, -4741, -1664,   170,   688, -4741,     4, -4741,
   -4741,    60, -4741,   459, -4741, -4741, -3296,     5, -4741, -4741,
   -4741, -4741, -4269, -4741,     6,  -555,   989, -2684, -4741,   171,
      -4, -4741, -4741,    36,   451,   -43,   -45,   -35,     2,   128,
    3157, -4741,  3204, -4741,    -6,  1751, -4741, -4741,  -769,  -153,
   -4741,  1712,  -599,  2417,  3148,  3145, -4741,  1717, -4741, -4741,
    1714, -4741,  1040,  -531,  -369, -4741, -4741, -4741, -4741,   501,
    -594,  2430, -4741,  3160, -4741, -4741, -4741, -1768, -2717, -3226,
    1073, -3285, -3225,   554,   538, -1387,  -134,    45,  -713,  3161,
   -4741, -4741,  1084,  -329, -4741, -4741,  -325, -2699,  1027, -4741,
   -4195, -2212,  1091,  -762,  -614, -4741,  -693, -4741,  -492,  6201,
    2839, -1009, -4741, -4741,  -983, 14336, -4741, -4741, -4741, 14646,
   14704, -4741, -4741, 16391, 16615, -4741,  -847, 16673, 13943,  -994,
   -1723,  -270, 13314, -1402, -1072, -2518, -4741, -3315, -1945, -4741,
   -4741, -4741,   -82,  1151,     9, -4741, -4220, -4741, -4741,   131,
   -4741,  -496, -4741,  -495, -4741, -4741, -4741,  -472, -4740,  2636,
   -4741, -4741, -4741,  -188, -4741, 17769, -2628, -4741,  -764, -2615,
   -2631, -3268, -1731, -4741, -4741, -4741, -4741, -4741, -4741, -4741,
   -1662, -3162,  -408,  1830, -4741, -4741,  1918, -4741, -4741, -4741,
   -1268,  1781,  -731, -2520,  1839, -4741,  -716,  2639,  -722,  5469,
    -645,  6182,  -489, -2167, -1193, -1517, -4741,   430, -4741,    37,
     -16,    19,  -139,  -136,  -545,  2713,  6596,  -617, -1230,  9296,
   12837, 12521, -3001
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1481,  2401,  2271,  3150,  3151,
      55,    56,  1477,    57,    58,    59,    60,  1400,    61,   989,
    1623,  2416,    62,  2112,   756,   757,   758,  1933,  1934,  2350,
    1935,  1923,  1287,  1760,  1421,   730,   731,  1382,  1422,    64,
      65,  1281,  1914,    66,    67,    68,  1451,  1528,  1452,  1394,
    1669,  4172,  4892,  2963,  2239,  3199,  2964,  2965,  3569,  3570,
    3645,  4909,  4915,  4910,  4911,    69,  1544,  1545,    70,    71,
    3115,  3111,  3690,  4509,  4510,  4743,   569,  2378,  4512,  4513,
    4729,  4730,  4927,  5065,  5066,  2417,  1615,  3193,  3778,  3141,
    4261,  3142,  4262,  3143,  4263,  3127,  3725,  3726,  4206,  3727,
    3144,  4222,  4773,  3145,  2131,  4944,  2458,  1782,  1780,  4756,
    4035,  4036,  5038,  4951,  4952,  4953,  5169,  4224,  4267,  4268,
    4802,  5105,  5106,  3197,  3785,  4273,  4527,  2852,    73,   665,
    1649,  3294,   666,  2461,   604,   667,  2418,    78,  2451,  4946,
    2452,  1502,  2280,  4912,  3274,    79,  1013,  3536,  4596,  4827,
    4828,    80,   221,    81,  1631,    82,    83,  2396,  3134,    84,
    2148,  2869,    85,    86,  2898,  2899,  2900,    87,  3561,  4449,
    1453,  2952,  2953,  2954,  2955,  3591,    88,  1626,  2425,  2426,
      89,    90,    91,    92,  2567,  2568,    93,  2337,    94,    95,
      96,    97,  3625,  4136,  4238,  2994,  3157,  3750,  4236,    98,
    2419,  1639,  2441,  2442,  4248,  4552,  4553,  4554,  4788,  5096,
    4556,  4790,  4974,  4792,  5267,  5268,  4518,  3515,  4049,   100,
    4215,  4216,  4958,   101,  2146,   102,   103,   104,  1599,  2388,
    2389,  3699,  1592,  2381,  2382,  3764,  3765,   105,  3068,   106,
    4112,  4113,   605,  4965,  4898,  5052,   107,   108,  4116,  4117,
     109,   110,   111,   112,   113,   657,   658,   659,  1101,  1102,
    2824,  1053,   114,  2031,   115,   952,   953,  3092,   116,  1174,
    2611,  2612,  4311,   117,   690,  1120,  1121,  2420,   119,   699,
    2587,   701,  1795,  3276,  3277,  3843,   120,   121,  2564,  2590,
     122,  1387,  2122,  2123,  4030,  2421,   606,  1655,  2465,  2847,
    4671,  4672,  4427,  4685,  2777,  3468,   124,   607,  1426,  2195,
    1073,  1074,  2468,  3207,  2091,  2092,  2093,  3802,  2094,  3209,
    2095,  1360,  2096,  1023,  1024,  3215,  3216,  3217,  3798,  3805,
    2410,  4585,  4586,   125,  1424,  2193,   126,   127,   128,  1465,
     874,  1083,  1084,   129,   619,   620,   130,  4748,   131,  1027,
     132,  4594,   133,   134,   721,   722,  1158,  1159,   135,   136,
    2209,  3572,   137,   138,   139,  2988,  2989,  4128,   140,   141,
    1618,  1619,   142,   143,  3033,  3034,   144,   145,   146,  5193,
    5247,  5248,  5249,  3812,  5118,  5195,  1151,   148,   149,   150,
     187,   912,   913,   914,  2422,  4578,   152,   153,  1383,  1384,
    1385,  1386,  2117,   154,   155,   156,   157,   158,   159,   160,
    1603,   161,   162,  4722,   163,   164,  1563,   165,  1317,  1318,
     166,   167,   563,   774,  1321,  1327,   168,   669,  1114,  1115,
    1116,  1762,   169,  1154,   955,   670,  1109,   171,   671,  2075,
    2799,  3480,  3481,  3482,  3485,  4412,  4009,   672,  2795,   174,
    1802,  2573,  2576,  2791,   673,  2804,  2805,  2806,  3488,   674,
     692,  1016,  2474,   675,  1248,   179,   180,   181,   783,   777,
     778,   183,  1907,  2739,   708,  1334,   743,   744,   791,  3453,
    2043,  2044,  2066,  2067,  1343,  1344,  2056,  2058,  2779,  2059,
    2787,  2049,  3986,  4655,  4656,  4657,  4658,  4659,  4660,  4395,
    2062,  2063,  1346,  1347,  1348,  2071,   184,  2743,  3432,  3433,
    3434,  3962,  3963,  3977,  3973,  4379,  4641,  3435,  1149,  1354,
    4387,  5219,  3436,  4630,  4631,  4844,  3981,  3444,  3476,  3181,
    3182,  3183,  3437,  5018,  5019,  5216,  5217,  4846,  4847,  2097,
    1699,  1055,  1249,  1056,  1711,  1250,  1683,  1058,  1251,  1252,
    1253,  1061,  1254,  1255,  1256,  1064,  1675,  1257,  1258,  1693,
    1708,  1709,  1322,  4848,  1260,  1261,  1262,  3439,  1263,  3916,
    4343,  4332,  2671,  2672,  1930,  3912,  3377,  1902,  2729,  4664,
    4866,  4867,  3416,  3941,  4359,  4628,  5010,  5125,  5126,  1264,
    1265,  1266,  2726,  1898,   877,  1267,  3701,  1900,  2665,  2751,
    2752,  1805,  1825,  2618,  2634,  2635,  2645,  3336,  2653,  2658,
    3364,  3365,  2666,  2695,  1268,  2620,  2621,  3320,  1827,  1269,
    1310,  1942,  1361,  1822,  2690,  1277,  1270,  1271,  1796,   767,
    4637,  1105,   833,  2980,  2022,   916,   705,  1272,  1273,  1274,
    1275,  1458,   848,  1076,  1077,   559,   827,   850,  2956,   560,
     561,   829,  2027
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     621,  1019,   182,   557,   172,   173,   175,   782,   983,   706,
     611,  1323,  1501,  1104,   876,   875,  1759,  1140,  1141,  1142,
     735,  1779,   182,  1146,  1282,  1349,   841,   792,  1278,  2130,
    1506,  1549,  1367,  1719,  2293,  2749,   177,  1311,   769,  1689,
     694,  2204,  3140,  2028,  1561,  2352,   694,  1117,  3299,  1628,
    3031,  2196,   603,  1679,  1680,  3454,  1312,  1695,   693,  2817,
    2819,  1815,   849,  1688,   693,   824,  2216,   883,  3562,  1017,
     884,   668,  2233,  2205,  3163,  3760,  1296,  3474,  3806,  2023,
     903,   656,  2446,   904,    63,  2982,  3734,   968,   766,  3586,
     700,  3588,  2617,  2028,  3542,  1601,  1087,  4001,  3776,  1606,
    1500,  4037,  3280,   736,  1610,  3097,  3790,  3098,  1527,  1098,
    1457,  3102,  1427,  3065,  1620,  3447,  3703,  3711,  1554,  3487,
    3107,  3108,  3109,  4032,  3703,  4075,  1111,  4428,  1644,  3445,
    3446,   786,  1019,  3928,  1095,  4286,  2023,   794,  2466,  1029,
    4221,  4280,  2579,  2754,  2680,  4270,   729,   795,  3466,  4686,
    4570,  3976,  4634,   763,  2314,  2318,  2319,  3385,    72,  2028,
      74,    75,    76,    77,  4572,    99,   118,   123,   147,   151,
     170,   176,  4534,  2103,  1613,  2189,  3493,   780,  4693,  3773,
    2522,   755,  4804,  4269,  1423,  1670,  1311,  1676,  1677,  4015,
    1641,  4815,  1342,  4646,  4038,  4648,  4277,  1345,  1687,   676,
    1289, -1810,  3896, -2315,  3959,   567, -1843,   617, -2351, -2374,
    3974, -2405,  3979,  1697,  4967,  1679,  1680,  4715,  1640,  2816,
    4571,  4724,  4725, -2217,  3438, -1823,  4231,  3796, -1851,   772,
    1666, -2217, -2217,  1715,  1695,  1688,  3153,  4914,  1920,  1454,
     617,  2330, -2189,  1726,   676,  2207, -1848,  3130,  1388,  1730,
    1666, -1838,   908,  3342,  3088,  1738,   617,  4897,  2325,   896,
    1371,  1746,  4882,  4883,  1749,  1597,  2207,  1396,  1710,  2061,
   -2218,  1666,  2688,   617, -2566,   617,  3438,  1313, -2218, -2218,
    2407,  1589, -2566, -2566,  1170,  3297,  3708,  3492,  1701,  3318,
     617, -2188,  2863,  -422,  1666,   796,  1666,  2742,  1800, -2245,
    2893,  1905,  2207,  1870,     3,     4,  4313,  4314,   676,  4316,
    4317,  4318,  2312,  1286,   617,  2114,  4232, -2080,  4435,  2893,
    3538,   676,  3543,  1454, -2080,  1122,   617,   617,   676,  2688,
    2138,  2821,  1876,  2136, -1851, -2472,  3849,  1636,  4573,  1372,
    1676,  1677,  2589,  3251,  1752,  3253,  1921,   909, -2318,  3063,
    4825,  2969,  4574,  3131,  5204,  3741,  1389,   676,  1637,  1702,
     676,  1137,  2730,  1878, -2372,   682,  1338,  1687,  2390,  1761,
     682,   682,  1666,   682,  1126,  1397,  2894,   797,  4862,  1666,
    4940,  5202,  -132,  1870,  1666,  4114,  2040,  -132,   683,   741,
     910,  1373,  2404,   683,   683,  2894,   683,   876,  4233,   839,
    4155,  1332,  2503,  4692,  3288,  2992,  3342,  3478,  2212,  4002,
    2213,   185,  1876,  5100,  2937,  2939,  -671,  1928,  4986,  1703,
    4535,  2563,  1704,   682,  2224, -2472,  4972,  1561,  4451,  4426,
    2207,   562,  4894,   691,  4455,  1314,  1340,  1315,  1043,   691,
    2208,  3479,  2650,  1878,   977,   911,   683,   978,  3342,   876,
     987,   178,  4858,   978,   186,  4806,  2225,  2207,  4973,  1929,
    1922,   682,  1717,  1001,  4536,  4805,   978,  3640,  2214,  4003,
    2139,   178,  2938,  2940,  2993, -2472,  2554,  1341,  2277,  2723,
    3289,  3850,  1019,  1863,   683,  1374,  2724, -2472,   742,  4115,
    5205,  1870, -2472,  3758,  1836, -2099,  2731, -2472,  1667,  1019,
    1333,   781, -2099, -2472,  2405,  1666, -2472,  1390,  4784, -2472,
     682,  3728,  1638,  3742,  5280,  4826,  4575,  1864,  1667,  5078,
    1876,  2029,  1705,  2207,  1717,  4941,  2822,  3132,  1138,  2823,
    1454,   617,   773,   683,  2207,   676,  2392, -2472,  2113,  1667,
    1727,  2897,  4234,   973,  1391,  1910,  2970,  1924,  3064,   954,
    1743,  1878,  1936,  1936,  2614,  2140,  1019, -2472,  3543,  2902,
    2897,  3539,  1667,  4156,  1667,  2296,  1464,  1906,  1070,  1598,
     182,  3797,   956,   957,   958,  1392,  3089,  3091,  3628,  5158,
    2977,  1763,  2619,  1801,  2864,  4511,  2331,   798,  4097, -2372,
    1598,  2080,  1145,  1145,  1398,  3703,  2028,  5109, -2472,  1797,
    5036, -2472,  1018,   621,   959,  3489,  2689, -2472,  4235,  1560,
    1807,  5236,  3133,  5146,  2332,  2173,  2313,  4436,   825,  4131,
    1674,   782,   568,  2288,  1819,  1816,  2291,   842,   951,  1706,
    2408,  2326,  1118,   793,  3688,  3689,  1378,  2137,  1379,  1393,
    1667,  1350,  2028,  1717,  1668,  2686,  5062,  1667,  2298,  1598,
   -2080,  4230,  1667,  1399,  1690,  3236,  4042, -2372,  2175,  4348,
   -2472,  2543,  1678,  3405,  1696,   182,  2266, -1843,  2183,  3976,
   -2372,   840, -2315,  2250,  1019,  1691,  4904, -2351, -2374,  3508,
   -2405,  2038,  1019,  1019, -2217,  1714,  1682,  1135,  4985,  1692,
    4979,  2351,  1455,  1456,  1316,  1152,  1119,  4276,  1124,  2526,
    1128,  1308,  1110, -2189,  3357,  1309,  1132, -1848,  2307,  4322,
    1725,   707, -1838,  5180,   693,  1113,   693,  1866,   693,  4252,
    1533,  1171,  5189,  4415,   693,  1133,  1134,  2502,  4367,  1279,
    4369, -2218,  1288,  1018,  1290, -2566,  1908, -2472,   794,  4376,
    2551,  2278,  1918,  4380,  2281,  2282,   876,  1578,   795,  2561,
    2072,  2757, -2188,  1148,  1897,  2073,   688,   689,  2030,  1573,
    1690, -2472,  1534, -2472, -2472,  4605,  4879,  2192, -2245,   688,
     689,  3641,  2651,  1667,  1298,  5151,  1455,  1456,  2778,  3637,
    2669,  1691,  4907,  3495,  2383,  3496,  1745,   182,  5155,   172,
     173,   175,  3729,  1748,  5240,  1694,  1566,  3440,  1717, -2472,
    2903,  2036, -2472, -2472, -2472,   688,   689,  1479,   688,   689,
    2921,  5079,  2725,  2443,  1148,   974,  2036, -2318,  5129,  2217,
    3994,   177,  1308,  3752,  1319,  3773,  1309,  2361, -2099,  4568,
    1480,  1894,  1895,  1896,  1897,  -132,  -132,  4064,  2484,  2485,
    1071,  3113,  2124,  1353,  5165,  4749,  3681,  2552,  4101,  3440,
    4195,  5272,  3352,  3353,  3354,  3355,  3356,  3357,  1179,  1009,
    4023,  3342,  5101,  1558,  2256,  3343,  3344,  3345,  5116,    63,
    2796,  2749,  2749,  2749,  2023,  5103,  2627,  2978,   617,  2508,
    1571,   662,  3921,  5226,  3242,  1403,  4947,  2515,  1285,  2306,
    4194,  2258,  1293,   617,   693,   565,  3354,  3355,  3356,  3357,
     617,    14,  4874,  2525,  1324,  1801,  3555,  5243,  5244,  3438,
    5088,  2828,  3438,  4714,  2481,   715,  4529,  1381,  2126,  3842,
    4908,  4893,  2789,  1535,  2437,  1396,  2569,  1869,  2047,  4592,
    1870,  5102,  2565,  3682,  3683,    19,  2127,  1892,  1893,  1894,
    1895,  1896,  1897,    72,  2838,    74,    75,    76,    77,  2189,
      99,   118,   123,   147,   151,   170,   176,  3638,  1632,  1876,
    3284,  3807,   789,  4013,  2184,  4796, -2567,  2877,   612,   859,
    1732,   975,  2459,   976, -1810,  3556,   860,   861,   862,  2628,
    3808,  2444,  5212,  1455,  1456,  2293,  5182,  1705,   185,  5255,
    1878,  3438,  4129,  1660,  2257,  5288,  5181,  3781,   716,  1299,
    1633,   962,  2966,  4837,   729,  1520,  2438,  4948,  4514,  1479,
    3286,  4291,  1733,   564,  2566,  4410,  4037,  2836,  2367,   178,
     703,  1536,  2048,  2790,  2839,   789,  3639,  2990,  4530,  1010,
    1559,   186,  1480,  1397,  1717,  3457,  3490,  5166,  2797,  4515,
    5117,  4245,  1717,  1454,   617,  4765,  1661,  1471,   676,  2570,
    2629, -1810,  1598,   825,  2185,  4632,  3347,  2613,  4875,  2616,
    2368,  4610,  3809,   842,  5239,  2623,  3114,  1300,  3002,  2558,
    2559,  2637,  2638,  2639,  2128,  4939,  3035,  1659,  4949,  1689,
    1166,  2655,  2657,  1018,  3700,  1011,  2667,   715,  4635,  2553,
    5213,  1012,  3700,  3208,  2708,  4766,  4038,  4689,  2124, -2567,
    1018,    39,  2528,  4767, -2567,    31,  1338,   618,  3462,  4038,
    2630,  2218,  5167,  2631,   178,   781,  2125,  1765,  3348,  1767,
     182,  1769,  2219,  1771,  2220,  1773,  1774,  1775,  4960,  3610,
    1864,  4768,  1777,    39,  1803,    43,  3530,  5168,  1117,  2550,
   -2567,  1662,  2445,  2555,  4310,  2557,   717,  3003,  2560,  3806,
    4993,  4638,  1572,   693,  4593,  1472,  4642,  1018,  4559,  4644,
    3451,  1634,  4991,  4981,  3128,  2483,  4959,    43,  4564,  3285,
     716,  2505,  2959,  1734,  2126,    47,  1340,  4421,  3531,  3803,
    2129,  2455,  2221,  2516,  2479,   718,   719,  1885,    48,  4904,
    4754,  2765,  2127,  1663,  2521,  5186,  5187,  4769,  4257,  2232,
    3004,  4980,  4838,  2439,   782,  2456,  3810,    47,  4770,  1476,
    4984,    49, -1810,  2632,  4450,  4411,  2440,  2535,  2520,  3287,
      48,  2369,  4258,  3987,  2960,  2798,  5232,  2709,   617,  3464,
    5214,   613,  2710,  1865,   793,  5215,   178,  3611,  2571,  2878,
    3438,  2774,  1867,    49,  2265,  3339,  3340,  1123,  1125,  1127,
    3359,  2142,  1129,  1130,  1131,  3005,  1909,    50,  2572,  1635,
    2907,  2143,  1136,  4099,  1538,  2643,  2547,  4038,  2711,  3713,
    1539,  1735,  3811, -2567,  4905,  1018,   720,  4906,  1926,  1927,
     876,   707,  1664,  1018,  1018,  2034,   614,  3389,  3390,  2041,
    2042,  2399,  2046,  1870,  4877,  4907,  3010,   787,  4109,   795,
     795,  1912,   795,  3349,  3350,  3351,  1473,  3352,  3353,  3354,
    3355,  3356,  3357,  2961,  2455,  3716,  2132,   713,   717,  2370,
    2633,  4326,   615,  4327,   616,  2775,  3055,  4257, -2186,  5274,
    2128,   693,  4100,  4414,  1598,  2414,   693,   693,  2456,  3532,
    3563,  4832, -2208,  1474,  2133,  4880,  -155,  4209,  2788,   825,
    2908,  4258,  3006,  1878,  4885,   714,  3994,   718,   719,   788,
     842,  4219,  4399,  3056,  4982,  3010,  3059,  4392,  1913, -2567,
    3718,  5233,  1540,  -155,  1475,  1144,  1892,  1893,  1894,  1895,
    1896,  1897,   740,  4025,  4771,  4809,  2457,  4772,  3612,  4308,
     764,  1356,  5110,  4810,  3057, -1810,  1353,  3060,  2234,  1466,
    3017,  2712,  4110,  4259, -1810,  1487,  1678, -1810,  1366,  2144,
   -1810,  2338,  2919,  2415,   865,   866,   867,  4854,   868,   869,
     870,   871,   872,   873,  1488,  3613,   575,  4185,  1357,   789,
    2050,  4188,  4189,  4908,  4191,  4896,  2129,  3533,  3375,  1656,
    4900,  4901,   693,  3049,  3382,  2548,  2145,  3438,  3564,  3050,
    1362,  3438,   693,  1479,  4699,  4520,  3614,  4328,  1145,  1358,
    3721,  3703,  3249,  1701,  2168,  5033,  3007,  1467,  4795,  2051,
    4213,  2962,  2400,  1489,  3008,  3239,  1480,  3009,  2549,  3394,
    2133,  3395,  3440,  1363,  2134,  3440,  2413,  1364,  3016,  2297,
    4210,   737,  1133,  1134,  2430,  2302,  1455,  1456,  4783,  4489,
    1019,  3722,  4111,  2290,  3396,  4246,  2338,   775,  3189,  2580,
     582,  1598,  3058,  5040,  5041,  5188,  3723,   908,  1365,  4546,
    5190,  3039,  4490,  1541,  2409,   693,  1308,  4632,   693,   693,
    1309, -1069,  5094,  3018,  1702,  3240,   876,   876,  2514,   784,
    3554,  3021,  4220,  2504,  3024,  2477,  2235,  4077,  2995,  2996,
    2293,  3051,  2999,  4811,  3083,  4026,  4251,  1490,  4038,   790,
    1542,  1381,  4027,  3700,  3440,  3636,  1381,  2309,   584,   178,
     908,  2118,  2053,  2236,  1338,  2651,  2651,   785,  2749,  1339,
    2651,  2506,  2119,  2283,   185,  3862,  5238,  4127,  1444, -1605,
     582,  1543,  1717,  2893,  1703,  4028,  2237,  1704,  2238,  2120,
    3160, -1605,   892,  2850,  2338,  1491, -1605,  3724,  1492,  2424,
    3397,   693,   909,  2429,  3164,  3398,  4029,  2651,  2651,  2292,
    4078,  2833,    34,  3172,  3173,  3174,  3175,   186,  2054,   893,
    1381,  1444,  1824,  2232,  1381,  3180,  3224,  5049,  1705,  1002,
    3565,  3566,  1503,  3229,  1340,  2696,  5273,  2697,   584,  2268,
    1494, -1605,  1833,  2916,   876,   910,   799,  -571,  4294,  2851,
    4295,  4207,  4751,  3248,  3169,   909,  3642,  3567,  5107,  2894,
    2698, -1605,  1003,  3254,  3871,  4432,  2846,  3255,  5287,  1504,
    3257,  5289,  4966,  1849,  1299,  1341,  3261,  1764,  3262,   582,
    1766,  3264,  1768,  1496,  1770,  3159,  1772,  1705,  1861,  3831,
    1776,  2895,  3052,  3897,  5050,  1004,    39,  1870,   910,  4550,
     911,  4723, -1605,  1497,  3061,  2284,  3226,  4045,  2285,  2482,
    4990, -1605,  4045,   595,  3077,   596,  4963,  4551,  4208,  2490,
    1539,  2491, -1075,  1499,  3514,   598,  1876,  2495,  2896,  3053,
      43,  2121,  4433,  4977,  2501,  3062,   600,   584,  3399,  1614,
    3301,  1005,  1300,  3880,  1291,  3881,   182,   835,  3400,  1371,
    2537,  4942,  2538,   911,  2539,  1166,  2540,  1878,  2541,  4604,
    3054,  2699,  2542,  4786,  4720,  1916,  2700,  5223,  3000,  5001,
      47,  2701,  1505,  3202,  3443,   793,   793,   582,   793,  1368,
    4431,  2850,  4824,    48,  3967,  4932,  4046,  4721,  4038,  2586,
    4933,  4046,  1484,   595,  1706,   596,  1113,  2345,   182,  3273,
     956,   957,   958,  3440,  3596,  1295,    49,  4787,  2636,  3782,
    4720,  3461,  3786,  1707,   837,  3968,  1369,  3597,  3489,   601,
      50,   857,  1540,  4886,  2897,  4889,  3841,  5164,  1372,  1485,
    4382,  2502,   959,  4721,  2346,   584,  2574,  3511,  4934,  4204,
    3970, -1605,  3438,  4047,  1019,  4048,  3806,  1370,  4047,  3438,
    4048,  1748,  4533,  2673,  3438,    39,  2676,  3438,  2625,  2626,
    5107,  5191,    28,  4205,   858,  2640,  2641,  3842,  4675,  3882,
    4677,  2585,   898,  1642,  2610,  3341,  4698,  4439,  4440,  3883,
    1373,  1690,  4820,  3438,  2390,  4720,  5114,  3369, -1605,    43,
    4544,  4563,   595,  2679,   596,  1643,  3438,  1019,  3272,  2758,
   -1605,  5090,  1691,  1308,  2702, -1605,  1328,  1309,  4721,  2347,
   -1641,   907,  3220,  2050,  2703, -1641,  1692,  4727,  1614,  3392,
    -447,  4504,  2348,  4505,  4506,  1002,  1748,  4507,  2283,    47,
    3035,  3876,  3877,  3878,  3879,  2809,  5008,  3884,  3885,  3886,
    3887,  3888,  3889,  3890,  3891,  3892,  3893,  4524,  2349,  3972,
   -1605,    39,  2051,  2825,  2411,  2269,  1511,  3418,  1003,  2829,
    2272,   876,  2883,  2832,  5009,  3260,  1690,  1690,   964,  3966,
   -1605,  1529,  3452,  1740,  1374,  4174,  2879,  3566,  2448,    50,
   -1641,  2785,  2786,  2224,  4157,    43,  4043,  1691,  1691,  2856,
     595,  3754,   596,  3932,  3933,  1741,  4175,  1512,  2234,  1508,
     961,  1694,  1936,  4088,  3517,  3494,  4158,  1513,  1530,  2052,
    3440, -1605,  1531,  5000,  3440,  2225,  1614,  2871,  2242,  5043,
   -1605, -1641,  4588,   676,  2335,    47,  1754,  1375,  2341,  1755,
    1482,  3544,  -447,  2909,  3713,  5177,  1509,  1005,    48,  1532,
    3714,  3967,     3,     4,  3607, -1665, -1665,  1546,  2915,  3761,
    1550,   978,  3715,   967,  3438,  2053,  3571,  4970,  2780,  3771,
    2284,    49,   984,  2285,  1376,  2243,  3177,  1510,    34,  3455,
     676,  3178,  3968,  3966,  1319,  5192,   693,  1685,  1686,  2207,
    3716,  3608,  3717,  2957,  3576,   825,  3578,  3969,   825,  2215,
    4087,  1018,   970,  3314,  2840,  1377,  2843,  3970,  2036,  2749,
     222,  2800,   662,  3547,  2749,   566,   979,  2614,   980,  2986,
    2749,  2054,  3609,   660,  5235,  3438,  1308,  2997,  3403,   997,
    1309,  3001,    14,  3971,   978,  1378,  2837,  1379,  3012,  3449,
    3450,   738,  1019,   842,   842,  3718,  3499,  1809,  3908,  5275,
    1810,  1678,  4022,  2104,   693,  3967,  2235,  1678,  3025,  2104,
   -1605,  2032,  -570,  3027,  2033,  1514,    19,  3030,  4073,  4679,
    1290,  3719,  3315,  5032,  4065,  2035,  4688,  3316,  2036,  1823,
    3047,    50,  5148,  2236,  5265,  1380,  3968,  3602,  1006,  4079,
    3852,  4086,  3712,  3072,  1007,  1008,  3503,  3178,  1515,  1026,
    3080,  3969,  1516,   978,  2532,   178,  2237,  2036,  2238,  2544,
    4253,  3970,  2545,  1021,  1078,  2901,  3972,   842,  1308,  1678,
   -2189,  1366,  1309,  3757,  2614,  3663,  3241,  3243,  3244,  4102,
    3720,  3670,  2472,  1517,  2473,  3721,  1069,  3971,  1179,  3819,
    3820,  3342,  1678,  2232,  2104,  3343,  3344,  3345,  1085,  1079,
    4728,  1019,  3368, -1604,  3370,  3371,  3730,   178,  4639,  1092,
    1099,  2546,  3922,    39,  2545, -1604,  3438,  3419,  1108,  3420,
   -1604,  2651,  2651,  2651,  2651,  4279,  3722,  2651,  2651,  2651,
    2651,  2651,  2651,  2651,  2651,  2651,  2651,   676,  3195,  2577,
    3196,  3723,  2578,  3500,  3501,  2771,  2808,    43,  1748,  2036,
    2913,  1147,  1139,  2914,  3906,  2984,  1148,  1148,  2985,  3118,
    1148,  1143,  3119,  3709,  4203, -1604,  3075,   693,  3123,  3521,
    3972,  3124,  1150,  3227,  3438,   693,  2036,  3266,   693,  3313,
    2545,  2694,  2036,  2651,  2651, -1604,    31,    47,  1179,  3093,
    3322,  3342,  3093,  2036,  3093, -2567, -2567, -2567,  3093,  3328,
      48,  1153,  2036,  3329,  1155,  3438,  2036,  3093,  3093,  3093,
    4407,  1156,  1157,  3330,    39,  2966,  2036,  4098,  3361,  5262,
    3698,  2036,  4777,    49,  3374,  2234, -1604,  2036,  3698,  1163,
    1404,  3379,  3724,  3589,  3380, -1604,  3590,    50,  3421,  2990,
    3422,  1165,  3594,  4040,  4041,  3595,  3618, -2474,    43,  3619,
    3794,  1164,  4640,  3795,  2234,  3817,  3035,  3903,  2036,  3824,
    3904,  3826,  4584,  3828,  1405,  3171,  3913,  1167,  4264,  3914,
    3832,  3208,  2234,    39,  1166,  3440,  3278,  3306,  1168,  3700,
    3924,  4011,  3440,  2036,  4012,  1169,  3347,  3440,    47,  4196,
    3440,  4197,   663,  4016,  3292,  5221,  4017,  3203,  3623,  1172,
    1173,    48,  3278,  1148,  3165,  1018,  1175,    43,  4021,  3853,
    5276,  2823,  5277,  3631,  4044,  3438,  3440,  2545,  4254,  3302,
    1328,  2545, -1593,  1407,    49,  4929,  3747,  4931,  1294,  3440,
    2315,  4935,   787,  4936,  1297,  1301,  4305, -2474,   664,  1801,
    3190,  5246,  1302,  4323, -1642,  5145,  2036,    47,  3348, -1642,
    4349,  4361,  4417,  2578,  2036,  2823,  1307,  1408,  1018,  2344,
      48,  2502,  1303,  1320,  1019, -1604,  1019,   876,  4423,  4429,
    1325,  4424,  2545,  2235,  1326,  2234,   178,  2904,  1328,  4971,
    3235,  3237,  4430,    49,  1329,  2545,  3245, -2474,  1336,  1335,
    4565,  1337,  1409,  4566,   788,  4612,  1351,    50,  4613, -2474,
    2236,  4816,  2235,  4614, -2474,  4622,  2036,  1352,  2578, -2474,
    3858,  1355,  1366,  4694, -1642, -2474,  4695,  1359, -2474,  3845,
    2235, -2474,  1401,  2237,  3873,  2238,  1410,  1428,  4778,  2236,
     825,  2545,  3731,  4381,  3733,  4384,  1561,   842,  3465,  4817,
    5297,  1425,  4818,   693,  1019,  3438, -2219,  2236,  3348, -2474,
    1430,  3740,  2237,  3743,  2238, -1642,   782,  1412,  3902,  1869,
    2232,  1431,  1870,  1464,   789,  1469, -2567, -2567, -2567, -2474,
    2237,  4087,  2238,  1468,  4833,  4841,  3838,  2578,  4842,  4851,
    2979,  1470,  1748,  4857,  3002,  4859,  3768,  3440,  3768,  2232,
    1476,  1876,  4872,  4922,  2651,  4873,  4923,    34,  1877,  2190,
     782,  1414,  4962,  3944,  3146,  1915,  2234,  2232,  1415,  1478,
   -2474,  4992,  3800, -2474,  4873,  5002,  1416,  3438,  2578, -2474,
    1483,  1486,  1878,  2235,  2191,  1521,  3988,  3989,  3990,  5003,
    1522,  4448,  3380,  3349,  3350,  3351,  1418,  3352,  3353,  3354,
    3355,  3356,  3357,  4080,  1419,  1487,  1179,  1537,  3440,  3342,
    2236,  1547,  1551,  3343,  3344,  3345,  5004,  5015,  1556,  2036,
    5016,  3983,  1548,  3003,  1488,  2028,  5021,  1557,  5024,  1748,
    4351,  3768, -2474,  2237,  5048,  2238,  1562,  2578,  1564,  3519,
    3424,  3425,  3426,  1565,  1567,   702,  4563,   704,  4061,  5115,
    1570,   710,  1574,  1018,   790,  2614,   724,   732,   702,  1420,
     739,  1575,  3851,   732,   732,   782,   768,  1581,   771,  5054,
    2232,  3635,  2578,  1489,  5055,  5058,  3004,  2578,  5059,  5060,
    1582,  2234,  5061,   707,   182,  1585,   956,   957,   958,  1588,
    1591,  1879,  1487, -2567, -2567, -2567,  1880,  3352,  3353,  3354,
    3355,  3356,  3357,  1594,  3456,  5086,   693,  1596,  5087, -2474,
    5133,  1488, -2488,  5134,  2235,  1602,  1605,  5137,   959,  2234,
    1748,  1607,  5138,  1598,  4180,  2036,  3147,  4192,  1616,  1617,
    1621,  3005,  1883, -2474,  5139, -2474, -2474,  2036,  1622,  -175,
    5141,  2236,  4732,  2036,  1624,  5160,  1625,  3598,  5161,  3440,
    5184,  5208,  5220,  5185,  3768,  4865,  1627,  1490,  5245,  3698,
    1489,  4873,  1018,  1629,  2237,  5283,  2238,  5285,  5059,  5300,
    5286, -2474,  5134,  1630, -2474, -2474, -2474,  5307,  1645,  1885,
    5286,  1179,  1652,  4126,  3342,  4733,  3643,  1654,  3343,  3344,
    3345,  1658,  1665,  1671,   204,  4372,  1672,  1673,  1674,  1678,
    1681,  2232, -2488,  1682,  3347,  1491,  1684,  3440,  1492,  1698,
    4734,   826,   831,   831,   834,   178,   831,  1700,  4344,  2292,
     843,  1712,   768,  4082,  3675,   878,  2234,  4735,  3006,  2235,
    1713,  4736,   768,  4607,   831,  1716,  1717,   768,  3440,  3465,
    1736,   831,  2234,   768,  1490,  1724,  1728,  3465,  1729,  3592,
    1494,  4737, -2488,  1751,  4738,  4584,  2236,  1753,  1731,  1737,
    3676,  1739,  1744,  1747, -2488,  1887,  3348,  2235,  4739, -2488,
    3148,  1750,  1778,  1806, -2488,  1811,  1813,  1814,  1820,  2237,
   -2488,  2238,  1821, -2488, -1814, -1821, -2488,  1828,  1829,  1830,
    1831,  1832,  1491,  1496,  2236,  1492,    50,  1834,  1835,  4296,
    3629,  1836, -1811,  4298, -1812,  1837,  2292,  1838,  1839,  1841,
    1842, -1815,  1843,  1497, -2488,  3149,  2232,  2237,  1844,  2238,
   -1813,  1845,  1903,    28,  1846,  1847,  1848,  1850,  1901,  1851,
    1852,  4066,   825,  1499, -2488,  1853,  1854,  1494,   842,  1905,
    1855,  1856,  3007,  1857,  1919,  1931,  1906,  4103,  3440,  4740,
    3008,  1939,  1915,  3009,  2232,  2039,  1339,  4741,  3346,  2068,
    1341,  1888,  3666,  2070, -2567, -2567, -2567,  2079,  1892,  1893,
    1894,  1895,  1896,  1897,  2235, -2488,  2081,  2082, -2488,  3347,
    1496,  2099,  2083,  2100, -2488,  2102,  2101,  2104,  2105,  2106,
    2235,  2108,  2107,  3093,  2109,  2110,  2135,  4742,  2116,  2141,
    1497,  2236,  4302,  2147,  2170,  3691,  1869,  2174,  2176,  1870,
    1861,  3702,    39,  1871,  1872,  1873,  2177,  2236,  2178,  3702,
    1499,  2182,  4540,  2179,  2237,  1018,  2238,  1018,  2181,  2197,
    1874,  2198,  2199,  2338,  2210,  2226,  2211, -2488,  1876,  2222,
    2237,  3348,  2238,  2228,  2231,  1877,    43,  2229,  2232,  3840,
    4333,  3349,  3350,  3351,  1861,  3352,  3353,  3354,  3355,  3356,
    3357,  2232,  2240,  2230,   693,  2244,  2241,  2245,  2246,  1878,
    2261,  2694,   693,  3766,  3854,  2251,  2252,  2232,  3440,  2255,
    2262,  2267,  3441,  2279,  2286,  2263,    47,  3412,   707,  2289,
    1444,  2301,  2264,  2270,  2304,  2310,  3744,  2274,  2275,    48,
    4299,  4300,  4301,  3431,  3799,  1018,  4226,  4227,  2287,  2294,
    2295,  2299,  2300,  2311, -2488,  2303,  4831,  4264,  2308,  2327,
    4437,  2305,    49,  2316,  2317,  2328,  2333,  2329,  2334,  2357,
    2339,  2343,  2355,   178,  3441,  2358,    50, -1373, -2488, -1373,
   -2488, -2488,  2359,  2360,  2364,  2373,  2374,  3789,  2375,  2365,
    3440,  2366,  2372,  2376,  2379,  3431,  2377,  2384,  2385,   781,
    2386,  4460,  4461,  2651,  2391,  2395,  2394,   577,  2398,  3815,
    3938,  2403,  4615,  2412,  2409,  1505, -2488,  3818,  1879, -2488,
   -2488, -2488,  2423,  1880,  2427,  2428,   917,  2431,  4731,  2436,
    2454,  2463,   768,  2469,   826,  2447,  2450,   831,  2453,   834,
    2471,   831,  4405,  2475,  1881,  1882,  2486,  2488,   878,  2489,
    2496,  2493,  2467,   990,  2480,   831,  2494,  2497,  2498,  1883,
    2500,  2507,   831,  2509,  2499,  2510,  3349,  3350,  3351,  2511,
    3352,  3353,  3354,  3355,  3356,  3357,  2512,  1148,  2523,  2524,
    2556,  2562,  2575,  4454,  2588,  2624,   826,  4501,  4502,  2668,
    2619,   834,  1884,  2674,   693,  1870,   843,  2678,  2687,  2693,
     878,  2705,  2707,  2727,  2728,  2742,  1885,  2756,  2759,  1886,
    2760,  2762,  2772,  2763,  2764,   788,  2781,  2773,   782,  2782,
     831,  3919,  2784,  2783,  2794,  2801,  2812,  2813,  2815,  2841,
    2848,  2846,  2855,  2844,  2860,  2849,  2870,   782,  2865,  2866,
    2868,  2872,  2876,  2888,  2889,  2905,  2880,  2906,  2911,  2892,
    1291,  2927,  1295,  2922,  4062,  2947,  2968,  2973,  3465,  2928,
    2941,  2946,  2974,  3946,  3947,  3948,  3949,  2976,  2983,  2991,
    3067,   768,  3011,  4403,  3094,  3079,  3086,  3087,  3090,  3099,
    3105,  3100,  3465,  3101,   768,  3110,  1162,  3116,  3117,  3125,
    3112,  3137,  1887,  5014,  3152,  3156,  3154,  3167,  3158,  3138,
    3170,  3179,  4597,  3176,  4598,  4599,  1276,  1276,  3184,   768,
     732,  3185,  3187,  1179,   732,  3188,  3342,  3192,  4603,  3201,
    3343,  3344,  3345,  3200,  3186,  3198,  3204,  3205,   768,  3219,
    4549,  3218,   768,  3221,  3222,  3223,  3225,  4352,  1276,  3228,
    3230,  3231,  3233,  3246,  3232,  1705,  3256,  3263,  3234,   768,
    3258,  3259,  3265,  3238,  3268,  3247,  3269,  3270,  3271,  4491,
    4492,   768,  4494,  3279,  2589,  4159,  3283,  1748,  4162,  3282,
    1745,  1714,  3281,  3293,  4446,  3290,  3298,  1145,  3300,  3304,
    3307,  3308,  3305,  4525,  3324,  3310,  2651,  3327,  1888,  3325,
    3338,  1889,  1890,  1891,  3376,  1892,  1893,  1894,  1895,  1896,
    1897,  3326,  3331,   768,  1868, -2072,  3332,  3334,  3333,  1869,
    3337,  2651,  1870,  3360,  3388,  2036,  1871,  1872,  1873,  3393,
    3366,   768,  3471,  3415,  3373,  3387,   831,   831,  3448,  3401,
    3702,  3410,  3411,  1874,  3443,  3413,  1875,  3467,  3473,  3414,
    3497,  1876,  3484,  3477,  3504,  3475,  3417,  3502,  1877,  3491,
    4485,  3505,  3513,  3516,  4130,   732,   732,  3509,  3518,  3510,
    2293,  4138,  3525,  3540,  4139,  4239,  4140,  3551,  3553,  3541,
    3557,  3558,  1878,  4650,  3559,  3560,  3574,  3575,  3577,  3585,
    4665,  4926,   826,   693,  2338,  3583,  3584,  3593,  3603,  4744,
    3626,  1801,  3622,   843,  3624,  4137,  3627,   878,  3630,  3632,
    3620,  3633,   178,  3634,  3644,  3646,  4179,   693,  3647,  3648,
    3649,  3347,  3650,   693,  3093,   831,  3651,  3652,  3093,  3093,
    3654,  3093,  3653,  3656,   178,  3658,  3691,  4916,  3655,  4918,
    3657,  3661,  3660,  3665,  3669,  3659,  3662,   768,  3671,  3672,
    3667,  2325,  4542,  4731,   831,   831,  3674,  3693,  3680,  3684,
    3685,  3687,  3704,  3707,  3748,  3738,  3278,  3745,  3751,  3739,
    3749,  3753,  3756,  3767,  3768,  3698,   768,   768,   768,  3770,
     831,  3783,   826,  3348,  3780,  3777,  3784,  3787,  3788,  3791,
    3792,  1879,  3804,  1133,  1134,  3834,  1880,  3814,  3821,  3822,
    1179,  3835,  3823,  3342,  3836,  3844,  3839,  3343,  3344,  3345,
    3846,  3855,  3837,  3825,  3847,  3848,  3856,  1881,  1882,  3827,
    3857,  3859,  3860,  3861,  4830,  1869,  3865,  5017,  1870,  1823,
    3342,  3363,  1883,  2651,  3874,  4278, -2071,  3362,  3899,  3900,
    3901,  3907,  3930,  3926,  3915,   789,  3939,  5132,  3945,  3956,
    3980,   831,  3998,   831,   831,  3927,  3957,  1876,  4005,  3982,
    3985,  4010,  3965,  4008, -2567,  1884,  4014,  4031,  4024,  4052,
    5256,  5257,   876,  4054,  3995,  4775,  5070,  5072,  3997,  1885,
    3999,  1276,  1886,  4274,  4067,  5064,  4060,  4055,  1878,  4068,
    4000,  4069,  4070,  4072,  4074,  4076,  4090,  4878,  4108,  4312,
    4312,  4312,  4093,  4312,  4312,  4312,  4105,  4120,  4682,  4835,
    4106,  1781,  1781,  4107,  4118,  4119,   768,  3441,   702,  4840,
    3441,  4121,  1861,  4122,  4123,  4132,  4134,  1869,  4145,  4135,
    1870,  4154,  4151,  4169,  4171,  4146,   693,  4081,  3953,  1812,
    4173,  3958,   768,  4176,  4184,  1818,  4183,  4921,  4186,  4187,
    1863,  4190,  4200,  4214,  4211,  3391,  4705,  4223,  1276,  1876,
    4244,  4229,  4237,  4243,  4247,  1887, -2567,  4256,  3349,  3350,
    3351,  2545,  3352,  3353,  3354,  3355,  3356,  3357,  4700,  4249,
    4250,  4266,  4271,  4272,  4284,  4287,  4297,  4285,  1276,  4289,
    1878,  4290,  4288,  4303,  4307,  4315,  4292, -2567,  3347,  3441,
    4320,  4309, -2567,  4325,  2651,  4293,  4334,  4329,  4335,  4336,
    4337,  4330,  5162, -2073,  4338,  4342,  1276,  1276,  1276,  4377,
    1276,  4378,  4385,  4391,  4386,  4357,  4370,  4393,  4394,  4375,
    4469,  4373,  4390,  4404,  4396,  4397,  4398,  4425, -2567,  4400,
    1276,  4402,  4479,  4418,  4928,  4413,  4416,  4420,  4426,  4434,
    4452,  4850,  4453,  4456,  4463,  4462,  4464,  3402,  4484,  4475,
    3348,  1888,  4850,  4478,  1889,  1890,  1891,  5271,  1892,  1893,
    1894,  1895,  1896,  1897,  4495,  4482,  4419,  4516,   768,  4487,
    4503,  1276,  4517,  1869,  4488,  1885,  1870,  4508,  4523,  4522,
    1871,  1872,  1873,  4526,  4531,  4537,  4532,  4538,  4541, -2567,
    4545,  4539,  4547,  4555, -2567,  4562,  4406,  4408,  4558,  1276,
    4569,  4567,  4579,  1276,  1276,  1876,  5271,  4581,  5209,  4580,
    4582,  5064,  1877,  4590,   768,   768,  2078,  4577,  1276,  5077,
    4595,  5271,  4602,  4601,  4608,  5007,  4609,  4616,  4618,  4611,
   -2567,  4920,  4619,  4620,  4643,  4621,  1878,  4627,  4663,  4670,
     732,  4633,  5023,  4667,  4673,  4676,  4691,  5025,  4687,  5027,
    4696,  4697,  4702,  4457,  4726,  4636,  4647,  4745,  4690,  4708,
    4709, -2567,  4713,  4718,  1019,  4747,  4753,   693,  4719,  4210,
    4755,   693,  4757,  4758,  4760,  2180,  4763,  1885,  4761,  1179,
     732,  4764,  3342,  4781,  4782,  4789,  3343,  3344,  3345,  4794,
    2651,  2651,  4791,  4800,   768,  2206,  4472,  4473,  4798,  4807,
    4808,  4476,  4477,   768,  4823,  4819,   831,  4821,  4498,  4499,
    4822,  4836,  4839,  4843,  4849,  4860,  4853,  4865,  3093,  4856,
    3093,  3093,  4869,  3278,  3093,  4870,  4861,  4863,  4890,  4881,
    4888,   878,  4891,   768,  4897,  3349,  3350,  3351,  3441,  3352,
    3353,  3354,  3355,  3356,  3357,  1879,   768,  4903,  4943,   768,
    1880,  4950,  4957,  4954,  4945,  5042,  4955, -2567,  5022,  3431,
    4964,  4975,  4976, -2567,  1892,  1893,  1894,  1895,  1896,  1897,
    1179,  1881,  1882,  3342,  4987,  4969,  4988,  3343,  3344,  3345,
    4983,  4989,  4996,  4999,  4557,   768,  1883,   876,   178,  4997,
    5005,  4998,  5006,  5013,  5030,  5034,   831,   831,   831,   831,
     768,  5035,  5029,  5026,  5037,  5047,  5075,  5051,  5069,  5076,
    5080,  5082,  5085,  5092,   768,  5089,  5093,  5099,  4583,  1884,
    5111,  5113,  5154,  5128,  3465,  2353,  5112,   768,  5119,  5120,
    5149,  5156,  3278,  1885,  3278,   876,  4706,  5163,  3940,   831,
     831,  5130,  4560,  5078,  5172,  5203,  5079,  5147,  5173,  4312,
    5171,  4704,  5211,  5218,  5039,  5222,  5228,  5231,  1019, -2567,
     831,  5252,  1869,  5237,  5253,  1870,  1892,  1893,  1894,  1895,
    1896,  1897,  5254,  5258,  5260,  5264,  5278,  3347,  5281,   768,
    5279,  5291,  5284,  5292,  5298,  5302,  5299,  5301,  5303,  3161,
    1519,  1938,  3458,  4746,  1876,   831,   831,   831,   831,  3040,
    1330, -2567,  3568,  2972,  2340,  4096,  1518,  5263,   768,  1429,
    5157,  3078,  4089,  3692,  4193,   768,  4937,  5063,  2353,  1887,
    5229,  4225,  4799,  4774,  3507,  1878,  3267,  5150,   826,  4521,
    4680,   826,  5225,  5083,  5081,  5170,   834,  5242,  4275,  3348,
    3512,  1276,  4255,  5045,  4218,  3441,  3135,  3136,  3587,  3441,
    4668,  4094,  3755,  1507,  4242,  4780,  3126,  3763,  4785,  5230,
    5304,  5296,  4759,  3710,  3705,  4707,  3431,  5175, -2567,  4543,
    3431,  4899,  5053,  4710,   709,  4304,   843,   843,  4876,  4281,
    2402,  2818,  2476,  1808,  1798,  3498,  1593,   878,   878,  4994,
    2513,  1093,  3931,  2582,  2583,  1020,  3702,  2584,  3668,  4124,
    4144,  3759,  5194,  5290,  2767,  2536,  2768,   831,   831,  1304,
    2115,   178,   178,  4260,   831,  1888,   768,  4669,  1889,  1890,
    1891,  4409,  1892,  1893,  1894,  1895,  1896,  1897,  4018,  5144,
    3348,  1911,  2037,  1869, -2567,  3463,  1870,  3093,  2064, -2567,
    2793,  1781,  2065,  3470,  3996,  5140,  5028,  4401,   831,   693,
     843,  3472,  2792,  3960,   768,   768,  2069,   831,  4368,  4383,
    4855,  3954,  2074,  5012,   768,  1876,  5011,  4019,  3955,  5293,
    5210,   768, -2567,  5259,  5131, -2567,   702,   702,  2487,  4834,
    2591,  3909,  4666,  5142,  1276,  5143,  1276,  5127,  3319,  2732,
    3408,  1276,  1276,  3460,  1019,  2741,  1878,  3406,  1276,  1276,
    1276,     0,     0,     0,  1276,   878,  1276,  1276,  1276,  1276,
    1276,  1276,     0,  1276,     0,  1276,  1276,     0,     0,  1276,
       0,     0,  1885,     0,  3349,  3350,  3351,  4779,  3352,  3353,
    3354,  3355,  3356,  3357,  1276,  1276,  1276,  1276,     0,     0,
       0,   831,  1276,     0,     0,     0,  1276,     0,     0,  1276,
       0,     0,  1276,  1276,  1276,  1276,  1276,  1276,  1276,  1276,
    1276,   782,  1276,  3934,     0,  4812,     0,     0,   768,  1276,
       0,  1276,     0,     0,     0,     0,     0,     0,   768,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4528,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2567,     0,     0, -2567,     0,
   -2567,     0,     0,  3210,     0,  3349,  3350,  3351,     0,  3352,
    3353,  3354,  3355,  3356,  3357,     0,     0,     0,     0,     0,
       0,     0,     0,  1404,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   876,     0,     0, -2567,     0,     0,     0,
       0,     0,  4913,  4913,     0,     0,     0,   178,     0,     0,
       0,     0,     0,     0,     0,  1018,     0,  1405,     0,  4930,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4938,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,   768,     0,   768,     0,  1276,
       0,     0,     0,     0, -2567,   693,   693,     0,     0,     0,
       0,  1892,  1893,  1894,  1895,  1896,  1897,     0,   693,     0,
       0,     0,     0,     0,     0,     0,  1407,     0,     0,     0,
       0,     0,     0,   768,     0,     0,     0,     0,     0,     0,
    2802,     0,  2807,     0,     0,     0,     0,     0,     0,     0,
    3441,     0,     0,     0,     0,     0,     0,  3441,     0,     0,
    1408,     0,  3441,     0,     0,  3441,  4645,     0,     0,     0,
       0,     0,     0,   834,     0,     0,     0,     0,  3431, -2567,
    4978,     0,   702,  3431,   702,     0,  3431,     0,     0,     0,
    3211,  3441,     0,     0,     0,  1409,     0,     0,     0,     0,
       0,  1276,     0,     0,  3441,     0,     0,     0,     0,     0,
       0,     0,     0,   826,     0,   831,   831,     0,     0,     0,
     843,     0,   878,     0,   831,     0,   831,  5153,     0,  1410,
     831,     0,     0,   768,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3278,
       0,     0,   842,     0,   732,     0,  5031,     0,     0,  1018,
    1412,     0,     0,  5067,  2206,  5068,     0,     0,     0,  5073,
    5074,     0,  2925,     0,     0, -2567,     0,     0,     0,  2936,
       0,     0,  1892,  1893,  1894,  1895,  1896,  1897,   768,     0,
       0,     0,     0,     0,   842,     0,     0,     0,  5200,  5201,
      34,     0,     0,     0,  1414,     0,     0,     0,     0,   768,
       0,  1415,     0,     0,  2981,  2981,     0,     0,     0,  1416,
       0,     0,     0,     0,   768,   768,     0,  2191,   768,     0,
     834,   732,     0,     0,     0,     0,     0,  1869,     0,  1418,
    1870,     0,   178,     0,  1871,  1872,  1873,  1419,     0,   831,
       0,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,  1874,  3441,     0,     0,     0,     0,     0,  3213,  1876,
       0,     0,     0,   768,   768,     0,  1877,     0,     0,     0,
     178,     0,     0,     0,     0,     0,     0,     0,  3066,     0,
    3069,  3071,     0,  4913,     0,  4913,     0,     0,     0,     0,
    1878,     0,  1420,  2592,     0,     0,  3214,  2409,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,  3441,     0,     0,     0,     0,   831,   831,
       0,     0,     0,     0,     0,   831,     0,     0,     0,     0,
       0,     0,     0,     0,  3431,     0,   693,  1276,   693,   831,
       0,  2593,     0,     0,     0,  1861,     0,     0,     0,     0,
       0,     0,     0,  2206,     0,     0,  2981,     0,   768,     0,
     182,   768,  5196,  5197,  5198,  3162,     0,     0,   702,  5176,
       0,  5305,  5306,  2594,     0,     0,     0,     0,     0,     0,
     831,  1276,     0,     0,     0,  1018,     0,     0,     0,  5251,
       0,     0,     0,     0,  5199,     0,  2595,     0,  3066,  1879,
       0,     0,     0,     0,  1880,     0,     0,  2596,   831,     0,
    3194,  1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,
    1873,     0,     0,     0,     0,  1881,  1882,  2597,     0,     0,
    4956,     0,  2598,  1276,   182,  1874,  5196,  5197,  5198,     0,
    1883,     0,     0,  1876,     0,     0,     0,     0,     0,     0,
    1877,     0,  4913,     0,  3441,     0,     0,     0,     0,     0,
     831,  5270,   831,  2981,   831,  2981,     0,     0,  5199,     0,
       0,     0,     0,  1884,  1878,  3431,     0,     0,     0,     0,
       0,  2599,     0,     0,     0,   178,     0,  1885,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,  1781,     0,
       0,     0,  2600,     0,     0,   693,     0,     0,     0,     0,
    5270,     0,  3441,     0,  5269,     0,     0,     0,     0,   182,
       0,  5196,  5197,  5198,     0,  5270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   768,     0,     0,     0,     0,
       0,     0,     0,  3441,     0,   826,     0,     0,     0,     0,
       0,   843,     0,  5199,     0,     0,     0,     0,     0,     0,
       0,   178,     0,  5269,   831,     0,     0,     0,   204,     0,
       0,  2601,  1276,  1887,     0,     0,     0,  1276,  5269,     0,
       0,     0,     0,  1879,     0,     0,     0,     0,  1880,     0,
       0,     0,     0,     0,     0,     0,     0,  2602,     0,     0,
    1276,  1276,  1276,     0,  2603,  1276,     0,     0,     0,  1881,
    1882,  2604,     0,  1276,  1276,  1276,  1276,     0,     0,     0,
       0,     0,     0,     0,  1883,     0,  1276,     0,     0,  1276,
       0,  1276,     0,     0,     0,     0,     0,     0,     0,  2605,
       0,     0,  1276,  1276,  2606,     0,  1276,  2607,     0,     0,
       0,     0,     0,  3441,     0,     0,     0,  1884,   878,     0,
    1276,     0,  1276,     0,  1276,  2608,     0,     0,     0,  1888,
       0,  1885,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,  1276,     0,     0,     0,   768,  3383,
    2609,     0,     0,     0,     0,  3442,     0,  1276,  1276,  1276,
    1869,     0,     0,  1870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1276,     0,     0,   842,     0,
       0,     0,     0,     0,     0,     0,  1276,     0,     0,     0,
       0,  1276,  1876,     0,     0,     0,     0,  1276,     0, -2567,
       0,     0,     0,     0,     0,     0,     0,  3442,     0,     0,
       0,  3483,     0,  1487,  3486,     0,  2807,  1887,     0,     0,
       0,     0,     0,  1878,     0,     0,     0,     0,     0,  5179,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,  3441,   178,  1433,     0,     0,     0,   842,
     842,     0,     0,     0,     0,     0,     0,  1276,  1523,  2981,
       0,     0,     0,     0,  1781,     0,     0,     0,     0,   178,
       0,  1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,
    1873,  1489,  4081,     0,     0,     0,  1434,     0,     0,  2138,
    3935,   831,     0,   831,   831,   831,     0,     0,     0,     0,
       0,     0,     0,  1876,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,  1888,     0,  3441,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,
       0,  -128, -2567,     0,  1878,     0,     0, -2567,  1524,     0,
    1436,     0,     0,  5250,  4082,     0,     0,  1437,     0,     1,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     2,
       0,     3,     4,     0,     0,  1490,     0,     0,   856,     0,
       0,     0,     0, -2567,     0,  1439,     0,     5,   888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,     0,     6,     0,     7,
       8,     0,     0,     0,   768,     0,     9,  1440,    10,     0,
       0,     0,     0,  1491,  5295,     0,  1492,     0,     0,    11,
    1885,    12,     0,     0,     0,     0,     0,  2292,   178,  4083,
       0,     0,   842,   842,     0,     0,     0,     0,    13,     0,
       0,    14,     0,  1879,     0,     0,     0,     0,  1880,     0,
       0,     0,     0,     0,     0,    15,     0,    16,  1494,     0,
       0,    17,     0,     0,     0,     0,  1441,    18,  1442, -2567,
   -2567,     0,     0,     0,     0,    19,     0,    20,  1443,     0,
       0,     0,     0,    21,  1883,     0,     0,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,    22,
       0,  1496,     0,     0,     0,     0, -2567,     0,   831,     0,
       0,     0,     0,  2981,  2981,    23,     0, -2567,     0,     0,
       0,  1497,     0,     0,  1869,     0,     0,  1870,     0,     0,
       0,  1885,     0,     0,     0,  1525,     0,     0,  1447,  1448,
       0,  1499,     0,  4084,     0,     0,  4085,     0,     0,     0,
     768,   768,   768,     0,    24,    25,  1876,     0,     0,     0,
      26,     0,     0, -2567,     0,     0,  1526,   768,     0,     0,
       0,     0,    27,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    28,     0,     0,  1878,     0,  1781,
     768,     0,     0,     0,     0,     0,     0,     0,     0,  1781,
     768,   768, -2567,     0,     0,   768,     0,     0,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,  1887,   768,     0,
       0,     0,     0,     0,     0,     0,    29,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,    30,
       0,     0,     0,     0,  2232,    31,    32,     0,    33,     0,
       0,     0,     0,    34,  4355,     0,     0,     0,    35,     0,
       0,    36,     0,     0,     0,     0,    37,     0,     0,     0,
       0,     0,    38,    39,     0,     0,   831,     0,     0,     0,
      40,     0,     0,     0,    41,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42,   768, -2567,     0,     0,     0,
       0, -2567,     0,     0,     0,     0,     0,    43,     0,     0,
       0,   768,     0,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,    44,     0,     0,     0,
       0,  1276,   915,     0,     0,     0,    45, -2567,   960,     0,
    1276,     0,    46,     0,     0,     0,  1276,    47,  1276,     0,
       0,  1276,     0,     0,     0,     0,  1276,  1276,  1276,  1276,
      48,     0,  1276,  1276,  1276,  1276,  1276,  1276,  1276,  1276,
    1276,  1276,     0,     0,     0,  1276,  1276,     0,     0,     0,
       0,     0,     0,    49,  1885,  1276,     0,     0,     0,  1276,
       0,     0,     0,  1276,     0,     0,     0,    50,     0,     0,
    -128,  1276,     0,     0,  1276,     0,  1276,     0,     0,     0,
       0,     0,     0,     0,     0,  1276,     0,     0,  1276,  1276,
       0,     0,     0,  1276,  1276,     0,     0,     0,  3942,     0,
    1276,     0,     0,     0,     0,     0,     0,   768,   768,   768,
     826,     0,     0,  3442,  3964,     0,     0,     0,  3964,  3978,
    3964,     0,     0,     0,     0,     0,  1276,     0,     0,     0,
    2149,     0,  1276,  1276,  1276,  2150,     0,     0,     0,     0,
   -2567,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1276,   558,
    1160,     0,     0,     0,     0,   610,   558,     0,     0,  2151,
       0,   661,  2807,   558,  1276,     0,     0,     0,     0,   558,
       0,   712,  2152,     0,     0,  1283,     0,     0,     0,     0,
       0,     0,  4039,  1781,  1781,     0,  2353,  2153,     0,     0,
     779,   779,     0,     0,  1306,     0,     0,     0,     0,     0,
       0,     0,     0,   831,   831,   831,   831,     0,     0,     0,
       0,     0,     0,     0,     0,  1331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2567,     0,  2154,     0,
       0,     0,  2206,  1892,  1893,  1894,  1895,  1896,  1897,  2155,
       0,     0,     0,     0,     0,     0,  1869,  3210,  3210,  1870,
    4092,     0,     0,  1871,  1872,  1873,     0,     0,     0,  2156,
       0,     0,     0,     0,  2157,     0,     0,  1404,  1404,     0,
    1874,     0,     0,     0,     0,     0,     0,  1404,  1876,     0,
       0,     0,     0,     0,     0,  1877,     0,  1461,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1405,  1405,     0,     0,     0,     0,     0,     0,  1878,
       0,  1405,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2158,     0,     0,   838,     0,     0,
       0,  1406,  4177,     0,     0,   880,     0,   881,     0,   885,
     886,     0,   889,     0,   891,     0,     0,   897,     0,   899,
    1407,  1407,     0,     0,     0,     0,     0,     0,  2159,     0,
    1407,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   831,     0,     0,     0,   768,     0,   831,     0,  1276,
       0,     0,     0,     0,  1408,  1408,   768,     0,     0,     0,
     204,     0,  4217,  1609,  1408,     0,     0,     0,     0,     0,
       0,     0,  2206,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,  1880,  3211,  3211,     0,   768,     0,  1409,
    1409,  3442,  1647,  1650,  1651,     0,  2160,     0,     0,  1409,
       0,  3066,     0,  2161,  1881,  1882,  2162,     0,     0,     0,
    4265,     0,     0,     0,     0,     0,     0,     0,     0,  1883,
       0,   768,     0,  1410,  1410,  2353,     0,     0,     0,  1276,
    1276,     0,     0,  1410,     0,     0,  2163,     0,     0,     0,
       0,     0,     0,  2164,     0,     0,     0,     0,     0,     0,
    2165,     0,  1884,     0,  1412,  1412,     0,  2166,  2981,     0,
    2981,     0,     0,  1411,  1412,     0,  1885,   768,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2167,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    34,    34,  1276,     0,  3212,  1414,
    1413,     0,     0,     0,    34,  1415,  1415,  1276,  1414,     0,
       0,     0,     0,  1416,  1416,  1415,     0,     0,     0,     0,
       0,  2191,  2191,  1416,     0,     0,     0,     0,     0,     0,
       0,  1417,  1283,  1418,  1418,     0,     0,  1276,     0,     0,
       0,  1419,  1419,  1418,     0,     0,     0,  1276,  1276,     0,
       0,  1419,  1887,     0,  1276,  1276,     0,     0,  1283,  1276,
       0,     0,  3213,  3213,  1276,     0,     0,  1276,  1276,     0,
       0,     0,  1276,  4360,     0,     0,     0,     0,  1276,   768,
     768,   768,   768,     0,     0,     0,  3964,  3978,  3964,     0,
    1276,  3964,     0,     0,  4374,     0,  1420,  1420,  3442,     0,
    3214,  3214,  3442,     0,     0,     0,  1420,     0,  4389,     0,
       0,     0,     0,     0,     0,  1276,     0,     0,     0,     0,
    1276,     0,     0,     0,     0,     0,  1276,     0,     0,     0,
       0,     0,     0,   878,     0,     0,     0,     0,     0,     0,
       0,  1276,     0,     0,     0,  3483,     0,     0,  1888,     0,
    2807,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,
    1897,     0,     0,     0,   702,  2677,     0,  1276,     0,     0,
       0,     0,     0,     0,   963,  1432,     0,     0,     0,     0,
       0,  1433,   972,     0,     0,     0,     0,  2981,  2981,   985,
     986,     0,     0,   992,  1940,   995,   996,     0,     0,     0,
     998,     0,     0,     0,     0,  2206,     0,     0,     0,     0,
       0,  1015,     0,     0,     0,     0,     0,     0,  4458,     0,
       0,     0,  1434,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2076,     0,     0,     0,     0,     0,     0,     0,  1089,
    1054,  1091,     0,  1432,     0,     0,     0,     0,     0,  1433,
       0,  1107,     0,     0,     0,     0,  1487,  1276,     0,     0,
       0,     0,  1435,     0,  1054,     0,  1436,     0,     0,     0,
       0,     0,     0,  1437,     0,  1488,  1438,     0,     0,   831,
       0,     0,     0,   558,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,   831,     0,     0,     0,     0,     0,
       0,  1439,     0,     0,     0,     0,     0,     0,     0,     0,
    2200,     0,     0,     0,  1161,     0,     0,     0,     0,  2223,
       0,     0,     0,  1276,  1489,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,   826,     0,     0,
       0,     0,     0,  2206,  1436,     0,     0,     0,     0,  2260,
       0,  1437,  1781,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,  2273,     0,     0,  2276,     0,  1276,   779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1439,
     831,     0,  3194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,  1490,     0,
       0,  1440,   768,  1444,     0,     0,  2324,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,  1395,
    2342,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2354,     0,     0,     0,     0,  1276,     0,
       0,     0,     0,     0,     0,     0,  1491,  1276,     0,  1492,
       0,  1446,     0,     0,  1447,  1448,     0,     0,     0,     0,
    1493,     0,  1442,     0,  1276,  1276,     0,     0,  1276,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,  1449,   826,     0,  2406,  3964,     0,     0,  1555,
    3442,  1494,  1445,     0,     0,  3442,     0,     0,  3442,   826,
       0,  3066,     0,  4649,     0,  1568,  1276,  1276,     0,     0,
       0,     0,     0,     0,  2449,     0,     0,  1579,     0,     0,
    1580,  2462,     0,     0,  4039,     0,  1276,  1569,     0,  1495,
    1583,     0,  1447,  1448,  1496,  1587,     0,  4039,   878,   831,
     831,   831,     0,  1590,     0,     0,  1450,     0,     0,  1600,
    1584,     0,  1604,     0,  1497,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,  1595,     0,     0,     0,     0,
    1869,     0,     0,  1870,  1499,     0,     0,  1871,  1872,  1873,
       0,     0,     0,     0,     0,   843,   878,     0,     0,     0,
       0,     0,  1657,     0,  1874,     0,     0,     0,     0,     0,
       0,     0,  1876,     0,     0,     0,     0,     0,  1869,  1877,
       0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,
       0,     0,  2534,     0,  1450,  1067,     0,   843,     0,     0,
     768,     0,  1874,  1878,     0,     0,     0,  1432,     0,     0,
    1876,     0,  4217,  1433,     0,   768,     0,  1877,     0,  1067,
     768,     0,  2981,     0,     0,     0,  1523,     0,     0,  2206,
    1283,  1283,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1878,     0,     0,     0,   768,     0,  2581,     0,  4265,
       0,  1432,     0,     0,  1434,     0,     0,  1433,     0,     0,
       0,     0,     0,   831,   768,  4039,     0,     0,     0,     0,
       0,     0,     0,   558,     0,   558,     0,   558,     0,   558,
       0,   558,   558,   558,     0,     0,     0,     0,   558,     0,
       0,  1276,     0,     0,  1276,     0,  1276,     0,  1434,  1799,
       0,     0,     0,     0,     0,     0,  1524,     0,  1436,     0,
       0,     0,  1879,     0,     0,  1437,  1276,  1880,  1438,     0,
       0,     0,  1276,     0,  1804,     0,  3442,     0,     0,     0,
    4649,     0,     0,     0,     0,     0,     0,  1276,  1881,  1882,
       0,     0,     0,  1439,  2740,     0,  4868,     0,  2247,     0,
    1879,     0,  1436,  1883,  2755,  1880,     0,     0,     0,  1437,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
     768,     0,     0,     0,     0,  1440,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,  1439,     0,     0,
       0,  1883,     0,     0,     0,     0,  1276,     0,     0,     0,
    1885,     0,     0,  1886,     0,   831,   831,   831,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,   830,
     832,     0,     0,   836,  1441,     0,  1442,     0,  1885,     0,
       0,  1886,     0,   826,     0,     0,  1443,     0,     0,     0,
       0,   890,     0,     0,     0,  1444,     0,     0,   900,     0,
       0,     0,     0,     0,   768,     0,  1445,  3442,     0,     0,
       0,  2766,     0,  2769,     0,     0,     0,   779,  1441,     0,
    1442,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
    1443,     0,  1067,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,  3037,     0,     0,  1447,  1448,     0,  1283,
    1445,     0,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,     0,  1276,     0,  1887,   826,     0,     0,  1276,     0,
    1067,     0,  5020,     0,  3038,     0,     0,     0,     0,  1276,
       0,     0,     0,     0,  1276,     0,  1276,  2248,  1276,     0,
    1447,  1448,     0,  2169,     0,     0,  4039,     0,     0,     0,
       0,     0,   831,     0,   878,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1276,     0,     0,     0,  2249,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,  1450,  3706,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,  1781,  1781,     0,     0,
    1888,  2259,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,  2254,     0,  3867,     0,     0,
       0,     0,  1450,  1869,     0,     0,  1870,   831,     0,     0,
    1871,  1872,  1873,  1432,  5097,     0,     0,     0,  1276,  1433,
       0,     0,     0,     0,  2948,     0,  5108,  1874,     0,     0,
       0,     0,     0,     0,     0,  1876,     0,     0,     0,     0,
       0,     0,  1877,     0,     0,  2975,     0,     0,     0,     0,
       0,  1276,  1276,     0,     0,     0,  3066,     0,     0,  1276,
    1434,     0,     0,     0,     0,     0,  1878,     0,     0,  1276,
       0,     0,  4868,     0,     0,     0,     0,  2807,     0,  1067,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   843,     0,     0,     0,     0,     0,     0,  2356,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,  3041,
    3042,     0,  1781,  2371,  1436,     0,     0,     0,     0,  2397,
       0,  1437,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2393,     0,     0,  2206,     0,     0,
       0,     0,   826,     0,     0,     0,     0,  1276,     0,  1439,
       0,     0,     0,     0,     0,     0,  4039,     0,     0,     0,
       0,     0,   843,   843,  1276,     0,     0,     0,     0,     0,
       0,     0,     0,  1276,   966,  1879,     0,  5020,   969,     0,
    1880,  1440,     0,     0,     0,  1432,     0,     0,     0,  2470,
    1276,  1433,   994,     0,     0,     0,     0,   831,     0,   999,
       0,  1881,  1882,  2478,  3155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1054,  1883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2492,  5108,   831,
     831,     0,  1434,     0,     0,     0,     0,     0,     0,     0,
    1441,  2517,  1442,  2518,     0,     0,     0,     0,     0,  1884,
       0,     0,  1443,     0,     0,  1276,  1276,     0,     0,     0,
    2529,  1444,  2530,  1885,     0,     0,  1886,  2519,  1054,     0,
       0,     0,  1445,     0,     0,     0,   558,     0,   558,     0,
     558,     0,   558,     0,   558,  2098,  1436,     0,   558,     0,
       0,     0,     0,  1437,     0,     0,  1438,  1276,     0,     0,
       0,     0,     0,  1276,     0,     0,     0,     0,     0,  1552,
       0,  1869,  1447,  1448,  1870,     0,     0,   831,  1871,  1872,
    1873,  1439,     0,     0,  5020,     0,     0,   826,     0,     0,
       0,     0,     0,     0,     0,  1874,     0,     0,     0,     0,
    1553,     0,     0,  1876,     0,   843,   843,     0,     0,  1887,
    1877,  2098,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1878,     0,     0,     0,     0,     0,
       0,  3295,     0,     0,     0,     0,     0,     0,     0,     0,
    1067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2681,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,  1441,  1067,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,  1869,     0,     0,
    1870,     0,     0,  1444,  1871,  1872,  1873,     0,     0,     0,
       0,     0,     0,     0,  1445,  1888,     0,     0,  1889,  1890,
    1891,  1874,  1892,  1893,  1894,  1895,  1896,  1897,     0,  1876,
       0,     0,  3918,  1462,  1463,     0,  1877,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2171,     0,  1879,  1447,  1448,     0,     0,  1880,     0,
    1878,     0,  1432,  1067,     0,     0,     0,     0,  1433,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,  1881,
    1882,     0,  2172,     0,     0,     0,     0,  2098,     0,     0,
       0,     0,     0,     0,  1883,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,  3423,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1885,     0,     0,  1886,     0,  1450,     0,     0,     0,
       0,  1611,  1612,     0,  1067,     0,     0,     0,     0,     0,
       0,     0,     0,  1436,  2810,  2811,     0,     0,  1067,  1879,
    1437,     0,     0,  1438,  1880,     0,     0,  1653,     0,     0,
    1067,     0,     0,  2826,  2827,     0,     0,     0,  2830,  2831,
       0,     0,  1067,  2834,     0,  1881,  1882,     0,  1439,     0,
       0,     0,     0,     0,     0,     0,     0,  2845,     0,     0,
    1883,     0,     0,     0,  2854,     0,     0,     0,  2857,  2858,
       0,     0,  2861,  2862,     0,     0,     0,  1887,     0,  2867,
    1440,     0,  1067,  1067,     0,     0,     0,     0,     0,     0,
       0,     0,  2884,  1884,  2886,     0,     0,     0,     0,     0,
    1721,  1723,     0,     0,     0,  2875,     0,  1885,     0,     0,
    1886,     0,     0,  2910,     0,     0,     0,  2890,  2912,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,  1433,
       0,  2917,     0,     0,     0,     0,     0,     0,     0,  1441,
    2924,  1442,  2926,     0,     0,  2929,  2932,  2934,     0,     0,
       0,  1443,  2942,  2945,     0,     0,     0,  2923,     0,     0,
    1444,     0,  2958,     0,     0,     0,     0,  2967,     0,     0,
    1434,  1445,  2971,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,     0,  2987,     0,
    4004,     0,     0,  1887,     0,     0,  2998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3013,  2918,     0,
    3621,  1447,  1448,     0,     0,     0,  1067,     0,     0,  3020,
       0,     0,  3023,     0,  1436,     0,     0,  3026,     0,     0,
       0,  1437,  3028,  3029,  1438,     0,     0,  3032,     0,  1449,
    3036,     0,     0,     0,  3043,  3044,  3045,  3046,  1869,  3048,
       0,  1870,     0,     0,  2753,  1871,  1872,  1873,     0,  1439,
       0,     0,  3073,  3074,     0,  3076,     0,     0,     0,     0,
       0,     0,  1874,     0,     0,  3084,  3085,     0,     0,     0,
    1876,     0,     0,     0,     0,     0,     0,  1877,     0,  1888,
       0,  1440,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,     0,  1450,     0,  1869,  4033,     0,  1870,     0,
       0,  1878,  1871,  1872,  1873,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3129,     0,  1874,
       0,     0,     0,     0,     0,     0,  3121,  1876,     0,     0,
       0,     0,     0,     0,  1877,     0,     0,     0,     0,     0,
    1441,     0,  1442,     0,     0,  3166,  3735,  3736,  3737,     0,
       0,     0,  1443,     0,     0,     0,     0,     0,  1878,     0,
       0,  1444,     0,  3746,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3762,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3772,  3774,     0,     0,
       0,  3779,     0,     0,     0,     0,     0,     0,     0,  3081,
    1879,     0,  1447,  1448,  3793,  1880,     0,     0,     0,     0,
       0,     0,     0,     0,  2814,     0,     0,     0,  2098,  2820,
       0,     0,     0,     0,     0,     0,  1881,  1882,     0,     0,
    3082,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1883,     0,  2227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1879,     0,     0,
       0,     0,  1880,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
    1067,     0,     0,  1881,  1882,     0,     0,     0,  1885,     0,
       0,  1886,  1067,     0,  1450,  3296,     0,  1283,  1883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3291,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,  3312,     0,  3303,  1871,  1872,  1873,
       0,  1884,  1067,  2320,  2321,  2322,  2323,     0,     0,  3309,
       0,     0,     0,     0,  1874,  1885,     0,  1432,  1886,     0,
       0,     0,  1876,  1433,     0,     0,     0,     0,     0,  1877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,  2362,  2363,     0,     0,
       0,     0,     0,  1878,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,  2387,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1869,     0,     0,  1870,     0,     0,     0,
    1871,  1872,  1873,  3950,  3951,  3952,     0,     0,     0,     0,
       0,  1887,  2432,  2433,  2434,  2435,     0,  1874,     0,     0,
       0,  2774,     0,     0,     0,  1876,     0,     0,  1436,     0,
       0,     0,  1877,     0,     0,  1437,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,  1889,  1890,  1891,  1878,  1892,  1893,  1894,
    1895,  1896,  1897,  1439,     0,     0,     0,  4321,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,  1880,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1067,     0,     0,     0,  1440,     0,     0,  1881,  1882,
       0,     0,     0,     0,     0,  2775,     0,  1888,     0,     0,
    1889,  1890,  1891,  1883,  1892,  1893,  1894,  1895,  1896,  1897,
       0,     0,     0,     0,  4356,  2527,     0,     0,     0,     0,
       0,  2531,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,  1442,     0,  3520,     0,
    1885,     0,  3522,  1886,     0,  1879,  1443,     0,  3524,     0,
    1880,     0,     0,  2098,     0,  1444,     0,     0,     0,     0,
       0,     0,     0,  3523,  3535,  3537,  1445,     0,     0,  3537,
       0,  1881,  1882,     0,  3548,  3549,  3550,     0,  3552,     0,
    3534,     0,     0,     0,     0,     0,  1883,     0,     0,  1869,
       0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,  3573,
       0,     0,     0,  3545,     0,     0,  1447,  1448,     0,  3579,
    3580,  3581,  3582,  1874,     0,     0,     0,     0,     0,  1884,
       0,  1876,     0,     0,     0,     0,  1887,     0,  1877,     0,
       0,     0,     0,  1885,  3546,     0,  1886,     0,  2691,     0,
       0,     0,     0,     0,     0,     0,  3599,     0,     0,  3604,
    3605,  3606,  1878,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,     0,     0,
       0,  4199,     0,     0,  3615,     0,  3617,     0,     0,     0,
       0,  1067,  4212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4241,     0,     0,     0,     0,     0,  1887,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,  4606,
       0,     0,     0,     0,     0,     0,     0,  2462,     0,     0,
       0,  3673,     0,     0,     0,     0,     0,  3664,     0,  3677,
       0,  1879,     0,     0,     0,     0,  1880,     0,     0,     0,
       0,     0,     0,     0,     0,  2776,     0,  3686,     0,     0,
       0,     0,     0,     0,     0,  3678,     0,  1881,  1882,     0,
       0,     0,     0,  2534,     0,     0,     0,     0,     0,     0,
       0,     0,  1883,     0,  3732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,
    2753,  2753,  2753,     0,     0,  1884,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,  1433,     0,  1885,
       0,     0,  1886,     0,  1487,     0,  3769,     0,     0,     0,
       0,  3775,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2923,     0,     0,  1434,     0,
       0,  3813,     0,     0,     0,     0,     0,     0,     0,  2098,
       0,     0,  2820,     0,  2820,  4363,  4364,  4365,  4366,  2098,
       0,     0,  2873,  2874,     0,     0,  3816,     0,     0,     0,
       0,  2885,  1489,  2887,     0,     0,     0,  2891,  3829,     0,
    3830,  1869,     0,     0,  1870,  1887,     0,     0,  1871,  1872,
    1873,     0,  1436,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,  1438,     0,     0,  1874,     0,     0,  1067,     0,
       0,     0,     0,  1876,     0,     0,     0,     0,     0,     0,
    1877,     0,     0,     0,   828,  1067,     0,  1439,     0,     0,
       0,     0,     0,   828,   851,     0,     0,     0,     0,     0,
       0,     0,   851,     0,  1878,     0,     0,     0,     0,     0,
    2098,     0,     0,     0,     0,   851,  1490,     0,     0,  1440,
       0,     0,  3866,     0,     0,     0,     0,     0,     0,     0,
       0,  1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,
    1873,  1888,     0,  3875,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,  1874,  3019,     0,  4617,  3022,
       0,     0,     0,  1876,  1491,     0,     0,  1492,  3898,     0,
    1877,     0,     0,     0,     0,     0,     0,     0,  1493,  1067,
    1442,  1067,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,  1878,     0,     0,     0,     0,  1444,
       0,     0,  1804,     0,     0,     0,     0,     0,     0,  1494,
    1445,     0,     0,  1879,     0,     0,     0,     0,  1880,     0,
       0,     0,     0,     0,     0,     0,     0,  3096,     0,     0,
       0,     0,     0,     0,     0,  3103,  3104,     0,     0,  1881,
    1882,     0,  3106,     0,     0,     0,     0,  3014,     0,     0,
    1447,  1448,  1496,     0,  1883,     0,  3122,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,  3015,     0,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,     0,
    1067,     0,  1499,     0,     0,     0,     0,  3168,  4050,     0,
    4051,  1885,     0,  1879,  1886,     0,     0,  4053,  1880,     0,
       0,     0,     0,  2820,     0,     0,     0,     0,     0,     0,
       0,  2820,     0,  4063,     0,  3191,     0,     0,     0,  1881,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,  4071,
       0,     0,  1450,     0,  1883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4091,  4591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4095,     0,  1884,     0,  3250,
       0,  3252,     0,     0,     0,  4104,     0,  1887,     0,     0,
    1067,  1885,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4133,     0,     0,     0,  2820,     0,
       0,     0,     0,     0,     0,  4141,  4142,  4143,     0,     0,
       0,  1067,  4147,  4148,  4149,  4150,     0,     0,  4152,  4153,
       0,     0,     0,     0,  4160,  4161,     0,  4163,  4164,  4165,
    4166,  4167,  4168,     0,  4170,     0,     0,     0,     0,     0,
       0,     0,     0,  4178,     0,     0,  4181,  4182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
       0,     0,     0,     0,     0,  3537,     0,  1887,     0,   851,
       0,  3311,     0,  1888,     0,   851,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,     0,  4202,   851,     0,
    4626,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,  1067,     0,   828,
       0,     0,     0,     0,     0,  1068,     0,     0,     0,   828,
     851,     0,     0,     0,     0,     0,     0,   851,  1067,     0,
       0,     0,     0,     0,     0,     0,  4228,     0,     0,  1068,
     851,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,  1067,     0,     0,  1432,     0,     0,     0,
       0,     0,  1433,  1888,     0,     0,  1889,  1890,  1891,     0,
    1892,  1893,  1894,  1895,  1896,  1897,  4750,     0,     0,     0,
    4629,     0,     0,     0,     0,     0,  3537,  1067,     0,     0,
       0,  4762,     0,     0,     0,     0,  1283,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4306,     0,
       0,  4797,     0,     0,     0,     0,     0,     0,     0,   828,
     828,     0,     0,     0,     0,   851,     0,  2753,     0,     0,
    4814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1436,     0,     0,
       0,   828,     0,     0,  1437,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2098,     0,     0,     0,     0,     0,     0,
    1869,     0,  1439,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1874,     0,     0,     0,  1804,     0,
       0,     0,  1876,     0,  1440,     0,     0,     0,     0,  1877,
       0,     0,     0,     0,     0,     0,     0,     0,  3526,     0,
    3527,  3528,  3529,     0,     0,     0,  4884,     0,     0,     0,
       0,     0,     0,  1878,     0,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2820,  1441,  1874,  1442,     0,     0,     0,     0,
       0,     0,  1876,     0,     0,  1443,     0,     0,     0,  1877,
       0,     0,     0,     0,  1444,   828,  2820,     0,     0,     0,
       0,     0,  1068,     0,     0,  1445,   828,     0,     0,     0,
       0,     0,     0,  1878,     0,     0,     0,     0,     0,     0,
       0,     0,  4441,     0,     0,  1068,  4442,  4443,  4444,  4445,
    4968,     0,  4447,  4438,     0,     0,     0,     0,     0,     0,
    1068,     0,  3600,     0,     0,  1447,  1448,     0,     0,     0,
       0,     0,  1879,     0,     0,     0,     0,  1880,     0,     0,
       0,     0,     0,  4465,  4466,  4467,     0,  4468,     0,  4470,
    4471,  4459,     0,  3601,     0,     0,     0,     0,  1881,  1882,
       0,  4480,  4481,     0,     0,   828,     0,     0,     0,     0,
       0,     0,  4474,  1883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4486,     0,
       0,  1432,     0,     0,     0,     0,     0,  1433,     0,     0,
       0,  1067,  1879,     0,  1068,     0,  1884,  1880,     0,     0,
       0,  4496,     0,     0,     0,     0,     0,  1450,     0,     0,
    1885,     0,     0,  1886,     0,  3679,     0,     0,  1881,  1882,
       0,     0,     0,     0,     0,     0,     0,  4500,  1434,     0,
       0,   851,     0,  1883,     0,     0,     0,     0,     0,     0,
       0,  2098,     0,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,  4548,     0,     0,     0,     0,
    1885,     0,  1436,  1886,     0,     0,     0,     0,     0,  1437,
     851,     0,  1438,     0,     0,     0,  1887,     0,     0,  1068,
       0,   851,     0,     0,  4576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,  1439,     0,   851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4600,
       0,   828,     0,     0,     0,     0,     0,     0,  4589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   828,     0,  1067,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,     0,
    1804,     0,     0,  3833,     0,     0,     0,     0,     0,   828,
     828,   828,  1888,   828,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,  1441,  4678,
    1442,     0,     0,   828,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,  2753,  1444,
       0,     0,     0,  2753,     0,     0,   558,   851,     0,  2753,
    1445,     0,     0,     0,     0,   851,   851,     0,     0,     0,
       0,     0,     0,     0,   828,  2024,     0,     0,     0,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,     0,     0,  4712,
    1447,  1448,   828,     0,     0,     0,   828,   828,     0,     0,
       0,     0,     0,     0,     0,     0,  4701,     0,  1067,     0,
       0,   828,     0,     0,     0,  1068,     0,     0,  1449,     0,
       0,     0,  2024,     0,  4711,     0,     0,     0,     0,  4716,
    4717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4776,  1068,  1450,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4793,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1067,     0,     0,     0,     0,  3537,     0,     0,
       0,     0,     0,  1068,  4829,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4056,  4057,  4058,  4059,     0,     0,     0,     0,     0,     0,
    1804,     0,     0,     0,     0,     0,  1869,     0,     0,  1870,
       0,     0,     0,  1871,  1872,  1873,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1874,     0,     0,   851,     0,     0,     0,     0,  1876,     0,
    3664,     0,  4871,     0,     0,  1877,     0,     0,     0,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4887,     0,     0,     0,     0,  1068,  1878,
       0,  4587,     0,  1067,  4895,     0,     0,  1068,     0,     0,
       0,     0,     0,     0,  2024,     0,     0,     0,     0,  1068,
       0,     0,     0,     0,  1804,     0,     0,     0,     0,  1804,
    1804,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,  1067,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,  4961,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,   828,     0,     0,   828,     0,     0,     0,  1068,     0,
       0,     0,     0,     0,   828,     0,     0,     0,  4198,     0,
    1068,     0,     0,     0,  4201,     0,     0,     0,  1879,     0,
       0,     0,  1068,  1880,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3537,   828,
     828,     0,   851,   851,  1881,  1882,     0,     0,     0,     0,
    4995,     0,     0,     0,   851,     0,     0,     0,     0,  1883,
       0,     0,  1068,  1068,     0,   851,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,  2820,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
    5044,     0,     0,     0,     0,     0,  1885,     0,     0,  1886,
       0,     0,     0,   828,     0,  5057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   828,     0,   828,
       0,     0,     0,     0,   828,   828,     0,     0,     0,     0,
       0,   828,   828,   828,     0,     0,  5084,   828,     0,   828,
     828,   828,   828,   828,   828,     0,   828,     0,   828,   828,
       0,  5095,   828,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,  1068,   828,   828,   828,
     828,  2024,     0,     0,     0,   828,     0,     0,     0,   828,
    2820,     0,   828,     0,     0,   828,   828,   828,   828,   828,
     828,   828,   828,   828,     0,   828,     0,     0,     0,     0,
       0,     0,   828,     0,   828,  1067,     0,     0,     0,  1869,
       0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
       0,  5136,     0,     0,     0,     0,     0,     0,     0,  5152,
       0,     0,     0,  1874,     0,     0,     0,     0,     0,     0,
       0,  1876,     0,     0,     0,  1067,     0,     0,  1877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1888,     0,
       0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,
    1897,  5174,  1878,     0,     0,  4752,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,     0,     0,  1870,     0,     0,
       0,  1871,  1872,  1873,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,     0,  1067,  1067,     0,     0,  1874,     0,
       0,     0,     0,     0,     0,     0,  1876,     0,     0,  1869,
       0,     0,  1870,  1877,     0,     0,  1871,  1872,  1873,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1874,     0,     0,     0,  1878,     0,     0,
       0,  1876,     0,     0,     0,  5234,     0,     0,  1877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
       0,  1879,  1878,     0,  1068,     0,  1880,     0,  1068,  1068,
       0,     0,     0,     0,     0,   851,     0,     0,     0,     0,
    2024,   851,     0,     0,     0,   851,     0,  1881,  1882,     0,
       0,     0,     0,   851,  4587,  1067,     0,     0,     0,     0,
       0,     0,  1883,     0,     0,     0,  4493,     0,     0,     0,
       0,   851,     0,     0,   828,     0,     0,     0,     0,     0,
       0,  4497,     0,     0,     0,     0,   828,     0,     0,     0,
    1068,     0,     0,   828,     0,  1884,  1879,     0,     0,     0,
       0,  1880,  1068,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,     0,     0,   851,     0,     0,     0,     0,
       0,     0,  1881,  1882,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,   851,   851,     0,  1880,  1883,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1881,  1882,     0,
       0,     0,     0,     0,  2024,   851,     0,  4561,  2024,     0,
    1884,     0,  1883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,  1886,     0,     0,
       0,   851,     0,  2024,     0,  1887,     0,     0,     0,   851,
       0,     0,     0,     0,     0,  1884,   851,     0,     0,     0,
     851,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,   851,     0,     0,     0,   851,
       0,     0,  2024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,  1067,     0,     0,     0,
       0,     0,     0,     0,     0,   851,     0,     0,     0,     0,
    1887,     0,     0,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,  1887,     0,     0,  5056,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1869,
     828,  1068,  1870,     0,     0,     0,  1871,  1872,  1873,     0,
    2024,     0,     0,     0,     0,     0,  4683,  4684,  4684,     0,
       0,     0,     0,  1874,     0,     0,     0,     0,     0,     0,
       0,  1876,     0,     0,     0,     0,     0,     0,  1877,     0,
       0,     0,     0,     0,   828,     0,  1888,     0,     0,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,     0,
       0,     0,  1878,  5178,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,     0,  1068,  1889,  1890,  1891,   851,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,   828,     0,  5241,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,     0,  1870,     0,     0,     0,  1871,  1872,  1873,
     851,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1874,     0,     0,     0,     0,     0,
       0,     0,  1876,     0,     0,     0,     0,     0,     0,  1877,
    4813,  1879,     0,     0,     0,     0,  1880,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1878,  1068,     0,   851,  1881,  1882,     0,
       0,     0,     0,     0,   851,     0,     0,     0,   828,     0,
       0,  1068,  1883,     0,   828,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1068,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   828,     0,     0,     0,     0,
     828,     0,     0,     0,     0,  1884,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,   828,   828,   828,     0,     0,   828,     0,
       0,     0,     0,     0,     0,     0,   828,   828,   828,   828,
       0,     0,     0,     0,  2024,     0,     0,     0,     0,   828,
    2024,     0,   828,     0,   828,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,     0,   828,   828,  1880,     0,   828,
       0,     0,     0,  4917,     0,  4919,     0,     0,     0,     0,
       0,     0,     0,   828,     0,   828,     0,   828,  1881,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1883,     0,  1887,     0,   828,  1869,     0,
       0,  1870,     0,     0,     0,  1871,  1872,  1873,   828,     0,
     828,   828,   828,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1874,     0,     0,   851,  1884,     0,   828,     0,
    1876,     0,     0,     0,     0,     0,     0,  1877,     0,   828,
    1885,     0,     0,  1886,   828,     0,     0,     0,     0,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     828,  1878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1068,
       0,     0,  1068,     0,  1068,     0,     0,     0,     0,  1068,
       0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,   851,   851,     0,     0,  5261,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,  4684,
       0,     0,     0,     0,     0,     0,  1887,     0,     0,     0,
       0,   851,     0,     0,   851,     0,     0,     0,  1068,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1068,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,     0,     0,     0,     0,  1880,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,  5091,     0,     0,     0,     0,     0,
       0,  1883,     0,     0,     0,  2024,  2024,  2024,     0,     0,
       0,     0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,
    1893,  1894,  1895,  1896,  1897,     0,     0,  2761,     0,   851,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,  1068,
       0,  1068,     0,     0,     0,     0,     0,     0,  1885,   851,
       0,  1886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1869,     0,     0,  1870,     0,     0,
       0,  1871,  1872,  1873,     0,     0,     0,     0,     0,     0,
       0,     0,  5159,     0,     0,     0,     0,     0,  1874,     0,
       0,     0,     0,     0,     0,     0,  1876,     0,     0,     0,
       0,     0,     0,  1877,     0,     0,     0,     0,     0,     0,
       0,     0,  1068,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,  1878,     0,     0,
       0,     0,   851,     0,     0,     0,     0,     0,     0,     0,
    1068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,     0,     0,
    2024,  1068,     0,     0,  5227,     0,     0,   851,     0,   851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,   851,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4684,  4684,     0,     0,
       0,     0,     0,  3362,     0,     0,  2024,     0,  3363,     0,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,  1879,  5294,     0,     0,
    1068,  1880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   851,  1068,     0,
       0,     0,  1881,  1882,     0,     0,     0,     0,     0,     0,
       0,  1068,     0,     0,     0,     0,     0,  1883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4684,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,  1869,     0,     0,  1870,
    1884,     0,     0,  1871,  1872,  1873,     0,     0,     0,     0,
       0,   851,     0,     0,  1885,     0,     0,  1886,     0,     0,
    1874,     0,     0,     0,     0,     0,     0,     0,  1876,     0,
       0,     0,     0,   851,     0,  1877,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,  1068,     0,  1878,
       0,     0,     0,   828,     0,     0,     0,     0,     0,   828,
       0,   828,     0,     0,   828,     0,     0,     0,  1068,   828,
     828,   828,   828,     0,     0,   828,   828,   828,   828,   828,
     828,   828,   828,   828,   828,     0,     0,     0,   828,   828,
    1887,     0,     0,  1068,     0,     0,     0,     0,   828,     0,
       0,     0,   828,     0,  2024,     0,   828,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,   828,     0,   828,
       0,     0,     0,     0,     0,     0,     0,  1068,   828,     0,
       0,   828,   828,     0,     0,     0,   828,   828,     0,     0,
       0,     0,     0,   828,     0,     0,     0,     0,   844,   853,
       0,     0,     0,   828,     0,     0,   828,   853,  1879,     0,
       0,     0,     0,  1880,     0,     0,     0,     0,     0,   828,
     853,     0,     0,     0,     0,   828,   828,   828,     0,     0,
       0,     0,     0,     0,  1881,  1882,  1888,     0,     0,  1889,
    1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,  1883,
       0,   828,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
       0,     0,     0,  1068,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,   828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1885,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,     0,     0,     0,
       0,     0,  3910,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1869,     0,     0,  1870,     0,     0,     0,
    1871,  1872,  1873,     0,     0,     0,  2024,     0,     0,     0,
       0,  2024,  1068,  2024,     0,     0,     0,  1874,     0,     0,
       0,     0,  1887,     0,     0,  1876,     0,     0,     0,     0,
       0,     0,  1877,     0,     0,  2024,  1068,     0,  3911,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1869,     0,  2024,  1870,     0,     0,  1878,  1871,  1872,  1873,
       0,     0,     0,     0,     0,     0,     0,   851,     0,     0,
     851,     0,     0,     0,  1874,     0,     0,  3321,     0,     0,
       0,     0,  1876,     0,     0,     0,     0,     0,     0,  1877,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1878,     0,     0,     0,     0,  1888,     0,
       0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,
    1897,     0,   828,     0,     0,     0,     0,     0,     0,     0,
       0,  5206,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,   851,   851,     0,
       0,  1068,     0,   852,     0,  1879,     0,   851,     0,     0,
    1880,     0,     0,     0,   828,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,     0,     0,     0,
       0,  1881,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1883,     0,     0,     0,
       0,  1068,   828,   828,     0,     0,     0,     0,     0,     0,
       0,     0,  1879,     0,   853,     0,     0,  1880,  1869,     0,
     853,  1870,     0,     0,     0,  1871,  1872,  1873,     0,  1884,
       0,     0,     0,   853,     0,     0,     0,     0,  1881,  1882,
       0,     0,  1874,  1885,     0,     0,  1886,     0,   851,   853,
    1876,     0,     0,  1883,     0,     0,     0,  1877,     0,     0,
       0,     0,     0,     0,   844,   853,     0,  5207,     0,   828,
       0,     0,   853,     0,     0,  1869,     0,     0,  1870,     0,
     828,  1878,  1871,  1872,  1873,   853,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,  1874,
    1885,     0,  3367,  1886,     0,     0,     0,  1876,     0,     0,
     828,     0,     0,     0,  1877,     0,     0,     0,     0,     0,
     828,   828,     0,  1068,     0,     0,     0,   828,   828,  1887,
       0,     0,   828,  1068,     0,     0,     0,   828,  1878,     0,
     828,   828,     0,     0,     0,   828,     0,     0,     0,     0,
       0,   828,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   828,     0,     0,     0,     0,     0,     0,
       0,   828,     0,     0,     0,   828,     0,     0,     0,     0,
     853,     0,     0,     0,     0,     0,  1887,     0,   828,     0,
    1879,     0,     0,   828,     0,  1880,     0,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,  1881,  1882,     0,     0,
       0,     0,     0,     0,     0,  1888,     0,     0,  1889,  1890,
    1891,  1883,  1892,  1893,  1894,  1895,  1896,  1897,     0,     0,
     828,     0,     0,     0,     0,     0,     0,  1879,     0,     0,
       0,     0,  1880,     0,     0,     0,     0,     0,  1068,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,  1882,   851,     0,     0,  1885,     0,
    2024,  1886,  1888,     0,     0,  1889,  1890,  1891,  1883,  1892,
    1893,  1894,  1895,  1896,  1897,     0,  1068,     0,  3335,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,     0,  1068,     0,     0,
       0,  1884,     0,     0,   851,     0,     0,     0,     0,     0,
     852,     0,     0,     0,     0,  1885,   852,     0,  1886,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   844,     0,     0,  1887,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,  1068,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,     0,     0,     0,     0,   828,     0,     0,     0,
       0,   852,     0,     0,     0,     0,     0,     0,     0,     0,
     828,  1887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,     0,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,
    1895,  1896,  1897,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1068,     0,  1068,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   851,   853,  1888,     0,     0,
    1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,
     853,   828,     0,     0,     0,  1068,     0,     0,     0,     0,
     828,     0,     0,     0,     0,     0,  1869,   853,     0,  1870,
       0,     0,     0,  1871,  1872,  1873,     0,   828,   828,     0,
       0,   828,     0,     0,     0,     0,     0,     0,     0,     0,
    1874,     0,     0,     0,     0,   853,   828,     0,  1876,     0,
       0,     0,     0,   828,     0,  1877,   853,     0,   828,     0,
       0,   828,   828,     0,     0,     0,     0,     0,     0,   828,
     828,   853,     0,     0,   853,     0,     0,     0,     0,  1878,
       0,     0,     0,     0,     0,     0,     0,   828,     0,   828,
       0,     0,     0,     0,   851,     0,   851,     0,     0,     0,
     828,     0,     0,     0,     0,  1869,     0,     0,  1870,     0,
       0,     0,  1871,  1872,  1873,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1874,
       0,     0,  3378,     0,     0,     0,     0,  1876,  1068,   851,
       0,     0,     0,     0,  1877,     0,     0,     0,   828,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1878,     0,
    3372,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2024,     0,     0,     0,  1879,     0,
     828,     0,   853,  1880,     0,     0,     0,     0,     0,     0,
     853,   853,     0,     0,     0,     0,     0,     0,     0,     0,
    2026,     0,     0,     0,  1881,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1869,     0,  1883,
    1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,     0,
       0,     0,     0,     0,     0,  4803,     0,     0,     0,     0,
       0,  1874,     0,     0,     0,     0,     0,     0,   828,  1876,
    1068,     0,  1884,     0,     0,     0,  1877,  2026,     0,     0,
       0,     0,     0,     0,     0,     0,  1885,  1879,     0,  1886,
       0,     0,  1880,     0,   828,  1068,     0,   828,     0,   828,
    1878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   852,  1881,  1882,     0,     0,     0,     0,   828,
       0,     0,     0,     0,     0,   828,   852,     0,  1883,   828,
       0,     0,     0,     0,     0,  1068,     0,     0,     0,     0,
     828,     0,     0,   852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,  1887,     0,     0,  1885,     0,     0,  1886,     0,
       0,  2024,   852,     0,     0,     0,     0,     0,     0,  1068,
       0,     0,     0,     0,  1068,  1068,     0,   852,     0,   828,
     852,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,  1880,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,  1882,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   828,  1259,  1259,     0,
    1883,     0,     0,     0,     0,     0,     0,     0,   853,     0,
       0,  1887,     0,     0,     0,     0,     0,     0,  1888,     0,
     828,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,
    1897,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
    1886,     0,     0,     0,  1068,  1068,     0,     0,     0,  2026,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,   828,   852,   852,   828,     0,
       0,   828,     0,   853,     0,     0,  2025,     0,     0,     0,
       0,   853,   828,     0,     0,     0,     0,   828,     0,   828,
       0,   828,     0,   853,     0,     0,     0,  1888,     0,   828,
    1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,  1896,  1897,
       0,     0,     0,     0,     0,     0,     0,   828,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2024,
       0,   851,     0,  3863,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   844,   844,     0,   853,   853,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   853,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,   853,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   828,     0,     0,     0,     0,   853,     0,     0,   828,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,  1889,  1890,  1891,     0,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,   828,   828,     0,     0,   844,     0,
       0,     0,   828,  2024,     0,     0,  1068,     0,     0,     0,
       0,     0,   828,     0,     0,     0,     0,     0,     0,     0,
       0,   851,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   828,     0,     0,  1869,     0,     0,
    1870,     0,     0,     0,  1871,  1872,  1873,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1874,     0,     0,  3917,     0,     0,     0,     0,  1876,
       0,     0,     0,     0,   852,     0,  1877,     0,     0,     0,
       0,     0,     0,     0,     0,   828,  2026,     0,     0,     0,
     828,     0,     0,     0,     0,     0,     0,     0,     0,   828,
    1878,     0,     0,     0,     0,   828,   828,   828,     0,     0,
       0,     0,     0,     0,     0,     0,   828,     0,     0,  1869,
       0,     0,  1870,     0,     0,  2025,  1871,  1872,  1873,     0,
       0,     0,     0,   828,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1874,     0,     0,     0,   851,     0,   852,
       0,  1876,     0,     0,     0,     0,     0,   852,  1877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,   828,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1878,     0,     0,     0,     0,     0,     0,  1826,
       0,     0,     0,     0,     0,     0,     0,     0,   828,   828,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,  1880,     0,     0,     0,     0,  1840,
       0,     0,     0,  2024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,  1882,     0,     0,     0,
     828,     0,     0,   852,   852,     0,   828,  1858,  1859,  1860,
    1883,  1862,     0,     0,     0,   852,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,   852,   852,     0,     0,
     828,  1904,  2024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   852,  1884,     0,     0,  1066,  2024,   828,   828,
       0,  1879,   853,     0,     0,     0,  1880,  1885,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,     0,  1941,     0,     0,  2026,   853,  1881,  1882,     0,
     853,     0,     0,     0,     0,     0,     0,     0,   853,     0,
       0,     0,  1883,     0,     0,     0,     0,     0,     0,     0,
    2045,     0,     0,     0,  2057,  2060,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,   844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,  1886,  1887,     0,     0,     0,     0,     0,     0,
     853,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2025,     0,     0,     0,     0,     0,   853,   853,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
     853,     0,     0,  2026,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,   853,     0,  2026,     0,
       0,     0,     0,     0,   853,     0,     0,     0,     0,  1888,
       0,   853,  1889,  1890,  1891,   853,  1892,  1893,  1894,  1895,
    1896,  1897,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
     853,     0,     0,     0,   853,     0,     0,  2026,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   853,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,  1888,     0,     0,  1889,  1890,  1891,     0,  1892,  1893,
    1894,  1895,  1896,  1897,     0,     0,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,  2026,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,  2025,   852,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,   852,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,   852,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1057,
       0,  1066,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   852,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2025,   852,     0,     0,  2025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   853,     0,     0,     0,     0,     0,     0,
       0,     0,   852,     0,  2025,     0,  1066,     0,     0,     0,
     852,   853,     0,     0,     0,     0,     0,   852,     0,   853,
       0,   852,     0,     0,     0,     0,     0,     0,     0,   844,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   852,     0,     0,     0,     0,   852,     0,     0,     0,
     852,     0,  2622,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   852,     0,  2642,     0,  2644,     0,     0,
    2656,  2659,  2664,     0,     0,     0,   852,  2670,     0,     0,
    2675,     0,     0,     0,     0,     0,   852,     0,     0,     0,
       0,   188,     0,     0,     0,  2682,  2683,  2684,  2685,  2026,
       0,     0,     0,  2692,     0,  2026,     0,  2704,     0,     0,
    2706,     0,     0,  2713,  2714,  2715,  2716,  2717,  2718,  2719,
    2720,  2721,     0,  2722,     0,     0,     0,     0,     0,     0,
    1259,     0,  2750,     0,     0,     0,     0,     0,   189,     0,
       0,  2025,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,   190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,  1057,     0,     0,     0,     0,   192,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
     853,     0,     0,     0,   193,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   194,     0,     0,     0,  1059,
    1057,     0,  1066,   195,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,   196,     0,     0,     0,     0,
     197,     0,     0,     0,     0,     0,     0,   198,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   199,     0,     0,     0,     0,     0,
    2770,     0,     0,     0,     0,     0,     0,  1060,     0,   853,
     853,   852,     0,     0,     0,     0,     0,     0,  1066,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1057,     0,   853,     0,     0,   853,
     201,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,     0,     0,     0,   202,   852,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,  2859,     0,     0,     0,   204,     0,     0,   205,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2026,  2026,  2026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   206,     0,     0,     0,  1057,
     207,     0,   208,     0,   853,     0,     0,     0,     0,   209,
       0,     0,   210,     0,     0,  2025,     0,     0,     0,     0,
    1066,  2025,     0,     0,   853,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,  1066,     0,   212,     0,   853,
       0,   213,   214,     0,  1066,   215,     0,     0,     0,   216,
       0,     0,     0,     0,     0,     0,  1066,     0,   217,     0,
       0,     0,     0,   218,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   219,     0,     0,     0,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1059,   852,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,   853,     0,     0,
    1059,     0,     0,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
    1060,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,  2026,     0,     0,     0,     0,
       0,     0,   853,  1060,   853,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   853,  1060,   853,
       0,     0,     0,     0,     0,   852,   852,     0,     0,  1066,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2026,     0,     0,  1059,  1057,     0,     0,  3120,     0,
       0,     0,   852,     0,     0,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   853,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,     0,     0,     0,     0,     0,
       0,  1057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     853,     0,     0,     0,     0,     0,  2025,  2025,  2025,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,  1059,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     852,     0,     0,  1066,     0,     0,     0,     0,   853,     0,
       0,   853,     0,  1057,     0,     0,     0,     0,     0,     0,
     852,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2026,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,     0,     0,   852,     0,     0,     0,  1057,     0,     0,
       0,     0,     0,  3317,     0,     0,     0,     0,  3323,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2025,     0,  1862,     0,     0,     0,     0,   852,     0,
     852,     0,     0,     0,  2664,     0,  2664,  2664,     0,     0,
       0,     0,     0,   852,     0,   852,     0,  3381,     0,     0,
    3384,     0,  3386,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,  2025,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1057,  3404,     0,  3407,     0,  3409,     0,     0,     0,     0,
       0,  1066,  1057,     0,     0,  1066,  1066,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2750,  2750,
    2750,   853,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,  1059,  1057,  1057,     0,     0,  3459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2045,     0,     0,
       0,     0,  3469,     0,     0,     0,   852,  1066,  2060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
    1059,  2026,   852,     0,     0,     0,  2026,     0,  2026,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,  1059,   852,     0,     0,   852,   622,     0,
    2026,     0,     0,   623,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,   624,     0,  2026,  3506,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,   853,     0,     0,   853,     0,   625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     626,  1060,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   627,  1057,     0,     0,     0,
       0,     0,     0,  1059,     0,  2025,     0,     0,     0,     0,
       0,     0,     0,   628,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,     0,     0,
       0,     0,     0,     0,     0,     0,   629,     0,     0,  1059,
       0,     0,     0,     0,     0,     0,     0,   630,     0,     0,
       0,     0,   853,   853,     0,   631,     0,     0,     0,     0,
       0,  1060,   853,     0,     0,     0,     0,   632,     0,     0,
       0,     0,   633,     0,     0,     0,  1060,     0,     0,   634,
       0,   853,     0,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,  1059,     0,   635,  1060,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   636,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,   853,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,   852,     0,     0,
       0,     0,  1059,  1059,     0,     0,   637,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   638,     0,
    1060,     0,     0,     0,     0,     0,     0,     0,   639,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,   640,     0,     0,  1057,     0,     0,  2025,  1057,  1057,
       0,     0,  2025,     0,  2025,     0,     0,     0,     0,     0,
    1060,  1060,     0,     0,     0,     0,     0,   641,     0,     0,
       0,     0,   642,     0,   643,     0,  2025,     0,     0,     0,
       0,   644,     0,     0,   645,     0,     0,     0,     0,     0,
       0,     0,     0,  2025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   646,     0,     0,     0,     0,   852,   647,
    1057,   852,     0,     0,   648,     0,     0,   649,     0,     0,
       0,   650,  1057,     0,     0,     0,     0,     0,   651,     0,
     652,     0,     0,     0,     0,   653,  1059,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,   654,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
     655,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,  1066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,   852,   852,
       0,     0,     0,     0,     0,     0,     0,     0,   852,     0,
     853,     0,     0,     0,     0,  2026,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   852,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   853,     0,     0,
       0,     0,  3864,     0,     0,     0,     0,     0,     0,   853,
       0,  3868,     0,     0,     0,     0,     0,  3869,     0,  3870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3894,  3895,     0,   852,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2670,     0,     0,     0,     0,     0,
       0,     0,  3920,     0,     0,  3923,     0,  3925,     0,     0,
       0,     0,     0,     0,     0,     0,  3929,     0,     0,     0,
       0,  1057,     0,     0,  3936,  3937,     0,     0,     0,     0,
       0,     0,   570,     0,  1059,     0,     0,   571,  1059,  1059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   572,
       0,     0,     0,     0,     0,     0,  1066,  3984,   853,  1066,
       0,  1066,     0,  3991,  3992,  2750,  1066,     0,     0,     0,
       0,   573,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   574,     0,     0,     0,     0,  4007,
       0,     0,  1060,     0,     0,   575,  1060,  1060,     0,  -849,
    1059,     0,     0,  1057,     0,  4020,     0,     0,     0,     0,
       0,     0,  1059,     0,     0,  1066,     0,   576,     0,     0,
       0,     0,     0,   577,     0,     0,     0,     0,     0,     0,
     853,     0,  1066,     0,     0,     0,     0,     0,     0,     0,
     578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   579,  1059,     0,     0,     0,     0,  1066,  1060,   580,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1060,   581,     0,     0,     0,     0,     0,     0,     0,   582,
       0,     0,     0,   583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -1069,     0,     0,     0,     0,     0,   852,     0,     0,     0,
    1060,  2025,     0,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1066,     0,  1066,     0,
       0,  1057,     0,     0,     0,     0,     0,   584,     0,   853,
       0,   853,     0,   852,  1057,     0,  -571,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     585,     0,   852,   586,   853,     0,     0,     0,     0,     0,
       0,     0,     0,   844,     0,     0,     0,     0,     0,     0,
       0,     0,   587,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,     0,     0,   588,     0,     0,     0,     0,
    1062,     0,  -447,     0,     0,     0,     0,     0,     0,  2026,
       0,  1059,     0,     0,     0,   844,     0,  1066,     0,     0,
       0,   589,     0,     0,  1062,     0,     0,     0,   590,     0,
       0,     0,     0,     0,     0,  -447,     0,     0,   591,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,   852,     0,     0,   592,     0,     0,
       0,     0,     0,   593,     0,     0,     0,     0,  -447,  1060,
       0,   594,   595,     0,   596,   597,     0,     0,     0,     0,
       0,     0,     0,     0,   598,     0,     0,     0,     0,   599,
    4282,  4283,     0,  1059,     0,   600,     0,     0,   601,     0,
       0,   602,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -447,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,   852,     0,     0,  1057,
       0,     0,  1057,     0,  1057,  1066,     0,     0,     0,  1057,
       0,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,  1060,     0,     0,     0,     0,     0,  4319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4324,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,  2026,     0,     0,     0,
       0,     0,     0,     0,  1059,  1057,     0,     0,  4339,  4341,
       0,     0,     0,     0,     0,  4345,  4346,     0,     0,     0,
    4347,  1059,     0,     0,  1063,  4350,     0,     0,  4353,  4354,
    1057,     0,   853,  4358,  1059,   852,     0,   852,     0,  4362,
       0,     0,     0,     0,  1066,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1060,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2750,     0,     0,  1060,
     852,  2750,  1065,     0,     0,     0,     0,  2750,     0,     0,
    1066,     0,  1060,     0,     0,     0,     0,  1062,     0,  1057,
       0,  1057,  1259,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,  1066,  2025,     0,     0,  4422,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
    1066,     0,     0,     0,  2026,     0,   853,     0,  4483,     0,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,  1059,
       0,  1057,  1059,     0,  1059,     0,     0,     0,     0,  1059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4519,     0,     0,  1060,  1059,     0,
    1060,     0,  1060,     0,     0,     0,     0,  1060,     0,     0,
    1057,     0,  2025,     0,     0,  1059,     0,     0,  2026,  1066,
       0,  1063,     0,     0,  1062,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,   853,     0,     0,     0,
    1059,  1057,     0,  1066,  1063,     0,     0,     0,   852,   844,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,  1059,
       0,  1059,     0,     0,     0,     0,     0,  1065,     0,     0,
     844,   844,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1057,     0,     0,
       0,     0,     0,  1063,     0,  4623,  4624,     0,     0,  4625,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,     0,   853,     0,     0,     0,     0,  1060,  1066,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,     0,     0,  4661,  4662,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,  4674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1057,  1066,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,  2026,     0,
    2025,     0,   852,  1059,     0,     0,     0,     0,  1063,     0,
    1060,  1059,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,  2026,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,  1060,  2026,   844,   844,     0,  1065,     0,     0,  1060,
       0,     0,     0,  1057,     0,     0,     0,     0,     0,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2025,  1062,     0,     0,  1059,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,  1059,   852,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,  2670,     0,     0,     0,  1060,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4852,     0,     0,  1057,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,  1059,  1862,     0,
       0,     0,     0,  1062,  1063,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,  1062,  1066,     0,     0,   852,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,  4902,     0,     0,
       0,     0,  1065,  1066,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,  1060,  1059,     0,  1062,
       0,     0,     0,     0,  1066,     0,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,  1060,     0,     0,  2025,  1062,     0,     0,     0,  1063,
       0,  1057,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,  1063,     0,     0,  1060,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1066,
       0,     0,     0,  2025,     0,     0,     0,  1062,  1062,     0,
       0,  1057,     0,     0,     0,     0,     0,  1065,  2025,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4661,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,  1060,     0,     0,     0,  5046,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1066,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,  1059,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1057,     0,  1065,     0,     0,     0,     0,
       0,  1062,     0,  1057,  1065,     0,  1059,     0,     0,     0,
       0,     0,  1066,  1063,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,  5098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
    1060,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5124,  5124,  1060,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,     0,     0,     0,     0,     0,
    4661,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,  1063,  1063,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
       0,  1059,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,  1065,
    1065,     0,     0,     0,     0,     0,     0,     0,  5183,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,  5124,     0,     0,     0,     0,
       0,  1059,     0,     0,     0,     0,     0,  1057,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5224,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,  1062,  1062,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1060,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   918,     0,     0,
       0,     0,   919,  1065,     0,  1062,     0,     0,     0,     0,
       0,     0,  1066,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,  5124,     0,
       0,     0,     0,  1059,  5282,     0,   920,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   921,
     922,     0,  1066,     0,     0,     0,     0,  1062,     0,     0,
     923,     0,     0,     0,   924,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1060,   925,  1057,     0,     0,     0,     0,     0,     0,
       0,  1060,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   926,  1066,     0,     0,     0,
       0,  1066,  1066,     0,     0,     0,   927,     0,     0,     0,
       0,     0,     0,     0,   928,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   929,     0,     0,     0,
       0,   930,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,  1063,     0,   931,     0,  1063,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     932,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,     0,     0,     0,     0,  1060,  1059,     0,     0,
       0,  1065,  1066,     0,     0,  1065,  1065,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,  1063,     0,     0,     0,   934,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,   935,     0,     0,
       0,     0,     0,     0,     0,  1060,     0,   204,     0,     0,
     936,  1063,  1059,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,   937,     0,     0,     0,
       0,   938,     0,   939,     0,     0,     0,     0,  1062,     0,
     940,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
    1060,     0,   942,     0,     0,     0,     0,     0,   943,     0,
       0,     0,     0,   944,     0,     0,   945,     0,     0,     0,
     946,     0,     0,     0,     0,     0,     0,   947,     0,   948,
       0,     0,     0,     0,   949,     0,     0,     0,     0,     0,
    1057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,     0,     0,   950,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1066,     0,     0,     0,     0,     0,  1062,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,  1062,     0,     0,     0,
       0,  1060,     0,     0,     0,     0,     0,     0,     0,  1062,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,  1057,
       0,     0,     0,     0,  1057,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1059,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1060,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,     0,  1062,     0,  1062,
    1063,     0,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1065,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,  1065,     0,     0,     0,     0,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1059,
       0,     0,     0,  1060,  1059,  1059,  1057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1062,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1060,     0,     0,
       0,     0,  1060,  1060,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,  1063,     0,  1063,     0,     0,     0,     0,  1063,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,  1059,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,  1065,  1063,     0,  1065,
       0,  1065,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,  1060,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,     0,  1063,     0,
    1063,     0,     0,  1062,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,  2652,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,  1899,  1899,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,  1059,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
    1899,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,     0,     0,     0,     0,
       0,     0,  1063,  1062,     0,     0,     0,     0,     0,  1065,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,  1062,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,  1063,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,  1065,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1063,  1899,     0,  1899,     0,     0,  2652,  2652,  1065,  3358,
       0,  2652,     0,     0,     0,  1899,     0,     0,  1899,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,  1062,  1899,     0,     0,     0,     0,     0,
       0,  1899,  1899,  1899,  1899,     0,     0,     0,  2652,  2652,
       0,  1899,     0,     0,     0,     0,     0,     0,  1065,     0,
       0,     0,     0,  1899,     0,  1899,     0,     0,     0,     0,
       0,  1062,  1899,  1899,  1899,  1899,  1899,  1899,  1899,  1899,
    1899,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1062,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,  1065,  1063,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1065,     0,     0,     0,     0,     0,
       0,  1063,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1065,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1063,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,  1899,     0,  1062,     0,     0,     0,     0,  1062,
    1062,     0,     0,     0,     0,     0,     0,     0,  3358,  3358,
       0,     0,  2652,  2652,  2652,  2652,     0,     0,  2652,  2652,
    2652,  2652,  2652,  2652,  2652,  2652,  2652,  2652,  3358,     0,
       0,     0,     0,     0,     0,  1065,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,     0,     0,  1899,     0,  1899,     0,     0,  3358,  3358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,  2652,  2652,  1899,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1063,     0,
       0,     0,  1065,  1063,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1065,     0,     0,     0,
       0,  1065,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1063,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2652,     0,     0,     0,     0,
       0,     0,  1065,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,  1063,     0,  1899,  1899,  1899,
       0,     0,     0,     0,     0,  3358,  3358,  3358,  3358,     0,
       0,     0,     0,  3358,  3358,  3358,  3358,  3358,  3358,  3358,
    3358,  3358,  3358,  1899,  1899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,  1899,  1065,  1899,     0,     0,     0,  1899,     0,
       0,  3358,  3358,     0,     0,  1899,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
    1899,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1899,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,  1899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,  1899,  2652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
    1899,     0,     0,     0,  1899,  1899,  1899,     0,     0,  1899,
       0,     0,  1899,  1899,     0,     0,     0,  1899,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3358,  2652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,  1899,  1899,     0,     0,     0,     0,     0,
       0,     0,  2652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1899,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2652,     0,     0,  3358,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3358,     0,  2652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1899,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2652,  2652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,  3358,  3358,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,  2744,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,  1899,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,  2745,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
    2746,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,  2747,     0,     0,     0,     0,     0,     0,  1247,  2748,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    39,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,    43,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,  1112,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,    48,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,    49,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,  4864,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,  2654,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,  3872,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,   815,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,   817,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,   821,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,  1243,     0,     0,   223,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,  3943,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,  3961,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0, -1725,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0, -1725,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350, -1725,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360, -1725,   361,   362,   363,   364,   365,     0,     0,   366,
     367, -1725,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388, -1725,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
   -1725,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,     0,     0,     0,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1328,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,     0,
    1031,   802,  1032,  1033,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,  1034,  1035,   257,     0,   258,   259,
     260,   261,     0,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
    1036,  1037,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,     0,   316,   317,
     318,     0,     0,   320,     0,   321,   322,  1039,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,     0,     0,     0,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,  2084,   344,   345,
     346,   347,   348,   349,     0,   350,   810,  2085,   352,   353,
     354,   355,  1041,  1042,     0,  1043,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
       0,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1044,   816,  1045,   390,
     391,   392,     0,     0,   394,   395,   817,   396,     0,     0,
     398,  1046,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,  2087,   818,   410,   819,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,     0,   424,     0,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1047,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,  2088,   478,   479,   821,   480,   481,  1049,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     0,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1050,  1051,     0,
       0,   507,   508,     0,   510,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,     0,  1052,
    2089,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   554,
     555,   556,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,  2194,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,     0,  1031,   802,  1032,  1033,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,  1034,  1035,   257,
       0,   258,   259,   260,   261,     0,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,  1036,  1037,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
       0,   316,   317,   318,     0,     0,   320,     0,   321,   322,
    1039,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,     0,     0,     0,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
    2084,   344,   345,   346,   347,   348,   349,     0,   350,   810,
    2085,   352,   353,   354,   355,  1041,  1042,     0,  1043,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,     0,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1044,
     816,  1045,   390,   391,   392,     0,     0,   394,   395,   817,
     396,     0,     0,   398,  1046,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,  2087,
     818,   410,   819,     0,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,     0,   424,     0,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1047,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,  2088,   478,   479,   821,
     480,   481,  1049,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     0,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1050,  1051,     0,     0,   507,   508,     0,   510,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,     0,  1052,  2089,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,     0,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,
       0,     0,   554,   555,   556,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,  3206,  1181,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,  1182,   802,  1183,
    1184,     0,   248,   249,   250,   251,   252,  1185,  1186,   253,
     254,  1187,  1188,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,  1198,  1199,   288,
    1200,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,  1201,   316,   317,   318,  1202,  1203,
     320,     0,   321,   322,  1204,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,  1206,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,  1207,
    1208,     0,  1209,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1213,   816,  1214,   390,   391,   392,   393,
    1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,   400,
     401,   402,     0,   403,   404,     0,     0,  1219,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1222,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,  1223,   461,   462,   463,   464,   465,   466,   467,   468,
     469,    39,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,  1225,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,    43,   499,   822,   500,   501,
     502,   503,   504,     0,  1227,  1228,     0,     0,   507,   508,
    1229,   510,  1230,  1231,   512,   513,   514,   515,   516,   517,
     518,     0,  1232,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,  1112,  1234,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,    48,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,
       0,    49,     0,     0,     0,     0,  1244,  1245,     0,     0,
       0,     0,     0,     0,     0,  1247,   800,  1176,   617,  1177,
    1178,  1179,   676,  1180,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,  1181,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,  1182,   802,  1183,  1184,  2660,   248,   249,   250,   251,
     252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,  1198,  1199,   288,  1200,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,  1201,   316,
     317,   318,  1202,  1203,   320,     0,   321,   322,  1204,   324,
       0,   325,     0,   326,   807,  2661,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,  1206,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,  1207,  1208,     0,  1209,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,  2662,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1213,   816,  1214,
     390,   391,   392,   393,  1215,   394,   395,   817,   396,  1216,
    1217,   398,  1218,   400,   401,   402,     0,   403,   404,     0,
       0,  1219,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1222,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,  1223,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
    1225,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1227,  1228,
       0,  2663,   507,   508,  1229,   510,  1230,  1231,   512,   513,
     514,   515,   516,   517,   518,     0,  1232,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
    1234,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,  1243,     0,     0,     0,     0,     0,     0,
    1244,  1245,     0,     0,     0,     0,     0,     0,     0,  1247,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,  1823,  2615,  1247,   800,  1176,   617,  1177,  1178,  1179,
     676,  1180,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,  1181,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,  1182,
     802,  1183,  1184,     0,   248,   249,   250,   251,   252,  1185,
    1186,   253,   254,  1187,  1188,   257,     0,   258,   259,   260,
     261,  1189,     0,  1190,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,
    1195,  1196,  1197,   280,   281,   282,   283,   284,   285,  1198,
    1199,   288,  1200,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,  1201,   316,   317,   318,
    1202,  1203,   320,     0,   321,   322,  1204,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,  1205,     0,  1206,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,  1207,  1208,     0,  1209,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,  1210,
     814,   368,   815,     0,   369,   370,   371,  1211,  1212,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1213,   816,  1214,   390,   391,
     392,   393,  1215,   394,   395,   817,   396,  1216,  1217,   398,
    1218,   400,   401,   402,     0,   403,   404,     0,     0,  1219,
     406,   407,     0,     0,   408,   409,   818,   410,   819,  1220,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,  1221,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1222,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,  1223,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,  1224,
     475,   476,   477,   478,   479,   821,   480,   481,  1225,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1226,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1227,  1228,     0,     0,
     507,   508,  1229,   510,  1230,  1231,   512,   513,   514,   515,
     516,   517,   518,     0,  1232,   519,   520,   521,   522,   523,
    1233,     0,   524,   525,   526,   527,   528,   529,  1234,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,  1235,  1236,
    1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,
     556,  1243,     0,     0,     0,     0,     0,     0,  1244,  1245,
    1246,     0,     0,     0,     0,     0,     0,  1247,   800,  1176,
     617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,  2055,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,  1200,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,  1215,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,  1219,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  1223,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,  1232,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,  1243,     0,     0,     0,     0,
       0,     0,  1244,  1245,     0,     0,     0,     0,     0,     0,
       0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,  1181,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,  1182,   802,  1183,
    1184,     0,   248,   249,   250,   251,   252,  1185,  1186,   253,
     254,  1187,  1188,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,  1198,  1199,   288,
    1200,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,  1201,   316,   317,   318,  1202,  1203,
     320,     0,   321,   322,  1204,   324,     0,   325,     0,   326,
     807,  2661,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,  1206,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,  1207,
    1208,     0,  1209,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1213,   816,  1214,   390,   391,   392,   393,
    1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,   400,
     401,   402,     0,   403,   404,     0,     0,  1219,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1222,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,  1223,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,  1225,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1227,  1228,     0,     0,   507,   508,
    1229,   510,  1230,  1231,   512,   513,   514,   515,   516,   517,
     518,     0,  1232,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,  1234,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,
       0,     0,     0,     0,     0,     0,  1244,  1245,     0,     0,
       0,     0,     0,     0,     0,  1247,   800,  1176,   617,  1177,
    1178,  1179,   676,  1180,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,  1181,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,  1182,   802,  1183,  1184,     0,   248,   249,   250,   251,
     252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,  1198,  1199,   288,  1200,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,  1201,   316,
     317,   318,  1202,  1203,   320,     0,   321,   322,  1204,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,  1206,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,  1207,  1208,     0,  1209,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1213,   816,  1214,
     390,   391,   392,   393,  1215,   394,   395,   817,   396,  1216,
    1217,   398,  1218,   400,   401,   402,     0,   403,   404,     0,
       0,  1219,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1222,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,  1223,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
    1225,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1227,  1228,
       0,     0,   507,   508,  1229,   510,  1230,  1231,   512,   513,
     514,   515,   516,   517,   518,     0,  1232,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
    1234,  3993,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,  1243,     0,     0,     0,     0,     0,     0,
    1244,  1245,     0,     0,     0,     0,     0,     0,     0,  1247,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,
     676,  1180,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,  1181,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,  1182,
     802,  1183,  1184,     0,   248,   249,   250,   251,   252,  1185,
    1186,   253,   254,  1187,  1188,   257,     0,   258,   259,   260,
     261,  1189,     0,  1190,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,  4006,  1191,  1192,  1193,  1194,
    1195,  1196,  1197,   280,   281,   282,   283,   284,   285,  1198,
    1199,   288,  1200,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,  1201,   316,   317,   318,
    1202,  1203,   320,     0,   321,   322,  1204,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,  1205,     0,  1206,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,  1207,  1208,     0,  1209,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,  1210,
     814,   368,   815,     0,   369,   370,   371,  1211,  1212,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1213,   816,  1214,   390,   391,
     392,   393,  1215,   394,   395,   817,   396,  1216,  1217,   398,
    1218,   400,   401,   402,     0,   403,   404,     0,     0,  1219,
     406,   407,     0,     0,   408,   409,   818,   410,   819,  1220,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,  1221,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1222,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,  1223,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,  1224,
     475,   476,   477,   478,   479,   821,   480,   481,  1225,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1226,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1227,  1228,     0,     0,
     507,   508,  1229,   510,  1230,  1231,   512,   513,   514,   515,
     516,   517,   518,     0,  1232,   519,   520,   521,   522,   523,
    1233,     0,   524,   525,   526,   527,   528,   529,  1234,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,  1235,  1236,
    1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,
     556,  1243,     0,     0,     0,     0,     0,     0,  1244,  1245,
       0,     0,     0,     0,     0,     0,     0,  1247,   800,  1176,
     617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,  1200,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,  1215,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,  1219,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  1223,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,  1232,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,  4331,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,  1243,     0,     0,     0,     0,
       0,     0,  1244,  1245,     0,     0,     0,     0,     0,     0,
       0,  1247,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,  1181,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,  1182,   802,  1183,
    1184,     0,   248,   249,   250,   251,   252,  1185,  1186,   253,
     254,  1187,  1188,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,  1198,  1199,   288,
    1200,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,  1201,   316,   317,   318,  1202,  1203,
     320,     0,   321,   322,  1204,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,  1206,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,  1207,
    1208,     0,  1209,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1213,   816,  1214,   390,   391,  4340,   393,
    1215,   394,   395,   817,   396,  1216,  1217,   398,  1218,   400,
     401,   402,     0,   403,   404,     0,     0,  1219,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1222,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,  1223,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,  1225,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1227,  1228,     0,     0,   507,   508,
    1229,   510,  1230,  1231,   512,   513,   514,   515,   516,   517,
     518,     0,  1232,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,  1234,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,  1243,
       0,     0,     0,     0,     0,     0,  1244,  1245,     0,     0,
       0,     0,     0,     0,     0,  1247,   800,  1176,   617,  1177,
    1178,  1179,   676,  1180,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,  1181,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,  1182,   802,  1183,  1184,     0,   248,   249,   250,   251,
     252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,  4651,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,  1198,  1199,   288,  1200,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,  1201,   316,
     317,   318,  1202,  1203,   320,     0,   321,   322,  1204,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,  4652,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,  1207,  1208,     0,  1209,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1213,   816,  1214,
     390,   391,   392,   393,  1215,   394,   395,   817,   396,  1216,
    1217,   398,  1218,   400,   401,   402,     0,   403,   404,     0,
       0,  1219,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1222,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,  4653,  1223,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
    1225,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1227,  1228,
       0,     0,   507,   508,  1229,   510,  1230,  1231,   512,   513,
     514,   515,   516,   517,   518,     0,  1232,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
    1234,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,  1243,     0,     0,     0,     0,     0,     0,
    1244,  1245,     0,     0,     0,     0,     0,     0,     0,  4654,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,  5121,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,  5122,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,  1200,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,  1215,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  1223,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,  5123,   517,   518,     0,
    1232,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,  1243,     0,     0,
       0,     0,     0,     0,  1244,  1245,     0,     0,     0,     0,
       0,     0,     0,  1247,   800,  1176,   617,  1177,  1178,  1179,
     676,  1180,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,  1181,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,  1182,
     802,  1183,  1184,     0,   248,   249,   250,   251,   252,  1185,
    1186,   253,   254,  1187,  1188,   257,     0,   258,   259,   260,
     261,  1189,     0,  1190,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,  5122,  1191,  1192,  1193,  1194,
    1195,  1196,  1197,   280,   281,   282,   283,   284,   285,  1198,
    1199,   288,  1200,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,  1201,   316,   317,   318,
    1202,  1203,   320,     0,   321,   322,  1204,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,  1205,     0,  1206,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,  1207,  1208,     0,  1209,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,  1210,
     814,   368,   815,     0,   369,   370,   371,  1211,  1212,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1213,   816,  1214,   390,   391,
     392,   393,  1215,   394,   395,   817,   396,  1216,  1217,   398,
    1218,   400,   401,   402,     0,   403,   404,     0,     0,  1219,
     406,   407,     0,     0,   408,   409,   818,   410,   819,  1220,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,  1221,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1222,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,  1223,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,  1224,
     475,   476,   477,   478,   479,   821,   480,   481,  1225,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1226,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1227,  1228,     0,     0,
     507,   508,  1229,   510,  1230,  1231,   512,   513,   514,   515,
    5123,   517,   518,     0,  1232,   519,   520,   521,   522,   523,
    1233,     0,   524,   525,   526,   527,   528,   529,  1234,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,  1235,  1236,
    1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,
     556,  1243,     0,     0,     0,     0,     0,     0,  1244,  1245,
       0,     0,     0,     0,     0,     0,     0,  1247,   800,  1176,
     617,  1177,  1178,  1179,   676,  1180,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,  4845,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,     0,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,  1219,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  2646,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,     0,     0,     0,     0,     0,
       0,     0,  2647,  2648,     0,     0,     0,     0,     0,     0,
       0,  2649,   800,  1176,   617,  1177,  1178,  1179,   676,  1180,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,  1181,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243, -2567,  1182,   802,  1183,
    1184,     0,   248,   249,   250,   251,   252,  1185,  1186,   253,
     254,  1187,  1188,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,  5122,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,  1198,  1199,   288,
    1200,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,  1201,   316,   317,   318,  1202,  1203,
     320,     0,   321,   322,  1204,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,  1206,   334,     0,   335,   336,   337,   338,   339, -2567,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,  1207,
    1208,     0,  1209,     0,   359,     0,     0,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
   -2567,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1213,   816,  1214,   390,   391,   392,   393,
    1215,   394,   395,     0,   396,  1216,  1217,   398,  1218,   400,
     401,   402,     0,   403,   404,     0,     0,  1219,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1222,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,  1223,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479, -2567,   480,   481,  1225,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1227,  1228,     0,     0,   507,   508,
    1229,   510,  1230,  1231,   512,   513,   514,   515,  5123,   517,
     518,     0,  1232,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,  1234,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556, -2567,
       0,     0,     0,     0,     0,     0,  1244,  1245,     0,     0,
       0,     0,     0,     0,     0,  1247,   800,  1176,   617,  1177,
    1178,  1179,   676,  1180,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,  1181,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,  1182,   802,  1183,  1184,     0,   248,   249,   250,   251,
     252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,  1198,  1199,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,  1201,   316,
     317,   318,  1202,  1203,   320,     0,   321,   322,  1204,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,  1206,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,  1207,  1208,     0,  1209,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1213,   816,  1214,
     390,   391,   392,   393,     0,   394,   395,   817,   396,  1216,
    1217,   398,  1218,   400,   401,   402,     0,   403,   404,     0,
       0,  1219,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1222,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,  2646,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
    1225,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1227,  1228,
       0,     0,   507,   508,  1229,   510,  1230,  1231,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
    1234,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,     0,     0,     0,     0,     0,     0,     0,
    2647,  2648,     0,     0,     0,     0,     0,     0,     0,  2649,
     800,  1176,   617,  1177,  1178,  1179,   676,  1180,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,  1181,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,  1182,   802,  1183,  1184,     0,
     248,   249,   250,   251,   252,  1185,  1186,   253,   254,  1187,
    1188,   257,     0,   258,   259,   260,   261,  1189,     0,  1190,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,
     281,   282,   283,   284,   285,  1198,  1199,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,  1201,   316,   317,   318,  1202,  1203,   320,     0,
     321,   322,  1204,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,  1205,     0,  1206,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,  1207,  1208,     0,
    1209,     0,   359,     0,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,  1210,   814,   368,   815,     0,
     369,   370,   371,  1211,  1212,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1213,   816,  1214,   390,   391,   392,   393,     0,   394,
     395,   817,   396,  1216,  1217,   398,  1218,   400,   401,   402,
       0,   403,   404,     0,     0,  1219,   406,   407,     0,     0,
     408,   409,   818,   410,   819,  1220,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,  1221,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1222,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,  2646,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,  1224,   475,   476,   477,   478,
     479,   821,   480,   481,  1225,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,  1226,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1227,  1228,     0,     0,   507,   508,  1229,   510,
    1230,  1231,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,  1233,     0,   524,   525,
     526,   527,   528,   529,  1234,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,  1239,
    1240,  1241,  1242,   553,   554,   555,   556,     0,     0,     0,
       0,     0,     0,     0,  2647,  2648,     0,     0,   800,  1176,
     617,  1177,  1178,  2649,   676,  1180,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,  1181,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,  1182,   802,  1183,  1184,     0,   248,   249,
     250,   251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,
       0,   258,   259,   260,   261,  1189,     0,  1190,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
    1191,  1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,
     283,   284,   285,  1198,  1199,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
    1201,   316,   317,   318,  1202,  1203,   320,     0,   321,   322,
    1204,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,  1205,     0,  1206,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,  1207,  1208,     0,  1209,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,  1210,   814,   368,   815,     0,   369,   370,
     371,  1211,  1212,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1213,
     816,  1214,   390,   391,   392,   393,     0,   394,   395,   817,
     396,  1216,  1217,   398,  1218,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,  1220,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,  1221,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1222,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,  2646,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,  1224,   475,   476,   477,   478,   479,   821,
     480,   481,  1225,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,  1226,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1227,  1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,  1233,     0,   524,   525,   526,   527,
     528,   529,  1234,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,
    1242,   553,   554,   555,   556,     0,     0,   800,  1176,   617,
    1177,  1178,     0,   676,  1180,     0,     0,     0,     0,     0,
       0,  2649,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,  1181,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,  1182,   802,  1183,  1184,     0,  3905,   249,   250,
     251,   252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,
     258,   259,   260,   261,  1189,     0,  1190,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,  1191,
    1192,  1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,
     284,   285,  1198,  1199,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,  1201,
     316,   317,   318,  1202,  1203,   320,     0,   321,   322,  1204,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,  1205,     0,  1206,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,  1207,  1208,     0,  1209,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,  1210,   814,   368,   815,     0,   369,   370,   371,
    1211,  1212,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1213,   816,
    1214,   390,   391,   392,   393,     0,   394,   395,   817,   396,
    1216,  1217,   398,  1218,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,  1220,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,  1221,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1222,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,  2646,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,  1224,   475,   476,   477,   478,   479,   821,   480,
     481,  1225,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,  1226,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1227,
    1228,     0,     0,   507,   508,  1229,   510,  1230,  1231,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,  1233,     0,   524,   525,   526,   527,   528,
     529,  1234,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,  1235,  1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,
     553,   554,   555,   556,     0,     0,   800,  1176,   617,  1177,
    1178,     0,   676,  1180,     0,     0,     0,     0,     0,     0,
    2649,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,  1181,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,  1182,   802,  1183,  1184,     0,   248,   249,   250,   251,
     252,  1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,
     259,   260,   261,  1189,     0,  1190,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,  1191,  1192,
    1193,  1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,
     285,  1198,  1199,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,  1201,   316,
     317,   318,  1202,  1203,   320,     0,   321,   322,  1204,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,  1205,     0,  1206,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,  1207,  1208,     0,  1209,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,  1210,   814,   368,   815,     0,   369,   370,   371,  1211,
    1212,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1213,   816,  1214,
     390,   391,   392,   393,     0,   394,   395,   817,   396,  1216,
    1217,   398,  1218,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,  1220,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,  1221,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1222,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,  2646,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,  1224,   475,   476,   477,   478,   479,   821,   480,   481,
    1225,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,  1226,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1227,  1228,
       0,     0,   507,   508,  1229,   510,  1230,  1231,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,  1233,     0,   524,   525,   526,   527,   528,   529,
    1234,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
    1235,  1236,  1237,  1238,  4371,  1239,  1240,  1241,  1242,   553,
     554,   555,   556,     0,     0,   800,  1176,   617,  1177,  1178,
    1179,   676,  1180,     0,     0,     0,     0,     0,     0,  2649,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,  1181,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,     0,
    1182,   802,  1183,  1184,     0,   248,   249,   250,   251,   252,
    1185,  1186,   253,   254,  1187,  1188,   257,     0,   258,   259,
     260,   261,  1189,     0,  1190,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,  1191,  1192,  1193,
    1194,  1195,  1196,  1197,   280,   281,   282,   283,   284,   285,
    1198,  1199,   288,  1200,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
       0,   310,     0,   311,   312,   313,   314,  1201,   316,   317,
     318,  1202,  1203,   320,     0,   321,   322,  1204,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,  1205,     0,  1206,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,  1207,  1208,     0,  1209,     0,   359,     0,     0,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
    1210,   814,   368,     0,     0,   369,   370,   371,  1211,  1212,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1213,   816,  1214,   390,
     391,   392,   393,  1215,   394,   395,     0,   396,  1216,  1217,
     398,  1218,   400,   401,   402,     0,   403,   404,     0,     0,
    1219,   406,   407,     0,     0,   408,   409,   818,   410,   819,
    1220,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,  1221,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1222,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,  1223,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
    1224,   475,   476,   477,   478,   479,     0,   480,   481,  1225,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,  1226,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1227,  1228,     0,
       0,   507,   508,  1229,   510,  1230,  1231,   512,   513,   514,
     515,   516,   517,   518,     0,  1232,   519,   520,   521,   522,
     523,  1233,     0,   524,   525,   526,   527,   528,   529,  1234,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,  1235,
    1236,  1237,  1238,   548,  1239,  1240,  1241,  1242,   553,   554,
     555,   556,     0,     0,   800,     0,     0,     0,     0,  1244,
    1245,     0,     0,     0,     0,     0,     0,     0,  1247,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
    1186,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,  1189,     0,  1190,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,
    1195,  1196,  1197,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
    1202,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,  1205,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,  3427,     0,   366,  1210,
     814,   368,   815,     0,   369,   370,   371,  1211,  1212,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,  1217,   398,
     399,   400,   401,   402,     0,   403,   404,     0,   765,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,  1220,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,  1221,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,  3428,   462,   463,   464,   465,   466,
     467,   468,   469,    39,   470,   471,   472,   473,   474,  1224,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1226,     0,   497,   498,    43,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,  1229,   510,  1230,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
    1233,     0,   524,   525,   526,   527,   528,  1112,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
      48,   537,   538,   539,   540,   541,   542,   543,  1235,  1236,
    1237,  1238,   548,  1239,  1240,  1241,  1242,  3429,   554,   555,
     556,     0,     0,    49,   800,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3430,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
    1186,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,  1189,     0,  1190,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,
    1195,  1196,  1197,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
    1202,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,  1205,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,  3427,     0,   366,  1210,
     814,   368,   815,     0,   369,   370,   371,  1211,  1212,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,  1217,   398,
     399,   400,   401,   402,     0,   403,   404,     0,   765,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,  1220,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,  1221,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,  3428,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,  1224,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,  1226,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,  1229,   510,  1230,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
    1233,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,  1235,  1236,
    1237,  1238,   548,  1239,  1240,  1241,  1242,  3429,   554,   555,
     556,     0,     0,   800,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3430,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,  1186,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,  1202,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,  1217,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,  3428,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,  1229,   510,  1230,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,  3429,   554,   555,   556,
       0,     0,   800,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    50,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,  1186,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,  1189,
       0,  1190,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,
    1197,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,  1202,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,  1205,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,  1210,   814,   368,
     815,     0,   369,   370,   371,  1211,  1212,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,  1217,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,  1220,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
    1221,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,  1224,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,  1226,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
    1229,   510,  1230,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,  1233,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,
     548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,     0,
       0,   800,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4034,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,  1186,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,  1189,     0,
    1190,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,  1191,  1192,  1193,  1194,  1195,  1196,  1197,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,  1202,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,  1205,     0,
     333,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,  1210,   814,   368,   815,
       0,   369,   370,   371,  1211,  1212,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,  1217,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,  1220,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,  1221,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,  1224,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
    1226,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,  1229,
     510,  1230,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,  1233,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,  1235,  1236,  1237,  1238,   548,
    1239,  1240,  1241,  1242,   553,   554,   555,   556,     0,     0,
     845,  1454,   617,     0,     0,     0,   676,     0,     0,     0,
       0,     0,     0,     0,  5104,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,  1756,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,  1757,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,  1758,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,     0,     0,   845,
       0,     0,     0,     0,  1455,  1456,  4924,     0,     0,     0,
       0,     0,     0,  4925,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     3,     4,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    39,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,    43,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,  1112,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,    48,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,     0,     0,    49,   800,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4703,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,    39,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,    43,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,  1112,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,    48,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,     0,    49,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,     0,     0,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1305,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2803,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,     0,     0,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3940,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,     0,     0,     0,     0,     0,  1030,  1454,   617,
       0,     0,   859,   676,     0,     0,     0,     0,  4388,   860,
     861,   862,   224,   225,   226,   227,   228,   229,   230,   231,
    1944,   233,   234,   235,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,   236,   237,  1952,   238,   239,   240,   801,   241,   242,
     243,     0,  1031,   802,  1032,  1033,  1953,   248,   249,   250,
     251,   252,  1954,  1955,   253,   254,  1034,  1035,   257,  1956,
     258,   259,   260,   261,     0,  1957,   803,  1958,   263,   264,
     265,   266,   267,   804,   268,   269,   270,  1959,   271,   272,
     273,   274,   275,   276,  1960,   805,   277,   278,   279,  1961,
    1962,  1963,   806,  1964,  1965,  1966,   280,   281,   282,   283,
     284,   285,  1036,  1037,   288,  1967,   289,  1968,   290,   291,
     292,   293,   294,   295,  1969,   296,   297,   298,   299,  1970,
    1971,   300,   301,  1038,   303,   304,  1972,   305,   306,   307,
    1973,   308,   309,   310,  1974,   311,   312,   313,   314,     0,
     316,   317,   318,     0,  1975,   320,  1976,   321,   322,  1039,
     324,  1977,   325,  1978,   326,   807,  1979,   808,   327,   328,
     329,   330,  1980,   331,     0,  1981,     0,   334,  1982,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,  1983,
     344,   345,   346,   347,   348,   349,  1984,   350,   810,     0,
     352,   353,   354,   355,  1041,  1042,  1985,  1043,  1986,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,  1987,
    1988,   366,     0,   814,   368,   815,  1989,   369,   370,   371,
    1990,  1991,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1044,   816,
    1045,   390,   391,   392,  3694,  1992,   394,   395,   817,   396,
    1993,     0,   398,  1046,   400,   401,   402,  1994,   403,   404,
    1995,  1996,  3695,   406,   407,  1997,  1998,   408,     0,   818,
     410,   819,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,  1999,   421,   422,     0,   424,     0,   426,   427,
     428,  2000,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1047,   439,   440,   441,   442,  2001,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  2002,
     455,   456,   820,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,  2003,   470,   471,   472,
     473,   474,  2004,   475,   476,  2088,   478,   479,   821,   480,
     481,  1049,   483,  2005,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,  2006,   497,   498,
    2007,   499,   822,   500,   501,   502,   503,   504,  2008,  1050,
    1051,  2009,  2010,   507,   508,     0,   510,     0,  2011,   512,
     513,   514,   515,   516,   517,   518,  2012,  2013,   519,   520,
     521,   522,   523,  2014,  2015,   524,   525,   526,   527,   528,
       0,  1052,  2016,   531,   823,   532,   533,   534,   535,  2017,
    2018,   536,  2019,  2020,   537,   538,   539,   540,   541,   542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556,     0,     0,     0,   865,   866,   867,
       0,  3696,  3697,   870,   871,   872,   873,  1030,  1454,   617,
       0,     0,   859,   676,     0,     0,     0,     0,     0,   860,
     861,   862,   224,   225,   226,   227,   228,   229,   230,   231,
    1944,   233,   234,   235,  1945,  1946,  1947,  1948,  1949,  1950,
    1951,   236,   237,  1952,   238,   239,   240,   801,   241,   242,
     243,     0,  1031,   802,  1032,  1033,  1953,   248,   249,   250,
     251,   252,  1954,  1955,   253,   254,  1034,  1035,   257,  1956,
     258,   259,   260,   261,     0,  1957,   803,  1958,   263,   264,
     265,   266,   267,   804,   268,   269,   270,  1959,   271,   272,
     273,   274,   275,   276,  1960,   805,   277,   278,   279,  1961,
    1962,  1963,   806,  1964,  1965,  1966,   280,   281,   282,   283,
     284,   285,  1036,  1037,   288,  1967,   289,  1968,   290,   291,
     292,   293,   294,   295,  1969,   296,   297,   298,   299,  1970,
    1971,   300,   301,  1038,   303,   304,  1972,   305,   306,   307,
    1973,   308,   309,   310,  1974,   311,   312,   313,   314,     0,
     316,   317,   318,     0,  1975,   320,  1976,   321,   322,  1039,
     324,  1977,   325,  1978,   326,   807,  1979,   808,   327,   328,
     329,   330,  1980,   331,     0,  1981,     0,   334,  1982,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,  1983,
     344,   345,   346,   347,   348,   349,  1984,   350,   810,     0,
     352,   353,   354,   355,  1041,  1042,  1985,  1043,  1986,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,  1987,
    1988,   366,     0,   814,   368,   815,  1989,   369,   370,   371,
    1990,  1991,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1044,   816,
    1045,   390,   391,   392,  4125,  1992,   394,   395,   817,   396,
    1993,     0,   398,  1046,   400,   401,   402,  1994,   403,   404,
    1995,  1996,  3695,   406,   407,  1997,  1998,   408,     0,   818,
     410,   819,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,  1999,   421,   422,     0,   424,     0,   426,   427,
     428,  2000,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1047,   439,   440,   441,   442,  2001,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  2002,
     455,   456,   820,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,  2003,   470,   471,   472,
     473,   474,  2004,   475,   476,  2088,   478,   479,   821,   480,
     481,  1049,   483,  2005,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,  2006,   497,   498,
    2007,   499,   822,   500,   501,   502,   503,   504,  2008,  1050,
    1051,  2009,  2010,   507,   508,     0,   510,     0,  2011,   512,
     513,   514,   515,   516,   517,   518,  2012,  2013,   519,   520,
     521,   522,   523,  2014,  2015,   524,   525,   526,   527,   528,
       0,  1052,  2016,   531,   823,   532,   533,   534,   535,  2017,
    2018,   536,  2019,  2020,   537,   538,   539,   540,   541,   542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556,     0,   223,     0,   865,   866,   867,
     859,  3696,  3697,   870,   871,   872,   873,   860,   861,   862,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   863,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   864,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,     0,   223,     0,   865,   866,   867,   859,   868,
     869,   870,   871,   872,   873,   860,   861,   862,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   981,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   982,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
       0,   223,     0,   865,   866,   867,   859,   868,   869,   870,
     871,   872,   873,   860,   861,   862,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,  1080,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,  1081,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1082,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,     0,   223,
       0,   865,   866,   867,   859,   868,   869,   870,   871,   872,
     873,   860,   861,   862,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,  1576,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,  1577,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,     0,   223,     0,   865,
     866,   867,   859,   868,   869,   870,   871,   872,   873,   860,
     861,   862,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,     0,   223,     0,   865,   866,   867,
     859,   868,   869,   870,   871,   872,   873,   860,   861,   862,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,  2881,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,  2882,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,     0,   223,     0,   865,   866,   867,   859,   868,
     869,   870,   871,   872,   873,   860,   861,   862,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,  4681,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1943,     0,     0,   865,   866,   867,     0,   868,   869,   870,
     871,   872,   873,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,  1944,   233,   234,   235,  1945,  1946,  1947,
    1948,  1949,  1950,  1951,   236,   237,  1952,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,  1953,
     248,   249,   250,   251,   252,  1954,  1955,   253,   254,   255,
     256,   257,  1956,   258,   259,   260,   261,   262,  1957,   803,
    1958,   263,   264,   265,   266,   267,   804,   268,   269,   270,
    1959,   271,   272,   273,   274,   275,   276,  1960,   805,   277,
     278,   279,  1961,  1962,  1963,   806,  1964,  1965,  1966,   280,
     281,   282,   283,   284,   285,   286,   287,   288,  1967,   289,
    1968,   290,   291,   292,   293,   294,   295,  1969,   296,   297,
     298,   299,  1970,  1971,   300,   301,   302,   303,   304,  1972,
     305,   306,   307,  1973,   308,   309,   310,  1974,   311,   312,
     313,   314,   315,   316,   317,   318,   319,  1975,   320,  1976,
     321,   322,   323,   324,  1977,   325,  1978,   326,   807,  1979,
     808,   327,   328,   329,   330,  1980,   331,   332,  1981,   333,
     334,  1982,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,  1983,   344,   345,   346,   347,   348,   349,  1984,
     350,   810,   351,   352,   353,   354,   355,   356,   357,  1985,
     358,  1986,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,  1987,  1988,   366,   367,   814,   368,   815,  1989,
     369,   370,   371,  1990,  1991,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,  1992,   394,
     395,   817,   396,  1993,   397,   398,   399,   400,   401,   402,
    1994,   403,   404,  1995,  1996,   405,   406,   407,  1997,  1998,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,  1999,   421,   422,   423,   424,
     425,   426,   427,   428,  2000,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,  2001,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  2002,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,  2003,
     470,   471,   472,   473,   474,  2004,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,  2005,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
    2006,   497,   498,  2007,   499,   822,   500,   501,   502,   503,
     504,  2008,   505,   506,  2009,  2010,   507,   508,   509,   510,
     511,  2011,   512,   513,   514,   515,   516,   517,   518,  2012,
    2013,   519,   520,   521,   522,   523,  2014,  2015,   524,   525,
     526,   527,   528,   529,   530,  2016,   531,   823,   532,   533,
     534,   535,  2017,  2018,   536,  2019,  2020,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,  2021,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,   770,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
    5071,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,     0,  1031,   802,  1032,  1033,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
    1034,  1035,   257,     0,   258,   259,   260,   261,     0,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,  1036,  1037,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,  1039,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,  2084,   344,   345,   346,   347,   348,   349,
       0,   350,   810,  2085,   352,   353,   354,   355,  1041,  1042,
       0,  1043,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,     0,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1044,   816,  1045,   390,   391,   392,     0,     0,
     394,   395,   817,   396,     0,     0,   398,  1046,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
    2086,   408,  2087,   818,   410,   819,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1047,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,  2088,
     478,   479,   821,   480,   481,  1049,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1050,  1051,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,  1052,  2089,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,  2380,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   554,   555,   556,     0,   224,
     225,   226,   227,   228,   229,   230,   231,  2090,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,     0,  1031,
     802,  1032,  1033,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,  1034,  1035,   257,     0,   258,   259,   260,
     261,     0,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,  1036,
    1037,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,     0,   316,   317,   318,
       0,     0,   320,     0,   321,   322,  1039,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,     0,     0,     0,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,  2084,   344,   345,   346,
     347,   348,   349,     0,   350,   810,  2085,   352,   353,   354,
     355,  1041,  1042,     0,  1043,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,     0,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1044,   816,  1045,   390,   391,
     392,     0,     0,   394,   395,   817,   396,     0,     0,   398,
    1046,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,  2086,   408,  2087,   818,   410,   819,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,     0,   424,     0,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1047,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,  2088,   478,   479,   821,   480,   481,  1049,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1050,  1051,     0,     0,
     507,   508,     0,   510,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,     0,  1052,  2089,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   845,  1454,   617,
       0,     0,     0,   676,     0,     0,     0,     0,   554,   555,
     556,     0,   224,   225,   226,   227,   228,   229,   230,   231,
    2090,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,  1932,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,  1756,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
    1757,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,  1758,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   845,  1454,   617,     0,     0,     0,
     676,  1455,  1456,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,  1937,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,  1756,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,  1757,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,  1758,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   845,  1454,   617,     0,     0,     0,   676,  1455,  1456,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,  1756,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,   367,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,  1757,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  1758,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   845,     0,
     617,     0,     0,     0,   676,  1455,  1456,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  2835,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,  1756,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,  1757,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,  1758,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,   676,   688,   689,     0,     0,     0,     0,     0,     0,
     224,   677,   226,   227,   228,   229,   230,   231,   678,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   679,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   680,   323,   324,     0,
     325,     0,   681,     0,   682,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,   683,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   684,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     685,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     686,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   687,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1943,  5266,   617,     0,     0,     0,   676,   688,
     689,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,  1944,   233,   234,   235,  1945,
    1946,  1947,  1948,  1949,  1950,  1951,   236,   237,  1952,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,  1953,   248,   249,   250,   251,   252,  1954,  1955,   253,
     254,   255,   256,   257,  1956,   258,   259,   260,   261,   262,
    1957,   803,  1958,   263,   264,   265,   266,   267,   804,   268,
     269,   270,  1959,   271,   272,   273,   274,   275,   276,  1960,
     805,   277,   278,   279,  1961,  1962,  1963,   806,  1964,  1965,
    1966,   280,   281,   282,   283,   284,   285,   286,   287,   288,
    1967,   289,  1968,   290,   291,   292,   293,   294,   295,  1969,
     296,   297,   298,   299,  1970,  1971,   300,   301,   302,   303,
     304,  1972,   305,   306,   307,  1973,   308,   309,   310,  1974,
     311,   312,   313,   314,   315,   316,   317,   318,   319,  1975,
     320,  1976,   321,   322,   323,   324,  1977,   325,  1978,   326,
     807,  1979,   808,   327,   328,   329,   330,  1980,   331,   332,
    1981,   333,   334,  1982,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,  1983,   344,   345,   346,   347,   348,
     349,  1984,   350,   810,   351,   352,   353,   354,   355,   356,
     357,  1985,   358,  1986,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,  1987,  1988,   366,   367,   814,   368,
     815,  1989,   369,   370,   371,  1990,  1991,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
    1992,   394,   395,   817,   396,  1993,   397,   398,   399,   400,
     401,   402,  1994,   403,   404,  1995,  1996,   405,   406,   407,
    1997,  1998,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,  1999,   421,   422,
     423,   424,   425,   426,   427,   428,  2000,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  2001,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  2002,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,  2003,   470,   471,   472,   473,   474,  2004,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,  2005,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,  2006,   497,   498,  2007,   499,   822,   500,   501,
     502,   503,   504,  2008,   505,   506,  2009,  2010,   507,   508,
     509,   510,   511,  2011,   512,   513,   514,   515,   516,   517,
     518,  2012,  2013,   519,   520,   521,   522,   523,  2014,  2015,
     524,   525,   526,   527,   528,   529,   530,  2016,   531,   823,
     532,   533,   534,   535,  2017,  2018,   536,  2019,  2020,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1943,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,  1944,   233,   234,   235,  1945,  1946,  1947,  1948,
    1949,  1950,  1951,   236,   237,  1952,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,  1953,   248,
     249,   250,   251,   252,  1954,  1955,   253,   254,   255,   256,
     257,  1956,   258,   259,   260,   261,   262,  1957,   803,  1958,
     263,   264,   265,   266,   267,   804,   268,   269,   270,  1959,
     271,   272,   273,   274,   275,   276,  1960,   805,   277,   278,
     279,  1961,  1962,  1963,   806,  1964,  1965,  1966,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1967,   289,  1968,
     290,   291,   292,   293,   294,   295,  1969,   296,   297,   298,
     299,  1970,  1971,   300,   301,   302,   303,   304,  1972,   305,
     306,   307,  1973,   308,   309,   310,  1974,   311,   312,   313,
     314,   315,   316,   317,   318,   319,  1975,   320,  1976,   321,
     322,   323,   324,  1977,   325,  1978,   326,   807,  1979,   808,
     327,   328,   329,   330,  1980,   331,   332,  1981,   333,   334,
    1982,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,  1983,   344,   345,   346,   347,   348,   349,  1984,   350,
     810,   351,   352,   353,   354,   355,   356,   357,  1985,   358,
    1986,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,  1987,  1988,   366,   367,   814,   368,   815,  1989,   369,
     370,   371,  1990,  1991,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,  1992,   394,   395,
     817,   396,  1993,   397,   398,   399,   400,   401,   402,  1994,
     403,   404,  1995,  1996,   405,   406,   407,  1997,  1998,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,  1999,   421,   422,   423,   424,   425,
     426,   427,   428,  2000,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,  2001,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,  2002,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,  2003,   470,
     471,   472,   473,   474,  2004,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,  2005,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,  2006,
     497,   498,  2007,   499,   822,   500,   501,   502,   503,   504,
    2008,   505,   506,  2009,  2010,   507,   508,   509,   510,   511,
    2011,   512,   513,   514,   515,   516,   517,   518,  2012,  2013,
     519,   520,   521,   522,   523,  2014,  2015,   524,   525,   526,
     527,   528,   529,   530,  2016,   531,   823,   532,   533,   534,
     535,  2017,  2018,   536,  2019,  2020,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1943,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,  2949,   229,   230,   231,  1944,
     233,   234,   235,  1945,  1946,  1947,  1948,  1949,  1950,  1951,
     236,   237,  1952,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,  1953,   248,   249,   250,   251,
     252,  1954,  1955,   253,   254,   255,   256,   257,  1956,   258,
     259,   260,   261,   262,  1957,   803,  1958,   263,   264,   265,
     266,   267,   804,   268,   269,   270,  1959,   271,   272,   273,
     274,   275,   276,  1960,   805,   277,   278,   279,  1961,  1962,
    1963,   806,  1964,  1965,  1966,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1967,   289,  1968,   290,   291,   292,
     293,   294,   295,  1969,   296,   297,   298,   299,  1970,  1971,
     300,   301,   302,  2950,   304,  1972,   305,   306,   307,  1973,
     308,   309,   310,  1974,   311,   312,   313,   314,   315,   316,
     317,   318,   319,  1975,   320,  1976,   321,   322,   323,   324,
    1977,   325,  1978,   326,   807,  1979,   808,   327,   328,   329,
     330,  1980,   331,   332,  1981,   333,   334,  1982,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,  1983,   344,
     345,   346,   347,   348,   349,  1984,   350,   810,   351,   352,
     353,   354,   355,   356,   357,  1985,   358,  1986,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,  1987,  1988,
     366,   367,   814,   368,   815,  1989,   369,   370,   371,  1990,
    1991,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,  1992,   394,   395,   817,   396,  1993,
     397,   398,   399,   400,   401,   402,  1994,   403,   404,  1995,
    1996,   405,   406,   407,  1997,  1998,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,  1999,   421,   422,   423,   424,   425,   426,   427,   428,
    2000,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  2001,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  2002,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,  2003,   470,   471,   472,   473,
     474,  2004,  2951,   476,   477,   478,   479,   821,   480,   481,
     482,   483,  2005,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,  2006,   497,   498,  2007,
     499,   822,   500,   501,   502,   503,   504,  2008,   505,   506,
    2009,  2010,   507,   508,   509,   510,   511,  2011,   512,   513,
     514,   515,   516,   517,   518,  2012,  2013,   519,   520,   521,
     522,   523,  2014,  2015,   524,   525,   526,   527,   528,   529,
     530,  2016,   531,   823,   532,   533,   534,   535,  2017,  2018,
     536,  2019,  2020,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   800,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,  1186,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
    1189,     0,  1190,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,  1191,  1192,  1193,  1194,  1195,
    1196,  1197,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,  1202,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
    1205,     0,   333,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,  1210,   814,
     368,   815,     0,   369,   370,   371,  1211,  1212,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,  1217,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,  1220,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,  1221,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,  1224,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,  1226,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,  1229,   510,  1230,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,  1233,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,  1235,  1236,  1237,
    1238,   548,  1239,  1240,  1241,  1242,   553,   554,   555,   556,
     845,     0,   617,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,  1756,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,  1757,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,  1758,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
     882,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,   846,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,   847,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   845,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,   901,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,   846,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   902,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,   847,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   845,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,   846,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,   367,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,   847,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,  2336,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   845,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,   846,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,  3275,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,   847,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   845,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,   846,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
     367,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,     0,   394,   395,   817,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
     847,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   845,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
     846,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,   367,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,  1000,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,   847,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   845,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,   244,   245,   802,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,   846,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  1075,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,   367,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   816,   389,   390,   391,   392,   393,     0,   394,   395,
     817,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,   818,   410,   819,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,   847,   475,   476,   477,   478,   479,
     821,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   845,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
     244,   245,   802,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,   846,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1086,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,   367,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   816,   389,
     390,   391,   392,   393,     0,   394,   395,   817,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,   818,   410,
     819,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,   847,   475,   476,   477,   478,   479,   821,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   845,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,   244,   245,   802,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,   846,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,  1096,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,   367,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,  1097,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   816,   389,   390,   391,   392,
     393,     0,   394,   395,   817,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,   818,   410,   819,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,   847,   475,
     476,   477,   478,   479,   821,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     845,     0,   617,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,   244,   245,   802,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,  1917,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,   367,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   816,   389,   390,   391,   392,   393,     0,   394,
     395,   817,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,   818,   410,   819,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   821,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   845,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     3,     4,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,   244,   245,   802,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,   367,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   816,
     389,   390,   391,   392,   393,     0,   394,   395,   817,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,   818,
     410,   819,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,   821,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   845,     0,   617,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,   244,   245,
     802,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,   367,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   816,   389,   390,   391,
     392,   393,     0,   394,   395,   817,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,   818,   410,   819,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   821,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   845,     0,   617,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,   244,   245,   802,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1742,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,   367,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   816,   389,   390,   391,   392,   393,     0,
     394,   395,   817,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,   818,   410,   819,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   821,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   800,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,   244,   245,   802,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,   367,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     816,   389,   390,   391,   392,   393,     0,   394,   395,   817,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
     818,   410,   819,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   821,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   800,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,   244,
     245,   802,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1022,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
     367,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   816,   389,   390,
     391,   392,   393,     0,   394,   395,   817,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,   818,   410,   819,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   821,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   800,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,   244,   245,   802,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1072,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,   367,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   816,   389,   390,   391,   392,   393,
       0,   394,   395,   817,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,   818,   410,   819,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   821,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,  2124,   258,   259,   260,   261,   262,     0,     0,  2201,
     263,   264,   265,   266,   267,     0,   268,   269,   270,  2125,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,  2202,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,  2127,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  2203,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  2128,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,  2129,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,  2124,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,  2125,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,  2202,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,  2127,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,  3139,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    2128,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,  2129,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   733,   230,   231,   695,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
     696,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,   734,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   697,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   698,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,   695,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,   696,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,  2842,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   697,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   698,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,  2124,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,  2125,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,  2202,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,  2127,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  2128,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,  2129,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,   695,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,   696,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   697,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   698,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,  1783,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,  1784,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,  1785,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,  1786,   326,     0,
       0,     0,  1787,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
    1788,  1789,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,  1790,   465,   466,   467,   468,   469,
       0,  1791,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,  1792,   499,     0,  1793,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,  1794,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,   696,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   697,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   698,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,   894,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   895,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,   765,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     3,
       4,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,  2930,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,  2931,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,  2943,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,  2944,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,   608,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   609,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
     725,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   726,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   727,
     506,     0,     0,   728,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,   759,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   760,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   761,   506,     0,     0,
     762,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,   765,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,   854,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   855,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,  1014,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,  1280,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,  1291,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   745,   254,   255,   256,
    1292,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   748,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   749,   458,   459,   460,   461,
     462,   463,   750,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,  1284,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   752,   506,     0,     0,   753,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   754,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1402,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
     765,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,  1459,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,  1460,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,   725,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   339,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,  2733,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,  2734,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
    2735,   499,     0,   500,  2736,   502,  2737,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
    2738,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,   617,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,  3961,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
    3975,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   711,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   339,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   723,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   745,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   746,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,   339,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   747,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   748,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   749,   458,   459,   460,   461,   462,   463,   750,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     751,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   752,   506,
       0,     0,   753,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   754,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     776,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,   879,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   887,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     905,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   965,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   971,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   988,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,   991,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,   993,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1028,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,  1088,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1090,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,  1100,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    1103,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  1106,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   745,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   748,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   749,   458,   459,   460,   461,   462,
     463,   750,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,  1284,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     752,   506,     0,     0,   753,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     754,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  1608,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  1646,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  1648,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  1718,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,  1720,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  1722,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,   339,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,  1817,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,  2077,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
     339,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   745,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,   339,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   748,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   749,   458,   459,
     460,   461,   462,   463,   750,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,  1284,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,  2111,   501,   502,
     503,   504,     0,   752,   506,     0,     0,   753,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   754,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   745,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   748,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   749,   458,   459,   460,   461,   462,
     463,  2186,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,  2187,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     752,   506,     0,     0,  2188,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     754,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  2460,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,   244,   245,     0,   246,
     247,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,   255,   256,   257,     0,   258,   259,   260,   261,   262,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,   315,   316,   317,   318,   319,     0,
     320,     0,   321,   322,   323,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,   332,
       0,   333,   334,     0,   335,   336,   337,   338,  2464,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,   351,   352,   353,   354,   355,   356,
     357,     0,   358,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,   367,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,     0,   389,   390,   391,   392,   393,
       0,   394,   395,     0,   396,     0,   397,   398,   399,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,   409,     0,   410,     0,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,     0,
     241,   242,   243,   244,   245,     0,   246,   247,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,   255,   256,
     257,     0,   258,   259,   260,   261,   262,     0,     0,     0,
     263,   264,   265,   266,   267,     0,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,     0,   277,   278,
     279,     0,     0,     0,     0,     0,     0,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,   315,   316,   317,   318,   319,     0,   320,     0,   321,
     322,   323,   324,     0,   325,     0,   326,     0,     0,     0,
     327,   328,   329,   330,     0,   331,   332,     0,   333,   334,
       0,   335,   336,   337,   338,  2533,     0,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
       0,   351,   352,   353,   354,   355,   356,   357,     0,   358,
       0,   359,     0,     0,   360,     0,   361,   362,   363,   364,
     365,     0,     0,   366,   367,     0,   368,     0,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,     0,   389,   390,   391,   392,   393,     0,   394,   395,
       0,   396,     0,   397,   398,   399,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
     409,     0,   410,     0,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,     0,
     497,   498,     0,   499,     0,   500,   501,   502,   503,   504,
       0,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,     0,   241,   242,   243,
     244,   245,     0,   246,   247,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,   255,   256,   257,     0,   258,
     259,   260,   261,   262,     0,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,     0,   277,   278,   279,     0,     0,
       0,     0,     0,     0,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,   302,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,   315,   316,
     317,   318,   319,     0,   320,     0,   321,   322,   323,   324,
       0,   325,     0,   326,     0,     0,     0,   327,   328,   329,
     330,     0,   331,   332,     0,   333,   334,     0,   335,   336,
     337,   338,  2853,     0,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,     0,   351,   352,
     353,   354,   355,   356,   357,     0,   358,     0,   359,     0,
       0,   360,     0,   361,   362,   363,   364,   365,     0,     0,
     366,   367,     0,   368,     0,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,     0,   389,
     390,   391,   392,   393,     0,   394,   395,     0,   396,     0,
     397,   398,   399,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,   409,     0,   410,
       0,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,     0,   497,   498,     0,
     499,     0,   500,   501,   502,   503,   504,     0,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,     0,   241,   242,   243,   244,   245,     0,
     246,   247,     0,   248,   249,   250,   251,   252,     0,     0,
     745,   254,   255,   256,   257,     0,   258,   259,   260,   261,
     262,     0,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,     0,   277,   278,   279,     0,     0,     0,     0,     0,
       0,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,   302,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,   315,   316,   317,   318,   319,
       0,   320,     0,   321,   322,   323,   324,     0,   325,     0,
     326,     0,     0,     0,   327,   328,   329,   330,     0,   331,
     332,     0,   333,   334,     0,   335,   336,   337,   338,   339,
       0,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,     0,   351,   352,   353,   354,   355,
     356,   357,     0,   358,     0,   359,     0,     0,   360,     0,
     361,   362,   363,   364,   365,     0,     0,   366,   367,     0,
     368,     0,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   748,   388,     0,   389,   390,   391,   392,
     393,     0,   394,   395,     0,   396,     0,   397,   398,   399,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,   409,     0,   410,     0,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,     0,   749,
     458,   459,   460,   461,   462,   463,   750,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,  2187,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   498,     0,   499,     0,   500,
     501,   502,   503,   504,     0,   752,   506,     0,     0,  2188,
     508,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   754,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
       0,   241,   242,   243,   244,   245,     0,   246,   247,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,   255,
     256,   257,     0,   258,   259,   260,   261,   262,     0,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,     0,   277,
     278,   279,     0,     0,     0,     0,     0,     0,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,   302,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,   315,   316,   317,   318,   319,     0,   320,     0,
     321,   322,   323,   324,     0,   325,     0,   326,     0,     0,
       0,   327,   328,   329,   330,     0,   331,   332,     0,   333,
     334,     0,   335,   336,   337,   338,  2920,     0,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,     0,   351,   352,   353,   354,   355,   356,   357,     0,
     358,     0,   359,     0,     0,   360,     0,   361,   362,   363,
     364,   365,     0,     0,   366,   367,     0,   368,     0,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,     0,   389,   390,   391,   392,   393,     0,   394,
     395,     0,   396,     0,   397,   398,   399,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,   409,     0,   410,     0,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   498,     0,   499,     0,   500,   501,   502,   503,
     504,     0,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,     0,   241,   242,
     243,   244,   245,     0,   246,   247,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,   255,   256,   257,     0,
     258,   259,   260,   261,   262,     0,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,     0,   277,   278,   279,     0,
       0,     0,     0,     0,     0,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,   302,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,   315,
     316,   317,   318,   319,     0,   320,     0,   321,   322,   323,
     324,     0,   325,     0,   326,     0,     0,     0,   327,   328,
     329,   330,     0,   331,   332,     0,   333,   334,     0,   335,
     336,   337,   338,  2933,     0,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,     0,   351,
     352,   353,   354,   355,   356,   357,     0,   358,     0,   359,
       0,     0,   360,     0,   361,   362,   363,   364,   365,     0,
       0,   366,   367,     0,   368,     0,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,     0,
     389,   390,   391,   392,   393,     0,   394,   395,     0,   396,
       0,   397,   398,   399,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,   409,     0,
     410,     0,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   498,
       0,   499,     0,   500,   501,   502,   503,   504,     0,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,     0,   241,   242,   243,   244,   245,
       0,   246,   247,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,   255,   256,   257,     0,   258,   259,   260,
     261,   262,     0,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,     0,   277,   278,   279,     0,     0,     0,     0,
       0,     0,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
     302,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,   315,   316,   317,   318,
     319,     0,   320,     0,   321,   322,   323,   324,     0,   325,
       0,   326,     0,     0,     0,   327,   328,   329,   330,     0,
     331,   332,     0,   333,   334,     0,   335,   336,   337,   338,
    2935,     0,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,     0,   351,   352,   353,   354,
     355,   356,   357,     0,   358,     0,   359,     0,     0,   360,
       0,   361,   362,   363,   364,   365,     0,     0,   366,   367,
       0,   368,     0,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,     0,   389,   390,   391,
     392,   393,     0,   394,   395,     0,   396,     0,   397,   398,
     399,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,   409,     0,   410,     0,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,     0,   497,   498,     0,   499,     0,
     500,   501,   502,   503,   504,     0,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,     0,   241,   242,   243,   244,   245,     0,   246,   247,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
     255,   256,   257,     0,   258,   259,   260,   261,   262,     0,
       0,     0,   263,   264,   265,   266,   267,     0,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,     0,
     277,   278,   279,     0,     0,     0,     0,     0,     0,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,   302,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,   315,   316,   317,   318,   319,     0,   320,
       0,   321,   322,   323,   324,     0,   325,     0,   326,     0,
       0,     0,   327,   328,   329,   330,     0,   331,   332,     0,
     333,   334,     0,   335,   336,   337,   338,  3070,     0,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,     0,   351,   352,   353,   354,   355,   356,   357,
       0,   358,     0,   359,     0,     0,   360,     0,   361,   362,
     363,   364,   365,     0,     0,   366,   367,     0,   368,     0,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,     0,   389,   390,   391,   392,   393,     0,
     394,   395,     0,   396,     0,   397,   398,   399,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,   409,     0,   410,     0,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   498,     0,   499,     0,   500,   501,   502,
     503,   504,     0,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,     0,   241,
     242,   243,   244,   245,     0,   246,   247,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,   255,   256,   257,
       0,   258,   259,   260,   261,   262,     0,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,     0,   277,   278,   279,
       0,     0,     0,     0,     0,     0,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,  3095,   302,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
     315,   316,   317,   318,   319,     0,   320,     0,   321,   322,
     323,   324,     0,   325,     0,   326,     0,     0,     0,   327,
     328,   329,   330,     0,   331,   332,     0,   333,   334,     0,
     335,   336,   337,   338,   339,     0,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,     0,
     351,   352,   353,   354,   355,   356,   357,     0,   358,     0,
     359,     0,     0,   360,     0,   361,   362,   363,   364,   365,
       0,     0,   366,   367,     0,   368,     0,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
       0,   389,   390,   391,   392,   393,     0,   394,   395,     0,
     396,     0,   397,   398,   399,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,   409,
       0,   410,     0,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     498,     0,   499,     0,   500,   501,   502,   503,   504,     0,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,  4240,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1030,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,     0,  1031,   802,  1032,
    1033,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,  1034,  1035,   257,     0,   258,   259,   260,   261,     0,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,  1036,  1037,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,     0,   316,   317,   318,     0,     0,
     320,     0,   321,   322,  1039,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,     0,
       0,     0,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,  2084,   344,   345,   346,   347,   348,
     349,     0,   350,   810,  2085,   352,   353,   354,   355,  1041,
    1042,     0,  1043,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,     0,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1044,   816,  1045,   390,   391,   392,     0,
       0,   394,   395,   817,   396,     0,     0,   398,  1046,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,  2087,   818,   410,   819,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
       0,   424,     0,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1047,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
    2088,   478,   479,   821,   480,   481,  1049,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,   497,   498,     0,   499,   822,   500,   501,
     502,   503,   504,     0,  1050,  1051,     0,     0,   507,   508,
       0,   510,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,     0,  1052,  2089,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,     0,   241,   242,   243,   244,
     245,     0,   246,   247,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,   255,   256,   257,     0,   258,   259,
     260,   261,   262,     0,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,     0,   277,   278,   279,     0,     0,     0,
       0,     0,     0,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,   302,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,   315,   316,   317,
     318,   319,     0,   320,     0,   321,   322,   323,   324,     0,
     325,     0,   326,     0,     0,     0,   327,   328,   329,   330,
       0,   331,   332,     0,   333,   334,     0,   335,   336,   337,
     338,   339,     0,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,     0,   351,   352,   353,
     354,   355,   356,   357,     0,   358,     0,   359,     0,     0,
     360,     0,   361,   362,   363,   364,   365,     0,     0,   366,
     367,     0,   368,     0,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,     0,   389,   390,
     391,   392,   393,     0,   394,   395,     0,   396,     0,   397,
     398,   399,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,   409,     0,   410,     0,
     411,   412,   413,   414,   415,   416,   417,     0,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
       0,   457,   458,   459,   460,     0,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,     0,   497,   498,     0,   499,
       0,   500,   501,   502,   503,   504,     0,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1030,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,   801,   241,   242,   243,     0,  1031,   802,  1032,
    1033,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,  1034,  1035,   257,     0,   258,   259,   260,   261,     0,
       0,   803,     0,   263,   264,   265,   266,   267,   804,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
     805,   277,   278,   279,     0,     0,     0,   806,     0,     0,
       0,   280,   281,   282,   283,   284,   285,  1036,  1037,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,  1038,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,     0,   316,   317,   318,     0,     0,
     320,     0,   321,   322,  1039,   324,     0,   325,     0,   326,
     807,     0,   808,   327,   328,   329,   330,     0,   331,     0,
       0,     0,   334,     0,   335,   336,   337,   338,   339,   809,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,   810,     0,   352,   353,   354,   355,  1041,
    1042,     0,  1043,     0,   359,   811,   812,   360,   813,   361,
     362,   363,   364,   365,     0,     0,   366,     0,   814,   368,
     815,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,  1044,   816,  1045,   390,   391,   392,     0,
       0,   394,   395,   817,   396,  2182,     0,   398,  1046,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,     0,   818,   410,   819,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
       0,   424,     0,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,  1047,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,   820,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
    2088,   478,   479,   821,   480,   481,  1049,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,   497,   498,  3801,   499,   822,   500,   501,
     502,   503,   504,     0,  1050,  1051,     0,     0,   507,   508,
       0,   510,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,     0,  1052,     0,   531,   823,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556,     0,
     224,   225,   226,   227,   228,   229,   230,   231,     0,   233,
     234,   235,     0,     0,     0,     0,     0,     0,     0,   236,
     237,     0,   238,   239,   240,   801,   241,   242,   243,     0,
    1031,   802,  1032,  1033,     0,   248,   249,   250,   251,   252,
       0,     0,   253,   254,  1034,  1035,   257,     0,   258,   259,
     260,   261,     0,     0,   803,     0,   263,   264,   265,   266,
     267,   804,   268,   269,   270,     0,   271,   272,   273,   274,
     275,   276,     0,   805,   277,   278,   279,     0,     0,     0,
     806,     0,     0,     0,   280,   281,   282,   283,   284,   285,
    1036,  1037,   288,     0,   289,     0,   290,   291,   292,   293,
     294,   295,     0,   296,   297,   298,   299,     0,     0,   300,
     301,  1038,   303,   304,     0,   305,   306,   307,     0,   308,
     309,   310,     0,   311,   312,   313,   314,     0,   316,   317,
     318,     0,     0,   320,     0,   321,   322,  1039,   324,     0,
     325,     0,   326,   807,     0,   808,   327,   328,   329,   330,
       0,   331,     0,     0,     0,   334,     0,   335,   336,   337,
     338,   339,   809,   340,   341,   342,   343,     0,   344,   345,
     346,   347,   348,   349,     0,   350,   810,     0,   352,   353,
     354,   355,  1041,  1042,     0,  1043,     0,   359,   811,   812,
     360,   813,   361,   362,   363,   364,   365,     0,     0,   366,
       0,   814,   368,   815,     0,   369,   370,   371,     0,     0,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,  1044,   816,  1045,   390,
     391,   392,  2253,     0,   394,   395,   817,   396,     0,     0,
     398,  1046,   400,   401,   402,     0,   403,   404,     0,     0,
     405,   406,   407,     0,     0,   408,     0,   818,   410,   819,
       0,   412,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,     0,   424,     0,   426,   427,   428,     0,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1047,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,     0,   455,   456,
     820,   457,   458,   459,     0,   461,   462,   463,   464,   465,
     466,   467,   468,   469,     0,   470,   471,   472,   473,   474,
       0,   475,   476,  1048,   478,   479,   821,   480,   481,  1049,
     483,     0,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     0,     0,   497,   498,     0,   499,
     822,   500,   501,   502,   503,   504,     0,  1050,  1051,     0,
       0,   507,   508,     0,   510,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,     0,   524,   525,   526,   527,   528,     0,  1052,
       0,   531,   823,   532,   533,   534,   535,     0,     0,   536,
       0,     0,   537,   538,   539,   540,   541,   542,  1030,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   554,
     555,   556,     0,   224,   225,   226,   227,   228,   229,   230,
     231,     0,   233,   234,   235,     0,     0,     0,     0,     0,
       0,     0,   236,   237,     0,   238,   239,   240,   801,   241,
     242,   243,     0,  1031,   802,  1032,  1033,     0,   248,   249,
     250,   251,   252,     0,     0,   253,   254,  1034,  1035,   257,
       0,   258,   259,   260,   261,     0,     0,   803,     0,   263,
     264,   265,   266,   267,   804,   268,   269,   270,     0,   271,
     272,   273,   274,   275,   276,     0,   805,   277,   278,   279,
       0,     0,     0,   806,     0,     0,     0,   280,   281,   282,
     283,   284,   285,  1036,  1037,   288,     0,   289,     0,   290,
     291,   292,   293,   294,   295,     0,   296,   297,   298,   299,
       0,     0,   300,   301,  1038,   303,   304,     0,   305,   306,
     307,     0,   308,   309,   310,     0,   311,   312,   313,   314,
       0,   316,   317,   318,     0,     0,   320,     0,   321,   322,
    1039,   324,     0,   325,     0,   326,   807,     0,   808,   327,
     328,   329,   330,     0,   331,     0,     0,     0,   334,     0,
     335,   336,   337,   338,   339,   809,   340,   341,   342,   343,
       0,   344,   345,   346,   347,   348,   349,     0,   350,   810,
       0,   352,   353,   354,   355,  1041,  1042,     0,  1043,     0,
     359,   811,   812,   360,   813,   361,   362,   363,   364,   365,
       0,     0,   366,     0,   814,   368,   815,     0,   369,   370,
     371,     0,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,  1044,
     816,  1045,   390,   391,   392,  3616,     0,   394,   395,   817,
     396,     0,     0,   398,  1046,   400,   401,   402,     0,   403,
     404,     0,     0,   405,   406,   407,     0,     0,   408,     0,
     818,   410,   819,     0,   412,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,     0,   424,     0,   426,
     427,   428,     0,   429,   430,   431,   432,   433,   434,   435,
     436,   437,  1047,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
       0,   455,   456,   820,   457,   458,   459,     0,   461,   462,
     463,   464,   465,   466,   467,   468,   469,     0,   470,   471,
     472,   473,   474,     0,   475,   476,  1048,   478,   479,   821,
     480,   481,  1049,   483,     0,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     0,     0,   497,
     498,     0,   499,   822,   500,   501,   502,   503,   504,     0,
    1050,  1051,     0,     0,   507,   508,     0,   510,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,     0,   524,   525,   526,   527,
     528,     0,  1052,     0,   531,   823,   532,   533,   534,   535,
       0,     0,   536,     0,     0,   537,   538,   539,   540,   541,
     542,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   554,   555,   556,     0,   224,   225,   226,   227,
     228,   229,   230,   231,     0,   233,   234,   235,     0,     0,
       0,     0,     0,     0,     0,   236,   237,     0,   238,   239,
     240,   801,   241,   242,   243,     0,  1031,   802,  1032,  1033,
       0,   248,   249,   250,   251,   252,     0,     0,   253,   254,
    1034,  1035,   257,     0,   258,   259,   260,   261,     0,     0,
     803,     0,   263,   264,   265,   266,   267,   804,   268,   269,
     270,     0,   271,   272,   273,   274,   275,   276,     0,   805,
     277,   278,   279,     0,     0,     0,   806,     0,     0,     0,
     280,   281,   282,   283,   284,   285,  1036,  1037,   288,     0,
     289,     0,   290,   291,   292,   293,   294,   295,     0,   296,
     297,   298,   299,     0,     0,   300,   301,  1038,   303,   304,
       0,   305,   306,   307,     0,   308,   309,   310,     0,   311,
     312,   313,   314,     0,   316,   317,   318,     0,     0,   320,
       0,   321,   322,  1039,   324,  5135,   325,     0,   326,   807,
       0,   808,   327,   328,   329,   330,     0,   331,     0,     0,
       0,   334,     0,   335,   336,   337,   338,   339,   809,   340,
     341,   342,   343,     0,   344,   345,   346,   347,   348,   349,
       0,   350,   810,     0,   352,   353,   354,   355,  1041,  1042,
       0,  1043,     0,   359,   811,   812,   360,   813,   361,   362,
     363,   364,   365,     0,     0,   366,     0,   814,   368,   815,
       0,   369,   370,   371,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,  1044,   816,  1045,   390,   391,   392,     0,     0,
     394,   395,   817,   396,     0,     0,   398,  1046,   400,   401,
     402,     0,   403,   404,     0,     0,   405,   406,   407,     0,
       0,   408,     0,   818,   410,   819,     0,   412,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,     0,
     424,     0,   426,   427,   428,     0,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1047,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,     0,   455,   456,   820,   457,   458,   459,
       0,   461,   462,   463,   464,   465,   466,   467,   468,   469,
       0,   470,   471,   472,   473,   474,     0,   475,   476,  1048,
     478,   479,   821,   480,   481,  1049,   483,     0,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
       0,     0,   497,   498,     0,   499,   822,   500,   501,   502,
     503,   504,     0,  1050,  1051,     0,     0,   507,   508,     0,
     510,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,     0,   524,
     525,   526,   527,   528,     0,  1052,     0,   531,   823,   532,
     533,   534,   535,     0,     0,   536,     0,     0,   537,   538,
     539,   540,   541,   542,  1030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   554,   555,   556,     0,   224,
     225,   226,   227,   228,   229,   230,   231,     0,   233,   234,
     235,     0,     0,     0,     0,     0,     0,     0,   236,   237,
       0,   238,   239,   240,   801,   241,   242,   243,     0,  1031,
     802,  1032,  1033,     0,   248,   249,   250,   251,   252,     0,
       0,   253,   254,  1034,  1035,   257,     0,   258,   259,   260,
     261,     0,     0,   803,     0,   263,   264,   265,   266,   267,
     804,   268,   269,   270,     0,   271,   272,   273,   274,   275,
     276,     0,   805,   277,   278,   279,     0,     0,     0,   806,
       0,     0,     0,   280,   281,   282,   283,   284,   285,  1036,
    1037,   288,     0,   289,     0,   290,   291,   292,   293,   294,
     295,     0,   296,   297,   298,   299,     0,     0,   300,   301,
    1038,   303,   304,     0,   305,   306,   307,     0,   308,   309,
     310,     0,   311,   312,   313,   314,     0,   316,   317,   318,
       0,     0,   320,     0,   321,   322,  1039,   324,     0,   325,
       0,   326,   807,     0,   808,   327,   328,   329,   330,     0,
     331,     0,     0,     0,   334,     0,   335,   336,   337,   338,
    1040,   809,   340,   341,   342,   343,     0,   344,   345,   346,
     347,   348,   349,     0,   350,   810,     0,   352,   353,   354,
     355,  1041,  1042,     0,  1043,     0,   359,   811,   812,   360,
     813,   361,   362,   363,   364,   365,     0,     0,   366,     0,
     814,   368,   815,     0,   369,   370,   371,     0,     0,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,  1044,   816,  1045,   390,   391,
     392,     0,     0,   394,   395,   817,   396,     0,     0,   398,
    1046,   400,   401,   402,     0,   403,   404,     0,     0,   405,
     406,   407,     0,     0,   408,     0,   818,   410,   819,     0,
     412,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,     0,   424,     0,   426,   427,   428,     0,   429,
     430,   431,   432,   433,   434,   435,   436,   437,  1047,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,     0,   455,   456,   820,
     457,   458,   459,     0,   461,   462,   463,   464,   465,   466,
     467,   468,   469,     0,   470,   471,   472,   473,   474,     0,
     475,   476,  1048,   478,   479,   821,   480,   481,  1049,   483,
       0,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     0,     0,   497,   498,     0,   499,   822,
     500,   501,   502,   503,   504,     0,  1050,  1051,     0,     0,
     507,   508,     0,   510,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,     0,   524,   525,   526,   527,   528,     0,  1052,     0,
     531,   823,   532,   533,   534,   535,     0,     0,   536,     0,
       0,   537,   538,   539,   540,   541,   542,  1030,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   554,   555,
     556,     0,   224,   225,   226,   227,   228,   229,   230,   231,
       0,   233,   234,   235,     0,     0,     0,     0,     0,     0,
       0,   236,   237,     0,   238,   239,   240,   801,   241,   242,
     243,     0,  1031,   802,  1032,  1033,     0,   248,   249,   250,
     251,   252,     0,     0,   253,   254,  1034,  1035,   257,     0,
     258,   259,   260,   261,     0,     0,   803,     0,   263,   264,
     265,   266,   267,   804,   268,   269,   270,     0,   271,   272,
     273,   274,   275,   276,     0,   805,   277,   278,   279,     0,
       0,     0,   806,     0,     0,     0,   280,   281,   282,   283,
     284,   285,  1036,  1037,   288,     0,   289,     0,   290,   291,
     292,   293,   294,   295,     0,   296,   297,   298,   299,     0,
       0,   300,   301,  1038,   303,   304,     0,   305,   306,   307,
       0,   308,   309,   310,     0,   311,   312,   313,   314,     0,
     316,   317,   318,     0,     0,   320,     0,   321,   322,  1039,
     324,     0,   325,     0,   326,   807,     0,   808,   327,   328,
     329,   330,     0,   331,     0,     0,     0,   334,     0,   335,
     336,   337,   338,  1094,   809,   340,   341,   342,   343,     0,
     344,   345,   346,   347,   348,   349,     0,   350,   810,     0,
     352,   353,   354,   355,  1041,  1042,     0,  1043,     0,   359,
     811,   812,   360,   813,   361,   362,   363,   364,   365,     0,
       0,   366,     0,   814,   368,   815,     0,   369,   370,   371,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,  1044,   816,
    1045,   390,   391,   392,     0,     0,   394,   395,   817,   396,
       0,     0,   398,  1046,   400,   401,   402,     0,   403,   404,
       0,     0,   405,   406,   407,     0,     0,   408,     0,   818,
     410,   819,     0,   412,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,     0,   424,     0,   426,   427,
     428,     0,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1047,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,     0,
     455,   456,   820,   457,   458,   459,     0,   461,   462,   463,
     464,   465,   466,   467,   468,   469,     0,   470,   471,   472,
     473,   474,     0,   475,   476,  1048,   478,   479,   821,   480,
     481,  1049,   483,     0,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     0,     0,   497,   498,
       0,   499,   822,   500,   501,   502,   503,   504,     0,  1050,
    1051,     0,     0,   507,   508,     0,   510,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,     0,   524,   525,   526,   527,   528,
       0,  1052,     0,   531,   823,   532,   533,   534,   535,     0,
       0,   536,     0,     0,   537,   538,   539,   540,   541,   542,
    1030,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,   555,   556,     0,   224,   225,   226,   227,   228,
     229,   230,   231,     0,   233,   234,   235,     0,     0,     0,
       0,     0,     0,     0,   236,   237,     0,   238,   239,   240,
     801,   241,   242,   243,     0,  1031,   802,  1032,  1033,     0,
     248,   249,   250,   251,   252,     0,     0,   253,   254,  1034,
    1035,   257,     0,   258,   259,   260,   261,     0,     0,   803,
       0,   263,   264,   265,   266,   267,   804,   268,   269,   270,
       0,   271,   272,   273,   274,   275,   276,     0,   805,   277,
     278,   279,     0,     0,     0,   806,     0,     0,     0,   280,
     281,   282,   283,   284,   285,  1036,  1037,   288,     0,   289,
       0,   290,   291,   292,   293,   294,   295,     0,   296,   297,
     298,   299,     0,     0,   300,   301,  1038,   303,   304,     0,
     305,   306,   307,     0,   308,   309,   310,     0,   311,   312,
     313,   314,     0,   316,   317,   318,     0,     0,   320,     0,
     321,   322,  1039,   324,     0,   325,     0,   326,   807,     0,
     808,   327,   328,   329,   330,     0,   331,     0,     0,     0,
     334,     0,   335,   336,   337,   338,   339,   809,   340,   341,
     342,   343,     0,   344,   345,   346,   347,   348,   349,     0,
     350,   810,     0,   352,   353,   354,   355,  1041,  1042,     0,
    1043,     0,   359,   811,   812,   360,   813,   361,   362,   363,
     364,   365,     0,     0,   366,     0,   814,   368,   815,     0,
     369,   370,   371,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,  1044,   816,  1045,   390,   391,   392,     0,     0,   394,
     395,   817,   396,     0,     0,   398,  1046,   400,   401,   402,
       0,   403,   404,     0,     0,   405,   406,   407,     0,     0,
     408,     0,   818,   410,   819,     0,   412,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,     0,   424,
       0,   426,   427,   428,     0,   429,   430,   431,   432,   433,
     434,   435,   436,   437,  1047,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,     0,   455,   456,   820,   457,   458,   459,     0,
     461,   462,   463,   464,   465,   466,   467,   468,   469,     0,
     470,   471,   472,   473,   474,     0,   475,   476,  1048,   478,
     479,   821,   480,   481,  1049,   483,     0,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,     0,
       0,   497,   498,     0,   499,   822,   500,   501,   502,   503,
     504,     0,  1050,  1051,     0,     0,   507,   508,     0,   510,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,     0,   524,   525,
     526,   527,   528,     0,  1052,     0,   531,   823,   532,   533,
     534,   535,     0,     0,   536,     0,     0,   537,   538,   539,
     540,   541,   542,  1030,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   554,   555,   556,     0,   224,   225,
     226,   227,   228,   229,   230,   231,     0,   233,   234,   235,
       0,     0,     0,     0,     0,     0,     0,   236,   237,     0,
     238,   239,   240,   801,   241,   242,   243,     0,  1031,   802,
    1032,  1033,     0,   248,   249,   250,   251,   252,     0,     0,
     253,   254,  1034,  1035,   257,     0,   258,   259,   260,   261,
       0,     0,   803,     0,   263,   264,   265,   266,   267,   804,
     268,   269,   270,     0,   271,   272,   273,   274,   275,   276,
       0,   805,   277,   278,   279,     0,     0,     0,   806,     0,
       0,     0,   280,   281,   282,   283,   284,   285,  1036,  1037,
     288,     0,   289,     0,   290,   291,   292,   293,   294,   295,
       0,   296,   297,   298,   299,     0,     0,   300,   301,  1038,
     303,   304,     0,   305,   306,   307,     0,   308,   309,   310,
       0,   311,   312,   313,   314,     0,   316,   317,   318,     0,
       0,   320,     0,   321,   322,  1039,   324,     0,   325,     0,
     326,   807,     0,   808,   327,   328,   329,   330,     0,   331,
       0,     0,     0,   334,     0,   335,   336,   337,   338,   339,
     809,   340,   341,   342,   343,     0,   344,   345,   346,   347,
     348,   349,     0,   350,   810,     0,   352,   353,   354,   355,
    1041,  1042,     0,  1043,     0,   359,   811,   812,   360,   813,
     361,   362,   363,   364,   365,     0,     0,   366,     0,   814,
     368,   815,     0,   369,   370,   371,     0,     0,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,  1044,   816,  1045,   390,   391,   392,
       0,     0,   394,   395,   817,   396,     0,     0,   398,  1046,
     400,   401,   402,     0,   403,   404,     0,     0,   405,   406,
     407,     0,     0,   408,     0,   818,   410,   819,     0,   412,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,     0,   424,     0,   426,   427,   428,     0,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1047,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,     0,   455,   456,   820,   457,
     458,   459,     0,   461,   462,   463,   464,   465,   466,   467,
     468,   469,     0,   470,   471,   472,   473,   474,     0,   475,
     476,  2088,   478,   479,   821,   480,   481,  1049,   483,     0,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     0,     0,   497,   498,     0,   499,   822,   500,
     501,   502,   503,   504,     0,  1050,  1051,     0,     0,   507,
     508,     0,   510,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
       0,   524,   525,   526,   527,   528,     0,  1052,     0,   531,
     823,   532,   533,   534,   535,     0,     0,   536,     0,     0,
     537,   538,   539,   540,   541,   542,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   554,   555,   556,
       0,   224,   225,   226,   227,   228,   229,   230,   231,     0,
     233,   234,   235,     0,     0,     0,     0,     0,     0,     0,
     236,   237,     0,   238,   239,   240,   801,   241,   242,   243,
       0,  1031,   802,  1032,  1033,     0,   248,   249,   250,   251,
     252,     0,     0,   253,   254,  1034,  1035,   257,     0,   258,
     259,   260,   261,     0,     0,   803,     0,   263,   264,   265,
     266,   267,   804,   268,   269,   270,     0,   271,   272,   273,
     274,   275,   276,     0,   805,   277,   278,   279,     0,     0,
       0,   806,     0,     0,     0,   280,   281,   282,   283,   284,
     285,  1036,  1037,   288,     0,   289,     0,   290,   291,   292,
     293,   294,   295,     0,   296,   297,   298,   299,     0,     0,
     300,   301,  1038,   303,   304,     0,   305,   306,   307,     0,
     308,   309,   310,     0,   311,   312,   313,   314,     0,   316,
     317,   318,     0,     0,   320,     0,   321,   322,  1039,   324,
       0,   325,     0,   326,   807,     0,   808,   327,   328,   329,
     330,     0,   331,     0,     0,     0,   334,     0,   335,   336,
     337,   338,   339,   809,   340,   341,   342,   343,     0,   344,
     345,   346,   347,   348,   349,     0,   350,   810,     0,   352,
     353,   354,   355,  1041,  1042,     0,  1043,     0,   359,   811,
     812,   360,   813,   361,   362,   363,   364,   365,     0,     0,
     366,     0,   814,   368,   815,     0,   369,   370,   371,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,  1044,   816,  1045,
     390,   391,   392,     0,     0,   394,   395,   817,   396,     0,
       0,   398,  1046,   400,   401,   402,     0,   403,   404,     0,
       0,   405,   406,   407,     0,     0,   408,     0,   818,   410,
     819,     0,   412,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,     0,   424,     0,   426,   427,   428,
       0,   429,   430,   431,   432,   433,   434,   435,   436,   437,
    1047,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,     0,   455,
     456,   820,   457,   458,   459,     0,   461,   462,   463,   464,
     465,   466,   467,   468,   469,     0,   470,   471,   472,   473,
     474,     0,   475,   476,     0,   478,   479,   821,   480,   481,
    1049,   483,     0,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     0,     0,   497,   498,     0,
     499,   822,   500,   501,   502,   503,   504,     0,  1050,  1051,
       0,     0,   507,   508,     0,   510,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,     0,   524,   525,   526,   527,   528,     0,
    1052,     0,   531,   823,   532,   533,   534,   535,     0,     0,
     536,     0,     0,   537,   538,   539,   540,   541,   542,  1030,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     554,   555,   556,     0,   224,   225,   226,   227,   228,   229,
     230,   231,     0,   233,   234,   235,     0,     0,     0,     0,
       0,     0,     0,   236,   237,     0,   238,   239,   240,   801,
     241,   242,   243,     0,     0,   802,     0,     0,     0,   248,
     249,   250,   251,   252,     0,     0,   253,   254,     0,     0,
     257,     0,   258,   259,   260,   261,     0,     0,   803,     0,
     263,   264,   265,   266,   267,   804,   268,   269,   270,     0,
     271,   272,   273,   274,   275,   276,     0,   805,   277,   278,
     279,     0,     0,     0,   806,     0,     0,     0,   280,   281,
     282,   283,   284,   285,     0,     0,   288,     0,   289,     0,
     290,   291,   292,   293,   294,   295,     0,   296,   297,   298,
     299,     0,     0,   300,   301,   302,   303,   304,     0,   305,
     306,   307,     0,   308,   309,   310,     0,   311,   312,   313,
     314,     0,   316,   317,   318,     0,     0,   320,     0,   321,
     322,     0,   324,     0,   325,     0,   326,   807,     0,   808,
     327,   328,   329,   330,     0,   331,     0,     0,     0,   334,
       0,   335,   336,   337,   338,   339,   809,   340,   341,   342,
     343,     0,   344,   345,   346,   347,   348,   349,     0,   350,
     810,     0,   352,   353,   354,   355,     0,     0,     0,     0,
       0,   359,   811,   812,   360,   813,   361,   362,   363,   364,
     365,     0,     0,   366,     0,   814,   368,   815,     0,   369,
     370,   371,     0,     0,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
       0,   816,     0,   390,   391,   392,     0,     0,   394,   395,
     817,   396,     0,     0,   398,     0,   400,   401,   402,     0,
     403,   404,     0,     0,   405,   406,   407,     0,     0,   408,
       0,   818,   410,   819,     0,   412,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,     0,   424,     0,
     426,   427,   428,     0,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,     0,   455,   456,   820,   457,   458,   459,     0,   461,
     462,   463,   464,   465,   466,   467,   468,   469,     0,   470,
     471,   472,   473,   474,     0,   475,   476,     0,   478,   479,
     821,   480,   481,     0,   483,     0,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     0,     0,
     497,   498,     0,   499,   822,   500,   501,   502,   503,   504,
       0,     0,     0,     0,     0,   507,   508,     0,   510,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,     0,   524,   525,   526,
     527,   528,     0,     0,     0,   531,   823,   532,   533,   534,
     535,     0,     0,   536,     0,     0,   537,   538,   539,   540,
     541,   542,  4801,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   554,   555,   556,     0,   224,   225,   226,
     227,   228,   229,   230,   231,     0,   233,   234,   235,     0,
       0,     0,     0,     0,     0,     0,   236,   237,     0,   238,
     239,   240,     0,   241,   242,   243,     0,     0,     0,     0,
       0,     0,   248,   249,   250,   251,   252,     0,     0,   253,
     254,     0,     0,   257,     0,   258,   259,   260,   261,     0,
       0,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,   273,   274,   275,   276,     0,
       0,   277,   278,   279,     0,     0,     0,     0,     0,     0,
       0,   280,   281,   282,   283,   284,   285,     0,     0,   288,
       0,   289,     0,   290,   291,   292,   293,   294,   295,     0,
     296,   297,   298,   299,     0,     0,   300,   301,   302,   303,
     304,     0,   305,   306,   307,     0,   308,   309,   310,     0,
     311,   312,   313,   314,     0,   316,   317,   318,     0,     0,
     320,     0,   321,   322,     0,   324,     0,   325,     0,   326,
       0,     0,     0,   327,   328,   329,   330,     0,   331,     0,
       0,     0,   334,     0,   335,   336,   337,   338,   339,     0,
     340,   341,   342,   343,     0,   344,   345,   346,   347,   348,
     349,     0,   350,     0,     0,   352,   353,   354,   355,     0,
       0,     0,     0,     0,   359,     0,     0,   360,     0,   361,
     362,   363,   364,   365,     0,     0,   366,     0,     0,   368,
       0,     0,   369,   370,   371,     0,     0,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,     0,     0,     0,   390,   391,   392,     0,
       0,   394,   395,     0,   396,     0,     0,   398,     0,   400,
     401,   402,     0,   403,   404,     0,     0,   405,   406,   407,
       0,     0,   408,     0,     0,   410,     0,     0,   412,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
       0,   424,     0,   426,   427,   428,     0,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,     0,   455,   456,     0,   457,   458,
     459,     0,   461,   462,   463,   464,   465,   466,   467,   468,
     469,     0,   470,   471,   472,   473,   474,     0,   475,   476,
       0,   478,   479,     0,   480,   481,     0,   483,     0,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     0,     0,   497,   498,     0,   499,     0,   500,   501,
     502,   503,   504,     0,     0,     0,     0,     0,   507,   508,
       0,   510,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,     0,
     524,   525,   526,   527,   528,     0,     0,     0,   531,     0,
     532,   533,   534,   535,     0,     0,   536,     0,     0,   537,
     538,   539,   540,   541,   542,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   554,   555,   556
};

static const yytype_int16 yycheck[] =
{
      16,   618,     0,     7,     0,     0,     0,    50,   585,    25,
      14,   775,   888,   658,   202,   202,  1116,   696,   697,   698,
      35,  1138,    20,   702,   746,   794,   197,   180,   744,  1388,
     889,   904,   831,  1078,  1501,  1908,     0,   768,    44,  1048,
      21,  1432,  2400,  1311,   913,  1562,    27,   664,  2588,   994,
    2304,  1425,    12,  1036,  1037,  2754,   769,  1051,    21,  2092,
    2093,  1169,   198,  1046,    27,   188,  1437,   206,  2924,   618,
     206,    20,  1448,  1432,  2413,  3171,   753,  2794,  3215,  1309,
     219,    17,  1642,   219,     0,  2252,  3136,   576,    43,  2949,
      22,  2951,  1823,  1361,  2897,   968,   641,  3466,  3190,   972,
     888,  3509,  2564,    35,   977,  2358,  3202,  2360,   896,   654,
     857,  2364,   843,  2325,   987,  2746,  3117,  3125,   906,  2803,
    2373,  2374,  2375,  3505,  3125,  3561,   663,  4039,  1001,  2744,
    2745,   167,   749,  3401,   653,  3802,  1366,   182,  1655,   628,
    3736,  3793,  1806,  1911,  1867,  3780,    34,   182,  2776,  4428,
    4267,  3436,  4372,    41,  1525,  1531,  1532,  2677,     0,  1427,
       0,     0,     0,     0,  4270,     0,     0,     0,     0,     0,
       0,     0,  4221,  1366,   983,  1417,  2813,    49,  4447,  3188,
    1740,    40,  4570,  3779,   841,  1025,   917,  1034,  1035,  3485,
     999,  4582,   791,  4388,  3509,  4390,  3790,   791,  1045,     9,
     749,     5,  3364,     0,  3430,    49,     5,     5,     0,     0,
    3435,     0,  3437,  1053,  4779,  1198,  1199,  4486,    35,  2092,
    4269,  4492,  4493,     5,  2742,     5,    26,   111,     5,   163,
      56,    13,    14,  1073,  1228,  1218,  2403,  4719,     3,     4,
       5,    42,     5,  1083,     9,    73,     5,    56,    22,  1089,
      56,     5,   113,    11,    78,  1095,     5,   157,    42,   214,
       3,  1101,  4685,  4686,  1104,   162,    73,    22,  1067,  1341,
       5,    56,    39,     5,     5,     5,  2794,     3,    13,    14,
      26,   960,    13,    14,   162,   162,   162,  2807,   106,   132,
       5,     5,    29,   118,    56,   116,    56,   162,   185,     0,
     173,   204,    73,    11,    30,    31,  3856,  3857,     9,  3859,
    3860,  3861,    83,   111,     5,  1380,   116,    26,   113,   173,
     173,     9,  2899,     4,    33,    26,     5,     5,     9,    39,
     111,   272,    40,    83,     5,     0,   104,    24,   116,    82,
    1187,  1188,   169,  2510,  1108,  2512,   111,   208,     0,   119,
     249,    69,   130,   162,   156,   171,   130,     9,    45,   177,
       9,   299,   332,    71,   162,   162,   152,  1214,  1598,  1116,
     162,   162,    56,   162,    26,   130,   249,   198,   350,    56,
      38,  5121,     4,    11,    56,   164,  1331,     9,   185,    26,
     251,   134,   310,   185,   185,   249,   185,   585,   198,   104,
     157,    26,  1713,   349,   332,   318,    11,   375,   332,   154,
     334,   389,    40,  4978,   334,   334,   270,    85,  4806,   237,
     142,   429,   240,   162,   158,    90,   332,  1296,  4076,    71,
      73,   420,  4701,    21,  4082,   161,   222,   163,   203,    27,
      83,   409,  1844,    71,   583,   306,   185,   583,    11,   637,
     589,     0,  4647,   589,   432,  4572,   190,    73,   364,   127,
     225,   162,   470,   602,   186,  4571,   602,    83,   392,   214,
     251,    20,   392,   392,   387,   140,  1787,   263,  1487,    26,
     408,   249,  1099,  1247,   185,   228,    33,   152,   125,   268,
     292,    11,   157,   162,   466,    26,   466,   162,   324,  1116,
     125,    50,    33,   168,   422,    56,   171,   281,   162,   174,
     162,   144,   199,   329,  5254,   414,   294,  1248,   324,   116,
      40,    86,   340,    73,   470,   183,   467,   336,   466,   470,
       4,     5,   466,   185,    73,     9,  1601,   202,   281,   324,
    1085,   414,   342,   104,   318,  1276,   264,  1294,   318,   565,
    1099,    71,  1299,  1300,  1822,   336,  1173,   222,  3135,   387,
     414,   414,   324,   320,   324,   256,   466,   470,   104,   466,
     568,   455,   568,   568,   568,   349,   400,   256,   256,  5061,
     387,  1118,   425,   470,   321,   410,   387,   408,  3596,   387,
     466,  1355,   470,   470,   349,  3596,  1864,  4985,   263,  1144,
    4879,   266,   618,   619,   568,   470,   373,   272,   408,   470,
    1155,  5176,   421,  5036,   415,  1403,   387,   412,   188,  3620,
     419,   664,   466,  1496,  1173,  1170,  1499,   197,   564,   447,
     376,   415,   668,   182,   366,   367,   379,   387,   381,   413,
     324,   794,  1910,   470,   470,  1875,  4917,   324,  1507,   466,
     359,  3747,   324,   408,   431,   465,  3512,   455,  1405,  3927,
     325,  1778,   466,   373,   470,   663,  1475,   466,  1415,  3954,
     468,   376,   469,  1461,  1291,   452,   150,   469,   469,  2846,
     469,  1326,  1299,  1300,   466,   470,   466,   691,  4805,   466,
    4796,  1560,   457,   458,   420,   711,   677,  3789,   679,  1744,
     681,   464,   662,   466,   462,   468,   687,   466,  1517,  3871,
     470,   376,   466,  5101,   677,   664,   679,   466,   681,  3769,
      80,   737,  5113,  4019,   687,   688,   689,  1710,  3953,   745,
    3955,   466,   748,   749,   750,   466,   466,   402,   783,  3965,
    1785,  1488,  1291,  3969,  1491,  1492,   934,   934,   783,  1794,
    1349,   466,   466,   708,   462,  1349,   457,   458,   323,   930,
     431,   426,   122,   428,   429,  4315,  4678,  1424,   469,   457,
     458,   387,  1844,   324,   162,  5044,   457,   458,   466,  3033,
    1852,   452,   256,  2816,  1593,  2818,   470,   785,  5057,   785,
     785,   785,   425,   470,  5182,   466,   919,  2742,   470,   464,
    2171,   470,   467,   468,   469,   457,   458,   429,   457,   458,
    2201,   408,   359,   137,   769,   376,   470,   469,  5013,    29,
    3451,   785,   464,  3162,   773,  3834,   468,  1574,   359,  4265,
     452,   459,   460,   461,   462,   457,   458,   387,  1685,  1686,
     376,   162,    65,   798,    56,  4516,  3099,   104,   387,  2794,
    3706,  5239,   457,   458,   459,   460,   461,   462,     8,   164,
    3497,    11,  4979,   267,   336,    15,    16,    17,    27,   785,
     111,  2744,  2745,  2746,  2104,  4981,     3,  2248,     5,  1719,
     104,    90,    32,  5152,   237,   840,   163,  1727,   747,   303,
    3693,  1468,   751,     5,   857,   296,   459,   460,   461,   462,
       5,   110,   252,  1743,   776,   470,   280,  5186,  5187,  3427,
    4959,  2104,  3430,   349,  1678,   105,    32,   833,   141,   470,
     394,   349,   255,   283,   116,    22,    20,     8,   154,   162,
      11,  4980,   140,  3100,  3101,   144,   159,   457,   458,   459,
     460,   461,   462,   785,   329,   785,   785,   785,   785,  2191,
     785,   785,   785,   785,   785,   785,   785,   280,    80,    40,
     143,  3215,   272,  3483,   115,  4561,    47,   104,    26,     8,
      80,   380,  1651,   382,    34,   349,    15,    16,    17,   106,
     116,   305,     3,   457,   458,  2452,  5103,   340,   389,  5209,
      71,  3509,  3620,    49,   466,  5274,  5102,   264,   188,   387,
     122,   571,  2232,   249,   892,   893,   198,   284,   164,   429,
     143,  3814,   122,   266,   222,   266,  4424,  2117,    80,   568,
     159,   381,   248,   356,   409,   272,   349,  2257,   144,   334,
     434,   432,   452,   130,   470,  2758,  2804,   249,   279,   195,
     199,  3758,   470,     4,     5,    26,   102,    22,     9,   143,
     177,   111,   466,   623,   205,  4370,   206,  1821,   408,  1823,
     122,  4329,   198,   633,  5181,  1829,   387,   455,     3,  1791,
    1792,  1835,  1836,  1837,   297,  4746,  2306,  1013,   355,  2088,
     468,  1845,  1846,  1099,  3117,   390,  1850,   105,  4373,   346,
     111,   396,  3125,  2467,    47,    76,  4411,  4431,    65,   180,
    1116,   342,  1747,    84,   185,   314,   152,   212,  2772,  4424,
     237,   321,   324,   240,   663,   664,    83,  1121,   268,  1123,
    1118,  1125,   332,  1127,   334,  1129,  1130,  1131,  4763,    22,
    1861,   112,  1136,   342,  1150,   376,    80,   349,  1755,  1784,
     221,   197,   466,  1788,   256,  1790,   336,    82,  1793,  4286,
    4817,  4377,   376,  1116,   387,   130,  4382,  1173,  4254,  4385,
     470,   283,  4814,  4798,  2394,  1684,  4762,   376,  4260,   352,
     188,  1716,   111,   283,   141,   416,   222,  4033,   122,  3212,
     403,   261,   392,  1728,  1673,   375,   376,   268,   429,   150,
    4524,  2031,   159,   249,  1739,  5107,  5108,   178,   261,   466,
     135,  4797,   448,   395,  1247,   285,   342,   416,   189,   185,
    4804,   452,   272,   340,  4074,   466,   408,  1754,  1737,   352,
     429,   283,   285,   470,   163,   466,   111,   180,     5,   268,
     251,   289,   185,  1249,   783,   256,   785,   130,   332,   376,
    3758,    36,  1258,   452,   376,  2647,  2648,   679,   680,   681,
    2652,   123,   684,   685,   686,   190,  1272,   466,   352,   381,
     115,   133,   694,   280,    22,  1842,   165,  4582,   221,    65,
      28,   381,   408,   354,   235,  1291,   466,   238,  1294,  1295,
    1468,   376,   338,  1299,  1300,  1321,   344,  2689,  2690,  1334,
    1335,   285,  1337,    11,  4676,   256,  2271,   140,   164,  1334,
    1335,   114,  1337,   453,   454,   455,   281,   457,   458,   459,
     460,   461,   462,   252,   261,   111,    83,   280,   336,   381,
     447,   125,   380,   127,   382,   120,   281,   261,   266,  5241,
     297,  1294,   349,  4017,   466,    90,  1299,  1300,   285,   283,
      22,  4609,   318,   318,   111,  4679,   322,   113,  2070,   919,
     205,   285,   287,    71,  4688,   234,  3987,   375,   376,   202,
     930,   285,  3993,   318,  4800,  2340,   318,  3982,   181,   450,
     166,   256,   130,   349,   349,   387,   457,   458,   459,   460,
     461,   462,   211,   165,   365,    57,   466,   368,   281,  3851,
     389,   281,  4986,    65,   349,   455,  1351,   349,   231,   281,
    2276,   354,   268,   466,   464,    35,   466,   467,   468,   281,
     470,  1547,  2200,   168,   453,   454,   455,  4643,   457,   458,
     459,   460,   461,   462,    54,   318,    83,  3680,   318,   272,
     210,  3684,  3685,   394,  3687,  4703,   403,   381,  2668,  1009,
    4708,  4709,  1405,    22,  2674,   344,   318,  3965,   130,    28,
     281,  3969,  1415,   429,  4462,   251,   349,   261,   470,   349,
     256,  4462,  2507,   106,  1400,  4873,   401,   349,  4560,   249,
    3724,   410,   466,   103,   409,   177,   452,   412,   377,   125,
     111,   127,  3427,   314,   251,  3430,  1622,   318,  2276,  1505,
     256,   296,  1455,  1456,  1630,  1511,   457,   458,  4548,   162,
    2117,   297,   368,   336,   150,  3759,  1642,   466,   144,   387,
     167,   466,  2321,  4882,  4883,  5109,   312,   113,   349,   466,
    5114,  2309,   185,   281,   429,  1488,   464,  4842,  1491,  1492,
     468,   188,   466,  2280,   177,   237,  1724,  1725,  1725,     0,
    2914,  2288,   466,  1714,  2291,  1668,   379,   178,  2261,  2262,
    3017,   130,  2265,   225,  2342,   337,  3768,   187,  4873,   402,
     318,  1477,   344,  3596,  3509,   470,  1482,  1522,   225,  1118,
     113,   157,   352,   406,   152,  2647,  2648,   469,  3451,   157,
    2652,  1717,   168,   103,   389,  3316,  5180,  3620,   270,   140,
     167,   349,   470,   173,   237,   377,   429,   240,   431,   185,
    2409,   152,   322,   410,  1740,   235,   157,   403,   238,  1625,
     256,  1574,   208,  1629,   271,   261,   398,  2689,  2690,   249,
     251,  2110,   322,  2432,  2433,  2434,  2435,   432,   408,   349,
    1546,   270,  1181,   466,  1550,  2444,  2476,   272,   340,   310,
     322,   323,   281,  2483,   222,   125,  5240,   127,   225,   349,
     280,   202,  1201,  2198,  1842,   251,   470,   234,  3825,   466,
    3827,   114,  4518,  2503,  2428,   208,  3037,   349,  4983,   249,
     150,   222,   343,  2513,  3336,   114,   410,  2517,  5272,   318,
    2520,  5275,  4778,  1232,   387,   263,  2526,  1119,  2528,   167,
    1122,  2531,  1124,   323,  1126,  2408,  1128,   340,  1247,  3259,
    1132,   281,   281,  3365,   339,   376,   342,    11,   251,   247,
     306,   320,   263,   343,   318,   235,  2480,   113,   238,  1682,
    4812,   272,   113,   380,    22,   382,  4776,   265,   181,  1692,
      28,  1694,   466,   363,  2851,   392,    40,  1700,   318,   318,
     376,   327,   181,  4793,  1707,   349,   403,   225,   394,   406,
    2590,   422,   455,   125,    43,   127,  1754,   299,   404,     3,
    1764,   157,  1766,   306,  1768,   468,  1770,    71,  1772,  4309,
     349,   251,  1776,   332,   429,    64,   256,  5146,  2267,  4829,
     416,   261,   421,  2462,   426,  1334,  1335,   167,  1337,   281,
    4044,   410,  4595,   429,   163,   251,   192,   452,  5113,  1814,
     256,   192,   281,   380,   447,   382,  1755,   281,  1806,  2556,
    1806,  1806,  1806,  3758,   455,   358,   452,   376,  1834,  3195,
     429,  2766,  3198,   466,   392,   194,   318,   468,   470,   406,
     466,   260,   130,  4689,   414,  4695,   429,   467,    82,   318,
     209,  2824,  1806,   452,   318,   225,  1801,   466,   304,    29,
     219,   402,  4370,   249,  2471,   251,  4993,   349,   249,  4377,
     251,   470,  4220,  1854,  4382,   342,  1857,  4385,  1831,  1832,
    5185,   252,   253,    53,   422,  1838,  1839,   470,  4418,   251,
    4420,  1813,   339,   157,  1820,  2649,  4459,  4054,  4055,   261,
     134,   431,  4591,  4411,  3124,   429,  4992,  2661,   140,   376,
    4239,  4259,   380,  1866,   382,   179,  4424,  2524,  2553,  1925,
     152,  4961,   452,   464,   394,   157,   467,   468,   452,   306,
     152,   212,  2471,   210,   404,   157,   466,  4500,   406,  2693,
     310,  4184,   319,  4186,  4187,   310,   470,  4190,   103,   416,
    3170,  3343,  3344,  3345,  3346,  2081,   305,  3349,  3350,  3351,
    3352,  3353,  3354,  3355,  3356,  3357,  3358,  4211,   345,   328,
     202,   342,   249,  2099,  1620,  1477,    82,  2731,   343,  2105,
    1482,  2159,  2159,  2109,   333,  2524,   431,   431,   466,    91,
     222,   281,  2751,   157,   228,    24,  2157,   323,  1644,   466,
     222,   332,   333,   158,   157,   376,  3513,   452,   452,  2135,
     380,   376,   382,  3405,  3406,   179,    45,   123,   231,   281,
     236,   466,  2759,   349,  2854,  2814,   179,   133,   318,   306,
    3965,   263,   322,  4826,  3969,   190,   406,  2150,     4,  4885,
     272,   263,  4286,     9,  1546,   416,   467,   281,  1550,   470,
     884,  2900,   422,  2179,    65,  5095,   318,   422,   429,   349,
      71,   163,    30,    31,   281,   332,   333,   901,  2197,  3176,
     904,  2197,    83,   392,  4582,   352,  2925,  4784,  2049,  3186,
     235,   452,   320,   238,   318,     4,   266,   349,   322,  2756,
       9,   271,   194,    91,  2033,   466,  2049,    62,    63,    73,
     111,   318,   113,  2229,  2934,  1665,  2936,   209,  1668,    83,
    3567,  2117,   392,   465,  2119,   349,  2121,   219,   470,  3982,
       5,  2075,    90,  2901,  3987,    10,   380,  3385,   382,  2255,
    3993,   408,   349,    18,  5174,  4643,   464,  2263,  2705,   339,
     468,  2270,   110,   245,  2270,   379,  2117,   381,  2274,    13,
      14,    36,  2759,  1713,  1714,   166,   461,   467,  3378,  5245,
     470,   466,   461,   468,  2117,   163,   379,   466,  2294,   468,
     402,   467,   234,  2299,   470,   281,   144,  2303,  3559,  4423,
    2186,   192,   465,  4872,  3545,   467,  4430,   470,   470,   464,
    2316,   466,  5038,   406,  5234,   429,   194,  2975,   234,  3565,
    3298,  3567,   266,  2329,    87,   188,  2841,   271,   314,   179,
    2339,   209,   318,  2339,   467,  1754,   429,   470,   431,   467,
    3770,   219,   470,   236,    79,  2170,   328,  1787,   464,   466,
     466,   468,   468,  3168,  3492,  3065,  2496,  2497,  2498,  3600,
     251,  3071,   429,   349,   431,   256,   392,   245,     8,  3233,
    3234,    11,   466,   466,   468,    15,    16,    17,    53,   422,
    4503,  2868,  2660,   140,  2662,  2663,  3129,  1806,   266,   339,
     212,   467,    32,   342,   470,   152,  4784,   380,   466,   382,
     157,  3343,  3344,  3345,  3346,  3792,   297,  3349,  3350,  3351,
    3352,  3353,  3354,  3355,  3356,  3357,  3358,     9,   429,   467,
     431,   312,   470,  2838,  2839,   467,   467,   376,   470,   470,
     467,   336,   466,   470,  3376,   467,  2261,  2262,   470,   467,
    2265,   266,   470,  3122,  3716,   202,  2332,  2280,   467,  2868,
     328,   470,   470,   467,  4842,  2288,   470,   467,  2291,   467,
     470,  1880,   470,  3405,  3406,   222,   314,   416,     8,  2355,
     467,    11,  2358,   470,  2360,    15,    16,    17,  2364,   467,
     429,   466,   470,   467,    53,  4873,   470,  2373,  2374,  2375,
     279,   422,   420,   467,   342,  3595,   470,  3597,   467,  5225,
    3117,   470,  4539,   452,   467,   231,   263,   470,  3125,    43,
      55,   467,   403,   467,   470,   272,   470,   466,   380,  3619,
     382,   208,   467,  3510,  3511,   470,   467,     0,   376,   470,
     467,   449,   410,   470,   231,   467,  3636,   467,   470,  3249,
     470,  3251,  4285,  3253,    89,  2431,   467,   269,  3777,   470,
    3260,  3795,   231,   342,   468,  4370,  2562,  2598,   269,  4462,
     467,   467,  4377,   470,   470,   266,   206,  4382,   416,   429,
    4385,   431,   420,   467,  2580,  5144,   470,  2463,  2993,   387,
     157,   429,  2588,  2408,  2414,  2471,   266,   376,   467,  3299,
     467,   470,   469,  3008,   467,  4983,  4411,   470,   467,  2592,
     467,   470,   469,   148,   452,  4734,  3155,  4736,   449,  4424,
     336,  4740,   140,  4742,   269,    43,   467,    90,   466,   470,
    2454,  5190,   449,   467,   152,  5035,   470,   416,   268,   157,
     467,   467,   467,   470,   470,   470,   459,   182,  2524,   336,
     429,  3494,   208,   161,  3131,   402,  3133,  2705,   467,   467,
     470,   470,   470,   379,   466,   231,  2075,   336,   467,  4788,
    2493,  2494,   467,   452,   467,   470,  2499,   140,    53,   788,
     467,   790,   217,   470,   202,   467,   162,   466,   470,   152,
     406,  4584,   379,   467,   157,   467,   470,   204,   470,   162,
    3307,   466,   468,   467,   222,   168,   470,   466,   171,  3282,
     379,   174,   433,   429,  3338,   431,   251,   318,   467,   406,
    2150,   470,  3131,  3970,  3133,  3972,  3455,  2157,  2776,   467,
    5289,   466,   470,  2556,  3211,  5113,   466,   406,   268,   202,
     185,  3146,   429,  3148,   431,   263,  2649,   282,  3372,     8,
     466,   145,    11,   466,   272,   145,    15,    16,    17,   222,
     429,  4088,   431,   468,   467,   467,  3271,   470,   470,   467,
     336,   266,   470,   467,     3,   467,   470,  4582,   470,   466,
     185,    40,   467,   467,  3716,   470,   470,   322,    47,   324,
    2693,   326,   467,  3417,    23,   470,   231,   466,   333,   318,
     263,   467,  3211,   266,   470,   467,   341,  5185,   470,   272,
     266,   145,    71,   379,   349,   185,  3445,  3446,  3447,   467,
     145,  4072,   470,   453,   454,   455,   361,   457,   458,   459,
     460,   461,   462,  3566,   369,    35,     8,   266,  4643,    11,
     406,   157,   145,    15,    16,    17,   467,   467,   220,   470,
     470,  3442,   318,    82,    54,  3983,   467,   113,   467,   470,
      32,   470,   325,   429,   467,   431,   410,   470,   266,  2865,
    2736,  2737,  2738,   236,   466,    22,  5094,    24,  3537,  4993,
     392,    28,   260,  2759,   402,  4013,    33,    34,    35,   424,
      37,   422,  3297,    40,    41,  2798,    43,   339,    45,   467,
     466,   336,   470,   103,   467,   467,   135,   470,   470,   467,
     157,   231,   470,   376,  2772,   212,  2772,  2772,  2772,   467,
     466,   180,    35,   453,   454,   455,   185,   457,   458,   459,
     460,   461,   462,    65,  2757,   467,  2759,   251,   470,   402,
     467,    54,     0,   470,   379,    35,   251,   467,  2772,   231,
     470,   433,   467,   466,  3673,   470,   185,  3690,   266,   157,
     251,   190,   221,   426,   467,   428,   429,   470,    43,    43,
     467,   406,    49,   470,   251,   467,   397,  2973,   470,  4784,
     467,   467,   467,   470,   470,   470,   251,   187,   467,  3596,
     103,   470,  2868,    82,   429,   467,   431,   467,   470,   467,
     470,   464,   470,   281,   467,   468,   469,   467,   422,   268,
     470,     8,   422,  3620,    11,    92,   336,    79,    15,    16,
      17,   157,   145,   145,   300,  3957,   466,   145,   419,   466,
     293,   466,    90,   466,   206,   235,   145,  4842,   238,    34,
     117,   188,   189,   190,   191,  2454,   193,   466,  3917,   249,
     197,   433,   199,   166,   336,   202,   231,   134,   287,   379,
     145,   138,   209,  4325,   211,   145,   470,   214,  4873,  3117,
     157,   218,   231,   220,   187,   145,   145,  3125,   145,  2955,
     280,   158,   140,   266,   161,  4818,   406,   376,   145,   145,
    3086,   145,   145,   145,   152,   354,   268,   379,   175,   157,
     329,   145,   466,    35,   162,   220,   157,   157,   266,   429,
     168,   431,   466,   171,     5,     5,   174,   466,   466,   157,
     466,   466,   235,   323,   406,   238,   466,   466,   466,  3829,
    3006,   466,     5,  3833,     5,   466,   249,   466,   466,   466,
     466,     5,   466,   343,   202,   374,   466,   429,   466,   431,
       5,   466,   277,   253,   466,   466,   466,   466,   430,   466,
     466,   336,  2592,   363,   222,   466,   466,   280,  2598,   204,
     466,   466,   401,   466,    35,    94,   470,   336,  4983,   256,
     409,   220,   470,   412,   466,    35,   157,   264,   185,   157,
     263,   450,  3068,   261,   453,   454,   455,   349,   457,   458,
     459,   460,   461,   462,   379,   263,   387,   387,   266,   206,
     323,   387,   336,   421,   272,   336,   387,   468,   387,   387,
     379,   222,   336,  3099,   387,   387,   387,   304,   455,    83,
     343,   406,  3839,   336,   145,  3111,     8,   266,   266,    11,
    2649,  3117,   342,    15,    16,    17,   341,   406,   217,  3125,
     363,   256,  4229,   387,   429,  3131,   431,  3133,   387,   387,
      32,   409,   379,  3259,   266,   261,   266,   325,    40,   332,
     429,   268,   431,   466,   178,    47,   376,   387,   466,  3275,
    3904,   453,   454,   455,  2693,   457,   458,   459,   460,   461,
     462,   466,    83,   387,  3117,   281,   470,   185,   145,    71,
     376,  2710,  3125,  3179,  3300,   410,   410,   466,  5113,   387,
     376,   105,  2742,    53,    53,   387,   416,  2726,   376,   242,
     270,   336,   387,   387,   303,   285,  3149,   387,   387,   429,
    3835,  3836,  3837,  2742,  3210,  3211,  3741,  3742,   387,   387,
     387,   387,   387,   285,   402,   387,  4608,  4566,   379,    42,
    4050,   387,   452,   387,   387,    42,   336,   387,   470,   266,
     387,   387,   206,  2772,  2794,   206,   466,   467,   426,   469,
     428,   429,   433,   206,   206,   206,   206,  3201,   206,   266,
    5185,   266,   266,   387,   397,  2794,   429,   466,    35,  2798,
     145,  4091,  4092,  4325,    24,   145,   266,   111,   251,  3223,
    3413,   410,  4334,   145,   429,   421,   464,  3230,   180,   467,
     468,   469,   145,   185,   145,   266,   563,   228,  4508,   261,
      35,   157,   569,    35,   571,   251,   251,   574,   251,   576,
     212,   578,  4008,   338,   206,   207,    34,   385,   585,   385,
     387,   464,   466,   590,   466,   592,   464,   387,   387,   221,
     387,   145,   599,   145,   466,   410,   453,   454,   455,   145,
     457,   458,   459,   460,   461,   462,   410,  3282,   145,   145,
     260,   387,   255,  4080,   162,   466,   623,  4177,  4178,   242,
     425,   628,   254,   242,  3307,    11,   633,   470,   385,   466,
     637,   466,   387,   171,   153,   162,   268,   389,   470,   271,
     467,   471,   466,   178,   178,   202,   352,   470,  3411,   210,
     657,  3387,   470,   267,   410,    35,   274,    53,   467,   336,
     210,   410,   256,   466,   256,   210,   236,  3430,   387,   387,
     387,   466,   392,   339,   157,   256,   422,   147,   266,   212,
      43,   147,   358,   251,  3540,   332,   264,   387,  3596,   220,
     220,   220,   379,  3419,  3420,  3421,  3422,   266,   470,   266,
     179,   708,   318,  4000,    35,   346,   387,   387,   306,   206,
     212,   410,  3620,   410,   721,   302,   723,   188,   455,   455,
     264,   145,   354,  4845,   157,    35,   422,   159,   377,   261,
     303,   466,  4292,   261,  4294,  4295,   743,   744,   346,   746,
     747,   145,   145,     8,   751,   145,    11,   261,  4308,    35,
      15,    16,    17,   251,   466,   429,   251,   266,   765,   212,
    4244,   266,   769,   176,   176,   157,    35,    32,   775,   467,
     464,   449,   467,   240,   449,   340,   212,   266,   467,   786,
     346,   157,   251,   467,   185,   467,   185,   185,   433,  4154,
    4155,   798,  4157,    23,   169,  3651,   162,   470,  3654,   466,
     470,   470,   387,   429,  4069,   239,   266,   470,    53,   392,
     260,   422,   376,  4212,   467,   212,  4608,   162,   450,   467,
     466,   453,   454,   455,   286,   457,   458,   459,   460,   461,
     462,   467,   467,   840,     3,   277,   467,   467,   470,     8,
     467,  4633,    11,   467,   449,   470,    15,    16,    17,   162,
     467,   858,   408,   276,   467,   467,   863,   864,   467,   466,
    3596,   387,   466,    32,   426,   466,    35,   451,   230,   466,
      53,    40,   266,   416,   269,   426,   466,   266,    47,   455,
    4145,   266,   188,   145,  3620,   892,   893,   466,   387,   466,
    5077,  3627,   433,   387,  3630,  3751,  3632,   196,   256,   387,
     387,   251,    71,  4392,   145,   270,   341,   145,   145,   220,
    4399,  4731,   919,  3596,  3770,   341,   341,   188,   147,  4512,
     222,   470,   387,   930,   410,  3626,   287,   934,   287,   407,
     455,   387,  3201,   387,   157,   387,  3672,  3620,   387,   232,
     232,   206,   232,  3626,  3680,   952,   387,   387,  3684,  3685,
     387,  3687,   336,   336,  3223,   336,  3692,  4722,   387,  4724,
     387,   266,   336,   251,   145,   387,   387,   974,   387,   387,
     349,    42,  4237,  4923,   981,   982,   387,   173,   206,   206,
     206,   206,     3,   467,     3,   467,  3842,   397,    43,   470,
     157,   320,   104,   467,   470,  4462,  1003,  1004,  1005,   157,
    1007,   264,  1009,   268,   467,   466,   266,    35,   145,   387,
     145,   180,   157,  3696,  3697,   145,   185,   173,   465,   465,
       8,   336,   467,    11,   336,   269,   470,    15,    16,    17,
     346,   206,   336,   410,   143,   143,   206,   206,   207,   410,
     206,   206,   206,   206,  4604,     8,   136,    35,    11,   464,
      11,   162,   221,  4845,   470,  3791,   277,   157,   467,   467,
     467,   467,   467,   162,   421,   272,   426,  5017,   470,   162,
     452,  1078,   465,  1080,  1081,   466,   466,    40,   267,   466,
     171,   415,   470,   325,    47,   254,    81,   157,   397,    35,
    5212,  5213,  4000,   410,   467,  4537,  4933,  4934,   467,   268,
     467,  1108,   271,  3787,   387,  4925,   212,   410,    71,   196,
     466,    53,   379,   145,   466,   166,   397,  4677,   336,  3855,
    3856,  3857,   341,  3859,  3860,  3861,   387,   336,  4425,  4613,
     387,  1138,  1139,   387,   387,   387,  1143,  3427,  1145,  4628,
    3430,   467,  3411,   467,   467,   318,   466,     8,    53,   429,
      11,   157,   416,   147,    71,   379,  3839,   104,  3427,  1166,
     145,  3430,  1169,   397,   206,  1172,   467,  4727,   206,   206,
    4654,   206,   466,   301,   210,   138,  4473,   191,  1185,    40,
     266,   466,   387,   433,   313,   354,    47,    35,   453,   454,
     455,   470,   457,   458,   459,   460,   461,   462,  4463,   467,
     470,   285,    77,   379,   470,   397,   346,   466,  1215,   387,
      71,   466,   470,   168,   104,   206,   467,   180,   206,  3509,
     467,   162,   185,   162,  5016,   465,   311,   466,    53,   427,
     427,   467,  5069,   277,   467,   470,  1243,  1244,  1245,   209,
    1247,   275,   209,   273,   378,   467,   466,    53,   174,   466,
    4106,   467,   466,   261,   467,   467,   467,   429,   221,  3995,
    1267,  3997,  4118,   387,  4731,   455,   397,   162,    71,   190,
     179,  4636,   256,   256,    53,   455,   379,   138,    65,   470,
     268,   450,  4647,   470,   453,   454,   455,  5237,   457,   458,
     459,   460,   461,   462,   145,   387,  4031,   164,  1305,   387,
     206,  1308,   162,     8,   387,   268,    11,   466,    35,   111,
      15,    16,    17,   410,   185,   466,   261,   346,    35,   180,
     251,   410,   159,   157,   185,   261,  4010,  4011,   346,  1336,
      53,   429,    35,  1340,  1341,    40,  5286,   266,  5130,   162,
     466,  5161,    47,   157,  1351,  1352,  1353,   429,  1355,  4945,
     193,  5301,   204,   269,   162,  4839,   466,   311,   415,   466,
     221,  4726,   362,   467,   209,   467,    71,   285,   428,    83,
    1377,   466,  4856,   467,   126,   266,   387,  4861,   312,  4863,
      35,   145,   387,  4084,   157,   466,   466,   118,   467,   466,
     466,   354,   466,   466,  4731,    35,   178,  4080,   466,   256,
     233,  4084,   188,   466,   301,  1412,   467,   268,   466,     8,
    1417,   346,    11,   145,   104,   131,    15,    16,    17,    35,
    5212,  5213,   425,   270,  1431,  1432,  4109,  4110,   467,   333,
     333,  4114,  4115,  1440,   467,   397,  1443,   360,  4174,  4175,
     360,    53,    53,    35,    74,   467,   466,   470,  4184,   466,
    4186,  4187,   467,  4309,  4190,   415,   466,   466,   178,   466,
     379,  1468,   410,  1470,   157,   453,   454,   455,  3758,   457,
     458,   459,   460,   461,   462,   180,  1483,   379,   249,  1486,
     185,   266,     5,   379,   466,  4884,   467,   450,  4853,  3758,
     151,   466,   144,   354,   457,   458,   459,   460,   461,   462,
       8,   206,   207,    11,    65,   433,   269,    15,    16,    17,
     466,    65,   126,   414,  4250,  1522,   221,  4425,  3787,   429,
     311,   429,   415,   466,    35,   349,  1533,  1534,  1535,  1536,
    1537,   162,   470,   466,   426,   379,   131,   309,   256,   190,
     266,   266,   466,    35,  1551,   346,    35,   301,  4284,   254,
     269,   466,    53,   467,  4462,  1562,   269,  1564,   164,   164,
     467,   387,  4418,   268,  4420,  4473,  4473,   332,   466,  1576,
    1577,   470,  4256,   116,     5,   332,   408,   466,   346,  4315,
     467,  4472,   273,   319,  4881,  5145,   466,    21,  4925,   450,
    1597,   470,     8,   466,   470,    11,   457,   458,   459,   460,
     461,   462,    32,   256,   466,   144,   387,   206,    74,  1616,
     162,   360,   301,   360,   429,   164,   429,   466,   164,  2412,
     893,  1300,  2759,  4514,    40,  1632,  1633,  1634,  1635,  2309,
     785,    47,  2925,  2241,  1549,  3595,   892,  5228,  1645,   849,
    5059,  2334,  3569,  3115,  3692,  1652,  4744,  4923,  1655,   354,
    5161,  3739,  4566,  4536,  2845,    71,  2545,  5042,  1665,  4202,
    4424,  1668,  5150,  4953,  4952,  5079,  1673,  5185,  3788,   268,
    2849,  1678,  3772,  4890,  3730,  3965,  2397,  2397,  2950,  3969,
    4404,  3590,  3166,   889,  3755,  4543,  2391,  3178,  4552,  5163,
    5301,  5286,  4529,  3124,  3119,  4475,  3965,  5092,   206,  4238,
    3969,  4706,  4899,  4478,    27,  3842,  1713,  1714,  4675,  3795,
    1611,  2093,  1665,  1156,  1145,  2823,   962,  1724,  1725,  4818,
    1724,   651,   138,  1809,  1809,   619,  4462,  1810,  3069,  3619,
    3636,  3170,  5118,  5277,  2033,  1755,  2034,  1744,  1745,   764,
    1384,  4010,  4011,  3775,  1751,   450,  1753,  4407,   453,   454,
     455,  4012,   457,   458,   459,   460,   461,   462,  3489,  5034,
     268,  1277,  1325,     8,   180,  2773,    11,  4503,  1343,   185,
    2073,  1778,  1344,  2779,  3454,  5026,  4865,  3996,  1785,  4462,
    1787,  2784,  2072,  3430,  1791,  1792,  1346,  1794,  3954,  3971,
    4644,  3427,  1351,  4842,  1801,    40,  4841,  3490,  3427,  5281,
    5134,  1808,    47,  5216,  5016,   221,  1813,  1814,  1689,  4611,
    1817,  3380,  4401,  5029,  1821,  5030,  1823,  5009,  2620,  1903,
    2710,  1828,  1829,  2762,  5161,  1906,    71,  2708,  1835,  1836,
    1837,    -1,    -1,    -1,  1841,  1842,  1843,  1844,  1845,  1846,
    1847,  1848,    -1,  1850,    -1,  1852,  1853,    -1,    -1,  1856,
      -1,    -1,   268,    -1,   453,   454,   455,  4541,   457,   458,
     459,   460,   461,   462,  1871,  1872,  1873,  1874,    -1,    -1,
      -1,  1878,  1879,    -1,    -1,    -1,  1883,    -1,    -1,  1886,
      -1,    -1,  1889,  1890,  1891,  1892,  1893,  1894,  1895,  1896,
    1897,  4654,  1899,   138,    -1,  4579,    -1,    -1,  1905,  1906,
      -1,  1908,    -1,    -1,    -1,    -1,    -1,    -1,  1915,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,   354,    -1,
     185,    -1,    -1,    35,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4881,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,  4718,  4719,    -1,    -1,    -1,  4256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4731,    -1,    89,    -1,  4735,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   268,    -1,  2032,    -1,  2034,    -1,  2036,
      -1,    -1,    -1,    -1,   450,  4718,  4719,    -1,    -1,    -1,
      -1,   457,   458,   459,   460,   461,   462,    -1,  4731,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,  2070,    -1,    -1,    -1,    -1,    -1,    -1,
    2077,    -1,  2079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4370,    -1,    -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,
     182,    -1,  4382,    -1,    -1,  4385,  4386,    -1,    -1,    -1,
      -1,    -1,    -1,  2110,    -1,    -1,    -1,    -1,  4377,   354,
    4794,    -1,  2119,  4382,  2121,    -1,  4385,    -1,    -1,    -1,
     212,  4411,    -1,    -1,    -1,   217,    -1,    -1,    -1,    -1,
      -1,  2138,    -1,    -1,  4424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2150,    -1,  2152,  2153,    -1,    -1,    -1,
    2157,    -1,  2159,    -1,  2161,    -1,  2163,  5048,    -1,   251,
    2167,    -1,    -1,  2170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5035,
      -1,    -1,  4472,    -1,  2191,    -1,  4870,    -1,    -1,  4925,
     282,    -1,    -1,  4929,  2201,  4931,    -1,    -1,    -1,  4935,
    4936,    -1,  2209,    -1,    -1,   450,    -1,    -1,    -1,  2216,
      -1,    -1,   457,   458,   459,   460,   461,   462,  2225,    -1,
      -1,    -1,    -1,    -1,  4514,    -1,    -1,    -1,  5119,  5120,
     322,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,  2246,
      -1,   333,    -1,    -1,  2251,  2252,    -1,    -1,    -1,   341,
      -1,    -1,    -1,    -1,  2261,  2262,    -1,   349,  2265,    -1,
    2267,  2268,    -1,    -1,    -1,    -1,    -1,     8,    -1,   361,
      11,    -1,  4541,    -1,    15,    16,    17,   369,    -1,  2286,
      -1,    -1,  2289,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,  4582,    -1,    -1,    -1,    -1,    -1,   390,    40,
      -1,    -1,    -1,  2310,  2311,    -1,    47,    -1,    -1,    -1,
    4579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2325,    -1,
    2327,  2328,    -1,  5059,    -1,  5061,    -1,    -1,    -1,    -1,
      71,    -1,   424,    25,    -1,    -1,   428,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2357,    -1,    -1,  4643,    -1,    -1,    -1,    -1,  2365,  2366,
      -1,    -1,    -1,    -1,    -1,  2372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4643,    -1,  5059,  2384,  5061,  2386,
      -1,    73,    -1,    -1,    -1,  4654,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2400,    -1,    -1,  2403,    -1,  2405,    -1,
    5118,  2408,  5118,  5118,  5118,  2412,    -1,    -1,  2415,  5093,
      -1,  5302,  5303,   105,    -1,    -1,    -1,    -1,    -1,    -1,
    2427,  2428,    -1,    -1,    -1,  5161,    -1,    -1,    -1,  5192,
      -1,    -1,    -1,    -1,  5118,    -1,   128,    -1,  2445,   180,
      -1,    -1,    -1,    -1,   185,    -1,    -1,   139,  2455,    -1,
    2457,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,   206,   207,   159,    -1,    -1,
    4760,    -1,   164,  2480,  5192,    32,  5192,  5192,  5192,    -1,
     221,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,  5228,    -1,  4784,    -1,    -1,    -1,    -1,    -1,
    2507,  5237,  2509,  2510,  2511,  2512,    -1,    -1,  5192,    -1,
      -1,    -1,    -1,   254,    71,  4784,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,  4794,    -1,   268,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2545,    -1,
      -1,    -1,   234,    -1,    -1,  5228,    -1,    -1,    -1,    -1,
    5286,    -1,  4842,    -1,  5237,    -1,    -1,    -1,    -1,  5277,
      -1,  5277,  5277,  5277,    -1,  5301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4873,    -1,  2592,    -1,    -1,    -1,    -1,
      -1,  2598,    -1,  5277,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4870,    -1,  5286,  2611,    -1,    -1,    -1,   300,    -1,
      -1,   303,  2619,   354,    -1,    -1,    -1,  2624,  5301,    -1,
      -1,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
    2647,  2648,  2649,    -1,   336,  2652,    -1,    -1,    -1,   206,
     207,   343,    -1,  2660,  2661,  2662,  2663,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,  2673,    -1,    -1,  2676,
      -1,  2678,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   371,
      -1,    -1,  2689,  2690,   376,    -1,  2693,   379,    -1,    -1,
      -1,    -1,    -1,  4983,    -1,    -1,    -1,   254,  2705,    -1,
    2707,    -1,  2709,    -1,  2711,   397,    -1,    -1,    -1,   450,
      -1,   268,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,  2731,    -1,    -1,    -1,  2735,   470,
     422,    -1,    -1,    -1,    -1,  2742,    -1,  2744,  2745,  2746,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2762,    -1,    -1,  5048,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,    -1,
      -1,  2778,    40,    -1,    -1,    -1,    -1,  2784,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,    -1,    -1,
      -1,  2798,    -1,    35,  2801,    -1,  2803,   354,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,  5113,  5093,    28,    -1,    -1,    -1,  5119,
    5120,    -1,    -1,    -1,    -1,    -1,    -1,  2844,    41,  2846,
      -1,    -1,    -1,    -1,  2851,    -1,    -1,    -1,    -1,  5118,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,   103,   104,    -1,    -1,    -1,    69,    -1,    -1,   111,
     138,  2878,    -1,  2880,  2881,  2882,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,   450,    -1,  5185,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,
      -1,     0,   180,    -1,    71,    -1,    -1,   185,   121,    -1,
     123,    -1,    -1,  5192,   166,    -1,    -1,   130,    -1,    18,
     133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    30,    31,    -1,    -1,   187,    -1,    -1,   199,    -1,
      -1,    -1,    -1,   221,    -1,   158,    -1,    46,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    68,
      69,    -1,    -1,    -1,  2991,    -1,    75,   190,    77,    -1,
      -1,    -1,    -1,   235,  5284,    -1,   238,    -1,    -1,    88,
     268,    90,    -1,    -1,    -1,    -1,    -1,   249,  5277,   251,
      -1,    -1,  5302,  5303,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,    -1,   124,    -1,   126,   280,    -1,
      -1,   130,    -1,    -1,    -1,    -1,   249,   136,   251,   206,
     207,    -1,    -1,    -1,    -1,   144,    -1,   146,   261,    -1,
      -1,    -1,    -1,   152,   221,    -1,    -1,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   168,
      -1,   323,    -1,    -1,    -1,    -1,   354,    -1,  3095,    -1,
      -1,    -1,    -1,  3100,  3101,   184,    -1,   254,    -1,    -1,
      -1,   343,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,   268,    -1,    -1,    -1,   318,    -1,    -1,   321,   322,
      -1,   363,    -1,   365,    -1,    -1,   368,    -1,    -1,    -1,
    3137,  3138,  3139,    -1,   223,   224,    40,    -1,    -1,    -1,
     229,    -1,    -1,    47,    -1,    -1,   349,  3154,    -1,    -1,
      -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    71,    -1,  3176,
    3177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,
    3187,  3188,   450,    -1,    -1,  3192,    -1,    -1,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,   354,  3205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
     413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,    -1,    -1,   466,   314,   315,    -1,   317,    -1,
      -1,    -1,    -1,   322,   138,    -1,    -1,    -1,   327,    -1,
      -1,   330,    -1,    -1,    -1,    -1,   335,    -1,    -1,    -1,
      -1,    -1,   341,   342,    -1,    -1,  3263,    -1,    -1,    -1,
     349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,  3282,   180,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,   376,    -1,    -1,
      -1,  3298,    -1,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   395,    -1,    -1,    -1,
      -1,  3318,   563,    -1,    -1,    -1,   405,   221,   569,    -1,
    3327,    -1,   411,    -1,    -1,    -1,  3333,   416,  3335,    -1,
      -1,  3338,    -1,    -1,    -1,    -1,  3343,  3344,  3345,  3346,
     429,    -1,  3349,  3350,  3351,  3352,  3353,  3354,  3355,  3356,
    3357,  3358,    -1,    -1,    -1,  3362,  3363,    -1,    -1,    -1,
      -1,    -1,    -1,   452,   268,  3372,    -1,    -1,    -1,  3376,
      -1,    -1,    -1,  3380,    -1,    -1,    -1,   466,    -1,    -1,
     469,  3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3402,    -1,    -1,  3405,  3406,
      -1,    -1,    -1,  3410,  3411,    -1,    -1,    -1,  3415,    -1,
    3417,    -1,    -1,    -1,    -1,    -1,    -1,  3424,  3425,  3426,
    3427,    -1,    -1,  3430,  3431,    -1,    -1,    -1,  3435,  3436,
    3437,    -1,    -1,    -1,    -1,    -1,  3443,    -1,    -1,    -1,
      20,    -1,  3449,  3450,  3451,    25,    -1,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,     7,
     721,    -1,    -1,    -1,    -1,    13,    14,    -1,    -1,    59,
      -1,    19,  3489,    21,  3491,    -1,    -1,    -1,    -1,    27,
      -1,    29,    72,    -1,    -1,   746,    -1,    -1,    -1,    -1,
      -1,    -1,  3509,  3510,  3511,    -1,  3513,    87,    -1,    -1,
      48,    49,    -1,    -1,   765,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3530,  3531,  3532,  3533,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   786,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,   128,    -1,
      -1,    -1,  3559,   457,   458,   459,   460,   461,   462,   139,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    35,    35,    11,
    3577,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,   159,
      -1,    -1,    -1,    -1,   164,    -1,    -1,    55,    55,    -1,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    55,    40,    -1,
      -1,    -1,    -1,    -1,    -1,    47,    -1,   858,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    89,    89,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,   195,    -1,    -1,
      -1,   119,  3669,    -1,    -1,   203,    -1,   205,    -1,   207,
     208,    -1,   210,    -1,   212,    -1,    -1,   215,    -1,   217,
     148,   148,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3708,    -1,    -1,    -1,  3712,    -1,  3714,    -1,  3716,
      -1,    -1,    -1,    -1,   182,   182,  3723,    -1,    -1,    -1,
     300,    -1,  3729,   974,   182,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3739,    -1,    -1,    -1,    -1,    -1,   180,    -1,
      -1,    -1,    -1,   185,   212,   212,    -1,  3754,    -1,   217,
     217,  3758,  1003,  1004,  1005,    -1,   336,    -1,    -1,   217,
      -1,  3768,    -1,   343,   206,   207,   346,    -1,    -1,    -1,
    3777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,  3788,    -1,   251,   251,  3792,    -1,    -1,    -1,  3796,
    3797,    -1,    -1,   251,    -1,    -1,   376,    -1,    -1,    -1,
      -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
     390,    -1,   254,    -1,   282,   282,    -1,   397,  3825,    -1,
    3827,    -1,    -1,   281,   282,    -1,   268,  3834,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,   322,  3863,    -1,   326,   326,
     318,    -1,    -1,    -1,   322,   333,   333,  3874,   326,    -1,
      -1,    -1,    -1,   341,   341,   333,    -1,    -1,    -1,    -1,
      -1,   349,   349,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   349,  1143,   361,   361,    -1,    -1,  3904,    -1,    -1,
      -1,   369,   369,   361,    -1,    -1,    -1,  3914,  3915,    -1,
      -1,   369,   354,    -1,  3921,  3922,    -1,    -1,  1169,  3926,
      -1,    -1,   390,   390,  3931,    -1,    -1,  3934,  3935,    -1,
      -1,    -1,  3939,  3940,    -1,    -1,    -1,    -1,  3945,  3946,
    3947,  3948,  3949,    -1,    -1,    -1,  3953,  3954,  3955,    -1,
    3957,  3958,    -1,    -1,  3961,    -1,   424,   424,  3965,    -1,
     428,   428,  3969,    -1,    -1,    -1,   424,    -1,  3975,    -1,
      -1,    -1,    -1,    -1,    -1,  3982,    -1,    -1,    -1,    -1,
    3987,    -1,    -1,    -1,    -1,    -1,  3993,    -1,    -1,    -1,
      -1,    -1,    -1,  4000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4008,    -1,    -1,    -1,  4012,    -1,    -1,   450,    -1,
    4017,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,    -1,  4031,   467,    -1,  4034,    -1,    -1,
      -1,    -1,    -1,    -1,   572,    22,    -1,    -1,    -1,    -1,
      -1,    28,   580,    -1,    -1,    -1,    -1,  4054,  4055,   587,
     588,    -1,    -1,   591,  1305,   593,   594,    -1,    -1,    -1,
     598,    -1,    -1,    -1,    -1,  4072,    -1,    -1,    -1,    -1,
      -1,   609,    -1,    -1,    -1,    -1,    -1,    -1,  4085,    -1,
      -1,    -1,    69,    -1,    -1,    -1,   624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   647,
     629,   649,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,   659,    -1,    -1,    -1,    -1,    35,  4134,    -1,    -1,
      -1,    -1,   119,    -1,   653,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,   130,    -1,    54,   133,    -1,    -1,  4156,
      -1,    -1,    -1,   691,    -1,    -1,    -1,    -1,    -1,    -1,
      69,    -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,
      -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1431,    -1,    -1,    -1,   722,    -1,    -1,    -1,    -1,  1440,
      -1,    -1,    -1,  4200,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   190,    -1,    -1,    -1,  4214,    -1,    -1,
      -1,    -1,    -1,  4220,   123,    -1,    -1,    -1,    -1,  1470,
      -1,   130,  4229,    -1,   133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1483,    -1,    -1,  1486,    -1,  4244,   776,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,
    4257,    -1,  4259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   249,    -1,   251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,   187,    -1,
      -1,   190,  4289,   270,    -1,    -1,  1537,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,    -1,    -1,   837,
    1551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1564,    -1,    -1,    -1,    -1,  4325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   235,  4334,    -1,   238,
      -1,   318,    -1,    -1,   321,   322,    -1,    -1,    -1,    -1,
     249,    -1,   251,    -1,  4351,  4352,    -1,    -1,  4355,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   349,  4370,    -1,  1616,  4373,    -1,    -1,   907,
    4377,   280,   281,    -1,    -1,  4382,    -1,    -1,  4385,  4386,
      -1,  4388,    -1,  4390,    -1,   923,  4393,  4394,    -1,    -1,
      -1,    -1,    -1,    -1,  1645,    -1,    -1,   935,    -1,    -1,
     938,  1652,    -1,    -1,  4411,    -1,  4413,   926,    -1,   318,
     948,    -1,   321,   322,   323,   953,    -1,  4424,  4425,  4426,
    4427,  4428,    -1,   961,    -1,    -1,   413,    -1,    -1,   967,
     949,    -1,   970,    -1,   343,    -1,    -1,    -1,    -1,    -1,
     349,    -1,    -1,    -1,    -1,   964,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,   363,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,  4472,  4473,    -1,    -1,    -1,
      -1,    -1,  1010,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,     8,    47,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,  1753,    -1,   413,   629,    -1,  4514,    -1,    -1,
    4517,    -1,    32,    71,    -1,    -1,    -1,    22,    -1,    -1,
      40,    -1,  4529,    28,    -1,  4532,    -1,    47,    -1,   653,
    4537,    -1,  4539,    -1,    -1,    -1,    41,    -1,    -1,  4546,
    1791,  1792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,  4562,    -1,  1808,    -1,  4566,
      -1,    22,    -1,    -1,    69,    -1,    -1,    28,    -1,    -1,
      -1,    -1,    -1,  4580,  4581,  4582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1121,    -1,  1123,    -1,  1125,    -1,  1127,
      -1,  1129,  1130,  1131,    -1,    -1,    -1,    -1,  1136,    -1,
      -1,  4608,    -1,    -1,  4611,    -1,  4613,    -1,    69,  1147,
      -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,   123,    -1,
      -1,    -1,   180,    -1,    -1,   130,  4633,   185,   133,    -1,
      -1,    -1,  4639,    -1,  1153,    -1,  4643,    -1,    -1,    -1,
    4647,    -1,    -1,    -1,    -1,    -1,    -1,  4654,   206,   207,
      -1,    -1,    -1,   158,  1905,    -1,  4663,    -1,   119,    -1,
     180,    -1,   123,   221,  1915,   185,    -1,    -1,    -1,   130,
      -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4687,    -1,    -1,    -1,    -1,   190,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,   158,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,  4713,    -1,    -1,    -1,
     268,    -1,    -1,   271,    -1,  4722,  4723,  4724,  4725,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,   189,
     190,    -1,    -1,   193,   249,    -1,   251,    -1,   268,    -1,
      -1,   271,    -1,  4760,    -1,    -1,   261,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,   270,    -1,    -1,   218,    -1,
      -1,    -1,    -1,    -1,  4781,    -1,   281,  4784,    -1,    -1,
      -1,  2032,    -1,  2034,    -1,    -1,    -1,  1325,   249,    -1,
     251,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
     261,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,   270,
      -1,    -1,    -1,   318,    -1,    -1,   321,   322,    -1,  2070,
     281,    -1,    -1,    -1,    -1,   949,    -1,    -1,    -1,    -1,
      -1,    -1,  4839,    -1,   354,  4842,    -1,    -1,  4845,    -1,
     964,    -1,  4849,    -1,   349,    -1,    -1,    -1,    -1,  4856,
      -1,    -1,    -1,    -1,  4861,    -1,  4863,   318,  4865,    -1,
     321,   322,    -1,  1401,    -1,    -1,  4873,    -1,    -1,    -1,
      -1,    -1,  4879,    -1,  4881,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,   413,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1048,    -1,  4933,  4934,    -1,    -1,
     450,  1469,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,  1464,    -1,   467,    -1,    -1,
      -1,    -1,   413,     8,    -1,    -1,    11,  4964,    -1,    -1,
      15,    16,    17,    22,  4971,    -1,    -1,    -1,  4975,    28,
      -1,    -1,    -1,    -1,  2225,    -1,  4983,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,  2246,    -1,    -1,    -1,    -1,
      -1,  5008,  5009,    -1,    -1,    -1,  5013,    -1,    -1,  5016,
      69,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,  5026,
      -1,    -1,  5029,    -1,    -1,    -1,    -1,  5034,    -1,  1153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5048,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,  5062,    -1,    -1,    -1,  2310,
    2311,    -1,  5069,  1582,   123,    -1,    -1,    -1,    -1,  1607,
      -1,   130,    -1,    -1,   133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1603,    -1,    -1,  5094,    -1,    -1,
      -1,    -1,  5099,    -1,    -1,    -1,    -1,  5104,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,  5113,    -1,    -1,    -1,
      -1,    -1,  5119,  5120,  5121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5130,   574,   180,    -1,  5134,   578,    -1,
     185,   190,    -1,    -1,    -1,    22,    -1,    -1,    -1,  1658,
    5147,    28,   592,    -1,    -1,    -1,    -1,  5154,    -1,   599,
      -1,   206,   207,  1672,  2405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1684,   221,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1696,  5185,  5186,
    5187,    -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,  1729,   251,  1731,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,   261,    -1,    -1,  5212,  5213,    -1,    -1,    -1,
    1748,   270,  1750,   268,    -1,    -1,   271,  1736,  1737,    -1,
      -1,    -1,   281,    -1,    -1,    -1,  1764,    -1,  1766,    -1,
    1768,    -1,  1770,    -1,  1772,  1359,   123,    -1,  1776,    -1,
      -1,    -1,    -1,   130,    -1,    -1,   133,  5254,    -1,    -1,
      -1,    -1,    -1,  5260,    -1,    -1,    -1,    -1,    -1,   318,
      -1,     8,   321,   322,    11,    -1,    -1,  5274,    15,    16,
      17,   158,    -1,    -1,  5281,    -1,    -1,  5284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
     349,    -1,    -1,    40,    -1,  5302,  5303,    -1,    -1,   354,
      47,  1425,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,
      -1,  2582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1870,    -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   249,  1487,   251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   261,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,   270,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,   450,    -1,    -1,   453,   454,
     455,    32,   457,   458,   459,   460,   461,   462,    -1,    40,
      -1,    -1,   467,   863,   864,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,   180,   321,   322,    -1,    -1,   185,    -1,
      71,    -1,    22,  1567,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,   206,
     207,    -1,   349,    -1,    -1,    -1,    -1,  1591,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,  1603,
      -1,    -1,    -1,    -1,  2735,    -1,    -1,    -1,    -1,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   952,    -1,    -1,    -1,    -1,   254,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   268,    -1,    -1,   271,    -1,   413,    -1,    -1,    -1,
      -1,   981,   982,    -1,  1658,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   123,  2082,  2083,    -1,    -1,  1672,   180,
     130,    -1,    -1,   133,   185,    -1,    -1,  1007,    -1,    -1,
    1684,    -1,    -1,  2101,  2102,    -1,    -1,    -1,  2106,  2107,
      -1,    -1,  1696,  2111,    -1,   206,   207,    -1,   158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2125,    -1,    -1,
     221,    -1,    -1,    -1,  2132,    -1,    -1,    -1,  2136,  2137,
      -1,    -1,  2140,  2141,    -1,    -1,    -1,   354,    -1,  2147,
     190,    -1,  1736,  1737,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2160,   254,  2162,    -1,    -1,    -1,    -1,    -1,
    1080,  1081,    -1,    -1,    -1,  2154,    -1,   268,    -1,    -1,
     271,    -1,    -1,  2181,    -1,    -1,    -1,  2166,  2186,    -1,
      -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,  2199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,
    2208,   251,  2210,    -1,    -1,  2213,  2214,  2215,    -1,    -1,
      -1,   261,  2220,  2221,    -1,    -1,    -1,  2206,    -1,    -1,
     270,    -1,  2230,    -1,    -1,    -1,    -1,  2235,    -1,    -1,
      69,   281,  2240,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,    -1,  2256,    -1,
     467,    -1,    -1,   354,    -1,    -1,  2264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2275,   318,    -1,
    2991,   321,   322,    -1,    -1,    -1,  1870,    -1,    -1,  2287,
      -1,    -1,  2290,    -1,   123,    -1,    -1,  2295,    -1,    -1,
      -1,   130,  2300,  2301,   133,    -1,    -1,  2305,    -1,   349,
    2308,    -1,    -1,    -1,  2312,  2313,  2314,  2315,     8,  2317,
      -1,    11,    -1,    -1,  1908,    15,    16,    17,    -1,   158,
      -1,    -1,  2330,  2331,    -1,  2333,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,  2343,  2344,    -1,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,   450,
      -1,   190,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,   413,    -1,     8,   467,    -1,    11,    -1,
      -1,    71,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2395,    -1,    32,
      -1,    -1,    -1,    -1,    -1,    -1,  2385,    40,    -1,    -1,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
     249,    -1,   251,    -1,    -1,  2423,  3137,  3138,  3139,    -1,
      -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    71,    -1,
      -1,   270,    -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3187,  3188,    -1,    -1,
      -1,  3192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
     180,    -1,   321,   322,  3205,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2088,    -1,    -1,    -1,  2092,  2093,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,
     349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,  1443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
    2154,    -1,    -1,   206,   207,    -1,    -1,    -1,   268,    -1,
      -1,   271,  2166,    -1,   413,  2583,    -1,  3298,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,  2612,    -1,  2595,    15,    16,    17,
      -1,   254,  2206,  1533,  1534,  1535,  1536,    -1,    -1,  2608,
      -1,    -1,    -1,    -1,    32,   268,    -1,    22,   271,    -1,
      -1,    -1,    40,    28,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,  1576,  1577,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    69,    -1,    -1,  1597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,  3424,  3425,  3426,    -1,    -1,    -1,    -1,
      -1,   354,  1632,  1633,  1634,  1635,    -1,    32,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    40,    -1,    -1,   123,    -1,
      -1,    -1,    47,    -1,    -1,   130,    -1,    -1,   133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    71,   457,   458,   459,
     460,   461,   462,   158,    -1,    -1,    -1,   467,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2385,    -1,    -1,    -1,   190,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,   120,    -1,   450,    -1,    -1,
     453,   454,   455,   221,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,   467,  1745,    -1,    -1,    -1,    -1,
      -1,  1751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,   251,    -1,  2866,    -1,
     268,    -1,  2870,   271,    -1,   180,   261,    -1,  2876,    -1,
     185,    -1,    -1,  2467,    -1,   270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2872,  2892,  2893,   281,    -1,    -1,  2897,
      -1,   206,   207,    -1,  2902,  2903,  2904,    -1,  2906,    -1,
    2889,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,  2927,
      -1,    -1,    -1,   318,    -1,    -1,   321,   322,    -1,  2937,
    2938,  2939,  2940,    32,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    40,    -1,    -1,    -1,    -1,   354,    -1,    47,    -1,
      -1,    -1,    -1,   268,   349,    -1,   271,    -1,  1878,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2974,    -1,    -1,  2977,
    2978,  2979,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,
      -1,  3712,    -1,    -1,  2983,    -1,  2985,    -1,    -1,    -1,
      -1,  2595,  3723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,   413,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
      -1,  3079,    -1,    -1,    -1,    -1,    -1,  3066,    -1,  3087,
      -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,    -1,  3105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3094,    -1,   206,   207,    -1,
      -1,    -1,    -1,  3834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,  3132,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,    -1,    -1,
    2744,  2745,  2746,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    28,    -1,   268,
      -1,    -1,   271,    -1,    35,    -1,  3184,    -1,    -1,    -1,
      -1,  3189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3194,    -1,    -1,    69,    -1,
      -1,  3219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,
      -1,    -1,  2816,    -1,  2818,  3946,  3947,  3948,  3949,  2823,
      -1,    -1,  2152,  2153,    -1,    -1,  3225,    -1,    -1,    -1,
      -1,  2161,   103,  2163,    -1,    -1,    -1,  2167,  3256,    -1,
    3258,     8,    -1,    -1,    11,   354,    -1,    -1,    15,    16,
      17,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,   130,
      -1,    -1,   133,    -1,    -1,    32,    -1,    -1,  2872,    -1,
      -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,
      47,    -1,    -1,    -1,   188,  2889,    -1,   158,    -1,    -1,
      -1,    -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    71,    -1,    -1,    -1,    -1,    -1,
    2914,    -1,    -1,    -1,    -1,   219,   187,    -1,    -1,   190,
      -1,    -1,  3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,
      17,   450,    -1,  3342,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    32,  2286,    -1,   467,  2289,
      -1,    -1,    -1,    40,   235,    -1,    -1,   238,  3367,    -1,
      47,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,  2983,
     251,  2985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,   270,
      -1,    -1,  3401,    -1,    -1,    -1,    -1,    -1,    -1,   280,
     281,    -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2365,  2366,    -1,    -1,   206,
     207,    -1,  2372,    -1,    -1,    -1,    -1,   318,    -1,    -1,
     321,   322,   323,    -1,   221,    -1,  2386,    -1,    -1,    -1,
      -1,    -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   343,    -1,    -1,    -1,    -1,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,
    3094,    -1,   363,    -1,    -1,    -1,    -1,  2427,  3516,    -1,
    3518,   268,    -1,   180,   271,    -1,    -1,  3525,   185,    -1,
      -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3125,    -1,  3541,    -1,  2455,    -1,    -1,    -1,   206,
     207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3557,
      -1,    -1,   413,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3575,  4289,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3593,    -1,   254,    -1,  2509,
      -1,  2511,    -1,    -1,    -1,  3603,    -1,   354,    -1,    -1,
    3194,   268,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3622,    -1,    -1,    -1,  3212,    -1,
      -1,    -1,    -1,    -1,    -1,  3633,  3634,  3635,    -1,    -1,
      -1,  3225,  3640,  3641,  3642,  3643,    -1,    -1,  3646,  3647,
      -1,    -1,    -1,    -1,  3652,  3653,    -1,  3655,  3656,  3657,
    3658,  3659,  3660,    -1,  3662,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3671,    -1,    -1,  3674,  3675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3693,    -1,   354,    -1,   583,
      -1,  2611,    -1,   450,    -1,   589,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,    -1,  3715,   602,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   618,    -1,    -1,  3321,    -1,   623,
      -1,    -1,    -1,    -1,    -1,   629,    -1,    -1,    -1,   633,
     634,    -1,    -1,    -1,    -1,    -1,    -1,   641,  3342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3745,    -1,    -1,   653,
     654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     664,    -1,    -1,  3367,    -1,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    28,   450,    -1,    -1,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,  4517,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,  3814,  3401,    -1,    -1,
      -1,  4532,    -1,    -1,    -1,    -1,  4537,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3846,    -1,
      -1,  4562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   743,
     744,    -1,    -1,    -1,    -1,   749,    -1,  3451,    -1,    -1,
    4581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,   775,    -1,    -1,   130,    -1,    -1,   133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,   158,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,  3927,    -1,
      -1,    -1,    40,    -1,   190,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2878,    -1,
    2880,  2881,  2882,    -1,    -1,    -1,  4687,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3596,   249,    32,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,   261,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,   270,   919,  3620,    -1,    -1,    -1,
      -1,    -1,   926,    -1,    -1,   281,   930,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4060,    -1,    -1,   949,  4064,  4065,  4066,  4067,
    4781,    -1,  4070,  4052,    -1,    -1,    -1,    -1,    -1,    -1,
     964,    -1,   318,    -1,    -1,   321,   322,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,    -1,    -1,  4101,  4102,  4103,    -1,  4105,    -1,  4107,
    4108,  4090,    -1,   349,    -1,    -1,    -1,    -1,   206,   207,
      -1,  4119,  4120,    -1,    -1,  1009,    -1,    -1,    -1,    -1,
      -1,    -1,  4111,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,  3745,   180,    -1,  1048,    -1,   254,   185,    -1,    -1,
      -1,  4169,    -1,    -1,    -1,    -1,    -1,   413,    -1,    -1,
     268,    -1,    -1,   271,    -1,  3095,    -1,    -1,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4176,    69,    -1,
      -1,  1085,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3795,    -1,    -1,    -1,  1099,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1116,    -1,    -1,    -1,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,    -1,
     268,    -1,   123,   271,    -1,    -1,    -1,    -1,    -1,   130,
    1144,    -1,   133,    -1,    -1,    -1,   354,    -1,    -1,  1153,
      -1,  1155,    -1,    -1,  4272,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1170,   158,    -1,  1173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4297,
      -1,  1185,    -1,    -1,    -1,    -1,    -1,    -1,  4287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1215,    -1,  3917,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,
    4329,    -1,    -1,  3263,    -1,    -1,    -1,    -1,    -1,  1243,
    1244,  1245,   450,  1247,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,   249,   467,
     251,    -1,    -1,  1267,    -1,    -1,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3982,   270,
      -1,    -1,    -1,  3987,    -1,    -1,  4404,  1291,    -1,  3993,
     281,    -1,    -1,    -1,    -1,  1299,  1300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1308,  1309,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,    -1,    -1,   467,
     321,   322,  1336,    -1,    -1,    -1,  1340,  1341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4464,    -1,  4052,    -1,
      -1,  1355,    -1,    -1,    -1,  1359,    -1,    -1,   349,    -1,
      -1,    -1,  1366,    -1,  4482,    -1,    -1,    -1,    -1,  4487,
    4488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4538,  1425,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4176,    -1,    -1,    -1,    -1,  4595,    -1,    -1,
      -1,    -1,    -1,  1487,  4602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3530,  3531,  3532,  3533,    -1,    -1,    -1,    -1,    -1,    -1,
    4609,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,  1547,    -1,    -1,    -1,    -1,    40,    -1,
    4649,    -1,  4670,    -1,    -1,    47,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4691,    -1,    -1,    -1,    -1,  1582,    71,
      -1,  4285,    -1,  4287,  4702,    -1,    -1,  1591,    -1,    -1,
      -1,    -1,    -1,    -1,  1598,    -1,    -1,    -1,    -1,  1603,
      -1,    -1,    -1,    -1,  4703,    -1,    -1,    -1,    -1,  4708,
    4709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1622,    -1,
      -1,    -1,    -1,    -1,    -1,  4329,  1630,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1642,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4764,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1658,    -1,    -1,    -1,    -1,    -1,
      -1,  1665,    -1,    -1,  1668,    -1,    -1,    -1,  1672,    -1,
      -1,    -1,    -1,    -1,  1678,    -1,    -1,    -1,  3708,    -1,
    1684,    -1,    -1,    -1,  3714,    -1,    -1,    -1,   180,    -1,
      -1,    -1,  1696,   185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4826,  1713,
    1714,    -1,  1716,  1717,   206,   207,    -1,    -1,    -1,    -1,
    4819,    -1,    -1,    -1,  1728,    -1,    -1,    -1,    -1,   221,
      -1,    -1,  1736,  1737,    -1,  1739,  1740,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1755,    -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4888,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,
      -1,    -1,    -1,  1787,    -1,  4903,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1821,    -1,  1823,
      -1,    -1,    -1,    -1,  1828,  1829,    -1,    -1,    -1,    -1,
      -1,  1835,  1836,  1837,    -1,    -1,  4954,  1841,    -1,  1843,
    1844,  1845,  1846,  1847,  1848,    -1,  1850,    -1,  1852,  1853,
      -1,  4969,  1856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,  1870,  1871,  1872,  1873,
    1874,  1875,    -1,    -1,    -1,  1879,    -1,    -1,    -1,  1883,
    4584,    -1,  1886,    -1,    -1,  1889,  1890,  1891,  1892,  1893,
    1894,  1895,  1896,  1897,    -1,  1899,    -1,    -1,    -1,    -1,
      -1,    -1,  1906,    -1,  1908,  4609,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,  5020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5047,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,  4649,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,  5089,    71,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,  4703,
      -1,    -1,    -1,    -1,  4708,  4709,    -1,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,     8,
      -1,    -1,    11,    47,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,  2036,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    40,    -1,    -1,    -1,  5173,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2081,    -1,    -1,
      -1,   180,    71,    -1,  2088,    -1,   185,    -1,  2092,  2093,
      -1,    -1,    -1,    -1,    -1,  2099,    -1,    -1,    -1,    -1,
    2104,  2105,    -1,    -1,    -1,  2109,    -1,   206,   207,    -1,
      -1,    -1,    -1,  2117,  4818,  4819,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,  4156,    -1,    -1,    -1,
      -1,  2135,    -1,    -1,  2138,    -1,    -1,    -1,    -1,    -1,
      -1,  4171,    -1,    -1,    -1,    -1,  2150,    -1,    -1,    -1,
    2154,    -1,    -1,  2157,    -1,   254,   180,    -1,    -1,    -1,
      -1,   185,  2166,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,    -1,    -1,  2179,    -1,    -1,    -1,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   180,    -1,  2197,  2198,    -1,   185,   221,    -1,    -1,
      -1,    -1,  2206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,
      -1,    -1,    -1,    -1,  2228,  2229,    -1,  4257,  2232,    -1,
     254,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,
      -1,  2255,    -1,  2257,    -1,   354,    -1,    -1,    -1,  2263,
      -1,    -1,    -1,    -1,    -1,   254,  2270,    -1,    -1,    -1,
    2274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2294,    -1,    -1,    -1,    -1,  2299,    -1,    -1,    -1,  2303,
      -1,    -1,  2306,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2316,    -1,    -1,    -1,  5020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2329,    -1,    -1,    -1,    -1,
     354,    -1,    -1,    -1,    -1,  2339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,   354,    -1,    -1,   467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
    2384,  2385,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
    2394,    -1,    -1,    -1,    -1,    -1,  4426,  4427,  4428,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,
      -1,    -1,    -1,    -1,  2428,    -1,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,    -1,
      -1,    -1,    71,   467,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,  2467,   453,   454,   455,  2471,   457,   458,
     459,   460,   461,   462,    -1,    -1,  2480,    -1,   467,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
    2524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
    4580,   180,    -1,    -1,    -1,    -1,   185,    -1,  2562,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,  2578,    -1,  2580,   206,   207,    -1,
      -1,    -1,    -1,    -1,  2588,    -1,    -1,    -1,  2592,    -1,
      -1,  2595,   221,    -1,  2598,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2619,    -1,    -1,    -1,    -1,
    2624,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,  2647,  2648,  2649,    -1,    -1,  2652,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2660,  2661,  2662,  2663,
      -1,    -1,    -1,    -1,  2668,    -1,    -1,    -1,    -1,  2673,
    2674,    -1,  2676,    -1,  2678,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,    -1,  2689,  2690,   185,    -1,  2693,
      -1,    -1,    -1,  4723,    -1,  4725,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2707,    -1,  2709,    -1,  2711,   206,   207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,   354,    -1,  2731,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,  2742,    -1,
    2744,  2745,  2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,  2759,   254,    -1,  2762,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,  2773,
     268,    -1,    -1,   271,  2778,    -1,    -1,    -1,    -1,    -1,
    2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2794,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,
      -1,    -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,
      -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,  2838,  2839,    -1,    -1,   467,    -1,
    2844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4879,
      -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,    -1,
      -1,  2865,    -1,    -1,  2868,    -1,    -1,    -1,  2872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     180,    -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,
    2914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,  2949,  2950,  2951,    -1,    -1,
      -1,    -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,    -1,  2973,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,  2983,
      -1,  2985,    -1,    -1,    -1,    -1,    -1,    -1,   268,  2993,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5062,    -1,    -1,    -1,    -1,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   354,    -1,    -1,    71,    -1,    -1,
      -1,    -1,  3086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,    -1,
    3124,  3125,    -1,    -1,  5154,    -1,    -1,  3131,    -1,  3133,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3146,    -1,  3148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5186,  5187,    -1,    -1,
      -1,    -1,    -1,   157,    -1,    -1,  3170,    -1,   162,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,   180,   467,    -1,    -1,
    3194,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3211,  3212,    -1,
      -1,    -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3225,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3259,     8,    -1,    -1,    11,
     254,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,  3275,    -1,    -1,   268,    -1,    -1,   271,    -1,    -1,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,
      -1,    -1,    -1,  3297,    -1,    47,  3300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3318,    -1,    -1,  3321,    -1,    71,
      -1,    -1,    -1,  3327,    -1,    -1,    -1,    -1,    -1,  3333,
      -1,  3335,    -1,    -1,  3338,    -1,    -1,    -1,  3342,  3343,
    3344,  3345,  3346,    -1,    -1,  3349,  3350,  3351,  3352,  3353,
    3354,  3355,  3356,  3357,  3358,    -1,    -1,    -1,  3362,  3363,
     354,    -1,    -1,  3367,    -1,    -1,    -1,    -1,  3372,    -1,
      -1,    -1,  3376,    -1,  3378,    -1,  3380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3388,    -1,    -1,  3391,    -1,  3393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,  3402,    -1,
      -1,  3405,  3406,    -1,    -1,    -1,  3410,  3411,    -1,    -1,
      -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,   197,   198,
      -1,    -1,    -1,  3427,    -1,    -1,  3430,   206,   180,    -1,
      -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,  3443,
     219,    -1,    -1,    -1,    -1,  3449,  3450,  3451,    -1,    -1,
      -1,    -1,    -1,    -1,   206,   207,   450,    -1,    -1,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   221,
      -1,  3475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3491,    -1,    -1,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,  3509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3540,    -1,    -1,    -1,
      -1,    -1,   294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    -1,  3590,    -1,    -1,    -1,
      -1,  3595,  3596,  3597,    -1,    -1,    -1,    32,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    40,    -1,    -1,    -1,    -1,
      -1,    -1,    47,    -1,    -1,  3619,  3620,    -1,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,  3636,    11,    -1,    -1,    71,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3651,    -1,    -1,
    3654,    -1,    -1,    -1,    32,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    -1,    47,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,   450,    -1,
      -1,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,  3716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   198,    -1,  3741,  3742,    -1,
      -1,  3745,    -1,   206,    -1,   180,    -1,  3751,    -1,    -1,
     185,    -1,    -1,    -1,  3758,    -1,   219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,
      -1,   206,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,  3795,  3796,  3797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   180,    -1,   583,    -1,    -1,   185,     8,    -1,
     589,    11,    -1,    -1,    -1,    15,    16,    17,    -1,   254,
      -1,    -1,    -1,   602,    -1,    -1,    -1,    -1,   206,   207,
      -1,    -1,    32,   268,    -1,    -1,   271,    -1,  3842,   618,
      40,    -1,    -1,   221,    -1,    -1,    -1,    47,    -1,    -1,
      -1,    -1,    -1,    -1,   633,   634,    -1,   292,    -1,  3863,
      -1,    -1,   641,    -1,    -1,     8,    -1,    -1,    11,    -1,
    3874,    71,    15,    16,    17,   654,   254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   664,    -1,    -1,    -1,    32,
     268,    -1,    35,   271,    -1,    -1,    -1,    40,    -1,    -1,
    3904,    -1,    -1,    -1,    47,    -1,    -1,    -1,    -1,    -1,
    3914,  3915,    -1,  3917,    -1,    -1,    -1,  3921,  3922,   354,
      -1,    -1,  3926,  3927,    -1,    -1,    -1,  3931,    71,    -1,
    3934,  3935,    -1,    -1,    -1,  3939,    -1,    -1,    -1,    -1,
      -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3957,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3965,    -1,    -1,    -1,  3969,    -1,    -1,    -1,    -1,
     749,    -1,    -1,    -1,    -1,    -1,   354,    -1,  3982,    -1,
     180,    -1,    -1,  3987,    -1,   185,    -1,    -1,    -1,  3993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4008,    -1,   206,   207,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,   453,   454,
     455,   221,   457,   458,   459,   460,   461,   462,    -1,    -1,
    4034,    -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,
      -1,    -1,   185,    -1,    -1,    -1,    -1,    -1,  4052,    -1,
      -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   206,   207,  4069,    -1,    -1,   268,    -1,
    4074,   271,   450,    -1,    -1,   453,   454,   455,   221,   457,
     458,   459,   460,   461,   462,    -1,  4090,    -1,   288,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4106,    -1,    -1,    -1,    -1,  4111,    -1,    -1,
      -1,   254,    -1,    -1,  4118,    -1,    -1,    -1,    -1,    -1,
     583,    -1,    -1,    -1,    -1,   268,   589,    -1,   271,    -1,
    4134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   602,
      -1,  4145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   930,    -1,    -1,   354,   618,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   634,  4176,    -1,    -1,    -1,    -1,    -1,   641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   654,    -1,    -1,    -1,    -1,  4200,    -1,    -1,    -1,
      -1,   664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4214,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4237,    -1,    -1,    -1,    -1,    -1,    -1,
    4244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4285,    -1,  4287,    -1,    -1,   749,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4309,  1085,   450,    -1,    -1,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
    1099,  4325,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,
    4334,    -1,    -1,    -1,    -1,    -1,     8,  1116,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,  4351,  4352,    -1,
      -1,  4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    -1,  1144,  4370,    -1,    40,    -1,
      -1,    -1,    -1,  4377,    -1,    47,  1155,    -1,  4382,    -1,
      -1,  4385,  4386,    -1,    -1,    -1,    -1,    -1,    -1,  4393,
    4394,  1170,    -1,    -1,  1173,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4411,    -1,  4413,
      -1,    -1,    -1,    -1,  4418,    -1,  4420,    -1,    -1,    -1,
    4424,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    40,  4462,  4463,
      -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,  4472,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4508,    -1,    -1,    -1,   180,    -1,
    4514,    -1,  1291,   185,    -1,    -1,    -1,    -1,    -1,    -1,
    1299,  1300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1309,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,   221,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4569,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,  4582,    40,
    4584,    -1,   254,    -1,    -1,    -1,    47,  1366,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   180,    -1,   271,
      -1,    -1,   185,    -1,  4608,  4609,    -1,  4611,    -1,  4613,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1085,   206,   207,    -1,    -1,    -1,    -1,  4633,
      -1,    -1,    -1,    -1,    -1,  4639,  1099,    -1,   221,  4643,
      -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,
    4654,    -1,    -1,  1116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1144,   354,    -1,    -1,   268,    -1,    -1,   271,    -1,
      -1,  4695,  1155,    -1,    -1,    -1,    -1,    -1,    -1,  4703,
      -1,    -1,    -1,    -1,  4708,  4709,    -1,  1170,    -1,  4713,
    1173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,    -1,   185,    -1,    -1,  4731,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4760,   743,   744,    -1,
     221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1547,    -1,
      -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,
    4784,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,    -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,    -1,    -1,
     271,    -1,    -1,    -1,  4818,  4819,    -1,    -1,    -1,  1598,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1291,    -1,
      -1,    -1,    -1,    -1,    -1,  4839,  1299,  1300,  4842,    -1,
      -1,  4845,    -1,  1622,    -1,    -1,  1309,    -1,    -1,    -1,
      -1,  1630,  4856,    -1,    -1,    -1,    -1,  4861,    -1,  4863,
      -1,  4865,    -1,  1642,    -1,    -1,    -1,   450,    -1,  4873,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4891,    -1,    -1,
      -1,    -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4923,
      -1,  4925,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1713,  1714,    -1,  1716,  1717,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1739,  1740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4975,    -1,    -1,    -1,    -1,  1755,    -1,    -1,  4983,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,
      -1,    -1,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,    -1,    -1,  5008,  5009,    -1,    -1,  1787,    -1,
      -1,    -1,  5016,  5017,    -1,    -1,  5020,    -1,    -1,    -1,
      -1,    -1,  5026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5048,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,    35,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,  1547,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5099,  1875,    -1,    -1,    -1,
    5104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5113,
      71,    -1,    -1,    -1,    -1,  5119,  5120,  5121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5130,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,  1598,    15,    16,    17,    -1,
      -1,    -1,    -1,  5147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,  5161,    -1,  1622,
      -1,    40,    -1,    -1,    -1,    -1,    -1,  1630,    47,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1642,
      -1,  5185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,  1185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5212,  5213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,    -1,   185,    -1,    -1,    -1,    -1,  1215,
      -1,    -1,    -1,  5237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,   207,    -1,    -1,    -1,
    5254,    -1,    -1,  1716,  1717,    -1,  5260,  1243,  1244,  1245,
     221,  1247,    -1,    -1,    -1,  1728,    -1,    -1,    -1,    -1,
      -1,    -1,   629,    -1,    -1,    -1,  1739,  1740,    -1,    -1,
    5284,  1267,  5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1755,   254,    -1,    -1,   653,  5301,  5302,  5303,
      -1,   180,  2081,    -1,    -1,    -1,   185,   268,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2099,    -1,  1308,    -1,    -1,  2104,  2105,   206,   207,    -1,
    2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1336,    -1,    -1,    -1,  1340,  1341,  2135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,  2157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,
      -1,    -1,   271,   354,    -1,    -1,    -1,    -1,    -1,    -1,
    2179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,  2197,  2198,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2228,
    2229,    -1,    -1,  2232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   354,  2255,    -1,  2257,    -1,
      -1,    -1,    -1,    -1,  2263,    -1,    -1,    -1,    -1,   450,
      -1,  2270,   453,   454,   455,  2274,   457,   458,   459,   460,
     461,   462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2294,    -1,    -1,    -1,    -1,
    2299,    -1,    -1,    -1,  2303,    -1,    -1,  2306,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   926,
      -1,   450,    -1,    -1,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2394,    -1,    -1,  2081,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2099,    -1,    -1,    -1,
      -1,  2104,  2105,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2117,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,
      -1,    -1,  2135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   653,
      -1,  1048,  2471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2197,  2198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2228,  2229,    -1,    -1,  2232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2255,    -1,  2257,    -1,  1153,    -1,    -1,    -1,
    2263,  2580,    -1,    -1,    -1,    -1,    -1,  2270,    -1,  2588,
      -1,  2274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2598,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2294,    -1,    -1,    -1,    -1,  2299,    -1,    -1,    -1,
    2303,    -1,  1828,  2306,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2316,    -1,  1841,    -1,  1843,    -1,    -1,
    1846,  1847,  1848,    -1,    -1,    -1,  2329,  1853,    -1,    -1,
    1856,    -1,    -1,    -1,    -1,    -1,  2339,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,  1871,  1872,  1873,  1874,  2668,
      -1,    -1,    -1,  1879,    -1,  2674,    -1,  1883,    -1,    -1,
    1886,    -1,    -1,  1889,  1890,  1891,  1892,  1893,  1894,  1895,
    1896,  1897,    -1,  1899,    -1,    -1,    -1,    -1,    -1,    -1,
    1906,    -1,  1908,    -1,    -1,    -1,    -1,    -1,    72,    -1,
      -1,  2394,    -1,    -1,    -1,    -1,    -1,  1294,    -1,    -1,
      -1,    -1,    -1,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   926,    -1,    -1,    -1,    -1,   111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,
    2759,    -1,    -1,    -1,   128,   949,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,   653,
     964,    -1,  1359,   147,    -1,    -1,    -1,    -1,  2471,    -1,
      -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,
     164,    -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,
      -1,    -1,    -1,   629,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,
    2036,    -1,    -1,    -1,    -1,    -1,    -1,   653,    -1,  2838,
    2839,  2524,    -1,    -1,    -1,    -1,    -1,    -1,  1425,   213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1048,    -1,  2865,    -1,    -1,  2868,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1464,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2580,    -1,    -1,
      -1,    -1,    -1,    -1,   268,  2588,    -1,    -1,    -1,    -1,
    1487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,    -1,    -1,
      -1,    -1,  2138,    -1,    -1,    -1,   300,    -1,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2949,  2950,  2951,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,  1153,
     334,    -1,   336,    -1,  2973,    -1,    -1,    -1,    -1,   343,
      -1,    -1,   346,    -1,    -1,  2668,    -1,    -1,    -1,    -1,
    1567,  2674,    -1,    -1,  2993,    -1,    -1,    -1,    -1,    -1,
      -1,   365,    -1,    -1,    -1,  1582,    -1,   371,    -1,  3008,
      -1,   375,   376,    -1,  1591,   379,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,   392,    -1,
      -1,    -1,    -1,   397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,
      -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,   422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   949,  2759,    -1,    -1,    -1,
      -1,  1658,    -1,    -1,    -1,    -1,    -1,  3086,    -1,    -1,
     964,    -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1684,    -1,    -1,
     926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1696,
      -1,    -1,    -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,
      -1,    -1,  3131,   949,  3133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3146,   964,  3148,
      -1,    -1,    -1,    -1,    -1,  2838,  2839,    -1,    -1,  1736,
    1737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3170,    -1,    -1,  1048,  1359,    -1,    -1,  2384,    -1,
      -1,    -1,  2865,    -1,    -1,  2868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3259,    -1,    -1,    -1,    -1,    -1,  2949,  2950,  2951,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3275,    -1,    -1,  1153,
    1464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2973,    -1,    -1,  1870,    -1,    -1,    -1,    -1,  3297,    -1,
      -1,  3300,    -1,  1487,    -1,    -1,    -1,    -1,    -1,    -1,
    2993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3008,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1153,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3378,
      -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,    -1,
      -1,    -1,    -1,  3086,    -1,    -1,    -1,  1591,    -1,    -1,
      -1,    -1,    -1,  2619,    -1,    -1,    -1,    -1,  2624,  1603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,  2649,    -1,    -1,    -1,    -1,  3131,    -1,
    3133,    -1,    -1,    -1,  2660,    -1,  2662,  2663,    -1,    -1,
      -1,    -1,    -1,  3146,    -1,  3148,    -1,  2673,    -1,    -1,
    2676,    -1,  2678,    -1,  1658,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1359,    -1,  3170,  1672,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1684,  2707,    -1,  2709,    -1,  2711,    -1,    -1,    -1,    -1,
      -1,  2088,  1696,    -1,    -1,  2092,  2093,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3211,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2744,  2745,
    2746,  3540,    -1,  1359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1425,  1736,  1737,    -1,    -1,  2762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2773,    -1,    -1,
      -1,    -1,  2778,    -1,    -1,    -1,  3259,  2154,  2784,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2166,
    1464,  3590,  3275,    -1,    -1,    -1,  3595,    -1,  3597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1425,
      -1,    -1,    -1,  1487,  3297,    -1,    -1,  3300,    20,    -1,
    3619,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,  2206,
      -1,    -1,    -1,    -1,    -1,    37,    -1,  3636,  2844,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1464,    -1,
      -1,    -1,  3651,    -1,    -1,  3654,    -1,    59,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      72,  1487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    87,  1870,    -1,    -1,    -1,
      -1,    -1,    -1,  1567,    -1,  3378,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,  1582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1591,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   128,    -1,    -1,  1603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,  3741,  3742,    -1,   147,    -1,    -1,    -1,    -1,
      -1,  1567,  3751,    -1,    -1,    -1,    -1,   159,    -1,    -1,
      -1,    -1,   164,    -1,    -1,    -1,  1582,    -1,    -1,   171,
      -1,  3770,    -1,    -1,    -1,  1591,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1658,    -1,   188,  1603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1672,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,    -1,
    1684,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1658,  3842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1672,  3540,    -1,    -1,
      -1,    -1,  1736,  1737,    -1,    -1,   268,    -1,  1684,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
    1696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,
    2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,
      -1,   303,    -1,    -1,  2088,    -1,    -1,  3590,  2092,  2093,
      -1,    -1,  3595,    -1,  3597,    -1,    -1,    -1,    -1,    -1,
    1736,  1737,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
      -1,    -1,   334,    -1,   336,    -1,  3619,    -1,    -1,    -1,
      -1,   343,    -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3636,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,  3651,   371,
    2154,  3654,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,
      -1,   383,  2166,    -1,    -1,    -1,    -1,    -1,   390,    -1,
     392,    -1,    -1,    -1,    -1,   397,  1870,    -1,    -1,    -1,
      -1,  2578,    -1,    -1,    -1,    -1,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2595,    -1,
     422,    -1,  2206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1870,    -1,    -1,    -1,  3741,  3742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3751,    -1,
    4069,    -1,    -1,    -1,    -1,  4074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4106,    -1,    -1,
      -1,    -1,  3318,    -1,    -1,    -1,    -1,    -1,    -1,  4118,
      -1,  3327,    -1,    -1,    -1,    -1,    -1,  3333,    -1,  3335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4145,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3362,  3363,    -1,  3842,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3388,    -1,    -1,  3391,    -1,  3393,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3402,    -1,    -1,    -1,
      -1,  2385,    -1,    -1,  3410,  3411,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    -1,  2088,    -1,    -1,    25,  2092,  2093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    -1,    -1,  2813,  3443,  4237,  2816,
      -1,  2818,    -1,  3449,  3450,  3451,  2823,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    72,    -1,    -1,    -1,    -1,  3475,
      -1,    -1,  2088,    -1,    -1,    83,  2092,  2093,    -1,    87,
    2154,    -1,    -1,  2467,    -1,  3491,    -1,    -1,    -1,    -1,
      -1,    -1,  2166,    -1,    -1,  2872,    -1,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,    -1,    -1,    -1,    -1,    -1,
    4309,    -1,  2889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,  2206,    -1,    -1,    -1,    -1,  2914,  2154,   147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,   159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     188,    -1,    -1,    -1,    -1,    -1,  4069,    -1,    -1,    -1,
    2206,  4074,    -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,  2985,    -1,
      -1,  2595,    -1,    -1,    -1,    -1,    -1,   225,    -1,  4418,
      -1,  4420,    -1,  4106,  2608,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,    -1,  4145,   271,  4463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4472,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,  3066,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
     629,    -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,  4508,
      -1,  2385,    -1,    -1,    -1,  4514,    -1,  3094,    -1,    -1,
      -1,   329,    -1,    -1,   653,    -1,    -1,    -1,   336,    -1,
      -1,    -1,    -1,    -1,    -1,   343,    -1,    -1,   346,    -1,
    3117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,
      -1,    -1,    -1,    -1,  4237,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,   371,    -1,    -1,    -1,    -1,   376,  2385,
      -1,   379,   380,    -1,   382,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,   397,
    3796,  3797,    -1,  2467,    -1,   403,    -1,    -1,   406,    -1,
      -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   422,    -1,    -1,  3194,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4309,    -1,    -1,  2813,
      -1,    -1,  2816,    -1,  2818,  3212,    -1,    -1,    -1,  2823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,    -1,
      -1,  2467,    -1,    -1,    -1,    -1,    -1,  3863,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3874,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2578,  2889,    -1,    -1,  3914,  3915,
      -1,    -1,    -1,    -1,    -1,  3921,  3922,    -1,    -1,    -1,
    3926,  2595,    -1,    -1,   629,  3931,    -1,    -1,  3934,  3935,
    2914,    -1,  4731,  3939,  2608,  4418,    -1,  4420,    -1,  3945,
      -1,    -1,    -1,    -1,  3321,    -1,    -1,    -1,   653,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2578,    -1,    -1,  3342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3982,    -1,    -1,  2595,
    4463,  3987,   629,    -1,    -1,    -1,    -1,  3993,    -1,    -1,
    3367,    -1,  2608,    -1,    -1,    -1,    -1,   926,    -1,  2983,
      -1,  2985,  4008,    -1,    -1,    -1,   653,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     949,    -1,    -1,    -1,  3401,  4508,    -1,    -1,  4034,    -1,
      -1,    -1,    -1,    -1,    -1,   964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1048,
    3497,    -1,    -1,    -1,  4923,    -1,  4925,    -1,  4134,    -1,
      -1,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,  2813,
      -1,  3125,  2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4200,    -1,    -1,  2813,  2872,    -1,
    2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,    -1,    -1,
    3194,    -1,  4695,    -1,    -1,  2889,    -1,    -1,  5017,  3596,
      -1,   926,    -1,    -1,  1153,    -1,    -1,    -1,  3212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,    -1,
    2914,  3225,    -1,  3620,   949,    -1,    -1,    -1,  4731,  5048,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,   964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2889,    -1,    -1,    -1,    -1,    -1,   926,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2914,    -1,
      -1,    -1,   949,    -1,    -1,    -1,    -1,    -1,    -1,  2983,
      -1,  2985,    -1,    -1,    -1,    -1,    -1,   964,    -1,    -1,
    5119,  5120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,
      -1,    -1,    -1,  1048,    -1,  4351,  4352,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,
      -1,    -1,  5161,    -1,    -1,    -1,    -1,  2983,  3745,  2985,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3367,    -1,    -1,    -1,  4393,  4394,    -1,
      -1,    -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1048,    -1,    -1,    -1,    -1,    -1,  4413,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3401,  3795,    -1,
    3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5237,    -1,
    4923,    -1,  4925,  3117,    -1,    -1,    -1,    -1,  1153,    -1,
    3066,  3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1425,    -1,    -1,    -1,
      -1,  3117,  5301,  5302,  5303,    -1,  1153,    -1,    -1,  3125,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
    3194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5017,  1464,    -1,    -1,  3212,    -1,
    3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3927,  3225,  5035,    -1,    -1,    -1,    -1,    -1,  1487,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4611,    -1,    -1,    -1,  3225,
      -1,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4639,    -1,    -1,  3620,    -1,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3321,  4654,    -1,
      -1,    -1,    -1,  1582,  1359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1591,    -1,    -1,    -1,    -1,    -1,  3342,    -1,
      -1,    -1,    -1,    -1,  1603,  4052,    -1,    -1,  5161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3321,    -1,  4713,    -1,    -1,
      -1,    -1,  1359,  4090,    -1,    -1,    -1,    -1,    -1,    -1,
    1425,    -1,    -1,    -1,    -1,    -1,  3342,  3401,    -1,  1658,
      -1,    -1,    -1,    -1,  4111,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,  5237,  1684,    -1,    -1,    -1,  1464,
      -1,  3745,    -1,    -1,    -1,    -1,    -1,  1696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1425,    -1,
      -1,    -1,  1487,    -1,    -1,  3401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4176,
      -1,    -1,    -1,  5286,    -1,    -1,    -1,  1736,  1737,    -1,
      -1,  3795,    -1,    -1,    -1,    -1,    -1,  1464,  5301,    -1,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4865,
      -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,    -1,    -1,
      -1,  3497,    -1,    -1,    -1,  4891,  1591,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1567,    -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3917,    -1,  1582,    -1,    -1,    -1,    -1,
      -1,  1870,    -1,  3927,  1591,    -1,  3620,    -1,    -1,    -1,
      -1,    -1,  4329,  1658,    -1,    -1,  1603,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1672,    -1,  4975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1684,
    3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5008,  5009,  3620,    -1,    -1,    -1,    -1,    -1,
      -1,  1658,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5026,    -1,    -1,    -1,    -1,  1672,    -1,    -1,    -1,    -1,
      -1,  1736,  1737,    -1,    -1,    -1,    -1,  1684,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1696,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,
      -1,  3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,  1736,
    1737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5121,    -1,    -1,    -1,    -1,
      -1,  3795,    -1,    -1,    -1,    -1,    -1,  4111,    -1,  3745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2088,
      -1,    -1,    -1,  2092,  2093,  1870,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,
      -1,    -1,    25,  1870,    -1,  2154,    -1,    -1,    -1,    -1,
      -1,    -1,  4609,    -1,    -1,    -1,    -1,  2166,    -1,    -1,
      -1,    -1,    -1,  3917,    -1,    -1,    -1,    -1,  5254,    -1,
      -1,    -1,    -1,  3927,  5260,    -1,    59,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    72,
      73,    -1,  4649,    -1,    -1,    -1,    -1,  2206,    -1,    -1,
      83,    -1,    -1,    -1,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3917,   105,  4287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   128,  4703,    -1,    -1,    -1,
      -1,  4708,  4709,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,  4329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,
      -1,   164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,
      -1,    -1,    -1,  2088,    -1,   188,    -1,  2092,  2093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,  4052,  4111,    -1,    -1,
      -1,  2088,  4819,    -1,    -1,  2092,  2093,    -1,    -1,  2154,
      -1,    -1,    -1,    -1,    -1,    -1,  2385,    -1,    -1,    -1,
      -1,  2166,    -1,    -1,    -1,   268,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,  4462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4111,    -1,   300,    -1,    -1,
     303,  2206,  4176,    -1,    -1,    -1,    -1,  2154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2166,
      -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,
      -1,   334,    -1,   336,    -1,    -1,    -1,    -1,  2467,    -1,
     343,    -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2206,
    4176,    -1,   365,    -1,    -1,    -1,    -1,    -1,   371,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,   390,    -1,   392,
      -1,    -1,    -1,    -1,   397,    -1,    -1,    -1,    -1,    -1,
    4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4287,    -1,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5020,    -1,    -1,    -1,    -1,    -1,  2578,
      -1,    -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4649,  2595,    -1,    -1,    -1,
      -1,  4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,
    2385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1259,    -1,
      -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,  4703,
      -1,    -1,    -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2578,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2813,    -1,    -1,  2816,    -1,  2818,
    2595,    -1,    -1,    -1,  2823,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,
    4584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2578,    -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,  2595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2889,  2608,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2914,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,
      -1,    -1,    -1,  4649,  4708,  4709,  5020,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2983,    -1,  2985,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,
      -1,    -1,  4708,  4709,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2813,    -1,
      -1,  2816,    -1,  2818,    -1,    -1,    -1,    -1,  2823,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3094,  2813,  2872,    -1,  2816,
      -1,  2818,    -1,    -1,    -1,    -1,  2823,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2889,    -1,    -1,    -1,  3117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3125,    -1,    -1,    -1,
      -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,    -1,  2914,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3194,    -1,  2914,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1826,    -1,    -1,  2983,    -1,
    2985,    -1,    -1,  3212,    -1,    -1,    -1,    -1,    -1,  1840,
      -1,    -1,    -1,  1844,    -1,    -1,  3225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1858,  1859,  1860,
      -1,  1862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,  2985,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5020,    -1,    -1,    -1,
      -1,    -1,    -1,  1904,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,
    1941,    -1,  3321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3117,  3342,    -1,    -1,    -1,    -1,    -1,  3066,
    3125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3117,    -1,  3401,    -1,    -1,    -1,    -1,    -1,  3125,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,
      -1,    -1,    -1,    -1,  2045,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2057,  3212,    -1,  2060,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,  3497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3367,    -1,    -1,    -1,    -1,  3596,    -1,    -1,
      -1,    -1,    -1,    -1,  3321,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3620,    -1,    -1,    -1,  3342,  3401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3596,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3620,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3795,  2642,    -1,  2644,    -1,    -1,  2647,  2648,  3745,  2650,
      -1,  2652,    -1,    -1,    -1,  2656,    -1,    -1,  2659,    -1,
      -1,    -1,    -1,  2664,    -1,    -1,    -1,    -1,    -1,  2670,
      -1,    -1,    -1,  4052,  2675,    -1,    -1,    -1,    -1,    -1,
      -1,  2682,  2683,  2684,  2685,    -1,    -1,    -1,  2689,  2690,
      -1,  2692,    -1,    -1,    -1,    -1,    -1,    -1,  3795,    -1,
      -1,    -1,    -1,  2704,    -1,  2706,    -1,    -1,    -1,    -1,
      -1,  4090,  2713,  2714,  2715,  2716,  2717,  2718,  2719,  2720,
    2721,  2722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2750,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3917,    -1,    -1,    -1,    -1,    -1,    -1,  2770,
      -1,    -1,  3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4176,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2859,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4329,    -1,    -1,    -1,    -1,  4052,  4111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4111,    -1,    -1,    -1,    -1,    -1,
      -1,  4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4176,
      -1,    -1,    -1,  4462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3120,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4609,    -1,  4329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3317,    -1,    -1,    -1,
      -1,    -1,  3323,    -1,  4703,    -1,    -1,    -1,    -1,  4708,
    4709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3339,  3340,
      -1,    -1,  3343,  3344,  3345,  3346,    -1,    -1,  3349,  3350,
    3351,  3352,  3353,  3354,  3355,  3356,  3357,  3358,  3359,    -1,
      -1,    -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3381,    -1,    -1,  3384,    -1,  3386,    -1,    -1,  3389,  3390,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3404,  3405,  3406,  3407,    -1,  3409,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4609,    -1,    -1,    -1,  3459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,    -1,    -1,
      -1,    -1,    -1,    -1,  4649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,
      -1,    -1,  4609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,
      -1,    -1,  4649,  4708,  4709,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4703,    -1,    -1,    -1,
      -1,  4708,  4709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4819,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3716,    -1,    -1,    -1,    -1,
      -1,    -1,  4819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3864,    -1,  5020,    -1,  3868,  3869,  3870,
      -1,    -1,    -1,    -1,    -1,  3876,  3877,  3878,  3879,    -1,
      -1,    -1,    -1,  3884,  3885,  3886,  3887,  3888,  3889,  3890,
    3891,  3892,  3893,  3894,  3895,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3920,
      -1,    -1,  3923,  5020,  3925,    -1,    -1,    -1,  3929,    -1,
      -1,  3932,  3933,    -1,    -1,  3936,  3937,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3984,    -1,    -1,    -1,    -1,    -1,    -1,
    3991,  3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4007,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4020,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4282,  4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
      -1,    -1,    -1,  4324,  4325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4339,    -1,
    4341,    -1,    -1,    -1,  4345,  4346,  4347,    -1,    -1,  4350,
      -1,    -1,  4353,  4354,    -1,    -1,    -1,  4358,    -1,    -1,
      -1,  4362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4607,  4608,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4623,  4624,  4625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4661,  4662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4845,    -1,    -1,  4848,    -1,    -1,
      -1,  4852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5014,    -1,  5016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5046,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5098,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5212,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,  5256,  5257,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,  5282,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,   125,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,   467,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,   467,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,    -1,    -1,     3,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,   467,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   467,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,   467,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    -1,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,   447,   448,   449,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,   467,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,   216,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,   464,   465,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
     459,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,   162,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   466,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,    -1,    -1,    -1,    -1,    -1,    -1,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
      -1,    -1,    -1,    -1,    -1,    -1,   457,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   457,   458,    -1,    -1,     3,     4,
       5,     6,     7,   466,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,   409,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,   409,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,     4,     5,     6,
       7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
      -1,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,    -1,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,   267,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
     409,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,   409,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   466,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,     3,
      -1,    -1,    -1,    -1,   457,   458,   459,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   466,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
      -1,    -1,     8,     9,    -1,    -1,    -1,    -1,   466,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    -1,    -1,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,     3,     4,     5,
      -1,    -1,     8,     9,    -1,    -1,    -1,    -1,    -1,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,    -1,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,     3,    -1,   453,   454,   455,
       8,   457,   458,   459,   460,   461,   462,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,     3,    -1,   453,   454,   455,     8,   457,
     458,   459,   460,   461,   462,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,     3,    -1,   453,   454,   455,     8,   457,   458,   459,
     460,   461,   462,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,     3,
      -1,   453,   454,   455,     8,   457,   458,   459,   460,   461,
     462,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,     3,    -1,   453,
     454,   455,     8,   457,   458,   459,   460,   461,   462,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,     3,    -1,   453,   454,   455,
       8,   457,   458,   459,   460,   461,   462,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,     3,    -1,   453,   454,   455,     8,   457,
     458,   459,   460,   461,   462,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     459,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,   459,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,    -1,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,    -1,   392,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,    -1,    -1,    -1,   447,   448,
     449,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
     459,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,     4,     5,    -1,    -1,    -1,
       9,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,     4,     5,    -1,    -1,    -1,     9,   457,   458,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
       5,    -1,    -1,    -1,     9,   457,   458,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,     9,   457,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,   162,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,     4,     5,    -1,    -1,    -1,     9,   457,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,   409,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    30,    31,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    -1,    -1,    73,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,   168,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    90,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,   168,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,   267,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,   409,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,   409,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,   267,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
     267,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
      -1,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    -1,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,   146,   147,   148,   149,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,   170,
      -1,   172,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,   218,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,    -1,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    -1,    50,    51,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    -1,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    93,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,   146,   147,   148,   149,    -1,   151,    -1,   153,
     154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,
     164,   165,   166,   167,    -1,   169,   170,    -1,   172,   173,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,   213,
     214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
      -1,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
     274,    -1,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,   377,    -1,   379,   380,   381,   382,   383,
      -1,   385,   386,    -1,    -1,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,    -1,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    -1,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    -1,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,   146,
     147,   148,   149,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,
     167,    -1,   169,   170,    -1,   172,   173,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,    -1,
      -1,   208,    -1,   210,   211,   212,   213,   214,    -1,    -1,
     217,   218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
     377,    -1,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    -1,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,
     170,    -1,   172,   173,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,    -1,
     210,   211,   212,   213,   214,    -1,    -1,   217,   218,    -1,
     220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
      -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    -1,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    -1,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    -1,    92,
      93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,   146,   147,   148,   149,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,    -1,    -1,
      -1,   164,   165,   166,   167,    -1,   169,   170,    -1,   172,
     173,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,   212,
     213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,    -1,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,   274,    -1,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,    -1,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,    -1,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    -1,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    -1,    -1,    -1,    74,    75,
      76,    77,    78,    -1,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    -1,    92,    93,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
     146,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,   165,
     166,   167,    -1,   169,   170,    -1,   172,   173,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
      -1,    -1,   208,    -1,   210,   211,   212,   213,   214,    -1,
      -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,    -1,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,   377,    -1,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,    -1,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      -1,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      -1,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,    -1,
     169,   170,    -1,   172,   173,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,   208,
      -1,   210,   211,   212,   213,   214,    -1,    -1,   217,   218,
      -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,    -1,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,    -1,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    -1,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    -1,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    -1,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,   146,   147,   148,   149,    -1,   151,
      -1,   153,   154,   155,   156,    -1,   158,    -1,   160,    -1,
      -1,    -1,   164,   165,   166,   167,    -1,   169,   170,    -1,
     172,   173,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,    -1,    -1,   208,    -1,   210,   211,
     212,   213,   214,    -1,    -1,   217,   218,    -1,   220,    -1,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,   274,    -1,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,   377,    -1,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,    -1,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    -1,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    -1,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    -1,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,   146,   147,   148,   149,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,    -1,    -1,    -1,   164,
     165,   166,   167,    -1,   169,   170,    -1,   172,   173,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,    -1,    -1,   208,    -1,   210,   211,   212,   213,   214,
      -1,    -1,   217,   218,    -1,   220,    -1,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,    -1,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,   274,
      -1,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,   377,    -1,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,    -1,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    -1,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    -1,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    -1,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,   146,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,    -1,    -1,    -1,   164,   165,   166,   167,
      -1,   169,   170,    -1,   172,   173,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,    -1,    -1,
     208,    -1,   210,   211,   212,   213,   214,    -1,    -1,   217,
     218,    -1,   220,    -1,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,    -1,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,    -1,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,    -1,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
      -1,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,   377,
      -1,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,    -1,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    72,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,   108,   109,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,   160,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,    -1,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    -1,
      -1,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,    -1,   385,   386,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    57,
      -1,    -1,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    -1,    -1,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,    -1,   114,   115,   116,   117,
     118,   119,    -1,   121,   122,   123,   124,    -1,    -1,   127,
     128,   129,   130,   131,    -1,   133,   134,   135,    -1,   137,
     138,   139,    -1,   141,   142,   143,   144,    -1,   146,   147,
     148,    -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,   160,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,    -1,   196,   197,
     198,   199,   200,   201,    -1,   203,    -1,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,   217,
      -1,   219,   220,   221,    -1,   223,   224,   225,    -1,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,    -1,   264,   265,    -1,    -1,
     268,   269,   270,    -1,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
      -1,   289,   290,    -1,   292,    -1,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,    -1,   374,   375,    -1,   377,
     378,   379,   380,   381,   382,   383,    -1,   385,   386,    -1,
      -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,   397,
     398,   399,   400,   401,    -1,    -1,   404,   405,   406,   407,
     408,    -1,    -1,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,    -1,    -1,   427,
      -1,    -1,   430,   431,   432,   433,   434,   435,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,   449,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    -1,    -1,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    -1,    91,    92,    93,    94,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,    -1,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
      -1,    -1,   127,   128,   129,   130,   131,    -1,   133,   134,
     135,    -1,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,   160,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
      -1,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,    -1,   264,
     265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,    -1,   292,    -1,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,    -1,   374,
     375,    -1,   377,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,
     395,   396,   397,   398,   399,   400,   401,    -1,    -1,   404,
     405,   406,   407,   408,    -1,    -1,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
      -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,   434,
     435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   447,   448,   449,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    -1,    -1,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    -1,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    -1,    91,
      92,    93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,
     102,   103,   104,   105,   106,   107,   108,   109,   110,    -1,
     112,    -1,   114,   115,   116,   117,   118,   119,    -1,   121,
     122,   123,   124,    -1,    -1,   127,   128,   129,   130,   131,
      -1,   133,   134,   135,    -1,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,   151,
      -1,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,    -1,    -1,
      -1,   173,    -1,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,    -1,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,    -1,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    -1,    -1,
     252,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,    -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,
      -1,   273,    -1,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,   290,    -1,
     292,    -1,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,    -1,   374,   375,    -1,   377,   378,   379,   380,   381,
     382,   383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,
     392,    -1,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,
     432,   433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    -1,
      -1,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    -1,    -1,    72,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,
      -1,    -1,    -1,   102,   103,   104,   105,   106,   107,   108,
     109,   110,    -1,   112,    -1,   114,   115,   116,   117,   118,
     119,    -1,   121,   122,   123,   124,    -1,    -1,   127,   128,
     129,   130,   131,    -1,   133,   134,   135,    -1,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,   151,    -1,   153,   154,   155,   156,    -1,   158,
      -1,   160,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,    -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,    -1,   196,   197,   198,
     199,   200,   201,    -1,   203,    -1,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,   224,   225,    -1,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,    -1,   264,   265,    -1,    -1,   268,
     269,   270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,    -1,   292,    -1,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,    -1,   374,   375,    -1,   377,   378,
     379,   380,   381,   382,   383,    -1,   385,   386,    -1,    -1,
     389,   390,    -1,   392,    -1,    -1,   395,   396,   397,   398,
     399,   400,   401,    -1,    -1,   404,   405,   406,   407,   408,
      -1,    -1,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,    -1,    -1,   427,    -1,
      -1,   430,   431,   432,   433,   434,   435,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
     449,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    57,    -1,    -1,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    -1,    -1,    72,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    -1,    91,    92,    93,    94,    -1,
      -1,    -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,    -1,   114,   115,
     116,   117,   118,   119,    -1,   121,   122,   123,   124,    -1,
      -1,   127,   128,   129,   130,   131,    -1,   133,   134,   135,
      -1,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
     146,   147,   148,    -1,    -1,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,   160,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,    -1,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    -1,    -1,   252,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,    -1,   292,    -1,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,    -1,   374,   375,
      -1,   377,   378,   379,   380,   381,   382,   383,    -1,   385,
     386,    -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,
     396,   397,   398,   399,   400,   401,    -1,    -1,   404,   405,
     406,   407,   408,    -1,    -1,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,    -1,    -1,   430,   431,   432,   433,   434,   435,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   447,   448,   449,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    57,    -1,    -1,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    -1,    -1,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    87,    88,    89,    -1,    91,    92,
      93,    94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,
     103,   104,   105,   106,   107,   108,   109,   110,    -1,   112,
      -1,   114,   115,   116,   117,   118,   119,    -1,   121,   122,
     123,   124,    -1,    -1,   127,   128,   129,   130,   131,    -1,
     133,   134,   135,    -1,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,
     153,   154,   155,   156,    -1,   158,    -1,   160,   161,    -1,
     163,   164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,
     173,    -1,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,    -1,   196,   197,   198,   199,   200,   201,    -1,
     203,    -1,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,   224,   225,    -1,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    -1,    -1,   252,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
      -1,   264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,
     273,    -1,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,    -1,   289,   290,    -1,   292,
      -1,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,    -1,   385,   386,    -1,    -1,   389,   390,    -1,   392,
      -1,    -1,   395,   396,   397,   398,   399,   400,   401,    -1,
      -1,   404,   405,   406,   407,   408,    -1,    -1,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,
     433,   434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    -1,    -1,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      -1,    -1,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      -1,    91,    92,    93,    94,    -1,    -1,    -1,    98,    -1,
      -1,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,    -1,   114,   115,   116,   117,   118,   119,
      -1,   121,   122,   123,   124,    -1,    -1,   127,   128,   129,
     130,   131,    -1,   133,   134,   135,    -1,   137,   138,   139,
      -1,   141,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
     160,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
      -1,    -1,    -1,   173,    -1,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,    -1,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      -1,    -1,   252,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,    -1,   264,   265,    -1,    -1,   268,   269,
     270,    -1,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,    -1,   292,    -1,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,    -1,   374,   375,    -1,   377,   378,   379,
     380,   381,   382,   383,    -1,   385,   386,    -1,    -1,   389,
     390,    -1,   392,    -1,    -1,   395,   396,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,   407,   408,    -1,
      -1,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,
     430,   431,   432,   433,   434,   435,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    -1,    -1,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    -1,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    -1,    91,    92,    93,    94,    -1,    -1,
      -1,    98,    -1,    -1,    -1,   102,   103,   104,   105,   106,
     107,   108,   109,   110,    -1,   112,    -1,   114,   115,   116,
     117,   118,   119,    -1,   121,   122,   123,   124,    -1,    -1,
     127,   128,   129,   130,   131,    -1,   133,   134,   135,    -1,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,   151,    -1,   153,   154,   155,   156,
      -1,   158,    -1,   160,   161,    -1,   163,   164,   165,   166,
     167,    -1,   169,    -1,    -1,    -1,   173,    -1,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,    -1,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,   224,   225,    -1,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    -1,    -1,   252,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,    -1,   264,   265,    -1,
      -1,   268,   269,   270,    -1,    -1,   273,    -1,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,    -1,   292,    -1,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,    -1,   352,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,    -1,   374,   375,    -1,
     377,   378,   379,   380,   381,   382,   383,    -1,   385,   386,
      -1,    -1,   389,   390,    -1,   392,    -1,    -1,   395,   396,
     397,   398,   399,   400,   401,    -1,    -1,   404,   405,   406,
     407,   408,    -1,    -1,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,    -1,    -1,
     427,    -1,    -1,   430,   431,   432,   433,   434,   435,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,   449,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    -1,    -1,    49,    -1,    -1,    -1,    53,
      54,    55,    56,    57,    -1,    -1,    60,    61,    -1,    -1,
      64,    -1,    66,    67,    68,    69,    -1,    -1,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    -1,    91,    92,    93,
      94,    -1,    -1,    -1,    98,    -1,    -1,    -1,   102,   103,
     104,   105,   106,   107,    -1,    -1,   110,    -1,   112,    -1,
     114,   115,   116,   117,   118,   119,    -1,   121,   122,   123,
     124,    -1,    -1,   127,   128,   129,   130,   131,    -1,   133,
     134,   135,    -1,   137,   138,   139,    -1,   141,   142,   143,
     144,    -1,   146,   147,   148,    -1,    -1,   151,    -1,   153,
     154,    -1,   156,    -1,   158,    -1,   160,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,    -1,    -1,    -1,   173,
      -1,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,    -1,   196,   197,   198,   199,    -1,    -1,    -1,    -1,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,
     224,   225,    -1,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,   247,   248,   249,    -1,    -1,   252,   253,
     254,   255,    -1,    -1,   258,    -1,   260,   261,   262,    -1,
     264,   265,    -1,    -1,   268,   269,   270,    -1,    -1,   273,
      -1,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,    -1,   292,    -1,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,    -1,   349,   350,    -1,   352,   353,
     354,   355,   356,    -1,   358,    -1,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,    -1,
     374,   375,    -1,   377,   378,   379,   380,   381,   382,   383,
      -1,    -1,    -1,    -1,    -1,   389,   390,    -1,   392,    -1,
      -1,   395,   396,   397,   398,   399,   400,   401,    -1,    -1,
     404,   405,   406,   407,   408,    -1,    -1,   411,   412,   413,
     414,   415,    -1,    -1,    -1,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,    -1,    -1,   430,   431,   432,   433,
     434,   435,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   448,   449,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    54,    55,    56,    57,    -1,    -1,    60,
      61,    -1,    -1,    64,    -1,    66,    67,    68,    69,    -1,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    -1,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    -1,
      -1,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,   106,   107,    -1,    -1,   110,
      -1,   112,    -1,   114,   115,   116,   117,   118,   119,    -1,
     121,   122,   123,   124,    -1,    -1,   127,   128,   129,   130,
     131,    -1,   133,   134,   135,    -1,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
     151,    -1,   153,   154,    -1,   156,    -1,   158,    -1,   160,
      -1,    -1,    -1,   164,   165,   166,   167,    -1,   169,    -1,
      -1,    -1,   173,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,   190,
     191,    -1,   193,    -1,    -1,   196,   197,   198,   199,    -1,
      -1,    -1,    -1,    -1,   205,    -1,    -1,   208,    -1,   210,
     211,   212,   213,   214,    -1,    -1,   217,    -1,    -1,   220,
      -1,    -1,   223,   224,   225,    -1,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,    -1,    -1,   247,   248,   249,    -1,
      -1,   252,   253,    -1,   255,    -1,    -1,   258,    -1,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,   273,    -1,    -1,   276,    -1,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,   290,
      -1,   292,    -1,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,   327,    -1,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
      -1,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,    -1,   374,   375,    -1,   377,    -1,   379,   380,
     381,   382,   383,    -1,    -1,    -1,    -1,    -1,   389,   390,
      -1,   392,    -1,    -1,   395,   396,   397,   398,   399,   400,
     401,    -1,    -1,   404,   405,   406,   407,   408,    -1,    -1,
     411,   412,   413,   414,   415,    -1,    -1,    -1,   419,    -1,
     421,   422,   423,   424,    -1,    -1,   427,    -1,    -1,   430,
     431,   432,   433,   434,   435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,   449
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    46,    66,    68,    69,    75,
      77,    88,    90,   107,   110,   124,   126,   130,   136,   144,
     146,   152,   168,   184,   223,   224,   229,   241,   253,   295,
     308,   314,   315,   317,   322,   327,   330,   335,   341,   342,
     349,   353,   363,   376,   395,   405,   411,   416,   429,   452,
     466,   473,   474,   475,   476,   482,   483,   485,   486,   487,
     488,   490,   494,   506,   511,   512,   515,   516,   517,   537,
     540,   541,   557,   600,   601,   604,   607,   608,   609,   617,
     623,   625,   627,   628,   631,   634,   635,   639,   648,   652,
     653,   654,   655,   658,   660,   661,   662,   663,   671,   672,
     691,   695,   697,   698,   699,   709,   711,   718,   719,   722,
     723,   724,   725,   726,   734,   736,   740,   745,   749,   750,
     758,   759,   762,   767,   778,   805,   808,   809,   810,   815,
     818,   820,   822,   824,   825,   830,   831,   834,   835,   836,
     840,   841,   844,   845,   848,   849,   850,   857,   859,   860,
     861,   866,   868,   869,   875,   876,   877,   878,   879,   880,
     881,   883,   884,   886,   887,   889,   892,   893,   898,   904,
     907,   909,   910,   919,   921,   926,   931,   935,   936,   937,
     938,   939,   940,   943,   978,   389,   432,   862,    25,    72,
      87,   105,   111,   128,   139,   147,   159,   164,   171,   188,
     213,   234,   268,   290,   300,   303,   329,   334,   336,   343,
     346,   365,   371,   375,   376,   379,   383,   392,   397,   409,
     422,   624,   862,     3,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    37,    38,    40,    41,
      42,    44,    45,    46,    47,    48,    50,    51,    53,    54,
      55,    56,    57,    60,    61,    62,    63,    64,    66,    67,
      68,    69,    70,    74,    75,    76,    77,    78,    80,    81,
      82,    84,    85,    86,    87,    88,    89,    92,    93,    94,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   112,
     114,   115,   116,   117,   118,   119,   121,   122,   123,   124,
     127,   128,   129,   130,   131,   133,   134,   135,   137,   138,
     139,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     151,   153,   154,   155,   156,   158,   160,   164,   165,   166,
     167,   169,   170,   172,   173,   175,   176,   177,   178,   179,
     181,   182,   183,   184,   186,   187,   188,   189,   190,   191,
     193,   195,   196,   197,   198,   199,   200,   201,   203,   205,
     208,   210,   211,   212,   213,   214,   217,   218,   220,   223,
     224,   225,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   246,
     247,   248,   249,   250,   252,   253,   255,   257,   258,   259,
     260,   261,   262,   264,   265,   268,   269,   270,   273,   274,
     276,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   289,   290,   291,   292,   293,   294,   295,   296,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   326,   327,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     343,   344,   345,   346,   347,   349,   350,   351,   352,   353,
     355,   356,   357,   358,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   374,   375,   377,
     379,   380,   381,   382,   383,   385,   386,   389,   390,   391,
     392,   393,   395,   396,   397,   398,   399,   400,   401,   404,
     405,   406,   407,   408,   411,   412,   413,   414,   415,   416,
     417,   419,   421,   422,   423,   424,   427,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   932,  1103,  1117,
    1121,  1122,   420,   894,   266,   296,   862,    49,   466,   548,
      20,    25,    37,    59,    72,    83,   105,   111,   128,   139,
     147,   159,   167,   171,   225,   268,   271,   290,   303,   329,
     336,   346,   365,   371,   379,   380,   382,   383,   392,   397,
     403,   406,   409,   558,   606,   714,   768,   779,    26,   295,
    1103,   932,    26,   289,   344,   380,   382,     5,   212,   816,
     817,  1112,    20,    25,    37,    59,    72,    87,   105,   128,
     139,   147,   159,   164,   171,   188,   234,   268,   280,   290,
     303,   329,   334,   336,   343,   346,   365,   371,   376,   379,
     383,   390,   392,   397,   409,   422,   624,   727,   728,   729,
     862,  1103,    90,   420,   466,   601,   604,   607,   893,   899,
     907,   910,   919,   926,   931,   935,     9,    19,    26,    44,
     154,   160,   162,   185,   214,   248,   298,   316,   457,   458,
     746,   747,   932,  1111,  1113,    26,    90,   312,   342,   751,
     752,   753,  1117,   159,  1117,  1108,  1112,   376,   946,   746,
    1117,   389,  1103,   280,   234,   105,   188,   336,   375,   376,
     466,   826,   827,   335,  1117,    26,   347,   385,   389,   498,
     507,   508,  1117,    23,   168,   751,   752,   296,   862,  1117,
     211,    26,   125,   948,   949,    60,    84,   225,   243,   329,
     336,   347,   385,   389,   435,   495,   496,   497,   498,    26,
     347,   385,   389,   498,   389,   267,   989,  1101,  1117,   946,
     459,  1117,   163,   466,   895,   466,   310,   941,   942,  1103,
     941,   936,   937,   940,     0,   469,   894,   140,   202,   272,
     402,   950,   951,   936,   938,   939,   116,   198,   408,   470,
       3,    43,    49,    72,    79,    91,    98,   161,   163,   180,
     194,   206,   207,   209,   219,   221,   245,   254,   275,   277,
     328,   354,   378,   420,   795,  1109,  1117,  1118,  1121,  1123,
     731,  1117,   731,  1104,  1117,   299,   731,   392,  1103,   104,
     376,   783,  1109,  1117,  1123,     3,   101,   348,  1114,  1115,
    1119,  1121,  1122,  1123,    26,   179,  1101,   260,   422,     8,
      15,    16,    17,    67,   151,   453,   454,   455,   457,   458,
     459,   460,   461,   462,   812,   814,  1065,  1066,  1117,   179,
    1103,  1103,    26,  1114,  1115,  1103,  1103,   179,  1101,  1103,
     731,  1103,   322,   349,    26,   179,   989,  1103,   339,  1103,
     731,    26,   232,  1114,  1115,   179,  1101,   212,   113,   208,
     251,   306,   863,   864,   865,  1101,  1107,  1117,    20,    25,
      59,    72,    73,    83,    87,   105,   128,   139,   147,   159,
     164,   188,   213,   234,   268,   290,   303,   329,   334,   336,
     343,   346,   365,   371,   376,   379,   383,   390,   392,   397,
     422,   624,   737,   738,  1112,   906,   910,   919,   926,   935,
    1101,   236,  1109,  1103,   466,   179,   731,   392,  1104,   731,
     392,   179,  1103,   104,   376,   380,   382,  1114,  1115,   380,
     382,    67,   151,   812,   320,  1103,  1103,  1114,   179,   491,
    1117,   179,  1103,   179,   731,  1103,  1103,   339,  1103,   731,
     232,  1114,   310,   343,   376,   422,   234,    87,   188,   164,
     334,   390,   396,   618,    26,  1103,   933,   505,  1112,  1119,
     817,   236,   179,   795,   796,  1103,   179,   821,   179,  1104,
       3,    48,    50,    51,    62,    63,   108,   109,   129,   155,
     179,   200,   201,   203,   244,   246,   259,   307,   351,   357,
     385,   386,   417,   733,  1011,  1013,  1015,  1017,  1019,  1021,
    1022,  1023,  1025,  1026,  1027,  1029,  1030,  1118,  1121,   392,
     104,   376,   179,   782,   783,   179,  1115,  1116,    79,   422,
      67,   151,   179,   813,   814,    53,   179,  1116,   179,  1103,
     179,  1103,   339,   821,   179,   733,   179,   232,  1116,   212,
     179,   730,   731,   179,  1102,  1103,   179,  1103,   466,   908,
     558,   899,   416,   893,   900,   901,   902,  1119,   894,  1113,
     747,   748,    26,   748,  1113,   748,    26,   748,  1113,   748,
     748,   748,  1113,  1111,  1111,   932,   748,   299,   466,   466,
     578,   578,   578,   266,   387,   470,   578,   336,   989,   990,
     470,   858,  1112,   466,   905,    53,   422,   420,   828,   829,
    1101,  1103,  1117,    43,   449,   208,   468,   269,   269,   266,
     162,  1112,   387,   157,   741,   266,     4,     6,     7,     8,
      10,    34,    48,    50,    51,    58,    59,    62,    63,    70,
      72,    95,    96,    97,    98,    99,   100,   101,   108,   109,
     111,   145,   149,   150,   155,   170,   172,   200,   201,   203,
     218,   226,   227,   244,   246,   251,   256,   257,   259,   268,
     278,   291,   307,   332,   348,   357,   372,   385,   386,   391,
     393,   394,   403,   409,   417,   437,   438,   439,   440,   442,
     443,   444,   445,   450,   457,   458,   459,   466,   936,  1014,
    1017,  1020,  1021,  1022,  1024,  1025,  1026,  1029,  1030,  1034,
    1036,  1037,  1038,  1040,  1061,  1062,  1063,  1067,  1086,  1091,
    1098,  1099,  1109,  1110,  1111,  1112,  1117,  1097,  1098,  1112,
      26,   513,  1100,  1101,   347,   495,   111,   504,  1112,   505,
    1112,    43,    64,   495,   449,   358,   864,   269,   162,   387,
     455,    43,   449,   208,   865,   466,  1101,   459,   464,   468,
    1092,  1094,   990,     3,   161,   163,   420,   890,   891,   893,
     161,   896,  1034,  1070,   941,   470,   466,   897,   467,   467,
     475,  1101,    26,   125,   947,   947,    53,   947,   152,   157,
     222,   263,   954,   956,   957,   972,   974,   975,   976,   950,
     951,   162,   204,   989,   991,   466,   281,   318,   349,   466,
     793,  1094,   281,   314,   318,   349,   468,   732,   281,   318,
     349,     3,    82,   134,   228,   281,   318,   349,   379,   381,
     429,   506,   509,   870,   871,   872,   873,   763,    22,   130,
     281,   318,   349,   413,   521,  1103,    22,   130,   349,   408,
     489,   433,   179,   989,    55,    89,   119,   148,   182,   217,
     251,   281,   282,   318,   326,   333,   341,   349,   361,   369,
     424,   506,   510,   798,   806,   466,   780,  1094,   318,   489,
     185,   145,    22,    28,    69,   119,   123,   130,   133,   158,
     190,   249,   251,   261,   270,   281,   318,   321,   322,   349,
     413,   518,   520,   642,     4,   457,   458,   615,  1113,    26,
     179,  1101,   731,   731,   466,   811,   281,   349,   468,   145,
     266,    22,   130,   281,   318,   349,   185,   484,   318,   429,
     452,   477,   484,   266,   281,   318,   145,    35,    54,   103,
     187,   235,   238,   249,   280,   318,   323,   343,   349,   363,
     518,   612,   613,   281,   318,   421,   642,   650,   281,   318,
     349,    82,   123,   133,   281,   314,   318,   349,   508,   496,
     498,   185,   145,    41,   121,   318,   349,   518,   519,   281,
     318,   322,   349,    80,   122,   283,   381,   266,    22,    28,
     130,   281,   318,   349,   538,   539,   484,   157,   318,   477,
     484,   145,   318,   349,   518,  1103,   220,   113,   267,   434,
     470,   863,   410,   888,   266,   236,   795,   466,  1103,  1011,
     392,   104,   376,   783,   260,   422,    67,   151,   814,  1103,
    1103,   339,   157,  1103,  1011,   212,   731,  1103,   467,   578,
    1103,   466,   704,   793,    65,  1011,   251,   162,   466,   700,
    1103,   477,    35,   882,  1103,   251,   477,   433,   179,  1101,
     477,   731,   731,   700,   406,   558,   266,   157,   842,   843,
     477,   251,    43,   492,   251,   397,   649,   251,   897,    82,
     281,   626,    80,   122,   283,   381,    24,    45,   199,   673,
      35,   700,   157,   179,   477,   422,   179,  1101,   179,   602,
    1101,  1101,   422,   731,    79,   769,  1109,  1103,   157,   624,
      49,   102,   197,   249,   338,   145,    56,   324,   470,   522,
     522,   145,   466,   145,   419,  1028,  1028,  1028,   466,  1016,
    1016,   293,   466,  1018,   145,    62,    63,  1028,  1016,  1013,
     431,   452,   466,  1031,   466,  1031,   470,   522,    34,  1012,
     466,   106,   177,   237,   240,   340,   447,   466,  1032,  1033,
     732,  1016,   433,   145,   470,   522,   145,   470,   179,   730,
     179,   731,   179,   731,   145,   470,   522,  1116,   145,   145,
     522,   145,    80,   122,   283,   381,   157,   145,   522,   145,
     157,   179,   179,   505,   145,   470,   522,   145,   470,   522,
     145,   266,  1070,   376,   467,   470,   150,   266,   394,   502,
     505,   615,   903,   899,   748,   932,   748,   932,   748,   932,
     748,   932,   748,   932,   932,   932,   748,   932,   466,   579,
     580,  1117,   579,    26,   105,   128,   159,   164,   212,   213,
     336,   343,   376,   379,   397,   754,  1100,  1116,   753,  1103,
     185,   470,   922,  1112,  1011,  1073,    35,  1116,   769,   467,
     470,   220,  1117,   157,   157,   754,  1116,   335,  1117,   505,
     266,   466,  1095,   464,   936,  1074,  1034,  1090,   466,   466,
     157,   466,   466,   936,   466,   466,   466,   466,   466,   466,
    1034,   466,   466,   466,   466,   466,   466,   466,   466,   936,
     466,   466,   466,   466,   466,   466,   466,   466,  1034,  1034,
    1034,   936,  1034,  1070,  1094,  1112,   466,  1112,     3,     8,
      11,    15,    16,    17,    32,    35,    40,    47,    71,   180,
     185,   206,   207,   221,   254,   268,   271,   354,   450,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1065,  1067,
    1069,   430,  1049,   277,  1034,   204,   470,   944,   466,  1112,
    1094,   944,   114,   181,   514,   470,    64,   111,   505,    35,
       3,   111,   225,   503,   615,  1030,  1112,  1112,    85,   127,
    1046,    94,   111,   499,   500,   502,   615,   111,   499,   220,
    1101,  1034,  1093,     3,    26,    30,    31,    32,    33,    34,
      35,    36,    39,    52,    58,    59,    65,    71,    73,    83,
      90,    95,    96,    97,    99,   100,   101,   111,   113,   120,
     125,   126,   132,   136,   140,   150,   152,   157,   159,   162,
     168,   171,   174,   185,   192,   202,   204,   215,   216,   222,
     226,   227,   251,   256,   263,   266,   267,   271,   272,   288,
     297,   312,   325,   342,   348,   359,   373,   376,   384,   387,
     388,   394,   402,   403,   409,   410,   418,   425,   426,   428,
     429,   459,  1106,  1120,  1121,  1122,  1123,  1124,  1092,    86,
     323,   735,   467,   470,   894,   467,   470,   942,  1102,    35,
     897,   938,   938,   952,   953,  1034,   938,   154,   248,   963,
     210,   249,   306,   352,   408,    26,   958,  1034,   959,   961,
    1034,  1036,   972,   973,   957,   956,   954,   955,   157,   975,
     261,   977,   954,   972,   991,   911,  1101,    35,  1117,   349,
    1070,   387,   387,   336,   185,   195,   272,   274,   351,   418,
     459,   786,   787,   788,   790,   792,   794,  1011,  1118,   387,
     421,   387,   336,  1106,   468,   387,   387,   336,   222,   387,
     387,   379,   495,   281,   870,   872,   455,   874,   157,   168,
     185,   327,   764,   765,    65,    83,   141,   159,   297,   403,
     575,   576,    83,   111,   251,   387,    83,   387,   111,   251,
     336,    83,   123,   133,   281,   318,   696,   336,   632,    20,
      25,    59,    72,    87,   128,   139,   159,   164,   234,   268,
     336,   343,   346,   376,   383,   390,   397,   422,   624,  1103,
     145,   318,   349,   518,   266,   615,   266,   341,   217,   387,
    1117,   387,   256,   615,   115,   205,   336,   347,   389,   497,
     324,   349,   798,   807,   467,   781,   786,   387,   409,   379,
    1101,    73,   141,   179,   565,   575,  1117,    73,    83,   832,
     266,   266,   332,   334,   392,    83,   832,    29,   321,   332,
     334,   392,   332,  1101,   158,   190,   261,   731,   466,   387,
     387,   178,   466,   526,   231,   379,   406,   429,   431,   526,
      83,   470,     4,     4,   281,   185,   145,   119,   318,   349,
     518,   410,   410,   250,  1011,   387,   336,   466,   812,  1103,
    1101,   376,   376,   387,   387,   376,   700,   105,   349,   509,
     387,   479,   509,  1101,   387,   387,  1101,  1013,   615,    53,
     614,   615,   615,   103,   235,   238,    53,   387,   477,   242,
     336,   477,   249,   613,   387,   387,   256,  1112,   642,   387,
     387,   336,  1112,   387,   303,   387,   303,   700,   379,   989,
     285,   285,    83,   387,   832,   336,   387,   387,   526,   526,
     731,   731,   731,   731,  1101,    42,   415,    42,    42,   387,
      42,   387,   415,   336,   470,   509,   409,   659,  1115,   387,
     479,   509,  1101,   387,   336,   281,   318,   306,   319,   345,
     501,   863,  1107,  1117,  1101,   206,  1011,   266,   206,   433,
     206,   615,   731,   731,   206,   266,   266,    80,   122,   283,
     381,  1011,   266,   206,   206,   206,   387,   429,   549,   397,
       3,   705,   706,   700,   466,    35,   145,   731,   701,   702,
    1120,    24,   870,  1011,   266,   145,   629,  1103,   251,   285,
     466,   478,   714,   410,   310,   422,  1101,    26,   376,   429,
     802,   478,   145,  1115,    90,   168,   493,   557,   608,   672,
     749,   767,   866,   145,  1112,   650,   651,   145,   266,  1112,
    1115,   228,   731,   731,   731,   731,   261,   116,   198,   395,
     408,   674,   675,   137,   305,   466,   659,   251,   478,  1101,
     251,   610,   612,   251,    35,   261,   285,   466,   578,   578,
     179,   605,  1101,   157,   179,   770,  1107,   466,   784,    35,
    1011,   212,   429,   431,   934,   338,   796,   795,  1011,  1104,
     466,  1070,  1111,   733,  1028,  1028,    34,  1012,   385,   385,
    1111,  1111,  1011,   464,   464,  1111,   387,   387,   387,   466,
     387,  1111,  1016,   782,   783,  1116,  1115,   145,   522,   145,
     410,   145,   410,   813,   814,   522,  1116,  1103,  1103,  1011,
     733,  1116,   659,   145,   145,   522,   730,   731,  1102,  1103,
    1103,   731,   467,   179,  1101,   899,   901,   932,   932,   932,
     932,   932,   932,   579,   467,   470,   467,   165,   344,   377,
    1102,   730,   104,   346,   782,  1102,   260,  1102,  1100,  1100,
    1102,   730,   387,   429,   760,   140,   222,   656,   657,    20,
     143,   332,   352,   923,   989,   255,   924,   467,   470,   906,
     387,  1101,   826,   827,   829,   752,   751,   752,   162,   169,
     761,  1117,    25,    73,   105,   128,   139,   159,   164,   213,
     234,   303,   329,   336,   343,   371,   376,   379,   397,   422,
     624,   742,   743,  1070,  1092,   465,  1070,  1074,  1075,   425,
    1087,  1088,  1034,  1070,   466,  1111,  1111,     3,   106,   177,
     237,   240,   340,   447,  1076,  1077,  1112,  1070,  1070,  1070,
    1111,  1111,  1034,   812,  1034,  1078,   332,   457,   458,   466,
    1035,  1036,  1067,  1080,   467,  1070,  1034,  1070,  1081,  1034,
      52,   162,   216,   388,  1034,  1070,  1084,  1070,   242,  1036,
    1034,  1044,  1045,  1046,   242,  1034,  1046,   467,   470,  1111,
    1032,  1011,  1034,  1034,  1034,  1034,  1120,   385,    39,   373,
    1096,   731,  1034,   466,   936,  1085,   125,   127,   150,   251,
     256,   261,   394,   404,  1034,   466,  1034,   387,    47,   180,
     185,   221,   354,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,    26,    33,   359,  1064,   171,   153,  1050,
     332,   466,  1061,   167,   225,   376,   380,   382,   406,   945,
    1101,  1099,   162,   979,    26,   125,   418,   459,   467,   788,
    1034,  1071,  1072,  1118,   979,  1101,   389,   466,  1112,   470,
     467,   465,   471,   178,   178,   522,  1101,   891,   892,  1101,
    1034,   467,   466,   470,    36,   120,   410,   776,   466,   960,
    1113,   352,   210,   267,   470,   332,   333,   962,  1100,   255,
     356,   925,   973,   955,   410,   920,   111,   279,   466,   912,
     935,    35,  1117,   466,   927,   928,   929,  1117,   467,  1115,
    1103,  1103,   274,    53,  1118,   467,   788,   790,   787,   790,
    1118,   272,   467,   470,   732,  1115,  1103,  1103,  1106,  1115,
    1103,  1103,  1115,  1104,  1103,   111,   502,  1113,   329,   409,
     751,   336,   168,   751,   466,  1103,   410,   771,   210,   210,
     410,   466,   599,   179,  1103,   256,  1115,  1103,  1103,  1034,
     256,  1103,  1103,    29,   321,   387,   387,  1103,   387,   633,
     236,   795,   466,   731,   731,  1011,   392,   104,   376,   783,
     422,    67,   151,   814,  1103,   731,  1103,   731,   339,   157,
    1011,   731,   212,   173,   249,   281,   318,   414,   636,   637,
     638,   989,   387,   832,   336,   256,   147,   115,   205,  1115,
    1103,   266,  1103,   467,   470,  1114,  1116,  1103,   318,   518,
     179,   565,   251,  1011,  1103,  1117,  1103,   147,   220,  1103,
      26,   409,  1103,   179,  1103,   179,  1117,   334,   392,   334,
     392,   220,  1103,    26,   409,  1103,   220,   332,  1101,    22,
     130,   349,   643,   644,   645,   646,  1120,  1115,  1103,   111,
     163,   252,   410,   525,   528,   529,  1120,  1103,   264,    69,
     264,  1103,   520,   387,   379,  1101,   266,   387,   832,   336,
    1105,  1117,  1105,   470,   467,   470,  1115,  1103,   837,   838,
    1120,   266,   318,   387,   667,   990,   990,  1115,  1103,   990,
    1104,  1114,     3,    82,   135,   190,   287,   401,   409,   412,
     480,   318,  1115,  1103,   318,   349,   518,   612,   615,   731,
    1103,   615,   731,  1103,   615,  1115,  1103,  1115,  1103,  1103,
    1115,   802,  1103,   846,   847,  1120,  1103,   318,   349,   518,
     519,  1101,  1101,  1103,  1103,  1103,  1103,  1115,  1103,    22,
      28,   130,   281,   318,   349,   281,   318,   349,   700,   318,
     349,   318,   349,   119,   318,  1003,  1117,   179,   710,  1117,
     179,  1117,  1115,  1103,  1103,  1112,  1103,    22,   539,   346,
    1114,   318,   349,   518,  1103,  1103,   387,   387,    78,   400,
     306,   256,   739,  1112,    35,   128,   731,   739,   739,   206,
     410,   410,   739,   731,   731,   212,   731,   739,   739,   739,
     302,   543,   264,   162,   387,   542,   188,   455,   467,   470,
    1034,  1011,   731,   467,   470,   455,   674,   567,  1120,  1103,
      56,   162,   336,   421,   630,   637,   638,   145,   261,   221,
     559,   561,   563,   565,   572,   575,    23,   185,   329,   374,
     480,   481,   157,  1105,   422,  1101,    35,   668,   377,   990,
     700,   491,  1117,   492,   271,   558,  1103,   159,   731,  1070,
     303,  1112,   700,   700,   700,   700,   261,   266,   271,   466,
     700,  1001,  1002,  1003,   346,   145,   466,   145,   145,   144,
     935,   731,   261,   559,  1117,   429,   431,   595,   429,   527,
     251,    35,   578,  1112,   251,   266,   467,   785,   786,   791,
      35,   212,   326,   390,   428,   797,   798,   799,   266,   212,
     505,   176,   176,   157,   522,    35,  1070,   467,   467,   522,
     464,   449,   449,   467,   467,  1111,   465,  1111,   467,   177,
     237,  1033,   237,  1033,  1033,  1111,   240,   467,   522,   730,
     731,  1105,   731,  1105,   522,   522,   212,   522,   346,   157,
     505,   522,   522,   266,   522,   251,   467,   580,   185,   185,
     185,   433,  1102,   615,   616,   171,   755,   756,  1115,    23,
     761,   387,   466,   162,   143,   352,   143,   352,   332,   408,
     239,  1011,  1115,   429,   603,  1101,  1103,   162,   266,   755,
      53,   522,   795,  1011,   392,   376,   783,   260,   422,  1011,
     212,   731,  1103,   467,   465,   465,   470,  1034,   132,  1088,
    1089,    35,   467,  1034,   467,   467,   467,   162,   467,   467,
     467,   467,   467,   470,   467,   288,  1079,   467,   466,  1035,
    1035,  1070,    11,    15,    16,    17,   185,   206,   268,   453,
     454,   455,   457,   458,   459,   460,   461,   462,  1067,  1035,
     467,   467,   157,   162,  1082,  1083,   467,    35,  1084,  1070,
    1084,  1084,   162,   467,   467,  1120,   286,  1048,    35,   467,
     470,  1034,  1120,   470,  1034,  1095,  1034,   467,   449,  1035,
    1035,   138,  1070,   162,   125,   127,   150,   256,   261,   394,
     404,   466,   138,   812,  1034,   373,  1096,  1034,  1085,  1034,
     387,   466,   936,   466,   466,   276,  1054,   466,  1070,   380,
     382,   380,   382,  1101,   946,   946,   946,   215,   333,   446,
     466,   936,   980,   981,   982,   989,   994,  1004,  1037,  1039,
    1040,  1109,  1117,   426,   999,  1071,  1071,  1072,   467,    13,
      14,   470,   950,   951,   999,   864,  1111,  1032,   500,  1034,
    1093,   897,   906,   953,   268,  1065,  1068,   451,   777,  1034,
     962,   408,   959,   230,   980,   426,  1000,   416,   375,   409,
     913,   914,   915,  1117,   266,   916,  1117,   929,   930,   470,
     979,   455,  1095,   794,   732,   790,   790,    53,   792,   461,
    1116,  1116,   266,  1102,   269,   266,  1034,   576,  1105,   466,
     466,   466,   599,   188,   579,   689,   145,   522,   387,  1115,
    1103,   505,  1103,  1011,  1103,   433,   731,   731,   731,   731,
      80,   122,   283,   381,  1011,  1103,   619,  1103,   173,   414,
     387,   387,   619,   636,   642,   318,   349,   518,  1103,  1103,
    1103,   196,  1103,   256,   786,   280,   349,   387,   251,   145,
     270,   640,   689,    22,   130,   322,   323,   349,   521,   530,
     531,   642,   833,  1103,   341,   145,   522,   145,   522,  1103,
    1103,  1103,  1103,   341,   341,   220,   645,   646,   645,   467,
     470,   647,  1112,   188,   467,   470,   455,   468,  1115,  1103,
     318,   349,   518,   147,  1103,  1103,  1103,   281,   318,   349,
      22,   130,   281,   318,   349,  1011,   250,  1011,   467,   470,
     455,  1101,   387,  1116,   410,   664,   222,   287,   256,  1112,
     287,  1116,   407,   387,   387,   336,   470,   802,   280,   349,
      83,   387,   832,   336,   157,   532,   387,   387,   232,   232,
     232,   387,   387,   336,   387,   387,   336,   387,   336,   387,
     336,   266,   387,   522,  1011,   251,  1112,   349,   833,   145,
     522,   387,   387,  1103,   387,   336,  1115,  1103,  1011,   731,
     206,   739,  1105,  1105,   206,   206,  1103,   206,   366,   367,
     544,  1112,   543,   173,   250,   268,   457,   458,   615,   703,
     790,  1068,  1112,  1124,     3,   706,   467,   467,   162,   700,
     702,   703,   266,    65,    71,    83,   111,   113,   166,   192,
     251,   256,   297,   312,   403,   568,   569,   571,   144,   425,
     477,   505,  1103,   505,   640,  1101,  1101,  1101,   467,   470,
    1116,   171,   329,  1116,  1111,   397,  1101,   578,     3,   157,
     669,    43,   492,   320,   376,   649,   104,   897,   162,   846,
     527,   579,  1101,   675,   707,   708,  1112,   467,   470,  1103,
     157,   579,  1101,   602,  1101,  1103,   603,   466,   560,  1101,
     467,   264,   526,   264,   266,   596,   526,    35,   145,   935,
     527,   387,   145,  1101,   467,   470,   111,   455,   800,  1112,
     505,   376,   789,   790,   157,   801,   799,   802,   116,   198,
     342,   408,   855,  1103,   173,   935,  1011,   467,  1111,  1031,
    1031,   465,   465,   467,   522,   410,   522,   410,   522,  1103,
    1103,   659,   522,   731,   145,   336,   336,   336,  1102,   470,
    1115,   429,   470,   757,   269,   990,   346,   143,   143,   104,
     249,  1116,   754,   522,  1115,   206,   206,   206,   615,   206,
     206,   206,  1074,   384,  1034,   136,  1011,   467,  1034,  1034,
    1034,  1082,   467,  1070,   470,  1011,  1035,  1035,  1035,  1035,
     125,   127,   251,   261,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1034,  1034,  1083,  1082,  1011,   467,
     467,   467,  1070,   467,   470,    53,  1036,   467,  1120,  1045,
     294,   370,  1047,   467,   470,   421,  1041,    35,   467,  1112,
    1034,    32,    32,  1034,   467,  1034,   162,   466,  1073,  1034,
     467,   138,  1035,  1035,   138,   138,  1034,  1034,   951,   426,
     466,  1055,  1117,   467,  1070,   470,   946,   946,   946,   946,
    1101,  1101,  1101,   936,   994,  1004,   162,   466,   936,   981,
     982,    35,   983,   984,  1117,   470,    91,   163,   194,   209,
     219,   245,   328,   986,   984,    35,   983,   985,  1117,   984,
     452,   998,   466,  1094,  1034,   171,   964,   470,   950,   950,
     950,  1034,  1034,   418,  1072,   467,   964,   467,   465,   467,
     466,   777,   154,   214,   467,   267,    94,  1034,   325,   918,
     415,   467,   470,  1095,    81,   918,   467,   470,   928,  1000,
    1034,   467,   461,   794,   397,   165,   337,   344,   377,   398,
     766,   157,   766,   467,   466,   582,   583,   773,  1039,  1117,
     579,   579,   689,  1107,   467,   113,   192,   249,   251,   690,
    1103,  1103,    35,  1103,   410,   410,   731,   731,   731,   731,
     212,   732,  1115,  1103,   387,   832,   336,   387,   196,    53,
     379,  1103,   145,   565,   466,   567,   166,   178,   251,   526,
     477,   104,   166,   251,   365,   368,   526,   613,   349,   531,
     397,  1103,  1117,   341,   644,  1103,   529,   703,  1120,   280,
     349,   387,   832,   336,  1103,   387,   387,   387,   336,   164,
     268,   368,   712,   713,   164,   268,   720,   721,   387,   387,
     336,   467,   467,   467,   838,   250,   615,   790,   839,  1068,
    1112,  1124,   318,  1103,   466,   429,   665,  1113,  1112,  1112,
    1112,  1103,  1103,  1103,   847,    53,   379,  1103,  1103,  1103,
    1103,   416,  1103,  1103,   157,   157,   320,   157,   179,  1115,
    1103,  1103,  1115,  1103,  1103,  1103,  1103,  1103,  1103,   147,
    1103,    71,   523,   145,    24,    45,   397,  1117,  1103,  1112,
     642,  1103,  1103,   467,   206,   739,   206,   206,   739,   739,
     206,   739,   477,   544,   619,   689,   429,   431,   731,  1101,
     466,   731,  1103,  1035,    29,    53,   570,   114,   181,   113,
     256,   210,  1101,   802,   301,   692,   693,  1117,   629,   285,
     466,   560,   573,   191,   589,   563,  1116,  1116,  1011,   466,
     527,    26,   116,   198,   342,   408,   670,   387,   666,  1115,
     179,  1101,   651,   433,   266,   980,   802,   313,   676,   467,
     470,  1003,   640,   659,   467,   610,    35,   261,   285,   466,
     908,   562,   564,   566,   575,  1117,   285,   590,   591,   560,
     589,    77,   379,   597,   935,   605,   603,   597,  1112,  1107,
     771,   791,  1034,  1034,   470,   466,   797,   397,   470,   387,
     466,   619,   467,   465,  1105,  1105,   522,   346,   522,  1102,
    1102,  1102,   615,   168,   756,   467,  1103,   104,   761,   162,
     256,   744,  1112,   744,   744,   206,   744,   744,   744,  1034,
     467,   467,  1083,   467,  1034,   162,   125,   127,   261,   466,
     467,   436,  1043,  1070,   311,    53,   427,   427,   467,  1034,
     249,  1034,   470,  1042,  1013,  1034,  1034,  1034,  1073,   467,
    1034,    32,    32,  1034,  1034,   138,   467,   467,  1034,  1056,
    1117,   467,  1034,  1101,  1101,  1101,  1101,   984,   985,   984,
     466,   441,  1036,   467,  1117,   466,   981,   209,   275,   987,
     981,   987,   209,   986,   987,   209,   378,   992,   466,  1117,
     466,   273,  1071,    53,   174,   971,   467,   467,   467,  1072,
    1112,   971,  1112,   812,   261,  1098,   935,   279,   935,   915,
     266,   466,   917,   455,   929,   918,   397,   467,   387,   751,
     162,   689,  1034,   467,   470,   429,    71,   774,   774,   467,
     467,   802,   114,   181,   190,   113,   412,   522,  1011,  1105,
    1105,  1103,  1103,  1103,  1103,  1103,  1116,  1103,   565,   641,
     645,   570,   179,   256,   615,   570,   256,  1113,  1117,  1011,
     522,   522,   455,    53,   379,  1103,  1103,  1103,  1103,  1115,
    1103,  1103,  1111,  1111,  1011,   470,  1111,  1111,   470,  1115,
    1103,  1103,   387,  1034,    65,  1116,  1103,   387,   387,   162,
     185,  1102,  1102,   731,  1102,   145,  1103,   731,  1112,  1112,
    1011,   522,   522,   206,   739,   739,   739,   739,   466,   545,
     546,   410,   550,   551,   164,   195,   164,   162,   688,  1034,
     251,   569,   111,    35,   802,   578,   410,   598,  1109,    32,
     144,   185,   261,   559,   532,   142,   186,   466,   346,   410,
     579,    35,  1116,   664,   492,   251,   466,   159,  1103,  1070,
     247,   265,   677,   678,   679,   157,   682,  1112,   346,   527,
     935,   731,   261,   559,   603,   467,   470,   429,   567,    53,
     595,   532,   590,   116,   130,   294,  1103,   429,   867,    35,
     162,   266,   466,  1112,   788,   803,   804,  1118,   802,  1011,
     157,  1101,   162,   387,   823,   193,   620,   522,   522,   522,
    1103,   269,   204,   522,   755,   744,   467,  1035,   162,   466,
    1073,   466,   467,   470,   467,  1036,   311,   467,   415,   362,
     467,   467,   467,  1034,  1034,  1034,   467,   285,  1057,   467,
     995,   996,  1039,   466,  1048,   983,   466,  1102,   981,   266,
     410,   988,   981,   209,   981,  1109,  1002,   466,  1002,  1117,
     950,    93,   172,   331,   466,   965,   966,   967,   968,   969,
     970,  1034,  1034,   428,  1051,   950,  1051,   467,   932,   913,
      83,   772,   773,   126,  1034,   755,   266,   755,   467,   802,
     583,   268,   812,   731,   731,   775,   775,   312,   802,   598,
     467,   387,   349,   924,   467,   470,    35,   145,   523,   703,
    1116,  1103,   387,   466,   783,   812,   814,   713,   466,   466,
     721,  1103,   467,   466,   349,   924,  1103,  1103,   466,   466,
     429,   452,   885,   320,   885,   885,   157,   523,   739,   552,
     553,  1120,    49,    92,   117,   134,   138,   158,   161,   175,
     256,   264,   304,   547,   477,   118,   783,    35,   819,   819,
    1101,   689,   467,   178,   598,   233,   581,   188,   466,   693,
     301,   466,  1101,   467,   346,    26,    76,    84,   112,   178,
     189,   365,   368,   574,   574,  1100,  1103,  1105,   467,   935,
     665,   145,   104,   640,   162,   678,   332,   376,   680,   131,
     683,   425,   685,  1103,    35,   603,   560,  1101,   467,   564,
     270,     3,   592,  1121,   596,   590,   595,   333,   333,    57,
      65,   225,   935,   731,  1101,   772,   790,   467,   470,   397,
     999,   360,   360,   467,   619,   249,   414,   621,   622,  1103,
     522,  1035,  1073,   467,  1044,  1070,    53,   249,   448,    53,
     950,   467,   470,    35,   997,   111,  1009,  1010,  1035,    74,
    1102,   467,  1034,   466,   981,   988,   466,   467,  1002,   467,
     467,   466,   350,   466,   467,   470,  1052,  1053,  1117,   467,
     415,  1103,   467,   470,   252,   408,   757,   766,   522,   774,
     598,   466,   776,   776,  1101,   598,   689,  1103,   379,   645,
     178,   410,   524,   349,   924,  1103,  1073,   157,   716,   716,
    1073,  1073,  1034,   379,   150,   235,   238,   256,   394,   533,
     535,   536,   615,  1112,   533,   534,   730,   731,   730,   731,
    1102,   522,   467,   470,   459,   466,   502,   554,   615,   882,
    1112,   882,   251,   256,   304,   882,   882,   545,  1112,   819,
      38,   183,   157,   249,   577,   466,   611,   163,   284,   355,
     266,   585,   586,   587,   379,   467,  1109,     5,   694,   560,
     589,  1103,   467,   640,   151,   715,   527,   867,  1101,   433,
     980,   882,   332,   364,   684,   466,   144,   640,   935,   590,
     560,   589,   567,   466,   597,   595,   596,    65,   269,    65,
     603,   771,   467,   797,   803,  1011,   126,   429,   429,   414,
     619,   640,   467,   467,   467,   311,   415,  1070,   305,   333,
    1058,   998,   995,   466,  1035,   467,   470,    35,  1005,  1006,
    1117,   467,  1102,  1070,   467,  1070,   466,  1070,   966,   470,
      35,   935,   999,   773,   349,   162,   775,   426,   584,   812,
     777,   777,   578,   689,  1103,   611,  1034,   379,   467,   272,
     339,   309,   717,   717,   467,   467,   467,  1103,   467,   470,
     467,   470,   885,   553,   502,   555,   556,  1112,  1112,   256,
     579,   459,   579,  1112,  1112,   131,   190,   612,   116,   408,
     266,   587,   266,   586,  1103,   466,   467,   470,   532,   346,
     640,   731,    35,    35,   466,  1103,   681,  1117,  1034,   301,
     867,   595,   532,   590,   466,   593,   594,  1039,  1117,   596,
     597,   269,   269,   466,   527,   802,    27,   199,   856,   164,
     164,    47,    94,   399,  1034,  1059,  1060,  1059,   467,  1002,
     470,  1010,  1120,   467,   470,   157,  1011,   467,   467,   467,
     965,   467,  1053,  1055,   927,   755,   776,   466,   689,   467,
     581,   924,  1103,   783,    53,   924,   387,   536,   533,   731,
     467,   470,   579,   332,   467,    56,   249,   324,   349,   588,
     588,   467,     5,   346,  1103,   712,   935,   640,   467,  1109,
     596,   590,   595,  1034,   467,   470,   774,   774,   597,   772,
     597,   252,   466,   851,   853,   857,   910,   919,   926,   935,
     783,   783,  1060,   332,   156,   292,   156,   292,   467,  1036,
    1006,   273,     3,   111,   251,   256,  1007,  1008,   319,   993,
     467,   999,   522,   777,  1034,   585,   924,   731,   466,   556,
     685,    21,   111,   256,  1103,   640,   867,   466,   597,   595,
     596,   467,   594,   775,   775,   467,   999,   852,   853,   854,
     936,   937,   470,   470,    32,  1048,  1035,  1035,   256,  1008,
     466,   467,   689,   535,   144,   640,     4,   686,   687,  1111,
    1112,  1120,   596,   597,   774,   527,   467,   469,   387,   162,
    1060,    74,  1034,   467,   301,   467,   470,   597,   775,   597,
     854,   360,   360,  1005,   467,  1109,   687,   999,   429,   429,
     467,   466,   164,   164,   686,   783,   783,   467
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   472,   473,   474,   474,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   475,   475,   475,   475,   475,   475,   475,   476,
     477,   477,   477,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   481,   481,   481,   481,
     481,   481,   482,   483,   483,   484,   484,   485,   485,   485,
     485,   486,   486,   486,   486,   486,   486,   487,   488,   489,
     489,   490,   490,   490,   490,   491,   491,   492,   492,   493,
     493,   493,   493,   493,   493,   494,   494,   494,   495,   495,
     495,   496,   496,   496,   496,   497,   497,   497,   497,   497,
     497,   497,   497,   497,   497,   497,   498,   498,   499,   499,
     500,   500,   501,   501,   501,   501,   502,   502,   502,   502,
     503,   503,   503,   503,   503,   503,   503,   504,   504,   504,
     505,   505,   506,   507,   507,   507,   507,   508,   508,   509,
     509,   510,   510,   511,   511,   511,   511,   511,   512,   513,
     513,   514,   514,   515,   516,   516,   516,   516,   516,   517,
     517,   517,   517,   517,   517,   517,   517,   517,   517,   517,
     517,   517,   517,   517,   517,   517,   517,   518,   518,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   520,   520,   520,
     520,   520,   520,   520,   520,   520,   520,   521,   521,   522,
     522,   522,   523,   523,   524,   524,   525,   525,   525,   525,
     526,   527,   527,   528,   528,   529,   529,   529,   529,   530,
     530,   531,   531,   531,   531,   532,   532,   533,   533,   533,
     533,   533,   534,   534,   535,   535,   536,   536,   536,   537,
     538,   538,   539,   539,   539,   539,   540,   540,   541,   541,
     542,   542,   543,   543,   544,   544,   544,   545,   545,   546,
     546,   547,   547,   547,   547,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   551,   551,   552,   552,   553,   554,   554,   554,   554,
     554,   555,   555,   556,   557,   557,   557,   557,   557,   557,
     558,   558,   558,   558,   558,   558,   558,   558,   559,   559,
     560,   560,   561,   561,   562,   562,   563,   563,   563,   564,
     564,   565,   566,   566,   567,   567,   568,   568,   568,   568,
     569,   569,   569,   569,   569,   569,   569,   569,   570,   570,
     571,   571,   571,   571,   572,   573,   573,   573,   574,   574,
     574,   574,   574,   574,   574,   574,   575,   575,   576,   576,
     576,   576,   576,   576,   576,   577,   577,   578,   578,   579,
     579,   580,   581,   581,   581,   581,   582,   582,   583,   583,
     584,   584,   585,   585,   585,   585,   585,   586,   587,   588,
     588,   588,   588,   588,   589,   589,   590,   590,   591,   592,
     592,   593,   593,   594,   594,   594,   595,   595,   595,   595,
     596,   596,   596,   596,   597,   597,   598,   598,   599,   600,
     600,   601,   601,   602,   603,   603,   603,   604,   604,   605,
     606,   606,   607,   608,   608,   609,   609,   610,   610,   611,
     611,   612,   612,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   613,   614,   614,   615,
     615,   615,   615,   616,   616,   617,   617,   618,   618,   619,
     619,   620,   620,   621,   621,   622,   622,   623,   623,   624,
     624,   625,   626,   626,   627,   627,   628,   628,   629,   629,
     630,   630,   630,   630,   631,   632,   632,   633,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   634,   634,   634,   634,   634,   634,
     634,   634,   634,   634,   635,   636,   636,   636,   636,   637,
     637,   638,   638,   639,   639,   640,   640,   641,   641,   642,
     643,   643,   644,   644,   644,   644,   645,   646,   647,   648,
     648,   649,   649,   650,   650,   651,   651,   652,   652,   652,
     653,   653,   653,   653,   654,   654,   655,   656,   656,   657,
     657,   658,   658,   659,   659,   660,   660,   661,   662,   663,
     664,   664,   665,   665,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   670,   670,   670,   671,   672,   672,
     673,   673,   673,   674,   674,   675,   675,   675,   675,   675,
     676,   676,   677,   677,   678,   679,   679,   680,   680,   681,
     682,   682,   683,   683,   684,   684,   685,   685,   686,   686,
     686,   687,   687,   687,   687,   688,   688,   689,   689,   690,
     690,   690,   690,   690,   690,   691,   691,   692,   692,   693,
     694,   694,   695,   696,   696,   696,   696,   697,   698,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   700,   701,   701,   702,   702,
     703,   703,   703,   703,   703,   703,   704,   705,   705,   706,
     707,   707,   708,   708,   709,   709,   709,   709,   710,   710,
     711,   712,   712,   713,   713,   713,   713,   713,   714,   714,
     715,   715,   716,   716,   716,   717,   717,   718,   719,   719,
     720,   720,   721,   721,   722,   722,   723,   723,   724,   725,
     726,   726,   726,   726,   726,   726,   726,   726,   726,   726,
     726,   726,   727,   727,   727,   727,   727,   727,   727,   727,
     727,   727,   727,   727,   727,   728,   728,   728,   728,   728,
     728,   728,   729,   729,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   735,   735,   735,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   737,   737,   737,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     739,   739,   740,   740,   740,   740,   740,   740,   740,   741,
     741,   742,   742,   742,   742,   742,   742,   743,   743,   743,
     743,   743,   743,   743,   743,   744,   744,   745,   745,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   746,   746,   747,   747,   748,   748,   749,
     750,   750,   751,   751,   751,   751,   751,   752,   752,   753,
     753,   753,   753,   754,   754,   754,   754,   754,   754,   754,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   755,
     755,   756,   756,   757,   757,   758,   759,   759,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   764,   765,   765,
     765,   766,   766,   766,   766,   766,   767,   767,   768,   768,
     769,   769,   770,   770,   771,   771,   772,   772,   773,   773,
     773,   774,   774,   775,   775,   776,   776,   776,   777,   777,
     777,   778,   778,   778,   779,   779,   780,   780,   781,   781,
     782,   782,   783,   783,   783,   783,   784,   784,   785,   785,
     786,   786,   786,   786,   786,   787,   787,   787,   787,   787,
     788,   789,   790,   790,   790,   791,   791,   791,   792,   793,
     793,   793,   793,   794,   794,   795,   796,   796,   797,   797,
     798,   798,   798,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   799,   799,   799,   799,
     799,   800,   800,   801,   801,   802,   802,   803,   804,   804,
     805,   806,   806,   807,   807,   808,   808,   809,   809,   810,
     810,   811,   811,   811,   811,   812,   812,   813,   813,   814,
     815,   816,   816,   817,   817,   818,   818,   818,   819,   819,
     819,   820,   821,   821,   822,   823,   823,   823,   823,   824,
     825,   825,   825,   825,   826,   826,   827,   827,   827,   828,
     828,   829,   830,   830,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   831,   831,   831,   831,   831,
     831,   831,   831,   831,   831,   832,   832,   833,   833,   834,
     834,   834,   834,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   835,   835,
     835,   835,   835,   835,   835,   835,   835,   835,   836,   837,
     837,   838,   838,   839,   839,   839,   839,   839,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   840,
     841,   842,   842,   843,   843,   844,   844,   844,   844,   845,
     846,   846,   847,   848,   848,   848,   848,   848,   848,   849,
     849,   850,   851,   851,   851,   852,   852,   853,   853,   853,
     853,   853,   854,   854,   855,   855,   855,   855,   856,   856,
     856,   857,   858,   858,   859,   860,   860,   861,   861,   861,
     861,   861,   861,   861,   861,   861,   861,   861,   861,   861,
     861,   862,   862,   862,   863,   863,   863,   863,   863,   864,
     864,   864,   865,   865,   866,   866,   866,   866,   867,   867,
     867,   867,   868,   869,   870,   870,   871,   871,   872,   872,
     872,   873,   873,   873,   873,   873,   873,   873,   874,   874,
     875,   875,   875,   876,   877,   877,   878,   879,   879,   880,
     881,   881,   881,   881,   881,   881,   881,   882,   882,   883,
     884,   884,   884,   884,   884,   884,   885,   885,   886,   887,
     887,   887,   888,   888,   889,   889,   889,   889,   889,   890,
     890,   891,   891,   891,   891,   891,   892,   892,   893,   893,
     894,   894,   895,   895,   896,   896,   897,   897,   898,   898,
     898,   898,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   900,   900,   901,   902,   902,   903,   903,   903,   904,
     905,   905,   906,   906,   906,   906,   907,   907,   908,   908,
     909,   909,   909,   909,   910,   911,   911,   912,   912,   912,
     912,   912,   913,   913,   914,   914,   915,   916,   916,   916,
     917,   917,   917,   918,   918,   919,   920,   920,   921,   922,
     922,   923,   923,   923,   923,   923,   923,   923,   923,   924,
     924,   925,   925,   925,   926,   927,   927,   928,   928,   929,
     930,   930,   931,   932,   933,   933,   933,   933,   933,   934,
     934,   934,   935,   935,   936,   936,   937,   937,   937,   937,
     937,   937,   937,   937,   938,   938,   939,   939,   939,   939,
     939,   939,   939,   940,   940,   940,   941,   941,   942,   943,
     943,   944,   944,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   946,   946,   947,   947,   947,   948,   948,   949,
     949,   950,   950,   951,   952,   952,   953,   953,   954,   954,
     954,   954,   955,   955,   956,   956,   956,   957,   957,   958,
     958,   959,   960,   960,   960,   961,   962,   962,   963,   963,
     964,   964,   965,   965,   966,   966,   966,   966,   966,   967,
     968,   969,   970,   971,   971,   972,   972,   973,   973,   974,
     974,   975,   976,   976,   976,   976,   977,   977,   978,   978,
     979,   979,   980,   980,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   982,   982,   982,   982,   982,   982,
     983,   983,   983,   983,   984,   984,   985,   985,   985,   985,
     985,   986,   986,   986,   986,   987,   987,   988,   988,   989,
     989,   989,   989,   990,   990,   991,   991,   991,   992,   993,
     993,   994,   994,   995,   996,   996,   997,   997,   998,   998,
     999,   999,  1000,  1000,  1000,  1001,  1001,  1002,  1002,  1003,
    1004,  1004,  1005,  1005,  1006,  1006,  1006,  1007,  1007,  1008,
    1008,  1008,  1008,  1009,  1009,  1010,  1010,  1011,  1011,  1011,
    1011,  1011,  1011,  1012,  1012,  1012,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1014,  1014,  1014,  1014,  1015,  1015,  1016,
    1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,  1021,  1022,
    1023,  1023,  1024,  1024,  1025,  1026,  1027,  1027,  1027,  1027,
    1027,  1027,  1028,  1028,  1029,  1029,  1029,  1029,  1030,  1031,
    1031,  1031,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,
    1032,  1032,  1032,  1032,  1032,  1032,  1033,  1033,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
    1034,  1034,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1036,  1036,  1036,
    1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1036,  1037,  1037,  1037,  1037,  1037,  1037,  1037,  1038,  1038,
    1039,  1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1041,  1041,  1042,  1042,  1042,  1042,
    1043,  1044,  1044,  1045,  1045,  1046,  1046,  1047,  1047,  1047,
    1048,  1048,  1048,  1048,  1049,  1049,  1050,  1050,  1051,  1051,
    1052,  1052,  1053,  1054,  1054,  1054,  1055,  1056,  1056,  1057,
    1057,  1058,  1058,  1058,  1059,  1059,  1060,  1060,  1060,  1060,
    1060,  1061,  1061,  1061,  1062,  1062,  1063,  1064,  1064,  1064,
    1065,  1065,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1067,  1067,  1068,  1068,  1069,  1069,
    1069,  1069,  1069,  1069,  1070,  1070,  1071,  1071,  1072,  1072,
    1072,  1073,  1073,  1074,  1074,  1074,  1075,  1075,  1076,  1076,
    1077,  1077,  1077,  1077,  1077,  1077,  1077,  1077,  1078,  1078,
    1079,  1080,  1080,  1081,  1081,  1081,  1081,  1081,  1081,  1082,
    1083,  1084,  1084,  1084,  1085,  1085,  1086,  1087,  1087,  1088,
    1089,  1089,  1090,  1090,  1091,  1091,  1092,  1092,  1092,  1092,
    1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,
    1098,  1098,  1099,  1099,  1099,  1099,  1100,  1100,  1101,  1101,
    1102,  1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,  1109,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1111,  1112,  1113,  1113,  1113,  1114,  1115,
    1115,  1115,  1116,  1116,  1117,  1117,  1117,  1118,  1118,  1118,
    1119,  1119,  1119,  1119,  1120,  1120,  1120,  1120,  1120,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,  1122,
    1122,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,
    1124
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     1,     0,     2,     0,     2,     0,     2,     2,     3,
       3,     1,     3,     3,     2,     1,     1,     2,     2,     2,
       3,     3,     5,     5,     5,     0,     3,     5,     5,     5,
       5,     3,     5,     3,     5,     3,     5,     5,     6,     1,
       1,     6,     4,     9,     7,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     2,     5,
       1,     3,     3,     3,     3,     1,     3,     3,     2,     2,
       2,     2,     3,     3,     3,     3,     1,     3,     1,     3,
       1,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     3,     5,     1,     1,     1,     1,     1,     0,
       1,     1,     2,     1,     2,     3,     2,     1,     1,     2,
       1,     2,     1,     2,     3,     4,     3,     2,     4,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     4,
       6,     4,     6,    10,    13,     4,     6,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     1,     3,     4,
       3,     2,     5,     3,     6,     4,     6,     6,     6,     5,
       5,     6,     9,     4,     5,     7,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     1,
       2,     1,     3,     2,     3,     6,    10,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     1,     1,     1,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    12,    15,    11,    14,    13,    16,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     4,     2,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     5,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     5,     7,
       3,     8,     4,     9,    11,     2,     0,     3,     0,     1,
       3,     1,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     2,     2,     4,     0,     1,     0,     6,     1,
       1,     1,     3,     3,     3,     5,     2,     2,     2,     0,
       3,     4,     4,     0,     2,     0,     4,     0,     3,     8,
      11,     7,    10,     5,     2,     3,     0,     8,    11,     4,
       1,     0,     6,     5,     8,     4,     6,     1,     0,     3,
       0,     1,     2,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     3,     1,     3,     1,     0,     1,
       2,     2,     1,     1,     3,     6,    10,     1,     0,     1,
       2,     2,     0,     2,     2,     1,     0,     5,     7,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     1,     5,     2,     0,     2,     7,     6,
      10,     6,     6,     6,     6,     7,     6,     9,     9,     6,
       7,     6,     8,     8,     8,     8,     6,     6,     7,     7,
       8,     6,     9,     6,     7,     2,     2,     2,     2,     1,
       2,     1,     0,     7,     6,     4,     0,     1,     3,     4,
       1,     3,     1,     2,     2,     2,     2,     1,     1,    10,
      13,     2,     0,     2,     2,     1,     0,     5,     4,     4,
      11,    14,    12,    15,     5,     7,    11,     2,     1,     4,
       0,     8,    11,     1,     1,     7,     9,     8,    10,     8,
       4,     0,     5,     0,     2,     0,     2,     0,     2,     0,
       2,     0,     1,     1,     1,     1,     1,     8,    16,    20,
       1,     1,     2,     1,     3,     1,     1,     1,     3,     1,
       2,     0,     1,     2,     4,     1,     1,     1,     1,     1,
       3,     0,     1,     0,     1,     1,     4,     0,     1,     3,
       0,     1,     1,     1,     1,     2,     0,     0,     2,     2,
       1,     2,     2,     2,     2,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     7,     5,     8,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     8,     3,     0,
      13,     1,     3,     5,     5,     3,     6,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     6,     4,     6,     8,     4,     6,     4,     6,
       5,     7,     1,     1,     1,     2,     1,     2,     1,     1,
       1,     3,     3,     3,     3,     2,     2,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     2,     2,
       3,     1,     3,     5,     2,     2,     0,     6,     6,     6,
       6,     6,     6,     6,     8,     9,     8,     8,     9,     8,
       9,     9,     7,    10,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     2,     3,     3,     3,     3,     2,     1,
       2,     1,     3,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     8,     8,     8,     8,     8,     8,     9,     2,
       0,     1,     2,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     3,     3,     3,     3,     4,     4,     3,     3,     3,
       4,     4,     3,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,     1,    14,    17,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     5,     5,
       7,     2,     0,     1,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     3,     3,     5,     2,     0,     2,     1,     3,
       5,     1,     2,     1,     0,     4,     6,     4,     6,     4,
       6,     3,     5,     5,     5,     1,     3,     1,     3,     2,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,    10,    11,    11,     5,     5,     8,
       3,     3,     6,     6,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     5,     6,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     8,    10,     6,     6,
       6,     6,     6,     8,     6,     8,     6,     8,     7,     9,
       6,     8,     7,     9,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       9,     8,     7,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     8,     6,     8,     8,     8,     8,     6,
       8,     6,     8,     7,     9,     7,     9,     6,     7,     1,
       3,     3,     3,     1,     1,     1,     1,     1,     6,     6,
       6,     6,     6,     6,     7,     7,     6,     9,     9,     6,
       6,     6,     6,     8,     8,     8,     6,     7,     6,     6,
       5,     1,     0,     3,     3,     5,     6,     6,     6,     8,
       1,     3,     1,     5,     5,     6,     7,     4,     4,     4,
       6,    13,     1,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     1,     1,
       0,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,    12,    14,     3,     4,
       4,     0,     2,     5,     1,     0,     1,     2,     3,     3,
       3,     1,     2,     1,     1,     1,     1,     1,     1,     0,
       5,     4,     6,     4,     3,     5,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     2,     1,     1,     1,     1,     0,     5,
       3,     0,     1,     1,     1,     1,     3,     9,     3,     0,
       2,     3,     2,     3,     7,     1,     3,     1,     4,     4,
       7,     2,     1,     1,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     2,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     3,     5,     2,
       1,     3,     7,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     9,     1,     2,
       4,     4,     4,     2,     2,     3,     1,     3,     6,     1,
       0,     2,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     1,     3,     1,     1,     1,     1,     1,     2,
       4,     4,     5,     2,     0,     1,     3,     1,     0,     1,
       2,     3,     2,     4,     2,     3,     2,     0,     4,     5,
       2,     0,     1,     3,     2,     3,     2,     3,     2,     3,
       2,     3,     1,     4,     3,     4,     5,     4,     5,     4,
       5,     2,     4,     1,     1,     0,     1,     4,     5,     4,
       0,     2,     2,     2,     1,     1,     0,     4,     2,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     6,     4,
       0,     2,     6,     2,     1,     3,     4,     0,     2,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       7,    12,     1,     3,     2,     3,     3,     1,     2,     2,
       2,     2,     1,     1,     3,     3,     2,     2,     3,     5,
       6,     2,     3,     3,     4,     0,     1,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     4,     1,     2,     2,     1,     3,
       3,     2,     1,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     3,
       3,     5,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     5,     6,     6,     7,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       4,     3,     5,     6,     8,     6,     6,     4,     4,     1,
       1,     1,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     4,     4,     6,     5,     0,     5,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     1,     4,     1,     4,
       1,     2,     1,     2,     1,     3,     1,     3,     1,     3,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     0,     1,     2,     0,     2,     1,     0,     1,     0,
       1,     3,     3,     2,     1,     1,     1,     3,     1,     2,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     6,     2,     3,     5,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 776 "gram.y" /* yacc.c:1648  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 24275 "gram.c" /* yacc.c:1648  */
    break;

  case 3:
#line 792 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 24291 "gram.c" /* yacc.c:1648  */
    break;

  case 4:
#line 804 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 24302 "gram.c" /* yacc.c:1648  */
    break;

  case 128:
#line 937 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 24308 "gram.c" /* yacc.c:1648  */
    break;

  case 129:
#line 948 "gram.y" /* yacc.c:1648  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24320 "gram.c" /* yacc.c:1648  */
    break;

  case 130:
#line 958 "gram.y" /* yacc.c:1648  */
    {}
#line 24326 "gram.c" /* yacc.c:1648  */
    break;

  case 131:
#line 959 "gram.y" /* yacc.c:1648  */
    {}
#line 24332 "gram.c" /* yacc.c:1648  */
    break;

  case 132:
#line 960 "gram.y" /* yacc.c:1648  */
    {}
#line 24338 "gram.c" /* yacc.c:1648  */
    break;

  case 133:
#line 969 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24344 "gram.c" /* yacc.c:1648  */
    break;

  case 134:
#line 970 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 24350 "gram.c" /* yacc.c:1648  */
    break;

  case 135:
#line 974 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 24356 "gram.c" /* yacc.c:1648  */
    break;

  case 136:
#line 975 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 24362 "gram.c" /* yacc.c:1648  */
    break;

  case 137:
#line 980 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 24371 "gram.c" /* yacc.c:1648  */
    break;

  case 138:
#line 985 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 24379 "gram.c" /* yacc.c:1648  */
    break;

  case 139:
#line 989 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24393 "gram.c" /* yacc.c:1648  */
    break;

  case 140:
#line 999 "gram.y" /* yacc.c:1648  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 24405 "gram.c" /* yacc.c:1648  */
    break;

  case 141:
#line 1007 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 24413 "gram.c" /* yacc.c:1648  */
    break;

  case 142:
#line 1011 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 24421 "gram.c" /* yacc.c:1648  */
    break;

  case 143:
#line 1015 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 24429 "gram.c" /* yacc.c:1648  */
    break;

  case 144:
#line 1020 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24437 "gram.c" /* yacc.c:1648  */
    break;

  case 145:
#line 1024 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 24486 "gram.c" /* yacc.c:1648  */
    break;

  case 146:
#line 1071 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 24492 "gram.c" /* yacc.c:1648  */
    break;

  case 147:
#line 1074 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 24500 "gram.c" /* yacc.c:1648  */
    break;

  case 148:
#line 1078 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24508 "gram.c" /* yacc.c:1648  */
    break;

  case 149:
#line 1082 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 24516 "gram.c" /* yacc.c:1648  */
    break;

  case 150:
#line 1086 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24524 "gram.c" /* yacc.c:1648  */
    break;

  case 151:
#line 1090 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 24532 "gram.c" /* yacc.c:1648  */
    break;

  case 152:
#line 1104 "gram.y" /* yacc.c:1648  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24544 "gram.c" /* yacc.c:1648  */
    break;

  case 153:
#line 1122 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24556 "gram.c" /* yacc.c:1648  */
    break;

  case 154:
#line 1130 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 24568 "gram.c" /* yacc.c:1648  */
    break;

  case 155:
#line 1140 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 24574 "gram.c" /* yacc.c:1648  */
    break;

  case 156:
#line 1141 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24580 "gram.c" /* yacc.c:1648  */
    break;

  case 157:
#line 1146 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24592 "gram.c" /* yacc.c:1648  */
    break;

  case 158:
#line 1154 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24604 "gram.c" /* yacc.c:1648  */
    break;

  case 159:
#line 1162 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24616 "gram.c" /* yacc.c:1648  */
    break;

  case 160:
#line 1170 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 24628 "gram.c" /* yacc.c:1648  */
    break;

  case 161:
#line 1191 "gram.y" /* yacc.c:1648  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24639 "gram.c" /* yacc.c:1648  */
    break;

  case 162:
#line 1198 "gram.y" /* yacc.c:1648  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24650 "gram.c" /* yacc.c:1648  */
    break;

  case 163:
#line 1205 "gram.y" /* yacc.c:1648  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24661 "gram.c" /* yacc.c:1648  */
    break;

  case 164:
#line 1212 "gram.y" /* yacc.c:1648  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24672 "gram.c" /* yacc.c:1648  */
    break;

  case 165:
#line 1219 "gram.y" /* yacc.c:1648  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24683 "gram.c" /* yacc.c:1648  */
    break;

  case 166:
#line 1226 "gram.y" /* yacc.c:1648  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24694 "gram.c" /* yacc.c:1648  */
    break;

  case 167:
#line 1243 "gram.y" /* yacc.c:1648  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24706 "gram.c" /* yacc.c:1648  */
    break;

  case 168:
#line 1261 "gram.y" /* yacc.c:1648  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 24719 "gram.c" /* yacc.c:1648  */
    break;

  case 169:
#line 1271 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = +1; }
#line 24725 "gram.c" /* yacc.c:1648  */
    break;

  case 170:
#line 1272 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = -1; }
#line 24731 "gram.c" /* yacc.c:1648  */
    break;

  case 171:
#line 1284 "gram.y" /* yacc.c:1648  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24745 "gram.c" /* yacc.c:1648  */
    break;

  case 172:
#line 1294 "gram.y" /* yacc.c:1648  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 24759 "gram.c" /* yacc.c:1648  */
    break;

  case 173:
#line 1304 "gram.y" /* yacc.c:1648  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24778 "gram.c" /* yacc.c:1648  */
    break;

  case 174:
#line 1319 "gram.y" /* yacc.c:1648  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 24797 "gram.c" /* yacc.c:1648  */
    break;

  case 175:
#line 1336 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24803 "gram.c" /* yacc.c:1648  */
    break;

  case 176:
#line 1337 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 24809 "gram.c" /* yacc.c:1648  */
    break;

  case 177:
#line 1342 "gram.y" /* yacc.c:1648  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 24819 "gram.c" /* yacc.c:1648  */
    break;

  case 178:
#line 1348 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 24825 "gram.c" /* yacc.c:1648  */
    break;

  case 185:
#line 1376 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24835 "gram.c" /* yacc.c:1648  */
    break;

  case 186:
#line 1382 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 24845 "gram.c" /* yacc.c:1648  */
    break;

  case 187:
#line 1388 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 24855 "gram.c" /* yacc.c:1648  */
    break;

  case 188:
#line 1397 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24867 "gram.c" /* yacc.c:1648  */
    break;

  case 189:
#line 1405 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24879 "gram.c" /* yacc.c:1648  */
    break;

  case 191:
#line 1417 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24891 "gram.c" /* yacc.c:1648  */
    break;

  case 192:
#line 1425 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 24903 "gram.c" /* yacc.c:1648  */
    break;

  case 193:
#line 1433 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24914 "gram.c" /* yacc.c:1648  */
    break;

  case 194:
#line 1440 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24925 "gram.c" /* yacc.c:1648  */
    break;

  case 195:
#line 1448 "gram.y" /* yacc.c:1648  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 24931 "gram.c" /* yacc.c:1648  */
    break;

  case 196:
#line 1450 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 24942 "gram.c" /* yacc.c:1648  */
    break;

  case 197:
#line 1458 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24957 "gram.c" /* yacc.c:1648  */
    break;

  case 198:
#line 1469 "gram.y" /* yacc.c:1648  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 24969 "gram.c" /* yacc.c:1648  */
    break;

  case 199:
#line 1477 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 24981 "gram.c" /* yacc.c:1648  */
    break;

  case 200:
#line 1485 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 24996 "gram.c" /* yacc.c:1648  */
    break;

  case 201:
#line 1496 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25008 "gram.c" /* yacc.c:1648  */
    break;

  case 202:
#line 1504 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25020 "gram.c" /* yacc.c:1648  */
    break;

  case 203:
#line 1512 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25031 "gram.c" /* yacc.c:1648  */
    break;

  case 204:
#line 1519 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25043 "gram.c" /* yacc.c:1648  */
    break;

  case 205:
#line 1528 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 25055 "gram.c" /* yacc.c:1648  */
    break;

  case 206:
#line 1537 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25061 "gram.c" /* yacc.c:1648  */
    break;

  case 207:
#line 1539 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 25067 "gram.c" /* yacc.c:1648  */
    break;

  case 208:
#line 1542 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25073 "gram.c" /* yacc.c:1648  */
    break;

  case 209:
#line 1543 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25079 "gram.c" /* yacc.c:1648  */
    break;

  case 210:
#line 1547 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 25085 "gram.c" /* yacc.c:1648  */
    break;

  case 211:
#line 1549 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25091 "gram.c" /* yacc.c:1648  */
    break;

  case 212:
#line 1552 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "read uncommitted"; }
#line 25097 "gram.c" /* yacc.c:1648  */
    break;

  case 213:
#line 1553 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "read committed"; }
#line 25103 "gram.c" /* yacc.c:1648  */
    break;

  case 214:
#line 1554 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "repeatable read"; }
#line 25109 "gram.c" /* yacc.c:1648  */
    break;

  case 215:
#line 1555 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "serializable"; }
#line 25115 "gram.c" /* yacc.c:1648  */
    break;

  case 216:
#line 1559 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "true"; }
#line 25121 "gram.c" /* yacc.c:1648  */
    break;

  case 217:
#line 1560 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "false"; }
#line 25127 "gram.c" /* yacc.c:1648  */
    break;

  case 218:
#line 1561 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "on"; }
#line 25133 "gram.c" /* yacc.c:1648  */
    break;

  case 219:
#line 1567 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25139 "gram.c" /* yacc.c:1648  */
    break;

  case 220:
#line 1580 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25147 "gram.c" /* yacc.c:1648  */
    break;

  case 221:
#line 1584 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 25155 "gram.c" /* yacc.c:1648  */
    break;

  case 222:
#line 1588 "gram.y" /* yacc.c:1648  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 25174 "gram.c" /* yacc.c:1648  */
    break;

  case 223:
#line 1603 "gram.y" /* yacc.c:1648  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 25185 "gram.c" /* yacc.c:1648  */
    break;

  case 224:
#line 1609 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 25191 "gram.c" /* yacc.c:1648  */
    break;

  case 225:
#line 1610 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 25197 "gram.c" /* yacc.c:1648  */
    break;

  case 226:
#line 1611 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 25203 "gram.c" /* yacc.c:1648  */
    break;

  case 227:
#line 1615 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25209 "gram.c" /* yacc.c:1648  */
    break;

  case 228:
#line 1616 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 25215 "gram.c" /* yacc.c:1648  */
    break;

  case 229:
#line 1617 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 25221 "gram.c" /* yacc.c:1648  */
    break;

  case 230:
#line 1621 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25227 "gram.c" /* yacc.c:1648  */
    break;

  case 231:
#line 1622 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25233 "gram.c" /* yacc.c:1648  */
    break;

  case 232:
#line 1626 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 25239 "gram.c" /* yacc.c:1648  */
    break;

  case 233:
#line 1630 "gram.y" /* yacc.c:1648  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25245 "gram.c" /* yacc.c:1648  */
    break;

  case 234:
#line 1632 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 25256 "gram.c" /* yacc.c:1648  */
    break;

  case 235:
#line 1639 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 25267 "gram.c" /* yacc.c:1648  */
    break;

  case 236:
#line 1646 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 25278 "gram.c" /* yacc.c:1648  */
    break;

  case 237:
#line 1656 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 25289 "gram.c" /* yacc.c:1648  */
    break;

  case 238:
#line 1663 "gram.y" /* yacc.c:1648  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 25299 "gram.c" /* yacc.c:1648  */
    break;

  case 239:
#line 1672 "gram.y" /* yacc.c:1648  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25305 "gram.c" /* yacc.c:1648  */
    break;

  case 240:
#line 1673 "gram.y" /* yacc.c:1648  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25311 "gram.c" /* yacc.c:1648  */
    break;

  case 241:
#line 1678 "gram.y" /* yacc.c:1648  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 25317 "gram.c" /* yacc.c:1648  */
    break;

  case 242:
#line 1679 "gram.y" /* yacc.c:1648  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 25323 "gram.c" /* yacc.c:1648  */
    break;

  case 243:
#line 1685 "gram.y" /* yacc.c:1648  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25333 "gram.c" /* yacc.c:1648  */
    break;

  case 244:
#line 1691 "gram.y" /* yacc.c:1648  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 25343 "gram.c" /* yacc.c:1648  */
    break;

  case 245:
#line 1697 "gram.y" /* yacc.c:1648  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 25353 "gram.c" /* yacc.c:1648  */
    break;

  case 246:
#line 1703 "gram.y" /* yacc.c:1648  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 25363 "gram.c" /* yacc.c:1648  */
    break;

  case 247:
#line 1709 "gram.y" /* yacc.c:1648  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 25373 "gram.c" /* yacc.c:1648  */
    break;

  case 248:
#line 1719 "gram.y" /* yacc.c:1648  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 25384 "gram.c" /* yacc.c:1648  */
    break;

  case 249:
#line 1728 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 25390 "gram.c" /* yacc.c:1648  */
    break;

  case 250:
#line 1729 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25396 "gram.c" /* yacc.c:1648  */
    break;

  case 251:
#line 1733 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 25402 "gram.c" /* yacc.c:1648  */
    break;

  case 252:
#line 1734 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 25408 "gram.c" /* yacc.c:1648  */
    break;

  case 253:
#line 1743 "gram.y" /* yacc.c:1648  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 25417 "gram.c" /* yacc.c:1648  */
    break;

  case 254:
#line 1758 "gram.y" /* yacc.c:1648  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 25427 "gram.c" /* yacc.c:1648  */
    break;

  case 255:
#line 1764 "gram.y" /* yacc.c:1648  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25437 "gram.c" /* yacc.c:1648  */
    break;

  case 256:
#line 1770 "gram.y" /* yacc.c:1648  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 25447 "gram.c" /* yacc.c:1648  */
    break;

  case 257:
#line 1776 "gram.y" /* yacc.c:1648  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 25457 "gram.c" /* yacc.c:1648  */
    break;

  case 258:
#line 1782 "gram.y" /* yacc.c:1648  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 25467 "gram.c" /* yacc.c:1648  */
    break;

  case 259:
#line 1801 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25480 "gram.c" /* yacc.c:1648  */
    break;

  case 260:
#line 1810 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25493 "gram.c" /* yacc.c:1648  */
    break;

  case 261:
#line 1819 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25506 "gram.c" /* yacc.c:1648  */
    break;

  case 262:
#line 1828 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25519 "gram.c" /* yacc.c:1648  */
    break;

  case 263:
#line 1837 "gram.y" /* yacc.c:1648  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25534 "gram.c" /* yacc.c:1648  */
    break;

  case 264:
#line 1848 "gram.y" /* yacc.c:1648  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25549 "gram.c" /* yacc.c:1648  */
    break;

  case 265:
#line 1859 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25562 "gram.c" /* yacc.c:1648  */
    break;

  case 266:
#line 1868 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25575 "gram.c" /* yacc.c:1648  */
    break;

  case 267:
#line 1877 "gram.y" /* yacc.c:1648  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25590 "gram.c" /* yacc.c:1648  */
    break;

  case 268:
#line 1888 "gram.y" /* yacc.c:1648  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25605 "gram.c" /* yacc.c:1648  */
    break;

  case 269:
#line 1899 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25618 "gram.c" /* yacc.c:1648  */
    break;

  case 270:
#line 1908 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25631 "gram.c" /* yacc.c:1648  */
    break;

  case 271:
#line 1917 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25644 "gram.c" /* yacc.c:1648  */
    break;

  case 272:
#line 1926 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25657 "gram.c" /* yacc.c:1648  */
    break;

  case 273:
#line 1935 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25670 "gram.c" /* yacc.c:1648  */
    break;

  case 274:
#line 1944 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25683 "gram.c" /* yacc.c:1648  */
    break;

  case 275:
#line 1953 "gram.y" /* yacc.c:1648  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25698 "gram.c" /* yacc.c:1648  */
    break;

  case 276:
#line 1964 "gram.y" /* yacc.c:1648  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 25713 "gram.c" /* yacc.c:1648  */
    break;

  case 277:
#line 1977 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25719 "gram.c" /* yacc.c:1648  */
    break;

  case 278:
#line 1978 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25725 "gram.c" /* yacc.c:1648  */
    break;

  case 279:
#line 1984 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25741 "gram.c" /* yacc.c:1648  */
    break;

  case 280:
#line 1997 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 25757 "gram.c" /* yacc.c:1648  */
    break;

  case 281:
#line 2013 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25769 "gram.c" /* yacc.c:1648  */
    break;

  case 282:
#line 2022 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25781 "gram.c" /* yacc.c:1648  */
    break;

  case 283:
#line 2031 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25793 "gram.c" /* yacc.c:1648  */
    break;

  case 284:
#line 2040 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25805 "gram.c" /* yacc.c:1648  */
    break;

  case 285:
#line 2049 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25817 "gram.c" /* yacc.c:1648  */
    break;

  case 286:
#line 2058 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25828 "gram.c" /* yacc.c:1648  */
    break;

  case 287:
#line 2066 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 25839 "gram.c" /* yacc.c:1648  */
    break;

  case 288:
#line 2074 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 25851 "gram.c" /* yacc.c:1648  */
    break;

  case 289:
#line 2083 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25863 "gram.c" /* yacc.c:1648  */
    break;

  case 290:
#line 2092 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25875 "gram.c" /* yacc.c:1648  */
    break;

  case 291:
#line 2101 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 25887 "gram.c" /* yacc.c:1648  */
    break;

  case 292:
#line 2110 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *)n;
				}
#line 25907 "gram.c" /* yacc.c:1648  */
    break;

  case 293:
#line 2127 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25919 "gram.c" /* yacc.c:1648  */
    break;

  case 294:
#line 2136 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 25931 "gram.c" /* yacc.c:1648  */
    break;

  case 295:
#line 2145 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 25943 "gram.c" /* yacc.c:1648  */
    break;

  case 296:
#line 2154 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25956 "gram.c" /* yacc.c:1648  */
    break;

  case 297:
#line 2164 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25969 "gram.c" /* yacc.c:1648  */
    break;

  case 298:
#line 2177 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25987 "gram.c" /* yacc.c:1648  */
    break;

  case 299:
#line 2192 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25999 "gram.c" /* yacc.c:1648  */
    break;

  case 300:
#line 2201 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26010 "gram.c" /* yacc.c:1648  */
    break;

  case 301:
#line 2209 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26028 "gram.c" /* yacc.c:1648  */
    break;

  case 302:
#line 2224 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26039 "gram.c" /* yacc.c:1648  */
    break;

  case 303:
#line 2232 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26052 "gram.c" /* yacc.c:1648  */
    break;

  case 304:
#line 2242 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26065 "gram.c" /* yacc.c:1648  */
    break;

  case 305:
#line 2252 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 26075 "gram.c" /* yacc.c:1648  */
    break;

  case 306:
#line 2259 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 26085 "gram.c" /* yacc.c:1648  */
    break;

  case 307:
#line 2266 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26096 "gram.c" /* yacc.c:1648  */
    break;

  case 308:
#line 2274 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26107 "gram.c" /* yacc.c:1648  */
    break;

  case 309:
#line 2282 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 26117 "gram.c" /* yacc.c:1648  */
    break;

  case 310:
#line 2289 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 26127 "gram.c" /* yacc.c:1648  */
    break;

  case 311:
#line 2296 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26138 "gram.c" /* yacc.c:1648  */
    break;

  case 312:
#line 2304 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26149 "gram.c" /* yacc.c:1648  */
    break;

  case 313:
#line 2312 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26160 "gram.c" /* yacc.c:1648  */
    break;

  case 314:
#line 2320 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26170 "gram.c" /* yacc.c:1648  */
    break;

  case 315:
#line 2327 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26180 "gram.c" /* yacc.c:1648  */
    break;

  case 316:
#line 2334 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26191 "gram.c" /* yacc.c:1648  */
    break;

  case 317:
#line 2342 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 26201 "gram.c" /* yacc.c:1648  */
    break;

  case 318:
#line 2349 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 26211 "gram.c" /* yacc.c:1648  */
    break;

  case 319:
#line 2356 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26222 "gram.c" /* yacc.c:1648  */
    break;

  case 320:
#line 2364 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26233 "gram.c" /* yacc.c:1648  */
    break;

  case 321:
#line 2372 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26244 "gram.c" /* yacc.c:1648  */
    break;

  case 322:
#line 2380 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26255 "gram.c" /* yacc.c:1648  */
    break;

  case 323:
#line 2388 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26266 "gram.c" /* yacc.c:1648  */
    break;

  case 324:
#line 2396 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 26277 "gram.c" /* yacc.c:1648  */
    break;

  case 325:
#line 2404 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 26290 "gram.c" /* yacc.c:1648  */
    break;

  case 326:
#line 2414 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 26300 "gram.c" /* yacc.c:1648  */
    break;

  case 327:
#line 2421 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 26311 "gram.c" /* yacc.c:1648  */
    break;

  case 328:
#line 2429 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26322 "gram.c" /* yacc.c:1648  */
    break;

  case 329:
#line 2437 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26333 "gram.c" /* yacc.c:1648  */
    break;

  case 330:
#line 2445 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 26344 "gram.c" /* yacc.c:1648  */
    break;

  case 331:
#line 2453 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 26355 "gram.c" /* yacc.c:1648  */
    break;

  case 332:
#line 2461 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26365 "gram.c" /* yacc.c:1648  */
    break;

  case 333:
#line 2468 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26375 "gram.c" /* yacc.c:1648  */
    break;

  case 334:
#line 2475 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26385 "gram.c" /* yacc.c:1648  */
    break;

  case 335:
#line 2482 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 26395 "gram.c" /* yacc.c:1648  */
    break;

  case 336:
#line 2488 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 26406 "gram.c" /* yacc.c:1648  */
    break;

  case 337:
#line 2497 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26412 "gram.c" /* yacc.c:1648  */
    break;

  case 338:
#line 2498 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 26418 "gram.c" /* yacc.c:1648  */
    break;

  case 339:
#line 2502 "gram.y" /* yacc.c:1648  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 26424 "gram.c" /* yacc.c:1648  */
    break;

  case 340:
#line 2503 "gram.y" /* yacc.c:1648  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 26430 "gram.c" /* yacc.c:1648  */
    break;

  case 341:
#line 2504 "gram.y" /* yacc.c:1648  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 26436 "gram.c" /* yacc.c:1648  */
    break;

  case 342:
#line 2509 "gram.y" /* yacc.c:1648  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26448 "gram.c" /* yacc.c:1648  */
    break;

  case 343:
#line 2516 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 26454 "gram.c" /* yacc.c:1648  */
    break;

  case 344:
#line 2520 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26460 "gram.c" /* yacc.c:1648  */
    break;

  case 345:
#line 2521 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 26466 "gram.c" /* yacc.c:1648  */
    break;

  case 346:
#line 2526 "gram.y" /* yacc.c:1648  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26477 "gram.c" /* yacc.c:1648  */
    break;

  case 347:
#line 2533 "gram.y" /* yacc.c:1648  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26488 "gram.c" /* yacc.c:1648  */
    break;

  case 348:
#line 2540 "gram.y" /* yacc.c:1648  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 26499 "gram.c" /* yacc.c:1648  */
    break;

  case 349:
#line 2547 "gram.y" /* yacc.c:1648  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 26510 "gram.c" /* yacc.c:1648  */
    break;

  case 350:
#line 2556 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26516 "gram.c" /* yacc.c:1648  */
    break;

  case 351:
#line 2559 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26522 "gram.c" /* yacc.c:1648  */
    break;

  case 352:
#line 2560 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 26528 "gram.c" /* yacc.c:1648  */
    break;

  case 353:
#line 2564 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26534 "gram.c" /* yacc.c:1648  */
    break;

  case 354:
#line 2565 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 26540 "gram.c" /* yacc.c:1648  */
    break;

  case 355:
#line 2571 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 26548 "gram.c" /* yacc.c:1648  */
    break;

  case 356:
#line 2575 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 26556 "gram.c" /* yacc.c:1648  */
    break;

  case 357:
#line 2579 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 26565 "gram.c" /* yacc.c:1648  */
    break;

  case 358:
#line 2584 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 26573 "gram.c" /* yacc.c:1648  */
    break;

  case 359:
#line 2591 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26579 "gram.c" /* yacc.c:1648  */
    break;

  case 360:
#line 2593 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26585 "gram.c" /* yacc.c:1648  */
    break;

  case 361:
#line 2598 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 26593 "gram.c" /* yacc.c:1648  */
    break;

  case 362:
#line 2602 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 26601 "gram.c" /* yacc.c:1648  */
    break;

  case 363:
#line 2606 "gram.y" /* yacc.c:1648  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 26616 "gram.c" /* yacc.c:1648  */
    break;

  case 364:
#line 2617 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 26624 "gram.c" /* yacc.c:1648  */
    break;

  case 365:
#line 2625 "gram.y" /* yacc.c:1648  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 26638 "gram.c" /* yacc.c:1648  */
    break;

  case 366:
#line 2637 "gram.y" /* yacc.c:1648  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 26653 "gram.c" /* yacc.c:1648  */
    break;

  case 367:
#line 2650 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 26659 "gram.c" /* yacc.c:1648  */
    break;

  case 368:
#line 2651 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 26665 "gram.c" /* yacc.c:1648  */
    break;

  case 369:
#line 2652 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeStringConst(pstrdup("true"), (yylsp[0])); }
#line 26671 "gram.c" /* yacc.c:1648  */
    break;

  case 370:
#line 2653 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeStringConst(pstrdup("false"), (yylsp[0])); }
#line 26677 "gram.c" /* yacc.c:1648  */
    break;

  case 371:
#line 2654 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeNullAConst((yylsp[0])); }
#line 26683 "gram.c" /* yacc.c:1648  */
    break;

  case 372:
#line 2658 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26689 "gram.c" /* yacc.c:1648  */
    break;

  case 373:
#line 2660 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26695 "gram.c" /* yacc.c:1648  */
    break;

  case 374:
#line 2664 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26701 "gram.c" /* yacc.c:1648  */
    break;

  case 375:
#line 2666 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26707 "gram.c" /* yacc.c:1648  */
    break;

  case 376:
#line 2671 "gram.y" /* yacc.c:1648  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MINVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26721 "gram.c" /* yacc.c:1648  */
    break;

  case 377:
#line 2681 "gram.y" /* yacc.c:1648  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_MAXVALUE;
					n->value = NULL;
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26735 "gram.c" /* yacc.c:1648  */
    break;

  case 378:
#line 2691 "gram.y" /* yacc.c:1648  */
    {
					PartitionRangeDatum *n = makeNode(PartitionRangeDatum);

					n->kind = PARTITION_RANGE_DATUM_VALUE;
					n->value = (yyvsp[0].node);
					n->location = (yylsp[0]);

					(yyval.node) = (Node *) n;
				}
#line 26749 "gram.c" /* yacc.c:1648  */
    break;

  case 379:
#line 2711 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 26763 "gram.c" /* yacc.c:1648  */
    break;

  case 380:
#line 2723 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26769 "gram.c" /* yacc.c:1648  */
    break;

  case 381:
#line 2724 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26775 "gram.c" /* yacc.c:1648  */
    break;

  case 382:
#line 2730 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 26787 "gram.c" /* yacc.c:1648  */
    break;

  case 383:
#line 2739 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 26800 "gram.c" /* yacc.c:1648  */
    break;

  case 384:
#line 2749 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 26813 "gram.c" /* yacc.c:1648  */
    break;

  case 385:
#line 2759 "gram.y" /* yacc.c:1648  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 26832 "gram.c" /* yacc.c:1648  */
    break;

  case 386:
#line 2785 "gram.y" /* yacc.c:1648  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26842 "gram.c" /* yacc.c:1648  */
    break;

  case 387:
#line 2791 "gram.y" /* yacc.c:1648  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26852 "gram.c" /* yacc.c:1648  */
    break;

  case 388:
#line 2825 "gram.y" /* yacc.c:1648  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 26884 "gram.c" /* yacc.c:1648  */
    break;

  case 389:
#line 2853 "gram.y" /* yacc.c:1648  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 26907 "gram.c" /* yacc.c:1648  */
    break;

  case 390:
#line 2874 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 26913 "gram.c" /* yacc.c:1648  */
    break;

  case 391:
#line 2875 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 26919 "gram.c" /* yacc.c:1648  */
    break;

  case 392:
#line 2879 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 26925 "gram.c" /* yacc.c:1648  */
    break;

  case 393:
#line 2880 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 26931 "gram.c" /* yacc.c:1648  */
    break;

  case 394:
#line 2889 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26937 "gram.c" /* yacc.c:1648  */
    break;

  case 395:
#line 2890 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 26943 "gram.c" /* yacc.c:1648  */
    break;

  case 396:
#line 2891 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 26949 "gram.c" /* yacc.c:1648  */
    break;

  case 397:
#line 2894 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26955 "gram.c" /* yacc.c:1648  */
    break;

  case 398:
#line 2895 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26961 "gram.c" /* yacc.c:1648  */
    break;

  case 399:
#line 2900 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26967 "gram.c" /* yacc.c:1648  */
    break;

  case 400:
#line 2901 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 26973 "gram.c" /* yacc.c:1648  */
    break;

  case 401:
#line 2906 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 26981 "gram.c" /* yacc.c:1648  */
    break;

  case 402:
#line 2910 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26989 "gram.c" /* yacc.c:1648  */
    break;

  case 403:
#line 2914 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 26997 "gram.c" /* yacc.c:1648  */
    break;

  case 404:
#line 2918 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27005 "gram.c" /* yacc.c:1648  */
    break;

  case 405:
#line 2922 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27013 "gram.c" /* yacc.c:1648  */
    break;

  case 406:
#line 2926 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"), (yylsp[0]));
				}
#line 27021 "gram.c" /* yacc.c:1648  */
    break;

  case 407:
#line 2930 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 27029 "gram.c" /* yacc.c:1648  */
    break;

  case 408:
#line 2934 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27037 "gram.c" /* yacc.c:1648  */
    break;

  case 409:
#line 2938 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 27045 "gram.c" /* yacc.c:1648  */
    break;

  case 410:
#line 2942 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27053 "gram.c" /* yacc.c:1648  */
    break;

  case 411:
#line 2946 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star), (yylsp[-2]));
				}
#line 27061 "gram.c" /* yacc.c:1648  */
    break;

  case 412:
#line 2950 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list), (yylsp[-3]));
				}
#line 27069 "gram.c" /* yacc.c:1648  */
    break;

  case 413:
#line 2954 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 27077 "gram.c" /* yacc.c:1648  */
    break;

  case 414:
#line 2958 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 27085 "gram.c" /* yacc.c:1648  */
    break;

  case 415:
#line 2967 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"), (yylsp[0]));
				}
#line 27093 "gram.c" /* yacc.c:1648  */
    break;

  case 416:
#line 2970 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = NULL; }
#line 27099 "gram.c" /* yacc.c:1648  */
    break;

  case 417:
#line 2975 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 27107 "gram.c" /* yacc.c:1648  */
    break;

  case 418:
#line 2978 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = NULL; }
#line 27113 "gram.c" /* yacc.c:1648  */
    break;

  case 419:
#line 2983 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 27121 "gram.c" /* yacc.c:1648  */
    break;

  case 420:
#line 2986 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = NULL; }
#line 27127 "gram.c" /* yacc.c:1648  */
    break;

  case 421:
#line 2990 "gram.y" /* yacc.c:1648  */
    {}
#line 27133 "gram.c" /* yacc.c:1648  */
    break;

  case 422:
#line 2991 "gram.y" /* yacc.c:1648  */
    {}
#line 27139 "gram.c" /* yacc.c:1648  */
    break;

  case 423:
#line 2997 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27147 "gram.c" /* yacc.c:1648  */
    break;

  case 424:
#line 3001 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27155 "gram.c" /* yacc.c:1648  */
    break;

  case 425:
#line 3008 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 27163 "gram.c" /* yacc.c:1648  */
    break;

  case 426:
#line 3014 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27169 "gram.c" /* yacc.c:1648  */
    break;

  case 427:
#line 3015 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 27175 "gram.c" /* yacc.c:1648  */
    break;

  case 428:
#line 3016 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 27181 "gram.c" /* yacc.c:1648  */
    break;

  case 429:
#line 3017 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 27187 "gram.c" /* yacc.c:1648  */
    break;

  case 430:
#line 3018 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 27193 "gram.c" /* yacc.c:1648  */
    break;

  case 431:
#line 3023 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27201 "gram.c" /* yacc.c:1648  */
    break;

  case 432:
#line 3027 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27209 "gram.c" /* yacc.c:1648  */
    break;

  case 433:
#line 3034 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27215 "gram.c" /* yacc.c:1648  */
    break;

  case 434:
#line 3047 "gram.y" /* yacc.c:1648  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27235 "gram.c" /* yacc.c:1648  */
    break;

  case 435:
#line 3065 "gram.y" /* yacc.c:1648  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = (yyvsp[-4].list);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27255 "gram.c" /* yacc.c:1648  */
    break;

  case 436:
#line 3083 "gram.y" /* yacc.c:1648  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27276 "gram.c" /* yacc.c:1648  */
    break;

  case 437:
#line 3102 "gram.y" /* yacc.c:1648  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-4].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-5].list));
					n->ofTypename->location = (yylsp[-5]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27297 "gram.c" /* yacc.c:1648  */
    break;

  case 438:
#line 3121 "gram.y" /* yacc.c:1648  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 27318 "gram.c" /* yacc.c:1648  */
    break;

  case 439:
#line 3140 "gram.y" /* yacc.c:1648  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = list_make1((yyvsp[-6].range));
					n->partbound = (yyvsp[-4].partboundspec);
					n->partspec = (yyvsp[-3].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 27339 "gram.c" /* yacc.c:1648  */
    break;

  case 440:
#line 3169 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27345 "gram.c" /* yacc.c:1648  */
    break;

  case 441:
#line 3170 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27351 "gram.c" /* yacc.c:1648  */
    break;

  case 442:
#line 3171 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27357 "gram.c" /* yacc.c:1648  */
    break;

  case 443:
#line 3172 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 27363 "gram.c" /* yacc.c:1648  */
    break;

  case 444:
#line 3174 "gram.y" /* yacc.c:1648  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27374 "gram.c" /* yacc.c:1648  */
    break;

  case 445:
#line 3181 "gram.y" /* yacc.c:1648  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 27385 "gram.c" /* yacc.c:1648  */
    break;

  case 446:
#line 3187 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 27391 "gram.c" /* yacc.c:1648  */
    break;

  case 447:
#line 3188 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 27397 "gram.c" /* yacc.c:1648  */
    break;

  case 448:
#line 3192 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27403 "gram.c" /* yacc.c:1648  */
    break;

  case 449:
#line 3193 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 27409 "gram.c" /* yacc.c:1648  */
    break;

  case 450:
#line 3197 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27415 "gram.c" /* yacc.c:1648  */
    break;

  case 451:
#line 3198 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 27421 "gram.c" /* yacc.c:1648  */
    break;

  case 452:
#line 3203 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27429 "gram.c" /* yacc.c:1648  */
    break;

  case 453:
#line 3207 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27437 "gram.c" /* yacc.c:1648  */
    break;

  case 454:
#line 3214 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 27445 "gram.c" /* yacc.c:1648  */
    break;

  case 455:
#line 3218 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 27453 "gram.c" /* yacc.c:1648  */
    break;

  case 456:
#line 3224 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27459 "gram.c" /* yacc.c:1648  */
    break;

  case 457:
#line 3225 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27465 "gram.c" /* yacc.c:1648  */
    break;

  case 458:
#line 3226 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27471 "gram.c" /* yacc.c:1648  */
    break;

  case 459:
#line 3230 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27477 "gram.c" /* yacc.c:1648  */
    break;

  case 460:
#line 3231 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27483 "gram.c" /* yacc.c:1648  */
    break;

  case 461:
#line 3235 "gram.y" /* yacc.c:1648  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27507 "gram.c" /* yacc.c:1648  */
    break;

  case 462:
#line 3257 "gram.y" /* yacc.c:1648  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27530 "gram.c" /* yacc.c:1648  */
    break;

  case 463:
#line 3276 "gram.y" /* yacc.c:1648  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 27553 "gram.c" /* yacc.c:1648  */
    break;

  case 464:
#line 3297 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 27559 "gram.c" /* yacc.c:1648  */
    break;

  case 465:
#line 3298 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 27565 "gram.c" /* yacc.c:1648  */
    break;

  case 466:
#line 3303 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27576 "gram.c" /* yacc.c:1648  */
    break;

  case 467:
#line 3309 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27582 "gram.c" /* yacc.c:1648  */
    break;

  case 468:
#line 3310 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27588 "gram.c" /* yacc.c:1648  */
    break;

  case 469:
#line 3312 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 27605 "gram.c" /* yacc.c:1648  */
    break;

  case 470:
#line 3343 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27616 "gram.c" /* yacc.c:1648  */
    break;

  case 471:
#line 3350 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27627 "gram.c" /* yacc.c:1648  */
    break;

  case 472:
#line 3357 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27642 "gram.c" /* yacc.c:1648  */
    break;

  case 473:
#line 3368 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 27657 "gram.c" /* yacc.c:1648  */
    break;

  case 474:
#line 3379 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 27673 "gram.c" /* yacc.c:1648  */
    break;

  case 475:
#line 3391 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 27686 "gram.c" /* yacc.c:1648  */
    break;

  case 476:
#line 3400 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *)n;
				}
#line 27699 "gram.c" /* yacc.c:1648  */
    break;

  case 477:
#line 3409 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 27718 "gram.c" /* yacc.c:1648  */
    break;

  case 478:
#line 3426 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 27724 "gram.c" /* yacc.c:1648  */
    break;

  case 479:
#line 3427 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 27730 "gram.c" /* yacc.c:1648  */
    break;

  case 480:
#line 3447 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 27741 "gram.c" /* yacc.c:1648  */
    break;

  case 481:
#line 3454 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27752 "gram.c" /* yacc.c:1648  */
    break;

  case 482:
#line 3461 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27763 "gram.c" /* yacc.c:1648  */
    break;

  case 483:
#line 3468 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 27774 "gram.c" /* yacc.c:1648  */
    break;

  case 484:
#line 3479 "gram.y" /* yacc.c:1648  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 27785 "gram.c" /* yacc.c:1648  */
    break;

  case 485:
#line 3488 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 27791 "gram.c" /* yacc.c:1648  */
    break;

  case 486:
#line 3489 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 27797 "gram.c" /* yacc.c:1648  */
    break;

  case 487:
#line 3490 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 27803 "gram.c" /* yacc.c:1648  */
    break;

  case 488:
#line 3494 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 27809 "gram.c" /* yacc.c:1648  */
    break;

  case 489:
#line 3495 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 27815 "gram.c" /* yacc.c:1648  */
    break;

  case 490:
#line 3496 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 27821 "gram.c" /* yacc.c:1648  */
    break;

  case 491:
#line 3497 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 27827 "gram.c" /* yacc.c:1648  */
    break;

  case 492:
#line 3498 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 27833 "gram.c" /* yacc.c:1648  */
    break;

  case 493:
#line 3499 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 27839 "gram.c" /* yacc.c:1648  */
    break;

  case 494:
#line 3500 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 27845 "gram.c" /* yacc.c:1648  */
    break;

  case 495:
#line 3501 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 27851 "gram.c" /* yacc.c:1648  */
    break;

  case 496:
#line 3511 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 27862 "gram.c" /* yacc.c:1648  */
    break;

  case 497:
#line 3517 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27868 "gram.c" /* yacc.c:1648  */
    break;

  case 498:
#line 3522 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27885 "gram.c" /* yacc.c:1648  */
    break;

  case 499:
#line 3536 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27903 "gram.c" /* yacc.c:1648  */
    break;

  case 500:
#line 3550 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27921 "gram.c" /* yacc.c:1648  */
    break;

  case 501:
#line 3565 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27939 "gram.c" /* yacc.c:1648  */
    break;

  case 502:
#line 3579 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27957 "gram.c" /* yacc.c:1648  */
    break;

  case 503:
#line 3595 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 27977 "gram.c" /* yacc.c:1648  */
    break;

  case 504:
#line 3612 "gram.y" /* yacc.c:1648  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 27999 "gram.c" /* yacc.c:1648  */
    break;

  case 505:
#line 3631 "gram.y" /* yacc.c:1648  */
    {  (yyval.boolean) = TRUE; }
#line 28005 "gram.c" /* yacc.c:1648  */
    break;

  case 506:
#line 3632 "gram.y" /* yacc.c:1648  */
    {  (yyval.boolean) = FALSE; }
#line 28011 "gram.c" /* yacc.c:1648  */
    break;

  case 507:
#line 3636 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28017 "gram.c" /* yacc.c:1648  */
    break;

  case 508:
#line 3637 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28023 "gram.c" /* yacc.c:1648  */
    break;

  case 509:
#line 3641 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 28029 "gram.c" /* yacc.c:1648  */
    break;

  case 510:
#line 3642 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 28035 "gram.c" /* yacc.c:1648  */
    break;

  case 511:
#line 3646 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 28043 "gram.c" /* yacc.c:1648  */
    break;

  case 512:
#line 3652 "gram.y" /* yacc.c:1648  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 28051 "gram.c" /* yacc.c:1648  */
    break;

  case 513:
#line 3656 "gram.y" /* yacc.c:1648  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 28063 "gram.c" /* yacc.c:1648  */
    break;

  case 514:
#line 3664 "gram.y" /* yacc.c:1648  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 28071 "gram.c" /* yacc.c:1648  */
    break;

  case 515:
#line 3668 "gram.y" /* yacc.c:1648  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 28079 "gram.c" /* yacc.c:1648  */
    break;

  case 516:
#line 3674 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 28085 "gram.c" /* yacc.c:1648  */
    break;

  case 517:
#line 3676 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 28091 "gram.c" /* yacc.c:1648  */
    break;

  case 518:
#line 3680 "gram.y" /* yacc.c:1648  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 28099 "gram.c" /* yacc.c:1648  */
    break;

  case 519:
#line 3685 "gram.y" /* yacc.c:1648  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 28107 "gram.c" /* yacc.c:1648  */
    break;

  case 520:
#line 3691 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28113 "gram.c" /* yacc.c:1648  */
    break;

  case 521:
#line 3692 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 28119 "gram.c" /* yacc.c:1648  */
    break;

  case 522:
#line 3703 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 28125 "gram.c" /* yacc.c:1648  */
    break;

  case 523:
#line 3705 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 28131 "gram.c" /* yacc.c:1648  */
    break;

  case 524:
#line 3707 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 28137 "gram.c" /* yacc.c:1648  */
    break;

  case 525:
#line 3709 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 28143 "gram.c" /* yacc.c:1648  */
    break;

  case 526:
#line 3711 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 28149 "gram.c" /* yacc.c:1648  */
    break;

  case 527:
#line 3714 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 28155 "gram.c" /* yacc.c:1648  */
    break;

  case 528:
#line 3717 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 28161 "gram.c" /* yacc.c:1648  */
    break;

  case 529:
#line 3721 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 28167 "gram.c" /* yacc.c:1648  */
    break;

  case 530:
#line 3722 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 28173 "gram.c" /* yacc.c:1648  */
    break;

  case 531:
#line 3723 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 28179 "gram.c" /* yacc.c:1648  */
    break;

  case 532:
#line 3724 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 28185 "gram.c" /* yacc.c:1648  */
    break;

  case 533:
#line 3725 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 28191 "gram.c" /* yacc.c:1648  */
    break;

  case 534:
#line 3728 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28197 "gram.c" /* yacc.c:1648  */
    break;

  case 535:
#line 3729 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28203 "gram.c" /* yacc.c:1648  */
    break;

  case 536:
#line 3733 "gram.y" /* yacc.c:1648  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 28209 "gram.c" /* yacc.c:1648  */
    break;

  case 537:
#line 3734 "gram.y" /* yacc.c:1648  */
    { (yyval.partspec) = NULL; }
#line 28215 "gram.c" /* yacc.c:1648  */
    break;

  case 538:
#line 3738 "gram.y" /* yacc.c:1648  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 28229 "gram.c" /* yacc.c:1648  */
    break;

  case 539:
#line 3749 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28235 "gram.c" /* yacc.c:1648  */
    break;

  case 540:
#line 3750 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 28241 "gram.c" /* yacc.c:1648  */
    break;

  case 541:
#line 3753 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 28247 "gram.c" /* yacc.c:1648  */
    break;

  case 542:
#line 3754 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 28253 "gram.c" /* yacc.c:1648  */
    break;

  case 543:
#line 3758 "gram.y" /* yacc.c:1648  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28268 "gram.c" /* yacc.c:1648  */
    break;

  case 544:
#line 3769 "gram.y" /* yacc.c:1648  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 28283 "gram.c" /* yacc.c:1648  */
    break;

  case 545:
#line 3780 "gram.y" /* yacc.c:1648  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 28298 "gram.c" /* yacc.c:1648  */
    break;

  case 546:
#line 3793 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28304 "gram.c" /* yacc.c:1648  */
    break;

  case 547:
#line 3794 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(true), (yylsp[-1]))); }
#line 28310 "gram.c" /* yacc.c:1648  */
    break;

  case 548:
#line 3795 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeDefElem("oids", (Node *) makeInteger(false), (yylsp[-1]))); }
#line 28316 "gram.c" /* yacc.c:1648  */
    break;

  case 549:
#line 3796 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28322 "gram.c" /* yacc.c:1648  */
    break;

  case 550:
#line 3799 "gram.y" /* yacc.c:1648  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 28328 "gram.c" /* yacc.c:1648  */
    break;

  case 551:
#line 3800 "gram.y" /* yacc.c:1648  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 28334 "gram.c" /* yacc.c:1648  */
    break;

  case 552:
#line 3801 "gram.y" /* yacc.c:1648  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 28340 "gram.c" /* yacc.c:1648  */
    break;

  case 553:
#line 3802 "gram.y" /* yacc.c:1648  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 28346 "gram.c" /* yacc.c:1648  */
    break;

  case 554:
#line 3805 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28352 "gram.c" /* yacc.c:1648  */
    break;

  case 555:
#line 3806 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 28358 "gram.c" /* yacc.c:1648  */
    break;

  case 556:
#line 3809 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28364 "gram.c" /* yacc.c:1648  */
    break;

  case 557:
#line 3810 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 28370 "gram.c" /* yacc.c:1648  */
    break;

  case 558:
#line 3813 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28376 "gram.c" /* yacc.c:1648  */
    break;

  case 559:
#line 3833 "gram.y" /* yacc.c:1648  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28390 "gram.c" /* yacc.c:1648  */
    break;

  case 560:
#line 3844 "gram.y" /* yacc.c:1648  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);
					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28404 "gram.c" /* yacc.c:1648  */
    break;

  case 561:
#line 3867 "gram.y" /* yacc.c:1648  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28421 "gram.c" /* yacc.c:1648  */
    break;

  case 562:
#line 3880 "gram.y" /* yacc.c:1648  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28438 "gram.c" /* yacc.c:1648  */
    break;

  case 563:
#line 3896 "gram.y" /* yacc.c:1648  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28453 "gram.c" /* yacc.c:1648  */
    break;

  case 564:
#line 3909 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 28459 "gram.c" /* yacc.c:1648  */
    break;

  case 565:
#line 3910 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 28465 "gram.c" /* yacc.c:1648  */
    break;

  case 566:
#line 3911 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 28471 "gram.c" /* yacc.c:1648  */
    break;

  case 567:
#line 3924 "gram.y" /* yacc.c:1648  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28488 "gram.c" /* yacc.c:1648  */
    break;

  case 568:
#line 3937 "gram.y" /* yacc.c:1648  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 28505 "gram.c" /* yacc.c:1648  */
    break;

  case 569:
#line 3953 "gram.y" /* yacc.c:1648  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 28520 "gram.c" /* yacc.c:1648  */
    break;

  case 570:
#line 3965 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 28526 "gram.c" /* yacc.c:1648  */
    break;

  case 571:
#line 3966 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 28532 "gram.c" /* yacc.c:1648  */
    break;

  case 572:
#line 3979 "gram.y" /* yacc.c:1648  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 28544 "gram.c" /* yacc.c:1648  */
    break;

  case 573:
#line 3999 "gram.y" /* yacc.c:1648  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 28558 "gram.c" /* yacc.c:1648  */
    break;

  case 574:
#line 4009 "gram.y" /* yacc.c:1648  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 28572 "gram.c" /* yacc.c:1648  */
    break;

  case 575:
#line 4022 "gram.y" /* yacc.c:1648  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28584 "gram.c" /* yacc.c:1648  */
    break;

  case 576:
#line 4030 "gram.y" /* yacc.c:1648  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28596 "gram.c" /* yacc.c:1648  */
    break;

  case 577:
#line 4040 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28602 "gram.c" /* yacc.c:1648  */
    break;

  case 578:
#line 4041 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28608 "gram.c" /* yacc.c:1648  */
    break;

  case 579:
#line 4044 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28614 "gram.c" /* yacc.c:1648  */
    break;

  case 580:
#line 4045 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28620 "gram.c" /* yacc.c:1648  */
    break;

  case 581:
#line 4048 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28626 "gram.c" /* yacc.c:1648  */
    break;

  case 582:
#line 4049 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 28632 "gram.c" /* yacc.c:1648  */
    break;

  case 583:
#line 4053 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].typnam), (yylsp[-1]));
				}
#line 28640 "gram.c" /* yacc.c:1648  */
    break;

  case 584:
#line 4057 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28648 "gram.c" /* yacc.c:1648  */
    break;

  case 585:
#line 4061 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 28656 "gram.c" /* yacc.c:1648  */
    break;

  case 586:
#line 4065 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 28664 "gram.c" /* yacc.c:1648  */
    break;

  case 587:
#line 4069 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28672 "gram.c" /* yacc.c:1648  */
    break;

  case 588:
#line 4073 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28680 "gram.c" /* yacc.c:1648  */
    break;

  case 589:
#line 4077 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 28688 "gram.c" /* yacc.c:1648  */
    break;

  case 590:
#line 4081 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 28696 "gram.c" /* yacc.c:1648  */
    break;

  case 591:
#line 4085 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 28704 "gram.c" /* yacc.c:1648  */
    break;

  case 592:
#line 4089 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28712 "gram.c" /* yacc.c:1648  */
    break;

  case 593:
#line 4093 "gram.y" /* yacc.c:1648  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 28721 "gram.c" /* yacc.c:1648  */
    break;

  case 594:
#line 4098 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28729 "gram.c" /* yacc.c:1648  */
    break;

  case 595:
#line 4102 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 28737 "gram.c" /* yacc.c:1648  */
    break;

  case 596:
#line 4106 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value), (yylsp[-2]));
				}
#line 28745 "gram.c" /* yacc.c:1648  */
    break;

  case 597:
#line 4111 "gram.y" /* yacc.c:1648  */
    {}
#line 28751 "gram.c" /* yacc.c:1648  */
    break;

  case 598:
#line 4112 "gram.y" /* yacc.c:1648  */
    {}
#line 28757 "gram.c" /* yacc.c:1648  */
    break;

  case 599:
#line 4116 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28763 "gram.c" /* yacc.c:1648  */
    break;

  case 600:
#line 4117 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 28769 "gram.c" /* yacc.c:1648  */
    break;

  case 601:
#line 4119 "gram.y" /* yacc.c:1648  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 28778 "gram.c" /* yacc.c:1648  */
    break;

  case 602:
#line 4123 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 28784 "gram.c" /* yacc.c:1648  */
    break;

  case 603:
#line 4126 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28790 "gram.c" /* yacc.c:1648  */
    break;

  case 604:
#line 4127 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28796 "gram.c" /* yacc.c:1648  */
    break;

  case 605:
#line 4140 "gram.y" /* yacc.c:1648  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 28812 "gram.c" /* yacc.c:1648  */
    break;

  case 606:
#line 4153 "gram.y" /* yacc.c:1648  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 28827 "gram.c" /* yacc.c:1648  */
    break;

  case 607:
#line 4166 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 28833 "gram.c" /* yacc.c:1648  */
    break;

  case 608:
#line 4167 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 28839 "gram.c" /* yacc.c:1648  */
    break;

  case 609:
#line 4175 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28845 "gram.c" /* yacc.c:1648  */
    break;

  case 610:
#line 4176 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 28851 "gram.c" /* yacc.c:1648  */
    break;

  case 611:
#line 4180 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28857 "gram.c" /* yacc.c:1648  */
    break;

  case 612:
#line 4181 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28863 "gram.c" /* yacc.c:1648  */
    break;

  case 613:
#line 4185 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28869 "gram.c" /* yacc.c:1648  */
    break;

  case 614:
#line 4186 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28875 "gram.c" /* yacc.c:1648  */
    break;

  case 615:
#line 4190 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28881 "gram.c" /* yacc.c:1648  */
    break;

  case 616:
#line 4191 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 28887 "gram.c" /* yacc.c:1648  */
    break;

  case 617:
#line 4196 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28901 "gram.c" /* yacc.c:1648  */
    break;

  case 618:
#line 4206 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(makeString((yyvsp[-1].str)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 28915 "gram.c" /* yacc.c:1648  */
    break;

  case 619:
#line 4218 "gram.y" /* yacc.c:1648  */
    {}
#line 28921 "gram.c" /* yacc.c:1648  */
    break;

  case 620:
#line 4219 "gram.y" /* yacc.c:1648  */
    {}
#line 28927 "gram.c" /* yacc.c:1648  */
    break;

  case 621:
#line 4230 "gram.y" /* yacc.c:1648  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28940 "gram.c" /* yacc.c:1648  */
    break;

  case 622:
#line 4240 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 28946 "gram.c" /* yacc.c:1648  */
    break;

  case 623:
#line 4241 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = NULL; }
#line 28952 "gram.c" /* yacc.c:1648  */
    break;

  case 624:
#line 4255 "gram.y" /* yacc.c:1648  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28963 "gram.c" /* yacc.c:1648  */
    break;

  case 625:
#line 4262 "gram.y" /* yacc.c:1648  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28974 "gram.c" /* yacc.c:1648  */
    break;

  case 626:
#line 4279 "gram.y" /* yacc.c:1648  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28986 "gram.c" /* yacc.c:1648  */
    break;

  case 627:
#line 4287 "gram.y" /* yacc.c:1648  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28998 "gram.c" /* yacc.c:1648  */
    break;

  case 628:
#line 4298 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29004 "gram.c" /* yacc.c:1648  */
    break;

  case 629:
#line 4300 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 29010 "gram.c" /* yacc.c:1648  */
    break;

  case 630:
#line 4305 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29018 "gram.c" /* yacc.c:1648  */
    break;

  case 631:
#line 4309 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29026 "gram.c" /* yacc.c:1648  */
    break;

  case 632:
#line 4313 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29034 "gram.c" /* yacc.c:1648  */
    break;

  case 633:
#line 4317 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 29042 "gram.c" /* yacc.c:1648  */
    break;

  case 634:
#line 4329 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29053 "gram.c" /* yacc.c:1648  */
    break;

  case 635:
#line 4339 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29059 "gram.c" /* yacc.c:1648  */
    break;

  case 636:
#line 4341 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 29065 "gram.c" /* yacc.c:1648  */
    break;

  case 637:
#line 4346 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29073 "gram.c" /* yacc.c:1648  */
    break;

  case 638:
#line 4359 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_ACCESS_METHOD;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29086 "gram.c" /* yacc.c:1648  */
    break;

  case 639:
#line 4368 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29099 "gram.c" /* yacc.c:1648  */
    break;

  case 640:
#line 4377 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 29112 "gram.c" /* yacc.c:1648  */
    break;

  case 641:
#line 4386 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29125 "gram.c" /* yacc.c:1648  */
    break;

  case 642:
#line 4395 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29138 "gram.c" /* yacc.c:1648  */
    break;

  case 643:
#line 4404 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29151 "gram.c" /* yacc.c:1648  */
    break;

  case 644:
#line 4413 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29164 "gram.c" /* yacc.c:1648  */
    break;

  case 645:
#line 4422 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29177 "gram.c" /* yacc.c:1648  */
    break;

  case 646:
#line 4431 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *)n;
				}
#line 29190 "gram.c" /* yacc.c:1648  */
    break;

  case 647:
#line 4440 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29203 "gram.c" /* yacc.c:1648  */
    break;

  case 648:
#line 4449 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 29216 "gram.c" /* yacc.c:1648  */
    break;

  case 649:
#line 4458 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29229 "gram.c" /* yacc.c:1648  */
    break;

  case 650:
#line 4467 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29242 "gram.c" /* yacc.c:1648  */
    break;

  case 651:
#line 4476 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29255 "gram.c" /* yacc.c:1648  */
    break;

  case 652:
#line 4485 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29268 "gram.c" /* yacc.c:1648  */
    break;

  case 653:
#line 4494 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29281 "gram.c" /* yacc.c:1648  */
    break;

  case 654:
#line 4503 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29294 "gram.c" /* yacc.c:1648  */
    break;

  case 655:
#line 4512 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29307 "gram.c" /* yacc.c:1648  */
    break;

  case 656:
#line 4521 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29320 "gram.c" /* yacc.c:1648  */
    break;

  case 657:
#line 4530 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29333 "gram.c" /* yacc.c:1648  */
    break;

  case 658:
#line 4539 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29346 "gram.c" /* yacc.c:1648  */
    break;

  case 659:
#line 4548 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 29359 "gram.c" /* yacc.c:1648  */
    break;

  case 660:
#line 4557 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29372 "gram.c" /* yacc.c:1648  */
    break;

  case 661:
#line 4566 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 29385 "gram.c" /* yacc.c:1648  */
    break;

  case 662:
#line 4575 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 29398 "gram.c" /* yacc.c:1648  */
    break;

  case 663:
#line 4584 "gram.y" /* yacc.c:1648  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *)n;
				}
#line 29411 "gram.c" /* yacc.c:1648  */
    break;

  case 664:
#line 4602 "gram.y" /* yacc.c:1648  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29423 "gram.c" /* yacc.c:1648  */
    break;

  case 665:
#line 4612 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29429 "gram.c" /* yacc.c:1648  */
    break;

  case 666:
#line 4613 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 29435 "gram.c" /* yacc.c:1648  */
    break;

  case 667:
#line 4614 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list), (yylsp[-1])); }
#line 29441 "gram.c" /* yacc.c:1648  */
    break;

  case 668:
#line 4615 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 29447 "gram.c" /* yacc.c:1648  */
    break;

  case 669:
#line 4619 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29453 "gram.c" /* yacc.c:1648  */
    break;

  case 670:
#line 4620 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29459 "gram.c" /* yacc.c:1648  */
    break;

  case 671:
#line 4624 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29465 "gram.c" /* yacc.c:1648  */
    break;

  case 672:
#line 4625 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 29471 "gram.c" /* yacc.c:1648  */
    break;

  case 673:
#line 4636 "gram.y" /* yacc.c:1648  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29483 "gram.c" /* yacc.c:1648  */
    break;

  case 674:
#line 4644 "gram.y" /* yacc.c:1648  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 29495 "gram.c" /* yacc.c:1648  */
    break;

  case 675:
#line 4655 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29501 "gram.c" /* yacc.c:1648  */
    break;

  case 676:
#line 4656 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 29507 "gram.c" /* yacc.c:1648  */
    break;

  case 677:
#line 4661 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29515 "gram.c" /* yacc.c:1648  */
    break;

  case 678:
#line 4665 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29523 "gram.c" /* yacc.c:1648  */
    break;

  case 679:
#line 4672 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29529 "gram.c" /* yacc.c:1648  */
    break;

  case 680:
#line 4677 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 29537 "gram.c" /* yacc.c:1648  */
    break;

  case 681:
#line 4681 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 29545 "gram.c" /* yacc.c:1648  */
    break;

  case 682:
#line 4688 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 29553 "gram.c" /* yacc.c:1648  */
    break;

  case 683:
#line 4692 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 29562 "gram.c" /* yacc.c:1648  */
    break;

  case 684:
#line 4697 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 29571 "gram.c" /* yacc.c:1648  */
    break;

  case 685:
#line 4702 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 29579 "gram.c" /* yacc.c:1648  */
    break;

  case 686:
#line 4709 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 29587 "gram.c" /* yacc.c:1648  */
    break;

  case 687:
#line 4715 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29593 "gram.c" /* yacc.c:1648  */
    break;

  case 688:
#line 4720 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 29599 "gram.c" /* yacc.c:1648  */
    break;

  case 689:
#line 4732 "gram.y" /* yacc.c:1648  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29614 "gram.c" /* yacc.c:1648  */
    break;

  case 690:
#line 4744 "gram.y" /* yacc.c:1648  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29629 "gram.c" /* yacc.c:1648  */
    break;

  case 691:
#line 4757 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29635 "gram.c" /* yacc.c:1648  */
    break;

  case 692:
#line 4758 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 29641 "gram.c" /* yacc.c:1648  */
    break;

  case 693:
#line 4763 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29647 "gram.c" /* yacc.c:1648  */
    break;

  case 694:
#line 4764 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 29653 "gram.c" /* yacc.c:1648  */
    break;

  case 695:
#line 4768 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29659 "gram.c" /* yacc.c:1648  */
    break;

  case 696:
#line 4769 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 29665 "gram.c" /* yacc.c:1648  */
    break;

  case 697:
#line 4780 "gram.y" /* yacc.c:1648  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29678 "gram.c" /* yacc.c:1648  */
    break;

  case 698:
#line 4789 "gram.y" /* yacc.c:1648  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 29690 "gram.c" /* yacc.c:1648  */
    break;

  case 699:
#line 4797 "gram.y" /* yacc.c:1648  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29701 "gram.c" /* yacc.c:1648  */
    break;

  case 700:
#line 4816 "gram.y" /* yacc.c:1648  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29723 "gram.c" /* yacc.c:1648  */
    break;

  case 701:
#line 4836 "gram.y" /* yacc.c:1648  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29745 "gram.c" /* yacc.c:1648  */
    break;

  case 702:
#line 4856 "gram.y" /* yacc.c:1648  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29768 "gram.c" /* yacc.c:1648  */
    break;

  case 703:
#line 4877 "gram.y" /* yacc.c:1648  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29791 "gram.c" /* yacc.c:1648  */
    break;

  case 704:
#line 4906 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 29804 "gram.c" /* yacc.c:1648  */
    break;

  case 705:
#line 4915 "gram.y" /* yacc.c:1648  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 29817 "gram.c" /* yacc.c:1648  */
    break;

  case 706:
#line 4937 "gram.y" /* yacc.c:1648  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 29832 "gram.c" /* yacc.c:1648  */
    break;

  case 707:
#line 4950 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 29838 "gram.c" /* yacc.c:1648  */
    break;

  case 708:
#line 4951 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 29844 "gram.c" /* yacc.c:1648  */
    break;

  case 709:
#line 4956 "gram.y" /* yacc.c:1648  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 29855 "gram.c" /* yacc.c:1648  */
    break;

  case 710:
#line 4963 "gram.y" /* yacc.c:1648  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 29866 "gram.c" /* yacc.c:1648  */
    break;

  case 711:
#line 4979 "gram.y" /* yacc.c:1648  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 29879 "gram.c" /* yacc.c:1648  */
    break;

  case 712:
#line 4988 "gram.y" /* yacc.c:1648  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 29892 "gram.c" /* yacc.c:1648  */
    break;

  case 713:
#line 4999 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 29898 "gram.c" /* yacc.c:1648  */
    break;

  case 714:
#line 5000 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 29904 "gram.c" /* yacc.c:1648  */
    break;

  case 715:
#line 5013 "gram.y" /* yacc.c:1648  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 29916 "gram.c" /* yacc.c:1648  */
    break;

  case 716:
#line 5021 "gram.y" /* yacc.c:1648  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 29928 "gram.c" /* yacc.c:1648  */
    break;

  case 717:
#line 5038 "gram.y" /* yacc.c:1648  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29940 "gram.c" /* yacc.c:1648  */
    break;

  case 718:
#line 5064 "gram.y" /* yacc.c:1648  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29956 "gram.c" /* yacc.c:1648  */
    break;

  case 719:
#line 5080 "gram.y" /* yacc.c:1648  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 29970 "gram.c" /* yacc.c:1648  */
    break;

  case 720:
#line 5092 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29976 "gram.c" /* yacc.c:1648  */
    break;

  case 721:
#line 5093 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 29982 "gram.c" /* yacc.c:1648  */
    break;

  case 722:
#line 5097 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 29988 "gram.c" /* yacc.c:1648  */
    break;

  case 723:
#line 5098 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 29994 "gram.c" /* yacc.c:1648  */
    break;

  case 724:
#line 5102 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30000 "gram.c" /* yacc.c:1648  */
    break;

  case 725:
#line 5103 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 30006 "gram.c" /* yacc.c:1648  */
    break;

  case 726:
#line 5107 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30012 "gram.c" /* yacc.c:1648  */
    break;

  case 727:
#line 5108 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NULL; }
#line 30018 "gram.c" /* yacc.c:1648  */
    break;

  case 728:
#line 5113 "gram.y" /* yacc.c:1648  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
									 parser_errposition((yylsp[0]))));

				}
#line 30036 "gram.c" /* yacc.c:1648  */
    break;

  case 729:
#line 5126 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = true; }
#line 30042 "gram.c" /* yacc.c:1648  */
    break;

  case 730:
#line 5130 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30048 "gram.c" /* yacc.c:1648  */
    break;

  case 731:
#line 5131 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "all"; }
#line 30054 "gram.c" /* yacc.c:1648  */
    break;

  case 732:
#line 5135 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "all"; }
#line 30060 "gram.c" /* yacc.c:1648  */
    break;

  case 733:
#line 5136 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "select"; }
#line 30066 "gram.c" /* yacc.c:1648  */
    break;

  case 734:
#line 5137 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "insert"; }
#line 30072 "gram.c" /* yacc.c:1648  */
    break;

  case 735:
#line 5138 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "update"; }
#line 30078 "gram.c" /* yacc.c:1648  */
    break;

  case 736:
#line 5139 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "delete"; }
#line 30084 "gram.c" /* yacc.c:1648  */
    break;

  case 737:
#line 5150 "gram.y" /* yacc.c:1648  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 30096 "gram.c" /* yacc.c:1648  */
    break;

  case 738:
#line 5170 "gram.y" /* yacc.c:1648  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 30119 "gram.c" /* yacc.c:1648  */
    break;

  case 739:
#line 5192 "gram.y" /* yacc.c:1648  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 30143 "gram.c" /* yacc.c:1648  */
    break;

  case 740:
#line 5214 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 30149 "gram.c" /* yacc.c:1648  */
    break;

  case 741:
#line 5215 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 30155 "gram.c" /* yacc.c:1648  */
    break;

  case 742:
#line 5216 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 30161 "gram.c" /* yacc.c:1648  */
    break;

  case 743:
#line 5221 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30167 "gram.c" /* yacc.c:1648  */
    break;

  case 744:
#line 5223 "gram.y" /* yacc.c:1648  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 30190 "gram.c" /* yacc.c:1648  */
    break;

  case 745:
#line 5245 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 30196 "gram.c" /* yacc.c:1648  */
    break;

  case 746:
#line 5247 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 30202 "gram.c" /* yacc.c:1648  */
    break;

  case 747:
#line 5249 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 30208 "gram.c" /* yacc.c:1648  */
    break;

  case 748:
#line 5251 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 30214 "gram.c" /* yacc.c:1648  */
    break;

  case 749:
#line 5253 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 30220 "gram.c" /* yacc.c:1648  */
    break;

  case 750:
#line 5257 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30226 "gram.c" /* yacc.c:1648  */
    break;

  case 751:
#line 5258 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 30232 "gram.c" /* yacc.c:1648  */
    break;

  case 752:
#line 5262 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30238 "gram.c" /* yacc.c:1648  */
    break;

  case 753:
#line 5263 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 30244 "gram.c" /* yacc.c:1648  */
    break;

  case 754:
#line 5268 "gram.y" /* yacc.c:1648  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);
					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *)n;
				}
#line 30256 "gram.c" /* yacc.c:1648  */
    break;

  case 755:
#line 5278 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 30262 "gram.c" /* yacc.c:1648  */
    break;

  case 756:
#line 5279 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 30268 "gram.c" /* yacc.c:1648  */
    break;

  case 757:
#line 5283 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 30274 "gram.c" /* yacc.c:1648  */
    break;

  case 758:
#line 5292 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 30280 "gram.c" /* yacc.c:1648  */
    break;

  case 759:
#line 5296 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30286 "gram.c" /* yacc.c:1648  */
    break;

  case 760:
#line 5301 "gram.y" /* yacc.c:1648  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 30294 "gram.c" /* yacc.c:1648  */
    break;

  case 761:
#line 5305 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 30306 "gram.c" /* yacc.c:1648  */
    break;

  case 762:
#line 5315 "gram.y" /* yacc.c:1648  */
    {}
#line 30312 "gram.c" /* yacc.c:1648  */
    break;

  case 763:
#line 5316 "gram.y" /* yacc.c:1648  */
    {}
#line 30318 "gram.c" /* yacc.c:1648  */
    break;

  case 764:
#line 5320 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 30324 "gram.c" /* yacc.c:1648  */
    break;

  case 765:
#line 5321 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 30330 "gram.c" /* yacc.c:1648  */
    break;

  case 766:
#line 5325 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 30336 "gram.c" /* yacc.c:1648  */
    break;

  case 767:
#line 5326 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 30342 "gram.c" /* yacc.c:1648  */
    break;

  case 768:
#line 5330 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 30348 "gram.c" /* yacc.c:1648  */
    break;

  case 769:
#line 5331 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 30354 "gram.c" /* yacc.c:1648  */
    break;

  case 770:
#line 5332 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 30360 "gram.c" /* yacc.c:1648  */
    break;

  case 771:
#line 5337 "gram.y" /* yacc.c:1648  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 30368 "gram.c" /* yacc.c:1648  */
    break;

  case 772:
#line 5340 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30374 "gram.c" /* yacc.c:1648  */
    break;

  case 773:
#line 5341 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30380 "gram.c" /* yacc.c:1648  */
    break;

  case 774:
#line 5342 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 30386 "gram.c" /* yacc.c:1648  */
    break;

  case 775:
#line 5346 "gram.y" /* yacc.c:1648  */
    { (yyval.range) = (yyvsp[0].range); }
#line 30392 "gram.c" /* yacc.c:1648  */
    break;

  case 776:
#line 5347 "gram.y" /* yacc.c:1648  */
    { (yyval.range) = NULL; }
#line 30398 "gram.c" /* yacc.c:1648  */
    break;

  case 777:
#line 5352 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 30404 "gram.c" /* yacc.c:1648  */
    break;

  case 778:
#line 5354 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 30432 "gram.c" /* yacc.c:1648  */
    break;

  case 779:
#line 5380 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 30438 "gram.c" /* yacc.c:1648  */
    break;

  case 780:
#line 5381 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 30444 "gram.c" /* yacc.c:1648  */
    break;

  case 781:
#line 5382 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 30450 "gram.c" /* yacc.c:1648  */
    break;

  case 782:
#line 5383 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 30456 "gram.c" /* yacc.c:1648  */
    break;

  case 783:
#line 5384 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 30462 "gram.c" /* yacc.c:1648  */
    break;

  case 784:
#line 5385 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 30468 "gram.c" /* yacc.c:1648  */
    break;

  case 785:
#line 5400 "gram.y" /* yacc.c:1648  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30481 "gram.c" /* yacc.c:1648  */
    break;

  case 786:
#line 5411 "gram.y" /* yacc.c:1648  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 30494 "gram.c" /* yacc.c:1648  */
    break;

  case 787:
#line 5423 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30500 "gram.c" /* yacc.c:1648  */
    break;

  case 788:
#line 5425 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30506 "gram.c" /* yacc.c:1648  */
    break;

  case 789:
#line 5430 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 30512 "gram.c" /* yacc.c:1648  */
    break;

  case 790:
#line 5435 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30518 "gram.c" /* yacc.c:1648  */
    break;

  case 791:
#line 5437 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30524 "gram.c" /* yacc.c:1648  */
    break;

  case 792:
#line 5442 "gram.y" /* yacc.c:1648  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 30535 "gram.c" /* yacc.c:1648  */
    break;

  case 793:
#line 5451 "gram.y" /* yacc.c:1648  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 30541 "gram.c" /* yacc.c:1648  */
    break;

  case 794:
#line 5452 "gram.y" /* yacc.c:1648  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 30547 "gram.c" /* yacc.c:1648  */
    break;

  case 795:
#line 5453 "gram.y" /* yacc.c:1648  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 30553 "gram.c" /* yacc.c:1648  */
    break;

  case 796:
#line 5454 "gram.y" /* yacc.c:1648  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 30559 "gram.c" /* yacc.c:1648  */
    break;

  case 797:
#line 5468 "gram.y" /* yacc.c:1648  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 30579 "gram.c" /* yacc.c:1648  */
    break;

  case 798:
#line 5487 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 30594 "gram.c" /* yacc.c:1648  */
    break;

  case 799:
#line 5509 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30608 "gram.c" /* yacc.c:1648  */
    break;

  case 800:
#line 5519 "gram.y" /* yacc.c:1648  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30623 "gram.c" /* yacc.c:1648  */
    break;

  case 801:
#line 5530 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30637 "gram.c" /* yacc.c:1648  */
    break;

  case 802:
#line 5540 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30651 "gram.c" /* yacc.c:1648  */
    break;

  case 803:
#line 5550 "gram.y" /* yacc.c:1648  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 30666 "gram.c" /* yacc.c:1648  */
    break;

  case 804:
#line 5561 "gram.y" /* yacc.c:1648  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30679 "gram.c" /* yacc.c:1648  */
    break;

  case 805:
#line 5570 "gram.y" /* yacc.c:1648  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 30690 "gram.c" /* yacc.c:1648  */
    break;

  case 806:
#line 5577 "gram.y" /* yacc.c:1648  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30701 "gram.c" /* yacc.c:1648  */
    break;

  case 807:
#line 5584 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30714 "gram.c" /* yacc.c:1648  */
    break;

  case 808:
#line 5593 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30727 "gram.c" /* yacc.c:1648  */
    break;

  case 809:
#line 5602 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30740 "gram.c" /* yacc.c:1648  */
    break;

  case 810:
#line 5611 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30753 "gram.c" /* yacc.c:1648  */
    break;

  case 811:
#line 5620 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 30766 "gram.c" /* yacc.c:1648  */
    break;

  case 812:
#line 5629 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30780 "gram.c" /* yacc.c:1648  */
    break;

  case 813:
#line 5639 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *)n;
				}
#line 30793 "gram.c" /* yacc.c:1648  */
    break;

  case 814:
#line 5648 "gram.y" /* yacc.c:1648  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 30807 "gram.c" /* yacc.c:1648  */
    break;

  case 815:
#line 5659 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30813 "gram.c" /* yacc.c:1648  */
    break;

  case 816:
#line 5662 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30819 "gram.c" /* yacc.c:1648  */
    break;

  case 817:
#line 5663 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30825 "gram.c" /* yacc.c:1648  */
    break;

  case 818:
#line 5667 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 30833 "gram.c" /* yacc.c:1648  */
    break;

  case 819:
#line 5671 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 30841 "gram.c" /* yacc.c:1648  */
    break;

  case 820:
#line 5677 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 30847 "gram.c" /* yacc.c:1648  */
    break;

  case 821:
#line 5678 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30853 "gram.c" /* yacc.c:1648  */
    break;

  case 822:
#line 5679 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 30859 "gram.c" /* yacc.c:1648  */
    break;

  case 823:
#line 5680 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 30865 "gram.c" /* yacc.c:1648  */
    break;

  case 824:
#line 5681 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 30871 "gram.c" /* yacc.c:1648  */
    break;

  case 825:
#line 5682 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 30877 "gram.c" /* yacc.c:1648  */
    break;

  case 826:
#line 5685 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 30883 "gram.c" /* yacc.c:1648  */
    break;

  case 827:
#line 5688 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 30889 "gram.c" /* yacc.c:1648  */
    break;

  case 828:
#line 5689 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 30895 "gram.c" /* yacc.c:1648  */
    break;

  case 829:
#line 5698 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node), (yylsp[-2]));
				}
#line 30903 "gram.c" /* yacc.c:1648  */
    break;

  case 830:
#line 5704 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30909 "gram.c" /* yacc.c:1648  */
    break;

  case 831:
#line 5705 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 30915 "gram.c" /* yacc.c:1648  */
    break;

  case 832:
#line 5709 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 30921 "gram.c" /* yacc.c:1648  */
    break;

  case 833:
#line 5711 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 30927 "gram.c" /* yacc.c:1648  */
    break;

  case 834:
#line 5722 "gram.y" /* yacc.c:1648  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30942 "gram.c" /* yacc.c:1648  */
    break;

  case 835:
#line 5733 "gram.y" /* yacc.c:1648  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30957 "gram.c" /* yacc.c:1648  */
    break;

  case 836:
#line 5744 "gram.y" /* yacc.c:1648  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 30972 "gram.c" /* yacc.c:1648  */
    break;

  case 837:
#line 5755 "gram.y" /* yacc.c:1648  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 30987 "gram.c" /* yacc.c:1648  */
    break;

  case 838:
#line 5767 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = true; }
#line 30993 "gram.c" /* yacc.c:1648  */
    break;

  case 839:
#line 5768 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = false; }
#line 30999 "gram.c" /* yacc.c:1648  */
    break;

  case 840:
#line 5786 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31014 "gram.c" /* yacc.c:1648  */
    break;

  case 841:
#line 5799 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31020 "gram.c" /* yacc.c:1648  */
    break;

  case 842:
#line 5800 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31026 "gram.c" /* yacc.c:1648  */
    break;

  case 843:
#line 5805 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);
					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31042 "gram.c" /* yacc.c:1648  */
    break;

  case 844:
#line 5818 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31055 "gram.c" /* yacc.c:1648  */
    break;

  case 845:
#line 5827 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 31067 "gram.c" /* yacc.c:1648  */
    break;

  case 846:
#line 5835 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 31080 "gram.c" /* yacc.c:1648  */
    break;

  case 847:
#line 5844 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 31091 "gram.c" /* yacc.c:1648  */
    break;

  case 848:
#line 5852 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 31097 "gram.c" /* yacc.c:1648  */
    break;

  case 849:
#line 5853 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 31103 "gram.c" /* yacc.c:1648  */
    break;

  case 850:
#line 5856 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31109 "gram.c" /* yacc.c:1648  */
    break;

  case 851:
#line 5857 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 31115 "gram.c" /* yacc.c:1648  */
    break;

  case 852:
#line 5860 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 31121 "gram.c" /* yacc.c:1648  */
    break;

  case 853:
#line 5861 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31127 "gram.c" /* yacc.c:1648  */
    break;

  case 854:
#line 5862 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 31133 "gram.c" /* yacc.c:1648  */
    break;

  case 855:
#line 5866 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 31151 "gram.c" /* yacc.c:1648  */
    break;

  case 856:
#line 5879 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 31157 "gram.c" /* yacc.c:1648  */
    break;

  case 857:
#line 5885 "gram.y" /* yacc.c:1648  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31168 "gram.c" /* yacc.c:1648  */
    break;

  case 858:
#line 5895 "gram.y" /* yacc.c:1648  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31181 "gram.c" /* yacc.c:1648  */
    break;

  case 859:
#line 5904 "gram.y" /* yacc.c:1648  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31194 "gram.c" /* yacc.c:1648  */
    break;

  case 860:
#line 5915 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31200 "gram.c" /* yacc.c:1648  */
    break;

  case 861:
#line 5916 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31206 "gram.c" /* yacc.c:1648  */
    break;

  case 862:
#line 5921 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31218 "gram.c" /* yacc.c:1648  */
    break;

  case 863:
#line 5929 "gram.y" /* yacc.c:1648  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31230 "gram.c" /* yacc.c:1648  */
    break;

  case 864:
#line 5941 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31244 "gram.c" /* yacc.c:1648  */
    break;

  case 865:
#line 5951 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31258 "gram.c" /* yacc.c:1648  */
    break;

  case 866:
#line 5964 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31272 "gram.c" /* yacc.c:1648  */
    break;

  case 867:
#line 5974 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31286 "gram.c" /* yacc.c:1648  */
    break;

  case 868:
#line 5996 "gram.y" /* yacc.c:1648  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31297 "gram.c" /* yacc.c:1648  */
    break;

  case 869:
#line 6006 "gram.y" /* yacc.c:1648  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 31308 "gram.c" /* yacc.c:1648  */
    break;

  case 870:
#line 6024 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31322 "gram.c" /* yacc.c:1648  */
    break;

  case 871:
#line 6034 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31336 "gram.c" /* yacc.c:1648  */
    break;

  case 872:
#line 6044 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31350 "gram.c" /* yacc.c:1648  */
    break;

  case 873:
#line 6054 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31364 "gram.c" /* yacc.c:1648  */
    break;

  case 874:
#line 6064 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31378 "gram.c" /* yacc.c:1648  */
    break;

  case 875:
#line 6074 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31392 "gram.c" /* yacc.c:1648  */
    break;

  case 876:
#line 6084 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31406 "gram.c" /* yacc.c:1648  */
    break;

  case 877:
#line 6094 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31420 "gram.c" /* yacc.c:1648  */
    break;

  case 878:
#line 6104 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31434 "gram.c" /* yacc.c:1648  */
    break;

  case 879:
#line 6114 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 31448 "gram.c" /* yacc.c:1648  */
    break;

  case 880:
#line 6124 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31462 "gram.c" /* yacc.c:1648  */
    break;

  case 881:
#line 6134 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 31476 "gram.c" /* yacc.c:1648  */
    break;

  case 882:
#line 6147 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31482 "gram.c" /* yacc.c:1648  */
    break;

  case 883:
#line 6148 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31488 "gram.c" /* yacc.c:1648  */
    break;

  case 884:
#line 6149 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31494 "gram.c" /* yacc.c:1648  */
    break;

  case 885:
#line 6150 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31500 "gram.c" /* yacc.c:1648  */
    break;

  case 886:
#line 6151 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31506 "gram.c" /* yacc.c:1648  */
    break;

  case 887:
#line 6152 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31512 "gram.c" /* yacc.c:1648  */
    break;

  case 888:
#line 6153 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31518 "gram.c" /* yacc.c:1648  */
    break;

  case 889:
#line 6154 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31524 "gram.c" /* yacc.c:1648  */
    break;

  case 890:
#line 6155 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31530 "gram.c" /* yacc.c:1648  */
    break;

  case 891:
#line 6156 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31536 "gram.c" /* yacc.c:1648  */
    break;

  case 892:
#line 6157 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31542 "gram.c" /* yacc.c:1648  */
    break;

  case 893:
#line 6158 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31548 "gram.c" /* yacc.c:1648  */
    break;

  case 894:
#line 6159 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31554 "gram.c" /* yacc.c:1648  */
    break;

  case 895:
#line 6164 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31560 "gram.c" /* yacc.c:1648  */
    break;

  case 896:
#line 6165 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 31566 "gram.c" /* yacc.c:1648  */
    break;

  case 897:
#line 6166 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 31572 "gram.c" /* yacc.c:1648  */
    break;

  case 898:
#line 6167 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 31578 "gram.c" /* yacc.c:1648  */
    break;

  case 899:
#line 6168 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 31584 "gram.c" /* yacc.c:1648  */
    break;

  case 900:
#line 6169 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 31590 "gram.c" /* yacc.c:1648  */
    break;

  case 901:
#line 6170 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 31596 "gram.c" /* yacc.c:1648  */
    break;

  case 902:
#line 6175 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 31602 "gram.c" /* yacc.c:1648  */
    break;

  case 903:
#line 6176 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 31608 "gram.c" /* yacc.c:1648  */
    break;

  case 904:
#line 6177 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 31614 "gram.c" /* yacc.c:1648  */
    break;

  case 905:
#line 6181 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 31620 "gram.c" /* yacc.c:1648  */
    break;

  case 906:
#line 6182 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 31626 "gram.c" /* yacc.c:1648  */
    break;

  case 907:
#line 6185 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31632 "gram.c" /* yacc.c:1648  */
    break;

  case 908:
#line 6186 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 31638 "gram.c" /* yacc.c:1648  */
    break;

  case 909:
#line 6190 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31644 "gram.c" /* yacc.c:1648  */
    break;

  case 910:
#line 6192 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 31650 "gram.c" /* yacc.c:1648  */
    break;

  case 911:
#line 6196 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31656 "gram.c" /* yacc.c:1648  */
    break;

  case 912:
#line 6197 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 31662 "gram.c" /* yacc.c:1648  */
    break;

  case 913:
#line 6208 "gram.y" /* yacc.c:1648  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31674 "gram.c" /* yacc.c:1648  */
    break;

  case 914:
#line 6218 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = false; }
#line 31680 "gram.c" /* yacc.c:1648  */
    break;

  case 915:
#line 6219 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = true; }
#line 31686 "gram.c" /* yacc.c:1648  */
    break;

  case 916:
#line 6220 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = false; }
#line 31692 "gram.c" /* yacc.c:1648  */
    break;

  case 917:
#line 6255 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31704 "gram.c" /* yacc.c:1648  */
    break;

  case 918:
#line 6263 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31716 "gram.c" /* yacc.c:1648  */
    break;

  case 919:
#line 6271 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31728 "gram.c" /* yacc.c:1648  */
    break;

  case 920:
#line 6279 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31740 "gram.c" /* yacc.c:1648  */
    break;

  case 921:
#line 6287 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31752 "gram.c" /* yacc.c:1648  */
    break;

  case 922:
#line 6295 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31764 "gram.c" /* yacc.c:1648  */
    break;

  case 923:
#line 6303 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31776 "gram.c" /* yacc.c:1648  */
    break;

  case 924:
#line 6311 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31788 "gram.c" /* yacc.c:1648  */
    break;

  case 925:
#line 6319 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31805 "gram.c" /* yacc.c:1648  */
    break;

  case 926:
#line 6332 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31817 "gram.c" /* yacc.c:1648  */
    break;

  case 927:
#line 6340 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31829 "gram.c" /* yacc.c:1648  */
    break;

  case 928:
#line 6348 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31841 "gram.c" /* yacc.c:1648  */
    break;

  case 929:
#line 6356 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31853 "gram.c" /* yacc.c:1648  */
    break;

  case 930:
#line 6364 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31865 "gram.c" /* yacc.c:1648  */
    break;

  case 931:
#line 6372 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31877 "gram.c" /* yacc.c:1648  */
    break;

  case 932:
#line 6380 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31889 "gram.c" /* yacc.c:1648  */
    break;

  case 933:
#line 6388 "gram.y" /* yacc.c:1648  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31901 "gram.c" /* yacc.c:1648  */
    break;

  case 934:
#line 6399 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 31907 "gram.c" /* yacc.c:1648  */
    break;

  case 935:
#line 6400 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 31913 "gram.c" /* yacc.c:1648  */
    break;

  case 936:
#line 6401 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 31919 "gram.c" /* yacc.c:1648  */
    break;

  case 937:
#line 6402 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 31925 "gram.c" /* yacc.c:1648  */
    break;

  case 938:
#line 6403 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 31931 "gram.c" /* yacc.c:1648  */
    break;

  case 939:
#line 6404 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 31937 "gram.c" /* yacc.c:1648  */
    break;

  case 940:
#line 6405 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 31943 "gram.c" /* yacc.c:1648  */
    break;

  case 941:
#line 6406 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 31949 "gram.c" /* yacc.c:1648  */
    break;

  case 942:
#line 6407 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 31955 "gram.c" /* yacc.c:1648  */
    break;

  case 943:
#line 6408 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 31961 "gram.c" /* yacc.c:1648  */
    break;

  case 944:
#line 6409 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 31967 "gram.c" /* yacc.c:1648  */
    break;

  case 945:
#line 6410 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 31973 "gram.c" /* yacc.c:1648  */
    break;

  case 946:
#line 6411 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 31979 "gram.c" /* yacc.c:1648  */
    break;

  case 947:
#line 6412 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 31985 "gram.c" /* yacc.c:1648  */
    break;

  case 948:
#line 6417 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 31991 "gram.c" /* yacc.c:1648  */
    break;

  case 949:
#line 6418 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 31997 "gram.c" /* yacc.c:1648  */
    break;

  case 950:
#line 6419 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32003 "gram.c" /* yacc.c:1648  */
    break;

  case 951:
#line 6420 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 32009 "gram.c" /* yacc.c:1648  */
    break;

  case 952:
#line 6421 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 32015 "gram.c" /* yacc.c:1648  */
    break;

  case 953:
#line 6422 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32021 "gram.c" /* yacc.c:1648  */
    break;

  case 954:
#line 6423 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32027 "gram.c" /* yacc.c:1648  */
    break;

  case 955:
#line 6424 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32033 "gram.c" /* yacc.c:1648  */
    break;

  case 956:
#line 6425 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32039 "gram.c" /* yacc.c:1648  */
    break;

  case 957:
#line 6426 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 32045 "gram.c" /* yacc.c:1648  */
    break;

  case 958:
#line 6427 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32051 "gram.c" /* yacc.c:1648  */
    break;

  case 959:
#line 6428 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32057 "gram.c" /* yacc.c:1648  */
    break;

  case 960:
#line 6432 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32063 "gram.c" /* yacc.c:1648  */
    break;

  case 961:
#line 6433 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 32069 "gram.c" /* yacc.c:1648  */
    break;

  case 962:
#line 6449 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32082 "gram.c" /* yacc.c:1648  */
    break;

  case 963:
#line 6459 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32095 "gram.c" /* yacc.c:1648  */
    break;

  case 964:
#line 6469 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32108 "gram.c" /* yacc.c:1648  */
    break;

  case 965:
#line 6479 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32121 "gram.c" /* yacc.c:1648  */
    break;

  case 966:
#line 6489 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32134 "gram.c" /* yacc.c:1648  */
    break;

  case 967:
#line 6499 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32147 "gram.c" /* yacc.c:1648  */
    break;

  case 968:
#line 6509 "gram.y" /* yacc.c:1648  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].value);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32160 "gram.c" /* yacc.c:1648  */
    break;

  case 969:
#line 6519 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32166 "gram.c" /* yacc.c:1648  */
    break;

  case 970:
#line 6520 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 32172 "gram.c" /* yacc.c:1648  */
    break;

  case 971:
#line 6525 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 32178 "gram.c" /* yacc.c:1648  */
    break;

  case 972:
#line 6526 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 32184 "gram.c" /* yacc.c:1648  */
    break;

  case 973:
#line 6527 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 32190 "gram.c" /* yacc.c:1648  */
    break;

  case 974:
#line 6528 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 32196 "gram.c" /* yacc.c:1648  */
    break;

  case 975:
#line 6529 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 32202 "gram.c" /* yacc.c:1648  */
    break;

  case 976:
#line 6530 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 32208 "gram.c" /* yacc.c:1648  */
    break;

  case 977:
#line 6535 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 32214 "gram.c" /* yacc.c:1648  */
    break;

  case 978:
#line 6536 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 32220 "gram.c" /* yacc.c:1648  */
    break;

  case 979:
#line 6537 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 32226 "gram.c" /* yacc.c:1648  */
    break;

  case 980:
#line 6538 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 32232 "gram.c" /* yacc.c:1648  */
    break;

  case 981:
#line 6539 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 32238 "gram.c" /* yacc.c:1648  */
    break;

  case 982:
#line 6540 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 32244 "gram.c" /* yacc.c:1648  */
    break;

  case 983:
#line 6541 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 32250 "gram.c" /* yacc.c:1648  */
    break;

  case 984:
#line 6542 "gram.y" /* yacc.c:1648  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 32256 "gram.c" /* yacc.c:1648  */
    break;

  case 985:
#line 6545 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32262 "gram.c" /* yacc.c:1648  */
    break;

  case 986:
#line 6546 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 32268 "gram.c" /* yacc.c:1648  */
    break;

  case 987:
#line 6557 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32278 "gram.c" /* yacc.c:1648  */
    break;

  case 988:
#line 6563 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32288 "gram.c" /* yacc.c:1648  */
    break;

  case 989:
#line 6571 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32300 "gram.c" /* yacc.c:1648  */
    break;

  case 990:
#line 6579 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32312 "gram.c" /* yacc.c:1648  */
    break;

  case 991:
#line 6587 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32324 "gram.c" /* yacc.c:1648  */
    break;

  case 992:
#line 6595 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32336 "gram.c" /* yacc.c:1648  */
    break;

  case 993:
#line 6603 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32348 "gram.c" /* yacc.c:1648  */
    break;

  case 994:
#line 6611 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 32360 "gram.c" /* yacc.c:1648  */
    break;

  case 995:
#line 6619 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32372 "gram.c" /* yacc.c:1648  */
    break;

  case 996:
#line 6627 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32384 "gram.c" /* yacc.c:1648  */
    break;

  case 997:
#line 6635 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32396 "gram.c" /* yacc.c:1648  */
    break;

  case 998:
#line 6643 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32408 "gram.c" /* yacc.c:1648  */
    break;

  case 999:
#line 6651 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32420 "gram.c" /* yacc.c:1648  */
    break;

  case 1000:
#line 6659 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32432 "gram.c" /* yacc.c:1648  */
    break;

  case 1001:
#line 6667 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32444 "gram.c" /* yacc.c:1648  */
    break;

  case 1002:
#line 6675 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 32456 "gram.c" /* yacc.c:1648  */
    break;

  case 1003:
#line 6683 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 32468 "gram.c" /* yacc.c:1648  */
    break;

  case 1004:
#line 6691 "gram.y" /* yacc.c:1648  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 32480 "gram.c" /* yacc.c:1648  */
    break;

  case 1005:
#line 6700 "gram.y" /* yacc.c:1648  */
    {}
#line 32486 "gram.c" /* yacc.c:1648  */
    break;

  case 1006:
#line 6701 "gram.y" /* yacc.c:1648  */
    {}
#line 32492 "gram.c" /* yacc.c:1648  */
    break;

  case 1007:
#line 6704 "gram.y" /* yacc.c:1648  */
    {}
#line 32498 "gram.c" /* yacc.c:1648  */
    break;

  case 1008:
#line 6705 "gram.y" /* yacc.c:1648  */
    {}
#line 32504 "gram.c" /* yacc.c:1648  */
    break;

  case 1009:
#line 6717 "gram.y" /* yacc.c:1648  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 32520 "gram.c" /* yacc.c:1648  */
    break;

  case 1010:
#line 6733 "gram.y" /* yacc.c:1648  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32537 "gram.c" /* yacc.c:1648  */
    break;

  case 1011:
#line 6747 "gram.y" /* yacc.c:1648  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 32554 "gram.c" /* yacc.c:1648  */
    break;

  case 1012:
#line 6772 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32560 "gram.c" /* yacc.c:1648  */
    break;

  case 1013:
#line 6774 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 32566 "gram.c" /* yacc.c:1648  */
    break;

  case 1014:
#line 6776 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 32572 "gram.c" /* yacc.c:1648  */
    break;

  case 1015:
#line 6778 "gram.y" /* yacc.c:1648  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32583 "gram.c" /* yacc.c:1648  */
    break;

  case 1016:
#line 6785 "gram.y" /* yacc.c:1648  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 32594 "gram.c" /* yacc.c:1648  */
    break;

  case 1017:
#line 6793 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 32600 "gram.c" /* yacc.c:1648  */
    break;

  case 1018:
#line 6794 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 32606 "gram.c" /* yacc.c:1648  */
    break;

  case 1019:
#line 6798 "gram.y" /* yacc.c:1648  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32617 "gram.c" /* yacc.c:1648  */
    break;

  case 1020:
#line 6805 "gram.y" /* yacc.c:1648  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32628 "gram.c" /* yacc.c:1648  */
    break;

  case 1021:
#line 6812 "gram.y" /* yacc.c:1648  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32639 "gram.c" /* yacc.c:1648  */
    break;

  case 1022:
#line 6819 "gram.y" /* yacc.c:1648  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 32650 "gram.c" /* yacc.c:1648  */
    break;

  case 1023:
#line 6833 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32662 "gram.c" /* yacc.c:1648  */
    break;

  case 1024:
#line 6841 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32674 "gram.c" /* yacc.c:1648  */
    break;

  case 1025:
#line 6849 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32686 "gram.c" /* yacc.c:1648  */
    break;

  case 1026:
#line 6857 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32698 "gram.c" /* yacc.c:1648  */
    break;

  case 1027:
#line 6865 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32710 "gram.c" /* yacc.c:1648  */
    break;

  case 1028:
#line 6873 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32722 "gram.c" /* yacc.c:1648  */
    break;

  case 1029:
#line 6881 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32734 "gram.c" /* yacc.c:1648  */
    break;

  case 1030:
#line 6889 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32746 "gram.c" /* yacc.c:1648  */
    break;

  case 1031:
#line 6897 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32758 "gram.c" /* yacc.c:1648  */
    break;

  case 1032:
#line 6905 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32770 "gram.c" /* yacc.c:1648  */
    break;

  case 1033:
#line 6913 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32782 "gram.c" /* yacc.c:1648  */
    break;

  case 1034:
#line 6921 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32794 "gram.c" /* yacc.c:1648  */
    break;

  case 1035:
#line 6929 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32806 "gram.c" /* yacc.c:1648  */
    break;

  case 1036:
#line 6937 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32818 "gram.c" /* yacc.c:1648  */
    break;

  case 1037:
#line 6945 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32830 "gram.c" /* yacc.c:1648  */
    break;

  case 1038:
#line 6953 "gram.y" /* yacc.c:1648  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 32842 "gram.c" /* yacc.c:1648  */
    break;

  case 1039:
#line 6964 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 32848 "gram.c" /* yacc.c:1648  */
    break;

  case 1040:
#line 6965 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 32854 "gram.c" /* yacc.c:1648  */
    break;

  case 1041:
#line 6969 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32860 "gram.c" /* yacc.c:1648  */
    break;

  case 1042:
#line 6970 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32866 "gram.c" /* yacc.c:1648  */
    break;

  case 1043:
#line 6975 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 32872 "gram.c" /* yacc.c:1648  */
    break;

  case 1044:
#line 6976 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 32878 "gram.c" /* yacc.c:1648  */
    break;

  case 1045:
#line 6987 "gram.y" /* yacc.c:1648  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node*)n;
				}
#line 32892 "gram.c" /* yacc.c:1648  */
    break;

  case 1046:
#line 7000 "gram.y" /* yacc.c:1648  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32906 "gram.c" /* yacc.c:1648  */
    break;

  case 1047:
#line 7010 "gram.y" /* yacc.c:1648  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 32920 "gram.c" /* yacc.c:1648  */
    break;

  case 1048:
#line 7021 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 32926 "gram.c" /* yacc.c:1648  */
    break;

  case 1049:
#line 7022 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 32932 "gram.c" /* yacc.c:1648  */
    break;

  case 1050:
#line 7025 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 32938 "gram.c" /* yacc.c:1648  */
    break;

  case 1051:
#line 7026 "gram.y" /* yacc.c:1648  */
    { (yyval.rolespec) = NULL; }
#line 32944 "gram.c" /* yacc.c:1648  */
    break;

  case 1052:
#line 7037 "gram.y" /* yacc.c:1648  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 32955 "gram.c" /* yacc.c:1648  */
    break;

  case 1053:
#line 7046 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32961 "gram.c" /* yacc.c:1648  */
    break;

  case 1054:
#line 7047 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 32967 "gram.c" /* yacc.c:1648  */
    break;

  case 1055:
#line 7052 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32975 "gram.c" /* yacc.c:1648  */
    break;

  case 1056:
#line 7056 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32983 "gram.c" /* yacc.c:1648  */
    break;

  case 1057:
#line 7060 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list), (yylsp[-2]));
				}
#line 32991 "gram.c" /* yacc.c:1648  */
    break;

  case 1058:
#line 7072 "gram.y" /* yacc.c:1648  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 33007 "gram.c" /* yacc.c:1648  */
    break;

  case 1059:
#line 7085 "gram.y" /* yacc.c:1648  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33024 "gram.c" /* yacc.c:1648  */
    break;

  case 1060:
#line 7099 "gram.y" /* yacc.c:1648  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 33041 "gram.c" /* yacc.c:1648  */
    break;

  case 1061:
#line 7114 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 33047 "gram.c" /* yacc.c:1648  */
    break;

  case 1062:
#line 7115 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 33053 "gram.c" /* yacc.c:1648  */
    break;

  case 1063:
#line 7116 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 33059 "gram.c" /* yacc.c:1648  */
    break;

  case 1064:
#line 7117 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 33065 "gram.c" /* yacc.c:1648  */
    break;

  case 1065:
#line 7118 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ACL_OBJECT_NAMESPACE; }
#line 33071 "gram.c" /* yacc.c:1648  */
    break;

  case 1066:
#line 7133 "gram.y" /* yacc.c:1648  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 33099 "gram.c" /* yacc.c:1648  */
    break;

  case 1067:
#line 7159 "gram.y" /* yacc.c:1648  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 33127 "gram.c" /* yacc.c:1648  */
    break;

  case 1068:
#line 7185 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 33133 "gram.c" /* yacc.c:1648  */
    break;

  case 1069:
#line 7186 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 33139 "gram.c" /* yacc.c:1648  */
    break;

  case 1070:
#line 7190 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 33145 "gram.c" /* yacc.c:1648  */
    break;

  case 1071:
#line 7191 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 33151 "gram.c" /* yacc.c:1648  */
    break;

  case 1072:
#line 7195 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33157 "gram.c" /* yacc.c:1648  */
    break;

  case 1073:
#line 7196 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 33163 "gram.c" /* yacc.c:1648  */
    break;

  case 1074:
#line 7200 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33169 "gram.c" /* yacc.c:1648  */
    break;

  case 1075:
#line 7201 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 33175 "gram.c" /* yacc.c:1648  */
    break;

  case 1076:
#line 7204 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 33181 "gram.c" /* yacc.c:1648  */
    break;

  case 1077:
#line 7205 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 33187 "gram.c" /* yacc.c:1648  */
    break;

  case 1078:
#line 7214 "gram.y" /* yacc.c:1648  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33202 "gram.c" /* yacc.c:1648  */
    break;

  case 1079:
#line 7225 "gram.y" /* yacc.c:1648  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33217 "gram.c" /* yacc.c:1648  */
    break;

  case 1080:
#line 7236 "gram.y" /* yacc.c:1648  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 33232 "gram.c" /* yacc.c:1648  */
    break;

  case 1081:
#line 7248 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33238 "gram.c" /* yacc.c:1648  */
    break;

  case 1082:
#line 7249 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 33244 "gram.c" /* yacc.c:1648  */
    break;

  case 1083:
#line 7252 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33250 "gram.c" /* yacc.c:1648  */
    break;

  case 1084:
#line 7253 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 33256 "gram.c" /* yacc.c:1648  */
    break;

  case 1085:
#line 7256 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = SORTBY_ASC; }
#line 33262 "gram.c" /* yacc.c:1648  */
    break;

  case 1086:
#line 7257 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = SORTBY_DESC; }
#line 33268 "gram.c" /* yacc.c:1648  */
    break;

  case 1087:
#line 7258 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 33274 "gram.c" /* yacc.c:1648  */
    break;

  case 1088:
#line 7261 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 33280 "gram.c" /* yacc.c:1648  */
    break;

  case 1089:
#line 7262 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 33286 "gram.c" /* yacc.c:1648  */
    break;

  case 1090:
#line 7263 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 33292 "gram.c" /* yacc.c:1648  */
    break;

  case 1091:
#line 7281 "gram.y" /* yacc.c:1648  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33307 "gram.c" /* yacc.c:1648  */
    break;

  case 1092:
#line 7293 "gram.y" /* yacc.c:1648  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33323 "gram.c" /* yacc.c:1648  */
    break;

  case 1093:
#line 7306 "gram.y" /* yacc.c:1648  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33338 "gram.c" /* yacc.c:1648  */
    break;

  case 1094:
#line 7319 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 33344 "gram.c" /* yacc.c:1648  */
    break;

  case 1095:
#line 7320 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 33350 "gram.c" /* yacc.c:1648  */
    break;

  case 1096:
#line 7323 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33356 "gram.c" /* yacc.c:1648  */
    break;

  case 1097:
#line 7324 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 33362 "gram.c" /* yacc.c:1648  */
    break;

  case 1098:
#line 7328 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33368 "gram.c" /* yacc.c:1648  */
    break;

  case 1099:
#line 7329 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33374 "gram.c" /* yacc.c:1648  */
    break;

  case 1100:
#line 7333 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33380 "gram.c" /* yacc.c:1648  */
    break;

  case 1101:
#line 7335 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33386 "gram.c" /* yacc.c:1648  */
    break;

  case 1102:
#line 7340 "gram.y" /* yacc.c:1648  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33397 "gram.c" /* yacc.c:1648  */
    break;

  case 1103:
#line 7352 "gram.y" /* yacc.c:1648  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33408 "gram.c" /* yacc.c:1648  */
    break;

  case 1104:
#line 7359 "gram.y" /* yacc.c:1648  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33419 "gram.c" /* yacc.c:1648  */
    break;

  case 1105:
#line 7366 "gram.y" /* yacc.c:1648  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 33431 "gram.c" /* yacc.c:1648  */
    break;

  case 1106:
#line 7380 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33437 "gram.c" /* yacc.c:1648  */
    break;

  case 1107:
#line 7381 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 33443 "gram.c" /* yacc.c:1648  */
    break;

  case 1108:
#line 7385 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33449 "gram.c" /* yacc.c:1648  */
    break;

  case 1109:
#line 7387 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33455 "gram.c" /* yacc.c:1648  */
    break;

  case 1110:
#line 7402 "gram.y" /* yacc.c:1648  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33468 "gram.c" /* yacc.c:1648  */
    break;

  case 1111:
#line 7411 "gram.y" /* yacc.c:1648  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33481 "gram.c" /* yacc.c:1648  */
    break;

  case 1112:
#line 7420 "gram.y" /* yacc.c:1648  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33494 "gram.c" /* yacc.c:1648  */
    break;

  case 1113:
#line 7429 "gram.y" /* yacc.c:1648  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33507 "gram.c" /* yacc.c:1648  */
    break;

  case 1114:
#line 7438 "gram.y" /* yacc.c:1648  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33520 "gram.c" /* yacc.c:1648  */
    break;

  case 1115:
#line 7449 "gram.y" /* yacc.c:1648  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 33526 "gram.c" /* yacc.c:1648  */
    break;

  case 1116:
#line 7450 "gram.y" /* yacc.c:1648  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 33532 "gram.c" /* yacc.c:1648  */
    break;

  case 1117:
#line 7451 "gram.y" /* yacc.c:1648  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33538 "gram.c" /* yacc.c:1648  */
    break;

  case 1118:
#line 7452 "gram.y" /* yacc.c:1648  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 33544 "gram.c" /* yacc.c:1648  */
    break;

  case 1119:
#line 7453 "gram.y" /* yacc.c:1648  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 33550 "gram.c" /* yacc.c:1648  */
    break;

  case 1121:
#line 7464 "gram.y" /* yacc.c:1648  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 33562 "gram.c" /* yacc.c:1648  */
    break;

  case 1122:
#line 7478 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 33568 "gram.c" /* yacc.c:1648  */
    break;

  case 1123:
#line 7480 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33578 "gram.c" /* yacc.c:1648  */
    break;

  case 1124:
#line 7486 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 33589 "gram.c" /* yacc.c:1648  */
    break;

  case 1125:
#line 7496 "gram.y" /* yacc.c:1648  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33597 "gram.c" /* yacc.c:1648  */
    break;

  case 1126:
#line 7500 "gram.y" /* yacc.c:1648  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33606 "gram.c" /* yacc.c:1648  */
    break;

  case 1127:
#line 7505 "gram.y" /* yacc.c:1648  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 33615 "gram.c" /* yacc.c:1648  */
    break;

  case 1128:
#line 7513 "gram.y" /* yacc.c:1648  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 33629 "gram.c" /* yacc.c:1648  */
    break;

  case 1129:
#line 7554 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 33637 "gram.c" /* yacc.c:1648  */
    break;

  case 1130:
#line 7558 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 33645 "gram.c" /* yacc.c:1648  */
    break;

  case 1131:
#line 7562 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 33653 "gram.c" /* yacc.c:1648  */
    break;

  case 1132:
#line 7566 "gram.y" /* yacc.c:1648  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 33662 "gram.c" /* yacc.c:1648  */
    break;

  case 1133:
#line 7573 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 33668 "gram.c" /* yacc.c:1648  */
    break;

  case 1134:
#line 7574 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 33674 "gram.c" /* yacc.c:1648  */
    break;

  case 1135:
#line 7579 "gram.y" /* yacc.c:1648  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 33685 "gram.c" /* yacc.c:1648  */
    break;

  case 1136:
#line 7588 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 33691 "gram.c" /* yacc.c:1648  */
    break;

  case 1137:
#line 7590 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 33697 "gram.c" /* yacc.c:1648  */
    break;

  case 1138:
#line 7595 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33703 "gram.c" /* yacc.c:1648  */
    break;

  case 1139:
#line 7596 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33709 "gram.c" /* yacc.c:1648  */
    break;

  case 1140:
#line 7604 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE), (yylsp[-3]));
				}
#line 33717 "gram.c" /* yacc.c:1648  */
    break;

  case 1141:
#line 7608 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[-4]));
				}
#line 33725 "gram.c" /* yacc.c:1648  */
    break;

  case 1142:
#line 7612 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33733 "gram.c" /* yacc.c:1648  */
    break;

  case 1143:
#line 7616 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"), (yylsp[0]));
				}
#line 33741 "gram.c" /* yacc.c:1648  */
    break;

  case 1144:
#line 7620 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"), (yylsp[0]));
				}
#line 33749 "gram.c" /* yacc.c:1648  */
    break;

  case 1145:
#line 7624 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"), (yylsp[0]));
				}
#line 33757 "gram.c" /* yacc.c:1648  */
    break;

  case 1146:
#line 7628 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-2]));
				}
#line 33765 "gram.c" /* yacc.c:1648  */
    break;

  case 1147:
#line 7632 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-2]));
				}
#line 33773 "gram.c" /* yacc.c:1648  */
    break;

  case 1148:
#line 7636 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE), (yylsp[-1]));
				}
#line 33781 "gram.c" /* yacc.c:1648  */
    break;

  case 1149:
#line 7640 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33789 "gram.c" /* yacc.c:1648  */
    break;

  case 1150:
#line 7644 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33797 "gram.c" /* yacc.c:1648  */
    break;

  case 1151:
#line 7648 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE), (yylsp[-1]));
				}
#line 33805 "gram.c" /* yacc.c:1648  */
    break;

  case 1152:
#line 7652 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33813 "gram.c" /* yacc.c:1648  */
    break;

  case 1153:
#line 7656 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value), (yylsp[-1]));
				}
#line 33821 "gram.c" /* yacc.c:1648  */
    break;

  case 1154:
#line 7660 "gram.y" /* yacc.c:1648  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 33830 "gram.c" /* yacc.c:1648  */
    break;

  case 1155:
#line 7665 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33838 "gram.c" /* yacc.c:1648  */
    break;

  case 1156:
#line 7672 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33846 "gram.c" /* yacc.c:1648  */
    break;

  case 1157:
#line 7676 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33854 "gram.c" /* yacc.c:1648  */
    break;

  case 1158:
#line 7680 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list), (yylsp[-1]));
				}
#line 33862 "gram.c" /* yacc.c:1648  */
    break;

  case 1159:
#line 7684 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE), (yylsp[0]));
				}
#line 33870 "gram.c" /* yacc.c:1648  */
    break;

  case 1160:
#line 7688 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 33878 "gram.c" /* yacc.c:1648  */
    break;

  case 1161:
#line 7693 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 33884 "gram.c" /* yacc.c:1648  */
    break;

  case 1162:
#line 7695 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 33892 "gram.c" /* yacc.c:1648  */
    break;

  case 1163:
#line 7701 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 33898 "gram.c" /* yacc.c:1648  */
    break;

  case 1164:
#line 7702 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 33904 "gram.c" /* yacc.c:1648  */
    break;

  case 1165:
#line 7706 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33910 "gram.c" /* yacc.c:1648  */
    break;

  case 1166:
#line 7707 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 33916 "gram.c" /* yacc.c:1648  */
    break;

  case 1167:
#line 7711 "gram.y" /* yacc.c:1648  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 33929 "gram.c" /* yacc.c:1648  */
    break;

  case 1168:
#line 7723 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 33937 "gram.c" /* yacc.c:1648  */
    break;

  case 1169:
#line 7727 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 33945 "gram.c" /* yacc.c:1648  */
    break;

  case 1170:
#line 7742 "gram.y" /* yacc.c:1648  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 33956 "gram.c" /* yacc.c:1648  */
    break;

  case 1171:
#line 7752 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33962 "gram.c" /* yacc.c:1648  */
    break;

  case 1172:
#line 7753 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33968 "gram.c" /* yacc.c:1648  */
    break;

  case 1175:
#line 7775 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33982 "gram.c" /* yacc.c:1648  */
    break;

  case 1176:
#line 7785 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 33996 "gram.c" /* yacc.c:1648  */
    break;

  case 1177:
#line 7798 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34010 "gram.c" /* yacc.c:1648  */
    break;

  case 1178:
#line 7808 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34024 "gram.c" /* yacc.c:1648  */
    break;

  case 1179:
#line 7821 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34038 "gram.c" /* yacc.c:1648  */
    break;

  case 1180:
#line 7831 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34052 "gram.c" /* yacc.c:1648  */
    break;

  case 1181:
#line 7844 "gram.y" /* yacc.c:1648  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 34064 "gram.c" /* yacc.c:1648  */
    break;

  case 1182:
#line 7852 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 34070 "gram.c" /* yacc.c:1648  */
    break;

  case 1183:
#line 7854 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 34076 "gram.c" /* yacc.c:1648  */
    break;

  case 1184:
#line 7856 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 34082 "gram.c" /* yacc.c:1648  */
    break;

  case 1185:
#line 7861 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34088 "gram.c" /* yacc.c:1648  */
    break;

  case 1186:
#line 7863 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 34094 "gram.c" /* yacc.c:1648  */
    break;

  case 1187:
#line 7867 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 34100 "gram.c" /* yacc.c:1648  */
    break;

  case 1188:
#line 7869 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 34106 "gram.c" /* yacc.c:1648  */
    break;

  case 1189:
#line 7874 "gram.y" /* yacc.c:1648  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 34117 "gram.c" /* yacc.c:1648  */
    break;

  case 1190:
#line 7892 "gram.y" /* yacc.c:1648  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34127 "gram.c" /* yacc.c:1648  */
    break;

  case 1191:
#line 7900 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34133 "gram.c" /* yacc.c:1648  */
    break;

  case 1192:
#line 7901 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34139 "gram.c" /* yacc.c:1648  */
    break;

  case 1193:
#line 7906 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 34147 "gram.c" /* yacc.c:1648  */
    break;

  case 1194:
#line 7910 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 34155 "gram.c" /* yacc.c:1648  */
    break;

  case 1195:
#line 7923 "gram.y" /* yacc.c:1648  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34169 "gram.c" /* yacc.c:1648  */
    break;

  case 1196:
#line 7934 "gram.y" /* yacc.c:1648  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 34183 "gram.c" /* yacc.c:1648  */
    break;

  case 1197:
#line 7945 "gram.y" /* yacc.c:1648  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 34197 "gram.c" /* yacc.c:1648  */
    break;

  case 1198:
#line 7956 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 34203 "gram.c" /* yacc.c:1648  */
    break;

  case 1199:
#line 7957 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 34209 "gram.c" /* yacc.c:1648  */
    break;

  case 1200:
#line 7958 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 34215 "gram.c" /* yacc.c:1648  */
    break;

  case 1201:
#line 7963 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 34229 "gram.c" /* yacc.c:1648  */
    break;

  case 1202:
#line 7974 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 34235 "gram.c" /* yacc.c:1648  */
    break;

  case 1203:
#line 7975 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 34241 "gram.c" /* yacc.c:1648  */
    break;

  case 1204:
#line 7986 "gram.y" /* yacc.c:1648  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 34255 "gram.c" /* yacc.c:1648  */
    break;

  case 1205:
#line 7998 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 34263 "gram.c" /* yacc.c:1648  */
    break;

  case 1206:
#line 8002 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 34271 "gram.c" /* yacc.c:1648  */
    break;

  case 1207:
#line 8006 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 34279 "gram.c" /* yacc.c:1648  */
    break;

  case 1208:
#line 8010 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 34287 "gram.c" /* yacc.c:1648  */
    break;

  case 1209:
#line 8017 "gram.y" /* yacc.c:1648  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 34300 "gram.c" /* yacc.c:1648  */
    break;

  case 1210:
#line 8037 "gram.y" /* yacc.c:1648  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34313 "gram.c" /* yacc.c:1648  */
    break;

  case 1211:
#line 8046 "gram.y" /* yacc.c:1648  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 34326 "gram.c" /* yacc.c:1648  */
    break;

  case 1212:
#line 8055 "gram.y" /* yacc.c:1648  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34339 "gram.c" /* yacc.c:1648  */
    break;

  case 1213:
#line 8064 "gram.y" /* yacc.c:1648  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 34352 "gram.c" /* yacc.c:1648  */
    break;

  case 1214:
#line 8074 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 34358 "gram.c" /* yacc.c:1648  */
    break;

  case 1215:
#line 8075 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 34364 "gram.c" /* yacc.c:1648  */
    break;

  case 1216:
#line 8078 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 34370 "gram.c" /* yacc.c:1648  */
    break;

  case 1217:
#line 8079 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 34376 "gram.c" /* yacc.c:1648  */
    break;

  case 1218:
#line 8080 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 34382 "gram.c" /* yacc.c:1648  */
    break;

  case 1219:
#line 8083 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34388 "gram.c" /* yacc.c:1648  */
    break;

  case 1220:
#line 8084 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34394 "gram.c" /* yacc.c:1648  */
    break;

  case 1221:
#line 8087 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 34400 "gram.c" /* yacc.c:1648  */
    break;

  case 1222:
#line 8098 "gram.y" /* yacc.c:1648  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34413 "gram.c" /* yacc.c:1648  */
    break;

  case 1223:
#line 8107 "gram.y" /* yacc.c:1648  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34426 "gram.c" /* yacc.c:1648  */
    break;

  case 1224:
#line 8124 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34439 "gram.c" /* yacc.c:1648  */
    break;

  case 1225:
#line 8133 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34452 "gram.c" /* yacc.c:1648  */
    break;

  case 1226:
#line 8142 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34465 "gram.c" /* yacc.c:1648  */
    break;

  case 1227:
#line 8151 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34478 "gram.c" /* yacc.c:1648  */
    break;

  case 1228:
#line 8160 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34491 "gram.c" /* yacc.c:1648  */
    break;

  case 1229:
#line 8169 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34504 "gram.c" /* yacc.c:1648  */
    break;

  case 1230:
#line 8178 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34517 "gram.c" /* yacc.c:1648  */
    break;

  case 1231:
#line 8187 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34530 "gram.c" /* yacc.c:1648  */
    break;

  case 1232:
#line 8196 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34543 "gram.c" /* yacc.c:1648  */
    break;

  case 1233:
#line 8205 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34556 "gram.c" /* yacc.c:1648  */
    break;

  case 1234:
#line 8214 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34569 "gram.c" /* yacc.c:1648  */
    break;

  case 1235:
#line 8223 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34582 "gram.c" /* yacc.c:1648  */
    break;

  case 1236:
#line 8232 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34596 "gram.c" /* yacc.c:1648  */
    break;

  case 1237:
#line 8242 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34610 "gram.c" /* yacc.c:1648  */
    break;

  case 1238:
#line 8252 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34623 "gram.c" /* yacc.c:1648  */
    break;

  case 1239:
#line 8261 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34636 "gram.c" /* yacc.c:1648  */
    break;

  case 1240:
#line 8270 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34649 "gram.c" /* yacc.c:1648  */
    break;

  case 1241:
#line 8279 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34662 "gram.c" /* yacc.c:1648  */
    break;

  case 1242:
#line 8288 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34676 "gram.c" /* yacc.c:1648  */
    break;

  case 1243:
#line 8298 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34690 "gram.c" /* yacc.c:1648  */
    break;

  case 1244:
#line 8308 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34704 "gram.c" /* yacc.c:1648  */
    break;

  case 1245:
#line 8318 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34718 "gram.c" /* yacc.c:1648  */
    break;

  case 1246:
#line 8328 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34732 "gram.c" /* yacc.c:1648  */
    break;

  case 1247:
#line 8338 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34746 "gram.c" /* yacc.c:1648  */
    break;

  case 1248:
#line 8348 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34760 "gram.c" /* yacc.c:1648  */
    break;

  case 1249:
#line 8358 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34774 "gram.c" /* yacc.c:1648  */
    break;

  case 1250:
#line 8368 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34788 "gram.c" /* yacc.c:1648  */
    break;

  case 1251:
#line 8378 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34802 "gram.c" /* yacc.c:1648  */
    break;

  case 1252:
#line 8388 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34816 "gram.c" /* yacc.c:1648  */
    break;

  case 1253:
#line 8398 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34830 "gram.c" /* yacc.c:1648  */
    break;

  case 1254:
#line 8408 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34845 "gram.c" /* yacc.c:1648  */
    break;

  case 1255:
#line 8419 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34860 "gram.c" /* yacc.c:1648  */
    break;

  case 1256:
#line 8430 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34875 "gram.c" /* yacc.c:1648  */
    break;

  case 1257:
#line 8441 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34890 "gram.c" /* yacc.c:1648  */
    break;

  case 1258:
#line 8452 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34904 "gram.c" /* yacc.c:1648  */
    break;

  case 1259:
#line 8462 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34918 "gram.c" /* yacc.c:1648  */
    break;

  case 1260:
#line 8472 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34933 "gram.c" /* yacc.c:1648  */
    break;

  case 1261:
#line 8483 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34948 "gram.c" /* yacc.c:1648  */
    break;

  case 1262:
#line 8494 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34962 "gram.c" /* yacc.c:1648  */
    break;

  case 1263:
#line 8504 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34976 "gram.c" /* yacc.c:1648  */
    break;

  case 1264:
#line 8514 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34988 "gram.c" /* yacc.c:1648  */
    break;

  case 1265:
#line 8522 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35001 "gram.c" /* yacc.c:1648  */
    break;

  case 1266:
#line 8531 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35014 "gram.c" /* yacc.c:1648  */
    break;

  case 1267:
#line 8540 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35027 "gram.c" /* yacc.c:1648  */
    break;

  case 1268:
#line 8549 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35040 "gram.c" /* yacc.c:1648  */
    break;

  case 1269:
#line 8558 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35053 "gram.c" /* yacc.c:1648  */
    break;

  case 1270:
#line 8567 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35066 "gram.c" /* yacc.c:1648  */
    break;

  case 1271:
#line 8576 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35079 "gram.c" /* yacc.c:1648  */
    break;

  case 1272:
#line 8585 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35092 "gram.c" /* yacc.c:1648  */
    break;

  case 1273:
#line 8594 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35105 "gram.c" /* yacc.c:1648  */
    break;

  case 1274:
#line 8603 "gram.y" /* yacc.c:1648  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35121 "gram.c" /* yacc.c:1648  */
    break;

  case 1275:
#line 8616 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = COLUMN; }
#line 35127 "gram.c" /* yacc.c:1648  */
    break;

  case 1276:
#line 8617 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 35133 "gram.c" /* yacc.c:1648  */
    break;

  case 1277:
#line 8620 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 1; }
#line 35139 "gram.c" /* yacc.c:1648  */
    break;

  case 1278:
#line 8621 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 35145 "gram.c" /* yacc.c:1648  */
    break;

  case 1279:
#line 8632 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-4].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35157 "gram.c" /* yacc.c:1648  */
    break;

  case 1280:
#line 8640 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-6].str)));
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35170 "gram.c" /* yacc.c:1648  */
    break;

  case 1281:
#line 8649 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35182 "gram.c" /* yacc.c:1648  */
    break;

  case 1282:
#line 8657 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 35194 "gram.c" /* yacc.c:1648  */
    break;

  case 1283:
#line 8674 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35207 "gram.c" /* yacc.c:1648  */
    break;

  case 1284:
#line 8683 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35220 "gram.c" /* yacc.c:1648  */
    break;

  case 1285:
#line 8692 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35233 "gram.c" /* yacc.c:1648  */
    break;

  case 1286:
#line 8701 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35246 "gram.c" /* yacc.c:1648  */
    break;

  case 1287:
#line 8710 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35259 "gram.c" /* yacc.c:1648  */
    break;

  case 1288:
#line 8719 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35272 "gram.c" /* yacc.c:1648  */
    break;

  case 1289:
#line 8728 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35285 "gram.c" /* yacc.c:1648  */
    break;

  case 1290:
#line 8737 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35298 "gram.c" /* yacc.c:1648  */
    break;

  case 1291:
#line 8746 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35311 "gram.c" /* yacc.c:1648  */
    break;

  case 1292:
#line 8755 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35324 "gram.c" /* yacc.c:1648  */
    break;

  case 1293:
#line 8764 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35337 "gram.c" /* yacc.c:1648  */
    break;

  case 1294:
#line 8773 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35350 "gram.c" /* yacc.c:1648  */
    break;

  case 1295:
#line 8782 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35363 "gram.c" /* yacc.c:1648  */
    break;

  case 1296:
#line 8791 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35376 "gram.c" /* yacc.c:1648  */
    break;

  case 1297:
#line 8800 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35389 "gram.c" /* yacc.c:1648  */
    break;

  case 1298:
#line 8809 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35402 "gram.c" /* yacc.c:1648  */
    break;

  case 1299:
#line 8818 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35415 "gram.c" /* yacc.c:1648  */
    break;

  case 1300:
#line 8827 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35428 "gram.c" /* yacc.c:1648  */
    break;

  case 1301:
#line 8836 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35441 "gram.c" /* yacc.c:1648  */
    break;

  case 1302:
#line 8845 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35454 "gram.c" /* yacc.c:1648  */
    break;

  case 1303:
#line 8854 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35467 "gram.c" /* yacc.c:1648  */
    break;

  case 1304:
#line 8863 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35480 "gram.c" /* yacc.c:1648  */
    break;

  case 1305:
#line 8872 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35493 "gram.c" /* yacc.c:1648  */
    break;

  case 1306:
#line 8881 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 35506 "gram.c" /* yacc.c:1648  */
    break;

  case 1307:
#line 8890 "gram.y" /* yacc.c:1648  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 35519 "gram.c" /* yacc.c:1648  */
    break;

  case 1308:
#line 8908 "gram.y" /* yacc.c:1648  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 35530 "gram.c" /* yacc.c:1648  */
    break;

  case 1309:
#line 8916 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35536 "gram.c" /* yacc.c:1648  */
    break;

  case 1310:
#line 8917 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 35542 "gram.c" /* yacc.c:1648  */
    break;

  case 1311:
#line 8921 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 35548 "gram.c" /* yacc.c:1648  */
    break;

  case 1312:
#line 8923 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 35554 "gram.c" /* yacc.c:1648  */
    break;

  case 1313:
#line 8928 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 35560 "gram.c" /* yacc.c:1648  */
    break;

  case 1314:
#line 8929 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 35566 "gram.c" /* yacc.c:1648  */
    break;

  case 1315:
#line 8930 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 35572 "gram.c" /* yacc.c:1648  */
    break;

  case 1316:
#line 8931 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 35578 "gram.c" /* yacc.c:1648  */
    break;

  case 1317:
#line 8932 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 35584 "gram.c" /* yacc.c:1648  */
    break;

  case 1318:
#line 8942 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35596 "gram.c" /* yacc.c:1648  */
    break;

  case 1319:
#line 8950 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35608 "gram.c" /* yacc.c:1648  */
    break;

  case 1320:
#line 8958 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35620 "gram.c" /* yacc.c:1648  */
    break;

  case 1321:
#line 8966 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35632 "gram.c" /* yacc.c:1648  */
    break;

  case 1322:
#line 8974 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35644 "gram.c" /* yacc.c:1648  */
    break;

  case 1323:
#line 8982 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35656 "gram.c" /* yacc.c:1648  */
    break;

  case 1324:
#line 8990 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35668 "gram.c" /* yacc.c:1648  */
    break;

  case 1325:
#line 8998 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].value);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35680 "gram.c" /* yacc.c:1648  */
    break;

  case 1326:
#line 9006 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35692 "gram.c" /* yacc.c:1648  */
    break;

  case 1327:
#line 9014 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35704 "gram.c" /* yacc.c:1648  */
    break;

  case 1328:
#line 9022 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35716 "gram.c" /* yacc.c:1648  */
    break;

  case 1329:
#line 9030 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35728 "gram.c" /* yacc.c:1648  */
    break;

  case 1330:
#line 9038 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35740 "gram.c" /* yacc.c:1648  */
    break;

  case 1331:
#line 9046 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35752 "gram.c" /* yacc.c:1648  */
    break;

  case 1332:
#line 9054 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35764 "gram.c" /* yacc.c:1648  */
    break;

  case 1333:
#line 9062 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35776 "gram.c" /* yacc.c:1648  */
    break;

  case 1334:
#line 9070 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35788 "gram.c" /* yacc.c:1648  */
    break;

  case 1335:
#line 9078 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35800 "gram.c" /* yacc.c:1648  */
    break;

  case 1336:
#line 9086 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35812 "gram.c" /* yacc.c:1648  */
    break;

  case 1337:
#line 9094 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35824 "gram.c" /* yacc.c:1648  */
    break;

  case 1338:
#line 9102 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35836 "gram.c" /* yacc.c:1648  */
    break;

  case 1339:
#line 9110 "gram.y" /* yacc.c:1648  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *)n;
				}
#line 35848 "gram.c" /* yacc.c:1648  */
    break;

  case 1340:
#line 9128 "gram.y" /* yacc.c:1648  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					if ((yyvsp[-1].node) != NULL)
					{
						/* FOR TABLE */
						if (IsA((yyvsp[-1].node), List))
							n->tables = (List *)(yyvsp[-1].node);
						/* FOR ALL TABLES */
						else
							n->for_all_tables = TRUE;
					}
					(yyval.node) = (Node *)n;
				}
#line 35868 "gram.c" /* yacc.c:1648  */
    break;

  case 1341:
#line 9146 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35874 "gram.c" /* yacc.c:1648  */
    break;

  case 1342:
#line 9147 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 35880 "gram.c" /* yacc.c:1648  */
    break;

  case 1343:
#line 9152 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) (yyvsp[0].list);
				}
#line 35888 "gram.c" /* yacc.c:1648  */
    break;

  case 1344:
#line 9156 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeInteger(TRUE);
				}
#line 35896 "gram.c" /* yacc.c:1648  */
    break;

  case 1345:
#line 9176 "gram.y" /* yacc.c:1648  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35907 "gram.c" /* yacc.c:1648  */
    break;

  case 1346:
#line 9183 "gram.y" /* yacc.c:1648  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_ADD;
					(yyval.node) = (Node *)n;
				}
#line 35919 "gram.c" /* yacc.c:1648  */
    break;

  case 1347:
#line 9191 "gram.y" /* yacc.c:1648  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_SET;
					(yyval.node) = (Node *)n;
				}
#line 35931 "gram.c" /* yacc.c:1648  */
    break;

  case 1348:
#line 9199 "gram.y" /* yacc.c:1648  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);
					n->pubname = (yyvsp[-3].str);
					n->tables = (yyvsp[0].list);
					n->tableAction = DEFELEM_DROP;
					(yyval.node) = (Node *)n;
				}
#line 35943 "gram.c" /* yacc.c:1648  */
    break;

  case 1349:
#line 9216 "gram.y" /* yacc.c:1648  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35957 "gram.c" /* yacc.c:1648  */
    break;

  case 1350:
#line 9229 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].value));
				}
#line 35965 "gram.c" /* yacc.c:1648  */
    break;

  case 1351:
#line 9233 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value));
				}
#line 35973 "gram.c" /* yacc.c:1648  */
    break;

  case 1352:
#line 9239 "gram.y" /* yacc.c:1648  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 35979 "gram.c" /* yacc.c:1648  */
    break;

  case 1353:
#line 9249 "gram.y" /* yacc.c:1648  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35992 "gram.c" /* yacc.c:1648  */
    break;

  case 1354:
#line 9258 "gram.y" /* yacc.c:1648  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36005 "gram.c" /* yacc.c:1648  */
    break;

  case 1355:
#line 9267 "gram.y" /* yacc.c:1648  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36018 "gram.c" /* yacc.c:1648  */
    break;

  case 1356:
#line 9276 "gram.y" /* yacc.c:1648  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36032 "gram.c" /* yacc.c:1648  */
    break;

  case 1357:
#line 9286 "gram.y" /* yacc.c:1648  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(TRUE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36046 "gram.c" /* yacc.c:1648  */
    break;

  case 1358:
#line 9296 "gram.y" /* yacc.c:1648  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);
					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *)makeInteger(FALSE), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36060 "gram.c" /* yacc.c:1648  */
    break;

  case 1359:
#line 9314 "gram.y" /* yacc.c:1648  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36072 "gram.c" /* yacc.c:1648  */
    break;

  case 1360:
#line 9322 "gram.y" /* yacc.c:1648  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);
					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 36084 "gram.c" /* yacc.c:1648  */
    break;

  case 1361:
#line 9340 "gram.y" /* yacc.c:1648  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36100 "gram.c" /* yacc.c:1648  */
    break;

  case 1362:
#line 9354 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 36106 "gram.c" /* yacc.c:1648  */
    break;

  case 1363:
#line 9355 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36112 "gram.c" /* yacc.c:1648  */
    break;

  case 1364:
#line 9356 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36118 "gram.c" /* yacc.c:1648  */
    break;

  case 1365:
#line 9362 "gram.y" /* yacc.c:1648  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 36128 "gram.c" /* yacc.c:1648  */
    break;

  case 1366:
#line 9368 "gram.y" /* yacc.c:1648  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 36138 "gram.c" /* yacc.c:1648  */
    break;

  case 1372:
#line 9384 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36144 "gram.c" /* yacc.c:1648  */
    break;

  case 1373:
#line 9385 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 36150 "gram.c" /* yacc.c:1648  */
    break;

  case 1374:
#line 9388 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CMD_SELECT; }
#line 36156 "gram.c" /* yacc.c:1648  */
    break;

  case 1375:
#line 9389 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CMD_UPDATE; }
#line 36162 "gram.c" /* yacc.c:1648  */
    break;

  case 1376:
#line 9390 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CMD_DELETE; }
#line 36168 "gram.c" /* yacc.c:1648  */
    break;

  case 1377:
#line 9391 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CMD_INSERT; }
#line 36174 "gram.c" /* yacc.c:1648  */
    break;

  case 1378:
#line 9395 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 36180 "gram.c" /* yacc.c:1648  */
    break;

  case 1379:
#line 9396 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 36186 "gram.c" /* yacc.c:1648  */
    break;

  case 1380:
#line 9397 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 36192 "gram.c" /* yacc.c:1648  */
    break;

  case 1381:
#line 9410 "gram.y" /* yacc.c:1648  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36203 "gram.c" /* yacc.c:1648  */
    break;

  case 1382:
#line 9419 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36209 "gram.c" /* yacc.c:1648  */
    break;

  case 1383:
#line 9420 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 36215 "gram.c" /* yacc.c:1648  */
    break;

  case 1384:
#line 9424 "gram.y" /* yacc.c:1648  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36225 "gram.c" /* yacc.c:1648  */
    break;

  case 1385:
#line 9433 "gram.y" /* yacc.c:1648  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36235 "gram.c" /* yacc.c:1648  */
    break;

  case 1386:
#line 9439 "gram.y" /* yacc.c:1648  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 36245 "gram.c" /* yacc.c:1648  */
    break;

  case 1387:
#line 9458 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36256 "gram.c" /* yacc.c:1648  */
    break;

  case 1388:
#line 9465 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36267 "gram.c" /* yacc.c:1648  */
    break;

  case 1389:
#line 9472 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36278 "gram.c" /* yacc.c:1648  */
    break;

  case 1390:
#line 9479 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36289 "gram.c" /* yacc.c:1648  */
    break;

  case 1391:
#line 9486 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36300 "gram.c" /* yacc.c:1648  */
    break;

  case 1392:
#line 9493 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 36311 "gram.c" /* yacc.c:1648  */
    break;

  case 1393:
#line 9500 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36323 "gram.c" /* yacc.c:1648  */
    break;

  case 1394:
#line 9508 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-2])));
					(yyval.node) = (Node *)n;
				}
#line 36335 "gram.c" /* yacc.c:1648  */
    break;

  case 1395:
#line 9516 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-1])));
					(yyval.node) = (Node *)n;
				}
#line 36347 "gram.c" /* yacc.c:1648  */
    break;

  case 1396:
#line 9524 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-4])));
					(yyval.node) = (Node *)n;
				}
#line 36359 "gram.c" /* yacc.c:1648  */
    break;

  case 1397:
#line 9532 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str)), (yylsp[-3])));
					(yyval.node) = (Node *)n;
				}
#line 36371 "gram.c" /* yacc.c:1648  */
    break;

  case 1398:
#line 9540 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36382 "gram.c" /* yacc.c:1648  */
    break;

  case 1399:
#line 9547 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36393 "gram.c" /* yacc.c:1648  */
    break;

  case 1400:
#line 9554 "gram.y" /* yacc.c:1648  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36404 "gram.c" /* yacc.c:1648  */
    break;

  case 1401:
#line 9562 "gram.y" /* yacc.c:1648  */
    {}
#line 36410 "gram.c" /* yacc.c:1648  */
    break;

  case 1402:
#line 9563 "gram.y" /* yacc.c:1648  */
    {}
#line 36416 "gram.c" /* yacc.c:1648  */
    break;

  case 1403:
#line 9564 "gram.y" /* yacc.c:1648  */
    {}
#line 36422 "gram.c" /* yacc.c:1648  */
    break;

  case 1404:
#line 9569 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 36429 "gram.c" /* yacc.c:1648  */
    break;

  case 1405:
#line 9572 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1])), (yylsp[-1])); }
#line 36436 "gram.c" /* yacc.c:1648  */
    break;

  case 1406:
#line 9575 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36443 "gram.c" /* yacc.c:1648  */
    break;

  case 1407:
#line 9578 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0])), (yylsp[0])); }
#line 36450 "gram.c" /* yacc.c:1648  */
    break;

  case 1408:
#line 9581 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1])), (yylsp[-1])); }
#line 36457 "gram.c" /* yacc.c:1648  */
    break;

  case 1409:
#line 9588 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36463 "gram.c" /* yacc.c:1648  */
    break;

  case 1410:
#line 9590 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36469 "gram.c" /* yacc.c:1648  */
    break;

  case 1411:
#line 9592 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36475 "gram.c" /* yacc.c:1648  */
    break;

  case 1413:
#line 9598 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 36481 "gram.c" /* yacc.c:1648  */
    break;

  case 1414:
#line 9612 "gram.y" /* yacc.c:1648  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36497 "gram.c" /* yacc.c:1648  */
    break;

  case 1415:
#line 9625 "gram.y" /* yacc.c:1648  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36513 "gram.c" /* yacc.c:1648  */
    break;

  case 1416:
#line 9638 "gram.y" /* yacc.c:1648  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36534 "gram.c" /* yacc.c:1648  */
    break;

  case 1417:
#line 9656 "gram.y" /* yacc.c:1648  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 36555 "gram.c" /* yacc.c:1648  */
    break;

  case 1418:
#line 9675 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36561 "gram.c" /* yacc.c:1648  */
    break;

  case 1419:
#line 9676 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 36567 "gram.c" /* yacc.c:1648  */
    break;

  case 1420:
#line 9677 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 36573 "gram.c" /* yacc.c:1648  */
    break;

  case 1421:
#line 9678 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 36579 "gram.c" /* yacc.c:1648  */
    break;

  case 1422:
#line 9689 "gram.y" /* yacc.c:1648  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36589 "gram.c" /* yacc.c:1648  */
    break;

  case 1423:
#line 9705 "gram.y" /* yacc.c:1648  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36600 "gram.c" /* yacc.c:1648  */
    break;

  case 1424:
#line 9714 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36606 "gram.c" /* yacc.c:1648  */
    break;

  case 1425:
#line 9715 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 36612 "gram.c" /* yacc.c:1648  */
    break;

  case 1426:
#line 9719 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36618 "gram.c" /* yacc.c:1648  */
    break;

  case 1427:
#line 9720 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36624 "gram.c" /* yacc.c:1648  */
    break;

  case 1428:
#line 9725 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 36632 "gram.c" /* yacc.c:1648  */
    break;

  case 1429:
#line 9729 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 36640 "gram.c" /* yacc.c:1648  */
    break;

  case 1430:
#line 9733 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 36648 "gram.c" /* yacc.c:1648  */
    break;

  case 1431:
#line 9750 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36654 "gram.c" /* yacc.c:1648  */
    break;

  case 1432:
#line 9751 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 36660 "gram.c" /* yacc.c:1648  */
    break;

  case 1433:
#line 9752 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36666 "gram.c" /* yacc.c:1648  */
    break;

  case 1434:
#line 9753 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36672 "gram.c" /* yacc.c:1648  */
    break;

  case 1435:
#line 9754 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36678 "gram.c" /* yacc.c:1648  */
    break;

  case 1436:
#line 9755 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36684 "gram.c" /* yacc.c:1648  */
    break;

  case 1437:
#line 9756 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 36690 "gram.c" /* yacc.c:1648  */
    break;

  case 1438:
#line 9763 "gram.y" /* yacc.c:1648  */
    {}
#line 36696 "gram.c" /* yacc.c:1648  */
    break;

  case 1439:
#line 9764 "gram.y" /* yacc.c:1648  */
    {}
#line 36702 "gram.c" /* yacc.c:1648  */
    break;

  case 1440:
#line 9776 "gram.y" /* yacc.c:1648  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36713 "gram.c" /* yacc.c:1648  */
    break;

  case 1441:
#line 9783 "gram.y" /* yacc.c:1648  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 36724 "gram.c" /* yacc.c:1648  */
    break;

  case 1442:
#line 9790 "gram.y" /* yacc.c:1648  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *)makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *)n;
				 }
#line 36736 "gram.c" /* yacc.c:1648  */
    break;

  case 1443:
#line 9801 "gram.y" /* yacc.c:1648  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36747 "gram.c" /* yacc.c:1648  */
    break;

  case 1444:
#line 9818 "gram.y" /* yacc.c:1648  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 36758 "gram.c" /* yacc.c:1648  */
    break;

  case 1445:
#line 9825 "gram.y" /* yacc.c:1648  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 36769 "gram.c" /* yacc.c:1648  */
    break;

  case 1446:
#line 9841 "gram.y" /* yacc.c:1648  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);
					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 36779 "gram.c" /* yacc.c:1648  */
    break;

  case 1447:
#line 9858 "gram.y" /* yacc.c:1648  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36789 "gram.c" /* yacc.c:1648  */
    break;

  case 1448:
#line 9864 "gram.y" /* yacc.c:1648  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 36799 "gram.c" /* yacc.c:1648  */
    break;

  case 1449:
#line 9880 "gram.y" /* yacc.c:1648  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 36812 "gram.c" /* yacc.c:1648  */
    break;

  case 1450:
#line 9893 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36824 "gram.c" /* yacc.c:1648  */
    break;

  case 1451:
#line 9902 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36835 "gram.c" /* yacc.c:1648  */
    break;

  case 1452:
#line 9910 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 36846 "gram.c" /* yacc.c:1648  */
    break;

  case 1453:
#line 9918 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 36858 "gram.c" /* yacc.c:1648  */
    break;

  case 1454:
#line 9927 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 36872 "gram.c" /* yacc.c:1648  */
    break;

  case 1455:
#line 9938 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 36886 "gram.c" /* yacc.c:1648  */
    break;

  case 1456:
#line 9949 "gram.y" /* yacc.c:1648  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 36898 "gram.c" /* yacc.c:1648  */
    break;

  case 1457:
#line 9958 "gram.y" /* yacc.c:1648  */
    {}
#line 36904 "gram.c" /* yacc.c:1648  */
    break;

  case 1458:
#line 9959 "gram.y" /* yacc.c:1648  */
    {}
#line 36910 "gram.c" /* yacc.c:1648  */
    break;

  case 1459:
#line 9971 "gram.y" /* yacc.c:1648  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 36921 "gram.c" /* yacc.c:1648  */
    break;

  case 1460:
#line 9981 "gram.y" /* yacc.c:1648  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36936 "gram.c" /* yacc.c:1648  */
    break;

  case 1461:
#line 9992 "gram.y" /* yacc.c:1648  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 36951 "gram.c" /* yacc.c:1648  */
    break;

  case 1462:
#line 10003 "gram.y" /* yacc.c:1648  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36966 "gram.c" /* yacc.c:1648  */
    break;

  case 1463:
#line 10014 "gram.y" /* yacc.c:1648  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 36981 "gram.c" /* yacc.c:1648  */
    break;

  case 1464:
#line 10025 "gram.y" /* yacc.c:1648  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 36994 "gram.c" /* yacc.c:1648  */
    break;

  case 1465:
#line 10034 "gram.y" /* yacc.c:1648  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 37007 "gram.c" /* yacc.c:1648  */
    break;

  case 1466:
#line 10045 "gram.y" /* yacc.c:1648  */
    {}
#line 37013 "gram.c" /* yacc.c:1648  */
    break;

  case 1467:
#line 10046 "gram.y" /* yacc.c:1648  */
    {}
#line 37019 "gram.c" /* yacc.c:1648  */
    break;

  case 1468:
#line 10062 "gram.y" /* yacc.c:1648  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 37033 "gram.c" /* yacc.c:1648  */
    break;

  case 1469:
#line 10084 "gram.y" /* yacc.c:1648  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 37045 "gram.c" /* yacc.c:1648  */
    break;

  case 1470:
#line 10092 "gram.y" /* yacc.c:1648  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 37057 "gram.c" /* yacc.c:1648  */
    break;

  case 1471:
#line 10101 "gram.y" /* yacc.c:1648  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 37069 "gram.c" /* yacc.c:1648  */
    break;

  case 1472:
#line 10111 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37075 "gram.c" /* yacc.c:1648  */
    break;

  case 1473:
#line 10112 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 37081 "gram.c" /* yacc.c:1648  */
    break;

  case 1474:
#line 10125 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37099 "gram.c" /* yacc.c:1648  */
    break;

  case 1475:
#line 10139 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37117 "gram.c" /* yacc.c:1648  */
    break;

  case 1476:
#line 10153 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 37133 "gram.c" /* yacc.c:1648  */
    break;

  case 1477:
#line 10165 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37145 "gram.c" /* yacc.c:1648  */
    break;

  case 1478:
#line 10173 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 37159 "gram.c" /* yacc.c:1648  */
    break;

  case 1479:
#line 10185 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 37165 "gram.c" /* yacc.c:1648  */
    break;

  case 1480:
#line 10186 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 37171 "gram.c" /* yacc.c:1648  */
    break;

  case 1481:
#line 10190 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 37177 "gram.c" /* yacc.c:1648  */
    break;

  case 1482:
#line 10191 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 37183 "gram.c" /* yacc.c:1648  */
    break;

  case 1483:
#line 10192 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 37189 "gram.c" /* yacc.c:1648  */
    break;

  case 1484:
#line 10193 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = VACOPT_FULL; }
#line 37195 "gram.c" /* yacc.c:1648  */
    break;

  case 1485:
#line 10195 "gram.y" /* yacc.c:1648  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 37209 "gram.c" /* yacc.c:1648  */
    break;

  case 1486:
#line 10208 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 37223 "gram.c" /* yacc.c:1648  */
    break;

  case 1487:
#line 10218 "gram.y" /* yacc.c:1648  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 37237 "gram.c" /* yacc.c:1648  */
    break;

  case 1488:
#line 10230 "gram.y" /* yacc.c:1648  */
    {}
#line 37243 "gram.c" /* yacc.c:1648  */
    break;

  case 1489:
#line 10231 "gram.y" /* yacc.c:1648  */
    {}
#line 37249 "gram.c" /* yacc.c:1648  */
    break;

  case 1490:
#line 10235 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 37255 "gram.c" /* yacc.c:1648  */
    break;

  case 1491:
#line 10236 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 37261 "gram.c" /* yacc.c:1648  */
    break;

  case 1492:
#line 10239 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 37267 "gram.c" /* yacc.c:1648  */
    break;

  case 1493:
#line 10240 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 37273 "gram.c" /* yacc.c:1648  */
    break;

  case 1494:
#line 10243 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 37279 "gram.c" /* yacc.c:1648  */
    break;

  case 1495:
#line 10244 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 37285 "gram.c" /* yacc.c:1648  */
    break;

  case 1496:
#line 10248 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37291 "gram.c" /* yacc.c:1648  */
    break;

  case 1497:
#line 10249 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 37297 "gram.c" /* yacc.c:1648  */
    break;

  case 1498:
#line 10263 "gram.y" /* yacc.c:1648  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37308 "gram.c" /* yacc.c:1648  */
    break;

  case 1499:
#line 10270 "gram.y" /* yacc.c:1648  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37322 "gram.c" /* yacc.c:1648  */
    break;

  case 1500:
#line 10280 "gram.y" /* yacc.c:1648  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 37333 "gram.c" /* yacc.c:1648  */
    break;

  case 1501:
#line 10287 "gram.y" /* yacc.c:1648  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37344 "gram.c" /* yacc.c:1648  */
    break;

  case 1511:
#line 10309 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 37352 "gram.c" /* yacc.c:1648  */
    break;

  case 1512:
#line 10313 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 37360 "gram.c" /* yacc.c:1648  */
    break;

  case 1513:
#line 10320 "gram.y" /* yacc.c:1648  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 37368 "gram.c" /* yacc.c:1648  */
    break;

  case 1514:
#line 10326 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37374 "gram.c" /* yacc.c:1648  */
    break;

  case 1515:
#line 10327 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "analyze"; }
#line 37380 "gram.c" /* yacc.c:1648  */
    break;

  case 1516:
#line 10331 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37386 "gram.c" /* yacc.c:1648  */
    break;

  case 1517:
#line 10332 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 37392 "gram.c" /* yacc.c:1648  */
    break;

  case 1518:
#line 10333 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 37398 "gram.c" /* yacc.c:1648  */
    break;

  case 1519:
#line 10344 "gram.y" /* yacc.c:1648  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 37410 "gram.c" /* yacc.c:1648  */
    break;

  case 1520:
#line 10353 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37416 "gram.c" /* yacc.c:1648  */
    break;

  case 1521:
#line 10354 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 37422 "gram.c" /* yacc.c:1648  */
    break;

  case 1526:
#line 10372 "gram.y" /* yacc.c:1648  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37433 "gram.c" /* yacc.c:1648  */
    break;

  case 1527:
#line 10380 "gram.y" /* yacc.c:1648  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 37452 "gram.c" /* yacc.c:1648  */
    break;

  case 1528:
#line 10396 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37458 "gram.c" /* yacc.c:1648  */
    break;

  case 1529:
#line 10397 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 37464 "gram.c" /* yacc.c:1648  */
    break;

  case 1530:
#line 10408 "gram.y" /* yacc.c:1648  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37474 "gram.c" /* yacc.c:1648  */
    break;

  case 1531:
#line 10414 "gram.y" /* yacc.c:1648  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 37484 "gram.c" /* yacc.c:1648  */
    break;

  case 1532:
#line 10420 "gram.y" /* yacc.c:1648  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37494 "gram.c" /* yacc.c:1648  */
    break;

  case 1533:
#line 10426 "gram.y" /* yacc.c:1648  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 37504 "gram.c" /* yacc.c:1648  */
    break;

  case 1534:
#line 10443 "gram.y" /* yacc.c:1648  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 37516 "gram.c" /* yacc.c:1648  */
    break;

  case 1535:
#line 10460 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 37524 "gram.c" /* yacc.c:1648  */
    break;

  case 1536:
#line 10464 "gram.y" /* yacc.c:1648  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 37533 "gram.c" /* yacc.c:1648  */
    break;

  case 1537:
#line 10472 "gram.y" /* yacc.c:1648  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37543 "gram.c" /* yacc.c:1648  */
    break;

  case 1538:
#line 10478 "gram.y" /* yacc.c:1648  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37554 "gram.c" /* yacc.c:1648  */
    break;

  case 1539:
#line 10485 "gram.y" /* yacc.c:1648  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37564 "gram.c" /* yacc.c:1648  */
    break;

  case 1540:
#line 10491 "gram.y" /* yacc.c:1648  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 37575 "gram.c" /* yacc.c:1648  */
    break;

  case 1541:
#line 10498 "gram.y" /* yacc.c:1648  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 37585 "gram.c" /* yacc.c:1648  */
    break;

  case 1542:
#line 10506 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 37591 "gram.c" /* yacc.c:1648  */
    break;

  case 1543:
#line 10507 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 37597 "gram.c" /* yacc.c:1648  */
    break;

  case 1544:
#line 10512 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37603 "gram.c" /* yacc.c:1648  */
    break;

  case 1545:
#line 10514 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 37609 "gram.c" /* yacc.c:1648  */
    break;

  case 1546:
#line 10519 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37621 "gram.c" /* yacc.c:1648  */
    break;

  case 1547:
#line 10530 "gram.y" /* yacc.c:1648  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 37634 "gram.c" /* yacc.c:1648  */
    break;

  case 1548:
#line 10540 "gram.y" /* yacc.c:1648  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 37647 "gram.c" /* yacc.c:1648  */
    break;

  case 1549:
#line 10549 "gram.y" /* yacc.c:1648  */
    {
					(yyval.onconflict) = NULL;
				}
#line 37655 "gram.c" /* yacc.c:1648  */
    break;

  case 1550:
#line 10556 "gram.y" /* yacc.c:1648  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 37667 "gram.c" /* yacc.c:1648  */
    break;

  case 1551:
#line 10565 "gram.y" /* yacc.c:1648  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 37679 "gram.c" /* yacc.c:1648  */
    break;

  case 1552:
#line 10573 "gram.y" /* yacc.c:1648  */
    {
					(yyval.infer) = NULL;
				}
#line 37687 "gram.c" /* yacc.c:1648  */
    break;

  case 1553:
#line 10579 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37693 "gram.c" /* yacc.c:1648  */
    break;

  case 1554:
#line 10580 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 37699 "gram.c" /* yacc.c:1648  */
    break;

  case 1555:
#line 10593 "gram.y" /* yacc.c:1648  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 37713 "gram.c" /* yacc.c:1648  */
    break;

  case 1556:
#line 10605 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37719 "gram.c" /* yacc.c:1648  */
    break;

  case 1557:
#line 10606 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 37725 "gram.c" /* yacc.c:1648  */
    break;

  case 1558:
#line 10618 "gram.y" /* yacc.c:1648  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 37738 "gram.c" /* yacc.c:1648  */
    break;

  case 1559:
#line 10628 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 37744 "gram.c" /* yacc.c:1648  */
    break;

  case 1560:
#line 10629 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37750 "gram.c" /* yacc.c:1648  */
    break;

  case 1561:
#line 10632 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = AccessShareLock; }
#line 37756 "gram.c" /* yacc.c:1648  */
    break;

  case 1562:
#line 10633 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RowShareLock; }
#line 37762 "gram.c" /* yacc.c:1648  */
    break;

  case 1563:
#line 10634 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = RowExclusiveLock; }
#line 37768 "gram.c" /* yacc.c:1648  */
    break;

  case 1564:
#line 10635 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 37774 "gram.c" /* yacc.c:1648  */
    break;

  case 1565:
#line 10636 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ShareLock; }
#line 37780 "gram.c" /* yacc.c:1648  */
    break;

  case 1566:
#line 10637 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 37786 "gram.c" /* yacc.c:1648  */
    break;

  case 1567:
#line 10638 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ExclusiveLock; }
#line 37792 "gram.c" /* yacc.c:1648  */
    break;

  case 1568:
#line 10639 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 37798 "gram.c" /* yacc.c:1648  */
    break;

  case 1569:
#line 10642 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 37804 "gram.c" /* yacc.c:1648  */
    break;

  case 1570:
#line 10643 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 37810 "gram.c" /* yacc.c:1648  */
    break;

  case 1571:
#line 10647 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LockWaitError; }
#line 37816 "gram.c" /* yacc.c:1648  */
    break;

  case 1572:
#line 10648 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LockWaitSkip; }
#line 37822 "gram.c" /* yacc.c:1648  */
    break;

  case 1573:
#line 10649 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LockWaitBlock; }
#line 37828 "gram.c" /* yacc.c:1648  */
    break;

  case 1574:
#line 10665 "gram.y" /* yacc.c:1648  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 37843 "gram.c" /* yacc.c:1648  */
    break;

  case 1575:
#line 10678 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37849 "gram.c" /* yacc.c:1648  */
    break;

  case 1576:
#line 10679 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 37855 "gram.c" /* yacc.c:1648  */
    break;

  case 1577:
#line 10684 "gram.y" /* yacc.c:1648  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 37864 "gram.c" /* yacc.c:1648  */
    break;

  case 1578:
#line 10689 "gram.y" /* yacc.c:1648  */
    {
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 37889 "gram.c" /* yacc.c:1648  */
    break;

  case 1579:
#line 10713 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 37901 "gram.c" /* yacc.c:1648  */
    break;

  case 1580:
#line 10723 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 37907 "gram.c" /* yacc.c:1648  */
    break;

  case 1581:
#line 10724 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 37913 "gram.c" /* yacc.c:1648  */
    break;

  case 1582:
#line 10735 "gram.y" /* yacc.c:1648  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 37926 "gram.c" /* yacc.c:1648  */
    break;

  case 1583:
#line 10745 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37932 "gram.c" /* yacc.c:1648  */
    break;

  case 1584:
#line 10748 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 37938 "gram.c" /* yacc.c:1648  */
    break;

  case 1585:
#line 10749 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 37944 "gram.c" /* yacc.c:1648  */
    break;

  case 1586:
#line 10750 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 37950 "gram.c" /* yacc.c:1648  */
    break;

  case 1587:
#line 10751 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 37956 "gram.c" /* yacc.c:1648  */
    break;

  case 1588:
#line 10752 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 37962 "gram.c" /* yacc.c:1648  */
    break;

  case 1589:
#line 10755 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 37968 "gram.c" /* yacc.c:1648  */
    break;

  case 1590:
#line 10756 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 37974 "gram.c" /* yacc.c:1648  */
    break;

  case 1591:
#line 10757 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 37980 "gram.c" /* yacc.c:1648  */
    break;

  case 1594:
#line 10810 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37986 "gram.c" /* yacc.c:1648  */
    break;

  case 1595:
#line 10811 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 37992 "gram.c" /* yacc.c:1648  */
    break;

  case 1596:
#line 10826 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37998 "gram.c" /* yacc.c:1648  */
    break;

  case 1597:
#line 10828 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 38009 "gram.c" /* yacc.c:1648  */
    break;

  case 1598:
#line 10835 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38021 "gram.c" /* yacc.c:1648  */
    break;

  case 1599:
#line 10843 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38033 "gram.c" /* yacc.c:1648  */
    break;

  case 1600:
#line 10851 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 38045 "gram.c" /* yacc.c:1648  */
    break;

  case 1601:
#line 10859 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 38057 "gram.c" /* yacc.c:1648  */
    break;

  case 1602:
#line 10867 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38069 "gram.c" /* yacc.c:1648  */
    break;

  case 1603:
#line 10875 "gram.y" /* yacc.c:1648  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 38081 "gram.c" /* yacc.c:1648  */
    break;

  case 1604:
#line 10885 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38087 "gram.c" /* yacc.c:1648  */
    break;

  case 1605:
#line 10886 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38093 "gram.c" /* yacc.c:1648  */
    break;

  case 1606:
#line 10916 "gram.y" /* yacc.c:1648  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38109 "gram.c" /* yacc.c:1648  */
    break;

  case 1607:
#line 10930 "gram.y" /* yacc.c:1648  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 38126 "gram.c" /* yacc.c:1648  */
    break;

  case 1608:
#line 10942 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38132 "gram.c" /* yacc.c:1648  */
    break;

  case 1609:
#line 10944 "gram.y" /* yacc.c:1648  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 38155 "gram.c" /* yacc.c:1648  */
    break;

  case 1610:
#line 10963 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38163 "gram.c" /* yacc.c:1648  */
    break;

  case 1611:
#line 10967 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38171 "gram.c" /* yacc.c:1648  */
    break;

  case 1612:
#line 10971 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 38179 "gram.c" /* yacc.c:1648  */
    break;

  case 1613:
#line 10988 "gram.y" /* yacc.c:1648  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38190 "gram.c" /* yacc.c:1648  */
    break;

  case 1614:
#line 10995 "gram.y" /* yacc.c:1648  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 38201 "gram.c" /* yacc.c:1648  */
    break;

  case 1615:
#line 11002 "gram.y" /* yacc.c:1648  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 38212 "gram.c" /* yacc.c:1648  */
    break;

  case 1616:
#line 11011 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38218 "gram.c" /* yacc.c:1648  */
    break;

  case 1617:
#line 11012 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38224 "gram.c" /* yacc.c:1648  */
    break;

  case 1618:
#line 11016 "gram.y" /* yacc.c:1648  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 38237 "gram.c" /* yacc.c:1648  */
    break;

  case 1619:
#line 11027 "gram.y" /* yacc.c:1648  */
    { (yyval.with) = (yyvsp[0].with); }
#line 38243 "gram.c" /* yacc.c:1648  */
    break;

  case 1620:
#line 11028 "gram.y" /* yacc.c:1648  */
    { (yyval.with) = NULL; }
#line 38249 "gram.c" /* yacc.c:1648  */
    break;

  case 1621:
#line 11033 "gram.y" /* yacc.c:1648  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 38264 "gram.c" /* yacc.c:1648  */
    break;

  case 1622:
#line 11044 "gram.y" /* yacc.c:1648  */
    { (yyval.into) = NULL; }
#line 38270 "gram.c" /* yacc.c:1648  */
    break;

  case 1623:
#line 11053 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38279 "gram.c" /* yacc.c:1648  */
    break;

  case 1624:
#line 11058 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38288 "gram.c" /* yacc.c:1648  */
    break;

  case 1625:
#line 11063 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38297 "gram.c" /* yacc.c:1648  */
    break;

  case 1626:
#line 11068 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38306 "gram.c" /* yacc.c:1648  */
    break;

  case 1627:
#line 11073 "gram.y" /* yacc.c:1648  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38318 "gram.c" /* yacc.c:1648  */
    break;

  case 1628:
#line 11081 "gram.y" /* yacc.c:1648  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 38330 "gram.c" /* yacc.c:1648  */
    break;

  case 1629:
#line 11089 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 38339 "gram.c" /* yacc.c:1648  */
    break;

  case 1630:
#line 11094 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38348 "gram.c" /* yacc.c:1648  */
    break;

  case 1631:
#line 11099 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 38357 "gram.c" /* yacc.c:1648  */
    break;

  case 1632:
#line 11105 "gram.y" /* yacc.c:1648  */
    {}
#line 38363 "gram.c" /* yacc.c:1648  */
    break;

  case 1633:
#line 11106 "gram.y" /* yacc.c:1648  */
    {}
#line 38369 "gram.c" /* yacc.c:1648  */
    break;

  case 1634:
#line 11110 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 38375 "gram.c" /* yacc.c:1648  */
    break;

  case 1635:
#line 11111 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 38381 "gram.c" /* yacc.c:1648  */
    break;

  case 1636:
#line 11112 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 38387 "gram.c" /* yacc.c:1648  */
    break;

  case 1637:
#line 11119 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(NIL); }
#line 38393 "gram.c" /* yacc.c:1648  */
    break;

  case 1638:
#line 11120 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 38399 "gram.c" /* yacc.c:1648  */
    break;

  case 1639:
#line 11124 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL;}
#line 38405 "gram.c" /* yacc.c:1648  */
    break;

  case 1640:
#line 11125 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38411 "gram.c" /* yacc.c:1648  */
    break;

  case 1641:
#line 11129 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list);}
#line 38417 "gram.c" /* yacc.c:1648  */
    break;

  case 1642:
#line 11130 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38423 "gram.c" /* yacc.c:1648  */
    break;

  case 1643:
#line 11134 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38429 "gram.c" /* yacc.c:1648  */
    break;

  case 1644:
#line 11138 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 38435 "gram.c" /* yacc.c:1648  */
    break;

  case 1645:
#line 11139 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 38441 "gram.c" /* yacc.c:1648  */
    break;

  case 1646:
#line 11143 "gram.y" /* yacc.c:1648  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 38454 "gram.c" /* yacc.c:1648  */
    break;

  case 1647:
#line 11152 "gram.y" /* yacc.c:1648  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 38467 "gram.c" /* yacc.c:1648  */
    break;

  case 1648:
#line 11164 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 38473 "gram.c" /* yacc.c:1648  */
    break;

  case 1649:
#line 11165 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 38479 "gram.c" /* yacc.c:1648  */
    break;

  case 1650:
#line 11166 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 38485 "gram.c" /* yacc.c:1648  */
    break;

  case 1651:
#line 11167 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 38491 "gram.c" /* yacc.c:1648  */
    break;

  case 1652:
#line 11171 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38497 "gram.c" /* yacc.c:1648  */
    break;

  case 1653:
#line 11172 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 38503 "gram.c" /* yacc.c:1648  */
    break;

  case 1654:
#line 11177 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38509 "gram.c" /* yacc.c:1648  */
    break;

  case 1655:
#line 11179 "gram.y" /* yacc.c:1648  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 38522 "gram.c" /* yacc.c:1648  */
    break;

  case 1656:
#line 11189 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 38528 "gram.c" /* yacc.c:1648  */
    break;

  case 1657:
#line 11194 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38534 "gram.c" /* yacc.c:1648  */
    break;

  case 1658:
#line 11197 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38540 "gram.c" /* yacc.c:1648  */
    break;

  case 1659:
#line 11201 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38546 "gram.c" /* yacc.c:1648  */
    break;

  case 1660:
#line 11203 "gram.y" /* yacc.c:1648  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 38555 "gram.c" /* yacc.c:1648  */
    break;

  case 1661:
#line 11210 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38561 "gram.c" /* yacc.c:1648  */
    break;

  case 1662:
#line 11220 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 38567 "gram.c" /* yacc.c:1648  */
    break;

  case 1663:
#line 11221 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 38573 "gram.c" /* yacc.c:1648  */
    break;

  case 1664:
#line 11222 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 38579 "gram.c" /* yacc.c:1648  */
    break;

  case 1665:
#line 11230 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38585 "gram.c" /* yacc.c:1648  */
    break;

  case 1666:
#line 11234 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 38591 "gram.c" /* yacc.c:1648  */
    break;

  case 1667:
#line 11235 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 38597 "gram.c" /* yacc.c:1648  */
    break;

  case 1668:
#line 11238 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 38603 "gram.c" /* yacc.c:1648  */
    break;

  case 1669:
#line 11239 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = 0; }
#line 38609 "gram.c" /* yacc.c:1648  */
    break;

  case 1670:
#line 11264 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38615 "gram.c" /* yacc.c:1648  */
    break;

  case 1671:
#line 11265 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38621 "gram.c" /* yacc.c:1648  */
    break;

  case 1672:
#line 11269 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38627 "gram.c" /* yacc.c:1648  */
    break;

  case 1673:
#line 11270 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 38633 "gram.c" /* yacc.c:1648  */
    break;

  case 1674:
#line 11274 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38639 "gram.c" /* yacc.c:1648  */
    break;

  case 1675:
#line 11275 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38645 "gram.c" /* yacc.c:1648  */
    break;

  case 1676:
#line 11276 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38651 "gram.c" /* yacc.c:1648  */
    break;

  case 1677:
#line 11277 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38657 "gram.c" /* yacc.c:1648  */
    break;

  case 1678:
#line 11278 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38663 "gram.c" /* yacc.c:1648  */
    break;

  case 1679:
#line 11283 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 38671 "gram.c" /* yacc.c:1648  */
    break;

  case 1680:
#line 11296 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38679 "gram.c" /* yacc.c:1648  */
    break;

  case 1681:
#line 11303 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 38687 "gram.c" /* yacc.c:1648  */
    break;

  case 1682:
#line 11310 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38695 "gram.c" /* yacc.c:1648  */
    break;

  case 1683:
#line 11316 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38701 "gram.c" /* yacc.c:1648  */
    break;

  case 1684:
#line 11317 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 38707 "gram.c" /* yacc.c:1648  */
    break;

  case 1685:
#line 11321 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38713 "gram.c" /* yacc.c:1648  */
    break;

  case 1686:
#line 11322 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38719 "gram.c" /* yacc.c:1648  */
    break;

  case 1687:
#line 11326 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38725 "gram.c" /* yacc.c:1648  */
    break;

  case 1688:
#line 11327 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38731 "gram.c" /* yacc.c:1648  */
    break;

  case 1689:
#line 11331 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38737 "gram.c" /* yacc.c:1648  */
    break;

  case 1690:
#line 11332 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 38743 "gram.c" /* yacc.c:1648  */
    break;

  case 1691:
#line 11337 "gram.y" /* yacc.c:1648  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 38755 "gram.c" /* yacc.c:1648  */
    break;

  case 1692:
#line 11347 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 38761 "gram.c" /* yacc.c:1648  */
    break;

  case 1693:
#line 11348 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 38767 "gram.c" /* yacc.c:1648  */
    break;

  case 1694:
#line 11349 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 38773 "gram.c" /* yacc.c:1648  */
    break;

  case 1695:
#line 11350 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 38779 "gram.c" /* yacc.c:1648  */
    break;

  case 1696:
#line 11354 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38785 "gram.c" /* yacc.c:1648  */
    break;

  case 1697:
#line 11355 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38791 "gram.c" /* yacc.c:1648  */
    break;

  case 1698:
#line 11366 "gram.y" /* yacc.c:1648  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38801 "gram.c" /* yacc.c:1648  */
    break;

  case 1699:
#line 11372 "gram.y" /* yacc.c:1648  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 38811 "gram.c" /* yacc.c:1648  */
    break;

  case 1700:
#line 11389 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38817 "gram.c" /* yacc.c:1648  */
    break;

  case 1701:
#line 11390 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 38823 "gram.c" /* yacc.c:1648  */
    break;

  case 1702:
#line 11394 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 38829 "gram.c" /* yacc.c:1648  */
    break;

  case 1703:
#line 11395 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 38835 "gram.c" /* yacc.c:1648  */
    break;

  case 1704:
#line 11402 "gram.y" /* yacc.c:1648  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 38844 "gram.c" /* yacc.c:1648  */
    break;

  case 1705:
#line 11407 "gram.y" /* yacc.c:1648  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 38856 "gram.c" /* yacc.c:1648  */
    break;

  case 1706:
#line 11415 "gram.y" /* yacc.c:1648  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38867 "gram.c" /* yacc.c:1648  */
    break;

  case 1707:
#line 11422 "gram.y" /* yacc.c:1648  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 38879 "gram.c" /* yacc.c:1648  */
    break;

  case 1708:
#line 11430 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38889 "gram.c" /* yacc.c:1648  */
    break;

  case 1709:
#line 11436 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 38900 "gram.c" /* yacc.c:1648  */
    break;

  case 1710:
#line 11443 "gram.y" /* yacc.c:1648  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38939 "gram.c" /* yacc.c:1648  */
    break;

  case 1711:
#line 11478 "gram.y" /* yacc.c:1648  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same comment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 38968 "gram.c" /* yacc.c:1648  */
    break;

  case 1712:
#line 11503 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 38976 "gram.c" /* yacc.c:1648  */
    break;

  case 1713:
#line 11507 "gram.y" /* yacc.c:1648  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 38985 "gram.c" /* yacc.c:1648  */
    break;

  case 1714:
#line 11533 "gram.y" /* yacc.c:1648  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 38993 "gram.c" /* yacc.c:1648  */
    break;

  case 1715:
#line 11537 "gram.y" /* yacc.c:1648  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 39009 "gram.c" /* yacc.c:1648  */
    break;

  case 1716:
#line 11549 "gram.y" /* yacc.c:1648  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 39026 "gram.c" /* yacc.c:1648  */
    break;

  case 1717:
#line 11562 "gram.y" /* yacc.c:1648  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 39044 "gram.c" /* yacc.c:1648  */
    break;

  case 1718:
#line 11576 "gram.y" /* yacc.c:1648  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 39059 "gram.c" /* yacc.c:1648  */
    break;

  case 1719:
#line 11587 "gram.y" /* yacc.c:1648  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 39075 "gram.c" /* yacc.c:1648  */
    break;

  case 1720:
#line 11602 "gram.y" /* yacc.c:1648  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 39085 "gram.c" /* yacc.c:1648  */
    break;

  case 1721:
#line 11608 "gram.y" /* yacc.c:1648  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 39094 "gram.c" /* yacc.c:1648  */
    break;

  case 1722:
#line 11613 "gram.y" /* yacc.c:1648  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 39104 "gram.c" /* yacc.c:1648  */
    break;

  case 1723:
#line 11619 "gram.y" /* yacc.c:1648  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 39113 "gram.c" /* yacc.c:1648  */
    break;

  case 1724:
#line 11625 "gram.y" /* yacc.c:1648  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 39119 "gram.c" /* yacc.c:1648  */
    break;

  case 1725:
#line 11626 "gram.y" /* yacc.c:1648  */
    { (yyval.alias) = NULL; }
#line 39125 "gram.c" /* yacc.c:1648  */
    break;

  case 1726:
#line 11635 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 39133 "gram.c" /* yacc.c:1648  */
    break;

  case 1727:
#line 11639 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 39141 "gram.c" /* yacc.c:1648  */
    break;

  case 1728:
#line 11643 "gram.y" /* yacc.c:1648  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 39151 "gram.c" /* yacc.c:1648  */
    break;

  case 1729:
#line 11649 "gram.y" /* yacc.c:1648  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 39161 "gram.c" /* yacc.c:1648  */
    break;

  case 1730:
#line 11655 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 39169 "gram.c" /* yacc.c:1648  */
    break;

  case 1731:
#line 11660 "gram.y" /* yacc.c:1648  */
    { (yyval.jtype) = JOIN_FULL; }
#line 39175 "gram.c" /* yacc.c:1648  */
    break;

  case 1732:
#line 11661 "gram.y" /* yacc.c:1648  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 39181 "gram.c" /* yacc.c:1648  */
    break;

  case 1733:
#line 11662 "gram.y" /* yacc.c:1648  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 39187 "gram.c" /* yacc.c:1648  */
    break;

  case 1734:
#line 11663 "gram.y" /* yacc.c:1648  */
    { (yyval.jtype) = JOIN_INNER; }
#line 39193 "gram.c" /* yacc.c:1648  */
    break;

  case 1735:
#line 11667 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 39199 "gram.c" /* yacc.c:1648  */
    break;

  case 1736:
#line 11668 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 39205 "gram.c" /* yacc.c:1648  */
    break;

  case 1737:
#line 11680 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 39211 "gram.c" /* yacc.c:1648  */
    break;

  case 1738:
#line 11681 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39217 "gram.c" /* yacc.c:1648  */
    break;

  case 1739:
#line 11687 "gram.y" /* yacc.c:1648  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39228 "gram.c" /* yacc.c:1648  */
    break;

  case 1740:
#line 11694 "gram.y" /* yacc.c:1648  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 39239 "gram.c" /* yacc.c:1648  */
    break;

  case 1741:
#line 11701 "gram.y" /* yacc.c:1648  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39250 "gram.c" /* yacc.c:1648  */
    break;

  case 1742:
#line 11708 "gram.y" /* yacc.c:1648  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 39261 "gram.c" /* yacc.c:1648  */
    break;

  case 1743:
#line 11718 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 39267 "gram.c" /* yacc.c:1648  */
    break;

  case 1744:
#line 11719 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 39273 "gram.c" /* yacc.c:1648  */
    break;

  case 1745:
#line 11733 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 39281 "gram.c" /* yacc.c:1648  */
    break;

  case 1746:
#line 11737 "gram.y" /* yacc.c:1648  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 39292 "gram.c" /* yacc.c:1648  */
    break;

  case 1747:
#line 11744 "gram.y" /* yacc.c:1648  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 39303 "gram.c" /* yacc.c:1648  */
    break;

  case 1748:
#line 11757 "gram.y" /* yacc.c:1648  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 39317 "gram.c" /* yacc.c:1648  */
    break;

  case 1749:
#line 11769 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 39323 "gram.c" /* yacc.c:1648  */
    break;

  case 1750:
#line 11770 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 39329 "gram.c" /* yacc.c:1648  */
    break;

  case 1751:
#line 11786 "gram.y" /* yacc.c:1648  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39343 "gram.c" /* yacc.c:1648  */
    break;

  case 1752:
#line 11796 "gram.y" /* yacc.c:1648  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 39357 "gram.c" /* yacc.c:1648  */
    break;

  case 1753:
#line 11808 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 39363 "gram.c" /* yacc.c:1648  */
    break;

  case 1754:
#line 11812 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 39369 "gram.c" /* yacc.c:1648  */
    break;

  case 1755:
#line 11813 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 39375 "gram.c" /* yacc.c:1648  */
    break;

  case 1756:
#line 11816 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39381 "gram.c" /* yacc.c:1648  */
    break;

  case 1757:
#line 11817 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 39387 "gram.c" /* yacc.c:1648  */
    break;

  case 1758:
#line 11820 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = true; }
#line 39393 "gram.c" /* yacc.c:1648  */
    break;

  case 1759:
#line 11821 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = false; }
#line 39399 "gram.c" /* yacc.c:1648  */
    break;

  case 1760:
#line 11826 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39405 "gram.c" /* yacc.c:1648  */
    break;

  case 1761:
#line 11827 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 39411 "gram.c" /* yacc.c:1648  */
    break;

  case 1762:
#line 11832 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39417 "gram.c" /* yacc.c:1648  */
    break;

  case 1763:
#line 11834 "gram.y" /* yacc.c:1648  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 39429 "gram.c" /* yacc.c:1648  */
    break;

  case 1764:
#line 11841 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 39435 "gram.c" /* yacc.c:1648  */
    break;

  case 1765:
#line 11846 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39441 "gram.c" /* yacc.c:1648  */
    break;

  case 1766:
#line 11847 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 39447 "gram.c" /* yacc.c:1648  */
    break;

  case 1767:
#line 11852 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 39455 "gram.c" /* yacc.c:1648  */
    break;

  case 1768:
#line 11856 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 39463 "gram.c" /* yacc.c:1648  */
    break;

  case 1769:
#line 11862 "gram.y" /* yacc.c:1648  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->is_from_parent = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 39486 "gram.c" /* yacc.c:1648  */
    break;

  case 1770:
#line 11887 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39500 "gram.c" /* yacc.c:1648  */
    break;

  case 1771:
#line 11898 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);
					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *)n;
				}
#line 39514 "gram.c" /* yacc.c:1648  */
    break;

  case 1772:
#line 11909 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 39520 "gram.c" /* yacc.c:1648  */
    break;

  case 1773:
#line 11910 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 39526 "gram.c" /* yacc.c:1648  */
    break;

  case 1774:
#line 11915 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 39544 "gram.c" /* yacc.c:1648  */
    break;

  case 1775:
#line 11929 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);
					ListCell		   *option;
					bool				nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = intVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 39605 "gram.c" /* yacc.c:1648  */
    break;

  case 1776:
#line 11986 "gram.y" /* yacc.c:1648  */
    {
					RangeTableFuncCol	   *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 39620 "gram.c" /* yacc.c:1648  */
    break;

  case 1777:
#line 12000 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39626 "gram.c" /* yacc.c:1648  */
    break;

  case 1778:
#line 12002 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39632 "gram.c" /* yacc.c:1648  */
    break;

  case 1779:
#line 12007 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 39638 "gram.c" /* yacc.c:1648  */
    break;

  case 1780:
#line 12009 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 39644 "gram.c" /* yacc.c:1648  */
    break;

  case 1781:
#line 12011 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(true), (yylsp[-1])); }
#line 39650 "gram.c" /* yacc.c:1648  */
    break;

  case 1782:
#line 12013 "gram.y" /* yacc.c:1648  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeInteger(false), (yylsp[0])); }
#line 39656 "gram.c" /* yacc.c:1648  */
    break;

  case 1783:
#line 12018 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39662 "gram.c" /* yacc.c:1648  */
    break;

  case 1784:
#line 12020 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39668 "gram.c" /* yacc.c:1648  */
    break;

  case 1785:
#line 12025 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39680 "gram.c" /* yacc.c:1648  */
    break;

  case 1786:
#line 12033 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 39692 "gram.c" /* yacc.c:1648  */
    break;

  case 1787:
#line 12053 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 39701 "gram.c" /* yacc.c:1648  */
    break;

  case 1788:
#line 12058 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 39711 "gram.c" /* yacc.c:1648  */
    break;

  case 1789:
#line 12065 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 39720 "gram.c" /* yacc.c:1648  */
    break;

  case 1790:
#line 12070 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 39730 "gram.c" /* yacc.c:1648  */
    break;

  case 1791:
#line 12076 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 39739 "gram.c" /* yacc.c:1648  */
    break;

  case 1792:
#line 12081 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 39749 "gram.c" /* yacc.c:1648  */
    break;

  case 1793:
#line 12090 "gram.y" /* yacc.c:1648  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 39755 "gram.c" /* yacc.c:1648  */
    break;

  case 1794:
#line 12092 "gram.y" /* yacc.c:1648  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 39761 "gram.c" /* yacc.c:1648  */
    break;

  case 1795:
#line 12094 "gram.y" /* yacc.c:1648  */
    {  (yyval.list) = NIL; }
#line 39767 "gram.c" /* yacc.c:1648  */
    break;

  case 1796:
#line 12098 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39773 "gram.c" /* yacc.c:1648  */
    break;

  case 1797:
#line 12099 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39779 "gram.c" /* yacc.c:1648  */
    break;

  case 1798:
#line 12100 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39785 "gram.c" /* yacc.c:1648  */
    break;

  case 1799:
#line 12101 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39791 "gram.c" /* yacc.c:1648  */
    break;

  case 1800:
#line 12102 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39797 "gram.c" /* yacc.c:1648  */
    break;

  case 1801:
#line 12104 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 39806 "gram.c" /* yacc.c:1648  */
    break;

  case 1802:
#line 12109 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 39816 "gram.c" /* yacc.c:1648  */
    break;

  case 1803:
#line 12128 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39822 "gram.c" /* yacc.c:1648  */
    break;

  case 1804:
#line 12129 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39828 "gram.c" /* yacc.c:1648  */
    break;

  case 1805:
#line 12130 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39834 "gram.c" /* yacc.c:1648  */
    break;

  case 1806:
#line 12131 "gram.y" /* yacc.c:1648  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39840 "gram.c" /* yacc.c:1648  */
    break;

  case 1807:
#line 12143 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39850 "gram.c" /* yacc.c:1648  */
    break;

  case 1808:
#line 12149 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 39860 "gram.c" /* yacc.c:1648  */
    break;

  case 1809:
#line 12156 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39866 "gram.c" /* yacc.c:1648  */
    break;

  case 1810:
#line 12157 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 39872 "gram.c" /* yacc.c:1648  */
    break;

  case 1811:
#line 12164 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39881 "gram.c" /* yacc.c:1648  */
    break;

  case 1812:
#line 12169 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39890 "gram.c" /* yacc.c:1648  */
    break;

  case 1813:
#line 12174 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39899 "gram.c" /* yacc.c:1648  */
    break;

  case 1814:
#line 12179 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39908 "gram.c" /* yacc.c:1648  */
    break;

  case 1815:
#line 12184 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39917 "gram.c" /* yacc.c:1648  */
    break;

  case 1816:
#line 12189 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39926 "gram.c" /* yacc.c:1648  */
    break;

  case 1817:
#line 12194 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39935 "gram.c" /* yacc.c:1648  */
    break;

  case 1818:
#line 12199 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39945 "gram.c" /* yacc.c:1648  */
    break;

  case 1819:
#line 12205 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39955 "gram.c" /* yacc.c:1648  */
    break;

  case 1820:
#line 12211 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 39965 "gram.c" /* yacc.c:1648  */
    break;

  case 1821:
#line 12217 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 39974 "gram.c" /* yacc.c:1648  */
    break;

  case 1822:
#line 12224 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 39999 "gram.c" /* yacc.c:1648  */
    break;

  case 1823:
#line 12245 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 40007 "gram.c" /* yacc.c:1648  */
    break;

  case 1824:
#line 12255 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40015 "gram.c" /* yacc.c:1648  */
    break;

  case 1825:
#line 12259 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40023 "gram.c" /* yacc.c:1648  */
    break;

  case 1826:
#line 12267 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40031 "gram.c" /* yacc.c:1648  */
    break;

  case 1827:
#line 12271 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 40040 "gram.c" /* yacc.c:1648  */
    break;

  case 1828:
#line 12279 "gram.y" /* yacc.c:1648  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40053 "gram.c" /* yacc.c:1648  */
    break;

  case 1829:
#line 12291 "gram.y" /* yacc.c:1648  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40071 "gram.c" /* yacc.c:1648  */
    break;

  case 1830:
#line 12312 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40079 "gram.c" /* yacc.c:1648  */
    break;

  case 1831:
#line 12316 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40087 "gram.c" /* yacc.c:1648  */
    break;

  case 1832:
#line 12322 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40095 "gram.c" /* yacc.c:1648  */
    break;

  case 1833:
#line 12326 "gram.y" /* yacc.c:1648  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 40110 "gram.c" /* yacc.c:1648  */
    break;

  case 1834:
#line 12339 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40120 "gram.c" /* yacc.c:1648  */
    break;

  case 1835:
#line 12347 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40132 "gram.c" /* yacc.c:1648  */
    break;

  case 1836:
#line 12357 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40138 "gram.c" /* yacc.c:1648  */
    break;

  case 1837:
#line 12359 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40144 "gram.c" /* yacc.c:1648  */
    break;

  case 1838:
#line 12361 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "varchar"; }
#line 40150 "gram.c" /* yacc.c:1648  */
    break;

  case 1839:
#line 12363 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40156 "gram.c" /* yacc.c:1648  */
    break;

  case 1840:
#line 12365 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40162 "gram.c" /* yacc.c:1648  */
    break;

  case 1841:
#line 12367 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 40168 "gram.c" /* yacc.c:1648  */
    break;

  case 1842:
#line 12371 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 40174 "gram.c" /* yacc.c:1648  */
    break;

  case 1843:
#line 12372 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 40180 "gram.c" /* yacc.c:1648  */
    break;

  case 1844:
#line 12380 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40193 "gram.c" /* yacc.c:1648  */
    break;

  case 1845:
#line 12389 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40205 "gram.c" /* yacc.c:1648  */
    break;

  case 1846:
#line 12397 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 40218 "gram.c" /* yacc.c:1648  */
    break;

  case 1847:
#line 12406 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 40230 "gram.c" /* yacc.c:1648  */
    break;

  case 1848:
#line 12417 "gram.y" /* yacc.c:1648  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 40239 "gram.c" /* yacc.c:1648  */
    break;

  case 1849:
#line 12424 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 40245 "gram.c" /* yacc.c:1648  */
    break;

  case 1850:
#line 12425 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 40251 "gram.c" /* yacc.c:1648  */
    break;

  case 1851:
#line 12426 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 40257 "gram.c" /* yacc.c:1648  */
    break;

  case 1852:
#line 12431 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 40263 "gram.c" /* yacc.c:1648  */
    break;

  case 1853:
#line 12433 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 40269 "gram.c" /* yacc.c:1648  */
    break;

  case 1854:
#line 12435 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 40275 "gram.c" /* yacc.c:1648  */
    break;

  case 1855:
#line 12437 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 40281 "gram.c" /* yacc.c:1648  */
    break;

  case 1856:
#line 12439 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 40287 "gram.c" /* yacc.c:1648  */
    break;

  case 1857:
#line 12441 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40293 "gram.c" /* yacc.c:1648  */
    break;

  case 1858:
#line 12443 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 40302 "gram.c" /* yacc.c:1648  */
    break;

  case 1859:
#line 12448 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 40311 "gram.c" /* yacc.c:1648  */
    break;

  case 1860:
#line 12453 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40321 "gram.c" /* yacc.c:1648  */
    break;

  case 1861:
#line 12459 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40333 "gram.c" /* yacc.c:1648  */
    break;

  case 1862:
#line 12467 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 40342 "gram.c" /* yacc.c:1648  */
    break;

  case 1863:
#line 12472 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40353 "gram.c" /* yacc.c:1648  */
    break;

  case 1864:
#line 12479 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 40363 "gram.c" /* yacc.c:1648  */
    break;

  case 1865:
#line 12485 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 40369 "gram.c" /* yacc.c:1648  */
    break;

  case 1866:
#line 12490 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 40377 "gram.c" /* yacc.c:1648  */
    break;

  case 1867:
#line 12494 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 40386 "gram.c" /* yacc.c:1648  */
    break;

  case 1868:
#line 12529 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40392 "gram.c" /* yacc.c:1648  */
    break;

  case 1869:
#line 12531 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 40398 "gram.c" /* yacc.c:1648  */
    break;

  case 1870:
#line 12533 "gram.y" /* yacc.c:1648  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 40410 "gram.c" /* yacc.c:1648  */
    break;

  case 1871:
#line 12541 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 40420 "gram.c" /* yacc.c:1648  */
    break;

  case 1872:
#line 12556 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40426 "gram.c" /* yacc.c:1648  */
    break;

  case 1873:
#line 12558 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 40432 "gram.c" /* yacc.c:1648  */
    break;

  case 1874:
#line 12560 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40438 "gram.c" /* yacc.c:1648  */
    break;

  case 1875:
#line 12562 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40444 "gram.c" /* yacc.c:1648  */
    break;

  case 1876:
#line 12564 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40450 "gram.c" /* yacc.c:1648  */
    break;

  case 1877:
#line 12566 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40456 "gram.c" /* yacc.c:1648  */
    break;

  case 1878:
#line 12568 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40462 "gram.c" /* yacc.c:1648  */
    break;

  case 1879:
#line 12570 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40468 "gram.c" /* yacc.c:1648  */
    break;

  case 1880:
#line 12572 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40474 "gram.c" /* yacc.c:1648  */
    break;

  case 1881:
#line 12574 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40480 "gram.c" /* yacc.c:1648  */
    break;

  case 1882:
#line 12576 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40486 "gram.c" /* yacc.c:1648  */
    break;

  case 1883:
#line 12578 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40492 "gram.c" /* yacc.c:1648  */
    break;

  case 1884:
#line 12580 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40498 "gram.c" /* yacc.c:1648  */
    break;

  case 1885:
#line 12582 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40504 "gram.c" /* yacc.c:1648  */
    break;

  case 1886:
#line 12585 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40510 "gram.c" /* yacc.c:1648  */
    break;

  case 1887:
#line 12587 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 40516 "gram.c" /* yacc.c:1648  */
    break;

  case 1888:
#line 12589 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 40522 "gram.c" /* yacc.c:1648  */
    break;

  case 1889:
#line 12592 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40528 "gram.c" /* yacc.c:1648  */
    break;

  case 1890:
#line 12594 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 40534 "gram.c" /* yacc.c:1648  */
    break;

  case 1891:
#line 12596 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40540 "gram.c" /* yacc.c:1648  */
    break;

  case 1892:
#line 12598 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 40546 "gram.c" /* yacc.c:1648  */
    break;

  case 1893:
#line 12601 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40555 "gram.c" /* yacc.c:1648  */
    break;

  case 1894:
#line 12606 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40567 "gram.c" /* yacc.c:1648  */
    break;

  case 1895:
#line 12614 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40576 "gram.c" /* yacc.c:1648  */
    break;

  case 1896:
#line 12619 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40588 "gram.c" /* yacc.c:1648  */
    break;

  case 1897:
#line 12627 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 40597 "gram.c" /* yacc.c:1648  */
    break;

  case 1898:
#line 12632 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40609 "gram.c" /* yacc.c:1648  */
    break;

  case 1899:
#line 12640 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 40618 "gram.c" /* yacc.c:1648  */
    break;

  case 1900:
#line 12645 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40630 "gram.c" /* yacc.c:1648  */
    break;

  case 1901:
#line 12654 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 40642 "gram.c" /* yacc.c:1648  */
    break;

  case 1902:
#line 12662 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 40654 "gram.c" /* yacc.c:1648  */
    break;

  case 1903:
#line 12670 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 40666 "gram.c" /* yacc.c:1648  */
    break;

  case 1904:
#line 12678 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 40678 "gram.c" /* yacc.c:1648  */
    break;

  case 1905:
#line 12696 "gram.y" /* yacc.c:1648  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 40690 "gram.c" /* yacc.c:1648  */
    break;

  case 1906:
#line 12704 "gram.y" /* yacc.c:1648  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40702 "gram.c" /* yacc.c:1648  */
    break;

  case 1907:
#line 12712 "gram.y" /* yacc.c:1648  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40714 "gram.c" /* yacc.c:1648  */
    break;

  case 1908:
#line 12720 "gram.y" /* yacc.c:1648  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 40726 "gram.c" /* yacc.c:1648  */
    break;

  case 1909:
#line 12728 "gram.y" /* yacc.c:1648  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 40746 "gram.c" /* yacc.c:1648  */
    break;

  case 1910:
#line 12744 "gram.y" /* yacc.c:1648  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40758 "gram.c" /* yacc.c:1648  */
    break;

  case 1911:
#line 12752 "gram.y" /* yacc.c:1648  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40770 "gram.c" /* yacc.c:1648  */
    break;

  case 1912:
#line 12760 "gram.y" /* yacc.c:1648  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40782 "gram.c" /* yacc.c:1648  */
    break;

  case 1913:
#line 12768 "gram.y" /* yacc.c:1648  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40794 "gram.c" /* yacc.c:1648  */
    break;

  case 1914:
#line 12776 "gram.y" /* yacc.c:1648  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 40806 "gram.c" /* yacc.c:1648  */
    break;

  case 1915:
#line 12784 "gram.y" /* yacc.c:1648  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 40818 "gram.c" /* yacc.c:1648  */
    break;

  case 1916:
#line 12792 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 40826 "gram.c" /* yacc.c:1648  */
    break;

  case 1917:
#line 12796 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 40834 "gram.c" /* yacc.c:1648  */
    break;

  case 1918:
#line 12800 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 40842 "gram.c" /* yacc.c:1648  */
    break;

  case 1919:
#line 12804 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 40850 "gram.c" /* yacc.c:1648  */
    break;

  case 1920:
#line 12808 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40862 "gram.c" /* yacc.c:1648  */
    break;

  case 1921:
#line 12816 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40874 "gram.c" /* yacc.c:1648  */
    break;

  case 1922:
#line 12824 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 40886 "gram.c" /* yacc.c:1648  */
    break;

  case 1923:
#line 12832 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 40898 "gram.c" /* yacc.c:1648  */
    break;

  case 1924:
#line 12840 "gram.y" /* yacc.c:1648  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 40922 "gram.c" /* yacc.c:1648  */
    break;

  case 1925:
#line 12860 "gram.y" /* yacc.c:1648  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 40948 "gram.c" /* yacc.c:1648  */
    break;

  case 1926:
#line 12882 "gram.y" /* yacc.c:1648  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 40963 "gram.c" /* yacc.c:1648  */
    break;

  case 1927:
#line 12893 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 40974 "gram.c" /* yacc.c:1648  */
    break;

  case 1928:
#line 12900 "gram.y" /* yacc.c:1648  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 40994 "gram.c" /* yacc.c:1648  */
    break;

  case 1929:
#line 12916 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 41003 "gram.c" /* yacc.c:1648  */
    break;

  case 1930:
#line 12921 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 41013 "gram.c" /* yacc.c:1648  */
    break;

  case 1931:
#line 12927 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);
					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41031 "gram.c" /* yacc.c:1648  */
    break;

  case 1932:
#line 12952 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41037 "gram.c" /* yacc.c:1648  */
    break;

  case 1933:
#line 12954 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 41043 "gram.c" /* yacc.c:1648  */
    break;

  case 1934:
#line 12956 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41049 "gram.c" /* yacc.c:1648  */
    break;

  case 1935:
#line 12958 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 41055 "gram.c" /* yacc.c:1648  */
    break;

  case 1936:
#line 12960 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41061 "gram.c" /* yacc.c:1648  */
    break;

  case 1937:
#line 12962 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41067 "gram.c" /* yacc.c:1648  */
    break;

  case 1938:
#line 12964 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41073 "gram.c" /* yacc.c:1648  */
    break;

  case 1939:
#line 12966 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41079 "gram.c" /* yacc.c:1648  */
    break;

  case 1940:
#line 12968 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41085 "gram.c" /* yacc.c:1648  */
    break;

  case 1941:
#line 12970 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41091 "gram.c" /* yacc.c:1648  */
    break;

  case 1942:
#line 12972 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41097 "gram.c" /* yacc.c:1648  */
    break;

  case 1943:
#line 12974 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41103 "gram.c" /* yacc.c:1648  */
    break;

  case 1944:
#line 12976 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41109 "gram.c" /* yacc.c:1648  */
    break;

  case 1945:
#line 12978 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41115 "gram.c" /* yacc.c:1648  */
    break;

  case 1946:
#line 12980 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41121 "gram.c" /* yacc.c:1648  */
    break;

  case 1947:
#line 12982 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41127 "gram.c" /* yacc.c:1648  */
    break;

  case 1948:
#line 12984 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 41133 "gram.c" /* yacc.c:1648  */
    break;

  case 1949:
#line 12986 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 41139 "gram.c" /* yacc.c:1648  */
    break;

  case 1950:
#line 12988 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 41145 "gram.c" /* yacc.c:1648  */
    break;

  case 1951:
#line 12990 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 41153 "gram.c" /* yacc.c:1648  */
    break;

  case 1952:
#line 12994 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 41161 "gram.c" /* yacc.c:1648  */
    break;

  case 1953:
#line 12998 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41169 "gram.c" /* yacc.c:1648  */
    break;

  case 1954:
#line 13002 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 41177 "gram.c" /* yacc.c:1648  */
    break;

  case 1955:
#line 13006 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 41186 "gram.c" /* yacc.c:1648  */
    break;

  case 1956:
#line 13011 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 41196 "gram.c" /* yacc.c:1648  */
    break;

  case 1957:
#line 13026 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41202 "gram.c" /* yacc.c:1648  */
    break;

  case 1958:
#line 13027 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41208 "gram.c" /* yacc.c:1648  */
    break;

  case 1959:
#line 13029 "gram.y" /* yacc.c:1648  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 41227 "gram.c" /* yacc.c:1648  */
    break;

  case 1960:
#line 13044 "gram.y" /* yacc.c:1648  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.  Take care that an
						 * AEXPR_PAREN node has the same exprLocation as its
						 * child, so as not to cause surprising changes in
						 * error cursor positioning.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL,
												 exprLocation((yyvsp[-2].node)));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 41265 "gram.c" /* yacc.c:1648  */
    break;

  case 1961:
#line 13078 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41271 "gram.c" /* yacc.c:1648  */
    break;

  case 1962:
#line 13080 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41277 "gram.c" /* yacc.c:1648  */
    break;

  case 1963:
#line 13082 "gram.y" /* yacc.c:1648  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 41292 "gram.c" /* yacc.c:1648  */
    break;

  case 1964:
#line 13093 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 41320 "gram.c" /* yacc.c:1648  */
    break;

  case 1965:
#line 13117 "gram.y" /* yacc.c:1648  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41335 "gram.c" /* yacc.c:1648  */
    break;

  case 1966:
#line 13128 "gram.y" /* yacc.c:1648  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41350 "gram.c" /* yacc.c:1648  */
    break;

  case 1967:
#line 13139 "gram.y" /* yacc.c:1648  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 41361 "gram.c" /* yacc.c:1648  */
    break;

  case 1968:
#line 13146 "gram.y" /* yacc.c:1648  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41375 "gram.c" /* yacc.c:1648  */
    break;

  case 1969:
#line 13156 "gram.y" /* yacc.c:1648  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 41389 "gram.c" /* yacc.c:1648  */
    break;

  case 1970:
#line 13166 "gram.y" /* yacc.c:1648  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 41400 "gram.c" /* yacc.c:1648  */
    break;

  case 1971:
#line 13175 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 41408 "gram.c" /* yacc.c:1648  */
    break;

  case 1972:
#line 13179 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41418 "gram.c" /* yacc.c:1648  */
    break;

  case 1973:
#line 13185 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41429 "gram.c" /* yacc.c:1648  */
    break;

  case 1974:
#line 13192 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 41440 "gram.c" /* yacc.c:1648  */
    break;

  case 1975:
#line 13199 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 41454 "gram.c" /* yacc.c:1648  */
    break;

  case 1976:
#line 13209 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41465 "gram.c" /* yacc.c:1648  */
    break;

  case 1977:
#line 13216 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 41485 "gram.c" /* yacc.c:1648  */
    break;

  case 1978:
#line 13244 "gram.y" /* yacc.c:1648  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 41524 "gram.c" /* yacc.c:1648  */
    break;

  case 1979:
#line 13279 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41530 "gram.c" /* yacc.c:1648  */
    break;

  case 1980:
#line 13289 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41536 "gram.c" /* yacc.c:1648  */
    break;

  case 1981:
#line 13290 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41542 "gram.c" /* yacc.c:1648  */
    break;

  case 1982:
#line 13298 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 41552 "gram.c" /* yacc.c:1648  */
    break;

  case 1983:
#line 13304 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 41560 "gram.c" /* yacc.c:1648  */
    break;

  case 1984:
#line 13308 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 41568 "gram.c" /* yacc.c:1648  */
    break;

  case 1985:
#line 13312 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41576 "gram.c" /* yacc.c:1648  */
    break;

  case 1986:
#line 13316 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 41584 "gram.c" /* yacc.c:1648  */
    break;

  case 1987:
#line 13320 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41592 "gram.c" /* yacc.c:1648  */
    break;

  case 1988:
#line 13324 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 41600 "gram.c" /* yacc.c:1648  */
    break;

  case 1989:
#line 13328 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41608 "gram.c" /* yacc.c:1648  */
    break;

  case 1990:
#line 13332 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 41616 "gram.c" /* yacc.c:1648  */
    break;

  case 1991:
#line 13336 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 41624 "gram.c" /* yacc.c:1648  */
    break;

  case 1992:
#line 13340 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 41632 "gram.c" /* yacc.c:1648  */
    break;

  case 1993:
#line 13344 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 41640 "gram.c" /* yacc.c:1648  */
    break;

  case 1994:
#line 13348 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 41648 "gram.c" /* yacc.c:1648  */
    break;

  case 1995:
#line 13352 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 41656 "gram.c" /* yacc.c:1648  */
    break;

  case 1996:
#line 13356 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 41664 "gram.c" /* yacc.c:1648  */
    break;

  case 1997:
#line 13360 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 41672 "gram.c" /* yacc.c:1648  */
    break;

  case 1998:
#line 13364 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 41678 "gram.c" /* yacc.c:1648  */
    break;

  case 1999:
#line 13366 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41686 "gram.c" /* yacc.c:1648  */
    break;

  case 2000:
#line 13370 "gram.y" /* yacc.c:1648  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41699 "gram.c" /* yacc.c:1648  */
    break;

  case 2001:
#line 13379 "gram.y" /* yacc.c:1648  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41708 "gram.c" /* yacc.c:1648  */
    break;

  case 2002:
#line 13384 "gram.y" /* yacc.c:1648  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41719 "gram.c" /* yacc.c:1648  */
    break;

  case 2003:
#line 13391 "gram.y" /* yacc.c:1648  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 41738 "gram.c" /* yacc.c:1648  */
    break;

  case 2004:
#line 13406 "gram.y" /* yacc.c:1648  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41749 "gram.c" /* yacc.c:1648  */
    break;

  case 2005:
#line 13413 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41757 "gram.c" /* yacc.c:1648  */
    break;

  case 2006:
#line 13417 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 41765 "gram.c" /* yacc.c:1648  */
    break;

  case 2007:
#line 13421 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41773 "gram.c" /* yacc.c:1648  */
    break;

  case 2008:
#line 13425 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 41781 "gram.c" /* yacc.c:1648  */
    break;

  case 2009:
#line 13429 "gram.y" /* yacc.c:1648  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 41792 "gram.c" /* yacc.c:1648  */
    break;

  case 2010:
#line 13436 "gram.y" /* yacc.c:1648  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41804 "gram.c" /* yacc.c:1648  */
    break;

  case 2011:
#line 13444 "gram.y" /* yacc.c:1648  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 41816 "gram.c" /* yacc.c:1648  */
    break;

  case 2012:
#line 13452 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 41824 "gram.c" /* yacc.c:1648  */
    break;

  case 2013:
#line 13456 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 41832 "gram.c" /* yacc.c:1648  */
    break;

  case 2014:
#line 13460 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 41840 "gram.c" /* yacc.c:1648  */
    break;

  case 2015:
#line 13464 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 41848 "gram.c" /* yacc.c:1648  */
    break;

  case 2016:
#line 13468 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 41856 "gram.c" /* yacc.c:1648  */
    break;

  case 2017:
#line 13472 "gram.y" /* yacc.c:1648  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 41866 "gram.c" /* yacc.c:1648  */
    break;

  case 2018:
#line 13478 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 41874 "gram.c" /* yacc.c:1648  */
    break;

  case 2019:
#line 13482 "gram.y" /* yacc.c:1648  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 41887 "gram.c" /* yacc.c:1648  */
    break;

  case 2020:
#line 13491 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 41895 "gram.c" /* yacc.c:1648  */
    break;

  case 2021:
#line 13495 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41903 "gram.c" /* yacc.c:1648  */
    break;

  case 2022:
#line 13499 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 41912 "gram.c" /* yacc.c:1648  */
    break;

  case 2023:
#line 13504 "gram.y" /* yacc.c:1648  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 41925 "gram.c" /* yacc.c:1648  */
    break;

  case 2024:
#line 13518 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 41931 "gram.c" /* yacc.c:1648  */
    break;

  case 2025:
#line 13520 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeNullAConst(-1); }
#line 41937 "gram.c" /* yacc.c:1648  */
    break;

  case 2026:
#line 13524 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 41943 "gram.c" /* yacc.c:1648  */
    break;

  case 2027:
#line 13526 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 41949 "gram.c" /* yacc.c:1648  */
    break;

  case 2028:
#line 13528 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 41955 "gram.c" /* yacc.c:1648  */
    break;

  case 2029:
#line 13530 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 41961 "gram.c" /* yacc.c:1648  */
    break;

  case 2030:
#line 13533 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41967 "gram.c" /* yacc.c:1648  */
    break;

  case 2031:
#line 13536 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 41973 "gram.c" /* yacc.c:1648  */
    break;

  case 2032:
#line 13537 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 41979 "gram.c" /* yacc.c:1648  */
    break;

  case 2033:
#line 13541 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 41991 "gram.c" /* yacc.c:1648  */
    break;

  case 2034:
#line 13549 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 42003 "gram.c" /* yacc.c:1648  */
    break;

  case 2035:
#line 13558 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 42009 "gram.c" /* yacc.c:1648  */
    break;

  case 2036:
#line 13559 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 42015 "gram.c" /* yacc.c:1648  */
    break;

  case 2037:
#line 13562 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = TRUE; }
#line 42021 "gram.c" /* yacc.c:1648  */
    break;

  case 2038:
#line 13563 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 42027 "gram.c" /* yacc.c:1648  */
    break;

  case 2039:
#line 13564 "gram.y" /* yacc.c:1648  */
    { (yyval.boolean) = FALSE; }
#line 42033 "gram.c" /* yacc.c:1648  */
    break;

  case 2040:
#line 13570 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42041 "gram.c" /* yacc.c:1648  */
    break;

  case 2041:
#line 13574 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 42049 "gram.c" /* yacc.c:1648  */
    break;

  case 2042:
#line 13578 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42057 "gram.c" /* yacc.c:1648  */
    break;

  case 2043:
#line 13582 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 42065 "gram.c" /* yacc.c:1648  */
    break;

  case 2044:
#line 13592 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42071 "gram.c" /* yacc.c:1648  */
    break;

  case 2045:
#line 13593 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42077 "gram.c" /* yacc.c:1648  */
    break;

  case 2046:
#line 13597 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 42083 "gram.c" /* yacc.c:1648  */
    break;

  case 2047:
#line 13598 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 42089 "gram.c" /* yacc.c:1648  */
    break;

  case 2048:
#line 13606 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42095 "gram.c" /* yacc.c:1648  */
    break;

  case 2049:
#line 13607 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42101 "gram.c" /* yacc.c:1648  */
    break;

  case 2050:
#line 13611 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 42107 "gram.c" /* yacc.c:1648  */
    break;

  case 2051:
#line 13613 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 42113 "gram.c" /* yacc.c:1648  */
    break;

  case 2052:
#line 13618 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 42123 "gram.c" /* yacc.c:1648  */
    break;

  case 2053:
#line 13626 "gram.y" /* yacc.c:1648  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 42129 "gram.c" /* yacc.c:1648  */
    break;

  case 2054:
#line 13628 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 42146 "gram.c" /* yacc.c:1648  */
    break;

  case 2055:
#line 13641 "gram.y" /* yacc.c:1648  */
    { (yyval.windef) = NULL; }
#line 42152 "gram.c" /* yacc.c:1648  */
    break;

  case 2056:
#line 13646 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 42170 "gram.c" /* yacc.c:1648  */
    break;

  case 2057:
#line 13671 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42176 "gram.c" /* yacc.c:1648  */
    break;

  case 2058:
#line 13672 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 42182 "gram.c" /* yacc.c:1648  */
    break;

  case 2059:
#line 13675 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42188 "gram.c" /* yacc.c:1648  */
    break;

  case 2060:
#line 13676 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42194 "gram.c" /* yacc.c:1648  */
    break;

  case 2061:
#line 13688 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 42216 "gram.c" /* yacc.c:1648  */
    break;

  case 2062:
#line 13706 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 42226 "gram.c" /* yacc.c:1648  */
    break;

  case 2063:
#line 13712 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42238 "gram.c" /* yacc.c:1648  */
    break;

  case 2064:
#line 13722 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 42259 "gram.c" /* yacc.c:1648  */
    break;

  case 2065:
#line 13739 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 42300 "gram.c" /* yacc.c:1648  */
    break;

  case 2066:
#line 13784 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42312 "gram.c" /* yacc.c:1648  */
    break;

  case 2067:
#line 13792 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42324 "gram.c" /* yacc.c:1648  */
    break;

  case 2068:
#line 13800 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42336 "gram.c" /* yacc.c:1648  */
    break;

  case 2069:
#line 13808 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42348 "gram.c" /* yacc.c:1648  */
    break;

  case 2070:
#line 13816 "gram.y" /* yacc.c:1648  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 42360 "gram.c" /* yacc.c:1648  */
    break;

  case 2071:
#line 13836 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42366 "gram.c" /* yacc.c:1648  */
    break;

  case 2072:
#line 13837 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42372 "gram.c" /* yacc.c:1648  */
    break;

  case 2073:
#line 13838 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42378 "gram.c" /* yacc.c:1648  */
    break;

  case 2074:
#line 13841 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42384 "gram.c" /* yacc.c:1648  */
    break;

  case 2075:
#line 13842 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42390 "gram.c" /* yacc.c:1648  */
    break;

  case 2076:
#line 13845 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 42396 "gram.c" /* yacc.c:1648  */
    break;

  case 2077:
#line 13848 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42402 "gram.c" /* yacc.c:1648  */
    break;

  case 2078:
#line 13849 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 42408 "gram.c" /* yacc.c:1648  */
    break;

  case 2079:
#line 13850 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 42414 "gram.c" /* yacc.c:1648  */
    break;

  case 2080:
#line 13853 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42420 "gram.c" /* yacc.c:1648  */
    break;

  case 2081:
#line 13854 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42426 "gram.c" /* yacc.c:1648  */
    break;

  case 2082:
#line 13857 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "+"; }
#line 42432 "gram.c" /* yacc.c:1648  */
    break;

  case 2083:
#line 13858 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "-"; }
#line 42438 "gram.c" /* yacc.c:1648  */
    break;

  case 2084:
#line 13859 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "*"; }
#line 42444 "gram.c" /* yacc.c:1648  */
    break;

  case 2085:
#line 13860 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "/"; }
#line 42450 "gram.c" /* yacc.c:1648  */
    break;

  case 2086:
#line 13861 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "%"; }
#line 42456 "gram.c" /* yacc.c:1648  */
    break;

  case 2087:
#line 13862 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "^"; }
#line 42462 "gram.c" /* yacc.c:1648  */
    break;

  case 2088:
#line 13863 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "<"; }
#line 42468 "gram.c" /* yacc.c:1648  */
    break;

  case 2089:
#line 13864 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = ">"; }
#line 42474 "gram.c" /* yacc.c:1648  */
    break;

  case 2090:
#line 13865 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "="; }
#line 42480 "gram.c" /* yacc.c:1648  */
    break;

  case 2091:
#line 13866 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "<="; }
#line 42486 "gram.c" /* yacc.c:1648  */
    break;

  case 2092:
#line 13867 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = ">="; }
#line 42492 "gram.c" /* yacc.c:1648  */
    break;

  case 2093:
#line 13868 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "<>"; }
#line 42498 "gram.c" /* yacc.c:1648  */
    break;

  case 2094:
#line 13872 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42504 "gram.c" /* yacc.c:1648  */
    break;

  case 2095:
#line 13874 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42510 "gram.c" /* yacc.c:1648  */
    break;

  case 2096:
#line 13879 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42516 "gram.c" /* yacc.c:1648  */
    break;

  case 2097:
#line 13881 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42522 "gram.c" /* yacc.c:1648  */
    break;

  case 2098:
#line 13886 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 42528 "gram.c" /* yacc.c:1648  */
    break;

  case 2099:
#line 13888 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42534 "gram.c" /* yacc.c:1648  */
    break;

  case 2100:
#line 13890 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 42540 "gram.c" /* yacc.c:1648  */
    break;

  case 2101:
#line 13892 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 42546 "gram.c" /* yacc.c:1648  */
    break;

  case 2102:
#line 13894 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 42552 "gram.c" /* yacc.c:1648  */
    break;

  case 2103:
#line 13896 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 42558 "gram.c" /* yacc.c:1648  */
    break;

  case 2104:
#line 13908 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42566 "gram.c" /* yacc.c:1648  */
    break;

  case 2105:
#line 13912 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42574 "gram.c" /* yacc.c:1648  */
    break;

  case 2106:
#line 13919 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 42582 "gram.c" /* yacc.c:1648  */
    break;

  case 2107:
#line 13923 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 42590 "gram.c" /* yacc.c:1648  */
    break;

  case 2108:
#line 13929 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 42598 "gram.c" /* yacc.c:1648  */
    break;

  case 2109:
#line 13933 "gram.y" /* yacc.c:1648  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42611 "gram.c" /* yacc.c:1648  */
    break;

  case 2110:
#line 13942 "gram.y" /* yacc.c:1648  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 42624 "gram.c" /* yacc.c:1648  */
    break;

  case 2111:
#line 13952 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 42630 "gram.c" /* yacc.c:1648  */
    break;

  case 2112:
#line 13953 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 42636 "gram.c" /* yacc.c:1648  */
    break;

  case 2113:
#line 13957 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42644 "gram.c" /* yacc.c:1648  */
    break;

  case 2114:
#line 13961 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 42652 "gram.c" /* yacc.c:1648  */
    break;

  case 2115:
#line 13965 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 42660 "gram.c" /* yacc.c:1648  */
    break;

  case 2116:
#line 13970 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42666 "gram.c" /* yacc.c:1648  */
    break;

  case 2117:
#line 13971 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 42672 "gram.c" /* yacc.c:1648  */
    break;

  case 2118:
#line 13977 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 42680 "gram.c" /* yacc.c:1648  */
    break;

  case 2119:
#line 13980 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42686 "gram.c" /* yacc.c:1648  */
    break;

  case 2120:
#line 13987 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42692 "gram.c" /* yacc.c:1648  */
    break;

  case 2121:
#line 13988 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "year"; }
#line 42698 "gram.c" /* yacc.c:1648  */
    break;

  case 2122:
#line 13989 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "month"; }
#line 42704 "gram.c" /* yacc.c:1648  */
    break;

  case 2123:
#line 13990 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "day"; }
#line 42710 "gram.c" /* yacc.c:1648  */
    break;

  case 2124:
#line 13991 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "hour"; }
#line 42716 "gram.c" /* yacc.c:1648  */
    break;

  case 2125:
#line 13992 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "minute"; }
#line 42722 "gram.c" /* yacc.c:1648  */
    break;

  case 2126:
#line 13993 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = "second"; }
#line 42728 "gram.c" /* yacc.c:1648  */
    break;

  case 2127:
#line 13994 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42734 "gram.c" /* yacc.c:1648  */
    break;

  case 2128:
#line 14005 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42742 "gram.c" /* yacc.c:1648  */
    break;

  case 2129:
#line 14009 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42750 "gram.c" /* yacc.c:1648  */
    break;

  case 2130:
#line 14016 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42756 "gram.c" /* yacc.c:1648  */
    break;

  case 2131:
#line 14022 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 42762 "gram.c" /* yacc.c:1648  */
    break;

  case 2132:
#line 14023 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42768 "gram.c" /* yacc.c:1648  */
    break;

  case 2133:
#line 14040 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42776 "gram.c" /* yacc.c:1648  */
    break;

  case 2134:
#line 14044 "gram.y" /* yacc.c:1648  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 42785 "gram.c" /* yacc.c:1648  */
    break;

  case 2135:
#line 14049 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 42793 "gram.c" /* yacc.c:1648  */
    break;

  case 2136:
#line 14053 "gram.y" /* yacc.c:1648  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 42812 "gram.c" /* yacc.c:1648  */
    break;

  case 2137:
#line 14068 "gram.y" /* yacc.c:1648  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 42820 "gram.c" /* yacc.c:1648  */
    break;

  case 2138:
#line 14072 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 42826 "gram.c" /* yacc.c:1648  */
    break;

  case 2139:
#line 14076 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42832 "gram.c" /* yacc.c:1648  */
    break;

  case 2140:
#line 14079 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42838 "gram.c" /* yacc.c:1648  */
    break;

  case 2141:
#line 14082 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 42844 "gram.c" /* yacc.c:1648  */
    break;

  case 2142:
#line 14083 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42850 "gram.c" /* yacc.c:1648  */
    break;

  case 2143:
#line 14084 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 42856 "gram.c" /* yacc.c:1648  */
    break;

  case 2144:
#line 14088 "gram.y" /* yacc.c:1648  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 42867 "gram.c" /* yacc.c:1648  */
    break;

  case 2145:
#line 14094 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 42873 "gram.c" /* yacc.c:1648  */
    break;

  case 2146:
#line 14105 "gram.y" /* yacc.c:1648  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 42887 "gram.c" /* yacc.c:1648  */
    break;

  case 2147:
#line 14118 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42893 "gram.c" /* yacc.c:1648  */
    break;

  case 2148:
#line 14119 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 42899 "gram.c" /* yacc.c:1648  */
    break;

  case 2149:
#line 14124 "gram.y" /* yacc.c:1648  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 42911 "gram.c" /* yacc.c:1648  */
    break;

  case 2150:
#line 14134 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42917 "gram.c" /* yacc.c:1648  */
    break;

  case 2151:
#line 14135 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 42923 "gram.c" /* yacc.c:1648  */
    break;

  case 2152:
#line 14138 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42929 "gram.c" /* yacc.c:1648  */
    break;

  case 2153:
#line 14139 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 42935 "gram.c" /* yacc.c:1648  */
    break;

  case 2154:
#line 14143 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 42943 "gram.c" /* yacc.c:1648  */
    break;

  case 2155:
#line 14147 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 42951 "gram.c" /* yacc.c:1648  */
    break;

  case 2156:
#line 14154 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 42959 "gram.c" /* yacc.c:1648  */
    break;

  case 2157:
#line 14158 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 42967 "gram.c" /* yacc.c:1648  */
    break;

  case 2158:
#line 14162 "gram.y" /* yacc.c:1648  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42979 "gram.c" /* yacc.c:1648  */
    break;

  case 2159:
#line 14170 "gram.y" /* yacc.c:1648  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 42991 "gram.c" /* yacc.c:1648  */
    break;

  case 2160:
#line 14180 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42997 "gram.c" /* yacc.c:1648  */
    break;

  case 2161:
#line 14181 "gram.y" /* yacc.c:1648  */
    { (yyval.node) = NULL; }
#line 43003 "gram.c" /* yacc.c:1648  */
    break;

  case 2162:
#line 14185 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43009 "gram.c" /* yacc.c:1648  */
    break;

  case 2163:
#line 14186 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 43015 "gram.c" /* yacc.c:1648  */
    break;

  case 2164:
#line 14190 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 43021 "gram.c" /* yacc.c:1648  */
    break;

  case 2165:
#line 14191 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 43027 "gram.c" /* yacc.c:1648  */
    break;

  case 2168:
#line 14205 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43033 "gram.c" /* yacc.c:1648  */
    break;

  case 2169:
#line 14206 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = NIL; }
#line 43039 "gram.c" /* yacc.c:1648  */
    break;

  case 2170:
#line 14210 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 43045 "gram.c" /* yacc.c:1648  */
    break;

  case 2171:
#line 14211 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 43051 "gram.c" /* yacc.c:1648  */
    break;

  case 2172:
#line 14215 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 43063 "gram.c" /* yacc.c:1648  */
    break;

  case 2173:
#line 14231 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 43075 "gram.c" /* yacc.c:1648  */
    break;

  case 2174:
#line 14239 "gram.y" /* yacc.c:1648  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 43087 "gram.c" /* yacc.c:1648  */
    break;

  case 2175:
#line 14247 "gram.y" /* yacc.c:1648  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 43103 "gram.c" /* yacc.c:1648  */
    break;

  case 2176:
#line 14268 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 43109 "gram.c" /* yacc.c:1648  */
    break;

  case 2177:
#line 14269 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 43115 "gram.c" /* yacc.c:1648  */
    break;

  case 2178:
#line 14281 "gram.y" /* yacc.c:1648  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 43123 "gram.c" /* yacc.c:1648  */
    break;

  case 2179:
#line 14285 "gram.y" /* yacc.c:1648  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 43152 "gram.c" /* yacc.c:1648  */
    break;

  case 2180:
#line 14312 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43158 "gram.c" /* yacc.c:1648  */
    break;

  case 2181:
#line 14314 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 43164 "gram.c" /* yacc.c:1648  */
    break;

  case 2182:
#line 14318 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43170 "gram.c" /* yacc.c:1648  */
    break;

  case 2183:
#line 14321 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43176 "gram.c" /* yacc.c:1648  */
    break;

  case 2184:
#line 14324 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43182 "gram.c" /* yacc.c:1648  */
    break;

  case 2185:
#line 14326 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43188 "gram.c" /* yacc.c:1648  */
    break;

  case 2186:
#line 14328 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43194 "gram.c" /* yacc.c:1648  */
    break;

  case 2187:
#line 14330 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43200 "gram.c" /* yacc.c:1648  */
    break;

  case 2188:
#line 14341 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 43206 "gram.c" /* yacc.c:1648  */
    break;

  case 2189:
#line 14343 "gram.y" /* yacc.c:1648  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 43215 "gram.c" /* yacc.c:1648  */
    break;

  case 2190:
#line 14354 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 43223 "gram.c" /* yacc.c:1648  */
    break;

  case 2191:
#line 14358 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43231 "gram.c" /* yacc.c:1648  */
    break;

  case 2192:
#line 14362 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43239 "gram.c" /* yacc.c:1648  */
    break;

  case 2193:
#line 14366 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43247 "gram.c" /* yacc.c:1648  */
    break;

  case 2194:
#line 14370 "gram.y" /* yacc.c:1648  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 43260 "gram.c" /* yacc.c:1648  */
    break;

  case 2195:
#line 14379 "gram.y" /* yacc.c:1648  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43271 "gram.c" /* yacc.c:1648  */
    break;

  case 2196:
#line 14386 "gram.y" /* yacc.c:1648  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43307 "gram.c" /* yacc.c:1648  */
    break;

  case 2197:
#line 14418 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 43315 "gram.c" /* yacc.c:1648  */
    break;

  case 2198:
#line 14422 "gram.y" /* yacc.c:1648  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 43325 "gram.c" /* yacc.c:1648  */
    break;

  case 2199:
#line 14428 "gram.y" /* yacc.c:1648  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 43336 "gram.c" /* yacc.c:1648  */
    break;

  case 2200:
#line 14435 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 43344 "gram.c" /* yacc.c:1648  */
    break;

  case 2201:
#line 14439 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 43352 "gram.c" /* yacc.c:1648  */
    break;

  case 2202:
#line 14443 "gram.y" /* yacc.c:1648  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 43360 "gram.c" /* yacc.c:1648  */
    break;

  case 2203:
#line 14448 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43366 "gram.c" /* yacc.c:1648  */
    break;

  case 2204:
#line 14449 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43372 "gram.c" /* yacc.c:1648  */
    break;

  case 2205:
#line 14451 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 43378 "gram.c" /* yacc.c:1648  */
    break;

  case 2206:
#line 14452 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 43384 "gram.c" /* yacc.c:1648  */
    break;

  case 2207:
#line 14453 "gram.y" /* yacc.c:1648  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 43390 "gram.c" /* yacc.c:1648  */
    break;

  case 2208:
#line 14458 "gram.y" /* yacc.c:1648  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].rolespec);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 43422 "gram.c" /* yacc.c:1648  */
    break;

  case 2209:
#line 14488 "gram.y" /* yacc.c:1648  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.rolespec) = n;
					}
#line 43453 "gram.c" /* yacc.c:1648  */
    break;

  case 2210:
#line 14515 "gram.y" /* yacc.c:1648  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 43461 "gram.c" /* yacc.c:1648  */
    break;

  case 2211:
#line 14519 "gram.y" /* yacc.c:1648  */
    {
						(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 43469 "gram.c" /* yacc.c:1648  */
    break;

  case 2212:
#line 14525 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 43475 "gram.c" /* yacc.c:1648  */
    break;

  case 2213:
#line 14527 "gram.y" /* yacc.c:1648  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 43481 "gram.c" /* yacc.c:1648  */
    break;

  case 2214:
#line 14543 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43487 "gram.c" /* yacc.c:1648  */
    break;

  case 2215:
#line 14544 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43493 "gram.c" /* yacc.c:1648  */
    break;

  case 2216:
#line 14545 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43499 "gram.c" /* yacc.c:1648  */
    break;

  case 2217:
#line 14550 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43505 "gram.c" /* yacc.c:1648  */
    break;

  case 2218:
#line 14551 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43511 "gram.c" /* yacc.c:1648  */
    break;

  case 2219:
#line 14552 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43517 "gram.c" /* yacc.c:1648  */
    break;

  case 2220:
#line 14557 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43523 "gram.c" /* yacc.c:1648  */
    break;

  case 2221:
#line 14558 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43529 "gram.c" /* yacc.c:1648  */
    break;

  case 2222:
#line 14559 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43535 "gram.c" /* yacc.c:1648  */
    break;

  case 2223:
#line 14560 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43541 "gram.c" /* yacc.c:1648  */
    break;

  case 2224:
#line 14566 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43547 "gram.c" /* yacc.c:1648  */
    break;

  case 2225:
#line 14567 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43553 "gram.c" /* yacc.c:1648  */
    break;

  case 2226:
#line 14568 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43559 "gram.c" /* yacc.c:1648  */
    break;

  case 2227:
#line 14569 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43565 "gram.c" /* yacc.c:1648  */
    break;

  case 2228:
#line 14570 "gram.y" /* yacc.c:1648  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43571 "gram.c" /* yacc.c:1648  */
    break;


#line 43575 "gram.c" /* yacc.c:1648  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15059 "gram.y" /* yacc.c:1907  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
