/* A Bison parser, made by GNU Bison 3.0.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTACH = 372,
    ATTRIBUTE = 373,
    AUTHORIZATION = 374,
    BACKWARD = 375,
    BEFORE = 376,
    BEGIN_P = 377,
    BETWEEN = 378,
    BIGINT = 379,
    BINARY = 380,
    BIT = 381,
    BOOLEAN_P = 382,
    BOTH = 383,
    BY = 384,
    CACHE = 385,
    CALLED = 386,
    CASCADE = 387,
    CASCADED = 388,
    CASE = 389,
    CAST = 390,
    CATALOG_P = 391,
    CHAIN = 392,
    CHAR_P = 393,
    CHARACTER = 394,
    CHARACTERISTICS = 395,
    CHECK = 396,
    CHECKPOINT = 397,
    CLASS = 398,
    CLOSE = 399,
    CLUSTER = 400,
    COALESCE = 401,
    COLLATE = 402,
    COLLATION = 403,
    COLUMN = 404,
    COLUMNS = 405,
    COMMENT = 406,
    COMMENTS = 407,
    COMMIT = 408,
    COMMITTED = 409,
    CONCURRENTLY = 410,
    CONFIGURATION = 411,
    CONFLICT = 412,
    CONNECTION = 413,
    CONSTRAINT = 414,
    CONSTRAINTS = 415,
    CONTENT_P = 416,
    CONTINUE_P = 417,
    CONVERSION_P = 418,
    COPY = 419,
    COST = 420,
    CREATE = 421,
    CROSS = 422,
    CSV = 423,
    CUBE = 424,
    CURRENT_P = 425,
    CURRENT_CATALOG = 426,
    CURRENT_DATE = 427,
    CURRENT_ROLE = 428,
    CURRENT_SCHEMA = 429,
    CURRENT_TIME = 430,
    CURRENT_TIMESTAMP = 431,
    CURRENT_USER = 432,
    CURSOR = 433,
    CYCLE = 434,
    DATA_P = 435,
    DATABASE = 436,
    DAY_P = 437,
    DEALLOCATE = 438,
    DEC = 439,
    DECIMAL_P = 440,
    DECLARE = 441,
    DEFAULT = 442,
    DEFAULTS = 443,
    DEFERRABLE = 444,
    DEFERRED = 445,
    DEFINER = 446,
    DELETE_P = 447,
    DELIMITER = 448,
    DELIMITERS = 449,
    DEPENDS = 450,
    DESC = 451,
    DETACH = 452,
    DICTIONARY = 453,
    DISABLE_P = 454,
    DISCARD = 455,
    DISTINCT = 456,
    DO = 457,
    DOCUMENT_P = 458,
    DOMAIN_P = 459,
    DOUBLE_P = 460,
    DROP = 461,
    EACH = 462,
    ELSE = 463,
    ENABLE_P = 464,
    ENCODING = 465,
    ENCRYPTED = 466,
    END_P = 467,
    ENUM_P = 468,
    ESCAPE = 469,
    EVENT = 470,
    EXCEPT = 471,
    EXCLUDE = 472,
    EXCLUDING = 473,
    EXCLUSIVE = 474,
    EXECUTE = 475,
    EXISTS = 476,
    EXPLAIN = 477,
    EXTENSION = 478,
    EXTERNAL = 479,
    EXTRACT = 480,
    FALSE_P = 481,
    FAMILY = 482,
    FETCH = 483,
    FILTER = 484,
    FIRST_P = 485,
    FLOAT_P = 486,
    FOLLOWING = 487,
    FOR = 488,
    FORCE = 489,
    FOREIGN = 490,
    FORWARD = 491,
    FREEZE = 492,
    FROM = 493,
    FULL = 494,
    FUNCTION = 495,
    FUNCTIONS = 496,
    GENERATED = 497,
    GLOBAL = 498,
    GRANT = 499,
    GRANTED = 500,
    GREATEST = 501,
    GROUP_P = 502,
    GROUPING = 503,
    HANDLER = 504,
    HAVING = 505,
    HEADER_P = 506,
    HOLD = 507,
    HOUR_P = 508,
    IDENTITY_P = 509,
    IF_P = 510,
    ILIKE = 511,
    IMMEDIATE = 512,
    IMMUTABLE = 513,
    IMPLICIT_P = 514,
    IMPORT_P = 515,
    IN_P = 516,
    INCLUDING = 517,
    INCREMENT = 518,
    INDEX = 519,
    INDEXES = 520,
    INHERIT = 521,
    INHERITS = 522,
    INITIALLY = 523,
    INLINE_P = 524,
    INNER_P = 525,
    INOUT = 526,
    INPUT_P = 527,
    INSENSITIVE = 528,
    INSERT = 529,
    INSTEAD = 530,
    INT_P = 531,
    INTEGER = 532,
    INTERSECT = 533,
    INTERVAL = 534,
    INTO = 535,
    INVOKER = 536,
    IS = 537,
    ISNULL = 538,
    ISOLATION = 539,
    JOIN = 540,
    KEY = 541,
    LABEL = 542,
    LANGUAGE = 543,
    LARGE_P = 544,
    LAST_P = 545,
    LATERAL_P = 546,
    LEADING = 547,
    LEAKPROOF = 548,
    LEAST = 549,
    LEFT = 550,
    LEVEL = 551,
    LIKE = 552,
    LIMIT = 553,
    LISTEN = 554,
    LOAD = 555,
    LOCAL = 556,
    LOCALTIME = 557,
    LOCALTIMESTAMP = 558,
    LOCATION = 559,
    LOCK_P = 560,
    LOCKED = 561,
    LOGGED = 562,
    MAPPING = 563,
    MATCH = 564,
    MATERIALIZED = 565,
    MAXVALUE = 566,
    METHOD = 567,
    MINUTE_P = 568,
    MINVALUE = 569,
    MODE = 570,
    MONTH_P = 571,
    MOVE = 572,
    NAME_P = 573,
    NAMES = 574,
    NATIONAL = 575,
    NATURAL = 576,
    NCHAR = 577,
    NEW = 578,
    NEXT = 579,
    NO = 580,
    NONE = 581,
    NOT = 582,
    NOTHING = 583,
    NOTIFY = 584,
    NOTNULL = 585,
    NOWAIT = 586,
    NULL_P = 587,
    NULLIF = 588,
    NULLS_P = 589,
    NUMERIC = 590,
    OBJECT_P = 591,
    OF = 592,
    OFF = 593,
    OFFSET = 594,
    OIDS = 595,
    OLD = 596,
    ON = 597,
    ONLY = 598,
    OPERATOR = 599,
    OPTION = 600,
    OPTIONS = 601,
    OR = 602,
    ORDER = 603,
    ORDINALITY = 604,
    OUT_P = 605,
    OUTER_P = 606,
    OVER = 607,
    OVERLAPS = 608,
    OVERLAY = 609,
    OVERRIDING = 610,
    OWNED = 611,
    OWNER = 612,
    PARALLEL = 613,
    PARSER = 614,
    PARTIAL = 615,
    PARTITION = 616,
    PASSING = 617,
    PASSWORD = 618,
    PLACING = 619,
    PLANS = 620,
    POLICY = 621,
    POSITION = 622,
    PRECEDING = 623,
    PRECISION = 624,
    PRESERVE = 625,
    PREPARE = 626,
    PREPARED = 627,
    PRIMARY = 628,
    PRIOR = 629,
    PRIVILEGES = 630,
    PROCEDURAL = 631,
    PROCEDURE = 632,
    PROGRAM = 633,
    PUBLICATION = 634,
    QUOTE = 635,
    RANGE = 636,
    READ = 637,
    REAL = 638,
    REASSIGN = 639,
    RECHECK = 640,
    RECURSIVE = 641,
    REF = 642,
    REFERENCES = 643,
    REFERENCING = 644,
    REFRESH = 645,
    REINDEX = 646,
    RELATIVE_P = 647,
    RELEASE = 648,
    RENAME = 649,
    REPEATABLE = 650,
    REPLACE = 651,
    REPLICA = 652,
    RESET = 653,
    RESTART = 654,
    RESTRICT = 655,
    RETURNING = 656,
    RETURNS = 657,
    REVOKE = 658,
    RIGHT = 659,
    ROLE = 660,
    ROLLBACK = 661,
    ROLLUP = 662,
    ROW = 663,
    ROWS = 664,
    RULE = 665,
    SAVEPOINT = 666,
    SCHEMA = 667,
    SCHEMAS = 668,
    SCROLL = 669,
    SEARCH = 670,
    SECOND_P = 671,
    SECURITY = 672,
    SELECT = 673,
    SEQUENCE = 674,
    SEQUENCES = 675,
    SERIALIZABLE = 676,
    SERVER = 677,
    SESSION = 678,
    SESSION_USER = 679,
    SET = 680,
    SETS = 681,
    SETOF = 682,
    SHARE = 683,
    SHOW = 684,
    SIMILAR = 685,
    SIMPLE = 686,
    SKIP = 687,
    SMALLINT = 688,
    SNAPSHOT = 689,
    SOME = 690,
    SQL_P = 691,
    STABLE = 692,
    STANDALONE_P = 693,
    START = 694,
    STATEMENT = 695,
    STATISTICS = 696,
    STDIN = 697,
    STDOUT = 698,
    STORAGE = 699,
    STRICT_P = 700,
    STRIP_P = 701,
    SUBSCRIPTION = 702,
    SUBSTRING = 703,
    SYMMETRIC = 704,
    SYSID = 705,
    SYSTEM_P = 706,
    TABLE = 707,
    TABLES = 708,
    TABLESAMPLE = 709,
    TABLESPACE = 710,
    TEMP = 711,
    TEMPLATE = 712,
    TEMPORARY = 713,
    TEXT_P = 714,
    THEN = 715,
    TIME = 716,
    TIMESTAMP = 717,
    TO = 718,
    TRAILING = 719,
    TRANSACTION = 720,
    TRANSFORM = 721,
    TREAT = 722,
    TRIGGER = 723,
    TRIM = 724,
    TRUE_P = 725,
    TRUNCATE = 726,
    TRUSTED = 727,
    TYPE_P = 728,
    TYPES_P = 729,
    UNBOUNDED = 730,
    UNCOMMITTED = 731,
    UNENCRYPTED = 732,
    UNION = 733,
    UNIQUE = 734,
    UNKNOWN = 735,
    UNLISTEN = 736,
    UNLOGGED = 737,
    UNTIL = 738,
    UPDATE = 739,
    USER = 740,
    USING = 741,
    VACUUM = 742,
    VALID = 743,
    VALIDATE = 744,
    VALIDATOR = 745,
    VALUE_P = 746,
    VALUES = 747,
    VARCHAR = 748,
    VARIADIC = 749,
    VARYING = 750,
    VERBOSE = 751,
    VERSION_P = 752,
    VIEW = 753,
    VIEWS = 754,
    VOLATILE = 755,
    WHEN = 756,
    WHERE = 757,
    WHITESPACE_P = 758,
    WINDOW = 759,
    WITH = 760,
    WITHIN = 761,
    WITHOUT = 762,
    WORK = 763,
    WRAPPER = 764,
    WRITE = 765,
    XML_P = 766,
    XMLATTRIBUTES = 767,
    XMLCONCAT = 768,
    XMLELEMENT = 769,
    XMLEXISTS = 770,
    XMLFOREST = 771,
    XMLNAMESPACES = 772,
    XMLPARSE = 773,
    XMLPI = 774,
    XMLROOT = 775,
    XMLSERIALIZE = 776,
    XMLTABLE = 777,
    YEAR_P = 778,
    YES_P = 779,
    ZONE = 780,
    NOT_LA = 781,
    NULLS_LA = 782,
    WITH_LA = 783,
    POSTFIXOP = 784,
    UMINUS = 785
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1233 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1264 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   133337

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  796
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3135
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5952

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   785

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1598,  1598,  1601,  1603,  1605,  1607,  1609,  1611,  1613,
    1615,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,
    1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,
    1655,  1657,  1659,  1661,  1663,  1665,  1667,  1685,  1687,  1689,
    1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,  1707,  1709,
    1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1753,  1755,  1757,  1761,  1763,  1765,  1767,  1769,  1771,
    1773,  1775,  1777,  1779,  1781,  1783,  1785,  1787,  1789,  1791,
    1793,  1795,  1797,  1799,  1801,  1803,  1805,  1807,  1809,  1811,
    1813,  1815,  1817,  1819,  1821,  1823,  1830,  1832,  1834,  1836,
    1838,  1840,  1842,  1844,  1846,  1848,  1850,  1852,  1858,  1860,
    1862,  1864,  1866,  1868,  1870,  1872,  1874,  1880,  1890,  1894,
    1900,  1904,  1914,  1924,  1925,  1939,  1946,  1952,  1963,  1969,
    1978,  1985,  1991,  2000,  2007,  2015,  2020,  2028,  2032,  2037,
    2043,  2048,  2054,  2059,  2065,  2069,  2073,  2077,  2082,  2086,
    2090,  2094,  2098,  2106,  2110,  2114,  2118,  2122,  2126,  2134,
    2142,  2146,  2155,  2157,  2165,  2169,  2173,  2177,  2185,  2189,
    2193,  2197,  2201,  2205,  2213,  2221,  2229,  2233,  2241,  2245,
    2249,  2254,  2263,  2268,  2274,  2279,  2285,  2289,  2293,  2297,
    2301,  2305,  2313,  2317,  2321,  2329,  2333,  2337,  2345,  2349,
    2353,  2357,  2358,  2362,  2366,  2370,  2375,  2379,  2383,  2387,
    2391,  2395,  2399,  2407,  2411,  2419,  2423,  2431,  2435,  2449,
    2453,  2457,  2461,  2469,  2473,  2477,  2481,  2489,  2493,  2497,
    2501,  2505,  2509,  2513,  2521,  2525,  2530,  2536,  2540,  2548,
    2556,  2560,  2564,  2568,  2576,  2580,  2588,  2592,  2600,  2604,
    2612,  2616,  2620,  2624,  2628,  2637,  2645,  2649,  2657,  2661,
    2669,  2677,  2681,  2685,  2689,  2693,  2701,  2705,  2709,  2713,
    2717,  2721,  2725,  2729,  2733,  2737,  2741,  2745,  2749,  2753,
    2757,  2761,  2765,  2769,  2777,  2781,  2789,  2793,  2801,  2805,
    2809,  2813,  2817,  2821,  2825,  2829,  2833,  2837,  2841,  2845,
    2849,  2853,  2857,  2861,  2865,  2869,  2873,  2877,  2881,  2885,
    2889,  2893,  2897,  2901,  2905,  2909,  2913,  2917,  2921,  2925,
    2929,  2933,  2937,  2941,  2945,  2949,  2953,  2957,  2961,  2965,
    2969,  2973,  2977,  2981,  2985,  2989,  2993,  2997,  3001,  3005,
    3009,  3013,  3017,  3021,  3029,  3033,  3041,  3045,  3050,  3056,
    3061,  3067,  3072,  3078,  3082,  3086,  3090,  3098,  3106,  3111,
    3117,  3121,  3129,  3133,  3137,  3141,  3149,  3153,  3161,  3165,
    3169,  3173,  3181,  3185,  3193,  3197,  3201,  3205,  3209,  3217,
    3221,  3229,  3233,  3241,  3245,  3249,  3257,  3265,  3269,  3277,
    3281,  3285,  3289,  3297,  3302,  3310,  3318,  3326,  3330,  3338,
    3343,  3349,  3353,  3357,  3365,  3369,  3377,  3382,  3388,  3392,
    3396,  3400,  3404,  3408,  3412,  3416,  3420,  3424,  3428,  3432,
    3436,  3440,  3448,  3453,  3459,  3464,  3470,  3475,  3481,  3486,
    3492,  3496,  3504,  3512,  3516,  3520,  3524,  3529,  3535,  3539,
    3547,  3555,  3559,  3563,  3567,  3571,  3575,  3583,  3587,  3591,
    3595,  3599,  3603,  3607,  3612,  3618,  3623,  3629,  3634,  3640,
    3644,  3652,  3656,  3664,  3668,  3672,  3680,  3684,  3692,  3700,
    3704,  3712,  3717,  3723,  3727,  3731,  3735,  3743,  3747,  3751,
    3755,  3759,  3763,  3767,  3771,  3779,  3783,  3791,  3795,  3799,
    3803,  3811,  3819,  3823,  3828,  3834,  3838,  3842,  3846,  3850,
    3854,  3858,  3862,  3870,  3874,  3882,  3886,  3890,  3894,  3898,
    3902,  3906,  3914,  3919,  3925,  3930,  3936,  3940,  3948,  3956,
    3960,  3965,  3970,  3976,  3980,  3988,  3992,  4000,  4005,  4011,
    4015,  4019,  4023,  4028,  4034,  4042,  4050,  4054,  4058,  4062,
    4066,  4074,  4079,  4085,  4090,  4096,  4104,  4108,  4116,  4120,
    4128,  4132,  4136,  4144,  4148,  4152,  4157,  4163,  4167,  4171,
    4176,  4182,  4187,  4193,  4198,  4204,  4212,  4216,  4224,  4232,
    4236,  4241,  4247,  4251,  4259,  4267,  4272,  4278,  4286,  4290,
    4298,  4302,  4310,  4315,  4321,  4326,  4332,  4336,  4344,  4348,
    4352,  4356,  4360,  4364,  4368,  4372,  4376,  4380,  4384,  4388,
    4392,  4396,  4404,  4409,  4415,  4419,  4423,  4427,  4435,  4439,
    4447,  4451,  4459,  4464,  4470,  4474,  4482,  4487,  4493,  4497,
    4505,  4510,  4516,  4520,  4528,  4533,  4539,  4547,  4552,  4558,
    4562,  4570,  4574,  4582,  4587,  4593,  4597,  4601,  4605,  4613,
    4621,  4626,  4632,  4640,  4644,  4648,  4652,  4656,  4660,  4664,
    4668,  4672,  4676,  4680,  4684,  4688,  4692,  4696,  4700,  4704,
    4708,  4712,  4716,  4720,  4724,  4728,  4732,  4736,  4740,  4748,
    4756,  4760,  4764,  4768,  4776,  4780,  4788,  4793,  4799,  4803,
    4811,  4816,  4822,  4826,  4834,  4842,  4846,  4854,  4858,  4862,
    4866,  4874,  4882,  4890,  4898,  4902,  4910,  4915,  4921,  4925,
    4933,  4938,  4944,  4948,  4952,  4960,  4964,  4968,  4972,  4980,
    4984,  4992,  5000,  5004,  5012,  5017,  5023,  5027,  5035,  5039,
    5047,  5051,  5059,  5067,  5075,  5083,  5088,  5094,  5099,  5105,
    5110,  5116,  5121,  5127,  5132,  5138,  5143,  5149,  5153,  5157,
    5161,  5165,  5173,  5181,  5185,  5193,  5197,  5201,  5209,  5213,
    5221,  5225,  5229,  5233,  5237,  5245,  5250,  5256,  5260,  5268,
    5276,  5280,  5288,  5292,  5300,  5308,  5313,  5319,  5324,  5330,
    5334,  5342,  5347,  5353,  5357,  5362,  5368,  5372,  5376,  5380,
    5388,  5393,  5400,  5402,  5410,  5414,  5418,  5422,  5426,  5430,
    5438,  5442,  5450,  5454,  5462,  5470,  5474,  5482,  5490,  5494,
    5498,  5502,  5510,  5519,  5528,  5532,  5536,  5540,  5544,  5548,
    5552,  5556,  5560,  5564,  5568,  5572,  5576,  5580,  5584,  5588,
    5596,  5604,  5608,  5616,  5620,  5628,  5632,  5636,  5640,  5644,
    5648,  5656,  5664,  5668,  5676,  5684,  5689,  5695,  5699,  5707,
    5711,  5715,  5719,  5727,  5732,  5738,  5746,  5750,  5758,  5762,
    5766,  5770,  5774,  5782,  5787,  5793,  5798,  5804,  5808,  5813,
    5819,  5825,  5831,  5839,  5843,  5851,  5855,  5863,  5867,  5875,
    5879,  5887,  5891,  5899,  5907,  5915,  5919,  5923,  5927,  5931,
    5935,  5939,  5943,  5947,  5951,  5955,  5959,  5967,  5971,  5975,
    5979,  5983,  5987,  5991,  5995,  5999,  6003,  6007,  6011,  6015,
    6023,  6027,  6031,  6035,  6039,  6043,  6047,  6055,  6059,  6063,
    6071,  6075,  6083,  6087,  6095,  6099,  6107,  6111,  6112,  6120,
    6124,  6129,  6135,  6139,  6143,  6147,  6151,  6155,  6159,  6163,
    6167,  6171,  6175,  6179,  6183,  6187,  6191,  6195,  6199,  6207,
    6211,  6215,  6219,  6223,  6227,  6231,  6235,  6239,  6243,  6247,
    6251,  6255,  6259,  6267,  6271,  6275,  6279,  6283,  6287,  6291,
    6295,  6299,  6303,  6307,  6311,  6319,  6323,  6331,  6335,  6339,
    6343,  6347,  6351,  6355,  6363,  6368,  6374,  6378,  6382,  6386,
    6390,  6394,  6402,  6406,  6410,  6414,  6418,  6422,  6426,  6430,
    6438,  6442,  6450,  6454,  6458,  6462,  6468,  6474,  6480,  6486,
    6492,  6498,  6504,  6514,  6525,  6536,  6547,  6558,  6569,  6580,
    6596,  6612,  6628,  6639,  6655,  6666,  6682,  6697,  6701,  6709,
    6714,  6720,  6728,  6732,  6740,  6744,  6748,  6752,  6756,  6764,
    6768,  6776,  6780,  6784,  6788,  6796,  6800,  6804,  6808,  6812,
    6816,  6820,  6824,  6828,  6832,  6836,  6840,  6844,  6848,  6852,
    6856,  6864,  6868,  6876,  6880,  6888,  6893,  6899,  6907,  6911,
    6919,  6924,  6930,  6935,  6941,  6949,  6954,  6960,  6964,  6968,
    6976,  6980,  6984,  6992,  6996,  7000,  7004,  7008,  7016,  7020,
    7028,  7033,  7039,  7044,  7050,  7055,  7061,  7066,  7072,  7076,
    7084,  7088,  7092,  7100,  7105,  7111,  7116,  7122,  7126,  7131,
    7137,  7141,  7146,  7152,  7156,  7160,  7168,  7173,  7179,  7183,
    7191,  7195,  7203,  7207,  7215,  7219,  7223,  7227,  7235,  7239,
    7247,  7251,  7259,  7263,  7267,  7271,  7275,  7283,  7287,  7291,
    7295,  7299,  7307,  7315,  7323,  7327,  7331,  7339,  7343,  7347,
    7355,  7364,  7368,  7372,  7376,  7384,  7388,  7396,  7404,  7408,
    7416,  7420,  7428,  7432,  7436,  7440,  7444,  7448,  7452,  7456,
    7460,  7464,  7468,  7472,  7476,  7480,  7484,  7488,  7496,  7500,
    7504,  7508,  7512,  7520,  7524,  7532,  7536,  7544,  7549,  7555,
    7563,  7567,  7575,  7583,  7587,  7595,  7600,  7606,  7610,  7618,
    7622,  7630,  7634,  7642,  7646,  7650,  7654,  7662,  7666,  7674,
    7678,  7686,  7694,  7702,  7706,  7714,  7718,  7726,  7730,  7734,
    7742,  7746,  7751,  7757,  7765,  7770,  7776,  7784,  7788,  7792,
    7796,  7804,  7812,  7816,  7820,  7824,  7832,  7836,  7844,  7848,
    7852,  7860,  7864,  7872,  7880,  7884,  7892,  7896,  7900,  7904,
    7908,  7912,  7916,  7920,  7924,  7928,  7932,  7936,  7940,  7944,
    7948,  7952,  7956,  7960,  7964,  7968,  7972,  7976,  7980,  7984,
    7988,  7992,  7996,  8000,  8004,  8008,  8012,  8016,  8020,  8024,
    8028,  8032,  8036,  8040,  8044,  8048,  8052,  8056,  8060,  8064,
    8068,  8072,  8076,  8080,  8084,  8088,  8092,  8100,  8105,  8111,
    8116,  8122,  8126,  8130,  8134,  8142,  8146,  8150,  8154,  8158,
    8162,  8166,  8170,  8174,  8178,  8182,  8186,  8190,  8194,  8198,
    8202,  8206,  8210,  8214,  8218,  8222,  8226,  8230,  8234,  8238,
    8246,  8254,  8258,  8266,  8270,  8278,  8282,  8286,  8290,  8294,
    8302,  8306,  8310,  8314,  8318,  8322,  8326,  8330,  8334,  8338,
    8342,  8346,  8350,  8354,  8358,  8362,  8366,  8370,  8374,  8378,
    8382,  8386,  8394,  8402,  8407,  8413,  8417,  8425,  8429,  8433,
    8437,  8445,  8453,  8457,  8465,  8473,  8477,  8481,  8485,  8489,
    8493,  8501,  8505,  8513,  8521,  8525,  8529,  8537,  8541,  8549,
    8553,  8557,  8561,  8565,  8573,  8578,  8584,  8588,  8592,  8596,
    8604,  8608,  8613,  8619,  8627,  8632,  8638,  8646,  8650,  8658,
    8662,  8666,  8670,  8674,  8678,  8682,  8686,  8690,  8694,  8698,
    8702,  8706,  8710,  8718,  8722,  8727,  8733,  8737,  8741,  8745,
    8749,  8757,  8761,  8765,  8773,  8778,  8784,  8788,  8792,  8797,
    8806,  8810,  8814,  8819,  8825,  8833,  8841,  8846,  8852,  8856,
    8864,  8868,  8872,  8880,  8884,  8888,  8892,  8896,  8900,  8904,
    8912,  8917,  8923,  8927,  8931,  8939,  8947,  8951,  8959,  8967,
    8971,  8979,  8987,  8991,  8995,  8999,  9003,  9007,  9011,  9019,
    9024,  9030,  9038,  9042,  9046,  9050,  9054,  9058,  9066,  9070,
    9078,  9086,  9090,  9094,  9102,  9107,  9113,  9117,  9121,  9125,
    9129,  9137,  9141,  9149,  9153,  9157,  9161,  9165,  9173,  9177,
    9185,  9189,  9197,  9202,  9208,  9213,  9219,  9224,  9230,  9235,
    9241,  9245,  9249,  9253,  9261,  9265,  9269,  9273,  9277,  9281,
    9285,  9289,  9293,  9301,  9305,  9313,  9321,  9325,  9333,  9337,
    9342,  9348,  9354,  9364,  9369,  9375,  9379,  9383,  9387,  9395,
    9397,  9405,  9410,  9416,  9424,  9428,  9436,  9440,  9444,  9448,
    9452,  9460,  9464,  9472,  9476,  9484,  9492,  9496,  9501,  9507,
    9511,  9516,  9522,  9527,  9533,  9541,  9546,  9552,  9560,  9565,
    9571,  9575,  9579,  9583,  9587,  9591,  9595,  9599,  9607,  9612,
    9618,  9622,  9627,  9633,  9641,  9645,  9653,  9657,  9665,  9673,
    9677,  9685,  9738,  9742,  9755,  9757,  9761,  9765,  9769,  9778,
    9784,  9788,  9796,  9800,  9808,  9812,  9820,  9824,  9828,  9832,
    9836,  9840,  9844,  9848,  9856,  9860,  9868,  9872,  9876,  9880,
    9884,  9888,  9892,  9900,  9904,  9908,  9916,  9920,  9928,  9936,
    9941,  9947,  9952,  9954,  9960,  9964,  9968,  9972,  9976,  9980,
    9984,  9988,  9992, 10000, 10005, 10011, 10015, 10020, 10026, 10030,
   10038, 10043, 10049, 10054, 10060, 10068, 10072, 10080, 10084, 10092,
   10096, 10100, 10104, 10112, 10117, 10123, 10127, 10132, 10140, 10144,
   10152, 10156, 10164, 10172, 10176, 10181, 10187, 10195, 10199, 10207,
   10211, 10219, 10224, 10230, 10234, 10242, 10246, 10250, 10254, 10258,
   10266, 10274, 10282, 10290, 10298, 10303, 10309, 10313, 10321, 10326,
   10332, 10336, 10344, 10352, 10356, 10360, 10364, 10372, 10377, 10383,
   10387, 10395, 10400, 10406, 10410, 10418, 10422, 10426, 10430, 10434,
   10438, 10442, 10449, 10456, 10460, 10468, 10472, 10476, 10480, 10484,
   10488, 10496, 10500, 10504, 10508, 10516, 10521, 10527, 10531, 10535,
   10539, 10544, 10550, 10554, 10558, 10562, 10570, 10575, 10581, 10585,
   10593, 10597, 10601, 10605, 10613, 10617, 10625, 10629, 10633, 10641,
   10649, 10654, 10660, 10664, 10672, 10680, 10684, 10692, 10697, 10703,
   10708, 10714, 10719, 10725, 10729, 10735, 10741, 10746, 10752, 10756,
   10764, 10772, 10776, 10784, 10788, 10796, 10800, 10804, 10812, 10816,
   10824, 10828, 10832, 10836, 10844, 10848, 10856, 10860, 10868, 10870,
   10872, 10876, 10880, 10884, 10892, 10902, 10913, 10922, 10926, 10930,
   10934, 10938, 10942, 10946, 10954, 10958, 10962, 10966, 10974, 10978,
   10986, 10991, 10997, 11001, 11005, 11009, 11013, 11017, 11021, 11025,
   11029, 11033, 11037, 11045, 11050, 11056, 11060, 11068, 11072, 11080,
   11088, 11096, 11100, 11108, 11112, 11120, 11128, 11136, 11140, 11144,
   11148, 11152, 11156, 11164, 11169, 11175, 11179, 11183, 11187, 11195,
   11203, 11207, 11212, 11218, 11222, 11226, 11230, 11234, 11238, 11242,
   11246, 11250, 11254, 11258, 11262, 11266, 11271, 11277, 11281, 11289,
   11293, 11297, 11301, 11305, 11309, 11313, 11317, 11321, 11325, 11329,
   11333, 11337, 11341, 11345, 11349, 11353, 11357, 11361, 11365, 11369,
   11373, 11377, 11381, 11385, 11389, 11393, 11397, 11401, 11405, 11409,
   11413, 11417, 11421, 11425, 11429, 11433, 11437, 11441, 11445, 11449,
   11453, 11457, 11461, 11465, 11469, 11473, 11477, 11481, 11485, 11489,
   11493, 11497, 11501, 11505, 11509, 11513, 11517, 11521, 11525, 11529,
   11534, 11538, 11542, 11550, 11554, 11558, 11562, 11566, 11570, 11574,
   11578, 11582, 11586, 11590, 11594, 11598, 11602, 11606, 11610, 11614,
   11618, 11622, 11626, 11630, 11634, 11638, 11642, 11646, 11654, 11658,
   11662, 11666, 11670, 11674, 11678, 11682, 11686, 11690, 11694, 11698,
   11702, 11706, 11714, 11718, 11722, 11726, 11730, 11734, 11738, 11746,
   11750, 11758, 11762, 11770, 11774, 11778, 11782, 11786, 11790, 11794,
   11798, 11802, 11806, 11810, 11814, 11818, 11822, 11826, 11830, 11834,
   11838, 11842, 11846, 11850, 11854, 11858, 11862, 11866, 11870, 11874,
   11878, 11882, 11886, 11890, 11894, 11898, 11902, 11906, 11910, 11914,
   11918, 11922, 11926, 11930, 11934, 11942, 11946, 11954, 11958, 11962,
   11967, 11973, 11981, 11985, 11993, 11997, 12005, 12009, 12017, 12021,
   12026, 12032, 12036, 12040, 12044, 12052, 12057, 12063, 12068, 12074,
   12079, 12085, 12089, 12097, 12105, 12109, 12114, 12120, 12128, 12132,
   12139, 12144, 12150, 12155, 12160, 12166, 12170, 12178, 12182, 12186,
   12190, 12194, 12202, 12206, 12210, 12218, 12222, 12230, 12238, 12242,
   12246, 12254, 12258, 12266, 12270, 12274, 12278, 12282, 12286, 12290,
   12294, 12298, 12302, 12306, 12310, 12318, 12322, 12330, 12334, 12342,
   12346, 12350, 12354, 12358, 12362, 12370, 12374, 12382, 12386, 12394,
   12398, 12402, 12410, 12414, 12422, 12426, 12430, 12438, 12442, 12450,
   12455, 12461, 12465, 12469, 12473, 12477, 12481, 12485, 12489, 12497,
   12501, 12509, 12517, 12522, 12528, 12532, 12536, 12540, 12544, 12549,
   12555, 12563, 12571, 12575, 12579, 12587, 12591, 12599, 12607, 12611,
   12619, 12627, 12632, 12638, 12643, 12649, 12653, 12661, 12665, 12669,
   12673, 12681, 12686, 12692, 12696, 12705, 12707, 12715, 12720, 12726,
   12731, 12737, 12741, 12749, 12753, 12757, 12761, 12769, 12773, 12781,
   12785, 12793, 12797, 12805, 12813, 12821, 12829, 12837, 12845, 12853,
   12857, 12865, 12869, 12873, 12877, 12881, 12885, 12889, 12893, 12897,
   12901, 12905, 12909, 12913, 12917, 12918, 12923, 12929, 12933, 12934,
   12938, 12946, 12954, 12958, 12962, 12970, 12974, 12982, 12986, 12990,
   12994, 13002, 13006, 13010, 13014, 13018, 13022, 13026, 13030, 13034,
   13038, 13042, 13046, 13050, 13054, 13058, 13062, 13066, 13070, 13074,
   13078, 13082, 13086, 13090, 13094, 13098, 13102, 13106, 13110, 13114,
   13118, 13122, 13126, 13130, 13134, 13138, 13142, 13146, 13150, 13154,
   13158, 13162, 13166, 13170, 13174, 13178, 13182, 13186, 13190, 13194,
   13198, 13202, 13206, 13210, 13214, 13218, 13222, 13226, 13230, 13234,
   13238, 13242, 13246, 13250, 13254, 13258, 13262, 13266, 13270, 13274,
   13278, 13282, 13286, 13290, 13294, 13298, 13302, 13306, 13310, 13314,
   13318, 13322, 13326, 13330, 13334, 13338, 13342, 13346, 13350, 13354,
   13358, 13362, 13366, 13370, 13374, 13378, 13382, 13386, 13390, 13394,
   13398, 13402, 13406, 13410, 13414, 13418, 13422, 13426, 13430, 13434,
   13438, 13442, 13446, 13450, 13454, 13458, 13462, 13466, 13470, 13474,
   13478, 13482, 13486, 13490, 13494, 13498, 13502, 13506, 13510, 13514,
   13518, 13522, 13526, 13530, 13534, 13538, 13542, 13546, 13550, 13554,
   13558, 13562, 13566, 13570, 13574, 13578, 13582, 13586, 13590, 13594,
   13598, 13602, 13606, 13610, 13614, 13618, 13622, 13626, 13630, 13634,
   13638, 13642, 13646, 13650, 13654, 13658, 13662, 13666, 13670, 13674,
   13678, 13682, 13686, 13690, 13694, 13698, 13702, 13706, 13710, 13714,
   13718, 13722, 13726, 13730, 13734, 13738, 13742, 13746, 13750, 13754,
   13758, 13762, 13766, 13770, 13774, 13778, 13782, 13786, 13790, 13794,
   13798, 13802, 13806, 13810, 13814, 13818, 13822, 13826, 13830, 13834,
   13838, 13842, 13846, 13850, 13854, 13858, 13862, 13866, 13870, 13874,
   13878, 13882, 13886, 13890, 13894, 13898, 13902, 13906, 13910, 13914,
   13918, 13922, 13926, 13930, 13934, 13938, 13942, 13946, 13950, 13954,
   13958, 13962, 13966, 13970, 13974, 13978, 13982, 13986, 13990, 13994,
   13998, 14002, 14006, 14010, 14014, 14018, 14022, 14026, 14030, 14034,
   14038, 14042, 14046, 14050, 14054, 14058, 14062, 14066, 14070, 14074,
   14078, 14082, 14086, 14090, 14098, 14102, 14106, 14110, 14114, 14118,
   14122, 14126, 14130, 14134, 14138, 14142, 14146, 14150, 14154, 14158,
   14162, 14166, 14170, 14174, 14178, 14182, 14186, 14190, 14194, 14198,
   14202, 14206, 14210, 14214, 14218, 14222, 14226, 14230, 14234, 14238,
   14242, 14246, 14250, 14254, 14258, 14262, 14266, 14270, 14274, 14278,
   14282, 14290, 14294, 14298, 14302, 14306, 14310, 14314, 14318, 14322,
   14326, 14330, 14334, 14338, 14342, 14346, 14350, 14354, 14358, 14362,
   14366, 14370, 14374, 14378, 14386, 14390, 14394, 14398, 14402, 14406,
   14410, 14414, 14418, 14422, 14426, 14430, 14434, 14438, 14442, 14446,
   14450, 14454, 14458, 14462, 14466, 14470, 14474, 14478, 14482, 14486,
   14490, 14494, 14498, 14502, 14506, 14510, 14514, 14518, 14522, 14526,
   14530, 14534, 14538, 14542, 14546, 14550, 14554, 14558, 14562, 14566,
   14570, 14574, 14578, 14582, 14586, 14590, 14594, 14598, 14602, 14606,
   14610, 14614, 14618, 14622, 14626, 14630, 14634, 14638, 14642, 14646,
   14650, 14654, 14658, 14662, 14666, 14670, 14674, 14678, 14682, 14692,
   14693, 14696, 14697, 14698, 14704, 14705, 14706, 14707, 14708, 14721,
   14721, 14730, 14745, 14747, 14750, 14752, 14756, 14768, 14784, 14788,
   14799, 14800, 14803, 14815, 14824, 14825, 14828, 14829, 14830, 14833,
   14834, 14837, 14838, 14841, 14842, 14845, 14847, 14849, 14851, 14855,
   14862, 14869, 14885, 14919, 14929, 14932, 14936, 14949, 14950, 14952,
   14954, 14958, 14972, 14979, 15040, 15049, 15051, 15052, 15055, 15057,
   15058, 15061, 15062, 15063, 15064, 15065, 15072, 15071, 15081, 15083,
   15085, 15086, 15089, 15090, 15091, 15092, 15095, 15096, 15100, 15099,
   15116, 15114, 15130, 15129, 15143, 15149, 15150, 15153, 15155, 15156,
   15159, 15160, 15161, 15162, 15165, 15166, 15169, 15177, 15194, 15202,
   15225, 15331, 15365, 15367, 15369, 15373, 15377, 15376, 15427, 15429,
   15428, 15443, 15449, 15456, 15461, 15467, 15468, 15471, 15472, 15473,
   15474, 15475, 15476, 15477, 15485, 15493, 15496, 15497, 15498, 15499,
   15500, 15501, 15509, 15517, 15518, 15519, 15522, 15523, 15526, 15528,
   15537, 15625, 15626, 15633, 15634, 15635, 15641, 15650, 15653, 15654,
   15655, 15656, 15659, 15660, 15661, 15664, 15666, 15674, 15675, 15681,
   15689, 15690, 15693, 15694, 15697, 15702, 15709, 15714, 15721, 15728,
   15728, 15730, 15737, 15738, 15741, 15742, 15743, 15744, 15745, 15746,
   15747, 15748, 15749, 15755, 15762, 15774, 15780, 15787, 15795, 15796,
   15808, 15819, 15830, 15834, 15835, 15838, 15843, 15847, 15848, 15851,
   15857, 15865, 15871, 15878, 15882, 15883, 15886, 15889, 15893, 15894,
   15897, 15903, 15912, 15917, 15927, 15937, 15949, 15950, 15951, 15952,
   15953, 15954, 15955, 15956, 15957, 15958, 15959, 15960, 15961, 15962,
   15963, 15970, 15971, 15974, 15975, 15982, 15983, 15984, 15991, 15990,
   16007, 16008, 16015, 16014, 16084, 16090, 16096, 16104, 16110, 16116,
   16122, 16128, 16134, 16140, 16146, 16152, 16163, 16164, 16167, 16168,
   16169, 16170, 16171, 16172, 16173, 16174, 16175, 16176, 16177, 16178,
   16179, 16180, 16181, 16182, 16183, 16184, 16185, 16186, 16187, 16188,
   16189, 16192, 16193, 16194, 16195, 16196, 16197, 16201, 16202, 16203,
   16204, 16205, 16206, 16207, 16210, 16213, 16214, 16215, 16216, 16217,
   16218, 16219, 16220, 16233, 16234, 16235, 16236, 16237, 16238, 16239,
   16244, 16245, 16246, 16247, 16248, 16249, 16255, 16256, 16257, 16258,
   16259, 16260, 16261, 16262, 16263, 16264, 16265, 16268, 16269, 16270,
   16271, 16272, 16275, 16276, 16277, 16278, 16281, 16282, 16283, 16284,
   16285, 16286, 16287, 16304, 16305, 16306, 16309, 16310, 16311, 16312,
   16313, 16314, 16318, 16318, 16321, 16327, 16328, 16331, 16333, 16338,
   16348, 16359, 16366, 16367, 16368, 16371, 16404, 16406, 16408, 16411,
   16421, 16431, 16441, 16442, 16445, 16447, 16448, 16449, 16452, 16454,
   16462, 16463, 16464, 16468, 16469, 16473, 16474, 16477, 16478, 16481,
   16482, 16483, 16484, 16485, 16488, 16489, 16490, 16491, 16492, 16493,
   16494, 16495, 16496, 16497, 16498, 16499, 16500, 16501, 16502, 16503,
   16504, 16505, 16506, 16507, 16508, 16509, 16510, 16511, 16512, 16513,
   16514, 16515, 16516, 16517, 16518, 16519, 16520, 16521, 16522, 16523,
   16524, 16525, 16526, 16527, 16528, 16529, 16530, 16531, 16532, 16533,
   16534, 16535, 16536, 16537, 16538, 16539, 16540, 16541, 16542, 16543,
   16546, 16547, 16548, 16549, 16552, 16553, 16554, 16555, 16556, 16557,
   16558, 16559, 16560, 16561, 16568, 16569, 16570, 16571, 16574, 16575,
   16578, 16579, 16582, 16583, 16594, 16595
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5162

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5162)))

#define YYTABLE_NINF -2975

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2975)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5162,   506,  9170, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, 34012, -5162,
   -5162, -5162, -5162, -5162,120287,   624, -5162, -5162, -5162,125561,
   -5162, -5162, -5162,   987, 83367, -5162, 86487,   958, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, 90647, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, 69831,  1212, -5162,   844,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162,  1587, 18397, -5162,
   -5162, 87007, -5162,   106, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, 87527,   514, -5162, -5162,   777,  1171, -5162,   130, 16638,
   -5162, -5162, 79727, 84407, -5162, -5162, 91167,   808,  2056, 17224,
    1587, 34825, 91687, -5162,  2692, -5162, 66147, -5162, -5162, -5162,
   83887, -5162, -5162, -5162,  1053, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, 97407,  2487,   847, 66676, -5162,
   -5162, -5162, -5162, 97407, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, 92207, -5162,  1013,  1554,   754, 97927, 98447,
   81287, -5162,  1287, -5162, 97407,  1594,  1448, 68789, -5162, 98967,
   -5162, -5162,  1445, -5162, 92727, -5162, -5162, -5162, -5162, -5162,
     847, -5162, 69831, 65105,   231,  1401, -5162, -5162, 99487, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   97407,  2154,  1537, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162,   514, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162,   937, -5162,  1185,  1016,  1646,
     610,  1596, -5162, -5162, -5162, 11175, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162,121838,  2416, -5162, -5162, -5162,  1602, -5162,
    1636, -5162, -5162, -5162,  1973, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162,  1178, -5162, -5162, -5162, -5162,  2151,120804, 90647,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, 79207, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162,   212, -5162, -5162, -5162, -5162, -5162,
   90647, 90647, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, 90647,  1756,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
     464,  1978, -5162, -5162, 69831,  1673,  1673,  2317,121838, -5162,
   -5162, -5162, 71394, 97407, 97407, 97407,  1980, 97407,  1912, 97407,
     304, 71394,130094, 93247,  2119,  1966, 60331,100007, -5162, 97407,
  128282, 97407, 97407,100527, 97407, 97407, 97407,  1853, 88047, 97407,
    2068, 97407, 97407,128735,101047,  2245, -5162,  2461,  1700, -5162,
   -5162, -5162, 97407, 18045,  2487, -5162, -5162,  2154, 97407,  2238,
   71394, 97407,  2015,101567,  2121, 97407, -5162, 97407,  2136,102087,
     373,  1833,130094,  2207, 60864,  2182, 97407, 97407,130094,102607,
  103127,103647, 97407, 97407, -5162, -5162,  2220, 97407, 97407, -5162,
    2338,130547,  1032,  2363,  2515,  2425,  1131, -5162, -5162,  2614,
    2162, -5162, -5162,  2644, 90647, -5162, 88567, -5162, -5162, -5162,
    2469, -5162, -5162, -5162, -5162, -5162, -5162,127376,  2056, -5162,
   -5162,  2407, 71915, 97407,  2468, -5162, -5162,104167, 75562,  2266,
   -5162,   584, 72436,131000,  2587,  2240, 61397,  2616, -5162, -5162,
  131453, -5162, -5162, -5162, -5162, -5162,104687, -5162,105207,  2333,
    2468, -5162, 76083,131906, -5162,  2472,105727,106247,106767, -5162,
   13611, -5162,  2223,  2432,  2226,  2003, 90647, 90647,   811,123261,
   -5162, -5162,   514, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162,   235,   247, 67205,   225, 67734, -5162, -5162,   725,   923,
     960,   235,  2695,  2695,   605, 90647, -5162, -5162,   247, -5162,
     541,   522,  2235,  2235,  2235,  2449,   785, -5162,  2235,  2389,
   -5162, -5162, -5162, -5162, 92727, 67205, 67734, -5162,  2252,  2487,
      44,  2676,  2322, -5162, -5162, -5162, -5162, -5162,  2332, 97407,
   97407, 97407, -5162, -5162, -5162,  2718,  2315,  2571, -5162,  2358,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,  2531,
    2569,  2518,    30,  2487,  2460, -5162,  2699, -5162,  2595, 41223,
   41223,  1421, 90647,  2487, 68263, 93767,117167,   226,127376,  2487,
  107287,  2453,  1475,  2625, -5162, -5162, -5162,   723, -5162,  2883,
    2484,  2738,   100,  1700, 57168, -5162,  2491,  1247, 92727,122355,
   -5162, -5162, -5162, -5162,  1250,  2790, 44989, 97407,  2488, -5162,
    2494,  2488,  2505,  2506,  1646, -5162, 97407,  1496,  1496,  2908,
    1496,  1675,  1796, -5162,  2369, -5162,  2817,  2789, 92727,  2537,
    1587,  2528, -5162, -5162, -5162,  2538, -5162,  2536,  2550, -5162,
     555,  2811, -5162, -5162, -5162, -5162,  2628,  2642,  2645,  2646,
    2546,  2649,   241, -5162, -5162, -5162, -5162,  2915, -5162, -5162,
   -5162, -5162, -5162, -5162,  3023,  3017,126017,126017,   752,   792,
     163,   354, -5162, -5162, -5162,  2894, -5162, -5162,  2875, 97407,
    2710, 97407, -5162, -5162, -5162,107807, -5162, -5162,  1673,  2538,
    1668,  2659, -5162,   195, -5162,  1247, -5162,   295,   379,   451,
    2175,  2638,  1748,  1591, -5162,   845, 97407,   252,  2684, 94287,
    7643,  2667,  2700,  1247,  2843,   363,  2977,  3025,  7135,   241,
   94807, -5162, -5162, -5162, -5162, 97407, 97407, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162,  2715,  1608, -5162, -5162,
    2716,  3040,  2922,  1071,  3011,  2890,  1795,  2949,  1310,  3076,
    6695,  1486,  2095,  2103,108327,117687,  3042,  3113,  6364,  1941,
     892,  2995,  1091,  3011,  3119,  2963,  1795,  3141,  8100, 97407,
    2821, -5162,  3070,  3186,   731, -5162,    97, -5162,  2900,  3034,
    1168,  3077, 71394,  2851, -5162, -5162, 97407, -5162, -5162, 76604,
    2946, -5162,   609, 71394, -5162,  3084,  2951, 61930, 97407, -5162,
   -5162, 97407, -5162, -5162, -5162, -5162, -5162, -5162, -5162,  3021,
    3208, 97407, 76604, -5162,  3164, 97407, 97407, -5162,  2913, -5162,
   -5162, -5162, -5162,  2235, 97407,  2919,  3321, 76604,  3138,   103,
   97407,  1021,  3362, 97407,  3149,  1021,  2978,108847, -5162, -5162,
    1021, -5162, -5162, 97407, 97407,  2944,  2172,  3152,  3265,  1021,
    3181,  3394,  3399,  3192,  3049,  3199,  2494,  3370,  3176,   906,
     306,   127,   245,  1021,  3037,109367,109887, 97407,  3038, 97407,
    3382, 71394, 97407,  3305, -5162,  3163, 95327, -5162,  2996,  2614,
   -5162, -5162, -5162, -5162, -5162,  1561, -5162, -5162, -5162, -5162,
   -5162,  3327, -5162,   129,   187,  3329,  3000,  3331, -5162, -5162,
    3059, -5162,  3059,  3059,  3014,  3014,  3189,  3019,  3343, -5162,
   -5162, -5162,  2428,  3059,  3014, -5162, 77646, -5162,  1370,  1836,
   -5162,   131, -5162,  3456, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162,  3027, -5162,  1211, -5162,  2199, -5162, -5162, -5162,
   -5162,  3061, -5162,  3350,   146, -5162,  3351, -5162,  3029,110407,
   -5162,110927,111447,  3354,   147, -5162,130094,  3355,  3029,  3356,
     187,  3357, -5162,  1150,  3346,  3359,   131,  3361,  2177,  3029,
  127829,  3363,   167, -5162,  3364,   172, -5162,  3366,  3241, 14759,
   13611, -5162, 17705,  1867, -5162, -5162, -5162, -5162, -5162, -5162,
   44989,   812,  3136, -5162, -5162, -5162,  2206, -5162,124639, -5162,
     811,   247, -5162, 90647,   247, 90647,   605,   247, 90647,   247,
   90647,   605,   247, 90647, 90647, 90647,   247, -5162, -5162,   259,
     242, -5162, -5162, -5162, -5162, -5162, 90647,  3047, 97407, 97407,
   -5162, -5162, -5162, 84927,130094, 85447, -5162, 97407, -5162,   571,
   90647, -5162, 90647, -5162,  2487, -5162, -5162,  2432, 76604,  3479,
  130094,  3382, -5162,  2211, -5162, -5162, -5162, -5162, -5162, -5162,
    3295, 97407,  3365,  3378, 84927,130094, -5162,111967,127376,  3253,
    3054, -5162, -5162, -5162, -5162,  2219,  2533,   258,  2630, 44989,
    3055,   258,   258,  3057,  3379, -5162, -5162, -5162,   461,  3071,
    3075, -5162,   278,   278, -5162,  3080,  3081, -5162,   286,  3083,
    3085,  2748,   328,  3086,  3088,  3089,  2428,   258, 44989, -5162,
    3091,   278,  3093,  3094,  3095,  2844,  3096, -5162,  3074,  3099,
     213,   487,  3101,  3106, -5162,  3080, -5162,   370,  3108,  3110,
    3111,  3112,  3114,  3115,  3117,  3121, 44989, 44989, 44989, -5162,
   39609,  1247,  2487, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162,   502,  6006, -5162,  3120, -5162, -5162,  3263, -5162, -5162,
   44989, -5162, -5162,   359, -5162,   515, -5162, -5162,  1247, -5162,
   -5162,  2058, -5162, -5162, -5162, -5162,  3375,  3116,  2181,  2181,
     218, -5162, 87007, 87007, -5162, -5162,  1819,  3122, -5162,  1663,
   -5162, -5162, -5162, -5162, -5162, -5162,126923,  3553, -5162,  2401,
    2487,    97,  2021,  3495,123717,124178,  3390,  3390,  3376, -5162,
   -5162, 97407, -5162, -5162, 44989, 64063, -5162,  1247,    96,  3389,
   -5162, -5162, -5162,  2224, -5162, -5162, -5162, -5162,   514, 15903,
    2233,  2488, 97407, 97407,  3562, -5162, -5162,  2494, -5162, -5162,
    1646,  1646, 44989,  1646,   730,  2110, 41761, 44989,  3441,  3336,
    1584,  1478,  3444, -5162,  3348,  1675,  1796, 92727, 97407,112487,
    3262, 44989, -5162,  2538,  3153,  1995, -5162, 78687,121321,121321,
    3413, -5162, -5162,  1222,   139,  3275,  3380,  2695,  1837,  1565,
    1565, -5162, -5162,  3150, -5162,  3508, 87007,  3212,126017, -5162,
   -5162, 97407, -5162, -5162, 95847, -5162, -5162, -5162,  2214,  3157,
   -5162,  3177, 97407, -5162,  3696,  1565,  1565, -5162, -5162,  3166,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,121838,  3173,
   97407, -5162,  3175,  3179, -5162,122355,  3255,  3256,  3312, 64584,
   -5162,  1247,  3264,  3228,  3266,  3319, 69831,  3188,  3270,  3271,
    3323,  3438, -5162, -5162,  3277,  3278,118207, -5162, -5162,  1098,
   -5162, -5162, -5162,  1098, -5162,  3211, -5162,  1746,   948,  1704,
    3280,   184,   646,  3586, -5162,  1367, -5162, -5162,  3334, -5162,
    6429, 97407,  3526,  8422,  3406,   241,  3408,  3335, -5162, -5162,
    3461,  3292, 97407,  3293,  3425,   241,  1408,118727, -5162, -5162,
   -5162, -5162, -5162, -5162,  6150, 38559, -5162,  2174,  3296,  3276,
    3308, 97407, 80247,  2204,  3418,  3422,  1531,  2368,   614,  3367,
   97407,   768,  3434, 97407,  3231,  3309,  3314,  3525,  3239,  2239,
    3623,  3238, -5162, -5162,  3432,  3533,  3575,  7927,  3311,  3316,
   73999, -5162,  3337,   861, 62463, 97407, 97407,  3352,  3353,  3340,
    3344,  1183,  3625,  1917,  3345, -5162, -5162, -5162,  1917, 97407,
    3347,  3349, 97407, 77646,   241, -5162,  3680,   241,   241,  1992,
    3682,  3358,   551,  3497,  2094,  1021,  3238,  3230, -5162,  3369,
    3371,  1777, -5162,  3467,  3372,  3373,  3404,  2487, -5162, -5162,
    3374,  3440,  3388,    28, -5162, -5162,   -40,  3383, 92727,  3465,
    3466,   262,  2228,  3238, -5162,  3391,  3393,  3239,  3239, 97407,
   97407, 97407, 97407, 97407,   149,  3704,  3711,  3396,   157,  3445,
    3285, -5162,  1917,129188,  3398, -5162,  1917, 97407,  3400,  2248,
    3238,  1879, -5162,  2007, -5162, -5162, -5162,  1700, -5162, 97407,
   -5162, 97407, -5162,  3580, 76604,  3522,  3583, -5162,  3368, -5162,
    3584,   241, -5162, 97407, 97407,  3585,  3528,  3530,  1177, 76604,
    3531,  3593, -5162,  3596,  3598,  3405,  3381,  3410, 64584, -5162,
    2944,  3339,  3773,  3664, 97407, 69831, -5162,  3791,  1098, -5162,
   76604,  3551,  3673, -5162, 97407,  3569,   704, -5162,  3710,  3412,
   -5162, -5162,    12, 97407,   214,  3403, -5162, -5162,  3678,130094,
    1521,  3683,  2487,  3416,  3684,  3561,  2487,130094,  3606, 97407,
   97407, 97407, 97407, -5162, -5162,  3578,   961,   332, -5162,129188,
    3594, -5162, 97407,  3595,  3230,  3608,  3822,  1100,  2235,113007,
    3705, -5162,113527,  3397,  3832, 76604,  3656, -5162, -5162,  3401,
    2695, -5162,  2996, -5162,  2278, -5162,  3534, -5162, 71394, -5162,
   -5162, 71394, -5162, -5162, -5162, 76604, 97407, -5162,  3407, -5162,
   -5162, 44989, -5162, -5162, -5162,  2695, -5162, 76604,  3059,  3059,
   -5162, -5162,  3841,  3492,  3494,  2695, -5162,  2695, -5162, 76604,
   -5162,  3417,  3419,  2695,  3493, -5162,  3500,  2695, -5162,  2242,
   -5162, -5162, 71394, 71394, -5162,130094,130094,  3737,   167,  3739,
    3478,  3745,  3482, 62463, 62463, -5162,   251,130094, 97407, -5162,
   97407, -5162, -5162, -5162, -5162, 76604, 76604, -5162,130094,129188,
    3748,  3749,   187, 97407, 97407, -5162, 97407, 97407, -5162, 97407,
   97407, -5162, 16652,  2046, -5162, 13611, -5162,  2265,  3390, -5162,
    1756, 97407,  1612,   811,132359, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, 90647, -5162, 90647,   605, -5162, -5162, 90647,
   -5162, 90647,   605, -5162, 90647, -5162, -5162, -5162, 90647, 97407,
    3958,  3428, -5162,  2058, -5162, 97407,  2320, -5162, -5162,  2330,
    1003, 97407, 97407,   695, 71394, 97407,  3638, 97407, 97407, 97407,
   97407, 97407,  3514,  3122,  1732, -5162,  1194,   197, 92727,  3647,
   -5162, -5162, -5162, -5162, -5162,  2336,  2154,   986, 97407,  1396,
    2332, -5162, -5162, 85447, 83887,  3743,   104, 97407, -5162, -5162,
    5606, 44989, 40685, -5162, -5162, 15903,  3481, 44989, 44989,  3446,
    2695,  2695, -5162,  2271, 44989, 44989, 44989,  2695,  2695, 15916,
   44989, 62463, 44989, 48217, 36942, 44989, 44989, 40147, -5162, 44989,
    3665, 49293, 44989,  2021,  3669, 44989,  2021, 15916,  3902,  3902,
    1401,  2576,  6529,  3447,  1247, -5162,  2695,   411,   331, 76604,
   44989, 44989, 44989, 44989, 69831,  3532,   222, 97407, 44989,  3452,
    1827, -5162, 44989, -5162,  3453, 44989,  3536,  1317, 44989, 44989,
   44989, 44989, 44989, 44989, 44989, 44989, 44989, -5162, 50865,   394,
   -5162,  3750,  3771,   780,  1207, 85967, 41223,  3764, -5162, 35864,
   -5162,   270, 90647, -5162, -5162,  1247,  3764, -5162, -5162, -5162,
   -5162, -5162,  2214,  3458, -5162,  3474, -5162, -5162, -5162, -5162,
   -5162, 97407,  3553, -5162, -5162,  3546, -5162, -5162, -5162, -5162,
     525, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,  3468,
   -5162, -5162, -5162, -5162,  3468, -5162, -5162,  3390,  3469, 12496,
    3472, -5162, -5162, -5162, -5162,  3761,  3762,   187,121838, 97407,
    1250, 89087, -5162, 44989, -5162,  2339,  3489, -5162,  3742, -5162,
    3476, -5162, 12960,  3742, -5162, -5162,   181,  3604,  3757,  3702,
   -5162, -5162, -5162,  3501, 15903, -5162,  2478, 15903,  2532, -5162,
   -5162, -5162, -5162, -5162, -5162,  1353, -5162, 97407,    84,  3441,
    1478,  3563,  1454,  3936, 97407, -5162, 57692,  2340,  2403, -5162,
    2538, -5162, -5162, 32253, -5162, 35345, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162,  3505, -5162, -5162, -5162, -5162,
   -5162,   241,  3509,  4019, -5162,126017, -5162, -5162, -5162,  3958,
   -5162,  2644, -5162,  2644,  4044, -5162, 90647, -5162, -5162, -5162,
   -5162,   625, -5162, 13611, -5162, 13611, -5162,130094, 97407, 97407,
    3706, -5162,  3926, -5162, 77646, -5162,  3515, -5162, 77125, 72957,
   -5162, -5162,   819, -5162,   852,130094, -5162, 97407, 97407, -5162,
   69831,130094, 97407, 97407, -5162,130094, 97407, 97407, -5162, -5162,
   -5162, -5162, -5162,125100,  1214, 83887,  3645, 81807, -5162, -5162,
    3519, 97407,  3581,  3782,  3783,   740, -5162, -5162,114047, -5162,
    3740,130094, 97407, 97407, 44989,  3744, 97407, 97407, -5162,   283,
    3611,  3612, -5162, 97407,  3614,  3759, 71394,  3537, 97407, 97407,
   76604,  3610,   644, 71394,  3582, 62996, 97407, 97407, 97407, 97407,
    3666,  3851, 76604, 97407,  3799,  1685, 92727,   161,  2445,  3238,
    3756, -5162,  3869,  1580, -5162,130094, -5162, 97407,  3751, -5162,
   -5162, -5162, 82327,  3977,  3660, -5162, -5162,119247, -5162, -5162,
   -5162,  2353, -5162,130094,130094, 97407,  8935,114567,  1419,  3770,
   -5162, -5162, 76604, -5162, 97407, 97407, 97407,  3880,  3808, 97407,
   89607,115087,115607,   645,  1258,  3809, 97407, 90127,  3810, -5162,
    3699, 97407, -5162, -5162, 70352,130094, 97407,  1204, 69831, -5162,
   -5162, 97407, -5162,  3768,  1034, -5162, 97407,  7472,  3646,  3657,
   97407,  3769,   224,  2481,  3238, 97407, 97407,  3565,  2385,130094,
   97407, 69831, -5162,  3775,  1550, 92727, 92727,130094, 97407, 92727,
   -5162, 97407,117167, -5162,130094,  1573, -5162,  3721,130094, 97407,
    7781, -5162, -5162, -5162,   241, -5162, -5162, -5162, -5162, -5162,
   97407, 97407,   241, 97407, 97407,   241,  1389, -5162,130094, 97407,
   -5162, -5162, -5162,130094, 97407, 97407, -5162,130094,  3403, 97407,
   69831, -5162, 97407,  7197, 97407, 97407, 97407, 97407, 97407, 97407,
  130094, 97407, -5162, -5162,  1403,  1435,  1733,  1901,   162, 97407,
    3863, 97407,116127,130094, 97407, 97407,  2487, 97407,  1956, -5162,
   -5162,  3698, -5162,130094,  1573, -5162,  9644, 97407, 97407,  3658,
    3661,   308,  3741, -5162, -5162, -5162, -5162, -5162, -5162,  1792,
    4014,116647,  1792, -5162,  1792,  3844,  3641,  3643,  1792, 97407,
   97407, -5162, -5162, -5162, -5162,  3842, 97407,  1792,  1792,  1792,
    3753,  3792,   662,  3870,  2386, -5162,  3602, -5162, 44989, 76604,
   97407, -5162,  2402, -5162,  3605,   961, -5162, -5162, 69831, 97407,
     250,   897,  3916,  3801, 80767,  3299,  3906, 97407,  3642, 97407,
    4031,  3690, 92727,  2944, -5162,  3299, 97407, -5162,  2943, 83887,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, 97407, -5162, -5162,
    3909, 97407, 44989,  3767, -5162,  2487,  2944,  2944,  2944,  2944,
   -5162, -5162, -5162, -5162,  3812,  2232, -5162,  3609,  2944, 97407,
    3728,  3931,  3299,  3613,  3932, -5162,  3230,  3933,  3937, 97407,
    3819, 80767,  2450,  3653,  3833,  4048,  2235,  2487,  3836,  3823,
   -5162, 39084,  6149,  3824,  3876,127376, 95327, -5162,  3631,  3918,
    3920,  3940, -5162,   129, -5162,  4063, -5162, 44989,  2419,  3632,
     131, -5162, -5162,  3637,  3419,  3667,  3668,  3635,  3640, -5162,
    2695, 55072,  3648,  1054,  3864,  3662, -5162,   146, -5162,  3029,
   -5162, 97407, -5162, 97407, 97407, 97407, 97407,   147, -5162, -5162,
    3029,   187, -5162,  3893,   131,  3029,  3763,  3957,127376, -5162,
     167, -5162,   172, -5162,  3854,   187, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162,  2235,  2278, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, 90647,  2644, -5162,  2434,
   -5162, 97407, -5162,  3938,  3943,  3945,  3671,  3672,  3689, 97407,
    3674,  3671,   241,  3671,  3122,  3122,  3671,  3672,129641,  4110,
    3966, -5162,  3758,  3676,  3982,   170, -5162,   649,   868,  3907,
   -5162, -5162, -5162, -5162, 76604, -5162,130094,  3723, 97407, 97407,
   -5162,    90,  3884,  3685,129641,  4100,   187, -5162, 71394, -5162,
   -5162, 76604,  3765,  3785, 71394,  3898,  3746, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, 76604, -5162,  3950, 97407, 97407,  2446,
   -5162,  2096, -5162,  2145, 44989,   275, -5162, 13857,  2455, 44989,
    3697,  3700, -5162, -5162, -5162, -5162, -5162, -5162,  3707,  4004,
   -5162, -5162,  2474,  2498,  2522,  3708,  3712,  5300,  3715, 14184,
    3719,  3722, 48217, 48217, 39609,  2438, -5162, 48217,  3730,  3894,
    2527, 13050,  3703,  3731, 14325, 42299, 44989, 42299, 42299, 14826,
    3703,  3732,  2552, 69831,  3887, 15122,  2578, -5162, 44989, 69831,
    6148, 44989, -5162, 44989,  3733, -5162, -5162,  4987,  4987,  4987,
   15916, -5162,  3752, -5162, 48217, 48217, -5162,  2869, 39609, -5162,
   -5162,  4027, -5162, -5162,  1848, -5162,  3724, -5162, -5162,  3307,
   62463,  4778, 44989,   282, 44989,  3452, 44989,  3815,  4987,  4987,
    4987,   303,   303,   211,   211,   211,  2082,  1207, -5162, -5162,
   -5162,  3738,  3754,  3772,  3927,  3774, 44989, -5162,  2503,  2525,
   97407, 12177, 12318, 15092, -5162, -5162, -5162, 51927,  3780, 44989,
   44989, 44989,  3766, -5162,  2916, 15903,   659, -5162,  2924, -5162,
   -5162, -5162,  3780,  1278,  4044,  2214, -5162,  1700,  2695,   411,
  124639, -5162, -5162, -5162, 44989, -5162, -5162, -5162, -5162,  2494,
   -5162, -5162, -5162, 15903, -5162,  2154, 44989, -5162, -5162,  3755,
    3760, 44989,  2478, -5162, -5162,  3811, -5162, 44989, -5162, -5162,
   -5162,  3122, -5162,  3988, -5162, -5162, -5162, 51927,  3781,  3805,
    1765, 56644,  3956, -5162, 97407, -5162, 97407,   158, -5162,  3787,
   -5162, -5162, -5162, -5162,   -53, -5162, -5162, -5162, -5162, -5162,
   -5162,  3776, -5162,  3778, -5162,  3789, -5162, -5162, -5162, -5162,
     205,  3784,  3779,  3786,   932, -5162, -5162, -5162, -5162, 72957,
    2199, -5162, 77125, -5162, 77125, -5162,  2199,  4171, -5162, 72957,
    2033, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162,130094,130094,  3959, 97407,  3960,  3962,
   44989,   876, 97407,  3790,  3793,  1688,  4042, 97407, -5162,  4091,
     187, -5162, -5162,  3850, -5162, 15903, -5162, -5162, -5162, -5162,
   -5162,130094, 97407, -5162,127376, -5162, 97407, -5162, 76604, -5162,
   -5162, -5162, 97407,  3816, 97407, -5162, 97407, 97407, 97407, -5162,
   -5162, -5162, -5162, -5162,  1252, 76604, -5162, -5162, 97407, 97407,
     144,  3865,  3868, 97407, -5162,  1082,  3467, 10014, 97407, 97407,
   97407,  4062, 97407, -5162, -5162, -5162, -5162,  4006, -5162, -5162,
   72957, -5162,  3029,  1620,  3873,  3238,  4012, -5162,  4119,  3995,
   -5162,   916, -5162, 97407,  3925, -5162, -5162, -5162, -5162,  4122,
     187,  4124,   187, 97407, 97407, 97407, 97407,  3934, -5162, -5162,
   -5162, -5162,  3941,  4052, -5162, 69831, 69831, 69831,  2583, -5162,
   -5162,  2487, -5162, -5162, -5162, -5162, -5162, -5162,  4080, -5162,
    2588, -5162,  1919, -5162, -5162, -5162, -5162, -5162, -5162,130094,
   97407, 10158,  4126, 97407, 97407, 97407,  2111, -5162,  1160, 76604,
   -5162, 74520, -5162, -5162,  2598, -5162,  3826, 97407,  3890,130094,
    3878,  3817,  3817, -5162, -5162,  3817, -5162, -5162,  4056,  4002,
   -5162,  1881,  4003,130094,  3885, -5162, -5162,  3904, -5162, -5162,
    3908,  2539,  3238,  3230, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,  1760,
   -5162, -5162,  1721,   289,  2717,  3238, -5162,  4137, -5162,  3910,
   -5162,  3915, -5162, -5162, -5162,  4072,  4073,  4074,  3923,  3930,
    3971,  3935,  3944,  3976, -5162,  3946,  3978,  3947,  3983,  4047,
    3948,   187, 76604,  4070,  2487,  3979,  4182,   187, -5162,  3949,
   -5162,  3951, -5162,  4288, -5162, 97407, -5162,  3952,  2854,  3238,
   -5162, -5162,130094, 97407, -5162, -5162, -5162, -5162, -5162, -5162,
   76604, 97407,  4131, -5162, -5162,  1792, 97407, 97407, -5162,  4134,
    4135, 97407,  4136, -5162, -5162, -5162, -5162,  1056, -5162, -5162,
   -5162,  3753,  4170, -5162,  2469, 59264,  6827,  3879,   236, -5162,
   69831, 59264,  2270,  1845,   128,  1021, -5162,127376, 97407,127376,
   -5162,   897,  3995, 97407, 97407, 97407,  3881,  3882, -5162, -5162,
   -5162, -5162,130094,   118,130094,  2695, -5162, -5162,  3953, -5162,
   97407,  2235,  2469,  4188, -5162,  3817, -5162,  4304,  3399,  1521,
    4029,  1229,  3049,  4248,  2494,   227, 69831,  3653, -5162, -5162,
   -5162, -5162, 97407, 97407,   961,  2487, -5162,  3889,  3891, -5162,
   97407,  4197, 97407, 97407, 97407, 97407,  2154,  3896, 97407,  3892,
   76604,   618,  4101,  4098,  3239,  4332,  4225,  2154,  3653,  3987,
    4230, 97407, -5162,  2602,   122, -5162,  2487,127376, 73478,  4219,
   -5162,  6024, -5162, -5162,   724, 97407,  4204, -5162, 97407, -5162,
   -5162, 56120, -5162, 76604,  2615, -5162, -5162, -5162,  2695, -5162,
   -5162,  1897,  1897,  3914, -5162, 55596, -5162,  3917, -5162,  2370,
   -5162, -5162, -5162,   167,  3970,   187,  3974,   187, -5162, -5162,
   97407, -5162, 97407,129188,   187, -5162, -5162, 97407, -5162,  4224,
   -5162, -5162, -5162, -5162,  4049,  4050,  4057, 97407,  3671, -5162,
    3919,130094,  1764, -5162, -5162,  4125, -5162, -5162, 92727,  4046,
   -5162, -5162, -5162, -5162,  4253,  4254, -5162, -5162, -5162,   698,
   -5162, -5162, -5162,130094, 84927,   263,130094, -5162,  4192,  4194,
   -5162, -5162,  4195,   241, -5162,  4198, -5162,  4199,  4200, -5162,
   -5162, -5162,  3939, 15410, 44989, -5162,  4272, 76604, -5162,  6907,
   -5162, -5162, -5162, 44989, -5162, -5162, -5162, -5162, -5162, 44989,
   -5162, 44989,  4247, -5162, 37481,  4401,  4401,  3954, 76604, 48217,
   48217, 48217, 48217,  1637,  3093, 48217, 48217, 48217, 48217, 48217,
   48217, 48217, 48217, 48217, 48755,   446, -5162,  4138, 44989, 44989,
    4256,  4247, -5162, 76604,  3955,  3703,  3964,  3972, 44989, -5162,
   -5162,  2626, 49817,  3985, 69831, -5162, 44989, 13720,  2631,  3993,
   15612,  1247,  7760,  2487, 44989,  3072,  4095, 44989,  2632, 44989,
    4259, -5162, -5162, -5162,  3961, -5162, -5162, 76604, 44989,  3994,
    3975, 48217, 48217,  4123, -5162,  5105, 44989, 39609, -5162,  4144,
    3992, 58216, -5162, 38020,  3973,   847,   847,   847,   847, -5162,
   97407, 97407, 97407, 52451,  4267,  3989, 51403, 96367,  3991,  1953,
   -5162, 96367, 96887, 96367, -5162,  4016, -5162,  3998,  1247, 44989,
    4273,   738,   738,  4144, -5162, 44989, 44989, 42837,  3999, -5162,
    4273, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162,  4000, -5162,  4017, -5162,
   -5162,    97,  4009, -5162, -5162, 15903,  4008,   205, -5162,  4011,
   -5162,  4013, -5162,  3760,  1829, -5162,  8061,  4176, -5162, -5162,
   -5162,  3991, 43375,  4129, -5162, -5162, -5162,  4067,  2636, -5162,
   -5162,  4402,  4129, -5162, -5162,  2640, 57692,  3781, 44989,  1247,
    2695,  4032, -5162,  2644,  1278, -5162, -5162, -5162, -5162, -5162,
    2651,  2061, -5162, -5162, 72957, -5162,  4087,  3029,  3029,  1547,
    3671,  4333,  1547,  8079, -5162, -5162, 52975, 97407, 97407, -5162,
   97407,  2657,  1394, 97407, -5162, 97407, -5162, -5162, -5162, -5162,
    4456, -5162, 97407, -5162, -5162,  4084,  4085, 97407, 97407, 97407,
   97407,  4284, -5162, -5162,  2638, -5162, -5162,130094, 97407, -5162,
   -5162, -5162,   317,  3137,  3238, -5162,  4112, -5162, -5162, -5162,
    4301, -5162,  4447,  4127, 97407,  4357, 97407,  4041, -5162,  1394,
    4343,  1219,  3239,  2540,  5627, -5162,    76, -5162, -5162,  4114,
   -5162, -5162, 97407, -5162, 97407, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162,  4172, -5162, -5162, -5162, -5162, 70352, -5162, -5162,
   97407, -5162, 69831, 59264, 69831, -5162,  1735,   324,  3246,  3238,
   97407, -5162,  4128, -5162,  4130,  4139,  4178,  1015,   180,  4141,
    4145,  4180,  4054,  4055,  4058, -5162, 69831, 59798,  4206, 97407,
    3029,  4065,  4104,   235,  2487, -5162, -5162,  2487,  3029,  2487,
   97407, 97407, 97407, 69831, -5162,  4481,  4156, 97407, 97407, 97407,
   97407,  4121, -5162, 97407, 97407,  4381,   797,  2196,130094, 97407,
   97407,130094, 97407, 97407, 97407, 97407, 97407, 97407,  4392, 97407,
   -5162,  4469,  4397,  2324,  4439,  4147, 97407, -5162, 97407,  2487,
    3467, 97407, 97407, -5162, -5162,  4078,  4345,  1792, -5162,  4352,
    4353,  1792,  1792,  4354,  1792, -5162, -5162,  1021, -5162,  1056,
   97407, -5162,  3602, -5162,  4013,  1565,  1565, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162,  2703, 97407, -5162, -5162, -5162, 97407,
    4096, 97407, 97407, 48217, -5162,  1459,  1828,   959, -5162,  4356,
   97407,  3403, -5162, -5162, -5162,  4262, 97407, -5162, -5162, -5162,
   -5162, -5162,   802,  3896, -5162,  4373, 80767,  3029,130094,130094,
    3029, -5162, 76604,  4103,  3653, -5162,   834,  4183,130094,  1521,
    1599,109887,  3416,  4142,  4305, 51927,  1760, -5162,  4105,  4263,
   -5162,  4120,  4108, -5162, -5162, 97407,  3995,129188,  2669,  3230,
    1264,  2226,  3723, 82847,  4282,  3896,  4373, -5162, -5162, -5162,
    4495,  4207, -5162,  2154, 97407,  3723,  4207,  2487, 97407,  3581,
   -5162, 72957, 44989, 44989, -5162,  4132, -5162,  4113,  6815, -5162,
    4191,  4133, -5162, -5162, -5162, -5162, -5162, -5162,  4203,  4140,
   97407,  4583, -5162, -5162,  4143, -5162,  4146, -5162, -5162, -5162,
    2316,121838, 55596, 55596, 55596, 55596, 55596, -5162, -5162, 97407,
   -5162, 97407, -5162,   187, -5162,  4251, -5162,   187,  2154, 97407,
   97407, 97407,  3671,   241, -5162,  4425,129641, -5162, -5162,  2680,
   97407, -5162, -5162, -5162,  4494,   104,  4437, -5162, -5162,  2027,
    2027,  2027,  4394,  2027,  2027,  2027, -5162, 44989, 15903, -5162,
    4148, -5162, 15903,  8388, 15903,  4256, -5162,  2685, 44989, -5162,
    2966,  2966,  2966,  4430,  4442, -5162,  1443,  4151,  2966,  2966,
    2966,   307,   307,   155,   155,   155,  4401,   446, 15903, 15903,
   -5162, -5162,  4154, -5162, -5162, -5162,  3703, -5162, 45527,  4294,
    4555, -5162, -5162, -5162,  4185,  4187,  4155, -5162, 44989, 46065,
    4157, 77646,  4347, -5162,  2023, 44989, 44989,  4409, -5162, 16675,
   44989, 76604,  2686,  4409,   456, 44989,  4268,  4676, 44989, 44989,
    5455,  8647,  4158, 44989,119767, -5162, -5162, -5162,  2696, 44989,
   97407, 97407, 97407, 97407, -5162, -5162, -5162, 96367, 96887, 96367,
    4161, 50341, 54547,  1953,  4162, 97407, -5162, -5162,  4166, 51927,
    4400,  4358, -5162, 51927,  4358,  2092,  4358,  4419,  4257, 58740,
   -5162, -5162,  4173, -5162,  4364, -5162, 35864,  2174, 15903,  4585,
    4466, 44989,  4174,  4175,  4177, 15903, 15903, 44989, -5162,  2487,
    4466,  1278,   536,  2487, -5162, -5162, -5162, 62463, -5162, -5162,
   -5162, -5162, -5162,  4382, 15903, 41223, -5162,  2154,  2490, 97407,
    1247,   667, -5162,  4190, 97407, -5162,  4129, 15903, -5162, 13611,
   -5162, -5162, -5162, -5162,  4249,  2704, -5162, -5162, -5162, -5162,
   -5162, -5162,  4260, 83887,  4486, -5162, 44989,  2713, -5162,  4220,
    4580,   178,  2722,  2725,  1394, -5162,  3403, -5162,  1924,  4462,
     198, -5162,   187, -5162, 76604, -5162, 97407, 97407, -5162, -5162,
   -5162, -5162, 97407,  3188, -5162, -5162, 97407, 97407, 97407, 97407,
   -5162,130094, 97407, -5162, 97407, -5162, 69831,  1845,  1459,  4474,
    4398, -5162,   241, -5162,  1459,  4403,   235, 97407, -5162, -5162,
    3195, -5162, 76604,   187,   187, -5162, -5162, -5162, -5162, -5162,
    4201,  4604,  4279, 97407, 97407, 97407, -5162, 97407,130094, 97407,
   97407,  2695,  2695, 76604,  4202, -5162,  2695,  2695,  4205, -5162,
  130094, 97407, 97407, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162,  4274, -5162, 44989,  4595, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162,130094, 97407,  4276,
   -5162,  4280, -5162,  2100, -5162, -5162, 97407, 97407, 97407, 97407,
    4521, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162, 97407, -5162, 97407, -5162, -5162,  2487,  2487, 76604,   187,
     187, -5162, -5162, -5162, -5162,  4463,  1792, -5162,  1792,  1792,
   -5162, -5162,  1792, -5162,  4209,   319, -5162,  1394,  1981,  4504,
   -5162,  4508, 44989, -5162,  1000,  4430, -5162,  4561,  4638, -5162,
   -5162, -5162, -5162,  3403,  2235,  4266, 71394,  1412, -5162,  4496,
     250,  4418, 80767,  4137,  1057,  4214,  4336, -5162,  3029,  3029,
    4275, 97407,  4648, -5162, -5162, -5162, -5162, -5162, -5162,130094,
    3878, -5162,  1268,  4527, 97407, 44989,  3991, -5162,  2171,  4531,
   -5162,  2487, -5162, -5162,  4344,  3653, -5162, 97407,  4433, 80767,
    3723, -5162,  2726, -5162, -5162, -5162,  4270,  4642,  2450, -5162,
    4137,  4282,  1593, 97407, -5162,  4271,  4661, -5162, -5162,  4535,
    4435,  4236, -5162, 15903, 15903,  2487, 78167,  6024, 76604,  4546,
   97407,   727,  4511, 97407, -5162,   187, -5162, -5162,  4238,  2191,
    2191, -5162, -5162, -5162,   187,   187, -5162, 97407, -5162,  3671,
    3671,  3671, -5162,  4438, -5162, -5162,  4502, -5162,   187,129641,
   -5162, -5162, -5162, -5162, -5162,  2027, -5162, -5162, -5162, 15903,
   -5162, -5162, -5162, -5162,  9473, 48217,  4547, -5162,  4245, 76604,
   -5162,  4246,  2730,  2733, 49293,  4404, -5162, -5162, -5162,  9518,
    4299, 15903,  4362,  4264,  4265,  4409,  4409, 16675,  2736, -5162,
    4409, 44989, 44989,  4409,  4409, 44989, -5162, -5162,  9999,  4431,
   -5162, -5162, 10039, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   70873,  4277,  3887, 96367,  4281, 97407,  1953, 51927, -5162, -5162,
    1437, -5162, 51927,  4524, -5162, 51927, 71394, -5162, 97407,  4285,
   97407, -5162,   659, 46603, 44989,  4310, -5162, -5162, -5162,  4144,
   -5162,  4310, -5162,  1565, -5162, -5162, -5162, -5162, -5162,  4278,
   90647,   599, -5162,  1765, -5162, -5162,  4656, 52975,  4614, 44989,
   -5162, -5162, -5162, -5162, -5162,129641,  4475,129641,  1394, 10525,
    3403, 52975, 63529, 97407, 97407, 97407,  4434,  3403,  4266, -5162,
   -5162, -5162, -5162, -5162, -5162,  4283, -5162, -5162, -5162, -5162,
    4355, -5162, -5162,   -26,  3647, -5162,  2737, -5162,  4713,  4608,
   -5162, -5162, -5162, -5162, -5162, -5162,  4469, -5162, -5162, 59264,
  130094, 97407, -5162,  4367, -5162, -5162, -5162, -5162, -5162, 54023,
   62463, -5162,  1015,  4289,  4290,   180, -5162, -5162, -5162, 97407,
   10593,  4291,   474,  3647, 97407, 97407,  4295,  4296,  1809,  1616,
    1846,  3671,  4603, -5162, -5162, -5162, -5162,  4469, -5162, -5162,
    1792, -5162, -5162, -5162, -5162, 69831, -5162,  2903, -5162,  1021,
    4646, 71394,  4730,  4730, 97407, -5162, 10737,  4510, -5162, -5162,
    4589,  4266,  4536,  4582, -5162,  4302, 97407,  4470,  4306, 97407,
    4307,  4427,  1634,  1634, 97407, 97407, 97407,  2749,  2154,  3029,
    4104,  1521, 80767,  4671,  3995,   243, -5162, -5162,  2171, -5162,
    1787,  4645,  4359, -5162, 97407,  4742,  3896, 97407,  4311, -5162,
   -5162, 82847,  4509,  1845,132812,  4098,  4282,  2450,  4449, -5162,
    4450, -5162,  1862, -5162,  2154, 97407, 97407, 52975, -5162, 77125,
   -5162,  2750, -5162, -5162, -5162,  4383,  3780,  4428,  4432,  4318,
   97407,    83, -5162,  4335, -5162, -5162, -5162, -5162, -5162, -5162,
   97407, -5162,   263, -5162, -5162,  5189, 48217, 76604,  2753, 44989,
   -5162, 44989, -5162,  4738, -5162, -5162, -5162,   602, -5162, -5162,
   -5162,  4409,  4409,  4409, -5162,  4743,  4144, -5162, -5162,  2759,
    4762, 47679,  4724, -5162, 97407,  2768, -5162, 44989,  4337, -5162,
   -5162, 51927,  1437,  4340,  2771, 97407,  2774, 76604,  4334,  4346,
     920,  4348, 36403,  4330, -5162, -5162, -5162, -5162, -5162, 15903,
   15903, 97407, -5162,  4342, -5162, -5162, -5162, -5162, -5162, -5162,
    4387, 97407,  2783, -5162,    50, 15903,  1764,  1547,   263,  4580,
    4266, -5162,  4350, -5162, -5162, -5162,  1611,  1611, 97407,  4266,
   -5162, -5162, 97407,  4440, -5162, -5162, 69831,  4633, -5162,  4407,
   -5162,   798,  3647, 97407, 76604, -5162,    81,  4663, -5162, 76604,
   76604, -5162, -5162, -5162, 44989,  4443, -5162, -5162, -5162,  2581,
    1345, -5162, -5162, 97407, 97407, 97407, 97407, 97407,   187, -5162,
    2787, -5162,122808, -5162, -5162,  3362,  2487,  3362,  1880, -5162,
   -5162,  3362, -5162,  3362, -5162,  4209,  2487,  4730,  1066, -5162,
   -5162, -5162,  2140,  4572,  4360, -5162,  1418,  4557,  4445,  4365,
   -5162, 71394,  4822,  3896,  4373, 97407, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162,  2788,  3995,  4678,  3653,
    4271, -5162,  4405, -5162, 51927, -5162, -5162, -5162,  3362, -5162,
    1482,  4368,  4687,  3995,  2154,  4282,  3896,  4373, -5162, -5162,
    4369, -5162, -5162,  4207,  2450,  4098, -5162, -5162,  4768,  4567,
    4774,  3723, -5162,  3581,  2795, -5162,  6815, 78167, 76604,  4714,
    4412,  4413, -5162, -5162,  4429, 97407, -5162, -5162,  2694,  4836,
    3995, -5162,  5189,  2804, -5162,  2805,  2810,  4534,  4436, -5162,
   44989,  1293,  4016, 70873,  4380, -5162, 48217,  2813, -5162,  4702,
   97407,  2820, -5162, 15903, 97407, -5162, -5162, 44989, -5162,  2827,
   -5162, -5162, 44989,  4386, 44989, -5162, 46603,  4378, -5162,  4813,
   -5162,  2154, -5162,  3780, 52975, -5162,  4506, -5162,  4691, -5162,
   97407,  4446, 62463,  3760,  3760,  2235, -5162,  1394, -5162, 97407,
   -5162,  4360, 44989, -5162,  4477, -5162, -5162,  2828,  1669,  4548,
    4548,  2836,  2837, 11549, 97407, -5162, -5162, -5162, -5162, -5162,
   -5162,  2840, -5162, -5162, -5162, -5162,  2865,  3672,  1846,  3672,
   -5162,  3671, -5162, -5162, 69831, -5162,126470, -5162, -5162, -5162,
    2487, -5162,  2487,  4602, 97407, 65626,  2487,  2487, -5162, -5162,
   -5162, -5162, -5162,  4731,  4673, -5162,  3230, -5162, -5162, -5162,
   -5162,   362, -5162,  4598,  4599, 97407, -5162,  4408, -5162,  2872,
    4137,  4529,  3995, -5162, -5162, 97407,  4838,  4841, -5162, 97407,
    3991, 97407, -5162, -5162, -5162, 44989,  4577, -5162,  4271,  2450,
    4137,  4282,  1845, 53499, -5162,  4098,  4207,  4610, -5162,  4611,
   -5162,  4444,  3653,  6024, -5162, -5162,   944,  4729,  4732, -5162,
   -5162, -5162, -5162, -5162, 97407, -5162, -5162, -5162, -5162, -5162,
   -5162,  3703, 43913, 43913,  4448, -5162, -5162, 97407,  4430,  4426,
   47679, 69831,  2876, -5162, 75041, -5162,  2881,  2884, -5162,  2888,
   46603,  2889, -5162, 97407,  4451, -5162, -5162, -5162, 57692,129641,
    1611,  4453, -5162,  4454, -5162, -5162,  4536,  1394,  3647, -5162,
   15903, 97407, 71394,  4844, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162,  3647,  4507,  2581, -5162,  1345, 97407, -5162, -5162,  2902,
   -5162, -5162, -5162, 97407,  4105, -5162,  4105, -5162, -5162,  4566,
   -5162,  2779,  1011,  1011,  4783, -5162,  4492, -5162, -5162,  4457,
   -5162,  4896,  4556, 97407, -5162, -5162,  1015,  2154,  3995, -5162,
   -5162, 11641, 71394, -5162,  4098,  4282,  2450, 44989,  2905, -5162,
    4580,   178,  4207, -5162, -5162, -5162, 52975,  4207, -5162, -5162,
   -5162,  2735, 71394, 71394, -5162, 47141,  4573,   154, 13839, -5162,
   -5162, -5162, -5162,  2923, 49293, -5162, -5162, -5162, 97407,  4636,
    1202, -5162,  4587, -5162,  2926, -5162, -5162, -5162,   -25,   263,
    3760, 44989,  1394, -5162,  4557, -5162,  3647, -5162, 97407, -5162,
    4459, -5162, -5162, -5162, -5162,126470,  4105,  4359, -5162, -5162,
    4890, -5162,  1045, -5162, -5162, -5162, -5162, 97407,  3995,  4202,
    4271, -5162, -5162,  4460,  4207,  2450,  4098, 11676, -5162, 53499,
   97407, 97407, -5162,  2927,  3780, -5162,  2492, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162,  4458,  4461,  4880, -5162, -5162, -5162,
   -5162, -5162, -5162,  3887, -5162, -5162, 48217,  4658, -5162,  1202,
   -5162, 48217,  4465, -5162, -5162, -5162, -5162, -5162, 11934, -5162,
   -5162, -5162,  2581, -5162,  4772, -5162, -5162, -5162,  3995, -5162,
   -5162, 69310, -5162,  4098,  4207,  4580, -5162, -5162, -5162,  3653,
   -5162,  2013, -5162, -5162,  2078,  2506,  4533,  4761, 44451,  4854,
    4430, -5162, -5162,  4430, 44989, -5162,  1394,  2934,  4631, -5162,
    2938, -5162, -5162, -5162, -5162, -5162,  4207, -5162, 97407,  4207,
   -5162,  2492,  4575,  4576, -5162, 97407, 12164, -5162, 71394, -5162,
   69310, -5162, -5162,  3780, -5162,  4512,  4513,  2939, -5162,  4467,
   -5162, -5162,  4775,  4776, -5162, 69310, 71394, 71394,  2962, -5162,
   -5162, -5162
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2659,     0,     2,     1,  3088,  3092,  3096,  3097,  3014,  3098,
    3099,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,
    3073,  3074,  3075,  3077,  3076,  3078,  3079,  3080,  3081,  3082,
    3083,  3084,  3085,  3087,  3086,  3036,  2666,  3033,  3030,  3031,
    3032,  3037,  3035,  3028,  3029,  2226,  3101,  3089,  3102,  3090,
    3091,  3093,  3094,  3063,  3095,  3103,  3104,  3105,  3100,  3108,
    3059,  3060,  3058,  3061,  3062,  3106,  3107,  3050,  3051,  3052,
    3053,  3109,  2667,  2668,  3055,  2660,  2664,  2726,  2797,  3056,
    3057,  3054,  2665,  3049,  2797,     0,  2918,  2919,  2920,     0,
    2921,  2922,  2923,  2849,  2811,  2924,     0,     0,  2925,  2926,
    2927,  2928,  2929,  2930,  2931,  2932,     0,  2933,  2934,  2935,
    2936,  2796,  2937,  2938,  2939,  2940,  2773,  2779,  2902,     0,
    2753,  2754,  2750,  2752,  2751,  2755,  2738,  1425,   635,  1511,
    1510,     0,  2561,  1425,  2514,  2515,  2562,  2516,  2517,  2518,
     270,     0,  1513,  2519,  2563,     0,  1425,  2564,   433,  1117,
    2565,  2566,  2681,     0,  2520,  2521,     0,     0,     0,   635,
    1425,     0,     0,  2522,  1640,  2523,     0,  2524,  2567,  2568,
       0,  2525,  2526,  2569,     0,  2570,  2527,  2528,  2529,  2571,
    2572,  2573,  2530,  2574,  2575,     0,     0,  1654,     0,  2531,
    2576,  2532,  2533,     0,  2577,  2534,  2535,  2536,  2578,  2579,
    2537,  2538,  2539,     0,  2540,     0,     0,     0,     0,     0,
       0,  2580,  1425,  2541,     0,     0,  1661,     0,  2542,     0,
    2581,  2543,     0,  2544,     0,  2582,  2545,  2546,  2547,  2548,
    1654,  2898,  2774,     0,  1515,     0,  2549,  2583,     0,  2550,
    2551,  2552,  2553,  2554,  2555,  2556,  2557,  2558,  2559,  2560,
       0,     0,     0,    69,    70,    29,    28,    89,    52,    16,
      60,   123,   122,   124,    39,    35,    77,    24,    26,    36,
      40,    62,    64,    53,   101,    61,    22,    59,    84,    65,
      87,    47,    10,    11,    48,    12,    49,    13,    50,    14,
      97,    71,    90,    33,    58,    21,    41,    67,    68,     3,
      43,    79,    75,     9,    54,    55,    57,    81,    82,    83,
     106,    85,   118,    38,   115,    94,    95,   112,    96,   113,
       7,    98,    51,    15,   109,   108,   110,    78,    44,    80,
      66,    88,   107,    25,   111,    17,    18,    20,    19,    56,
      27,    63,    30,    86,   114,   104,   100,   119,   117,   125,
     102,    72,     5,     6,    91,     4,    23,    46,     8,    32,
      31,    45,    37,   121,    34,  1513,    93,   105,    92,    99,
      76,   103,   120,    74,   116,  1625,  1612,  1663,  1624,  1639,
       0,  1628,  2993,  2994,    42,  1640,   127,   128,   133,  2663,
    2715,  2716,  2717,  2797,  2748,  2749,  2742,  2758,  2768,  2757,
    2761,  2769,  2756,  2775,     0,   130,   132,   134,   137,   131,
     126,   129,   136,   141,   135,   140,   138,   139,   142,   143,
     144,  2995,  1886,  2992,    73,  2733,  2732,     0,  2797,     0,
    3025,  2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,
    2250,  2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,
    2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,  2268,  2269,
    2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,
    2280,  2281,  2282,  2283,  2284,  2285,  2286,  2233,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,
    2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,
    2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,
    2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,
    2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,
    2369,  2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,  2378,
    2379,  2380,  2381,  2382,  2383,  2384,  2385,  2386,  2387,  2388,
    2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,
    2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,  2409,  2407,
    2408,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,
    2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,
    2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,
    2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,  2447,  2448,
    2449,  2450,  2451,  2452,  2234,  2453,  2454,  2455,  2456,  2457,
    2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,
    2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,
    2478,  2479,  2681,  2480,  2481,  2482,  2483,  2484,  2485,  2486,
    2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,
    2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,
    2507,  2508,  2509,  2510,  2511,  2512,  2513,  2699,  2231,  2232,
    2238,  2239,  2240,  2674,  2695,  2701,  3021,  2700,  2237,  2848,
       0,     0,  2941,  2942,  2943,  2944,  2945,  2946,  2996,  2997,
    2998,  2999,  3000,  3002,  3001,  2810,  2968,  3005,  2809,  3006,
    2813,  3007,  3008,  3009,  3010,  2969,  3011,  2812,  3003,  2965,
    2814,  2807,  2808,  2966,  2916,  2917,  2204,  2967,  2964,  3004,
    2702,  2963,  2818,  2817,  1602,  3020,  2203,  1603,     0,  2820,
    2947,  2948,  2949,  2950,  2952,  2951,  2953,  2584,  2585,  2586,
    2587,  2588,  2589,  2590,  2591,  2592,  2593,  2594,  2595,  2978,
    2596,  2597,  2598,  2991,  2599,  2600,  2979,  2601,  2602,  2603,
    2604,  2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,
    2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,
    2624,  2980,  2981,  2625,  2626,  2627,  2628,  2629,  2630,  2631,
    2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,  2640,  2641,
    2642,  2643,  2644,  2645,  2646,  2647,  2648,  2982,  2649,  2650,
    2983,  2651,  2652,  2653,  2984,  2654,  2655,  2656,  2657,  2658,
    2988,  2989,  2990,  2977,  2771,  2954,  2976,  2987,  2985,  2986,
    2781,  2777,  2785,  2780,     0,     0,     0,     0,  2797,  1424,
    1423,  1409,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2671,     0,  1435,   404,
     403,  1512,  1492,   635,     0,  1412,   432,  1640,     0,     0,
       0,     0,     0,     0,     0,     0,   863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,   458,   457,     0,     0,     0,  1090,
     463,     0,     0,     0,     0,     0,   623,  2680,  2675,  2685,
       0,  2678,  2679,  2963,     0,  3112,  2407,  2711,  2712,  3110,
    2464,  1604,   271,   274,   275,   272,   273,     0,  1212,  1213,
    1215,     0,     0,     0,  1225,   903,   904,     0,     0,     0,
     912,     0,     0,     0,   901,     0,     0,     0,   917,   914,
       0,   918,   915,   898,   916,   905,     0,   897,     0,     0,
    1225,   919,     0,     0,   899,     0,     0,     0,     0,  1413,
       0,  2763,  2764,  2338,  1552,   464,     0,     0,  1640,     0,
    1530,  1531,  1513,  1520,  1532,  1525,  1527,  1526,  1528,  1524,
    1529,  2242,  1030,  2257,  1030,  2327,  1027,  1028,  1030,  1030,
    1030,  2426,     0,     0,  1002,     0,  1013,  2227,  1030,  2228,
    3021,  1035,   525,   525,   525,     0,  1034,  1039,   525,     0,
    1406,  1444,  2208,  1653,     0,  2257,  2327,  1003,  1405,  2480,
    1544,     0,     0,  1240,  1236,  1238,  1239,  1237,     0,     0,
       0,  2442,  1417,   255,  2961,  2452,  2545,  2480,  2962,   254,
     249,   250,  2956,  2957,  2959,   223,  2960,  2958,  2955,  2246,
       0,     0,  1034,     0,  1414,  1415,   985,  1660,  1658,     0,
    2190,     0,     0,  2265,     0,  2279,  2363,   246,  2437,  2443,
    2452,  2545,  2480,  2511,   202,   212,   207,     0,   264,  2452,
    2545,  2480,     0,  1435,     0,  1629,  1760,  2199,     0,     0,
    2772,  1408,  1407,  1514,     0,  1517,     0,  2421,  1633,  1636,
    1519,  1634,  1625,     0,     0,  2662,  1508,  1657,  1657,     0,
    1657,     0,  1617,  1625,  1620,  1624,     0,     0,     0,     0,
    1425,     0,  2740,  2768,  2747,  2803,  2744,     0,     0,  2793,
    2789,  2786,  2794,  2795,  2788,  2776,  1875,  1876,  1877,  1874,
    1887,  1873,     0,  2721,  1878,  2760,  2727,     0,  2735,  2734,
    3038,  3039,  2850,  2673,  2692,     0,     0,     0,     0,     0,
       0,     0,  2819,  2821,  2823,  2783,  2782,  2778,     0,     0,
       0,     0,  2908,  2909,  2907,     0,  2904,  2906,     0,  2803,
       0,     0,  2972,  2966,  2975,     0,  2209,  2967,  2964,  2963,
       0,   922,     0,  1447,  1076,     0,     0,     0,     0,     0,
       0,     0,  1125,  1126,     0,  2231,     0,  2337,     0,     0,
       0,  2101,  2112,  2113,  2114,  2269,  2322,  2109,  2110,  2111,
    2103,  2104,  2105,  2106,  2107,  2108,     0,     0,  1207,  2102,
       0,  2337,     0,     0,   172,     0,   149,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,  2337,     0,     0,
       0,     0,     0,   172,  2368,     0,   149,  2337,     0,     0,
       0,  1429,     0,     0,     0,  1431,  1434,  1410,  1495,     0,
    2199,     0,     0,     0,   956,   949,     0,   957,   964,     0,
       0,   966,     0,     0,   950,     0,     0,     0,     0,   969,
     970,     0,   971,   951,   972,   952,   973,   953,   974,     0,
       0,     0,     0,   954,     0,     0,     0,  1421,     0,  1546,
    1548,  1547,  1545,   525,     0,     0,     0,     0,  2337,     0,
       0,   149,  1480,     0,  2337,   149,     0,     0,   462,   461,
     149,   460,   459,  2269,  2322,     0,  1116,     0,  1364,   149,
    2337,     0,   195,  2337,   707,  2337,  1519,     0,   638,     0,
       0,   818,  2368,   149,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,   622,   635,     0,  2684,  2690,     0,
    2682,  2851,  3113,  3111,  2806,     0,  1216,   247,   248,  1214,
     910,  2337,  1158,   358,   358,     0,     0,  2337,  1466,  1835,
    1864,  1842,  1864,  1864,  1831,  1831,  2306,  1844,  2337,  1832,
    1833,  1869,     0,  1864,  1831,  1836,     0,  1834,  1872,  1872,
    1859,   358,   926,  1816,  1817,  1818,  1819,  1845,  1846,  1820,
    1851,  1852,  1856,  1821,  1886,  2973,  1831,  2974,  2971,  2970,
     911,     0,   902,  2337,   358,  1122,  2337,  2235,   182,     0,
     900,  2269,  2322,  2337,   358,  1209,     0,  2337,   178,  2337,
     358,  2337,   639,     0,     0,  2337,   358,  2337,  2368,   180,
       0,  2337,   358,   920,  2337,   358,  2201,  2337,     0,     0,
       0,  3043,  3047,     0,  3045,  3040,  2762,  2816,  2815,  2714,
       0,  3124,     0,  1604,  1522,  1537,     0,  1533,  1540,  1536,
    1640,  1030,  1029,     0,  1030,     0,  3134,  1030,     0,  1030,
       0,  3134,  1030,     0,     0,     0,  1030,  2229,  2230,     0,
       0,  3133,  3129,  3132,  1004,  1014,     0,  1036,     0,     0,
    1043,  1042,  1041,     0,     0,     0,  1044,     0,  1764,  1579,
       0,  1011,     0,  1009,     0,  1403,  1420,     0,     0,     0,
       0,  1093,  1243,     0,  1241,  1232,  1233,  1416,   253,   251,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,  3027,  2215,  2115,  3026,     0,  2515,  2516,  2517,  2174,
       0,  2968,  2518,  2519,  2563,  2017,  2004,  2013,  2018,  2005,
    2007,  2014,  2520,  2521,  1952,  2522,  2523,  2222,  2524,  2525,
    2526,  2528,  2529,  2530,  2009,  2011,  2531,  2532,     0,  2223,
    2534,  2535,  2390,  2537,  2538,  2540,  2541,  2015,  2543,  2544,
    2545,  2546,  2547,  2548,  2221,     0,  2016,  2549,  2551,  2552,
    2553,  2554,  2556,  2557,  2558,  2559,     0,     0,     0,  2196,
       0,  1984,     0,  1824,  1825,  1847,  1848,  1826,  1853,  1854,
    1827,     0,  2195,  1889,  2066,  1983,  2000,     0,  1989,  1990,
       0,  1982,  1978,  1643,  2191,     0,  1979,  2211,  2175,  2225,
    2224,  3021,  2185,  2214,  2212,  2213,  1643,  2189,     0,     0,
       0,   215,     0,     0,  2897,   266,     0,   267,  2197,  2452,
     203,   245,   217,   244,   218,   216,     0,  2267,   204,     0,
       0,   205,     0,     0,     0,     0,     0,     0,     0,   260,
    1411,     0,  1762,  1761,  2182,     0,  2183,  2200,   931,     0,
    1505,  1506,  1504,     0,  1501,  1503,  1507,  1516,  1513,  2125,
       0,  1635,     0,     0,     0,  1615,  1614,  1519,  1655,  1656,
       0,     0,     0,     0,     0,     0,     0,     0,  1709,  1671,
    1672,  1674,  1706,  1710,  1718,     0,  1621,     0,     0,  1766,
       0,     0,  2661,  2803,  2804,     0,  2798,     0,  2797,  2797,
    2791,  2790,  2787,     0,     0,     0,     0,     0,     0,     0,
       0,  2718,   617,  2720,   614,     0,     0,  2694,     0,  2698,
    2696,     0,  2843,  2846,     0,  2844,  2845,  2847,     0,  2852,
    2853,     0,     0,  3034,     0,     0,     0,  2834,  2822,  2829,
    2831,  2833,  2832,  2841,  2837,  2840,  2842,  2784,  2797,  2915,
       0,  2910,  2913,     0,  2905,     0,     0,     0,     0,     0,
    1157,  2210,     0,     0,     0,     0,     0,   923,     0,     0,
       0,     0,  1455,  1456,  1457,     0,     0,  1458,  1459,  1447,
     257,  1465,  1463,  1446,  1448,  1461,  1453,     0,     0,     0,
       0,     0,     0,     0,  1472,     0,   186,   187,     0,   651,
     635,     0,  2337,     0,     0,     0,     0,     0,  1165,  1172,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,  1164,
    1167,   259,  1176,  1193,  1196,     0,  1124,  1127,     0,     0,
       0,     0,     0,  1298,     0,     0,     0,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   282,   294,   353,     0,     0,  2337,     0,     0,     0,
       0,  1211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   153,     0,     0,
       0,     0,     0,     0,     0,   600,   613,     0,     0,     0,
       0,     0,   610,     0,     0,   149,   286,   590,   596,     0,
       0,     0,   714,   713,     0,     0,     0,     0,  1380,  1379,
       0,     0,     0,     0,  1470,  1469,     0,     0,     0,     0,
       0,  1298,     0,   276,   278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     396,   397,     0,     0,     0,   153,     0,     0,     0,     0,
     288,     0,  2728,     0,  1430,  1427,  1428,     0,  1433,     0,
    1491,     0,   963,     0,     0,     0,     0,   965,     0,   958,
       0,     0,   955,  2269,  2322,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,   435,     0,     0,   815,
       0,     0,     0,     0,     0,     0,   826,     0,  1447,  1479,
       0,     0,     0,   644,     0,  2337,     0,   151,   864,     0,
     816,   463,     0,     0,     0,  1188,  1363,   151,     0,     0,
     189,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   756,   755,     0,     0,     0,   817,     0,
       0,   151,     0,  2337,   593,  2337,     0,   525,   525,     0,
       0,  1092,  1095,     0,     0,     0,     0,  2688,  2683,  2686,
       0,  2676,  2690,  1607,  1609,  1608,     0,  1606,     0,   356,
     357,     0,  1199,   813,  1224,     0,     0,  1863,  1850,  1858,
    1857,     0,  1840,  1839,  1838,     0,  1837,     0,  1864,  1864,
    1862,  1841,  1816,     0,     0,     0,  1868,     0,  1866,     0,
     893,  1812,  1808,     0,  1875,  1874,  1873,     0,  1822,  1831,
    1828,   913,     0,     0,  1197,     0,     0,  2337,   358,  2337,
       0,  2337,     0,     0,     0,  1201,   358,     0,     0,  1381,
       0,   909,   907,   906,   908,     0,     0,   891,     0,     0,
       0,  2337,   358,     0,     0,   886,     0,     0,   888,     0,
       0,  3041,     0,     0,  3044,     0,  2765,     0,  3130,  1549,
    3127,     0,     0,  1640,     0,   234,   235,   233,  1538,   236,
    1539,  1535,  1521,     0,  1022,     0,  3134,  3135,  1007,     0,
    1017,     0,  3134,  1005,     0,  1018,  1015,  1016,     0,     0,
       0,  3128,  3012,  3018,  1021,     0,     0,   526,   528,     0,
       0,  2290,  2305,     0,  2328,  2356,  2357,  2443,  2448,     0,
    2475,  2485,     0,  1045,  1071,  1040,   725,     0,     0,  1589,
    1012,  1010,  1404,  1542,  2132,     0,  1640,     0,     0,     0,
       0,   252,   224,     0,     0,     0,  1073,  2442,  1419,   984,
     635,     0,     0,  1987,  1988,  2173,     0,     0,     0,     0,
       0,     0,  1986,  2140,     0,     0,     0,     0,     0,  1912,
       0,     0,     0,  2153,     0,  2159,     0,     0,  1949,     0,
       0,     0,     0,     0,     0,     0,     0,  1913,  1893,  1894,
    2969,  1984,  2125,     0,  1985,  2218,     0,  1886,  2115,     0,
    2112,  2113,  2114,     0,     0,     0,  2188,     0,  2123,     0,
       0,  1927,  2121,  1929,     0,     0,     0,     0,  2109,  2110,
    2111,  2103,  2104,  2105,  2106,  2107,  2108,  2119,  1909,     0,
    2194,     0,  2068,     0,  1908,     0,     0,  1722,  1642,     0,
    2216,  2176,     0,  3019,  3022,  1980,  1722,  2894,  2893,  2892,
    2891,  2862,     0,  2856,  2857,     0,  2895,  2896,   268,   269,
     265,     0,     0,   220,   219,     0,   242,   243,   214,   241,
       0,   237,   238,   222,  2057,  2056,   221,   213,   210,   208,
     225,   227,   228,   211,   209,   263,   261,     0,     0,  2181,
       0,  2178,  2177,  2206,  2184,     0,     0,   358,  2797,  1499,
       0,  1496,  1719,     0,  1637,     0,     0,  1509,  1632,  1631,
    1664,  1665,  1109,  1630,  1689,  1690,  1685,     0,     0,     0,
    1715,  1713,  1681,  1675,  1680,  1678,     0,  1682,  1889,  1708,
    1619,  1669,  1670,  1673,  1618,     0,  1711,     0,  1592,  1709,
    1674,  1576,     0,  1554,     0,  1767,     0,     0,     0,  2805,
    2803,  2743,  1816,  2797,  2736,  2797,  2792,  2724,  1880,  1881,
    1882,  1883,  1884,  1885,  2725,     0,  2722,  1879,  2723,   615,
     616,     0,     0,     0,  2691,     0,  2672,  2697,  2828,  2460,
    2860,     0,  2861,     0,     0,  2825,     0,  2835,  2838,  2836,
    2839,     0,  1816,  3015,  2911,  3015,  1816,     0,     0,     0,
    1137,  1139,     0,  1138,     0,  1141,     0,  1150,     0,     0,
    1136,  1155,     0,  1144,  1142,     0,  1468,     0,     0,   924,
       0,     0,     0,     0,  1454,     0,     0,  2475,   256,  1457,
    1462,  1449,  1460,     0,     0,     0,     0,     0,  1075,  1074,
       0,     0,  1097,     0,     0,     0,  1475,   514,     0,   355,
       0,     0,     0,     0,     0,     0,     0,     0,   811,   808,
       0,     0,   807,     0,   649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,  1298,     0,   719,
       0,  1174,     0,     0,  1173,     0,  1177,     0,     0,  1175,
    1170,  1171,  2443,  2452,  2480,   258,  1195,     0,  1194,  1192,
    1119,     0,  1120,     0,     0,     0,     0,     0,  2315,  2337,
     298,   317,     0,  1297,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   340,
       0,     0,   343,   342,     0,     0,     0,     0,     0,   347,
     326,     0,   327,     0,     0,   346,     0,     0,     0,     0,
       0,     0,  1298,     0,   290,     0,     0,     0,     0,     0,
       0,     0,  1208,     0,   742,     0,     0,     0,     0,     0,
    1367,     0,     0,   175,     0,   170,   174,     0,     0,     0,
       0,   598,   599,   612,     0,   603,   604,   601,   605,   606,
       0,     0,     0,     0,     0,     0,     0,   597,     0,     0,
     709,   708,   712,     0,     0,     0,  1376,     0,  1188,     0,
       0,  1375,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,  1244,     0,     0,     0,     0,     0,     0,
     854,     0,     0,     0,     0,     0,     0,     0,     0,   177,
     729,     0,   728,     0,   171,   176,     0,     0,     0,     0,
       0,     0,     0,   232,  1426,  1432,  1494,  2207,  1493,     0,
       0,     0,     0,   967,     0,     0,     0,     0,     0,     0,
       0,   959,   960,   961,   962,     0,     0,     0,     0,     0,
     410,     0,     0,     0,     0,   842,  2970,   814,     0,     0,
       0,   828,     0,   831,   834,     0,  1445,   482,     0,     0,
     641,   687,     0,     0,   466,   184,     0,     0,     0,     0,
     744,     0,     0,     0,  1362,   146,   193,   195,   464,     0,
     194,   196,   198,   199,   200,   197,   201,     0,   706,   710,
       0,     0,     0,     0,   637,     0,     0,     0,     0,     0,
     757,   761,   760,   764,   762,     0,   758,     0,     0,  1787,
       0,     0,   169,     0,     0,   588,   592,     0,  2669,     0,
       0,   466,   566,   369,  2337,     0,   525,     0,  2337,     0,
    1094,     0,     0,     0,     0,     0,     0,  2689,     0,     0,
       0,     0,  1605,   358,  1159,     0,  1467,     0,     0,     0,
     358,  1861,  1860,  1813,  1809,     0,     0,     0,     0,   927,
       0,     0,     0,     0,     0,     0,  1829,   358,  1123,   183,
    2236,     0,   895,     0,     0,     0,     0,   358,  1210,   883,
     179,   358,   640,     0,   358,   181,     0,     0,     0,   632,
     358,   921,   358,  2202,     0,   358,  3042,  3048,  3046,  1551,
    3131,  3125,  3126,   525,  1609,  1523,  1534,  1019,  1026,  1008,
    1025,  1024,  1006,  1023,  1020,  2827,     0,     0,  3017,     0,
    1037,     0,   524,     0,     0,     0,  1051,  1052,     0,     0,
    1050,  1053,     0,  1055,  1047,  1046,  1056,  1057,     0,     0,
    1073,   723,     0,     0,     0,     0,  1586,     0,  1584,     0,
    1765,  1588,  1577,  1543,     0,  1541,     0,   581,     0,     0,
    1242,     0,     0,  1034,     0,     0,   358,  1418,     0,   986,
     992,     0,     0,     0,     0,     0,     0,   995,   996,   997,
     988,   998,   989,   999,     0,   990,     0,     0,     0,     0,
    2136,     0,  2137,     0,     0,  2172,  2168,     0,     0,     0,
       0,     0,  2144,  2145,  2146,  2143,  2147,  2142,     0,     0,
    2148,  2141,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2541,     0,     0,     0,     0,  1953,     0,     0,  2096,
       0,  2125,  2158,     0,     0,     0,     0,     0,     0,  2125,
    2164,     0,     0,     0,     0,  2055,     0,  2052,     0,     0,
       0,     0,  2185,     0,     0,  2219,  1890,  1904,  1905,  1906,
    1910,  2193,     0,  2187,     0,     0,  1891,  1918,     0,  2165,
    1945,     0,  1950,  1933,     0,  1926,     0,  1931,  1935,  1914,
       0,  1911,     0,  2188,  2124,     0,  2122,     0,  1901,  1902,
    1903,  1895,  1896,  1897,  1898,  1899,  1900,  1907,  2100,  2098,
    2099,     0,     0,     0,  2076,     0,     0,  1930,  2331,  2363,
       0,  1654,  1654,  1654,  1641,  1652,  2192,     0,  1782,     0,
       0,     0,     0,  1992,     0,  2129,  1663,  2127,  2209,  3024,
    3023,  2186,  1782,     0,     0,     0,  2198,     0,     0,  1886,
       0,   262,  1763,  2179,  2182,   929,   930,   928,  1816,  1519,
    1502,  1498,  1497,  2126,  1518,  1640,     0,  1107,  1108,     0,
    1112,     0,     0,  1683,  1716,     0,  1707,     0,  1687,  1688,
    1679,  1717,  1590,     0,  1712,  1623,  1622,     0,  1785,     0,
       0,     0,  1568,  1556,     0,  1768,     0,  1722,  1594,     0,
    2185,  1720,  2741,  2799,  2746,  2767,  2737,  2770,  1888,  2719,
    2759,     0,  2693,  2863,  2864,     0,  2854,  2855,  2824,  2830,
    2901,     0,  3016,     0,     0,  1340,  1246,  1305,  1140,     0,
    1831,  1151,     0,  1135,     0,  1134,  1831,     0,  1152,     0,
    1831,  1341,  1247,  1306,   925,  1342,  1248,  1307,  1343,  1249,
    1464,  1452,  1451,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   792,  2337,
     358,  1473,  1344,     0,  1250,   354,  1474,  1308,  1478,   810,
     809,     0,     0,  1309,     0,   650,     0,   654,     0,   656,
     657,   658,     0,     0,     0,   659,     0,  2269,  2322,   661,
     664,   671,   676,   666,     0,     0,   678,   672,     0,     0,
       0,     0,     0,     0,   684,   686,     0,     0,     0,     0,
       0,     0,     0,  1168,  1169,  1345,  1253,     0,  1310,  1118,
       0,  1254,   185,     0,     0,   283,  2337,   300,     0,   691,
     792,  1300,   324,     0,     0,   339,   334,   335,   333,  2337,
     358,  2337,   358,     0,     0,     0,     0,     0,   336,   331,
     332,   328,     0,     0,   341,  2245,  2307,  2453,     0,   695,
     697,     0,   702,   344,  1272,   365,   364,   363,     0,   348,
       0,   370,   373,   345,   322,   325,   323,   319,   295,     0,
       0,     0,     0,     0,     0,     0,     0,  2205,     0,     0,
    1203,     0,  1348,  1311,     0,  1331,     0,     0,     0,     0,
     736,  1368,  1370,  1360,  1260,  1369,   173,  1287,     0,     0,
     158,     0,     0,     0,     0,   152,   162,     0,  1351,  1261,
       0,     0,   287,   591,   602,   607,  1266,   611,   608,  1321,
     609,  1358,  1262,  1354,  1290,  1316,  1361,  1377,  1263,  1188,
    1372,  1374,     0,  1298,     0,   277,   279,     0,   297,     0,
    1264,     0,  1314,  1353,  1289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1481,     0,     0,     0,     0,     0,
       0,   358,     0,     0,     0,  1300,  2337,   358,  1352,     0,
    1295,     0,  1329,     0,   398,     0,  1288,     0,     0,   289,
    1268,  1323,     0,     0,   230,   229,   231,   976,   936,   975,
       0,  2305,     0,   935,   937,     0,     0,     0,   938,     0,
       0,     0,     0,   934,   932,   933,   409,     0,   434,   407,
     408,   410,     0,   841,     0,     0,     0,     0,     0,   830,
       0,     0,     0,  1471,     0,   149,   648,     0,     0,     0,
     643,   686,   691,     0,     0,     0,     0,   465,   469,   473,
     474,   475,     0,     0,     0,     0,   163,   150,     0,   872,
       0,   525,     0,   746,  1366,  1365,  1187,     0,   195,   188,
       0,     0,   707,     0,  1519,     0,     0,   369,   825,   823,
     822,   824,     0,     0,     0,   846,   821,     0,  1786,  1788,
       0,     0,     0,     0,     0,     0,     0,   468,     0,     0,
     528,     0,     0,   570,     0,     0,     0,     0,   369,     0,
       0,     0,  1129,     0,  1147,  1130,     0,     0,     0,     0,
    1181,  1188,  1182,  1160,     0,     0,   620,  2687,  2681,  1610,
    1611,     0,  1200,     0,     0,  1830,  1843,   894,     0,  1871,
    1870,  1872,  1872,     0,  1814,     0,  3114,  3122,  3121,     0,
    1855,  1823,  1198,   358,     0,   358,     0,   358,  1202,  1382,
       0,   892,     0,     0,   358,   885,   887,     0,   889,     0,
    2826,  3013,  1038,   527,     0,     0,     0,     0,  1049,   618,
    1054,     0,  1066,  1061,  1063,     0,  1067,   722,     0,     0,
    1587,  1580,  1582,  1581,     0,     0,  1578,  2133,   884,     0,
     587,  1234,  1235,     0,     0,   358,     0,  1068,     0,     0,
     993,   987,     0,     0,   991,     0,   994,     0,     0,  1659,
    2134,  2135,     0,     0,     0,  2169,     0,     0,  2030,     0,
    2006,  2008,  2020,     0,  2031,  1991,  2032,  2010,  2012,     0,
    2116,     0,     0,  2021,     0,  1955,  1956,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1971,  1970,  2022,  2095,     0,     0,
    2156,  2157,  2023,     0,     0,  2163,     0,     0,     0,  2028,
    2033,     0,     0,     0,     0,  2039,     0,  2060,     0,     0,
       0,  1981,  2126,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,  1934,  1928,     0,  1932,  1936,     0,     0,     0,
    1922,     0,     0,  1920,  1946,  1916,     0,     0,  1947,     0,
       0,     0,  1999,     0,     0,  1654,  1654,  1654,  1654,  1651,
       0,     0,     0,     0,  2440,  2560,     0,  1746,  1721,  1723,
    1733,  1746,  1751,  1746,  2001,  1780,  2002,     0,  2199,     0,
    1692,  1663,  1663,  1663,  1998,     0,     0,     0,     0,  1662,
    1692,  2876,  2878,  2879,  2880,  2881,  2882,  2884,  2885,  2887,
    2888,  2889,  2877,  2883,  2886,  2890,  2867,  2868,     0,  2858,
    2859,   206,     0,   239,   226,  2181,     0,  2901,  1500,     0,
    1666,     0,  2117,  1112,     0,  1668,     0,     0,  1714,  1676,
    1591,  1575,     0,  1573,  1560,  1562,  1561,     0,     0,  1563,
    2185,     0,  1573,  1555,  1599,     0,     0,  1785,     0,  1598,
       0,  2801,  2729,     0,     0,  2900,  2903,  2914,  2912,  2739,
       0,  1831,  1132,  1133,     0,  1156,     0,  1078,  1079,     0,
    1077,     0,     0,     0,   513,  1096,     0,     0,     0,   792,
       0,     0,   517,     0,  1476,     0,  1359,  1286,   652,   653,
       0,   665,     0,   674,   673,     0,     0,     0,     0,     0,
       0,     0,   660,   680,   624,   681,   683,     0,     0,   682,
     685,   688,  1298,     0,   720,  1274,     0,  1327,  1162,  1301,
       0,  1121,     0,     0,     0,     0,     0,     0,   482,   318,
       0,     0,     0,   149,     0,   302,   310,   376,   316,     0,
    1304,   350,     0,   321,     0,   314,   337,   329,   338,   330,
     349,   351,     0,   699,   700,   698,   694,     0,   701,   703,
       0,   367,     0,     0,     0,  1347,     0,  1298,     0,   291,
       0,  1270,     0,  1325,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1330,     0,     0,     0,     0,
     741,     0,   738,     0,     0,   155,   154,     0,   161,     0,
       0,     0,     0,     0,  1378,     0,     0,     0,     0,     0,
       0,     0,   296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     399,   360,     0,   849,     0,     0,     0,   401,     0,     0,
       0,     0,     0,  1346,  1255,     0,     0,     0,   947,     0,
       0,     0,     0,     0,     0,   412,   413,   149,   411,     0,
       0,   843,     0,   840,  2390,  2103,  2104,   838,   844,   835,
     837,   836,   839,   792,     0,     0,   827,   832,   833,     0,
       0,     0,     0,     0,   497,     0,     0,     0,   488,     0,
       0,  1188,   481,   484,   485,     0,     0,   644,   647,   645,
     646,   679,     0,   468,   504,   552,     0,   165,     0,     0,
     166,   164,     0,     0,   369,   743,     0,   740,     0,   191,
     464,     0,   711,     0,     0,     0,  1188,   636,   763,   766,
     759,     0,   845,   847,   819,     0,   691,     0,     0,   593,
       0,  1552,   581,     0,   554,   468,   552,   564,   563,   565,
       0,   572,   368,     0,     0,   581,   572,     0,     0,  1097,
    1128,     0,     0,     0,  1178,  1183,  1179,     0,     0,  1143,
       0,  1180,  1161,  1115,  1398,  1399,  1396,  1397,     0,     0,
       0,  2704,  1601,  2713,     0,  1849,     0,  1867,  1865,  1810,
       0,  2797,     0,     0,     0,     0,     0,  1815,   896,     0,
     879,     0,   881,   358,   730,     0,   633,   358,     0,     0,
       0,     0,  1048,     0,  1064,     0,     0,  1031,  1070,     0,
       0,  1585,  1583,   579,     0,  1073,     0,  1032,  1072,     0,
       0,     0,     0,     0,     0,     0,  2138,     0,  2171,  2167,
       0,  2003,  2139,     0,  2151,  2150,  2096,     0,     0,  1954,
    1966,  1967,  1968,  2152,     0,  1976,     0,     0,  1963,  1964,
    1965,  1957,  1958,  1959,  1960,  1961,  1962,  1969,  2161,  2160,
    2154,  2155,     0,  2025,  2026,  2027,  2162,  2034,     0,  2260,
    2061,  2038,  2054,  2053,     0,     0,     0,  2041,     0,     0,
    2050,     0,  2097,  2220,  1892,     0,     0,  1919,  2166,  1937,
       0,     0,     0,  1915,  2116,     0,     0,     0,     0,     0,
    1924,     0,     0,     0,  2079,  2074,  2075,  2093,     0,     0,
       0,     0,     0,     0,  1645,  1644,  1650,  1746,  1751,  1746,
       0,     0,  1625,     0,  1733,     0,  1745,  1731,  1744,     0,
       0,  1757,  1755,     0,  1757,     0,  1757,     0,  1725,     0,
    1747,  1727,  1744,  1729,     0,  1772,     0,  2200,  1781,     0,
    1705,     0,     0,     0,     0,  2130,  2131,     0,  2128,  1993,
    1705,     0,     0,     0,  2180,  2899,  1638,     0,  1667,  1110,
    1111,  1684,  1677,     0,  1783,     0,  1574,     0,     0,     0,
    1565,  1571,  1553,     0,     0,  1595,  1573,  1596,  2745,     0,
    2800,  2865,  2866,  1153,     0,     0,  1145,  1084,  1087,  1085,
    1083,  1086,     0,     0,     0,   792,     0,     0,   533,     0,
    1104,  1104,     0,     0,   519,   575,  1188,   795,     0,     0,
       0,   793,   358,  1251,     0,   675,     0,     0,   670,   668,
     667,   669,     0,   625,  1357,  1252,     0,     0,     0,     0,
    1163,     0,     0,  1273,     0,   299,     0,   478,     0,   311,
       0,   307,     0,  1299,     0,     0,     0,     0,   306,   380,
       0,   377,     0,   358,   358,   352,   696,   366,   371,   372,
     375,     0,     0,     0,     0,     0,  1303,     0,     0,     0,
       0,     0,     0,     0,   873,   856,     0,     0,   874,   875,
       0,     0,     0,  1205,  1206,  1204,  1332,  1333,  1338,  1335,
    1334,  1337,  1336,  1339,     0,  1258,     0,     0,   734,   159,
     156,   157,   160,  1284,  1267,  1322,  1373,     0,     0,     0,
    1265,     0,  1315,     0,  1280,  1276,     0,     0,     0,     0,
       0,  1356,  1294,  1320,  1355,  1292,  1318,  1291,  1317,  1293,
    1319,     0,  1285,     0,  1790,   853,     0,     0,     0,   358,
     358,   852,   732,  1269,  1324,     0,     0,   939,     0,     0,
     941,   942,     0,   944,   417,   437,   752,   812,     0,     0,
     829,   791,     0,   486,     0,   492,   495,     0,     0,   499,
     500,   498,   487,  1188,   525,   574,     0,     0,   802,     0,
     642,     0,   466,     0,   501,     0,     0,   470,   168,   167,
       0,     0,     0,   747,   751,   749,   748,   750,   745,     0,
     736,   195,     0,     0,     0,     0,   576,  1371,     0,   776,
     820,     0,  1789,   726,     0,   369,   589,     0,     0,   466,
     581,  2670,     0,   471,   476,   477,   482,     0,   566,   553,
       0,   554,     0,     0,   578,  1443,     0,   582,   584,     0,
       0,     0,  1131,  1148,  1149,     0,     0,  1188,     0,     0,
       0,     0,   627,     0,  2677,   358,  1811,  3115,     0,  3116,
    3117,  3118,  3119,  3120,   358,   358,  1231,     0,   890,  1060,
    1059,  1058,   619,     0,  1062,   724,     0,   580,   358,     0,
    1001,   981,  1000,   980,   982,     0,   979,   977,   978,  2170,
    2019,  2029,  2149,  2095,  2126,     0,     0,  1977,     0,     0,
    2024,  2550,     0,     0,     0,     0,  2058,  2059,  2040,     0,
    2380,  2045,     0,     0,     0,  1943,  1941,  1938,     0,  1939,
    1923,     0,     0,  1921,  1917,     0,  1948,  2065,     0,  2081,
    2078,  2092,  2126,  1649,  1648,  1647,  1646,  1732,  1728,  1730,
       0,  2555,     0,  1735,  1742,     0,  1724,     0,  1756,  1752,
       0,  1753,     0,     0,  1754,     0,     0,  1726,     0,  1742,
       0,  1779,  1663,     0,     0,  2070,  1996,  1997,  1994,  1663,
    2217,  2070,  2869,     0,  2872,  2870,  2871,  2875,   240,     0,
       0,  3130,  1557,     0,  1558,  1564,     0,     0,     0,     0,
    1600,  1593,  2802,  1146,  1154,     0,     0,     0,   515,     0,
    1188,     0,     0,     0,  1106,  1106,     0,  1188,   574,   797,
     796,   799,   794,   798,  1477,     0,   662,   663,   677,  1275,
       0,  1328,  1282,     0,  1589,   301,     0,   692,     0,     0,
     303,   379,   381,   304,   305,   308,   360,   320,   313,     0,
       0,     0,  1271,     0,  1326,  1278,  1349,  1256,  1312,     0,
       0,   862,     0,     0,     0,     0,  1350,  1257,  1313,     0,
       0,     0,     0,  1589,     0,     0,     0,     0,     0,     0,
       0,  1486,     0,  1302,   359,   851,   850,   360,   400,  1296,
       0,   940,   945,   946,   943,     0,   406,   414,   438,   149,
       0,     0,  1222,  1222,     0,   792,     0,     0,   483,   496,
       0,   574,   532,     0,   489,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   739,
     738,   190,   466,     0,   691,     0,   770,   771,   765,   767,
       0,   778,   782,   848,     0,     0,   468,     0,     0,  1550,
     467,     0,     0,   479,     0,   570,   554,   566,     0,   567,
       0,   571,     0,  1436,     0,     0,     0,     0,  1184,     0,
    1190,     0,  1142,  1113,  1185,     0,  1782,     0,     0,     0,
       0,   631,  2703,  2707,  1223,  3123,   880,   882,   731,  1065,
       0,  1069,   358,   983,  2097,  1972,     0,     0,     0,     0,
    2035,     0,  2036,  2063,  2062,  2042,  2046,     0,  2043,  2044,
    1940,  1944,  1942,  1925,  2067,     0,  1663,  2094,  1775,     0,
    1778,     0,     0,  1734,     0,     0,  1736,     0,     0,  1738,
    1740,     0,     0,     0,     0,     0,     0,  2203,     0,  2286,
    2526,  2439,     0,  1691,  1693,  1696,  1698,  1697,  1699,  1695,
    1704,     0,  1627,     0,  1626,  2874,  2873,  2118,  1784,  1572,
       0,     0,     0,  1098,     0,  1597,  1066,     0,   358,  1104,
     574,   534,  2390,   535,  1103,  1105,  1109,  1109,     0,   574,
     792,   655,     0,     0,   284,   690,     0,     0,   312,   362,
     374,     0,  1589,     0,     0,   860,   869,   869,   857,     0,
       0,   876,  1259,   735,     0,     0,   280,  1281,  1277,     0,
       0,  1488,  1489,     0,     0,     0,     0,     0,   358,   948,
       0,   440,   447,   418,   423,  1480,     0,  1480,     0,   420,
     424,  1480,   419,  1480,   416,   417,     0,  1222,     0,  1219,
    1218,   790,     0,   523,   595,   490,     0,   543,     0,     0,
     803,     0,     0,   468,   552,     0,   512,   505,   506,   507,
     508,   509,   510,   511,   503,   502,     0,   691,   866,   369,
    1443,   733,     0,   704,     0,   768,   773,   772,  1480,   777,
       0,     0,     0,   691,     0,   554,   468,   552,   472,   482,
       0,   557,   556,   572,   566,   570,   568,   569,     0,     0,
       0,   581,  1490,  1097,     0,  1189,     0,     0,     0,     0,
       0,     0,  1226,   626,     0,     0,   630,   621,     0,  2705,
     691,  1033,  1973,     0,  1974,     0,     0,     0,  2048,  2047,
       0,  2084,  1780,     0,     0,  1774,     0,     0,  1804,     0,
       0,     0,  1743,  1759,     0,  1739,  1737,     0,  1748,     0,
    1750,  1993,     0,     0,     0,  1700,     0,  2069,  2071,     0,
    1995,     0,  1570,  1782,     0,  1567,     0,  1080,     0,  1081,
    1106,   538,     0,  1112,  1112,   525,   792,   516,  1283,     0,
     693,   595,     0,   315,     0,   292,  1279,     0,     0,   871,
     871,     0,     0,     0,     0,   387,   394,   393,   388,   386,
     395,     0,   391,   385,   384,   389,     0,  1482,     0,  1483,
    1484,  1487,   402,   415,     0,   445,     0,   443,   442,   444,
       0,   431,     0,     0,     0,     0,     0,     0,   405,   436,
    1217,  1221,  1220,     0,     0,   491,     0,   493,   529,   530,
     531,     0,   494,   539,   540,     0,   800,     0,   805,     0,
       0,     0,   691,   551,   715,     0,     0,     0,  1437,     0,
     577,     0,   779,   780,   775,     0,     0,   727,  1443,   566,
       0,   554,   480,     0,   453,   570,   572,     0,  1440,     0,
     583,     0,   369,  1188,  1191,  1186,  1402,     0,     0,   629,
     628,  2708,  2710,  2709,     0,   721,  1975,  2051,  2037,  2064,
    2049,  2080,     0,     0,     0,  1773,  1776,     0,  1807,     0,
       0,     0,     0,  1793,     0,  1741,     0,     0,  1749,     0,
       0,     0,  1694,     0,     0,  1559,  1569,  1099,     0,     0,
    1109,     0,   792,     0,  1101,  1100,   532,   518,  1589,   309,
     361,     0,     0,     0,   867,   870,   858,   859,   878,   877,
     737,  1589,     0,     0,   382,     0,     0,   441,   450,     0,
     448,   421,   426,     0,   430,   428,   427,   422,   425,     0,
     522,     0,     0,     0,     0,   541,     0,   542,   573,     0,
     804,     0,     0,     0,   717,   865,     0,     0,   691,   769,
     774,     0,     0,  1438,   570,   554,   566,     0,     0,   558,
    1104,  1104,   572,   451,  1441,  1442,     0,   572,  1114,  1401,
    1400,  1640,     0,     0,  2706,  2514,     0,  2487,     0,  2082,
    2085,  2083,  2077,     0,     0,  1805,  1806,  1791,     0,     0,
    1795,  1758,  1771,  1702,     0,  1701,  2072,  2073,  1782,   358,
    1112,     0,   520,   536,   543,   285,  1589,   861,     0,   281,
       0,   392,   390,  1485,   446,     0,   429,   782,   594,   548,
       0,   547,     0,   545,   544,   801,   806,     0,   691,   855,
    1443,   705,   781,     0,   572,   566,   570,     0,   555,     0,
    1106,  1106,   455,     0,  1782,  1384,  1640,  1383,  1385,  1393,
    1390,  1392,  1391,  1389,  1229,  1230,     0,  2089,  2088,  2087,
    2091,  2090,  1777,     0,  1794,  1797,     0,     0,  1803,  1796,
    1798,     0,     0,  1769,  1703,  1566,  1082,  1102,     0,   792,
     293,   868,     0,   449,     0,   546,   550,   549,   691,   716,
    1439,   785,   454,   570,   572,  1104,   559,   561,   560,   369,
    1088,     0,  1394,  1388,  1625,  1612,     0,     0,     0,     0,
    1801,  1802,  1799,  1800,     0,   537,   521,     0,     0,   718,
       0,   783,   786,   789,   787,   788,   572,   452,  1106,   572,
    1386,  1640,     0,     0,  2086,     0,     0,   383,     0,   753,
       0,   456,   562,  1782,  1387,     0,     0,     0,  1770,     0,
     784,  1089,     0,     0,  1792,   785,     0,     0,     0,  1227,
    1228,   754
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5162, -5162,  4634, -5162, -1296,   189,  2948,  -708, -5162, -5162,
   -5162,  1181, -5162, -5162, -5162, -5162,  3777, -5162,  2079, -2856,
   -5162, -5162,   -41,  3709, -1759,   -46,  3261,  1717, -5162, -1544,
   -5162, -5162,  -893,    -6, -5162,  3714,   114, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -1243,  2186,  2253,  1530,  3655,
   -3319, -5162, -5162, -1878, -3681, -5162,   830, -5162,   859, -4651,
   -5079, -5162,  -836,  -666, -5162, -5162,  2173, -5162, -5162, -5162,
    1349,   743,  -342, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
    -516, -5162, -5162,  -756,   365,  -109, -2841, -4183, -5162, -5162,
     705,  -151, -1919, -5162, -4034, -5162,   230, -2161, -5162, -5162,
   -5162,  -116, -1883,  1641, -5162, -1054, -1565,  1967,  -620, -5162,
       6, -5162,  -726,  -525,  -523,  -650, -4230, -4692, -5162, -5162,
   -5162,  -753, -4705, -4965, -4244, -4102,  1652, -5162, -5162, -4201,
     466,   688, -5162,   481,   488, -5162,   702,  -448, -1305, -1998,
   -5162, -1109, -5162, -5162, -5162, -3375, -5162, -5162, -5162, -5162,
    -100, -5162, -5162, -5162, -5162,   747, -5162, -5162, -5162, -5162,
   -5162, -5162, -3065,  2156,  2157, -5162, -3370, -5162, -1270, -5162,
     888, -3401,  1564, -5162, -5162,  1350,  3788,   732, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -2105, -5162, -5162, -5162, -5162,
     246,   -87, -5162, -5162, -5162, -5162, -5162, -5162,   507, -5162,
    2170,  1342, -5162, -5162,   -88, -5162, -5162, -5162, -5162, -5162,
   -5162,  -706,  -843,  -825, -5162, -3381, -5162, -5162, -5162,   -55,
   -5162, -5162, -5162, -5162, -5162, -5162, -1313, -5162,  1413, -3595,
   -5162, -5162,  1420, -5162, -5162, -5162, -5162, -5162,  -624,     4,
    2979, -5162,  -229,  -419, -5162, -5162, -5162,     8, -5162, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -1476, 18293, -1222,  -880,
   -5162, -5162, -5162, -5162, -5162, -2769, -5162, -5162, -5162, -5162,
   -4224, -5162,  4939,    20,  -763,   516, -5162,  -208,   -82,  3535,
   -1564, -3089,   673,  -185, -5162, -5162, -5162, -2994, -5162, -5162,
   -5162, -5162, -3975,   517, -5162,  3521, -5162, -4256, -4998, -3995,
   -4520, -4855, -5062, -3954, -5162, -5162, -5162, -5162, -1825,  -882,
   -5162, -5162, -1903,  2504, -2396, -5162, -2545,   734,  1738,  3794,
   -3184,  -821,  2941, -4246, -1058, -3695, -5162, -5162, -2792,  -317,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,  -934,  2891,
    -875, -5162, -5162,  4153, -5162, -4712, -5162,  4150, -5162, -5162,
   -5162, -5162,  2786,  2791, -5162,  2782, -5162, -5162, -1896,  1501,
   -5162, -5162, -5162, -5162,   921, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162,  1406,   910, -5162, -5162, -5162, -5162, -5162,  -606,
    -764, -5162, -5162,   537, -5162, -5162, -5162, -5162,  1860, -1294,
   -1072,  4007,   552, -5161, -5162, -5162, -1040, -5162,  3248, -5162,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -2752, -5162,
   -5162, -4876, -5162, -5162, -5162, -5162, -5162,  2643,  2641,  -115,
    -288, -5162, -5162, -1365, -5162,  -903, -5162,  2870, -5162, -5162,
   -5162, -5162, -2185,   589,   786,   -77, -5162, -5162,   123, -5162,
     539, -5162, -5162, -3869,   -72, -5162, -5162, -5162, -5162, -4866,
   -5162,   -70,  -507,  1086, -3236, -5162,   606,    16,  3620,  2102,
     -63,   113,  -248,  -243,  -179,   -74,   -57,  3385, -5162,  3442,
   -5162,  -205,  2334, -5162, -5162, -1153,  -365, -5162,  1854,  -961,
    2622,  3384,  3377, -5162,  1847, -5162, -5162,  1842, -5162,  1153,
    -485,  -318, -5162, -5162, -5162, -5162,   581,  -955,  2634, -5162,
    3386, -5162, -5162, -5162, -2279, -3285, -3837,  1189, -3864, -3784,
     629,   615, -1052,   -83,  -146, -1111,  3387, -5162, -5162,  1198,
    -280, -5162, -5162,  -266, -3254,  1133, -5162, -4795, -2758,  1215,
    -703,  -555, -5162,  -635, -5162,  -434,  7334, -2073, -1439, -5162,
   -5162, -1409, 26051, -5162, -5162, -5162, 26096, 26731, -5162, -5162,
   27269, 27717, -5162, -1267, 28119, 23787, -1398, -1392, -1688, 25235,
   -2001,   108, -2790, -5162, -3932, -1572, -5162, -5162, -5162,   -22,
    1273,   265, -5162, -4820, -5162, -5162,   203, -5162,  -432, -5162,
    -428, -5162, -5162, -5162,  -411, -4798,  2797, -5162, -5162, -5162,
    -839, -5162, 28939, -3151, -5162,  -918, -3157, -3160, -3847, -2299,
   -5162, -5162, -5162, -5162, -5162, -5162, -5162, -2528, -3726,  -563,
    1996, -5162, -5162,  2088, -5162, -5162, -5162, -1733,  1940, -1119,
   -3037,  2002, -5162, -1096,  2800, -1124, 19647,  -959, 21424,  -120,
   -2706, -1707, -2031, -5162,  4889, -5162,  1781,  -138,  -739,  4900,
    -833,  -970,  7500,  6238,  5141, -3584, -5162, -5162,   619, -5162,
   -5162, -5162,  4586,  1461, -5162,  3821, -5162,  2255,  3078, -5162,
   -5162,  2668,  -990,    13, -5162,  -382, -5162,  -117, -5162, -5162,
   -5162,   233, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,
   -5162,  3435, -5162, -5162, -1631, -5162, -5162, -5162, -5162, -5162,
    4872,  -367, -5162,  4235,  -366, -5162, -5162, -5162, -5162, -5162,
   -5162, -5162, -5162, -5162,  3448,  2698, -5162,  4023, -5162, -5162,
   -5162,   -13,  3670, -5162, -5162, -5162, -1340,  -680,  4045,  4059,
    2672, -5162, -5162, -5162, -5162, -5162, -5162, -5162, -5162,  2675,
   -5162, -5162,  1982, -2398,  2683, -5162, -5162,  1196, -5162, -5162,
     681, -5162,  1199, -5162,  3555, -5162, -5162, -5162,  1238, -5162,
   -5162, -5162,  -596, 18093,   240,   687,   922,  1589, -5162, 10565,
   19261,   261,  3470,   -62, 14147, 23386,   298, -5162,  4869,  2688,
    2212, -1121, -5162,  5652,  2975, 15970, -5162, -1116,     5,  2543,
   -5162,    -2,  -714, -1341,  3796,  -789, -2232, -5162,  5298, -5162,
   -3479, -5162, -1139,   260,  4241, -1367
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   252,   253,  2007,  2935,  2805,  3726,  3727,   254,
     255,  2003,   256,   257,   258,   259,  1930,   260,  1411,  2150,
    2950,   261,  2648,  1145,  1146,  1147,  2499,  2500,  2884,  2501,
    2488,  1752,  2299,  1951,  1110,  1111,  1911,  1952,   263,   264,
    1746,  2480,   265,   266,   267,  1981,  2054,  1982,  1924,  2202,
    4794,  5533,  3539,  2775,  3775,  3540,  3541,  4176,  4177,  4252,
    5550,  5556,  5551,  5552,   268,  2070,  2071,   269,   270,  3691,
    3687,  4297,  5146,  5147,  5384,   928,  2912,  5149,  5150,  5370,
    5371,  5568,  5709,  5710,  2951,  2142,  3769,  4384,  3717,  4882,
    3718,  4883,  3719,  4884,  3703,  4332,  4333,  4828,  4334,  3720,
    4844,  5414,  3721,  2667,  5585,  2992,  2329,  2327,  5397,  4657,
    4658,  5682,  5592,  5593,  5594,  5813,  4846,  4888,  4889,  5440,
    5748,  5749,  3773,  4391,  4894,  5164,  3428,   272,  2176,  3870,
    1040,  2995,   963,  1041,  2952,   276,  2985,  5587,  2986,  2028,
    2814,  5553,  3850,   277,  1435,  4143,  5231,  5466,  5467,   278,
     915,   279,  2158,   280,   281,  2930,  3710,   282,  2684,  3445,
     283,   284,  3474,  3475,  3476,   285,  4168,  5086,  1983,  3528,
    3529,  3530,  3531,  4198,   286,  2153,  2959,  2960,   287,   288,
     289,   290,  3113,  3114,   291,  2871,   292,   293,   294,   295,
    4232,  4758,  4860,  3570,  3733,  4357,  4858,   296,  2953,  2166,
    2975,  2976,  4869,  5188,  5189,  5190,  5428,  5739,  5192,  5430,
    5614,  5432,  5910,  5911,  5155,  4122,  4671,   298,  4837,  4838,
    5599,   299,  2682,   300,   301,   302,  2126,  2922,  2923,  4308,
    2119,  2914,  2915,  4371,  4372,   303,  3644,   304,  4734,  4735,
     964,  5606,  5539,  5696,   305,   306,  4738,  4739,   307,   308,
     309,   310,   311,  1026,  1027,  1028,  1532,  1533,  3400,  1481,
     312,  2517,   313,  1375,  1376,  3668,   314,  1629,  3157,  3158,
    4941,   315,  1064,  1562,  1563,  2954,   317,  1075,  3133,  1077,
    2342,  3852,  3853,  4457,   318,   319,  3110,  3136,   320,  1917,
    2658,  2659,  4652,  2955,   965,  2182,  2999,  3423,  5312,  5313,
    5064,  5326,  3330,  4065,   322,   966,  1956,  2731,  1504,  1505,
    3002,  3783,  2627,  2628,  2629,  4408,  2630,  3785,  2631,  1890,
    2632,  1452,  1453,  3791,  3792,  3793,  4404,  4411,  2944,  5220,
    5221,   323,  1954,  2729,   324,   325,   326,  1991,  1296,  1514,
    1515,   327,   988,   989,   328,  5389,   329,  1456,   330,  5229,
     331,   332,  1099,  1100,  1613,  1614,   333,   334,  2745,  4179,
     335,   336,   337,  3564,  3565,  4750,   338,   339,  2145,  2146,
     340,   341,  3609,  3610,   342,   343,   344,  5837,  5891,  5892,
    5893,  4418,  5761,  5839,  1605,   346,   347,   348,   918,  1335,
    1336,  1337,  2956,  5213,   350,   351,  1912,  1913,  1914,  1915,
    2653,   352,   353,   354,   355,   356,   357,   358,  2130,   359,
     360,  5363,   361,   362,  2090,   363,  1783,  1784,   364,   365,
     922,  1165,  1788,  1794,   366,  1043,  1556,  1557,  1558,  2301,
     367,  1609,  1378,  1044,  1551,  1045,  2562,  3352,  4077,  4078,
    4079,  4082,  5048,  4626,  1046,  3348,   371,  2349,  3119,  3122,
    3344,  1047,  3357,  3358,  3359,  4085,  1048,  1066,  1445,  3011,
    1049,  1701,   376,   377,   378,  1174,  1168,  1169,   380,  2457,
    3284,  1084,  1800,  1129,  1130,  1181,  4029,  2530,  2531,  2553,
    2554,  1809,  1810,  2543,  2545,  3332,  2546,  3340,  2536,  4600,
    5293,  5294,  5295,  5296,  5297,  5298,  5025,  2549,  2550,  1812,
    1813,  1814,  2558,   381,  3288,  4008,  4009,  4010,  4576,  4577,
    4591,  4587,  5009,  5279,  4011,  1599,  1820,  5017,  5863,  4012,
    5268,  5269,  5485,  4595,  4020,  4073,  3757,  3758,  3759,  4013,
    5662,  5663,  5859,  5860,  5487,  5488,  2633,  2232,  1483,  1702,
    1484,  2240,  1703,  2216,  1486,  1704,  1705,  1706,  1489,  1707,
    1708,  1709,  1492,  2208,  1710,  1711,  2226,  1213,  1214,  1789,
    5489,  1713,  1714,  1715,  4015,  1716,  4530,  4973,  4962,  3216,
    3217,  2496,  4526,  3953,  2452,  3274,  5302,  5507,  5508,  3992,
    4555,  4989,  5266,  5654,  5769,  5770,  1717,  1718,  1719,  3271,
    2447,  1299,  1720,  4310,  2449,  3210,  3296,  3297,  2355,  2374,
    3163,  3178,  3179,  3190,  3912,  3198,  3203,  3940,  3941,  3211,
    3240,  1721,  3165,  3166,  3896,  2376,  1722,  1776,  2510,  1891,
    2465,  3235,  1736,  1723,  1724,  2343,  1156,  5275,   764,   747,
    3556,  2512,  1339,  1081,  1725,  1726,  1727,  1842,   707,  1507,
    1508,   709,   748,   749,  1252,   861,     2,    75,  1050,  3766,
     385,   386,   968,   969,   970,  1437,  1438,  2188,  2191,  1847,
    2596,   713,   714,   765,  4914,  5232,  5469,  1034,   387,   388,
     389,   390,  1843,  2592,  1215,    76,    84,    77,  1216,   427,
     428,  2573,   391,   878,   392,  1823,  1195,  4091,   393,   394,
     395,   396,   397,  1031,   398,  1197,   399,  1198,   400,   401,
     402,   403,  1205,   404,  1825,  1826,  4640,  1827,   405,   406,
     751,   752,  1549,   407,   408,  1232,  1233,  1581,  1582,  1853,
    1868,  1869,  1870,   409,   721,   410,   411,   412,  1859,  1860,
     413,  2473,  2474,  2601,  2475,   414,  3373,  3374,   415,  4046,
    4047,  5035,  4048,   416,  2469,   417,   418,  1159,  4096,   419,
     874,   420,  1246,   753,   754,   755,  1254,   864,  1115,   766,
    1256,  3532,   866,   867,   757,   758,   759,  2321,    78,  3381,
    2322,  1729,   767,  1730,  2463,  1731,  1732,  1733,  1734,  1735,
    1876,   761,  1222,  1541,  1542,  3382,  1544,    82,  1545,   424,
    3819,  2289,  1583,  3071,  2307,  2308
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   369,  1121,  1173,   379,  2027,   370,    79,   372,  1270,
    1405,  1747,  1182,  1769,  2298,   374,   422,  1447,  1590,  1591,
    1592,  1297,   422,  2326,  1596,  1158,  1192,  1193,  1068,  2827,
    2075,  1815,   967,  2248,  1737,  2666,   979,  2222,  1777,  1897,
     962,  2032,  2088,  2740,  2514,  3875,  3607,  1778,  4030,  1042,
    1068,  2155,  2732,  3068,  1230,  2212,  2213,  1298,  2886,  1025,
    2365,  1250,  4071,  3294,  2980,  2221,  4367,  2026,  1535,  1559,
    1761,  2752,   262,  3162,  3303,  2053,   423,  1176,  1155,  2741,
    3558,  2228,   423,  3393,  3395,  2080,  1090,   718,  1076,  1234,
     379,  3739,  2140,  3716,  1446,  2128,  4412,  4396,  4149,  2133,
    2769,  3641,  2238,  1841,  2137,  1298,  4318,   750,  2168,  4618,
    1871,  4311,   763,  2147,   423,  1873,  3856,  4311,   916,  4169,
    4084,  4659,   769,  3673,  4193,  3674,  4195,  2171,  1122,  3678,
    4542,  4023,  4021,  4022,  4697,  1554,  1184,  4654,  3683,  3684,
    3685,  5065,  1526,  4901,   750,  2580,  2582,  2583,  4590,  3024,
     973,  3000,  4898,  1274,  1957,  2848,  4891,   920,  2514,   423,
    4843,  1305,  4907,  1109,  3056,   971,   978,  1298,  1447,  4573,
    1984,  3125,   981,  1152,  1325,   978,  1144,  1518,  4063,  2852,
    2853,  4881,  5272,  5205,  4660,  3961,  1065,  3302,  2725,  2639,
    1529,   375,  5171,  1171,  4897,  2209,  2210,  2574,  2574,  5207,
    1185,  2284,  4890,  1400,  2313,  4100,  2220,  1118,  1065,  1409,
    5327,  2288,  1953,  4632,  4510,  1118,   978,  1118,  5334,  5454,
    1808,  1777,  1423,  5284,  2514,  5286,  1811,  4588,  2471,  4593,
     423,  3729,  3392,  1225,   430,  4095,  1849,  1850,  2167,  5206,
    5443,  1543,  3918,  2212,  2213,  1754,  4943,  4944,  1790,  4946,
    4947,  4948,   430,  5365,  5366,   926,  1862,  5356,  2515,  5608,
    1441,  2199,  2221,  2199,  5523,  5524,    45,  2859,  1625, -2973,
   -2973, -2973, -2973,  2319,  2239,  2864, -2973,   375,  2199,  2199,
    1247,  5555,  1607,  2228, -2973, -2973,  1331, -1872, -1872, -1872,
   -1872,  1568,   917,  3115, -1872,  1573,  1574,  1575,  2419,  2199,
      37,    38,    39,    40,  2199,  1586,   430,    44,   369,  4402,
    2743,   379,   430,   370,  5538,   372,  2941,   426,   421,  2199,
      45,    43,   374,  4089,   421,  5063,    45,  2425,  3873,  2116,
     430,   422, -1864, -1864, -1864, -1864,  4430,  3233,  3825, -1864,
    3827,  2124,  4341,  2672, -2210, -2210, -2210, -2210,  4335,  3135,
    1926, -2210, -1831, -1831, -1831, -1831,   421,  3639,  2427, -1831,
   -1844, -1844, -1844, -1844,  1172,  4348,   422, -1844,  1862, -2974,
   -2974, -2974, -2974,  2743,  2209,  2210, -2974,   865,  5515,   262,
    1579,  1332,  3706,  2199, -2974, -2974,  5848,  5072,  3439,  3860,
    2419,   423,  3195,  4145,  3918,  2199,  3287,  3233,  2938,  5333,
    2220,   421, -1869, -1869, -1869, -1869,  2163,  2840,  5464, -1869,
    4150,  2743,  2290,  1751,   869,  3342,  3116,  3037,  1740,  2425,
    4736,  2846,   865,  1764,  1333,   430,   423,  2164,    37,    38,
      39,    40,  2527, -2101,    43,    44,  1631,  1863,  2743,    45,
   -2101,  5390,  1221,   271, -1859, -1859, -1859, -1859,  4247,  2300,
    2427, -1859,  2581, -2971, -2971, -2971, -2971,  5743,  1927,   869,
   -2971,  1926,  3664,  1056, -2377,  4365,  2743,  2088, -2971, -2971,
    1163,  2100,   421,  2743,  4315,  4173,  5535,  4019,  2169,  1334,
    5626,  5424,  2105,  3894,  1268,  1056,  1057,  3031,  3707,  1235,
    5499,  1765,  1183,   865,  4090,  2516,  3268,  4014,   375,  3364,
    2170,  4710,  5445,  3269,  1621, -2324,     3,  1117,  1057,  3100,
    2939,  1249,  1193,  -439,  5444,  1117,  3343,  1117,  1298,  2246,
    4086,  2093,  5849,  4349,  4737, -2970, -2970, -2970, -2970,  2200,
     869,  2200, -2970,  3918,  5516, -2566, -2566, -2566, -2566,  3380,
   -2970, -2970, -2566,  3384,   273,  2977,  2200,  2200,  1852,  1855,
   -2566, -2566,   967,  1396,  5722,  1210,  3640,  4014, -2120,   274,
    1447, -1872, -1872, -1872, -1872, -2120,   275,  2200, -1872,  1927,
    2125,   879,  2200,  5465,  2811,  1595,    37,    38,    39,    40,
    1830,  2165,  2414,    44,  2458,   297,  1608,  2200,  1447,    37,
      38,    39,    40,  2234,   316,   321,    44,  2458,  3861,    37,
      38,    39,    40,  1228,  1229,  3117,    44,   430,  4719,  2461,
      37,    38,    39,    40,   880,   345,    43,    44,  5790,  4311,
    2865,    45,  -149,  1990,  3478,  3118,  5802,  2505,  2506,  4336,
     349,  -149,  2287,   421,  4146,  1595,  -149,  2272,   429,  2455,
    2860,  2348,  2087,  4752,  1621,  2125,  4150,  2673,  2866,  2246,
    2489,  2200,  1884,  4403,  1858,  2502,  2502,  2302,  1447,  5880,
    5752,  1219,  3708,  2200,  1207,  5680,  2942,   368,   421,  2125,
     973,  3234,   927,  4852,  2201,  5580,  2229,  1928,  1864,  5199,
    3440,  2514,  5706,  2256,   373,   971,  5073,  3553,  2800, -2377,
    2709,  2243,  2254,  3933,  4978,  2320,   430,   384,  1226,    37,
      38,    39,    40,  4086,  4590,    43,    44,  1631,  1863,  2472,
      45, -2324,  2274,  2978,  1062,  1063,  4115,  2277,  1774,  2753,
    2223,  5243,  1775,  3331,  1208,  2847,  2822,  2235,  2514,  2825,
    2841,  3981,  3301,   978,   978,  2369,  1929, -2973,  4664,  5625,
    1236,  2224,  5006,  5619,  2784,  3031,  5010,  3709,  1227,  2446,
     271,  2283,  4248,  2207,  1560,  2225,  1269, -2377,  5833,  4952,
    3089,  2344,  1318,  2832,  1501,  1263, -2101,  5051,  1062,  1063,
   -2377, -2324,  2523,  1164,  1839,  1840,  3164,  2357,  2125,  5824,
    4686,  1221,  2413,  4997,  3665,  4999,  1447,  4723,  2523,  2098,
    1864,  1173,  2366,  2885,  1447,  1447,  2246,  3060,  2303,  5520,
   -1864,  2305,  1186,   862,  2309,  5148,  2311,  2917,  4456,  2314,
    1774,  3479, -2210,  2318,  1775,  1391,   422,  4244,  3497,  1816,
    2211, -2702,  5795,  1374,  3453,  1397,  2711,  1210,  2215,  3270,
    3036,  1831,  2347,  2674,  2525,  5799,  2719, -2974,  2443,  2444,
    2445,  2446,  3930,  3931,  3932,  3933,  5723,  4102,   862,  4103,
    1379,   273,  5203,   379,  2559,  1380,  3097,  1381,  2597,  1443,
    2560,  5884,  5773,  2484,  1382,  3107,   274,  4608,  3862,  2650,
   -1869,  1234,   423,   275,  2979,  3098,   423,  1458,  4463,  1579,
    1259,   875,  4359,   876,  1187,  1579,  3554,  1865,  1866,  1259,
     718, -2120,   297,  3294,  3294,  3294,  2728,  1587,   718,  5355,
    3689,   316,   321,  2567,  2456,  2812,  4288,  4050,  2815,  2816,
     982,   718, -1859,  1561,  5744,  1567,  4414,  1572,  5916,   862,
    4645, -2971,   345,  1576,  1555,  4816,  1552,  5478,  1259,  5746,
    5870,  1184,  4817,  3404,  2236,  1093,  4853,   349,  1598,  3079,
     718,  2284,  3366,  1918,  3366,  3082,   718,  1567,  1572,  5732,
    3072,  3021,  3022,  4919,  4920,  4921,  4922,  4923,  4387,   718,
    2534,  1763, -1831,  1056,   379,  5227,  5330,  5846,  2725,  5745,
    4289,  4290,   768,  2675,   368,  5887,  5888,  1035,  1444,  3928,
    3929,  3930,  3931,  3932,  3933,   718,  1057,  1221,  2827,   978,
    1259,   373,  2895, -2970,  2223,  1185,  1499,  1036,  4415,  4413,
    1259,   718,  2760, -2566,   384, -2358,  4873,  1179,   718,  5046,
     921,  2754,  1598,  5435,  4170,  2224,   719,  2660,  1094,  2246,
    1499,   718,  2755,  4464,  2756,  3225,  4854, -2702,    81,  2227,
    4777,  1037,  1851,  5899,  2761,    79,  1502,   718,   863, -1831,
     375,  5826,  1819,  4630,  2416,  4912,  1548,  5759,  2059,  1785,
     978,  1919,  1553,  5825,  2535,  3513,  2005,  2459,  2676,  5395,
    2792,  2099,  2159,  5932,  1588,  2933,  4659,  3308,  5270,  1566,
    5033,  1571,  1854,  1565,  2085,  1570,  4751,  3863,  4087,  2006,
    4866,  1585,  2757,   863,  -149,  -149,  1179, -2702,  2926,  2660,
    2060,  1580,  1579,  2662,  1188,  1750,  3454,  1779,  3784,  1758,
    5924,  1601,  1603, -1613,  2160,  1600,  1602,  2661,  4855,  3412,
    1791,  2663,  5248,  3514,   421,  4660,  2348,  3099,   421,   923,
    5883,  1744,  4171,  1933,  2993,  3690,  5479,  1259,  1259,  4660,
      37,    38,    39,    40,  1118,  1238,   718,    44,  1118,  5273,
    4059,  4320,  4416,  5809,  2456,  1221,  3469,   750,  4831,  3070,
    4309,   375,  1172,  2971,   863,  1298,  4309,   423,  1865,  1866,
    2768,  1056,  1786,  4841,  1259,  2662,  1095,  3397,    35,  1997,
    5276,   877,   869,   983,  5601,  5280,    41,    42,  5282,  3545,
    5581, -1613, -1616,  2663,  1057,  2222,  1764,  4323,  3275,  2064,
    5228,  3915,  3916,  4778,  5195,  2065,  3935,  5631,  1056,  5624,
   -1831,   206,  1920, -2379,  4027,  1096,  1097,  5621,  4417,  5047,
    5633, -2358,  4412,  4014,  3104,  3105,  4014,  1844,  5521,  5760,
    5600,  1057,  3470,  5534,   718,   718,  3426,  5526,   984,   216,
    5830,  5831,  5876,  3965,  3966,  2972,  1874,   870,  1580,  1921,
   -2410,  2086,  4325,  4409,  3093,  4057,  2934,   871,  1594,  2664,
    5630,  2061,  4856,  5620,  1765,  4731,  1901,  1910,  4217,   720,
   -1616,  1916,  1974,   224,   985,  2161,   986,  1621,  1109,  2046,
    1922, -2358,    35,  2790,  5058,  5172,  3864,  1998,  1580, -1613,
      41,    42,  3427,  4601,  1844,  4660,  4031,  1183,  1079,  4032,
    4033,  4832,  2414,  3018,  2419,  5087,  1098,  2066,  1231,  1083,
    4034,  4035,  4036,   235,  4037,  4038,  2261,  2578,  1902,  4039,
    4040,  4041,  1118,  1118,  4172,  4173,   238,  3062,  4857,  5173,
      35,  2664,  3276,  2425,  1559,  5582,  4014,  5157,    41,    42,
    1595,  3469,  4328,  2901,  1923,  2186,  5810,  3020, -1613,   250,
    1259,  4174,  5518,  2246,  4842,  2580,  5503,  1499,  2262,  2062,
     872,  1259,  3865,   251,  2427,  2665,   129,   130, -1616,  4732,
    1206,  3038,  3398,  2162,  3399,  5918,  4218,  2579,  3311,  1091,
    1499,  1431,  3096,  4329,  3546,  2902,  3101,  5877,  3103,  3048,
    3014,  3106,  5753, -1831,  4485,  1499,  3054,  3473,  4330,  5856,
    3075,  3535, -1831,  2234,  2211, -1831,  1896, -1831,  5050,   421,
    5473,  1177,  1903,  2791,  2577,  5622,  2669,  3470,  4137, -2379,
    3111,  5811,  3039,  4511,  1298,  1298,   430, -1616,  1424,    37,
      38,    39,    40,  3094,  3050,    43,    44,  2665,  1999,  1259,
      45,  1207,  2973,  3341,  1117,  3055,  5812,  2989,  1117,  5022,
    3253,  4608, -1613,  3536,  5495,  2974, -2410,  5029,  2067,  3126,
    4138,  1425,  1173,  3159,  3161,  2649,  3095,  3188,  4042,  4733,
    3168,  2990,  2385,  1178,  1207,  2000,  3182,  3183,  3184, -2379,
    1210,  4938,  3031,  4699,  1499,  2578,  3200,  3202,  4099,  4331,
   -1613,  3212,  3369, -1613,  1426,  2068,   379,  1780,   873,  1781,
    1871,  1208,  3112,  3495,  1209,  1873,  2001,  5537,  4295,  4296,
    2521,  3625,  5541,  5542,  5340,  3593, -2410,  3626,  5832,  2263,
   -2207,  2612,  1193,  5834,   718,  4311,  2069,  4219,  4807,  5677,
    5166, -1616,  4810,  4811,  1208,  4813,  2005,  2235,   718,  5857,
    1427,  2246,  3537,  1179,  5858,  2579,  2903,    81,    81,  4835,
      81,  1432,  3634,   924,    79,    79,  4700,    79,  1259,  2006,
    1127,  5270,  1298,  1907,  4220,  1908,   718,  2528,  2529, -1616,
    2533,   862, -1616,  1844,  4826,  3823,  2678,  3592,  2817,  5684,
    5685,  5545,  3473,  3254,  4867,  4014,  2679,  1093,  3255,  2304,
    5882,  2306,  4660,  4667,  2310,  4221,  2312,  4161,  4827,  2315,
    2316,  2317,   718,  4476,  1210,  2827,  4043,  1433,  1798,  2720,
    3615,  4877,  2324,  1434,  4580,  2989,  1499,  2264,   718,  3627,
    1234,  4139,  1117,  1117,  3256,  1424,  2350,  4872,  2351,  3414,
    1548,  1185,  1185,   718,  1185,  4878,   718,  1210,  -689,  2990,
    3736,  3294,  5167,  3659,  2904,  2799,   879,  1259,  1210,  2537,
    5917,  3349,  2991,    35,  4956,    43,  4957,  4044,  1425,  1128,
      45,    41,    42,  3748,  3749,  3750,  3751,  5588,  4309,  1123,
    1094,    35,  4668,  1180,  1331,  3756,  1259,  2010,  3515,    41,
      42,  1819,  5931,   375,  5652,  5933,  4581,  5548,  2538,   880,
    1239,  4361,  4749,  1447,  3571,  3572,  2193,  2948,  3575,  2721,
    3538,  5750,  1240,  1241,  1259,  1259,  1259,  1799,  1259,  3415,
    2818,  1211,  5653,  2819,  2011,  3594,  1804,  4582,  1774,  4140,
    2450,  1242,  1775,  3597,  1243,  4016,  3600,  4249,  1259,  4669,
    1212,  4670,  4583,  3327,  2680,  2125,  3516,  1427,  4445,  2476,
    2477,  3578,  4584,  4924,  2236,  4925,  5406,  2193,  5607,  2194,
    2441,  2442,  2443,  2444,  2445,  2446,  1782,  3257,  2373,  1901,
    1032,  4045,   879,  2237,   718,   750,   750,  2492,  4585,  1332,
    3628,  2681,   718,   718,  1844,  2949,   422,   422,  2382,  1844,
    1844,  3483,  1259,   423,  5392,  4016,  1806,  5339,  5589,  5277,
    4958,  2540,  1756,    74,  3579,  5208,  5407,  1774,  4647,  4014,
    3074,  1775,  3631,  4014,  5408,   880,   863,  3629,  2398,  5209,
    1259,  1902,  1333,  2482,  1259,  1259,  4879,  3328,  1095,  3350,
    5182,  3455,  1804,  2411,  5423,  5549,   422,  1807,  5368,  1259,
    3459,  1160,  5409,  2616,  4660,   423,   423,   423,  3630,  3632,
    2704,  3735,  1974,  2594,  2195,  1244,  5867,  2541,  4494,  3580,
    4495,  4586,   941,  2029,  2589,  2590,   718,  1096,  1097,  5590,
    5242,    37,    38,    39,    40,  5463,  1298,  1334,    44,   750,
    3633,  3484,  4121,  2668,  1092,  3447,    37,    38,    39,    40,
    2608,  2610,   216,    44,  5068,  1245,   423,  2223,  1839,  1840,
    2030,  1126,  1806,   423,  1738,  2195,  2196,  1499,  5410,  1331,
    5612,  2669,  3378,  4388,   423,  1903,  4392,  5750,  2224,  5411,
     943,  3492,  2843,  1804,  1118,  3422,   224,  1916,  1805,  1760,
    1153,  1916,  2225,  1183,  1183,  2548,  1183,  4053,  4490,  4491,
    4492,  4493,  5613,  5278,  4498,  4499,  4500,  4501,  4502,  4503,
    4504,  4505,  4506,  4507,  3469,  5530,  3581,  2196,  4412,  2748,
    1844,  2749,  3778,  1166,  3568,  1118,   235,  1067,  1904,  5527,
    1844,  5757,  1739,  1499,  4058,    37,    38,    39,    40,   238,
    4648, -1097,    44,  5210,  4496,  1992,  5316,  4649,  5318,  1067,
    5076,  5077,  5459,  1806,  4497,  2197,  4162,  2125,  1199,  2654,
    4546,  4547,   250,  2031,  1332,  1905,  4320,   881,  1499,   209,
    2655,  3036,  4321,  3849,  3491,  5448,  3351,  1910,  1200,  2750,
    4650,  5170,  1910,  5449,  4322,  5181,   925,  2656,  1201,  2478,
    3470,  1499,  5364,  3569,  1807,   421,  1906,  5693,  4829,  1844,
    1029,  4651,  1844,  1844, -1662,  1886,  2197,  1333,  3241, -1662,
    3242,  2670,  4323,  1993,  4324,  1447,  2513,  5141,  5198,  5142,
    5143,  5161,  3471,  5144,  3745,  4163,  1907,  5604,  1908,  3970,
    3582,  3971,   879,  3243,  3653,   954,  2002,   955,  3583,  4619,
    2065,  3584,  1887,  5617,   216,  3577,  1910,   421,   421,   421,
    1910,   718,  1124,   869,  3972,  5412,  2479,  4245,  5413,  3472,
    2462,  2141,  1334,  1175,  5694,  4830,  3016,  4325,  1447,  4665,
    5640,  4721,  1499,  1888, -1662,   880,  1909,  3585,   224,  3804,
    5645,    37,    38,    39,    40,  1898,  1844,  1499,    44,  2830,
    2419,  1202,  3796,  4326,  5069,  5223,  2916,  2803,   421,  4620,
    4580,  5361,  2806,   423,  3667,   421,  1916,  3635,  1499,   430,
      37,    38,    39,    40,  3656, -1662,   421,    44,   235,  5610,
    3848,  1189,  1899,  4028,  5362,  5687,  4246,   718,  1196,  2657,
    2586,  3318,  1193,  2587,  3244,   718,  3132,  2513,  3636,  3245,
    4722,  2277,  2066,  5450,  3246,  3834,  3585,   718,  4101,  2419,
    2427,  2817,  4327,  1900,  3426,  3473,  4709,  4328,  1203,  1555,
    3973,  5070,  2494,  1499, -2766,  3974,  2869,  4368,   251, -2231,
    2875,     8,  4581,  -172,   869,  5426,  1259,  4378,  2425,  1259,
    3294,  2502,  3120,  1499,  1117,  3294,  4151,  5573,  5919,  1259,
    4014,  3294,  5574,  4235,  5034,  1499,  4075,  4014,  4329,   379,
    -172,  5151,  4014,  4582,  2495,  4014,  2760,  1499,  3301,  2427,
    4118,  4178,  5734,  4330,  4154,  4051,  2879,  3109,  4583,  5427,
    1259,  1259,  1231,   718,   718,  1117,   941,  4695,  4584,  1204,
    4076,  1314,  5152,  2588,  1237,   718,  4687,  4014,  2761,  5676,
    5575,  2037,  3882,  1499,  1499,  2943,   718,   718,  5320,  4455,
    3156,  4014,  4874,  2880,  4585,  5329,  3917,  2246,  1315,  1379,
      81,  3131,   379,    81,  1380,   430,  1381,    79,  3945,  1398,
      79,  1399,   718,  1382,  4701,  3637,  4708,  3247,  2055,    45,
    2005,  5792,  2038,  2818,   943,  4243,  2819,  3248,  4209,  4456,
    4466,  4724,  2039,  -586,  5361,   209,  3979,  3878,  3975,  3077,
    3968,  3078,  4825,  2006,  4331,  3080,  3638,  3081,  3976,  4667,
    3083,  4581,  1259,  1248,  3084,  2056,  2945,  5362,  5126,  2057,
    1447,    35,  2802,  2223,   987,    37,    38,    39,    40,    41,
      42,  5361,    44,  2743,  2277,  1264,  3301,  4586,  3994,  4940,
    2982,  5127,  4582,  2744,  2224,   421,  2058,  4900,  5821,  1259,
    1259,  5369,  3840,  5583,  5362,  1259,  1259,  5012,  2227,  4364,
    1266,  3181,  1259,  1259,  1259,  4316,  2924,  4584,  1259,  2881,
    1259,  1259,  1259,  1259,  1259,  1259,  2537,  1259,  3333,  1259,
    1259,  2770,  2882,  1259,  2223,  1785,   375,  5052,  4668,  4337,
    2269,  1298,  2285,  4427,  4428,   941,  2286,  1499,  1259,  1259,
    1259,  1259,   423,   869,  4796,  2224,  1259,  4014,  2883,  4779,
    1259,  4016,  2270,  1259,  4016,  2538,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  1259,  1259,  4797,  1259,  3416,  5879,  3419,
    4203,  4780,  2034,  3172,  1259,  1279,   422,  1259,  4110,   954,
    2040,   955,   862,  4204,  1280,  4669,   121,  4670,  4214,   375,
    5418,    35,   430,   943,  1447,    37,    38,    39,    40,    41,
      42,    43,    44,  1320,   125,   960,    45,  2008,  5906,  2035,
    4062,  4014,  2539,  2041,  5186,  1330,  4586,  2042,  3784,  3353,
    4885,  3196,  1547,   430,  2072,  4215,  2824,  2076,  5909,  3214,
    5219,   422,  5187,   422,   862,  3413,   423,  2743,  1786,  2467,
    2036,  1259,  1633,  2468,  3173,  3918,  3409,  2751,  2043,  3919,
    3920,  3921,  1892,  1329,  5865,  2770,  4216,  5088,  2540,    35,
    2570,  2571,  3239,  5092,  4016,    80,  2770,    41,    42,  2771,
    1384,  4128,  4662,  4663,  4309,  2770,  5920,  1387,  -464,  5921,
    3477,    37,    38,    39,    40,  1893,  2218,  2219,    44,  1894,
    4106,   423,   216,   423,  3753,  2211,  2772,  2640,  1406,  3754,
    5890,  4107,  4108,   862,  3174,  1177,  4307,  3175,  2486,  1390,
    5789,  2285,  4307,   718,  2541,  3067,  1844, -1663,  4644,  2773,
    1895,  2774, -1663,  2211,  1393,  2640,   224, -1835, -1835, -1835,
   -1835,    81,  4319,    81, -1835,   718,  1874,  3754,    79,  1221,
      79,  1795,  1499,  5570, -1613,  5572,  1499,  1499,   954,  5576,
     955,  5577,   717,   718,  4014,  1419,  2768,  3890,   423,   718,
    2849,  2523,  3944,   718,  3946,  3947,   235,  1178,  -585,  1598,
    1598,   718,   430,  1598,  2141,    37,    38,    39,    40,   238,
    2878,    43,    44,  1401,   421,  1402,    45, -1663,  3218,   718,
    -464,  3221,  1259,  1428,  5455,   375,  5611,  4354,  1429,  5941,
    1471,  3576,   250,  2771,  1259,  3231,  3891,  3176,  1499,  1430,
    3892,  1259,  3036,  4014,  2771,   972,   251,   863,  1436,  3922,
    1499,   990,  2487,  2771, -1842, -1842, -1842, -1842, -1663,  1439,
    2772, -1842,  4709,   718,  1774,   430, -2210,  1179,  1775,  1450,
    3923,  2772,   869,  1455,  4014,  1118,  4434,  4435,  4436,  1082,
    2772,   718,   718,  2773,  1500,  2774,  4230,  1447,  1510,  1447,
    1499,  2211,  1509,  1896,  2773,  1516,  2774,  4459,  1523,  2293,
    4238,  2294,  2770,  2773,  2359,  2774,  2360,  2088,   421,  2372,
    1530,   251,   423,   718,    35,   430,   423,  2519,  1550,  2520,
    2768,  1030,    41,    42,  4472,  5085,  2522,  1589,  2523,    45,
      45,  2768,  3924,  3009,  2211,  3010,  2640,   718,  2770,   423,
    2768,  1593, -1625,  4016,  3177,   718,  1598,  1604,   129,   130,
    1118,  1597,   718,  3586, -1625,  1610,   718,  5545,  3069, -1625,
    2523,    74,   862,   421,  4338,   421,  4340,  1447,   863,  1844,
    1611,   193, -1833, -1833, -1833, -1833,   718,  1844,  1612, -1833,
    1844,   718,  1067,  4014,  1067,   718,  1067,  1618,   423,  3741,
    1619,  5758,  1067,  1577,  1578,  5043,  2770,  1180,   718,  4432,
    4433,  4434,  4435,  4436, -1625,  1620,  4062,  3480,  1035,  4917,
    1624,   718,  4062,  3090,  2514,  3091,  1067,  1067,  4602,  4603,
    4604,   718,  3586,  3092, -1625,  3091,  1622,  4702,  1036,  3123,
     421,  3124,  3324,  3361,  2277,  2523,  3338,  3339,  4452,  4347,
    2013,  4350,  5546,  3555,  4406,  5547,  3489,  3301,  3490,  4597,
    2771,  2513,  1621,  4432,  4433,  4434,  4435,  4436,   216,  2014,
     216,  4437,  1037,  5548,  1623, -1625,  1259,  1499, -1836, -1836,
   -1836, -1836,  4683,  1627, -1625, -1836,   423,  2772,  3560,  3693,
    3561,  3694,  1628,  3586,  1839,  1840,  2771,  1630,   869,  -378,
   -1686, -1686,   224,  3586,   224,  3699,  1173,  3700,  2570,  3362,
    2773,  4242,  2774,  2418,  5245,  3771,  2419,  3772,  2015,  3995,
    1259,  3996,  3805,  2772,  2523,  -378,  4014,  3925,  3926,  3927,
    1762,  3928,  3929,  3930,  3931,  3932,  3933,  3842,  1759,  3091,
    3586,  3997,   235,  3998,   235,  2425,  2773,  2768,  2774,  3889,
    1173,  2523, -2975,  1067,  2771,   238,  4487,   238,  3898,  1499,
    2523,  4814,  1766,   718,   421,  4025,  4026,  4016,   421,  1767,
    4802,  4016,  1867, -1142, -1142,  1259,  2427,  3904,   250,  2523,
     250,  2772,  1768,  2768,  2770,  1117,  1773,  1787,  5373,  3542,
    4516,   421,   251,  1792,   251, -1395,  1793,  1802, -1395,  4014,
    4465,  3905,  2016,  2523,  2773,  2005,  2774,   863,  1795,  1796,
    1633,  5549,  3566,  3918, -1625,  1817,   718, -2975, -2975, -2975,
    1067,  5219,   869,  5835,   193,  3906,   869,  2523,  2006,  1818,
    3937,  5374,  2523,  1824,  1822,  4558,  4000,  4001,  4002,  1821,
     421,  2768,   206,  3967,  1828,  -378,  -378,  1832,  1837,   869,
    2017,  1833,  4974,  2018,  4307,  3950,  5375,  2523,  1829,  1221,
    1117,  3611,   934,  1173,  2826,  1834,   718,  1844,  1835,  1836,
     216,   862,  1838,  5376,  1839,  1840,  1774,  5377,  4748,  1795,
    1775,  3955,  1499,  3956,   718, -2975,  4196,  1845,  4197,  4250,
   -2975,  4201,   718,  4202,  1846,  2020,  1259,  5378,   869,  1499,
    5379,  4225,  1259,  4226,   224,  4400,  1848,  4401, -1834, -1834,
   -1834, -1834,  1499,   216,  5380, -1834,  1633,  1878,  4425,  3918,
    2523,  2770,  1259,  3919,  3920,  3921, -2975,  1259,   421,  4517,
    1877,  4518,  2771,  1880,  4527,  4538,  4528,  2523,  2022,  4628,
    4535,  4629,  1896,  4633,   235,  4634,   941,   224,  1038,  3704,
    1259,  1259,  1259,  1931,  4643,  1259,  3399,   238,  2023,  2772,
    4666,  1889,  3091,  1259,  1259,  1259,  1259, -1091,  4818,  1955,
    4819,   423,  4875,  2434,  3091,   972,  1259,   423,  2025,  1259,
     250,  1259,  2773,  4935,  2774,  2348,   869,   235,  4953,  4979,
    2523,  3124,  1259,  1259,  1039,  5381,  1259,  1958,  1960,  4991,
     238,  2523, -2972,  5382,   943,  5472,  1961,  5054,  1379,  3399,
    1259,   379,  1259,  1380,  1259,  1381,  5060,  1990,  5061,  2768,
    1994,  1995,  1382,   250,  1996,  5066,  4282,  3091,  5067,  5200,
    3091,  5201,  2002,  5250,  1259,  5251,  5252,  5836,  2523,  5260,
    5335,  3124,  5336,  5383,  2004,  1259,  5177,  1259,  1259,  1259,
    3740,  2009,  5419,  5456,  3091,  5457,  5474,  2012,  3124, -2975,
    3196,  3196,  5482,  2047,  5483,  3196,  2013,  2411,   718,  2771,
    3924,  5492,  1259,  2277,  5498,  1844,  4375,  5500,  4885,  4375,
      74,    74,  5808,    74,  1259,  2014,  5513,   862,  5514,  1259,
    5563,  5603,  5564,  2481,  2048,  1259,  2772,  2063,  5632,  1067,
    5514,  2013,  3196,  3196,  4932,  1259,   863,  5646,  5647,  3124,
    3956,  2411,  2073,  5648,  3923,  2523,  5659,  2074,  5660,  2773,
    2014,  2774,  2077,  5665,  4062,  2277,  2083,  2082,  3239,    35,
    5668,  5692,  4375,  3124,  2015,  2084,  2091,    41,    42,  5698,
    5699,  3124,  3124,  5702,  3988,  5703,  2089,  1499,  4062,  2092,
    1499,  2418,  1499,  2094,  2419, -2975,  2768,  1499,  3722,   954,
    4007,   955,  2441,  2442,  2443,  2444,  2445,  2446,  5704,  2015,
    5705,   957,   718,   718,  2097,  5730,  3924,  5731,  1259,  5777,
    2101,  5778,   959,  2425,  5781,  2141,  2277,  5782,  4016,  2523,
   -2975,  5783,  5785,  2523,  2523,  4016,  2108,  4704,   375,   718,
    4016,  2109,   718,  4016,  2770,  5804,  1499,  5805,  5828,  2102,
    5829,   862,  2112,   421,  2427,   862,  2115,  3578,  2016,   421,
    4007,  2118,  2121,  1499,  1172,  2123,  5852,  1377,  4375,  5864,
    5889,  5506,  5514,  2129,  3951,  4016,  2132,  5927,   862,  5703,
    3958,  5929,  5944,  5930,  5778,  5658,  2125,  2134,  1499,  4016,
    4929,  4930,  4931,  2016,  2143, -2975, -2975, -2975,  2144,  3928,
    3929,  3930,  3931,  3932,  3933,  5951,  2017,  5930,  2148,  2018,
    3579,   869,  1801,  2149,  1803,  4848,  4849,   869,  -192,  2151,
    2826,  3978,  2152,   423,   423,   423,  2154,   862,  2156,  5041,
    1448,   990,  5011,  2157,  5014,  2172,  2179,  2181,  2185,   898,
    1067,  2017,  2205,  2190,  2018,  1067,  1067,   718,  2198,  4688,
    2204,  2020,  2206,  2770,  2207,  2826,  2211,  1499,  2214,  1499,
    3723,  2215,   863, -2975,  2217,  3580,  2231,   718, -2975,  2233,
    2241,  2242,  2245,    80,  2246,  2253,  2257,  2258,  2260,  2265,
    2266,   718,  2268,  2280,  2273,  2276,  2020,  2279,  2291,  2325,
    2356,  2361,  2771,  5091,  2022,  2370,  2371,  2377,  2363,  2378,
    4963,  3925,  3926,  3927, -2975,  3928,  3929,  3930,  3931,  3932,
    3933,  2364,  2379,  2380,  2023,   862,  2453,  2381,  2585,  2772,
    1577,  1578,   251,  2383,  4552,  2384,  2451,  2385,  2386,  2022,
    2387,  2388,  1606,  2390,  2025,  2391,  2392,  2393,  2394,  2600,
    1499,  2395,  2773,  2396,  2774,  4016,  2607,  2609,  2397,  2023,
    2399,  2434,  2400,  2401,  2402,  2455,  2403,  2404,  4725,  2405,
     718,  2456,  3581,  2406,  2485,  2497,  1626,  2481,  1499,  2025,
    1579,  2518,  2507,  2526,  1805,  1807,  1741,  2555,   967,  2768,
    1753,  1448,  1755,  5039,  4423,  2557,   863,  2566,  2569,  2576,
     863,  1210,  4302,  1499,  2593,  2591,  2584,  2595,   423,  1499,
    1844,  2771,  2603,  4382,  3724,   718,  1844,   718,  2604,  4016,
    2606,  2611,  1598,   863,  4395,  2613,  1067, -2918,  2617,  2618,
     718,  2615,   718,  2827,  2619,  2636,  1067,  2635,  2772,  2637,
    4355,  2638,  2640,  2641,  2642,  2643,  2644, -2975,  4422,  1173,
    2645,  2646,  2652,  2671,   423,  2677,  2683,  2706,  2710,  3725,
    2712,  2773,  2713,  2774,  2714,  2715,  2717,  2718,  1173,  2733,
    2746,  2734,   863,  2735,  2747,   421,   421,   421,  1499,   717,
     717,  2762,  2765,  2764,  1875,  2758,  3582,  2766,  1298,  2767,
    5162,  2768,  2776,  2777,  3583,   718,  1499,  3584,  2768,  2778,
    4560,  4561,  4562,  4563,  2779,  1067,  2780,  2785,  1067,  1067,
    2789,  1499,  2786,  2797,  2795,  2796,  2801,  2798,  2804,  2813,
    2808,  2820,  2809,  1974,   978,  2823,  2835,  5128,  5129,  2838,
    5131,  2821,  2861,   869,   869,   869,  2844,  2845,  5567,  2862,
    2868,   718,  2828, -2975,  2829,  2833,  2834,  2837,  2842,  1281,
    2441,  2442,  2443,  2444,  2445,  2446,  1282,  1283,  1284,   718,
     863,  2839,  4016,  5385,  2850,  5900,  2851,  2867,  5083,  2863,
    5903,  2873,  2889,  2877,  2891,  2892,  2894,  2898,  2910,  5288,
    2899,   718,  2900,  2906,   718,  2907,  5303,  2893,  2908,   375,
    2909,  2918,  1067,  2913,  2919,  2920,  2911,  5557,  1844,  5559,
     375,  2925,  1259,  2928,  2929,  1499,  2932,   936,  2937,  2946,
     862,  1259,  3070,  2962,  2957,  2961,   862,  1259,  2943,  1259,
    2965,  4016,  1259,  2031,   375,  2970,  1499,  1259,  1259,  1259,
    1259,  2981,  2984,  1259,  1259,  1259,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  2988,  5122,  2987,  1259,  1259,  2997,  3001,
     421,  1499,  4016,  3003,  3005,  3006,  1259,  5185,  3012,  3017,
    1259,  3023,   423,  3025,  1259,  3026,  3033,  3030,  3041,  3031,
    3043,  2924,  1259,  3034,  3044,  1259,  3045,  1259,  3046,  3057,
    3058,  3007,  3086,  3087,  3102,  1499,  1259,  3108,  3121,  1259,
    1259,  3134,  3164,  3213,  1259,  1259,   421,  3219,  3169,  2419,
    4307,  1259,  3223,  3232,  3238,  3250,  3019,  3272,   869,  3252,
    3273,  1259,  3287,  3304,  1259,  3305,  3027,  3611,  3028,  5714,
    5716,  3307,  3312,  3310,  3032,  3315,  3316,  1259,  3035,  3314,
    1178,  3326,  5708,  1259,  1259,  1259,  5179,  3196,  3196,  3196,
    3196,  3325,  3334,  3196,  3196,  3196,  3196,  3196,  3196,  3196,
    3196,  3196,  3196,  3335,   869,  3336,  3337,  3354,  3368,  3347,
    5416,  4016,  3370,  3371,  2471,  3389,  3388,  3417,  3391,  2418,
    4520,  3420,  2419,    74,  4918,  1193,    74,  3422,  3424,  3425,
    1259,  3446,  3431,  1448,  3441,  3442,  3436,  3444,  3452,  3448,
    3456,  3464,    80,    80,  3465,    80,  1259,  3468,  3481,  3196,
    3196,  2425,  3482,  3487,  1760,  4759,  1756,  3498, -2975,  4061,
    2411,  1448,  1499,  3503,  3504,  3517,  3522,  3523,  3544,  3549,
    3559,  3552,  3550,  5481,  1259,  3587,  4567,  3567,  3643,  4572,
    3655,  3662,  2427,  3666,  3663,  3670,  3675,  3676,  5323,  3677,
    3681,  3686,  3688,  3695,  3692,   863,  3701,  3713,  3714,  3728,
    3730,   863,  3732,  3734,  3743,   718,  3746,  2352,  5806,  3752,
    3760,  3755,  3761,  3763,  3764,  3762,  3768,  3765,  3774,  3777,
    3776,  3170,  3171,  3780,  3795,  3781,  3794,  3798,  3185,  3186,
    3799,  1448,  3800,  3801,  3803,  3806,  5346,  3808,  3811,  1633,
    2587,  3830,  3918,  3812,  4016,  3832,  3919,  3920,  3921,  4545,
    3833,  3820,  3809,  3810,   421,   423,  3837,  3224,  3847,  3844,
     423,  1499,   423,  4536,  3845,  3821,  3846,  2418,  1844,  3855,
    2419,  3135,   862,   862,   862,  4522,  2277,  2274,  3858,  2243,
    3859,  3857,  3866,  1298,   423,  1499,  3874,  5345,  3869,  3876,
    1595, -2975,  1844,  3880,  3883,  5347, -2975,  3881,  3886,  2425,
    3900,   423,  3903,  3901,  3884,  2415, -2975, -2093,  2523,  3952,
    3902,  3907,   869,  2600,  2417,  3908,   718,  4016,  3910,   718,
    4062,  5708,  3913,  5569,  3914,  3969,  3977,  5341,  2460,  5387,
    2427,  1298, -2975,  3936,  3942,  3949,  3963,  3964,  3986,  3991,
    3987,  5721,  4019,  4072,  1287,  1288,  1289,  4064,  1290,  1291,
    1292,  1293,  1294,  1295,  4070,  4068,  3989,  4074,  4081,  1448,
    4104,  4109,  2491,  2493,  4112,  4111,  4120,  1448,  1448,  4024,
    2589,  2590,  4123,  4125,  3990,  5491,  3993,  1067,  4088,  2434,
    4094,  1259,  4092,  4093,  2285,  4132,  5491,  4097,  4147,  4098,
    4895,  4148,  4116,  5476,  4158,  4117,  4164,  4548,  4160,  4165,
    4166,  4167,  4181,  4182,  4200,  4184,   718,   718,  4192,  4210,
    1499,  4190,  1633,  4229,  4233,  3918,   718,  4227,  4191,  3919,
    3920,  3921,  2348,  1259,  4231,  4234,  4237,  4240,  4239,   422,
    4251,  4241,  1067,  4253,  2413,   718,  4981,  3923,  4254, -2975,
    4255,  4256,  4257,  4260, -2975,  4422,  4258,   862,  4263,  4268,
    4265,   717,  1867,  4259,    74,  4267,    74,  4272,  4261,  1499,
    1259,  1259,  1447,  4276,  4274, -2975,  2859,  4262,  5561,  4264,
    4266,  4269,  4278,  4287,  4279,  4281,  4291,  4292,  4294,  4300,
   -2975,  4356,  4314,  4358,  4345,  4360,  4352,  4346,  4363,   423,
    4377,  3196,  4374,   862,  1067,  4386,  4375,   421,  4383,  3924,
    4390,  4389,   421,  4393,   421,  5056,  4394,   863,   863,   863,
    4397,  4398,  4410,  4420,   718,  4429,  4439,  4448,  1844,  4431,
    4441,  4449,  4450,  3542,  4453,  4720,   421,  2434,  4460,  4451,
    4458,  5686,  4461,  4462,  4469,  1259,  4470,  4471,  4007,  2372,
    4473,  4474,  4475,   421,  4479,  3939,  1259,  3566,  3918,  3938,
    4529, -2092,  1179,  2418,  4553,   869,  2419,  4540,  4513,  4488,
     869, -2975,   869,  4541,  3611,  4570,   375,  4514,  2441,  2442,
    2443,  2444,  2445,  2446,  1633,  4515,  1259,  3918,  4559,  4622,
    4599,  3919,  3920,  3921,   869,  2425,  1259,  1259,  4521,  1499,
    4625,  4571, -2975,  1259,  1259,  5666,  4579,  4544,  1259,  1499,
    4596,   869,  4609,  1259,  4594,  4611,  1259,  1259,  4612,  4614,
    3923,  1259,  4613, -2975,  4616,  4617,  2427,  1259,  4627,  4631,
    4646,   375,  5651,  4639,  5042,  5044,  4653,  4674,  5094,  1259,
    4676,  4677,  4682,  4690,  2831,  4689,  4691,  1259,  4694,  5667,
    2836,  1259,  4692,  4696,  5669,  4698,  5671,  4712,  5683,  4715,
    4730,  4727,  4742,  4728,  1259,  1067,  1447,  4743,  4744,  1259,
    4754,  4745,  4729,  1067,  4740,  1259,  1067,  4756,  4741,  4757,
    4767,  4768,  3924,  4773,  4776,  4791,  4793,  5036,  4795,  4703,
    4798,  4805,   863,  1259,  3925,  3926,  3927,  4806,  3928,  3929,
    3930,  3931,  3932,  3933,  4808,  4809,  4812,    81,  4822,  4836,
    4845,   862,  4833,  4887,    79,  4851,  4859,  4865,  4892, -2975,
    3091,  4864,  4868,  4871,  1259,  4906,  2441,  2442,  2443,  2444,
    2445,  2446,  4893,  4870,  4908, -2975,  4910,  4913,   863,  4933,
   -2975,   421,  1499,  4927,  4937,  4939,  4945,  4905,  4909,  5002,
    4955,  4964,  4911,  1298,  4965,  5007,  4915,  4916,  4966,   718,
    4967,  4950,  4007,  4959,   423,  2958,  4007,  4960,  4968,  2963,
   -2094,  4987,  4972,  5000,  5015,  5003, -2975,  1844,  5005,  5008,
    1499,  5016,  3923,  5021,  5023,  5020,  5024,  5026,  5027,  5040,
    5028,  5049,  5053,  5055,  5057,  5062,   718,  5063,  5071,  5089,
    5090,  1499,  5099,  5100,  5101,  5093,  5121,  5119,   718,  5124,
     375,   375,  5132,  5125,  5153,  5140,  5154,  5112,  5159,  5160,
    5115,  5145,  5163,  2434,  1259,  5169,  5174,  5168,  5175,  5178,
    1633,  5176,  5183,  3918,  5191,   718,  5194,  3919,  3920,  3921,
    5197,  5204,  5214,  5215,  3924,  5202,  5212,  5216,  5217,  5225,
    5230,  5235,  5240,  5239,  4982,  5246,  1633,  5247,  5249,  3918,
    5256,  5254,  5265,  3919,  3920,  3921,  1499,  3925,  3926,  3927,
    5257,  3928,  3929,  3930,  3931,  3932,  3933,  5258,  5259,  5281,
    5797,  3813,  3816,  5661,  5301,  5311,  5314,  5317,  5332,  5271,
    1259,  5307,  5328,  5274,  5337,    80,  5331,  5285,    80,  5338,
    5343,  5349,  5350,  5354,  1259,  1447,  5367,  5359,  5360, -2975,
    5386,  5388,  4832,  5394,  5399,  5396,  5398,  5401,  5402,  5405,
    5404,  5422,  5429,  5434,  5437,  5439,  5458,   718,  5446,  5447,
    5431,  5462,  2418,  1259,  5460,  2419,  5468,  5477,  5461,  2420,
    2421,  2422,  5480,  5484,  5490,  5506,   863,  5501,  5511,  5494,
    5844,  5845,  5497,  1067,   862,  5510,  2423,  5531,  5502,   862,
    5504,   862,  5522,  5532,  2425,  5529,  5538,  5584,  5544,  5591,
    5595,  2426,  5586,  5598,  1499,  5605,  1499,  5616,  5596,  5627,
    5615,  5623,  5628,   862,  5609,  5629,  5636,  5637,  5638,  5639,
    5644,  5649,  5657,  5673,  5674,  2427,  3180,  5650,  5670,  5679,
     862,  5678,  5691,  5695,  5713, -2975,   421,   718,  5719,  5720,
    5724,  5726,  2441,  2442,  2443,  2444,  2445,  2446,  5681,  5736,
    5729,  5733,  5737,  1259,  5742,  5754,  5755,  1499,  3923,  3925,
    3926,  3927,  1259,  3928,  3929,  3930,  3931,  3932,  3933,  5762,
    5800,  5774,  5763,  5798,  5807,  5722,  5723,  5816,  5817,  1259,
    1259,  5847,  5862,  1259,  3923,  5855,  5756,  5875,  5898,   708,
    5901,  5772,  5908,  4554,   869,  5791,  5922,  5793,  1259,  5923,
    5815,  5872,  5881,  5896,  5925,  1259,  5897,  5904,  5928,  5945,
    1259,  5935,  5936,  1259,  1259,  5946,  5947,  5942,  5943,  1191,
    3924,  1259,  1259,  2874,  2045,  3737,  2504,  4054,  2044,  3616,
    3548,  4175,  4718,  3309,  2428,  4711,  5907,  5801,  5306,  2429,
    4299,  3654,  4815,  5578,  1173,  1259,  3924,  1259,  5707,  5873,
    5438,  4847,  1959,   718,  5158,   718,  5308,  5415,  3843,  1259,
    2430,  2431,  4114,  3196,  5949,  5950,  5794,  5321,  5869,  5727,
    5725,  2418,  5253,  5814,  2419,  2432,  5886,  4119, -2975, -2975,
   -2975,  4876,  4896,  5689,  4840,  4716,  2600,  3711,  3712,  4052,
    4194,  1067,  4362,  5421,  4863,  3702,  4370,  1499,   718,  2033,
    5425,  5874,  5948,  2425,  1844,  5940,  5180,  1259,  2433,  2203,
    2426,  5400,  5819,  4317,  4301,  5420,  5348,  2936,  5540,   863,
    4007,  5697,  2434,  5351,   863,  4007,   863,  1087,  4007,  4934,
    2345,  5517,  2358,  3394,  2427,  4902,  2230,  4105,   717,  3013,
    5634,  1449,  3130,   423,  3047,  3128,  4275,  4746,   863,  1259,
    3129,  5451,  4366,  4766,  1875,  5838,    80,  5934,    80,  2244,
    1770,  2651,  3321,  3320,  3076,   863,  5310,  4880,  5045,  2255,
    1524,  5788,  4635,  2292,  4067,  2259,  3839,  2524,  2466,  2120,
    4060,  2267,  3346,  4610,  4069,  5784,  2551,  2275,  5672,  2418,
    2278,  5031,  2419,  3345,  2552,  4574,  1448,  4998,  2556,  5496,
    5013,  4568,  5442,  5656,  2561,  3925,  3926,  3927,  2436,  3928,
    3929,  3930,  3931,  3932,  3933,  1259,  5655,  1499,  4569,   383,
    4636,  2425,  5937,  5854,  5902,   383,  5775,  5475, -2975,  4523,
     712,  3925,  3926,  3927,  5304,  3928,  3929,  3930,  3931,  3932,
    3933,  5786,  5771,  2428,  1259,  1499,  5787,  1259,  2429,  1259,
    3277,  3984,  2427,  3895,  4056,  3982,  3286,   383,  1224,  4421,
    2192,  3797,  5764,  3372,  2575,  1755,  1194,  1546,  3363,  1259,
    3008,  2568,  1885,  1633,  1856,  1259,  3918,  2353,  3376,  1259,
    3919,  3920,  3921,  3379,  2432,  1499,  4049,  3377,  1857,  4641,
    1259,   375,  5032,  4642,  2470,  4615,  1217,  2572,  3088,  3841,
      83,  5309,   383,  3383,  2437,  1584,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,  4549,
       0,     0,     0,     0,     0,     0,     0,   375,     0,     0,
       0,  2434,     0,     0,   423,  2282,     0,     0,     0,     0,
       0,     0,  1499,     0,     0,     0,     0,  1499,  1499,     0,
       0,     0,  1259,     0,  3196,     0,     0,     0,     0,     0,
       0, -2975,     0,     0,  1844,  1844, -2975,     0,     0,     0,
     718,  5618,     0,   383,     0,     0,     0,  1844,     0,  3196,
       0,     0,     0,   862,  2418,   421,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,  4007,     0,     0,     0,     0,  1259,
       0,     0, -2975,     0,     0,  2411,  5372,     0,  2423,  3651,
       0,     0,     0,     0,     0,     0,  2425,  2436,     0,     0,
       0,     0,  1259,  2426,     0,     0,     0,     0,     0,     0,
       0,     0,  3669,     0,     0,  3669,     0,  3669,     0,     0,
       0,  3669,     0,   869,     0,     0,     0,  2427,  5675,  2434,
    3669,  3669,  3669,     0,     0,  1499,  1499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5643,     0,     0,     0,
       0, -2975,     0,     0,     0,     0,  1067,     0,  1259,     0,
       0,  1259,  1067,     0,  1259,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1259,     0,     0,     0,     0,
    1259,     0,  1259,     0,  1259,     0,  4351,     0,  3747,     0,
       0,     0,  1259,  2437,     0,     0, -2975, -2975, -2975,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    1259,     0,     0,  3924,   383, -2975,     0,  4007,     0,  2418,
    3779,     0,  2419,     0,     0,     0,     0,   375,  1448,     0,
       0,     0,     0,     0,     0,     0,  2428,     0,     0,     0,
       0,  2429,   423,     0,   718,     0,     0,     0,     0,   383,
       0,  2425,     0,     0,  3818,     0,   421,     0, -2975,     0,
       0,     0,  2430,  2431,     0,     0,     0,     0,  5895,  4426,
       0,     0,     0,     0,  3196,     0,  3816,  2432,     0,     0,
       0,  1448,  2427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,   863,     0,
       0,  1259,     0,     0,   375,     0,     0,     0,     0,     0,
    2433, -2975,     0,     0,   869,     0,     0,     0,  2441,  2442,
    2443,  2444,  2445,  2446,  2434,     0,     0,  2435,     0,     0,
    1259,  1259,     0,     0,     0,     0,     0,     0,  1259,   423,
       0,     0,  1499,     0,  1067,     0,     0,     0,  1259,  4985,
       0,     0,     0,     0,  5820,     0,     0,   718,     0,     0,
       0,     0,     0,     0,  5840,     0,     0,   379,     0,  5841,
    1259,  5842,     0,     0,     0,     0,     0,     0,  5843,     0,
       0,     0,     0,     0,     0,     0,     0,  3138,  1844,     0,
    1844, -2975,     0,     0,     0,     0, -2975,     0,  3925,  3926,
    3927,     0,  3928,  3929,  3930,  3931,  3932,  3933,     0,     0,
    2436,     0,     0,     0,     0,     0,     0,     0,  2013,     0,
    1259,   715,     0,     0,     0,  1259,     0,     0,     0,     0,
       0,     0, -2975,     0,  1259,  3139,     0,  2014,     0,  5840,
    1259,  1259,   379,  1259,  5841,     0,  5842,     0,  3196,     0,
       0,  1251,  1259,  5843,     0,     0,     0,     0,  5861,     0,
    1271,     0,     0,     0,     0,     0,     0,  3140,     0,  1259,
       0,     0,  1275,     0,     0,     0,     0,     0,     0,  2434,
    1306,     0,     0,   718,   421,     0,  2015,  4703,     0,     0,
    3141,     0,     0,  1326,  2674,     0,     0,     0,  1069,  1385,
       0,  3142,     0,     0,     0,  5372,  2437,  1259,     0,  2438,
    2439,  2440,   862,  2441,  2442,  2443,  2444,  2445,  2446,     0,
    1069,  3143,   708,     0,  5840,  3909,  3144,   379,   708,  5841,
     375,  5842,     0,  1448,  1259,     0,     0,  5861,  5843,  1259,
       0,   708,   869,     0,     0,     0,     0,     0,     0,  4704,
       0,  4638,     0,     0,   375,     0,     0,  1844,     0,   423,
       0,  1251,  5853,     0,     0, -2975,  5914,     0,     0,     0,
    2016,  1271,     0,     0,     0,  3145,  1259,     0,     0,     0,
       0,   421,  1259,  3042,     0,     0,     0,     0,     0,     0,
       0,  3049,     0,     0,     0,     0,  3146,     0,     0,     0,
       0,     0,  5776,     0,     0,     0,  1259,  3059,   423,     0,
       0,     0,     0,     0,     0,  5914,     0,     0,  2017,     0,
       0,  2018,     0,   423,  1259,  1259,     0,     0,     0,  5894,
    5914,     0,  2826,     0,  4705,     0,     0,     0,     0,   869,
       0,     0,     0,     0,  3196,     0,     0,     0,     0,  3196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2975,   898,  2020,  1067,  3147,     0,  1448,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1067,     0,
       0,  3148,     0,     0,  1067,   383,     0,     0,  3149,   383,
       0,     0,     0,   862,     0,  3150,  2022,     0,     0,     0,
       0,     0,  1272,   712,   375,     0,     0,     0,     0,     0,
       0,   712,     0,     0,     0,     0,  2023,     0,     0,     0,
       0,     0,     0,  3151,   712,     0,     0,     0,  3152,     0,
       0,  3153,     0,     0,     0,     0,  2025,   863,  4706,     0,
       0,  4707,     0,     0,  4199,     0,    35,     0,     0,  3154,
       0,     0,     0,   712,    41,    42,  1577,  1578,     0,   712,
    2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,     0,   712,     0,  3155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2423,     0,     0,  2424,     0,     0,
       0,   421,  2425,     0,  4236,     0,   708,   708,   712,  2426,
       0,     0,     0,     0,     0,  3786,     0,     0,     0,     0,
       0,     0,  5913,  1272,   712,     0,     0,     0,     0,     0,
       0,   712,     0,  2427,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,   712,     0,     0,     0,     0,  2768,
     421,     0,  3317,     0,     0,     0,     0,     0,     0,   869,
     712,     0,     0,     0,     0,   421,     0,  4273,     0,  1935,
       0,  5913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5913,     0,     0,     0,
       0,     0,     0,  3816,  3816,  3816,  3816,  3816,  3669,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   869,     0,
    4298,  1251,  2418,     0,  1067,  2419,     0,     0,  4312,  2420,
    2421,  2422,  1271,   869,  4312,     0,     0,     0,  1937,     0,
    1448,   862,  1448,     0,     0,     0,  2423,     0,   863,     0,
    3786,     0,  2428,     0,  2425,     0,     0,  2429,     0,     0,
       0,  2426,     0,     0,     0,     0,     0,     0,     0,   712,
    1934,  1934,  1938,     0,     0,     0,     0,     0,  2430,  2431,
       0,     0,     0,     0,     0,  2427,     0,     0,  4373,     0,
     383,     0,     0,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,  3787,     0,  1935,  1935,   382,  1939,     0,     0,
    2183,     0,   382,     0,     0,     0,     0,   711,     0,  4405,
    1448,     0,     0,     0,     0,     0,  2433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   862,     0,
    2434,  1940,     0,  2435,   382,     0,     0,     0,  3818,     0,
       0,     0,     0,     0,     0,     0,     0,   712,   712,     0,
       0,     0,     0,  1937,  1937,     0,     0,     0,     0,     0,
       0,     0,  1942,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2600,     0,     0,     0,     0,     0,   382,
       0,     0,     0,     0,  2428,     0,     0,  1938,  1938,  2429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      74,     0,   209,     0,     0,     0,  1944,     0,     0,     0,
    2430,  2431,     0,  1945,     0,     0,  2436,  3787,     0,     0,
       0,  1946,  1939,  1939,     0,  2432,     0,  1113,     0,  2727,
       0,     0,     0,     0,     0,  1113,     0,  1113,     0,     0,
       0,  1948,  1962,     0,     0,     0,     0,     0,  1963,  1949,
     382,     0,     0,     0,     0,     0,  1940,  1940,  2433,     0,
       0,  2049,     0,  1067,     0,     0,   863,  1067,     0,     0,
    3789,     0,  2434,     0,  1272,  2435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4533,  1942,  1942,  1964,
       0,     0,  5109,  5110,     0,     0,     0,  5113,  5114,     0,
       0,     0,     0,     0,  1950,  2685,     0,     0,  3790,  2943,
    2686,     0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,   209,   209,     0,
    2726,  3788,  1944,     0,     0,     0,     0,     0,  1945,  1945,
       0,  2050,     0,  1966,  2687,     0,  1946,  1946,   862,     0,
    1967,     0,     0,  1968,  2727,  2727,     0,  2688,  2436,     0,
       0,     0,     0,   863,     0,     0,  1948,  1948,     0,     0,
       0,     0,  2689,     0,  1949,  1949,     0,     0,  1969,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2418,     0,  3789,  2419,   862,     0,     0,
    2420,  2421,  2422,     0,     0,     0,     0,     0,     0,     0,
    1970,   382,   862,  2690,     0,     0,     0,  2423,     0,     0,
       0,     0,     0,     0,  2691,  2425,     0,     0,     0,  1950,
    1950,     0,  2426,  3790,     0,     0,     0,   712,     0,     0,
       0,     0,     0,     0,  2692,     0,   382,     0,  3802,  2693,
       0,   712,     0,     0,  2437,  3807,  2427,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,  1971,
       0,  1972,  3822,  3959,     0,     0,     0,     0,     0,   712,
       0,  1973,  3828,  1069,     0,  1069,  3829,  1069,     0,  3831,
    1974,     0,     0,  1069,     0,  3835,     0,  3836,     0,     0,
    3838,  1975,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   712,     0,  1069,  1069,  2694,
       0,     0,     0,     0,     0,     0,  4312,     0,   708,     0,
       0,   712,     0,     0,     0,     0,     0,     0,  2051,     0,
       0,  1977,  1978,     0,     0,     0,   712,     0,     0,   712,
    4753,     0,     0,  2695,     0,     0,     0,  4760,     0,     0,
    4761,     0,  4762,     0,     0,  2428,     0,     0,     0,  2052,
    2429,  3877,     0,  1962,     0,     0,     0,     0,     0,  1963,
       0,     0,     0,   863,     0,   898,  2013,     0,     0,     0,
       0,  2430,  2431,     0,  5305,     0,     0,     0,     0,     0,
       0,     0,  4801,     0,     0,  2014,  2432,     0,     0,     0,
    3669,     0,     0,     0,  3669,  3669,     0,  3669,     0,     0,
    1964,  2696,  4298,     0,     0,     0,     0,     0,  2697,     0,
       0,  2698,   863,  1980,     0,     0,     0,     0,     0,  2433,
       0,     0,     0,     0,  1069,     0,     0,   863,     0,     0,
       0,     0,     0,  2434,  2015,     0,  2435,     0,   715,   715,
    1067,  2699,     0,  1872,     0,     0,     0,     0,  2700,     0,
       0,     0,     0,     0,  1966,  2701,     0,   712,     0,     0,
       0,  1967,  2702,     0,  1968,   712,   712,     0,     0,     0,
       0,  2418,     0,     0,  2419,     0,   383,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,  3786,  2703,     0,  1969,
       0,  1069,     0,     0,     0,  2423,     0,     0,     0,     0,
    4899,     0,     0,  2425,     0,     0,  1934,     0,     0,     0,
    2426,     0,     0,     0,     0,     0,     0,     0,  2016,  2436,
       0,  1970,     0,     0,     0,     0,     0,     0,   383,   383,
     383,     0,     0,  2872,  2427,  3818,  3818,  3818,  3818,  3818,
    1935,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,  2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,  2017,     0,     0,  2018,
       0,     0,  4942,  4942,  4942,  2423,  4942,  4942,  4942,   383,
    2019,     0,  1972,  2425,     0,     0,   383,     0,     0,     0,
    2426,     0,  1973,     0,     0,     0,     0,   383,     0,  1937,
       0,  1974,     0,     0,     0,     0,     0,     0,     0,  2947,
       0,  2020,  1975,     0,  2427,  2437,     0,  2964,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,  2872,
       0,     0,  3222,  1938,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,  4124,     0,  1251,  2429,  2021,
    1251,     0,  1977,  1978,  2022,     0,     0,     0,     0,     0,
       0,     0,     0,  3787,     0,     0,     0,     0,  1939,  2430,
    2431,     0,   382,     0,  2023,     0,   382,     0,     0,     0,
    2024,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
     711,  1271,  1271,     0,  2025,     0,     0,     0,   711,     0,
    1067,  1067,  1940,     0,     0,     0,  3040,     0,     0,     0,
       0,   711,  5030,  1067,     0,  5037,  5038,  2433,     0,     0,
       0,     0,     0,  2428,     0,  4183,     0,  4185,  2429,  2872,
       0,  2434,     0,  1942,  2435,     0,     0,     0,     0,     0,
     711,     0,    80,     0,  1980,     0,   711,     0,     0,  2430,
    2431,     0,     0,     0,     0,     0,     0,     0,     0,   711,
       0,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
    1069,     0,     0,   209,   712,     0,     0,  1944,     0,     0,
       0,     0,     0,  1271,  1945,   711,     0,     0,     0,     0,
       0,     0,  1946,  1962,     0,     0,     0,  2433,     0,  1963,
    2727,   711,     0,     0,     0,     0,     0,     0,   711,  5641,
       0,  2434,  1948,     0,  2435,     0,     0,  2436,     0,     0,
    1949,   711,     0,     0,     0,     0,   383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
    1964,  3789,     0,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,  1962,  4270,     0,   712,     0,
       0,  1963,  4277,     0,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,  2049,  1950,     0,     0,     0,  3790,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1965,     0,     0,     0,  1966,     0,     0,  2436,     0,  5135,
    5136,  1967,  1964,     0,  1968,     0,     0,     0,     0,  3669,
       0,  3669,  3669,  2437,     0,  3669,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,  1969,
    4313,     0,     0,     0,  1113,     0,   711,     0,  1113,     0,
       0,     0,     0,  1272,  1272,     0,   712,   712,     0,     0,
       0,     0,     0,     0,  2050,     0,  1966,   382,   712,     0,
       0,  1970,     0,  1967,     0,     0,  1968,     0,     0,   712,
     712,  1069,     0,     0,  5193,     0,  1069,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1969,     0,  2437,     0,   712,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,  5218,     0,
    4481,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1971,     0,  1972,  1970,   711,   711,     0,     0,     0,     0,
       0,     0,  1973,     0,     0,  1272,     0,     0,  4438,     0,
    4440,  1974,  4442,     0,  1067,     0,  1067,     0,  4942,  4446,
       0,     0,  1975,     0,     0,   708,     0,     0,     0,     0,
     715,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3385,     0,     0,
       0,     0,  1971,     0,  1972,     0,     0,     0,     0,  1976,
    4467,     0,  1977,  1978,  1973,  3401,     0,     0,     0,     0,
       0,  3405,     0,  1974,     0,  3408,     0,     0,     0,     0,
       0,     0,  1113,  1113,  1975,     0,     0,     0,     0,     0,
    1979,     0,     0,     0,     0,   383,     0,     0,     0,     0,
    1962,  3432,     0,     0,     0,  1251,  1963,     0,     0,     0,
       0,     0,  1271,     0,     0,     0,     0,  1069,     0,   710,
       0,  3613,     0,     0,  1977,  1978,     0,  1069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3485,   860,  1964,     0,     0,
       0,     0,  3614,     0,  1980,     0,     0,     0,     0,     0,
       0,     0,     0,   708,     0,     0,     0,     0,     0,     0,
       0,     0,  4312,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1067,     0,     0,     0,     0,     0,   383,
       0,   860,  5912,     0,     0,  3533,  1069,     0,     0,  1069,
    1069,  1966,     0,     0,     0,     0,     0,     0,  1967,     0,
       0,  1968,     0,  3669,     0,     0,  1980,     0,     0,  3562,
       0,     0,     0,     0,     0,     0,     0,  3573,     0,     0,
       0,     0,     0,     0,   708,     0,  1969,     0,  3588,  1112,
       0,  5912,     0,     0,   383,     0,   383,  1112,     0,  1112,
       0,     0,     0,     0,     0,     0,  5912,     0,  3601,     0,
       0,     0,   860,  3603,     0,     0,   712,  3606,  1970,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3623,     0,     0,  1069,   711,     0,     0,     0,   712,     0,
       0,     0,     0,  3648,     0,     0,     0,     0,   711,     0,
       0,     0,     0,   708,  1934,     0,   712,     0,     0,     0,
       0,   383,   712,     0,     0,     0,   712,     0,     0,     0,
       0,     0,     0,     0,   712,     0,   711,  1971,     0,  1972,
       0,     0,     0,     0,     0,     0,     0,     0,  1935,  1973,
       0,     0,   712,     0,     0,     0,     0,     0,  1974,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1975,
       0,     0,   711,     0,  1272,     0,     0,     0,  1936,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,   711,     0,
       0,  2420,  2421,  2422,     0,     0,   712,     0,     0,     0,
       0,     0,     0,   711,     0,     0,   711,  1937,  2423,  1977,
    1978,     0,     0,     0,   712,   712,  2425,     0,     0,  1962,
       0,     0,     0,  2426,     0,  1963,     0,     0,     0,     0,
       0,     0,  2013,     0,     0,     0,     0,  1979,     0,     0,
       0,  1938,  5554,  5554,     0,   383,   712,  2427,     0,   383,
       0,  2014,     0,     0,     0,  1448,     0,     0,     0,  5571,
       0,     0,     0,     0,     0,     0,  1964,     0,     0,  5579,
     712,     0,   383,     0,     0,     0,  1939,     0,   712,     0,
       0,     0,     0,     0,     0,   712,     0,     0,     0,   712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2015,  1980,     0,     0,     0,     0,     0,     0,     0,   712,
    1940,     0,     0,     0,   712,     0,     0,     0,   712,     0,
    1966,   383,     0,     0,     0,     0,     0,  1967,     0,     0,
    1968,   712,     0,     0,   711,     0,     0,     0,     0,     0,
    1941,  1942,   711,   711,   712,     0,     0,     0,  3854,     0,
       0,     0,     0,   382,   712,  1969,  2428,     0,     0,     0,
       0,  2429,     0,     0,     0,  1962,  3868,  1251,     0,     0,
       0,  1963,     0,  1271,  3854,     0,     0,  1943,     0,     0,
       0,   209,  2430,  2431,  2016,  1944,     0,  1970,     0,     0,
       0,     0,  1945,     0,     0,     0,     0,  2432,     0,     0,
    1946,     0,     0,     0,     0,   382,   382,   382,  1947,   383,
       0,     0,  1964,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,   711,     0,  1949,     0,
    2433,     0,  2017,     0,     0,  2018,     0,     0,  4926,     0,
       0,     0,  4928,     0,  2434,     0,  2019,  2435,  1972,  1448,
       0,     0,     0,  5711,     0,  5712,   382,     0,  1973,  5717,
    5718,     0,  2781,   382,     0,     0,  1966,  1974,     0,     0,
       0,     0,     0,  1967,   382,     0,  1968,  2020,  1975,     0,
       0,     0,     0,  1950,  1113,  2418,   712,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,  1969,     0,  2418,     0,     0,  2419,     0,     0,  2423,
    2420,  2421,  2422,     0,     0,  3590,  4017,  2425,  1977,  1978,
    2022,     0,     0,     0,  2426,  1113,     0,  2423,  1069,     0,
    2436,     0,     0,  1970,     0,  2425,     0,     0,  1962,   712,
    2023,     0,  2426,     0,  1963,     0,  3591,     0,  2427,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2025,     0,     0,     0,     0,     0,  2427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4017,     0,     0,     0,
       0,     0,     0,  1069,     0,  1964,  5554,   715,  5554,   712,
       0,     0,  1971,     0,  1972,     0,     0,     0,     0,     0,
       0,     0,     0,  1872,  1973,     0,     0,   712,     0,     0,
    1980,     0,     0,  1974,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,  1975,  1272,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  1966,
       0,     0,     0,  4532,     0,  1069,  1967,     0,     0,  1968,
       0,   711,     0,     0,     0,     0,     0,  2428,     0,     0,
       0,  2782,  2429,     0,  1977,  1978,     0,  5074,     0,     0,
       0,     0,  1482,     0,  1969,  2428,     0,     0,     0,     0,
    2429,  4126,     0,  2430,  2431,     0,     0,     0,  1448,     0,
       0,     0,  2783,     0,   383,     0,  1482,     0,  2432,     0,
     383,  2430,  2431,   382,     0,     0,  1970,     0,  5097,  5098,
       0,     0,     0,     0,   860,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,  2433,   710,     0,     0,   711,     0,     0,     0,     0,
     710,     0,     0,     0,     0,  2434,     0,   711,  2435,  2433,
       0,     0,     0,   710,     0,  5554,  1980,     0,     0,     0,
       0,     0,     0,  2434,  5915,  1971,  2435,  1972,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1973,     0,     0,
       0,     0,   710,     0,     0,     0,  1974,     0,   710,  4205,
       0,   712,     0,     0,  5138,  5139,     0,  1975,     0,     0,
       0,   710,     0,     0,     0,     0,  1069,     0,     0,     0,
       0,     0,  2418,  5915,  1069,  2419,     0,  1069,     0,  2420,
    2421,  2422,     0,   711,   711,     0,     0,   710,  5915,     0,
       0,  2436,     0,     0,  2078,   711,  2423,  1977,  1978,     0,
       0,     0,     0,   710,  2425,     0,   711,   711,     0,  2436,
     710,  2426,     0,     0,     0,     0,     0,     0,     0,     0,
    1962,     0,     0,   710,     0,  2079,  1963,     0,     0,     0,
       0,     0,   711,     0,     0,  2427,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   712,   712,     0,     0,     0,
       0,     0,  4283,     0,     0,     0,     0,  1964,     0,     0,
    5234,     0,     0,     0,     0,     0,     0,     0,     0,  5236,
    5237,     0,   712,     0,     0,   712,     0,  2437,     0,  1980,
    2438,  2439,  2440,  5241,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,     0,  4621,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,  1966,  4655,     0,     0,     0,     0,     0,  1967,     0,
       0,  1968,     0,     0,     0,     0,  1112,     0,   710,     0,
    1112,     0,     0,     0,  2428,     0,     0,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,  1969,     0,     0,     0,
       0,     0,   382,     0,     0,     0,   383,   383,   383,     0,
    2430,  2431,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2096,     0,  2432,     0,     0,  1970,     0,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2111,     0,     0,     0,
     712,     0,     0,     0,     0,     0,     0,     0,  2433,     0,
       0,  2122,     0,     0,   712,     0,   710,   710,     0,     0,
       0,  2418,  2434,  2872,  2419,  2435,     0,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,     0,  1971,     0,  1972,
       0,  4454,     0,     0,  1069,  2423,   382,     0,     0,  1973,
       0,     0,     0,  2425,     0,     0,     0,     0,  1974,     0,
    2426,     0,     0,     0,     0,     0,  4468,     0,     0,  1975,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
       0,     0,     0,   712,     0,     0,     0,     0,     0,     0,
       0,   382,     0,   382,  1112,  1112,  2707,     0,  2436,  1977,
    1978,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,   383,     0,     0,     0,     0,     0,  2708,   712,     0,
     712,     0,     0,     0,     0,   711,     0,     0,     0,     0,
       0,     0,     0,   712,     0,   712,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,   382,   711,
       0,     0,     0,   711,     0,     0,     0,   383,     0,     0,
       0,   711,  4017,     0,     0,  4017,     0,  5471,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,  2429,   711,
       0,  1980,     0,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,   712,  2430,
    2431,  4951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,     0,  2432,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,  1069,     0,     0,  1113,     0,     0,     0,     0,
       0,   711,   711,  5519,   712,     0,     0,  2433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2434,   712,     0,  2435,     0,     0,     0,     0,     0,
       0,     0,   382,   711,     0,  4017,   382,     0,     0,     0,
       0,     0,     0,     0,   712,     0,   710,   712,     0,     0,
       0,     0,     0,  5562,     0,     0,     0,   711,     0,   382,
     710,     0,     0,  1962,     0,   711,     0,     0,     0,  1963,
    1113,     0,   711,     0,     0,     0,   711,  4684,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,   711,     0,     0,     0,   711,     0,  2436,   382,     0,
    1964,     0,     0,     0,     0,     0,     0,     0,   711,     0,
       0,     0,     0,     0,   710,   383,     0,     0,     0,     0,
       0,   711,     0,     0,     0,     0,     0,     0,     0,     0,
     710,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   710,     0,     0,   710,     0,
       0,     0,     0,     0,  1966,     0,     0,     0,     0,     0,
       0,  1967,     0,     0,  1968,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4781,     0,
       0,  4784,     0,     0,     0,     0,   382,     0,     0,  1969,
       0,     0,     0,  2437,     0,     4,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    4986,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,  1970,     0,     0,     0,     6,     7,     0,     0,     0,
       8,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,    36,   711,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  4017,    45,   710,     0,  4861,     0,
    1971,     0,  1972,     0,   710,   710,     0,     0,     0,     0,
       0,     0,  1973,     0,     0,   860,     0,  2872,     0,     0,
       0,  1974,     0,     0,     0,     0,     0,     0,   712,     0,
       0,     0,  1975,     0,     0,     0,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    46,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2788,     0,     0,   860,     0,  3494,
       0,     0,  1977,  1978,     0,     0,     0,     0,   383,     0,
       0,     0,     0,   383,     0,   383,   711,  1069,   710,     0,
       0,     0,     0,  1069,     0,     0,  3854,     0,     0,     0,
    1979,     0,     0,     0,   711,     0,     0,   383,     0,     0,
       0,     0,   711,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,   383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   860,     0,     0,   712,
       0,    48,   712,     0,     0,     0,  1112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    49,  1980,     0,     0,     0,  2890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2905,  5866,     0,    50,  1112,     0,     0,
       0,   382,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,     0,     0,  2927,     0,     0,     0,  4017,     0,
       0,     0,  4017,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,     0,    52,     0,     0,   712,
     712,     0,     0,     0,     0,     0,     0,     0,     0,   712,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   712,  3004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,     0,     0,     0,  3015,
       0,     0,     0,     0,     0,     0,     0,     0,   711,     0,
       0,  1482,     0,     0,     0,     0,     0,  2418,     0,     0,
    2419,     0,     0,  3029,  2420,  2421,  2422,     0,     0,     0,
       0,     0,   383,   710,     0,     0,     0,     0,     0,     0,
       0,  2423,     0,     0,     0,     0,    54,     0,     0,  2425,
       0,     0,     0,     0,     0,     0,  2426,   712,     0,  3053,
    1482,     0,  2418,     0,     0,  2419,     0,     0,     0,  2420,
    2421,  2422,     0,     0,     0,     0,     0,     0,     0,     0,
    2427,     0,     0,     0,     0,   860,  2423,     0,  5106,     0,
       0,     0,     0,    55,  2425,     0,     0,     0,     0,     0,
    5116,  2426,     0,     0,     0,     0,     0,     0,    56,   710,
       0,     0,   711,   711,     0,     0,     0,   710,     0,     0,
       0,     0,     0,    57,     0,  2427,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
       0,     0,   711,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,     0,     0,     0,     0,
       0,    59,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,    67,    68,     0,    69,    70,    71,    72,    73,
       0,     0,     0,     0,     0,  5165,     0,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,  1962,     0,     0,   710,   710,     0,  1963,     0,
       0,     0,     0,  3226,     0,  2430,  2431,   710,     0,     0,
       0,     0,     0,   382,   382,   382,     0,     0,   710,   710,
    2432,     0,     0,     0,  2428,     0,     0,     0,     0,  2429,
       0,     0,     0,     0,     0,     0,     0,   711,     0,  1964,
       0,     0,     0,     0,   710,     0,     0,     0,     0,     0,
    2430,  2431,     0,  2433,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,  2432,     0,  2434,     0,     0,
    2435,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   712,     0,     0,     0,     0,   383,     0,  3854,
       0,     0,     0,  1966,     0,     0,     0,     0,  2433,     0,
    1967,     0,     0,  1968,     0,  1069,     0,     0,     0,     0,
       0,     0,  2434,     0,     0,  2435,     0,     0,     0,   712,
       0,     0,     0,     0,     0,     0,     0,     0,  1969,  1069,
       0,   712,     0,     0,     0,  1069,     0,     0,     0,  4017,
       0,     0,     0,     0,     0,     0,  4017,     0,     0,     0,
     711,  4017,     0,  2436,  4017,  5283,     0,     0,   712,     0,
    1970,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   860,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4017,     0,   382,     0,
       0,     0,     0,     0,     0,   711,     0,   711,  2436,     0,
    4017,     0,     0,     0,     0,  3854,     0,  3854,     0,     0,
     711,     0,   711,     0,     0,     0,     0,     0,     0,  1971,
       0,  1972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1973,     0,     0,   382,     0,     0,     0,     0,     0,
    1974,     0,     0,     0,     0,     0,     0,     0,  1271,  2437,
     712,  1975,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,  5244,     0,     0,     0,
       0,     0,     0,     0,  3451,   711,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3466,     0,  3657,     0,
    1271,  1977,  1978,     0,  2437,     0,     0,  2438,  2439,  2440,
       0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,  5255,     0,     0,     0,     0,     0,     0,     0,  3658,
       0,   711,     0,     0,     0,     0,  3499,     0,     0,     0,
     712,     0,     0,  2418,     0,     0,  2419,     0,     0,   711,
    2420,  2421,  2422,     0,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1069,  4017,  2423,     0,     0,
       0,   711,  1962,     0,   711,  2425,     0,   710,  1963,     0,
       0,     0,  2426,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,  1980,     0,   710,     0,     0,     0,     0,
     860,   710,     0,     0,     0,   710,  2427,  2423,     0,     0,
       0,     0,     0,   710,     0,  2425,     0,     0,     0,  1964,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,     0,
    4017,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2427,     0,     0,     0,
       0,     0,   382,     0,     0,     0,   712,     0,   712,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1966,     0,   710,     0,     0,     0,     0,
    1967,     0,     0,  1968,     0,     0,     0,  1112,     0,     0,
       0,     0,     0,   710,   710,     0,     0,     0,     0,     0,
       0,   712,     0,     0,     0,     0,     0,     0,  1969,     0,
    1272,     0,     0,  3697,     0,  2428,  1962,     0,     0,     0,
    2429,     0,  1963,     0,   860,   710,     0,     0,   860,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1970,  2430,  2431,     0,     0,     0,   383,     0,     0,   710,
    5597,   860,  1272,     0,     0,  2428,  2432,   710,     0,     0,
    2429,     0,  1112,  1964,   710,     0,     0,     0,   710,     0,
       0,     0,     0,  4017,     0,     0,     0,     0,     0,     0,
       0,  2430,  2431,     0,     0,     0,     0,     0,   710,  2433,
       0,     0,     0,   710,     0,     0,  2432,   710,     0,  1971,
     860,  1972,     0,  2434,     0,     0,  2435,     0,     0,     0,
     710,  1973,     0,     0,  1069,     0,     0,  1966,  1069,     0,
    1974,     0,     0,   710,  1967,     0,     0,  1968,     0,  2433,
       0,  1975,  4017,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,   711,  2435,     0,     0,     0,
       0,     0,  1969,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4017,     0,     0,     0,     0,  4152,     0,
       0,  1977,  1978,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1970,     0,     0,     0,   860,  2436,
       0,     0,     0,     0,     0,   382,     0,     0,     0,  4153,
     382,     0,   382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3867,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,  2436,
       0,     0,     0,     0,     0,  3879,     0,   383,     0,     0,
       0,   382,     0,  1971,     0,  1972,     0,     0,  3885,     0,
       0,     0,     0,     0,     0,  1973,   711,     0,     0,   711,
       0,     0,     0,  1980,  1974,   710,     0,     0,     0,     0,
       0,     0,  4017,   712,     0,  1975,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  5264,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4207,     0,     0,  1977,  1978,     0,   710,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,  3854,
       0,  1271,  5267,  4208,     0,     0,   711,   711,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   710,  2418,
       0,     0,  2419,     0,     0,   711,  2420,  2421,  2422,     0,
       0,     0,     0,     0,     0,     0,   710,     0,     0,     0,
       0,  5823,     0,  2423,   710,     0,     0,     0,     0,     0,
       0,  2425,     0,     0,     0,  4017,     0,  1980,  2426,     0,
       0,  1271,  1271,     0,     0,     0,     0,     0,     0,   756,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   382,
       0,     0,  2427,     0,     0,     0,     0,  2418,     0,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,     0,
       0,     0,     0,     0,   711,     0,   756,     0,     0,     0,
       0,  2423,     0,     0,     0,   383,     0,   712,     0,  2425,
       0,     0,     0,   860,     0,     0,  2426,   756,  4017,   860,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1078,     0,     0,     0,     0,
    2427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1080,  1069,     0,     0,     0,     0,     0,     0,  1088,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1102,     0,  1078,     0,     0,     0,  1125,
       0,  2428,  4130,     0,     0,     0,  2429,     0,     0,  1157,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,  4141,
       0,     0,   383,     0,     0,     0,     0,  2430,  2431,     0,
     710,     0,     0,     0,     0,     0,     0,  5939,     0,     0,
     712,  2418,  2432,     0,  2419,     0,     0,     0,  2420,  2421,
    2422,     0,     0,  1272,     0,  1271,  1271,     0,     0,     0,
       0,     0,     0,     0,     0,  2423,     0,     0,     0,  2428,
       0,     0,     0,  2425,  2429,  2433,     0,     0,     0,     0,
    2426,     0,     0,     0,     0,     0,     0,     0,     0,  2434,
       0,     0,  2435,     0,     0,  2430,  2431,     0,     0,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
    2432,     0,     0,  4222,     0,  4224,     0,     0,     0,     0,
       0,     0,     0,  1272,  1272,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   710,   710,     0,     0,     0,     0,
       0,     0,     0,  2433,     0,     0,     0,     0,     0,   711,
       0,     0,     0,     0,   382,     0,     0,  2434,     0,     0,
    2435,   710,     0,     0,   710,     0,   712,     0,     0,     0,
       0,     0,     0,     0,     0,  2436,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4271,     0,   711,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,  2429,     0,
       0,     0,     0,     0,  4285,   711,     0,     0,     0,     0,
       0,  1069,  1069,     0,     0,     0,     0,     0,     0,  2430,
    2431,     0,   383,  2436,  1069,   860,   860,   860,     0,     0,
       0,     0,     0,     0,  2432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
       0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,  2433,  5319,   710,
       0,   383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2434,     0,   710,  2435,     0,   383,  1272,  1272,     0,
       0,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,  3499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2437,
    5642,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,  5353,  4424,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,    85,     0,
       0,     0,     0,     0,    89,     0,     0,     0,    93,     0,
      94,     0,    96,    97,     0,     0,     0,     0,     0,     0,
     860,     0,     0,   106,     0,     0,     0,   710,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   118,
     119,     0,   710,     0,   710,     0,     0,     0,     0,     0,
       0,  4480,     0,     0,     0,     0,     0,   756,     0,     0,
       0,     0,     0,     0,     0,     0,   860,     0,     0,     0,
       0,     0,  4489,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2437,     0,     0,  2438,  2439,  2440,   127,
    2441,  2442,  2443,  2444,  2445,  2446,     0,  4512,     0,   128,
    5393,   129,   130,     0,     0,     0,     0,   710,     0,     0,
       0,     0,     0,   711,     0,   711,     0,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2354,     0,     0,     0,     0,     0,   140,     0,   141,
     142,     0,     0,     0,     0,     0,   145,     0,   146,     0,
       0,     0,     0,   710,     0,     0,     0,     0,   711,   148,
       0,   149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   710,     0,     0,     0,  1069,   152,  1069,   153,     0,
       0,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,     0,   157,   710,   158,     0,     0,
       0,   159,     0,   382,     0,     0,     0,   160,     0,     0,
       0,     0,     0,     0,     0,   162,     0,   164,     0,     0,
       0,     0,     0,   166,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1255,  1261,  1261,
     756,     0,  1261,     0,   860,     0,  1273,     0,  1157,     0,
       0,  1300,     0,     0,     0,     0,     0,     0,  1157,     0,
    1261,     0,     0,  1157,   185,   186,     0,  1261,     0,  1157,
     187,     0,     0,     0,     0,     0,     0,  1340,     0,     0,
       0,     0,   188,  1157,     0,  1255,     0,     0,  1261,     0,
     756,     0,  1261,     0,   193,     0,     0,     0,     0,  1300,
       0,     0,     0,     0,  1412,     0,  1261,     0,     0,     0,
       0,     0,     0,  1261,  1069,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1255,     0,   205,
       0,     0,   756,     0,     0,   206,   207,  1273,   208,     0,
       0,  1300,     0,   209,   382,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,   214,     0,     0,     0,
       0,  1261,   215,   216,     0,     0,     0,     0,     0,     0,
     217,     0,     0,     0,   219,     0,     0,     0,     0,     0,
     711,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,     0,     0,
       0,     0,     0,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,     0,   230,   710,   231,  1157,
       0,     0,     0,     0,     0,     0,   233,  2423,     0,     0,
       0,     0,   234,     0,  1157,  2425,  1617,   235,     0,     0,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,     0,
     238,     0,     0,     0,     0,     0,  4850,     0,     0,     0,
       0,     0,     0,     0,  1728,  1728,  2427,   860,     0,   756,
    1157,     0,   860,   250,   860,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   251,     0,  1157,
       0,  -145,     0,  1157,     0,  2418,   860,     0,  2419,     0,
       0,  1728,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,  1157,     0,   860,     0,     0,     0,     0,     0,  2423,
       0,     0,     0,  1157,     0,     0,     0,  2425,   710,     0,
    2418,   710,     0,  2419,  2426,     0,     0,  2420,  2421,  2422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2423,     0,     0,     0,  2427,     0,
       0,     0,  2425,     0,     0,     0,     0,     0,     0,  2426,
       0,     0,   382,     0,   711,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2427,     0,     0,     0,     0,     0,     0,
       0,  2430,  2431,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,  2432,     0,   710,   710,
    1261,  1261,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2354,     0,   710,     0,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,  2428,     0,   382,
       0,     0,  2429,     0,     0,     0,     0,  1255,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   711,  1273,     0,
       0,     0,  1300,  2430,  2431,     0,     0,     0,     0,     0,
       0,     0,  2428,     0,     0,     0,     0,  2429,  2432,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,  2430,  2431,
       0,     0,  1157,     0,     0,     0,     0,     0,  1261,  1261,
       0,  2433,     0,  2432,     0,     0,     0,     0,     0,  2436,
       0,     0,     0,     0,     0,  2434,     0,     0,  2435,     0,
    1157,  1157,  1157,     0,  1261,     0,  1255,     0,     0,     0,
       0,  2189,     0,     0,     0,     0,  2433,     0,  5075,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2418,     0,
    2434,  2419,     0,  2435,     0,  2420,  2421,  2422,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2423,   711,     0,     0,  5096,     0,     0,     0,
    2425,     0,     0,     0,     0,     0,     0,  2426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5111,     0,     0,
       0,  2436,     0,     0,  1261,  2437,  1261,  1261,  2438,  2439,
    2440,  2427,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  5700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2436,     0,     0,     0,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,   382,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2328,  2328,     0,     0,     0,  1157,     0,
    1078,     0,     0,     0,     0,     0,     0,  2437,   382,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,     0,   382,  5822,     0,  2362,     0,     0,  1157,
    2428,   710,  2368,     0,     0,  2429,   860,     0,     0,     0,
       0,     0,  2437,     0,  1728,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,  2430,  2431,     0,  5885,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,  2432,     0,  1728,     0,     0,     0,     0,     0,     0,
     710,     0,  5224,     0,     0,     0,     0,     0,  2418,     0,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,  1728,  1728,  1728,  2433,  1728,     0,   710,     0,     0,
       0,     0,  2423,     0,     0,     0,     0,     0,  2434,     0,
    2425,  2435,     0,     0,     0,  1728,     0,  2426,     0,     0,
       0,     0,     0,  2354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   756,   756,     0,
       0,  2427,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,  1728,
       0,     0,     0, -2476,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,  2436,     0,     0,  1728,     0,     0,
       0,  1728,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  1157,  2565,     0,  1728,     0,     0,     0,
       0,     0,     0, -2476,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2476,     0,     0,     0,     0,
   -2476,   756,     0,     0,     0, -2476,     0,     0,     0,     0,
    2428, -2476,     0,     0, -2476,  2429,     0, -2476,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,  2430,  2431,     0,     0,
       0,     0,     0,     0,     0, -2476,     0,     0,     0,     0,
    2437,  2432,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0, -2476,     0,  5905,     0,     0,
       0,     0,     0,     0, -2478,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2433,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2716,  2434,     0,
       0,  2435,     0,     0,     0,     0, -2476,     0,     0, -2476,
       0,     0,     0,     0,     0, -2476,  1157,  2742,     0,     0,
       0,     0,     0,     0, -2478,  1157,     0,     0,  1261,     0,
       0,     0,     0,     0,     0,     0, -2478,     0,     0,     0,
       0, -2478,     0,     0,     0,   710, -2478,   710,     0,  1300,
       0,  1157, -2478,     0,     0, -2478,     0,     0, -2478,     0,
       0,     0,     0,     0,  1157,     0,     0,  1157, -2476,     0,
    2418,  2354,     0,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,     0,     0,     0,  2436,     0, -2478,     0,     0,     0,
     710,     0,     0,     0,  2423,     0,     0,     0,     0,     0,
       0,     0,  2425,  1157,     0,     0, -2478,     0,     0,  2426,
       0,  4271,     0,     0,  1261,  1261,  1261,  1261,  1157,  1083,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  2427,     0,   860,     0,     0,     0,     0,
       0,     0,     0,     0,  2887, -2476,  1157, -2478,     0,     0,
   -2478,     0,     0,     0,     0,     0, -2478,     0,  1261,  1261,
       0,     0,     0,     0,     0,     0,     0,     0,  2354, -2476,
       0, -2476, -2476,  2354,  2354,     0,     0,     0,     0,  1261,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,  5441,     0,     0,  5938,  1157,     0,
       0,     0,     0,     0,     0,     0,     0, -2476,     0, -2478,
   -2476, -2476,     0, -2476,  1261,  1261,  1261,  1261,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,  2887,     0,     0,
       0,     0,  2428,     0,     0,     0,     0,  2429,     0,     0,
       0,     0,     0,  1255,     0,     0,  1255,     0,     0,     0,
    1083,   756,     0,     0,     0,     0,  1728,     0,  2430,  2431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5635,  2432,     0,     0, -2478,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1273,  1273,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1300,  1300,
   -2478,     0, -2478, -2478,     0,     0,  2433,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   860,     0,  1261,  1261,
    2434,     0,     0,  2435,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0, -2478,     0,
       0, -2478, -2478,     0, -2478,     0,     0,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2328,     0,     0,     0,     0,     0,     0,  1261,     0,  1273,
       0,     0,     0,  1157,  1157,     0,  1261,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,  2436,     0,  1078,  1078,
       0,     0,  3137,     0,     0,     0,  1728,  1728,     0,     0,
       0,     0,  1728,  1728,     0,     0,     0,     0,     0,  1728,
    1728,  1728,     0,     0,     0,  1728,  1300,  1728,  1728,  1728,
    1728,  1728,  1728,     0,  1728,     0,  1728,  1728,     0,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1728,  1728,  1728,  1728,     0,
       0,     0,  1261,  1728,     0,     0,     0,  1728,  5780,     0,
    1728,     0,     0,  1728,  1728,  1728,  1728,  1728,  1728,  1728,
    1728,  1728,     0,  1728,     0,     0,     0,     0,     0,     0,
    1157,  1728,  2437,     0,  1728,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,  3313,     0,     0,
       0,     0,     0,     0,  2418,     0,  1157,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   860,     0,   710,     0,  2423,     0,
       0,     0,  3327,     0,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,  1157,     0,  1157,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,  3355,
       0,  3360,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3328,     0,  2423,     0,
       0,   860,     0,     0,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   756,     0,     0,     0,     0,  2428,     0,     0,     0,
    1078,  2429,  1078,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,  2430,  2431,     0,     0,     0,     0,     0,     0,
       0,  1255,     0,  1261,  1261,     0,     0,  2432,  1273,     0,
    1300,     0,  1261,     0,  1261,     0,     0,     0,  1261,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3938,     0,     0,     0,     0,  3939,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2742,     0,  2434,   710,  2428,  2435,     0,     0,
    3501,  2429,     0,     0,     0,     0,     0,  3512,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,  2430,  2431,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,  2432,     0,     0,
    3557,  3557,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,  1157,     0,     0,  1157,     0,   756,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,   860,     0,     0,     0,  1261,     0,     0,  1261,     0,
    2436,     0,     0,     0,  2434,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3642,     0,  3645,  3647,     0,     0,
     860,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   860,  3329,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,     0,     0,     0,  1261,  1261,     0,     0,     0,     0,
       0,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
    2436,     0,     0,  1728,     0,  1261,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  2742,
       0,     0,  3557,     0,  1157,     0,     0,  1157,     0,     0,
       0,  3738,     0,     0,  1078,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3642,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1261,     0,  3770,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2189,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,  1728,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,     0,     0,     0,  3817,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,  1261,  3557,
    1261,  3557,     0,     0,     0,     0,     4,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     9,    10,     0,  2328,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1157,     0,     0,    45,     0,     0,     0,
       0,     0,     0,  1255,     0,     0,     0,     0,     0,  1273,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,     0,     0,     0,     0,     0,  1728,  1728,  1728,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
    1728,  1728,  1728,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,  1728,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
    1728,     0,     0,  1728,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,  1300,     0,  1728,     0,  1728,
       0,  1728,     0,     0,    47,     0,     0,     0,  2423,     0,
       0,     0,     0,     0,     0,     0,  2425,     0,     0,     0,
       0,  1728,    48,  2426,     0,  1157,     0,     0,     0,     0,
       0,     0,  4018,     0,  1728,  1728,  1728,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,  2427,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,  1728,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4018,     0,     0,     0,  4080,     0,     0,  4083,
       0,  3360,     0,  2418,    51,     0,  2419,    52,     0,     0,
    2420,  2421,  2422,     0,     0,     0,     0,     0,     0,     0,
       0,  2418,     0,    53,  2419,     0,     0,  2423,  2420,  2421,
    2422,     0,     0,     0,     0,  2425,     0,     0,     0,     0,
       0,     0,  2426,     0,     0,  2423,     0,     0,  3897,     0,
       0,     0,     0,  2425,     0,     0,  2428,     0,     0,     0,
    2426,  2429,     0,     0,     0,  1728,  2427,  3557,     0,     0,
       0,     0,  2328,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2430,  2431,  2427,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2432,     0,  1261,
       0,  1261,  1261,  1261,     0,     0,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2434,     0,     0,  2435,     0,     0,
       0,  5850,     0,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
    4524,     0,     0,     0,     0,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,     0,  2429,     0,
       0,  2430,  2431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,    58,     0,  2432,     0,     0,  2430,
    2431,     0,    59,     0,    60,    61,    62,    63,    64,     0,
    2436,    65,    66,  1539,  2432,     0,     0,     0,    71,  1540,
       0,     0,     0,     0,     0,     0,  4525,     0,     0,  2433,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,  2433,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2434,     0,     0,  2435,     0,     0,  5851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1261,     0,     0,     0,
       0,  3557,  3557,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,   868,     0,     0,     0,     0,  2418,  2436,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,  1157,  1157,
    1157,     0,     0,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,  2423,     0,     0,  1157,     0,     0,     0,     0,
    2425,     0,     0,     0,     0,     0,     0,  2426,   868,     0,
       0,     0,     0,     0,     0,     0,     0,  2328,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,  2328,  1157,  1157,
       0,  2427,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1116,     0,     0,     0,
       0,     0,     0,   756,  1116,  2437,  1116,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,   868,
    3817,     0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
       0,     0,  1261,     0,     0,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2423,     0,     0,  3943,     0,     0,  1157,
    2428,  2425,     0,     0,     0,  2429,     0,     0,  2426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,  2430,  2431,  1728,     0,
       0,     0,  2427,     0,  1728,     0,  1728,     0,     0,  1728,
       0,  2432,     0,     0,  1728,  1728,  1728,  1728,     0,     0,
    1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,
       0,     0,     0,  1728,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,  2433,     0,     0,  1728,     0,     0,
       0,  1728,     0,     0,     0,     0,     0,     0,  2434,  1728,
       0,  2435,  1728,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,  1728,  1728,  3911,     0,
       0,  1728,  1728,     0,     0,     0,  4556,     0,  1728,     0,
       0,     0,     0,     0,     0,  1157,  1157,  1157,  1255,     0,
       0,  4018,  4578,     0,     0,     0,  4578,  4592,  4578,     0,
       0,  2428,     0,     0,  1728,     0,  2429,     0,     0,     0,
    1728,  1728,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,  2431,     0,
       0,     0,     0,     0,  2436,     0,     0,     0,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3360,     0,  1728,     0,  2433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2434,
       0,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
       0,  4661,  2328,  2328,     0,  2887,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1261,  1261,  1261,  1261,     0,     0,     0,     0,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,     0,     0,     0,
       0,  2742,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4714,
       0,     0,     0,     0,     0,  2436,     0,     0,     0,     0,
       0,     0,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  4799,     0,     0,    45,     0,     0,     0,     0,     0,
       0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,     0,     0,     0,  1157,     0,  1261,     0,  1728,     0,
       0,     0,     0,     0,     0,  1157,     0,    46,     0,     0,
       0,  4839,     0,     0,     0,     0,     0,     0,     0,     0,
    2418,  2742,     0,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
    4018,     0,     0,     0,  2423,     0,     0,     0,     0,     0,
    3642,     0,  2425,     0,     0,     0,     0,     0,  4886,  2426,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,  2887,     0,     0,     0,  1728,  1728,     0,
       0,     0,    47,  2427,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,     0,  3817,  3817,  3817,
    3817,  3817,     0,     0,  3557,     0,  3557,     0,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,    50,     0,     0,  1257,     0,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3948,     0,     0,     0,     0,     0,
       0,     0,    51,     0,     0,    52,     0,  1257,     0,     0,
       0,     0,  2428,  1728,     0,     0,     0,  2429,     0,     0,
       0,    53,     0,  1728,  1728,     0,     0,     0,     0,     0,
    1728,  1728,     0,     0,     0,  1728,     0,     0,  2430,  2431,
    1728,     0,     0,  1728,  1728,     0,     0,     0,  1728,  4990,
       0,     0,     0,  2432,  1728,  1157,  1157,  1157,  1157,     0,
       0,     0,  4578,  4592,  4578,     0,  1728,  4578,     0,  1257,
    5004,     0,     0,     0,  4018,  1497,     0,     0,  4018,  1257,
       0,     0,     0,     0,  5019,     0,  2433,     0,     0,     0,
       0,  1728,     0,     0,     0,     0,  1728,     0,     0,  1497,
    2434,     0,  1728,  2435,     0,    54,     0,     0,     0,     0,
       0,     0,  1300,     0,     0,     0,     0,     0,     0,     0,
    1728,     0,     0,     0,  4080,     0,     0,     0,     0,  3360,
       0,     0,     0,     0,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,     0,  1078,     0,
       0,  1728,    55,     0,     0,     0,     0,     0,     0,     0,
    2423,     0,     0,  3954,     0,     0,     0,    56,  2425,     0,
       0,  3557,  3557,     0,     0,  2426,     0,     0,     0,     0,
       0,     0,    57,     0,     0,     0,  2436,     0, -2492,  2742,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2427,
       0,     0,  5095,     0,     0,     0,  1257,  1257,     0,     0,
       0,     0,    58,  1116,     0,     0,     0,  1116,     0,     0,
      59,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,  1539,  2281,     0,     0,     0,    71,     0, -2492,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
   -2492,  1728,     0,     0,     0, -2492,     0,     0,     0,     0,
   -2492,     0,     0,     0,     0,     0, -2492,     0,     0, -2492,
       0,     0, -2492,  1261,     0,     0,     0,     0,     0,     0,
       0,     0,  2437,     0,     0,  2438,  2439,  2440,  1261,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,
   -2492,     0,     0,     0,     0,     0,     0,     0,  2428,     0,
       0,     0,     0,  2429,     0,     0,     0,  1728,     0,     0,
   -2492,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1255,     0,     0,  2430,  2431,     0,  2742,     0,     0,
       0,     0,     0,     0,     0,     0,  2328,     0,     0,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1728, -2492,     0,     0, -2492,     0,     0,     0,     0,     0,
   -2492,     0,  1261,     0,  2742,     0,     0,     0,     0,     0,
       0,     0,  2433,     0,     0,     0,     0,     0,     0,     0,
       0,  1116,  1116,     0,     0,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,     0,  1157,     0,     0,  5233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0, -2492,  2418,     0,  1497,  2419,     0,     0,
    1257,  2420,  2421,  2422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2423,  1497,
    1728,     0,     0,     0,     0,     0,  2425,     0,     0,  1728,
       0,     0,     0,  2426,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1083,     0,  1728,  1728,     0,     0,
    1728,     0,  2436,     0,     0,     0,     0,  2427,     0,     0,
       0,     0,     0,     0,     0,  1255,     0,     0,  4578,     0,
   -2492,     0,  4018,     0,     0,     0,     0,  4018,  1257,     0,
    4018,  1255,     0,  3642,     0,  5287,     0,     0,  1728,  1728,
       0,     0,     0,     0, -2492,     0, -2492, -2492,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4661,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,  4661,  1300,  1261,  1261,
    1261,     0, -2492,     0,     0, -2492, -2492,     0, -2492,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,     0,  2428,     0,     0,     0,
       0,  2429,     0,     0,  1273,  1300,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2430,  2431,     0,     0,  2418,  1257,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,  2432,     0,     0,
       0,     0,     0,     0,     0,     0,  1273,     0,     0,  1157,
    2423,     0,     0,  4531,     0,     0,     0,     0,  2425,     0,
       0,  4839,     0,     0,  1157,  2426,     0,     0,     0,  1157,
    2433,  3557,     0,     0,     0,     0,     0,  2742,     0,     0,
       0,     0,     0,     0,  2434,  1497,     0,  2435,     0,  2427,
       0,     0,  1157,     0,     0,     0,  4886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,  1157,  4661,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1728,     0,     0,  1728,  1257,  1728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
    2436,     0,  1728,  1257,  1257,  1257,  4018,  1257,     0,     0,
    5287,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,  5509,  1257,  2428,     0,
    4477,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,  2430,  2431,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,  1257,   868,     0,     0,     0,     0,     0,  1261,  1261,
    1261,  1261,     0,     0,     0,     0,  2437,     0,     0,  2438,
    2439,  2440,  2433,  2441,  2442,  2443,  2444,  2445,  2446,  1257,
       0,     0,     0,  1257,  1257,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,     0,     0,  1255,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2418,     0,  4018,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,     0,
    2418,     0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,  2423,     0,     0,     0,     0,     0,     0,     0,  2425,
       0,     0,     0,     0,     0,     0,  2426,     0,     0,     0,
       0,     0,  2425,     0,     0,     0,  1497,     0,     0,  2426,
       0,     0,  2436,   868,     0,  1728,     0,     0,  1255,     0,
    2427,  1728,     0,  1116,     0,  5664,     0,     0,     0,   716,
       0,     0,  1728,  2427,   760,     0,   760,  1728,     0,  1728,
       0,  1728,     0,     0,     0,     0,   760,     0,     0,  4661,
       0,     0,     0,     0,     0,  1261,     0,  1300,     0,     0,
       0,     0,     0,     0,  1116,     0,     0,  1728,     0,     0,
       0,   760,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,   760,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   760,   760,     0,     0,   760,     0,     0,     0,
       0,     0,   760,     0,     0,     0,  1070,  1497,  2437,  2328,
    2328,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,     0,     0,     0,  1070,  2428,
    1497,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
    1261,     0,  2428,   760,     0,     0,  5740,  2429,     0,     0,
    1728,     0,     0,     0,     0,  2430,  2431,     0,  5751,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2430,  2431,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,  5233,
       0,     0,     0,  2432,     0,     0,     0,  1728,  1728,     0,
       0,     0,  3642,     0,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,  2433,     0,  1728,     0,     0,  5509,     0,
       0,  1497,     0,  3360,     0,     0,  2433,  2434,     0,     0,
    2435,     0,     0,     0,     0,     0,  1497,  1273,     0,     0,
    2434,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,  1261,   868,     0,     0,     0,     0,  1497,  2328,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1255,     0,     0,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
       0,  4661,     0,     0,     0,     0,     0,  1273,  1273,     0,
    1728,     0,  1497,  2436,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,  5664,     0,  1257,  2436,     0,  1257,     0,
       0,     0,  1497,     0,     0,     0,  1728,     0,  1257,     0,
       0,     0,     0,  1261,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1257,     0,     0,     0,  5751,  1261,  1261,     0,     0,   760,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,  1497,     0,     0,     0,     0,     0,     0,
       0,  1728,     0,     0,     0,     0,  1728,     0,     0,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,  1261,     0,     0,     0,     0,     0,     0,
    5664,     0,     0,  1255,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1273,  1273,     0,     0,     0,     0,     0,  1257,  1257,
       0,     0,     0,     0,  1257,  1257,     0,     0,     0,     0,
       0,  1257,  1257,  1257,     0,     0,     0,  1257,     0,  1257,
    1257,  1257,  1257,  1257,  1257,     0,  1257,     0,  1257,  1257,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,  1257,  1257,  1257,
    1257,   868,     0,     0,     0,  1257,     0,     0,     0,  1257,
       0,     0,  1257,     0,     0,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,  1257,  1257,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   760,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     5,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     7,     0,
     760,   760,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,   929,     0,     0,    45,   760,   930,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   931,     0,     0,     0,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,  1497,     0,   932,     0,  1497,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,   868,     0,     0,
      46,  2425,     0,     0,     0,     0,     0,   934,  2426,     0,
       0,  -864,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   935,
       0,  1257,  2427,     0,     0,   936,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,  1497,     0,     0,
    1257,     0,   937,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,   938,     0,     0,     0,     0,     0,     0,
       0,   939,     0,     0,     0,    47,     0,     0,     0,     0,
       0,     0,     0,   940,  1116,     0,     0,     0,     0,     0,
       0,   941,     0,    48,     0,   942,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -1091,     0,     0,    49,     0,     0,     0,     0,
       0,   868,     0,     0,     0,   868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,  2428,     0,     0,     0,     0,  2429,     0,   868,   943,
       0,     0,     0,  1440,   760,     0,   760,     0,  -586,  1116,
       0,     0,     0,     0,     0,     0,     0, -2975, -2975,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   944,     0,    53,   945,     0,   868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   760,   946, -2975,   760,   760,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   947,     0,  2434,
       0,   716,     0,  1070,  -464,  1070,     0,     0,     0,     0,
       0,   716,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,   948,     0,     0,     0,     0,     0,     0,
     949,     0,     0,     0,     0,  1070,  1070,  -464,     0,     0,
     950,     0,     0,     0,     0,  1257,  1497,     0,    54,     0,
       0,     0,     0,     0,     0,   868,     0,     0,     0,   951,
       0,     0,     0,     0,     0,   952,     0,     0,     0,     0,
    -464,     0,     0,   953,   954,     0,   955,   956,     0,     0,
       0,     0,   760,     0,   760,  2436,   957,     0,     0,  1257,
       0,   958,     0,     0,     0,    55,     0,   959,     0,     0,
     960,     0,     0,   961,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,  -464,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,     0,     0,     0,     0,
       0,     0,   716,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1539,  3066,   716,   716,     0,    71,
    1861,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,  1497,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,  1257,     0,     0,     0,
     991,     0,     0,     0,     0,   992,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   993,     0,  1257,
    1257,  1257,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,  1257,  1257,  1257,  1257,     0,     0,     0,   994,
     868,     0,     0,     0,     0,  1257,   868,     0,  1257,     0,
    1257,     0,   995,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,  1257,     0,     0,  1257,     0,   996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,  1257,     0,  1257,     0,   997,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,  1257,     0,  1257,  1257,  1257,   999,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1001,
       0,  1257,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,  1003,     0,  1257,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,  1004,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,     0,     0,   760,  1005,   760,  1497,     0,   760,  1497,
     760,  1497,     0,   760,   760,   760,  1497,     0,     0,  2323,
       0,     0,     0,     0,     0,     0,   760,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,  1006,     0,
     760,     0,   760,     0,     0,     0,     0,   760,     0,     0,
    1007,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1008,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
     898,     0,     0,  1009,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1010,
       0,     0,     0,     0,  1011,     0,  1012,  1497,     0,     0,
       0,     0,     0,  1013,     0,     0,  1014,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1015,     0,     0,     0,     0,
       0,  1016,   868,   868,   868,     0,  1017,     0,     0,  1018,
       0,     0,     0,  1019,     0,     0,     0,     0,     0,     0,
    1020,     0,  1021,     0,     0,     0,     0,  1022,     0,     0,
       0,  2464,     0,     0,     0,     0,  1497,     0,  1497,  1023,
       4,     0,   760,   760,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,   716,
       5,     0,     0,     0,   716,   716,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,  1497,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,  1497,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2602,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,    46,     0,     0,     0,   868,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,  1497,    47,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,    48,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,   716,     0,     0,   716,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,  1257,     0,     0,  1497,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,  1257,     0,  1257,     0,
       0,  1257,     0,     0,     0,  1497,  1257,  1257,  1257,  1257,
       0,   716,  1257,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,     0,     0,     0,  1257,  1257,     0,     0,     0,
    1497,     0,     0,     0,     0,  1257,     0,     0,     0,  1257,
       0,   868,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,  1257,     0,  1257,     0,     0,     0,
       0,    54,     0,     0,  1497,  1257,     0,     0,  1257,  1257,
       0,     0,     0,  1257,  1257,     0,     0,     0,     0,     0,
    1257,  1341,     0,     0,     0,     0,  1342,     0,     0,     0,
    1257,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,    55,     0,
       0,     0,  1257,  1257,  1257,     0,     0,     0,     0,     0,
    1343,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1344,  1345,     0,     0,     0,    57,     0,
       0,     0,     0,     0,  1346,     0,     0,     0,  1347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,  1348,     0,    58,     0,
       0,     0,     0,     0,     0,  1257,    59,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1539,     0,  1349,
       0,  1497,    71,     0,     0,     0,     0,     0,     0,     0,
    1350,     0,     0,  1257,     0,     0,     0,     0,  1351,     0,
       0,     0,     0,   760,     0,   760,     0,     0,     0,   760,
    1352,   760,     0,     0,   760,  1353,     0,     0,   760,     0,
       0,     0,     0,  2464,     0,     0,     0,     0,     0,     0,
       0,     0,  1114,     0,     0,     0,     0,     0,     0,  1354,
    1114,     0,  1114,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1355,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,     0,     0,   868,
    1497,   868,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   868,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
     868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   898,     0,     0,  1359,  2323,     0,     0,     0,     0,
       0,     0,  3300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2602,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,  1361,     0,  1362,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,  1364,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1365,     0,     0,     0,
       0,     0,  1366,     0,     0,     0,     0,  1367,   882,  1497,
    1368,     0,     0,     0,  1369,     0,   716,     0,     0,     0,
       0,  1370,  1257,  1371,     0,     0,     0,     0,  1372,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1373,     0,   883,     0,     0,  1497,  1257,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     884,   716,     0,     0,     0,   716,     0,     0,     0,     0,
       0,  3375,     0,  1861,     0,     0,   760,     0,   885,     0,
       0,     0,     0,     0,   886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   887,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   888,     0,     0,     0,     0,     0,     0,     0,
     889,     0,     0,   716,  1257,     0,     0,     0,     0,     0,
       0,     0,   890,     0,     0,  1257,     0,   891,     0,     0,
       0,     0,     0,     0,   892,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   893,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,  1257,     0,  1497,     0,
       0,     0,  1257,  1257,     0,     0,   894,  1257,  1497,     0,
       0,     0,  1257,     0,     0,  1257,  1257,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,  1257,   895,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   896,     0,  1257,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,   897,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,   898,     0,     0,   899,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,   716,     0,     0,     0,     0,
       0,     0,   900,  1257,     0,     0,     0,   901,     0,   902,
       0,     0,     0,     0,     0,     0,   903,     0,     0,   904,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,   868,   906,     0,     0,     0,   907,   908,
       0,     0,   909,     0,     0,     0,   910,     0,     0,  1497,
       0,     0,     0,     0,     0,   911,     0,     0,     0,     0,
     912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,     0,   913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   914,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,  1257,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,  1497,   760,  2323,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1497,     0,     0,     0,
       0,  1257,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,  1257,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,  1257,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,     0,
    1257,  1257,     0,     0,     0,     0,  1260,  1262,     0,     0,
    1265,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,  1257,     0,  1312,     0,
       0,     0,     0,     0,     0,  1322,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,  1253,     0,     0,  1389,     0,     0,  1114,
    1392,     0,     0,  1114,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1416,     0,  1497,     0,     0,     0,
       0,  1421,     0,     0,     0,     0,  1257,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2602,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1497,     0,  1257,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,  1114,  1114,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,  1497,  1253,     0,     0,     0,  1257,
       0,     0,  1495,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,   868,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,  1497,  1497,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,  1257,     0,     0,     0,     0,     0,     0,  1988,  1989,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
    1257,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,  1257,     0,     0,     0,     0,  1257,
       0,  1257,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,   716,     0,     0,  2113,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2138,  2139,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,  1257,     0,     0,     0,     0,     0,     0,     0,
    1257,   760,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1253,  1253,     0,  1253,     0,     0,     0,     0,     0,  1257,
    1257,     0,     0,     0,  2250,  2252,     0,  1257,   868,     0,
       0,  1497,     0,  1253,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,  1257,  1253,     0,     0,     0,  1253,
    1253,     0,     0,  1257,     0,     0,     0,     0,     0,  1257,
    1257,     0,  1257,     0,  1253,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1114,
       0,     0,     0,  1257,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   868,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1114,     0,     0,     0,     0,  1257,     0,     0,  1495,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,   868,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,   868,  1257,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,     0,  1495,   716,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,  2763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1253,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2854,  2855,  2856,  2857,     0,     0,  1495,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2896,  2897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2921,     0,     0,
       0,     0,     0,   716,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2966,  2967,  2968,  2969,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,  1253,     0,     0,     0,     0,
    1253,  1253,     0,     0,     0,     0,     0,  1253,  1253,  1253,
       0,     0,     0,  1253,     0,  1253,  1253,  1253,  1253,  1253,
    1253,     0,  1253,     0,  1253,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,  1253,  1253,  1253,  1253,     0,     0,     0,
       0,  1253,     0,     0,     0,  1253,     0,     0,  1253,     0,
       0,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1278,  1253,     0,     0,     0,     0,     0,     0,     0,  1253,
    1310,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,  1328,     0,     0,     0,     0,     0,  3061,     0,  1338,
       0,     0,     0,  3065,     0,  1383,     0,     0,     0,     0,
       0,     0,  2602,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
    3236,  1495,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,  1615,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,  1748,  1495,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,  1772,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1114,     0,     0,  1797,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1987,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3449,  3450,     0,     0,     0,     0,     0,     0,     0,
    3461,     0,  3463,     0,     0,     0,  3467,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     760,  1253,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2136,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,  2174,  2177,  2178,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,  3595,     0,     0,  3598,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3672,     0,     0,     0,     0,     0,
       0,     0,  3679,  3680,     0,     0,     0,     0,     0,  3682,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3698,     0,     0,  2634,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1495,     0,     0,  1253,     0,     0,
    1748,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,  1496,     0,     0,  3744,     0,     0,  1253,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,  1748,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,  3767,     0,     0,  1253,  1253,  1253,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
    1253,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1253,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,  1253,   716,
     716,  1253,     0,     0,     0,     0,  3824,     0,  3826,     0,
       0,     0,   716,     0,     0,  1253,     0,  1253,     0,  1253,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,  2634,
    1253,     0,  1253,  1253,  1253,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2508,  1253,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,   716,     0,
    1253,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
    3887,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2563,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,  1495,     0,     0,  1495,     0,  1495,     0,     0,
    1496,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1496,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   977,     0,     0,
       0,     0,     0,  1495,     0,     0,   977,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2736,     0,
       0,     0,     0,     0,     0,     0,     0,  2759,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   977,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2794,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,  1495,     0,  2807,     0,     0,  2810,
       0,     0,  1170,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,  1170,   716,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2858,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3298,     0,     0,     0,  2876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,  2888,     0,
       0,     0,     0,     0,     0,     0,     0,  4133,     0,  4134,
    4135,  4136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
    2940,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2983,
       0,     0,     0,     0,     0,     0,  2996,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,  3390,     0,     0,     0,  2634,
    3396,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3073,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,  4286,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1748,  1748,  1253,     0,     0,
    1495,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,  1253,  1496,  1253,  3127,     0,  1253,     0,     0,
       0,  1495,  1253,  1253,  1253,  1253,     0,     0,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,     0,     0,
       0,  1253,  1253,     0,     0,     0,  1495,     0,     0,     0,
       0,  1253,     0,     0,     0,  1253,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
    1253,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
    1495,  1253,     0,     0,  1253,  1253,     0,     0,     0,  1253,
    1253,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1253,
       0,     0,  3285,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,  1253,  1253,
    1253,     0,     0,     0,     0,     0,     0,     0,  3306,     0,
    4447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   977,   977,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  3319,     0,  3322,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1220,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,  1748,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1267,     0,     0,     0,     0,     0,     0,
    1495,  1302,     0,  1303,     0,  1307,  1308,     0,  1311,     0,
    1313,     0,     0,  1319,     0,  1321,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1386,     0,     0,     0,     0,
       0,     0,     0,  1395,     0,     0,     0,     0,     0,     0,
    1407,  1408,     0,     0,  1414,     0,  1417,  1418,     0,     0,
       0,  1420,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1220,     0,
     977,     0,  1496,     0,     0,     0,     0,     0,  3524,     0,
       0,     0,     0,     0,     0,  1496,  1253,  1454,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3551,     0,     0,
    4678,  4679,  4680,  4681,     0,     0,     0,     0,     0,     0,
    1520,     0,  1522,     0,     0,  1495,     0,     0,     0,     0,
       0,  1536,  1538,     0,     0,     0,     0,     0,  1253,     0,
       0,   977,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3617,  3618,     0,  1495,  1253,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1616,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3298,  3298,  3298,     0,     0,     0,  1220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,  3731,     0,     0,     0,
       0,  1170,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4820,     0,
       0,  1253,     0,     0,  4823,     0,     0,     0,     0,     0,
       0,  1253,  1253,     0,  1495,     0,     0,     0,  1253,  1253,
       0,     0,     0,  1253,  1495,     0,     0,     0,  1253,     0,
       0,  1253,  1253,     0,     0,     0,  1253,     0,     0,     0,
    2634,     0,  1253,  3396,     0,  3396,     0,     0,     0,     0,
    2634,     0,     0,  1879,  1253,  1881,     0,     0,     0,  1883,
       0,     0,  1253,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1925,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,  2634,     0,  2081,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
    2095,     0,     0,     0,     0,  3871,     0,     0,     0,     0,
       0,     0,  2106,     0,     0,  2107,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2110,     0,     0,     0,     0,
    2114,     0,     0,     0,     0,  1495,     0,     0,  2117,     0,
       0,     0,     0,     0,  2127,     0,     0,  2131,     0,     0,
    1496,     0,  1496,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,  2184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3999,     0,  1253,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3396,     0,  1253,     0,
       0,     0,  3396,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2346,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  3396,
       0,     0,  1495,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,  5130,     0,     0,  1253,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  5134,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,  1253,     0,     0,  1253,  1253,
       0,     0,     0,     0,     0,     0,  1253,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5196,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4228,     0,  1170,  1536,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2598,     0,     0,  2598,     0,
       0,     0,     0,     0,     0,     0,  2605,     0,  3298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2614,     0,     0,     0,     0,     0,
    1253,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1495,     0,  1253,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2705,  5324,  5325,  5325,     0,
    4342,  4343,  4344,     0,  1253,  2634,     0,     0,     0,     0,
    1253,     0,     0,     0,  1253,     0,     0,  4353,     0,     0,
    1495,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4379,  4380,     0,     0,     0,  4385,     0,     0,     0,  2793,
       0,     0,     0,     0,     0,     0,     0,     0,  4399,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,  1495,  1495,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3396,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3396,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5452,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,  1748,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,  1495,     0,     0,     0,     0,     0,     0,  2931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,  1253,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,  1253,     0,  1253,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4564,  4565,  4566,
       0,     0,     0,     0,     0,     0,     0,  5558,     0,  5560,
       0,     0,  2634,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3051,     0,  3052,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1536,  3063,     0,  3064,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3085,     0,  1253,  1253,     0,     0,     0,
       0,     0,     0,  1253,     0,  1536,     0,  1495,     0,  1536,
       0,  1536,     0,  1253,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5325,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,  1253,  1253,  3298,  1253,     0,
       0,     0,  3298,     0,     0,     0,     0,  1253,  3298,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,  3299,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5735,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4821,     0,     0,     0,
       0,     0,     0,  1496,     0,     0,     0,  4834,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1496,     0,     0,  1253,     0,  5803,
       0,     0,     0,     0,     0,     0,     0,     0,  4862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
    1220,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1253,  2996,  3386,  3387,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
       0,  3402,  3403,     0,     0,     0,  3406,  3407,     0,     0,
       0,  3410,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3421,     0,     0,     0,     0,
       0,  5871,  3430,     0,     0,     0,  3433,  3434,     0,     0,
    3437,  3438,     0,     0,     0,     0,     0,  3443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3460,     0,  3462,  5325,  5325,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3486,     0,     0,     0,     0,  3488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3493,
       0,     0,     0,     0,     0,     0,     0,  5222,  3500,  1496,
    3502,     0,     0,  3505,  3508,  3510,     0,     0,     0,     0,
    3518,  3521,     0,     0,     0,     0,     0,     0,     0,     0,
    3534,     0,     0,     0,     0,  3543,     0,     0,     0,     0,
    3547,     0,     0,     0,     0,     0,     0,  4993,  4994,  4995,
    4996,  5325,     0,     0,  3563,     0,     0,     0,     0,     0,
    1496,     0,  3574,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3596,     0,     0,  3599,     0,
       0,     0,     0,  3602,     0,     0,     0,     0,  3604,  3605,
       0,     0,     0,  3608,     0,     0,  3612,     0,  1258,     0,
    3619,  3620,  3621,  3622,     0,  3624,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3649,  3650,
       0,  3652,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3660,  3661,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3705,     0,     0,     0,     0,     0,     0,
    3396,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  3742,     0,     0,  1498,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3396,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
    1220,     0,     0,     0,     0,  1258,  1258,     0,     0,     0,
       0,     0,     0,  1536,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,  1258,  3872,     0,     0,     0,  5226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3888,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,     0,     0,
    1496,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5222,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5391,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,  5403,  1258,     0,     0,
       0,  1748,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,  5436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  5453,     0,     0,  4127,     0,     0,     0,
    4129,     0,     0,     0,     0,     0,  4131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4142,  4144,     0,     0,     0,  4144,     0,     0,
       0,     0,  4155,  4156,  4157,     0,  4159,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,  4180,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,  4186,  4187,  4188,
    4189,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4206,  5525,     0,  4211,  4212,  4213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4280,
       0,     0,  1258,  1258,  1258,     0,  1258,  4284,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4293,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4339,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4376,     0,     0,     0,  1258,  4381,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4419,
       0,     0,     0,     0,     0,   977,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4443,     0,  4444,     0,     0,     0,
       0,     0,     0,  1494,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2490,  4672,     0,  4673,
       0,     0,     0,     0,     0,     0,  4675,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,  4685,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,  1258,  4693,     0,
       0,  1498,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,  1498,     0,     0,  4713,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,  4717,     0,     0,     0,  1258,  1258,
       0,     0,     0,     0,  4726,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,  1498,  4755,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4763,  4764,  4765,     0,     0,     0,
       0,  4769,  4770,  4771,  4772,     0,  1494,  4774,  4775,     0,
       0,     0,     0,  4782,  4783,     0,  4785,  4786,  4787,  4788,
    4789,  4790,     0,  4792,     0,     0,     0,     0,     0,     0,
       0,     0,  4800,     0,     0,  4803,  4804,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,  4144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,  4824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,  1258,     0,
       0,     0,     0,  1258,  1258,     0,     0,     0,     0,     0,
    1258,  1258,  1258,     0,     0,     0,  1258,  1494,  1258,  1258,
    1258,  1258,  1258,  1258,     0,  1258,     0,  1258,  1258,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,     0,  1498,  1258,  1258,  1258,  1258,
       0,     0,     0,     0,  1258,     0,     0,     0,  1258,     0,
       0,  1258,     0,     0,  1258,  1258,  1258,  1258,  1258,  1258,
    1258,  1258,  1258,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,  4144,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1536,  1536,  1536,     0,     0,     0,     0,
       0,  1494,     0,     0,  4936,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,  1498,  1498,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,  1494,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,  1498,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5078,     0,     0,     0,
    5079,  5080,  5081,  5082,     0,     0,  5084,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5102,  5103,  5104,
       0,  5105,     0,  5107,  5108,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5117,  5118,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5123,     0,     0,     0,     0,     0,     0,     0,
    1536,  1536,     0,  1536,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,  5133,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  5238,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1712,  1712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,  1494,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,  5342,     0,  1498,     0,  1494,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,  5352,     0,     0,     0,     0,  5357,  5358,
    1258,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  1258,
    1258,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1258,  1258,  1258,  1258,     0,     0,     0,     0,  5417,
       0,     0,     0,     0,  1258,     0,     0,  1258,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,  5433,     0,
    1258,  1258,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
    1258,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4144,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,  5470,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,  1258,  1258,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1536,     0,
    1258,     0,     0,     0,     0,     0,  1494,     0,     0,  1536,
       0,     0,  1258,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,  5512,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5528,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5536,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,  1498,     0,
    1498,     0,     0,     0,     0,  1498,     0,     0,  1494,     0,
       0,  1536,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5602,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2375,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2389,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,  2407,  2408,  2409,     0,  2412,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,  1498,     0,  1498,     0,     0,
       0,     0,     0,  5688,     0,  2454,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2509,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5728,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,  5738,     0,     0,     0,  2532,     0,     0,
       0,  2544,  2547,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5796,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,  5818,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,  1494,     0,     0,  1494,
       0,  1494,     0,     0,     0,     0,  1494,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,  5878,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
    1258,     0,     0,  1498,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,  1258,     0,  1258,     0,     0,
    1258,     0,     0,     0,  1498,  1258,  1258,  1258,  1258,     0,
       0,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,
    1258,     0,     0,     0,  1258,  1258,     0,     0,     0,  1498,
       0,     0,     0,     0,  1258,     0,     0,     0,  1258,     0,
       0,     0,  1258,     0,     0,     0,  1494,     0,  1494,     0,
    1258,     0,     0,  1258,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,  1498,  1258,     0,     0,  1258,  1258,     0,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,  1258,  1258,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,  1494,  1487,     0,     0,     0,     0,  1494,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
    1494,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3167,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3187,     0,  3189,     0,     0,
    3201,  3204,  3209,     0,     0,     0,     0,  3215,     0,     0,
    3220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3227,  3228,  3229,  3230,  1485,
       0,     0,     0,  3237,     0,     0,     0,  3249,     0,     0,
    3251,     0,     0,  3258,  3259,  3260,  3261,  3262,  3263,  3264,
    3265,  3266,     0,  3267,  1494,     0,     0,     0,     0,     0,
       0,  1712,     0,     0,  3295,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,  1494,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
    1494,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,  1488,     0,     0,     0,     0,  3323,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,  1258,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,  3435,
       0,     0,     0,     0,  1258,  1258,     0,  1498,     0,     0,
       0,  1258,  1258,     0,     0,     0,  1258,  1498,     0,     0,
       0,  1258,     0,     0,  1258,  1258,     0,     0,     0,  1258,
    1485,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,  1487,     0,  1258,     0,     0,
    1494,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,  1258,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,  1258,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,  3696,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,     0,  1498,     0,     0,     0,  1494,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,  1488,  1258,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,  1498,     0,  1498,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,  1485,  1485,  1494,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,  1258,     0,     0,     0,  1498,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,  1487,     0,     0,     0,     0,  1258,  1258,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,  1258,  3893,
       0,  1258,  1258,     0,  3899,     0,     0,     0,     0,  1258,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2412,
       0,     0,     0,  1258,     0,  1258,     0,     0,     0,     0,
    3209,     0,  3209,  3209,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,  3957,     0,     0,  3960,     0,  3962,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,  3980,     0,  3983,
       0,  3985,     0,     0,     0,  1258,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
    1494,     0,     0,     0,  3295,  3295,  3295,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4055,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2532,     0,     0,     0,     0,  4066,     0,     0,     0,
       0,     0,  2547,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,  1498,     0,  1258,     0,  1258,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4113,  1490,  1258,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,  1498,     0,  1485,     0,     0,  1258,  1485,
    1485,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
    1487,  1488,     0,     0,  1487,  1487,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,  1498,  1498,     0,     0,  1491,
    1258,  1485,     0,     0,  1488,  1490,  1494,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,  1258,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
    1488,     0,     0,  1498,  1498,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,  1258,     0,     0,  1258,
       0,     0,  1258,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,  1258,     0,     0,  1494,     0,  1258,     0,
    1258,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,  1488,     0,     0,
       0,  1258,     0,     0,     0,     0,  1494,     0,     0,  1258,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,  1258,  1258,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
    1498,     0,  1485,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  4478,
       0,  1494,     0,  1258,     0,     0,  1494,  1494,  4482,     0,
       0,  1493,  1258,     0,  4483,     0,  4484,     0,  1258,  1258,
    1488,  1258,     0,     0,     0,     0,     0,     0,  1490,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4508,  4509,  1485,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3215,  1485,  1491,     0,     0,     0,     0,     0,  4534,
       0,     0,  4537,     0,  4539,  1485,     0,     0,     0,     0,
       0,     0,     0,  4543,     0,  1258,     0,     0,     0,     0,
    1487,  4550,  4551,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,  1258,     0,     0,  1494,     0,  1258,     0,     0,
    1487,     0,     0,     0,  4598,     0,     0,     0,     0,  1490,
    4605,  4606,  3295,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,  1258,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4624,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,  4637,     0,  1491,     0,     0,     0,     0,
       0,     0,  1258,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,  1488,
    1488,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,  1485,     0,  1485,     0,     0,     0,     0,
    1485,  1494,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,  1488,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,  1490,     0,  1487,     0,
    1487,  1493,     0,     0,     0,  1487,     0,     0,  1490,  1485,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,  1490,     0,     0,     0,     0,
       0,  1485,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
    1485,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4903,  4904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,  1487,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,  4949,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,  4954,     0,     0,     0,  1493,     0,     0,
    1491,     0,  1488,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4969,  4971,     0,  1487,     0,     0,     0,
    4975,  4976,     0,     0,     0,  4977,     0,     0,     0,     0,
    4980,     0,     0,  4983,  4984,     0,     0,     0,  4988,     0,
       0,  1487,     0,     0,  4992,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,  3295,     0,     0,     0,  1491,  3295,     0,     0,  1485,
       0,     0,  3295,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,  1485,  1488,     0,     0,     0,     0,
    1712,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,  1488,     0,     0,     0,     0,
       0,  5059,     0,  1490,     0,     0,     0,  1490,  1490,  1487,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,  1491,     0,     0,     0,     0,     0,     0,
       0,  5120,     0,  1487,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,  1490,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,  1488,     0,  1488,     0,     0,     0,     0,
    1488,     0,  1493,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,  5261,  5262,     0,     0,
    5263,  1488,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,  1485,     0,     0,     0,  5299,  5300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,  5315,     0,     0,     0,     0,     0,
    1488,     0,  1488,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,  1491,     0,     0,     0,  1491,  1491,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,  1493,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,  1485,     0,     0,     0,  1491,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,  1490,     0,     0,  1488,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5493,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,  2412,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,  5543,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,  1488,     0,
       0,     0,     0,     0,     0,     0,  1491,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,  2448,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,  1490,     0,  1490,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,  1491,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,  2448,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,  5299,     0,  1493,     0,     0,     0,  1493,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,  1485,     0,     0,     0,  5690,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,  1490,  1487,
    1490,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,  1485,
    5741,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5768,  5768,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5299,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,  1485,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5827,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5768,     0,     0,     0,  1487,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,  1491,
       0,  1491,     0,     0,     0,     0,  1491,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,  5768,     0,     0,     0,     0,     0,  5926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,  1488,  1493,     0,     0,  1491,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,  3197,     0,     0,     0,     0,     0,  1485,     0,
       0,     0,     0,  1487,     0,     0,  2448,  2448,  2448,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,  2448,     0,  1485,     0,     0,     0,     0,
    1485,  1485,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,  1488,     0,  1487,  1487,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,  2448,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,     0,     0,  2448,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,  1493,  1485,
       0,  1493,     0,  1493,     0,     0,     0,     0,  1493,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1490,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
    1493,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,  1491,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,  1490,     0,  1491,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
    1488,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,  2448,     0,
       0,  3197,  3197,     0,  3934,     0,  3197,     0,     0,     0,
    2448,     0,     0,  2448,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,  2448,  2448,  2448,  2448,
       0,     0,     0,  3197,  3197,     0,  2448,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,  1488,
    2448,     0,     0,     0,     0,     0,     0,  2448,  2448,  2448,
    2448,  2448,  2448,  2448,  2448,  2448,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,    86,
      87,    88,  2448,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,  1493,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,   132,     0,  2448,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,   139,     0,     0,  1488,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,  1493,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,  1490,     0,
     168,     0,   169,     0,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,  1491,  1490,     0,     0,     0,
    1493,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,  1490,  1490,
     201,     0,   202,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,   211,     0,     0,
    1493,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,  1490,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,  3365,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,  2448,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,  3934,  3934,     0,     0,  3197,  3197,
    3197,  3197,     0,     0,  3197,  3197,  3197,  3197,  3197,  3197,
    3197,  3197,  3197,  3197,  3934,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,  2448,
       0,  2448,     0,     0,  3934,  3934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,  2448,
    3197,  3197,  2448,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,  1491,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3197,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,  2448,  2448,  2448,     0,     0,     0,     0,     0,  3934,
    3934,  3934,  3934,     0,     0,     0,     0,  3934,  3934,  3934,
    3934,  3934,  3934,  3934,  3934,  3934,  3934,  2448,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,  1493,  1493,
       0,     0,     0,  2448,     0,     0,  2448,     0,  2448,     0,
       0,     0,  2448,     0,     0,  3934,  3934,     0,     0,  2448,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,  2448,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3934,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2448,  2448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,  2448,  3197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
    2448,     0,     0,     0,  2448,  2448,  2448,     0,     0,  2448,
       0,     0,  2448,  2448,     0,     0,     0,  2448,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    85,     0,     0,    86,    87,
      88,    89,    90,    91,    92,    93,     0,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,   118,   119,     0,  2448,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,   130,
       0,     0,     0,     0,     0,     0,     0,     0,   131,     0,
       0,   132,     0,     0,   133,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,   140,     0,   141,   142,   143,     0,
     144,     0,     0,   145,     0,   146,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,   148,     0,   149,   150,
       0,     0,     0,     0,  3934,  3197,   151,     0,     0,     0,
       0,     0,     0,   152,     0,   153,   154,   155,   156,     0,
    2448,  2448,  2448,     0, -1640,     0,     0,     0,     0,     0,
    3197,     0,   157,     0,   158,     0,     0,     0,   159,     0,
       0,     0,     0,     0,   160,   161,     0,     0,     0,     0,
       0,     0,   162,   163,   164,     0,     0,   165,  2448,  2448,
     166,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,  2448,     0,   170,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,   174,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0, -1640,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,   185,   186,     0,     0,     0,     0,   187,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
       0,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,   193,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,   203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,   205,     0,     0,     0,
       0,     0,   206,   207,     0,   208,     0,     0,     0,     0,
     209,  3934,     0,     0,     0,   210,   211,     0,   212,     0,
     213,     0,     0,   214,     0,  3197,     0,     0,  3934,   215,
     216,     0,  2448,     0,     0,     0,     0,   217,     0,   218,
       0,   219,   220,     0,     0,   221,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,   224,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,  2448,   230,     0,   231,     0,     0,     0,     0,
     232,     0,     0,   233,     0,     0, -1640,     0,     0,   234,
       0,     0,     0,     0,   235,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,   238,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
     250,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   251,     0,     0,     0,  -145,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3934,     0,  3197,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3197,     0,     0,     0,     0,
    3197,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,  3934,
     724,    95,  3934,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,  2448,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   777,   439,   440,
     441,   778,   779,   780,   781,   782,   783,   784,   442,   443,
     785,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,   786,   450,   451,   452,   453,   454,   787,
     788,   455,   456,   789,   139,   457,   790,   458,   459,   460,
     461,   143,   791,   144,   792,   462,   463,   464,   465,   466,
     147,   467,   468,   793,   794,   469,   470,   471,   472,   473,
     474,   795,   150,   475,   476,   796,   797,   798,   799,   151,
     800,   801,   802,   478,   479,   480,   481,   739,   482,   154,
     155,   483,   803,   484,   804,   485,   486,   487,   488,   489,
     490,   805,   491,   492,   493,   494,   806,   807,   495,   496,
     497,   498,   499,   808,   500,   501,   502,   809,   503,   504,
     505,   810,   506,   507,   508,   509,   163,   510,   511,   512,
     165,   811,   513,   812,   514,   515,   167,   516,   813,   517,
     814,   518,   168,   815,   169,   519,   520,   521,   522,   816,
     523,   171,   817,   172,   524,   818,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,   819,   533,   534,   535,
     536,   537,   538,   820,   539,   175,   176,   821,   540,   541,
     542,   822,   177,   823,   178,   824,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,   825,   826,   550,   182,
     183,   551,   184,   827,   552,   553,   554,   828,   829,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,   830,   572,   573,   194,   574,   831,   195,   575,
     196,   576,   577,   578,   832,   579,   580,   833,   834,   581,
     582,   583,   835,   836,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   837,
     595,   596,   201,   597,   202,   598,   599,   600,   838,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,   839,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   840,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,   841,   639,   640,   641,   642,   643,   842,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
     843,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,   844,   664,   665,   845,   666,   225,
     667,   668,   669,   670,   671,   846,   226,   227,   847,   848,
     673,   674,   228,   675,   229,   849,   676,   677,   678,   679,
     680,   681,   682,   850,   851,   683,   684,   685,   686,   687,
     852,   853,   688,   689,   690,   691,   692,   854,   236,   855,
     693,   237,   694,   695,   696,   697,   856,   857,   698,   858,
     859,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,  1030,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,     0,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,  3367,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  3289,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,  3290,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,  3291,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,  3292,
       0,     0,     0,     0,     0,     0,  1700,  3293,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   216,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,   224,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,  2410,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,   238,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,   250,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,  5505,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,  3199,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,  4486,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,  4557,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
    2620,   533,   534,   535,   536,   537,   538,     0,   539,   175,
    2621,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,  2623,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  2624,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,  2625,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,     0,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  2730,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,  2620,   533,   534,   535,   536,
     537,   538,     0,   539,   175,  2621,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,  2623,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  2624,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,  2625,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  3782,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   216,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,   224,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,  2410,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,   238,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,   250,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,  3205,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,  3206,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,  3207,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,  3208,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,  2372,  3160,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,  1699,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  2542,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,  3206,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,  4607,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,  4623,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,  5765,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,  5766,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,  5767,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,  5766,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,  5767,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,  4961,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
    4970,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,  5289,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  5290,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
    5291,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  5292,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449, -2975,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,  5766,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528, -2975,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,     0,     0,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551, -2975,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,     0,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648, -2975,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,  5767,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706, -2975,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  5486,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,     0,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  3191,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,     0,     0,     0,     0,     0,
       0,     0,  3192,  3193,     0,     0,     0,     0,     0,     0,
       0,  3194,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,     0,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  3191,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,     0,     0,     0,     0,     0,     0,     0,
    3192,  3193,     0,     0,     0,     0,     0,     0,     0,  3194,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,     0,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,     0,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  3191,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  3192,  3193,
       0,     0,     0,     0,     0,     0,     0,  3194,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,     0,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
       0,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  3191,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,
       0,     0,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  3194,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,     0,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,  4519,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,     0,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  3191,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,     0,     0,     0,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  3194,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,     0,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,     0,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  3191,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,  5001,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  3194,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,     0,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,     0,     0,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,     0,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,     0,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,     0,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,  1640,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,  1656,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,  4003,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,  1670,   575,   196,   576,
     577,   578,     0,   579,   580,     0,  1154,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,  4004,   632,   633,   634,   635,   636,   637,   744,
     638,   216,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,   224,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
    1682,   675,  1683,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,  2410,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,   238,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,  4005,   746,   705,   706,     0,
       0,   250,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  4006,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,  1640,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,  1656,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,   172,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,  4003,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
    1670,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,  4004,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,  1682,   675,  1683,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,  4005,
     746,   705,   706,     0,     0,     0,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  4006,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,  1640,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,  1656,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,   172,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,  1670,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
    4004,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,  1682,   675,
    1683,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,  4005,   746,   705,   706,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,   251,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
    1640,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
    1656,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,   172,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,  1670,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,  1682,   675,  1683,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  4656,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,  1640,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,  1656,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,   172,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,  1670,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,  1682,   675,  1683,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,     0,     0,     0,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  5747,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  5344,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4575,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0, -1746,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0, -1746,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539, -1746,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544, -1746,   545,   546,   547,   548,   549,     0,     0,
     550,   182, -1746,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189, -1746,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627, -1746,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    1795,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,  3814,  3815,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  3815,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   216,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,   224,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,  2410,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,   238,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,   250,     0,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,   251,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   216,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,   224,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,  2410,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,   238,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,   250,     0,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,   251,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    1771,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  3356,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  4554,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  5018,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1281,    45,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,   777,   439,   440,   441,
     778,   779,   780,   781,   782,   783,   784,   442,   443,   785,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,   786,   450,   451,   452,   453,   454,   787,   788,
     455,   456,  1462,  1463,   457,   790,   458,   459,   460,   461,
       0,   791,   144,   792,   462,   463,   464,   465,   466,   147,
     467,   468,   737,   794,   469,   470,   471,   472,   473,   474,
     795,   150,   475,   476,     0,   797,   798,   799,   151,   800,
     801,   802,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,   803,   484,   804,   485,   486,   487,   488,   489,   490,
     805,   491,   492,   493,   494,   806,   807,   495,   496,  1466,
     498,   499,   808,   500,   501,   502,   809,   503,   504,   505,
     810,   506,   507,   508,   509,     0,   510,   511,   512,     0,
     811,   513,   812,   514,   515,  1467,   516,   813,   517,   814,
     518,   168,   815,   169,   519,   520,   521,   522,   816,   523,
       0,   817,     0,   524,   818,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,   819,   533,   534,   535,   536,
     537,   538,   820,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,   823,  1471,   824,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,   825,   826,   550,     0,   183,
     551,   184,   827,   552,   553,   554,   828,   829,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
    4303,   830,   572,   573,   194,   574,   831,     0,   575,  1474,
     576,   577,   578,   832,   579,   580,   833,   834,  4304,   582,
     583,   835,   836,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   837,   595,
     596,     0,   597,     0,   598,   599,   600,   838,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,   839,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   840,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   841,   639,   640,   641,   642,   643,   842,   645,
     646,  2624,   647,   648,   220,   649,   650,  1477,   651,   843,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   844,   664,   665,   845,   666,   225,   667,
     668,   669,   670,   671,   846,  1478,  1479,     0,   848,   673,
     674,     0,   675,     0,   849,   676,   677,   678,   679,   680,
     681,   682,     0,   851,   683,   684,   685,   686,   687,   852,
     853,   688,   689,   690,   691,   692,     0,  1480,   855,   693,
     237,   694,   695,   696,   697,   856,   857,   698,   858,   859,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  4305,  4306,  1292,
    1293,  1294,  1295,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1281,    45,     0,     0,     0,     0,     0,  1282,
    1283,  1284,   431,   432,   433,   434,   435,   436,   437,   438,
     777,   439,   440,   441,   778,   779,   780,   781,   782,   783,
     784,   442,   443,   785,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,   786,   450,   451,   452,
     453,   454,   787,   788,   455,   456,  1462,  1463,   457,   790,
     458,   459,   460,   461,     0,   791,   144,   792,   462,   463,
     464,   465,   466,   147,   467,   468,   737,   794,   469,   470,
     471,   472,   473,   474,   795,   150,   475,   476,     0,   797,
     798,   799,   151,   800,   801,   802,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,   803,   484,   804,   485,   486,
     487,   488,   489,   490,   805,   491,   492,   493,   494,   806,
     807,   495,   496,  1466,   498,   499,   808,   500,   501,   502,
     809,   503,   504,   505,   810,   506,   507,   508,   509,     0,
     510,   511,   512,     0,   811,   513,   812,   514,   515,  1467,
     516,   813,   517,   814,   518,   168,   815,   169,   519,   520,
     521,   522,   816,   523,     0,   817,     0,   524,   818,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,   819,
     533,   534,   535,   536,   537,   538,   820,   539,   175,     0,
       0,   540,   541,   542,  1469,  1470,   823,  1471,   824,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,   825,
     826,   550,     0,   183,   551,   184,   827,   552,   553,   554,
     828,   829,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,  4747,   830,   572,   573,   194,   574,
     831,     0,   575,  1474,   576,   577,   578,   832,   579,   580,
     833,   834,  4304,   582,   583,   835,   836,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   837,   595,   596,     0,   597,     0,   598,   599,
     600,   838,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,   839,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   840,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,   841,   639,   640,   641,
     642,   643,   842,   645,   646,  2624,   647,   648,   220,   649,
     650,  1477,   651,   843,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   844,   664,   665,
     845,   666,   225,   667,   668,   669,   670,   671,   846,  1478,
    1479,     0,   848,   673,   674,     0,   675,     0,   849,   676,
     677,   678,   679,   680,   681,   682,     0,   851,   683,   684,
     685,   686,   687,   852,   853,   688,   689,   690,   691,   692,
       0,  1480,   855,   693,   237,   694,   695,   696,   697,   856,
     857,   698,   858,   859,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,     0,     0,     0,  1287,  1288,  1289,
       0,  4305,  4306,  1292,  1293,  1294,  1295,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1281,     0,     0,     0,     0,
       0,     0,  1282,  1283,  1284,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,  1285,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,  1286,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
    1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1281,     0,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,  1403,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,  1404,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,
    1293,  1294,  1295,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1281,     0,     0,     0,     0,     0,     0,  1282,  1283,
    1284,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
    1511,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,  1512,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1513,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,  1287,  1288,  1289,     0,
    1290,  1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1281,     0,     0,     0,     0,     0,
       0,  1282,  1283,  1284,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,  2103,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,  2104,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,  1287,
    1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1281,     0,     0,
       0,     0,     0,     0,  1282,  1283,  1284,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,
    1294,  1295,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1281,     0,     0,     0,     0,     0,     0,  1282,  1283,  1284,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,  3457,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,  3458,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,
    1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1281,     0,     0,     0,     0,     0,     0,
    1282,  1283,  1284,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,  5322,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,  1287,  1288,
    1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   777,   439,   440,   441,   778,
     779,   780,   781,   782,   783,   784,   442,   443,   785,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,   786,   450,   451,   452,   453,   454,   787,   788,   455,
     456,   789,   139,   457,   790,   458,   459,   460,   461,   143,
     791,   144,   792,   462,   463,   464,   465,   466,   147,   467,
     468,   793,   794,   469,   470,   471,   472,   473,   474,   795,
     150,   475,   476,   796,   797,   798,   799,   151,   800,   801,
     802,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     803,   484,   804,   485,   486,   487,   488,   489,   490,   805,
     491,   492,   493,   494,   806,   807,   495,   496,   497,   498,
     499,   808,   500,   501,   502,   809,   503,   504,   505,   810,
     506,   507,   508,   509,   163,   510,   511,   512,   165,   811,
     513,   812,   514,   515,   167,   516,   813,   517,   814,   518,
     168,   815,   169,   519,   520,   521,   522,   816,   523,   171,
     817,   172,   524,   818,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,   819,   533,   534,   535,   536,   537,
     538,   820,   539,   175,   176,   821,   540,   541,   542,   822,
     177,   823,   178,   824,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,   825,   826,   550,   182,   183,   551,
     184,   827,   552,   553,   554,   828,   829,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
     830,   572,   573,   194,   574,   831,   195,   575,   196,   576,
     577,   578,   832,   579,   580,   833,   834,   581,   582,   583,
     835,   836,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   837,   595,   596,
     201,   597,   202,   598,   599,   600,   838,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,   839,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   840,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   841,   639,   640,   641,   642,   643,   842,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,   843,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,   844,   664,   665,   845,   666,   225,   667,   668,
     669,   670,   671,   846,   226,   227,   847,   848,   673,   674,
     228,   675,   229,   849,   676,   677,   678,   679,   680,   681,
     682,   850,   851,   683,   684,   685,   686,   687,   852,   853,
     688,   689,   690,   691,   692,   854,   236,   855,   693,   237,
     694,   695,   696,   697,   856,   857,   698,   858,   859,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,  2511,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,  2620,   533,   534,   535,   536,
     537,   538,     0,   539,   175,  2621,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,  2622,   584,  2623,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  2624,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,  2625,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,    86,    87,    88,   722,    90,    91,    92,   723,  2626,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,    86,    87,    88,   722,    90,    91,    92,   723,
    1161,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,    86,    87,    88,   722,    90,    91,    92,
     723,  5715,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,  1051,   433,   434,   435,   436,   437,   438,  1052,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,  1053,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,  1054,   167,   516,
       0,   517,     0,  1055,     0,  1056,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,  1057,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,  1058,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,  1059,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,  1060,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,  1061,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,     0,     0,     0,     0,
    1062,  1063,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,  1051,   433,   434,   435,   436,   437,   438,  1052,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,  1085,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,  1054,   167,   516,     0,
     517,     0,  1086,     0,  1056,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,  1057,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,  1058,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
    1059,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
    1060,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,  1061,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,     0,     0,     0,     0,  1062,
    1063,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1564,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,  1056,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,  1057,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  1062,  1063,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1569,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,  1056,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,  1057,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,     0,     0,     0,     0,  1062,  1063,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     740,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,  1742,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,  1131,  1743,    86,    87,    88,   722,    90,
      91,    92,   723,  1132,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,  1133,   456,  1104,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,  1134,     0,  1135,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
    1136,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,  1137,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,  1138,   629,   630,   213,   631,   632,
     633,  1139,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,  1140,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
    1141,   227,     0,     0,  1142,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,  1108,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
    1143,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   777,   439,   440,   441,   778,   779,   780,   781,
     782,   783,   784,   442,   443,   785,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,   786,   450,
     451,   452,   453,   454,   787,   788,   455,   456,   789,   139,
     457,   790,   458,   459,   460,   461,   143,   791,   144,   792,
     462,   463,   464,   465,   466,   147,   467,   468,   793,   794,
     469,   470,   471,   472,   473,   474,   795,   150,   475,   476,
     796,   797,   798,   799,   151,   800,   801,   802,   478,   479,
     480,   481,   739,   482,   154,   155,   483,   803,   484,   804,
     485,   486,   487,   488,   489,   490,   805,   491,   492,   493,
     494,   806,   807,   495,   496,   497,   498,   499,   808,   500,
     501,   502,   809,   503,   504,   505,   810,   506,   507,   508,
     509,   163,   510,   511,   512,   165,   811,   513,   812,   514,
     515,   167,   516,   813,   517,   814,   518,   168,   815,   169,
     519,   520,   521,   522,   816,   523,   171,   817,   172,   524,
     818,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,   819,   533,   534,   535,   536,   537,   538,   820,   539,
     175,   176,   821,   540,   541,   542,   822,   177,   823,   178,
     824,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,   825,   826,   550,   182,   183,   551,   184,   827,   552,
     553,   554,   828,   829,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,   830,   572,   573,
     194,   574,   831,   195,   575,   196,   576,   577,   578,   832,
     579,   580,   833,   834,   581,   582,   583,   835,   836,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   837,   595,   596,   201,   597,   202,
     598,   599,   600,   838,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,   839,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   840,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   841,   639,
     640,   641,   642,   643,   842,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,   843,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,   844,
     664,   665,   845,   666,   225,   667,   668,   669,   670,   671,
     846,   226,   227,   847,   848,   673,   674,   228,   675,   229,
     849,   676,   677,   678,   679,   680,   681,   682,   850,   851,
     683,   684,   685,   686,   687,   852,   853,   688,   689,   690,
     691,   692,   854,   236,   855,   693,   237,   694,   695,   696,
     697,   856,   857,   698,   858,   859,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   777,   439,   440,   441,   778,   779,   780,
     781,   782,   783,   784,   442,   443,   785,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,   786,
     450,   451,   452,   453,   454,   787,   788,   455,   456,   789,
     139,   457,   790,   458,   459,   460,   461,   143,   791,   144,
     792,   462,   463,   464,   465,   466,   147,   467,   468,   793,
     794,   469,   470,   471,   472,   473,   474,   795,   150,   475,
     476,   796,   797,   798,   799,   151,   800,   801,   802,   478,
     479,   480,   481,   739,   482,   154,   155,   483,   803,   484,
     804,   485,   486,   487,   488,   489,   490,   805,   491,   492,
     493,   494,   806,   807,   495,   496,   497,   498,   499,   808,
     500,   501,   502,   809,   503,   504,   505,   810,   506,   507,
     508,   509,   163,   510,   511,   512,   165,   811,   513,   812,
     514,   515,   167,   516,   813,   517,   814,   518,   168,   815,
     169,   519,   520,   521,   522,   816,   523,   171,   817,   172,
     524,   818,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,   819,   533,   534,   535,   536,   537,   538,   820,
     539,   175,   176,   821,   540,   541,   542,   822,   177,   823,
     178,   824,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,   825,   826,   550,   182,   183,   551,   184,   827,
     552,   553,   554,   828,   829,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,   830,   572,
     573,   194,   574,   831,   195,   575,   196,   576,   577,   578,
     832,   579,   580,   833,   834,   581,   582,   583,   835,   836,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   837,   595,   596,   201,   597,
     202,   598,   599,   600,   838,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,   839,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   840,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,   841,
     639,   640,   641,   642,   643,   842,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,   843,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
     844,   664,   665,   845,   666,   225,   667,   668,   669,   670,
     671,   846,   226,   227,   847,   848,   673,   674,   228,   675,
     229,   849,   676,   677,   678,   679,   680,   681,   682,   850,
     851,   683,   684,   685,   686,   687,   852,   853,   688,   689,
     690,   691,   692,   854,   236,   855,   693,   237,   694,   695,
     696,   697,   856,   857,   698,   858,   859,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
    3525,   436,   437,   438,   777,   439,   440,   441,   778,   779,
     780,   781,   782,   783,   784,   442,   443,   785,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
     786,   450,   451,   452,   453,   454,   787,   788,   455,   456,
     789,   139,   457,   790,   458,   459,   460,   461,   143,   791,
     144,   792,   462,   463,   464,   465,   466,   147,   467,   468,
     793,   794,   469,   470,   471,   472,   473,   474,   795,   150,
     475,   476,   796,   797,   798,   799,   151,   800,   801,   802,
     478,   479,   480,   481,   739,   482,   154,   155,   483,   803,
     484,   804,   485,   486,   487,   488,   489,   490,   805,   491,
     492,   493,   494,   806,   807,   495,   496,   497,  3526,   499,
     808,   500,   501,   502,   809,   503,   504,   505,   810,   506,
     507,   508,   509,   163,   510,   511,   512,   165,   811,   513,
     812,   514,   515,   167,   516,   813,   517,   814,   518,   168,
     815,   169,   519,   520,   521,   522,   816,   523,   171,   817,
     172,   524,   818,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,   819,   533,   534,   535,   536,   537,   538,
     820,   539,   175,   176,   821,   540,   541,   542,   822,   177,
     823,   178,   824,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,   825,   826,   550,   182,   183,   551,   184,
     827,   552,   553,   554,   828,   829,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,   830,
     572,   573,   194,   574,   831,   195,   575,   196,   576,   577,
     578,   832,   579,   580,   833,   834,   581,   582,   583,   835,
     836,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   837,   595,   596,   201,
     597,   202,   598,   599,   600,   838,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
     839,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   840,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
     841,   639,   640,   641,   642,   643,   842,  3527,   646,   218,
     647,   648,   220,   649,   650,   221,   651,   843,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,   844,   664,   665,   845,   666,   225,   667,   668,   669,
     670,   671,   846,   226,   227,   847,   848,   673,   674,   228,
     675,   229,   849,   676,   677,   678,   679,   680,   681,   682,
     850,   851,   683,   684,   685,   686,   687,   852,   853,   688,
     689,   690,   691,   692,   854,   236,   855,   693,   237,   694,
     695,   696,   697,   856,   857,   698,   858,   859,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,  1640,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,  1656,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,  1670,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
    1682,   675,  1683,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
    1451,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,  1503,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,  1459,   136,  1460,  1461,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1462,  1463,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,  1464,  1465,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,  1467,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,  2620,   533,
     534,   535,   536,   537,   538,     0,   539,   175,  2621,     0,
     540,   541,   542,  1469,  1470,     0,  1471,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1472,   190,  1473,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,  1474,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,  2623,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1475,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,  2624,   647,   648,   220,   649,   650,
    1477,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1478,  1479,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
    1480,  2625,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1462,  1463,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,  1467,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,     0,
       0,   540,   541,   542,  1469,  1470,     0,  1471,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,     0,     0,   572,   573,   194,   574,
    2718,     0,   575,  1474,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,  2624,   647,   648,   220,   649,
     650,  1477,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
    4407,   666,   225,   667,   668,   669,   670,   671,     0,  1478,
    1479,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,  1480,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,  2787,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  1476,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,     0,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,  4223,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
       0,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  1476,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,     0,  1459,   136,  1460,  1461,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,  1462,
    1463,   457,     0,   458,   459,   460,   461,     0,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,  1464,  1465,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,     0,   510,   511,   512,     0,     0,   513,     0,
     514,   515,  1467,   516,  5779,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,     0,     0,     0,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,     0,     0,   540,   541,   542,  1469,  1470,     0,
    1471,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,     0,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1472,   190,  1473,   569,   570,   571,     0,     0,   572,
     573,   194,   574,     0,     0,   575,  1474,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,     0,   198,   585,   199,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,     0,   597,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1475,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,  1476,   647,
     648,   220,   649,   650,  1477,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1478,  1479,     0,     0,   673,   674,     0,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,  1480,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,     0,  1459,   136,  1460,  1461,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1462,  1463,   457,     0,   458,   459,   460,   461,     0,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,  1464,  1465,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,  1467,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,   741,   527,  1468,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,     0,     0,   540,   541,   542,  1469,  1470,
       0,  1471,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,     0,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1472,   190,  1473,   569,   570,   571,     0,     0,
     572,   573,   194,   574,     0,     0,   575,  1474,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,     0,   198,   585,   199,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1475,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,  1476,
     647,   648,   220,   649,   650,  1477,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1478,  1479,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,  1480,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1462,  1463,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,  1467,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,  1525,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,     0,     0,   540,   541,   542,  1469,
    1470,     0,  1471,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,     0,
       0,   572,   573,   194,   574,     0,     0,   575,  1474,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,     0,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
    1476,   647,   648,   220,   649,   650,  1477,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1478,  1479,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,  1480,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  1476,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,     0,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,     0,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,     0,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  2624,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,     0,
    1459,   136,  1460,  1461,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,  1462,  1463,   457,     0,   458,   459,
     460,   461,     0,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
    1464,  1465,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,     0,   510,   511,
     512,     0,     0,   513,     0,   514,   515,  1467,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,     0,     0,     0,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,     0,     0,   540,
     541,   542,  1469,  1470,     0,  1471,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
       0,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1472,   190,  1473,   569,
     570,   571,     0,     0,   572,   573,   194,   574,     0,     0,
     575,  1474,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,     0,   198,   585,   199,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,     0,   597,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1475,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,     0,   647,   648,   220,   649,   650,  1477,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1478,  1479,     0,
       0,   673,   674,     0,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,  1480,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,     0,   136,     0,     0,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,     0,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,     0,     0,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,     0,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,     0,     0,
     540,   541,   542,     0,     0,     0,     0,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,     0,   190,     0,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,     0,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,     0,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
       0,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,     0,   647,   648,   220,   649,   650,
       0,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,     0,     0,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
       0,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   777,
     439,   440,   441,   778,   779,   780,   781,   782,   783,   784,
     442,   443,   785,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,   786,   450,   451,   452,   453,
     454,   787,   788,   455,   456,     0,   139,   457,   790,   458,
     459,   460,   461,   143,   791,   144,   792,   462,   463,   464,
     465,   466,   147,   467,   468,   793,   794,   469,   470,   471,
     472,   473,   474,   795,   150,   475,   476,     0,   797,   798,
     799,   151,   800,   801,   802,   478,   479,   480,   481,     0,
     482,   154,   155,   483,   803,   484,   804,   485,   486,   487,
     488,   489,   490,   805,   491,   492,   493,   494,   806,   807,
     495,   496,   497,   498,   499,   808,   500,   501,   502,   809,
     503,   504,   505,   810,   506,   507,   508,   509,   163,   510,
     511,   512,   165,   811,   513,   812,   514,   515,   167,   516,
     813,   517,   814,   518,   168,   815,   169,   519,   520,   521,
     522,   816,   523,   171,   817,   172,   524,   818,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,   819,   533,
     534,   535,   536,   537,   538,   820,   539,   175,   176,     0,
     540,   541,   542,     0,   177,   823,   178,   824,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,   825,   826,
     550,   182,   183,   551,   184,   827,   552,   553,   554,   828,
     829,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,   830,   572,   573,   194,   574,   831,
     195,   575,   196,   576,   577,   578,   832,   579,   580,   833,
     834,   581,   582,   583,   835,   836,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   837,   595,   596,   201,   597,   202,   598,   599,   600,
     838,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,   839,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   840,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,   841,   639,   640,   641,   642,
     643,   842,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,   843,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,   844,   664,   665,   845,
     666,   225,   667,   668,   669,   670,   671,   846,   226,   227,
       0,   848,   673,   674,   228,   675,   229,   849,   676,   677,
     678,   679,   680,   681,   682,     0,   851,   683,   684,   685,
     686,   687,   852,   853,   688,   689,   690,   691,   692,     0,
     236,   855,   693,   237,   694,   695,   696,   697,   856,   857,
     698,   858,   859,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,  1223,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,  2660,   458,
     459,   460,   461,   143,     0,     0,  2737,   462,   463,   464,
     465,   466,     0,   467,   468,   737,  2661,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,  2738,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2663,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2739,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
    2664,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,  2665,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,  2660,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,  2661,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,  2738,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2663,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,  3715,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
    2664,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,  2665,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,  1119,   437,   438,  1071,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,  1120,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1071,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,  3418,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,  2660,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,  2661,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,  2738,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2663,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
    2664,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,  2665,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   735,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,   738,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,   740,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1071,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,   974,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   975,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   976,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  2330,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,  2331,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,  2332,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,  2333,   518,     0,     0,     0,  2334,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,  2335,  2336,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,  2337,
     635,   636,   637,   744,   638,     0,  2338,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,  2339,
     666,     0,  2340,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
    2341,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,  1072,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,  1073,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,  1074,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,  2319,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
    3278,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,  3279,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,  2599,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,  3280,
     666,     0,   667,  3281,   669,  3282,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,  3283,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   762,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,   740,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   919,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1316,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1317,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1442,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,   129,   130,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  3506,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  3507,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  3519,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  3520,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   980,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,  1033,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,  1089,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1276,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1277,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1745,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1932,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
    1154,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1985,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1986,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
    2187,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,  2319,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,  2599,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4575,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4589,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,  1101,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1103,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1105,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1106,   227,
       0,     0,  1107,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1148,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1149,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1150,   227,
       0,     0,  1151,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,  1167,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1301,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1309,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1327,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1388,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1394,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1410,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1413,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1415,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1457,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1519,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1521,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1531,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1534,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  1537,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,  1756,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,  1757,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1749,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  1142,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,  1882,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1103,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2135,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2173,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2175,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2247,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2249,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2251,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,  2367,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  2564,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,     0,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2994,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  2998,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3429,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3496,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3509,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3511,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,  3646,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,  3671,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1749,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  1142,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    1749,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,  2647,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  1142,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  2722,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    2723,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  2724,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,  1133,   456,  1104,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,  1137,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,  1138,   629,   630,   213,   631,   632,   633,  1139,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
    2723,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,  1141,   227,
       0,     0,  2724,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,  1108,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,  1143,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,     0,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,     0,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,     0,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114, -2730,   115,   116,
     117,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,   122,     0,     0,     0,     0,     0,     0,     0,
       0,   123,     0,   124,     0,   125,   126,    35,     0,   425,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114, -2731,   115,   116,   117,     0,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,   122,
       0,     0,     0,     0,     0,     0,     0,     0,   123,     0,
     124,     0,   125,   126,    35,     0,  1218,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   161,     0,     0,     0,     0,     0,
       0,     0,   163,     0,     0,     0,   165,     0,     0,     0,
       0,     0,   167,     0,     0,     0,     0,     0,   168,     0,
     169,     0,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,     0,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,     0,     0,     0,     0,     0,     0,     0,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,     0,   115,
     116,   117,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   189,   190,
     191,     0,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   197,   198,
       0,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,     0,     0,     0,
       0,   143,     0,   144,     0,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   211,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,  2295,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
    2296,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,  2297,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,  1839,  1840,  5565,     0,     0,     0,     0,     0,     0,
    5566,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,   129,   130,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,   216,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,   224,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   235,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,   238,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,   705,   706,    35,   430,   250,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,   251,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,  2498,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,  2295,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,  2296,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,  2297,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,     0,     0,     0,     0,     0,    35,   430,
    1839,  1840,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,  2503,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,  2295,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
    2296,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,  2297,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   705,   706,     0,     0,     0,     0,     0,    35,
     430,  1839,  1840,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,  2295,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,  2296,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,  2297,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   705,   706,     0,     0,     0,     0,     0,
      35,   430,  1839,  1840,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,  3411,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,  2295,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,  2296,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
    2297,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,   705,   706,     0,     0,     0,     0,
       0,    35,   430,  1062,  1063,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,   477,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,   672,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,   705,   706,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,  2295,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,  2296,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
    2297,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,     0,   482,   154,   155,   483,
    2483,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,  2271,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1304,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,   477,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1323,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,   477,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,  1324,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,   477,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,  2870,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,   477,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,  3851,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   705,   706,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,   477,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,  1422,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,   477,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,  1506,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
     477,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,  1517,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,   477,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,  1527,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,  1528,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,   129,   130,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,     0,     0,     0,     0,     0,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,     0,   457,     0,   458,   459,   460,   461,     0,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,     0,   482,     0,     0,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,     0,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,     0,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,     0,     0,   540,   541,   542,     0,     0,
       0,     0,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,     0,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,     0,     0,     0,   569,   570,   571,     0,     0,
     572,   573,     0,   574,     0,     0,   575,     0,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,     0,     0,   585,     0,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,     0,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,     0,
     647,   648,     0,   649,   650,     0,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,     0,     0,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,     0,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   705,   706
};

static const yytype_int16 yycheck[] =
{
       2,    78,   210,   251,    78,  1310,    78,     2,    78,   891,
     944,  1135,   377,  1152,  1558,    78,    78,   987,  1072,  1073,
    1074,   896,    84,  1588,  1078,   230,   393,   393,   166,  2027,
    1326,  1184,   152,  1509,  1130,  1918,   153,  1476,  1157,  1261,
     149,  1311,  1336,  1962,  1777,  3134,  2838,  1158,  3302,   164,
     188,  1416,  1955,  2285,   768,  1464,  1465,   896,  2089,   159,
    1624,   882,  3347,  2459,  2169,  1474,  3747,  1310,  1027,  1039,
    1142,  1967,    78,  2372,  2472,  1318,    78,   365,   224,  1962,
    2786,  1479,    84,  2628,  2629,  1328,   203,    89,   170,   769,
     164,  2947,  1405,  2934,   987,  1391,  3791,  3778,  3473,  1395,
    1978,  2859,  1494,  1212,  1400,   944,  3701,    94,  1421,  4063,
    1231,  3695,    96,  1409,   116,  1231,  3110,  3701,   131,  3500,
    3356,  4116,   106,  2892,  3525,  2894,  3527,  1423,   210,  2898,
    3977,  3291,  3289,  3290,  4168,  1038,   379,  4112,  2907,  2908,
    2909,  4661,  1022,  4399,   131,  1833,  1834,  1835,  4012,  2222,
     152,  2182,  4396,   892,  1273,  2051,  4386,   141,  1891,   161,
    4343,   900,  4408,   209,  2269,   152,   153,  1006,  1138,  4006,
    1279,  2356,   156,   219,   913,   162,   217,  1010,  3329,  2057,
    2058,  4382,  5002,  4888,  4116,  3222,   166,  2466,  1947,  1896,
    1023,    78,  4843,   250,  4395,  1462,  1463,  1828,  1829,  4891,
     379,  1542,  4385,   942,  1571,  3389,  1473,   209,   188,   948,
    5065,  1551,  1270,  4082,  3940,   217,   203,   219,  5084,  5217,
    1181,  1340,   961,  5018,  1957,  5020,  1181,  4011,    10,  4013,
     232,  2937,  2628,    21,    71,    30,  1226,  1227,   111,  4890,
    5205,  1030,    87,  1652,  1653,  1138,  4470,  4471,  1166,  4473,
    4474,  4475,    71,  5129,  5130,   125,    14,  5123,   162,  5420,
     974,   132,  1671,   132,  5326,  5327,    85,   118,   238,    74,
      75,    76,    77,    14,  1496,   118,    81,   164,   132,   132,
     876,  5360,   238,  1681,    89,    90,   189,    74,    75,    76,
      77,  1054,   186,    96,    81,  1058,  1059,  1060,    87,   132,
      74,    75,    76,    77,   132,  1068,    71,    81,   385,   187,
     149,   385,    71,   385,   233,   385,   102,    84,    78,   132,
      85,    80,   385,  3360,    84,   147,    85,   116,   238,  1383,
      71,   393,    74,    75,    76,    77,  3815,   115,  3044,    81,
    3046,   238,  3712,   159,    74,    75,    76,    77,   220,   245,
      98,    81,    74,    75,    76,    77,   116,   195,   147,    81,
      74,    75,    76,    77,   251,   247,   428,    81,    14,    74,
      75,    76,    77,   149,  1641,  1642,    81,   116,   328,   385,
     280,   284,   132,   132,    89,    90,   232,   189,   105,   219,
      87,   393,  2393,   249,    87,   132,   238,   115,   386,   425,
    1667,   161,    74,    75,    76,    77,   100,   379,   325,    81,
    3475,   149,  1551,   187,   116,   331,   219,  2242,  1132,   116,
     240,   159,   161,   463,   327,    71,   428,   121,    74,    75,
      76,    77,  1797,   102,    80,    81,    82,    83,   149,    85,
     109,  5153,   429,    78,    74,    75,    76,    77,   159,  1558,
     147,    81,   313,    74,    75,    76,    77,  5618,   206,   161,
      81,    98,   154,   238,   238,   238,   149,  1761,    89,    90,
     239,  1353,   232,   149,   238,   399,  5342,   502,   233,   382,
    5445,   238,  1357,   208,   180,   238,   261,   540,   238,    25,
    5285,   531,   379,   232,   547,   399,   102,  3287,   385,  2572,
     255,   425,  5207,   109,   544,   280,     0,   209,   261,  2334,
     498,   878,   878,   194,  5206,   217,   432,   219,  1357,   545,
     545,  1342,   368,   405,   344,    74,    75,    76,    77,   400,
     232,   400,    81,    87,   484,    74,    75,    76,    77,  2612,
      89,    90,    81,  2616,    78,   213,   400,   400,  1228,  1229,
      89,    90,   672,   180,   192,   416,   394,  3347,   102,    78,
    1530,    74,    75,    76,    77,   109,    78,   400,    81,   206,
     542,   465,   400,   490,  2013,   545,    74,    75,    76,    77,
      25,   275,  1701,    81,  1723,    78,   542,   400,  1558,    74,
      75,    76,    77,   182,    78,    78,    81,  1736,   428,    74,
      75,    76,    77,   720,   721,   408,    81,    71,  4203,  1728,
      74,    75,    76,    77,   508,    78,    80,    81,  5680,  4203,
     463,    85,    71,   542,   463,   428,  5705,  1766,  1767,   501,
      78,    80,  1550,   393,   490,   545,    85,  1530,    14,   280,
     491,   545,   545,  4227,   544,   542,  3711,   463,   491,   545,
    1759,   400,  1248,   531,   491,  1764,  1765,  1560,  1628,  5820,
    5625,   428,   412,   400,   253,  5520,   452,    78,   428,   542,
     672,   449,   542,  4354,   545,  5387,   545,   425,   436,  4880,
     397,  2414,  5558,  1516,    78,   672,   488,   463,  2001,   463,
    1933,   545,   545,   538,  4541,   436,    71,    78,   486,    74,
      75,    76,    77,   545,  4568,    80,    81,    82,    83,   491,
      85,   486,   545,   381,   533,   534,  3422,   545,   540,   105,
     507,  4945,   544,   542,   313,   463,  2022,   316,  2461,  2025,
    2043,   449,  2465,   720,   721,  1628,   484,   542,  4119,  5444,
     276,   528,  4579,  5435,  1987,   540,  4583,   497,   536,   538,
     385,  1540,   463,   495,  1042,   542,   452,   531,  5756,  4485,
    2325,  1594,   908,  2033,   180,   885,   435,  4636,   533,   534,
     544,   546,   545,   542,   533,   534,   501,  1610,   542,  5744,
     463,   768,  1700,  4567,   476,  4569,  1756,   463,   545,   180,
     436,  1039,  1625,  2087,  1764,  1765,   545,  2273,  1561,  5319,
     542,  1564,   192,   116,  1567,   486,  1569,  2120,   545,  1572,
     540,  2707,   542,  1576,   544,   935,   878,  3609,  2737,  1184,
     542,   280,  5688,   923,   180,   452,  1935,   416,   542,   435,
    2239,   276,   261,   187,  1793,  5701,  1945,   542,   535,   536,
     537,   538,   535,   536,   537,   538,   484,  3392,   161,  3394,
     927,   385,  4886,   927,  1815,   927,  2332,   927,  1848,   976,
    1815,  5826,  5657,  1756,   927,  2341,   385,  4027,   219,  1909,
     542,  1551,   874,   385,   542,   180,   878,   997,   180,   280,
     882,    37,  3738,    39,   274,   280,  2782,   533,   534,   891,
     892,   435,   385,  3289,  3290,  3291,  1954,   375,   900,   425,
     238,   385,   385,  1821,   545,  2014,  3675,  3305,  2017,  2018,
     102,   913,   542,  1051,  5619,  1053,   192,  1055,  5883,   232,
    4104,   542,   385,  1061,  1039,  4300,  1035,   325,   930,  5621,
    5796,  1174,  4313,  2640,   523,   181,   102,   385,  1084,  2306,
     942,  2282,  2573,    98,  2575,  2312,   948,  1085,  1086,  5600,
    2290,  2218,  2219,  4432,  4433,  4434,  4435,  4436,   340,   961,
     230,   238,   110,   238,  1038,   238,  5068,  5765,  2727,  5620,
    3676,  3677,    14,   327,   385,  5830,  5831,   166,   980,   533,
     534,   535,   536,   537,   538,   987,   261,   974,  2986,   976,
     992,   385,  2101,   542,   507,  1174,   998,   186,   274,  3791,
    1002,  1003,   234,   542,   385,   280,  4376,   348,  1010,   342,
     496,   397,  1158,  5196,    98,   528,    29,   141,   264,   545,
    1022,  1023,   408,   325,   410,  2417,   192,   486,  1030,   542,
     233,   220,   280,  5853,   266,  1030,   452,  1039,   116,   187,
     927,  5746,  1188,  4080,   542,  4420,  1033,   103,   156,  1164,
    1037,   206,  1036,  5745,   324,   410,   505,   542,   412,  5161,
    1994,   452,   156,  5918,   542,   361,  5061,   542,  5000,  1053,
     534,  1055,   280,  1053,   343,  1055,  4227,   428,  3357,   528,
    4365,  1065,   468,   161,   533,   534,   348,   546,  2128,   141,
     198,   486,   280,   217,   484,  1136,   452,  1159,  3001,  1140,
    5898,  1085,  1086,   166,   198,  1085,  1086,   159,   274,  2653,
    1167,   235,  4959,   468,   874,  5047,   545,   422,   878,   342,
    5825,  1134,   206,  1269,  2178,   463,   524,  1129,  1130,  5061,
      74,    75,    76,    77,  1136,   874,  1138,    81,  1140,  5003,
    3325,   141,   418,   132,   545,  1132,   249,  1134,   189,  2288,
    3695,  1038,  1039,   192,   232,  1994,  3701,  1159,   533,   534,
     542,   238,  1164,   361,  1166,   217,   412,   348,    70,    98,
    5007,   327,   874,   365,  5404,  5012,    78,    79,  5015,   145,
     114,   244,   166,   235,   261,  2624,   463,   187,   408,    98,
     463,  3192,  3193,   396,  4875,   104,  3197,  5453,   238,  5443,
     348,   390,   357,   280,   545,   451,   452,  5437,   484,   542,
    5456,   486,  4907,  4003,  2338,  2339,  4006,  1212,  5320,   275,
    5403,   261,   325,   425,  1226,  1227,   486,  5329,   420,   418,
    5750,  5751,   187,  3234,  3235,   274,  1231,    25,   486,   394,
     280,   510,   242,  3788,   241,  3318,   542,    35,   463,   373,
    5451,   359,   418,  5436,   531,   240,   158,  1263,    98,   272,
     244,  1263,   346,   452,   456,   359,   458,   544,  1314,  1315,
     425,   546,    70,   412,  4655,   218,   408,   206,   486,   342,
      78,    79,   542,   545,  1279,  5217,     8,  1174,   235,    11,
      12,   332,  2411,  2211,    87,  4696,   542,   206,   486,   452,
      22,    23,    24,   492,    26,    27,   156,   253,   210,    31,
      32,    33,  1314,  1315,   398,   399,   505,  2276,   484,   262,
      70,   373,   542,   116,  2294,   259,  4116,   327,    78,    79,
     545,   249,   332,   156,   489,  1435,   325,  2217,   401,   528,
    1342,   425,  5317,   545,   542,  3033,   426,  1349,   198,   457,
     138,  1353,   484,   542,   147,   479,   106,   107,   342,   344,
     182,  2243,   543,   457,   545,  5885,   206,   313,  2507,   356,
    1372,   240,  2331,   373,   340,   198,  2335,   332,  2337,  2254,
    2201,  2340,  5626,   531,  3912,  1387,  2266,   490,   388,   187,
    2293,   187,   540,   182,   542,   543,   544,   545,  4634,  1159,
    5247,   216,   304,   542,   182,  5439,   187,   325,   156,   486,
     216,   400,  2245,  3941,  2253,  2254,    71,   401,   386,    74,
      75,    76,    77,   420,  2257,    80,    81,   479,   357,  1431,
      85,   253,   471,  2557,  1136,  2268,   425,   337,  1140,  4596,
     123,  4601,   505,   239,  5281,   484,   486,  4607,   357,   463,
     198,   419,  1700,  2371,  2372,   357,   453,  2391,   180,   444,
    2378,   361,   542,   278,   253,   394,  2384,  2385,  2386,   546,
     416,  4465,   540,   254,  1476,   253,  2394,  2395,   546,   479,
     543,  2399,  2591,   546,   452,   394,  1560,   237,   276,   239,
    2611,   313,   298,  2736,   316,  2611,   425,  5344,   442,   443,
    1788,    98,  5349,  5350,  5099,  2810,   546,   104,  5752,   359,
     342,  1878,  1878,  5757,  1516,  5099,   425,   357,  4287,  5514,
     108,   505,  4291,  4292,   313,  4294,   505,   316,  1530,   327,
     498,   545,   328,   348,   332,   313,   359,  1539,  1540,  4331,
    1542,   410,  2855,   372,  1539,  1540,   327,  1542,  1550,   528,
     102,  5483,  2391,   455,   394,   457,  1558,  1800,  1801,   543,
    1803,   874,   546,  1558,   105,  3041,   199,  2810,   179,  5523,
    5524,   226,   490,   256,  4366,  4365,   209,   181,   261,  1563,
    5824,  1565,  5514,   189,  1568,   425,  1570,  3490,   129,  1573,
    1574,  1575,  1594,  3892,   416,  3593,   318,   466,   102,   191,
    2843,   337,  1586,   472,   167,   337,  1608,   457,  1610,   206,
    2290,   359,  1314,  1315,   297,   386,  1600,  4375,  1602,   405,
    1607,  1800,  1801,  1625,  1803,   361,  1628,   416,   546,   361,
    2943,  4027,   220,  2876,   457,   452,   465,  1639,   416,   286,
    5884,   187,   542,    70,   201,    80,   203,   369,   419,   201,
      85,    78,    79,  2966,  2967,  2968,  2969,   239,  4203,   372,
     264,    70,   268,   478,   189,  2978,  1668,   357,   410,    78,
      79,  1817,  5916,  1560,   381,  5919,   239,   332,   325,   508,
       7,   452,  4227,  2653,  2795,  2796,   125,   166,  2799,   281,
     486,  5623,    19,    20,  1696,  1697,  1698,   201,  1700,   485,
     311,   523,   409,   314,   394,  2814,   228,   270,   540,   457,
    1712,    38,   544,  2822,    41,  3287,  2825,  3613,  1720,   325,
     542,   327,   285,   112,   357,   542,   468,   498,  3833,  1742,
    1743,   158,   295,  4439,   523,  4441,   102,   125,  5419,   178,
     533,   534,   535,   536,   537,   538,   496,   430,  1635,   158,
     161,   473,   465,   542,  1756,  1742,  1743,  1759,   321,   284,
     357,   394,  1764,  1765,  1759,   244,  1828,  1829,  1655,  1764,
    1765,   191,  1774,  1775,  5155,  3347,   298,  5096,   360,   342,
     337,   428,   119,     2,   211,   192,   152,   540,   241,  4579,
     178,   544,   357,  4583,   160,   508,   874,   394,  1685,   206,
    1802,   210,   327,   140,  1806,  1807,   542,   196,   412,   355,
     542,  2693,   228,  1700,  5184,   470,  1878,   339,  5137,  1821,
    2695,   232,   188,  1885,  5756,  1827,  1828,  1829,   425,   394,
    1930,  2942,   346,  1846,   273,   162,  5790,   484,   201,   266,
     203,   404,   243,   357,  1839,  1840,  1848,   451,   452,   431,
    4939,    74,    75,    76,    77,  5230,  2695,   382,    81,  1846,
     425,   281,  3427,   159,   310,  2686,    74,    75,    76,    77,
    1865,  1866,   418,    81,  4666,   202,  1878,   507,   533,   534,
     394,   287,   298,  1885,   463,   273,   325,  1889,   254,   189,
     408,   187,  2606,  3771,  1896,   304,  3774,  5829,   528,   265,
     301,  2734,  2048,   228,  1906,   486,   452,  1909,   233,   434,
     465,  1913,   542,  1800,  1801,  1807,  1803,  3309,  3919,  3920,
    3921,  3922,   440,   486,  3925,  3926,  3927,  3928,  3929,  3930,
    3931,  3932,  3933,  3934,   249,  5336,   363,   325,  5633,   408,
    1935,   410,  2996,   542,   394,  1947,   492,   166,   357,  5330,
    1945,  5632,   531,  1955,  3319,    74,    75,    76,    77,   505,
     413,   542,    81,   370,   327,   357,  5055,   420,  5057,   188,
    4676,  4677,  5226,   298,   337,   414,   356,   542,     5,   233,
    3981,  3982,   528,   497,   284,   394,   141,   127,  1990,   398,
     244,  3400,   147,  3102,  2733,   133,   542,  2003,    25,   468,
     453,  4842,  2008,   141,   159,  4861,   146,   261,    35,   190,
     325,  2013,   396,   463,   339,  1775,   425,   348,   190,  2014,
     160,   474,  2017,  2018,   228,   357,   414,   327,   201,   233,
     203,   327,   187,   425,   189,  3005,  1775,  4806,  4879,  4808,
    4809,  4833,   357,  4812,  2962,   425,   455,  5417,   457,   201,
     477,   203,   465,   226,    98,   456,   261,   458,   485,   230,
     104,   488,   394,  5433,   418,  2804,  2072,  1827,  1828,  1829,
    2076,  2073,   212,  1775,   226,   441,   257,   356,   444,   394,
      22,   482,   382,   546,   415,   257,  2206,   242,  3058,  4120,
    5465,   356,  2094,   425,   298,   508,   505,  2805,   452,  3017,
    5470,    74,    75,    76,    77,   357,  2101,  2109,    81,   332,
      87,   138,  3005,   268,   190,  4907,  2118,  2003,  1878,   290,
     167,   505,  2008,  2125,   332,  1885,  2128,   394,  2130,    71,
      74,    75,    76,    77,  2873,   339,  1896,    81,   492,  5424,
    3099,   545,   394,  3296,   528,  5526,   425,  2149,   546,   403,
     313,  2518,  2518,   316,   327,  2157,  2364,  1896,   425,   332,
     425,   545,   206,   301,   337,  3058,  2874,  2169,  3390,    87,
     147,   179,   327,   425,   486,   490,  4174,   332,   205,  2294,
     332,   257,   161,  2185,   548,   337,  2072,  3752,   542,   394,
    2076,    40,   239,   398,  1896,   408,  2198,  3762,   116,  2201,
    4596,  3310,  2348,  2205,  1906,  4601,  3476,   327,  5889,  2211,
    5000,  4607,   332,   332,  4612,  2217,   451,  5007,   373,  2293,
     425,   240,  5012,   270,   203,  5015,   234,  2229,  3961,   147,
     542,  3501,  5602,   388,  3477,  3307,   357,   505,   285,   452,
    2242,  2243,   486,  2245,  2246,  1947,   243,  4166,   295,   276,
     485,   398,   271,   416,   276,  2257,  4152,  5047,   266,  5513,
     380,   158,  3144,  2265,  2266,   505,  2268,  2269,  5060,   505,
    2370,  5061,  4377,   394,   321,  5067,  3194,   545,   425,  2356,
    2282,  2363,  2356,  2285,  2356,    71,  2356,  2282,  3206,   456,
    2285,   458,  2294,  2356,  4172,   394,  4174,   470,   357,    85,
     505,  5682,   199,   311,   301,   545,   314,   480,  3551,   545,
    3874,  4207,   209,   310,   505,   398,  3250,  3138,   470,  2303,
    3238,  2305,  4323,   528,   479,  2309,   425,  2311,   480,   189,
    2314,   239,  2334,    16,  2318,   394,  2147,   528,   238,   398,
    3310,    70,   425,   507,   288,    74,    75,    76,    77,    78,
      79,   505,    81,   149,   545,   375,  4089,   404,  3276,   332,
    2171,   261,   270,   159,   528,  2125,   425,  4398,  5738,  2371,
    2372,  5140,  3086,   233,   528,  2377,  2378,   285,   542,  3744,
     468,  2383,  2384,  2385,  2386,  3698,  2125,   295,  2390,   382,
    2392,  2393,  2394,  2395,  2396,  2397,   286,  2399,  2536,  2401,
    2402,   307,   395,  2405,   507,  2520,  2293,  4639,   268,  3705,
     233,  3250,   545,  3811,  3812,   243,   549,  2419,  2420,  2421,
    2422,  2423,  2424,  2125,   100,   528,  2428,  5217,   421,   233,
    2432,  4003,   255,  2435,  4006,   325,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,   121,  2448,  2655,  5818,  2657,
     531,   255,   357,   182,  2456,   336,  2518,  2459,  3417,   456,
     357,   458,  1775,   544,   498,   325,    50,   327,   357,  2356,
    5176,    70,    71,   301,  3444,    74,    75,    76,    77,    78,
      79,    80,    81,   415,    68,   482,    85,  1306,  5869,   394,
    3329,  5281,   382,   390,   323,    34,   404,   394,  4401,  2562,
    4383,  2393,    70,    71,  1323,   394,   412,  1326,  5878,  2401,
    4906,  2573,   341,  2575,  1827,  2653,  2518,   149,  2520,   338,
     425,  2523,    84,   342,   253,    87,  2646,   159,   425,    91,
      92,    93,   357,   288,  5788,   307,   425,  4698,   428,    70,
     545,   546,  2429,  4704,  4116,     2,   307,    78,    79,   455,
     312,  3444,  4117,  4118,  5099,   307,   543,   542,   386,   546,
    2706,    74,    75,    76,    77,   390,   138,   139,    81,   394,
     537,  2573,   418,  2575,   342,   542,   482,   544,   396,   347,
    5834,  3414,  3415,  1896,   313,   216,  3695,   316,   187,   468,
    5679,   545,  3701,  2595,   484,   549,  2591,   228,   537,   505,
     425,   507,   233,   542,   468,   544,   452,    74,    75,    76,
      77,  2613,   342,  2615,    81,  2617,  2611,   347,  2613,  2606,
    2615,   543,  2624,  5375,   546,  5377,  2628,  2629,   456,  5381,
     458,  5383,    89,  2635,  5424,   415,   542,   541,  2640,  2641,
     412,   545,  3205,  2645,  3207,  3208,   492,   278,   310,  2795,
    2796,  2653,    71,  2799,   482,    74,    75,    76,    77,   505,
     412,    80,    81,   456,  2424,   458,    85,   298,  2403,  2671,
     498,  2406,  2674,   310,  5219,  2562,  5428,  3731,   163,  5933,
     279,  2801,   528,   455,  2686,  2424,   541,   416,  2690,   264,
     545,  2693,  4101,  5483,   455,   152,   542,  1775,    84,   261,
    2702,   158,   301,   455,    74,    75,    76,    77,   339,   547,
     482,    81,  4710,  2715,   540,    71,   542,   348,   544,   312,
     282,   482,  2424,   255,  5514,  2727,   535,   536,   537,   186,
     482,  2733,  2734,   505,   468,   507,  3569,  3707,   498,  3709,
    2742,   542,   155,   544,   505,   129,   507,  3858,   415,   543,
    3583,   545,   307,   505,   543,   507,   545,  4051,  2518,   540,
     288,   542,  2764,  2765,    70,    71,  2768,   543,   542,   545,
     542,   548,    78,    79,  3883,  4694,   543,   542,   545,    85,
      85,   542,   344,   505,   542,   507,   544,  2789,   307,  2791,
     542,   342,   216,  4365,   523,  2797,  2942,   545,   106,   107,
    2802,   412,  2804,  2805,   228,   129,  2808,   226,   543,   233,
     545,  1030,  2125,  2573,  3707,  2575,  3709,  3787,  1896,  2814,
     498,   329,    74,    75,    76,    77,  2828,  2822,   496,    81,
    2825,  2833,  1051,  5623,  1053,  2837,  1055,   119,  2840,  2948,
     525,  5633,  1061,  1062,  1063,   355,   307,   478,  2850,   533,
     534,   535,   536,   537,   278,   284,  3695,   412,   166,   543,
     342,  2863,  3701,   543,  4597,   545,  1085,  1086,  4021,  4022,
    4023,  2873,  2874,   543,   298,   545,   345,  4173,   186,   543,
    2640,   545,   543,   543,   545,   545,   408,   409,  3847,  3722,
     111,  3724,   311,   412,  3787,   314,   543,  4630,   545,  4018,
     455,  2640,   544,   533,   534,   535,   536,   537,   418,   130,
     418,   541,   220,   332,   345,   339,  2918,  2919,    74,    75,
      76,    77,  4144,   463,   348,    81,  2928,   482,   543,   543,
     545,   545,   233,  2935,   533,   534,   455,   342,  2640,   399,
     408,   409,   452,  2945,   452,   543,  3194,   545,   545,   546,
     505,   412,   507,    84,  4955,   505,    87,   507,   179,   456,
    2962,   458,   543,   482,   545,   425,  5756,   529,   530,   531,
     345,   533,   534,   535,   536,   537,   538,   543,   525,   545,
    2982,   456,   492,   458,   492,   116,   505,   542,   507,   543,
    3238,   545,   123,  1212,   455,   505,  3914,   505,   543,  3001,
     545,  4297,   119,  3005,  2764,    89,    90,  4579,  2768,   525,
    4280,  4583,  1231,    89,    90,  3017,   147,   543,   528,   545,
     528,   482,   284,   542,   307,  2727,   535,   237,   125,  2768,
    3948,  2791,   542,   545,   542,   543,   542,   129,   546,  5829,
    3873,   543,   263,   545,   505,   505,   507,  2125,   543,   543,
      84,   470,  2791,    87,   478,   238,  3058,    91,    92,    93,
    1279,  5457,  2764,   328,   329,   543,  2768,   545,   528,   280,
     543,   168,   545,   535,   546,  3993,  3281,  3282,  3283,   542,
    2840,   542,   390,   214,   548,   545,   546,   276,   542,  2791,
     311,   463,  4531,   314,  4203,   543,   193,   545,   548,  3086,
    2802,  2840,   159,  3351,   325,   463,  3108,  3102,   463,   463,
     418,  2424,   463,   210,   533,   534,   540,   214,  4227,   543,
     544,   543,  3124,   545,  3126,   256,   543,   212,   545,   412,
     261,   543,  3134,   545,   111,   356,  3138,   234,  2840,  3141,
     237,   543,  3144,   545,   452,   543,   129,   545,    74,    75,
      76,    77,  3154,   418,   251,    81,    84,   282,   543,    87,
     545,   307,  3164,    91,    92,    93,   297,  3169,  2928,   543,
     276,   545,   455,   463,   543,   543,   545,   545,   399,   543,
     108,   545,   544,   543,   492,   545,   243,   452,   496,  2928,
    3192,  3193,  3194,   509,   543,  3197,   545,   505,   419,   482,
     543,   542,   545,  3205,  3206,  3207,  3208,   264,   505,   542,
     507,  3213,   543,   344,   545,   672,  3218,  3219,   439,  3221,
     528,  3223,   505,   543,   507,   545,  2928,   492,   543,   543,
     545,   545,  3234,  3235,   542,   332,  3238,   394,   261,   543,
     505,   545,   542,   340,   301,  5246,   221,   543,  3325,   545,
    3252,  3325,  3254,  3325,  3256,  3325,   543,   542,   545,   542,
     544,   221,  3325,   528,   342,   543,   412,   545,   543,   543,
     545,   545,   261,   543,  3276,   545,   543,   542,   545,   543,
     543,   545,   545,   380,   394,  3287,  4851,  3289,  3290,  3291,
     347,   342,   543,   543,   545,   545,   543,   221,   545,   430,
    3192,  3193,   543,   261,   545,  3197,   111,  3194,  3310,   455,
     344,   543,  3314,   545,   543,  3310,   545,   543,  5201,   545,
    1539,  1540,   543,  1542,  3326,   130,   543,  2640,   545,  3331,
     543,   543,   545,   545,   221,  3337,   482,   342,   543,  1558,
     545,   111,  3234,  3235,  4453,  3347,  2424,   543,   543,   545,
     545,  3238,   233,   543,   282,   545,   543,   394,   545,   505,
     130,   507,   221,   543,  4203,   545,   296,   546,  3255,    70,
     543,   543,   545,   545,   179,   189,   342,    78,    79,   543,
     543,   545,   545,   543,  3271,   545,   486,  3389,  4227,   312,
    3392,    84,  3394,   542,    87,   526,   542,  3399,    99,   456,
    3287,   458,   533,   534,   535,   536,   537,   538,   543,   179,
     545,   468,  3414,  3415,   468,   543,   344,   545,  3420,   543,
     336,   545,   479,   116,   543,   482,   545,   543,  5000,   545,
     123,   543,   543,   545,   545,  5007,   415,   242,  3325,  3441,
    5012,   233,  3444,  5015,   307,   543,  3448,   545,   543,   498,
     545,  2764,   288,  3213,   147,  2768,   543,   158,   263,  3219,
    3347,   542,   141,  3465,  3351,   327,   543,   924,   545,   543,
     543,   545,   545,   111,  3213,  5047,   327,   543,  2791,   545,
    3219,   543,   543,   545,   545,  5486,   542,   509,  3490,  5061,
    4449,  4450,  4451,   263,   342,   529,   530,   531,   233,   533,
     534,   535,   536,   537,   538,   543,   311,   545,   327,   314,
     211,  3213,  1178,   119,  1180,  4348,  4349,  3219,   119,   327,
     325,   214,   473,  3525,  3526,  3527,   327,  2840,   158,  4625,
     987,   988,  4584,   357,  4586,   498,   498,   155,   233,   376,
    1759,   311,   542,   547,   314,  1764,  1765,  3549,   221,   412,
     221,   356,   221,   307,   495,   325,   542,  3559,   369,  3561,
     261,   542,  2640,   256,   221,   266,   110,  3569,   261,   542,
     509,   221,   221,  1030,   545,   221,   221,   221,   221,   233,
     221,  3583,   221,   342,   221,   221,   356,   221,   452,   542,
     111,   296,   455,  4702,   399,   342,   542,   542,   233,   542,
    4518,   529,   530,   531,   297,   533,   534,   535,   536,   537,
     538,   233,   233,   542,   419,  2928,   353,   542,  1837,   482,
    1839,  1840,   542,   542,  3989,   542,   506,   542,   542,   399,
     542,   542,  1089,   542,   439,   542,   542,   542,   542,  1858,
    3642,   542,   505,   542,   507,  5217,  1865,  1866,   542,   419,
     542,   344,   542,   542,   542,   280,   542,   542,   412,   542,
    3662,   545,   363,   542,   111,   170,  1123,   545,  3670,   439,
     280,   282,   296,   111,   233,   339,  1133,   233,  3798,   542,
    1137,  1138,  1139,  4617,  3801,   337,  2764,   425,   535,   276,
    2768,   416,  3694,  3695,   186,   545,   316,   485,  3700,  3701,
    3695,   455,   545,  3766,   405,  3707,  3701,  3709,   531,  5281,
      14,   545,  3858,  2791,  3777,   542,  1935,   542,   463,   463,
    3722,   542,  3724,  5721,   412,   497,  1945,   463,   482,   463,
    3732,   412,   544,   463,   463,   412,   298,   430,  3801,  3987,
     463,   463,   531,   463,  3746,   159,   412,   221,   342,   450,
     342,   505,   417,   507,   293,   463,   463,   332,  4006,   463,
     342,   485,  2840,   455,   342,  3525,  3526,  3527,  3770,  1226,
    1227,   337,   463,   542,  1231,   408,   477,   463,  4617,   254,
    4834,   542,   159,   545,   485,  3787,  3788,   488,   542,   357,
    3995,  3996,  3997,  3998,   261,  2014,   221,   486,  2017,  2018,
     463,  3803,   486,   463,   452,   452,   181,   463,   463,   129,
     463,   129,   463,   346,  3801,   318,   412,  4776,  4777,   379,
    4779,   463,   118,  3525,  3526,  3527,   361,   361,  5372,   118,
     545,  3833,   463,   526,   463,   463,   463,   463,   455,    84,
     533,   534,   535,   536,   537,   538,    91,    92,    93,  3851,
    2928,   463,  5424,  5149,   463,  5856,   463,   412,  4691,   463,
    5861,   463,   282,   463,   342,   282,   282,   282,   463,  5022,
     342,  3873,   342,   342,  3876,   282,  5029,   509,   282,  3766,
     282,   542,  2101,   473,   111,   221,   505,  5363,  3883,  5365,
    3777,   100,  3894,   342,   221,  3897,   327,   187,   486,   221,
    3213,  3903,  5041,   342,   221,   221,  3219,  3909,   505,  3911,
     304,  5483,  3914,   497,  3801,   337,  3918,  3919,  3920,  3921,
    3922,   327,   327,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,  3934,   111,  4767,   327,  3938,  3939,   233,   542,
    3700,  3943,  5514,   111,   288,   544,  3948,  4865,   414,   542,
    3952,   110,  3954,   461,  3956,   461,   463,   540,   221,   540,
     221,  3700,  3964,   463,   486,  3967,   221,  3969,   486,   221,
     221,  2190,    14,   545,   336,  3977,  3978,   463,   331,  3981,
    3982,   238,   501,   318,  3986,  3987,  3746,   318,   542,    87,
    5099,  3993,   545,   461,   542,   542,  2215,   247,  3700,   463,
     229,  4003,   238,   545,  4006,   531,  2225,  3746,  2227,  5574,
    5575,   465,   543,   545,  2233,   254,   254,  4019,  2237,   547,
     278,   545,  5566,  4025,  4026,  4027,  4859,  3919,  3920,  3921,
    3922,   542,   428,  3925,  3926,  3927,  3928,  3929,  3930,  3931,
    3932,  3933,  3934,   286,  3746,   343,   545,   111,   543,   486,
    5174,  5623,   543,    34,    10,   129,   350,   412,   543,    84,
    3952,   542,    87,  2282,  4431,  4431,  2285,   486,   286,   286,
    4072,   312,   332,  1530,   463,   463,   332,   463,   468,   542,
     498,   415,  1539,  1540,   233,  1542,  4088,   288,   332,  3981,
    3982,   116,   223,   342,   434,  4233,   119,   327,   123,   344,
    3987,  1558,  4104,   223,   296,   296,   296,   408,   340,   463,
     545,   342,   455,  5266,  4116,   394,  4003,   342,   255,  4006,
     422,   463,   147,   382,   463,   111,   282,   486,  5062,   486,
     288,   378,   340,   531,   264,  3213,   531,   221,   337,   233,
     498,  3219,   111,   453,   235,  4147,   379,  1604,  5713,   337,
     422,   542,   221,   221,   221,   542,   337,   220,   505,   111,
     327,  2380,  2381,   327,   288,   342,   342,   536,  2387,  2388,
     252,  1628,   252,   233,   111,   543,  5110,   540,   543,    84,
     316,   288,    87,   543,  5756,   422,    91,    92,    93,   214,
     233,   543,   525,   525,  3954,  4197,   342,  2416,   509,   261,
    4202,  4203,  4204,   108,   261,   543,   261,    84,  4203,    99,
      87,   245,  3525,  3526,  3527,  3954,   545,   545,   542,   545,
     238,   463,   315,  5062,  4226,  4227,   342,  5109,   505,   129,
     545,   256,  4227,   468,   336,  5110,   261,   452,   288,   116,
     543,  4243,   238,   543,   498,  1702,   123,   353,   545,   362,
     543,   543,  3954,  2472,  1711,   543,  4258,  5829,   543,  4261,
    5099,  5805,   543,  5372,   542,   238,   542,  5100,  1725,  5151,
     147,  5110,   297,   543,   543,   543,   543,   525,   463,   352,
     542,  5586,   502,   502,   529,   530,   531,   527,   533,   534,
     535,   536,   537,   538,   306,   484,   542,   492,   342,  1756,
     129,   342,  1759,  1760,   342,   345,   264,  1764,  1765,   543,
    4305,  4306,   221,   463,   542,  5274,   542,  2536,   531,   344,
     531,  4323,   546,   545,   545,   509,  5285,   543,   463,   543,
    4393,   463,   542,  5251,   272,   542,   463,   214,   332,   327,
     221,   346,   417,   221,   264,   221,  4348,  4349,   296,   223,
    4352,   417,    84,   463,   298,    87,  4358,   531,   417,    91,
      92,    93,   545,  4365,   486,   363,   363,   463,   483,  4431,
     233,   463,  2591,   463,  5292,  4377,   108,   282,   463,   256,
     308,   308,   308,   412,   261,  4448,   463,  3700,   412,   342,
     412,  1848,  2611,   463,  2613,   412,  2615,   327,   463,  4401,
    4402,  4403,  5372,   221,   425,   430,   118,   463,  5367,   463,
     463,   463,   463,   282,   463,   463,   282,   282,   282,   249,
     297,   233,   543,   119,   543,   396,   473,   545,   180,  4431,
     233,  4323,   543,  3746,  2653,   543,   545,  4197,   542,   344,
     342,   340,  4202,   111,  4204,  4653,   221,  3525,  3526,  3527,
     463,   221,   233,   249,  4456,   541,   486,   233,  4453,   542,
     486,   412,   412,  4202,   545,  4204,  4226,   344,   422,   412,
     345,  5525,   219,   219,   282,  4477,   282,   282,  4365,   540,
     282,   282,   282,  4243,   212,   238,  4488,  4226,    87,   233,
     497,   353,   348,    84,   502,  4197,    87,   238,   543,   545,
    4202,   526,  4204,   542,  4243,   238,  4393,   543,   533,   534,
     535,   536,   537,   538,    84,   543,  4518,    87,   545,   343,
     247,    91,    92,    93,  4226,   116,  4528,  4529,   543,  4531,
     401,   542,   123,  4535,  4536,  5494,   545,   543,  4540,  4541,
     542,  4243,   543,  4545,   528,   545,  4548,  4549,   531,   541,
     282,  4553,   543,   430,   543,   542,   147,  4559,   491,   157,
     473,  4448,  5480,   531,  4627,  4628,   233,   111,  4706,  4571,
     486,   486,   288,   272,  2031,   463,   129,  4579,   221,  5497,
    2037,  4583,   455,   542,  5502,   242,  5504,   473,  5522,   417,
     412,   463,   412,   463,  4596,  2814,  5566,   543,   543,  4601,
     394,   543,   463,  2822,   463,  4607,  2825,   542,   463,   505,
     129,   455,   344,   492,   233,   223,   147,  4612,   221,   180,
     473,   543,  3700,  4625,   529,   530,   531,   282,   533,   534,
     535,   536,   537,   538,   282,   282,   282,  4639,   542,   377,
     267,  3954,   286,   361,  4639,   542,   463,   342,   153,   526,
     545,   509,   389,   545,  4656,   542,   533,   534,   535,   536,
     537,   538,   455,   543,   473,   256,   463,    84,  3746,   244,
     261,  4431,  4674,   422,   180,   238,   282,   545,   545,  4571,
     238,   387,   542,  5522,   129,   285,   543,   541,   503,  4691,
     503,   543,  4579,   542,  4696,  2152,  4583,   543,   543,  2156,
     353,   543,   545,   542,   285,   543,   297,  4702,   542,   351,
    4712,   454,   282,   349,   129,   542,   250,   543,   543,   337,
     543,   531,   473,   463,   238,   505,  4728,   147,   266,   255,
     332,  4733,   531,   129,   455,   332,   141,   463,  4740,   463,
    4627,  4628,   221,   463,   240,   282,   238,   545,   187,   111,
     545,   542,   486,   344,  4756,   337,   542,   261,   422,   111,
      84,   486,   235,    87,   233,  4767,   422,    91,    92,    93,
     337,   129,   111,   238,   344,   505,   505,   342,   542,   233,
     269,   543,   280,   345,   108,   238,    84,   542,   542,    87,
     491,   387,   361,    91,    92,    93,  4798,   529,   530,   531,
     438,   533,   534,   535,   536,   537,   538,   543,   543,   285,
    5692,  3030,  3031,   111,   504,   159,   202,   342,   463,   542,
    4822,   543,   388,   542,   111,  2282,   543,   542,  2285,   221,
     463,   542,   542,   542,  4836,  5805,   233,   542,   542,   430,
     194,   111,   332,   254,   542,   309,   264,   377,   542,   422,
     543,   180,   207,   111,   543,   346,   473,  4859,   409,   409,
     501,   543,    84,  4865,   436,    87,   531,   129,   436,    91,
      92,    93,   129,   111,   150,   545,  3954,   543,   491,   542,
    5762,  5763,   542,  3102,  4197,   543,   108,   254,   542,  4202,
     542,  4204,   542,   486,   116,   455,   233,   325,   455,   342,
     455,   123,   542,    81,  4906,   227,  4908,   220,   543,   141,
     542,   542,   345,  4226,   509,   141,   202,   505,   505,   490,
      84,   387,   542,   545,   111,   147,  2383,   491,   542,   238,
    4243,   425,   455,   385,   332,   526,  4696,  4939,   207,   266,
     342,   342,   533,   534,   535,   536,   537,   538,   502,   111,
     542,   422,   111,  4955,   377,   345,   345,  4959,   282,   529,
     530,   531,  4964,   533,   534,   535,   536,   537,   538,   240,
     463,   545,   240,   129,   408,   192,   484,    81,   422,  4981,
    4982,   408,   395,  4985,   282,   349,   542,    97,   108,    89,
     332,   543,   220,   542,  4696,   542,   463,   543,  5000,   238,
     543,   542,   542,   545,   150,  5007,   545,   542,   377,   542,
    5012,   436,   436,  5015,  5016,   240,   240,   505,   505,   385,
     344,  5023,  5024,  2075,  1315,  2946,  1765,  3310,  1314,  2843,
    2777,  3501,  4202,  2490,   256,  4176,  5872,  5703,  5033,   261,
    3691,  2868,  4299,  5385,  5292,  5047,   344,  5049,  5564,  5805,
    5201,  4346,  1275,  5055,  4824,  5057,  5040,  5173,  3091,  5061,
     282,   283,  3421,  4955,  5946,  5947,  5686,  5061,  5794,  5594,
    5593,    84,  4964,  5723,    87,   297,  5829,  3425,    91,    92,
      93,  4379,  4394,  5531,  4337,  4197,  3305,  2931,  2931,  3308,
    3526,  3310,  3742,  5180,  4362,  2925,  3754,  5099,  5100,  1311,
    5188,  5807,  5945,   116,  5099,  5930,  4860,  5109,   330,  1454,
     123,  5166,  5736,  3700,  3694,  5178,  5112,  2138,  5347,  4197,
    5007,  5540,   344,  5115,  4202,  5012,  4204,   188,  5015,  4456,
    1595,  5316,  1611,  2629,   147,  4401,  1481,  3399,  2595,  2198,
    5457,   988,  2360,  5145,  2253,  2359,  3645,  4226,  4226,  5151,
    2359,  5214,  3746,  4243,  2611,  5761,  2613,  5921,  2615,  1504,
    1153,  1913,  2521,  2520,  2294,  4243,  5043,  4381,  4629,  1514,
    1020,  5678,  4086,  1553,  3332,  1520,  3074,  1792,  1736,  1385,
    3326,  1526,  2560,  4030,  3337,  5670,  1809,  1532,  5506,    84,
    1535,  4610,    87,  2559,  1810,  4006,  2653,  4568,  1812,  5282,
    4585,  4003,  5204,  5483,  1817,   529,   530,   531,   430,   533,
     534,   535,   536,   537,   538,  5217,  5482,  5219,  4003,    78,
    4087,   116,  5925,  5778,  5859,    84,  5660,  5249,   123,  3956,
      89,   529,   530,   531,  5031,   533,   534,   535,   536,   537,
     538,  5673,  5653,   256,  5246,  5247,  5674,  5249,   261,  5251,
    2453,  3255,   147,  3165,  3314,  3253,  2456,   116,   672,  3798,
    1439,  3006,  5644,  2595,  1829,  2722,   394,  1032,  2570,  5271,
    2192,  1823,  1249,    84,  1229,  5277,    87,  1607,  2603,  5281,
      91,    92,    93,  2611,   297,  5287,  3304,  2604,  1229,  4093,
    5292,  5178,  4611,  4094,  1739,  4057,   427,  1827,  2323,  3087,
       2,  5041,   161,  2615,   526,  1064,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,   214,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5214,    -1,    -1,
      -1,   344,    -1,    -1,  5336,  1539,    -1,    -1,    -1,    -1,
      -1,    -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,    -1,
      -1,    -1,  5354,    -1,  5246,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,  5359,  5360,   261,    -1,    -1,    -1,
    5372,  5434,    -1,   232,    -1,    -1,    -1,  5372,    -1,  5271,
      -1,    -1,    -1,  4696,    84,  5145,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,  5281,    -1,    -1,    -1,    -1,  5401,
      -1,    -1,   297,    -1,    -1,  5292,  5145,    -1,   108,  2866,
      -1,    -1,    -1,    -1,    -1,    -1,   116,   430,    -1,    -1,
      -1,    -1,  5424,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2889,    -1,    -1,  2892,    -1,  2894,    -1,    -1,
      -1,  2898,    -1,  5145,    -1,    -1,    -1,   147,  5511,   344,
    2907,  2908,  2909,    -1,    -1,  5457,  5458,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5468,    -1,    -1,    -1,
      -1,   282,    -1,    -1,    -1,    -1,  3695,    -1,  5480,    -1,
      -1,  5483,  3701,    -1,  5486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5497,    -1,    -1,    -1,    -1,
    5502,    -1,  5504,    -1,  5506,    -1,  3725,    -1,  2965,    -1,
      -1,    -1,  5514,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
    5532,    -1,    -1,   344,   393,   430,    -1,  5424,    -1,    84,
    2997,    -1,    87,    -1,    -1,    -1,    -1,  5434,  3005,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,  5564,    -1,  5566,    -1,    -1,    -1,    -1,   428,
      -1,   116,    -1,    -1,  3031,    -1,  5336,    -1,   123,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,  5836,  3808,
      -1,    -1,    -1,    -1,  5486,    -1,  3815,   297,    -1,    -1,
      -1,  3058,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5615,    -1,    -1,    -1,    -1,  4696,    -1,
      -1,  5623,    -1,    -1,  5511,    -1,    -1,    -1,    -1,    -1,
     330,   526,    -1,    -1,  5336,    -1,    -1,    -1,   533,   534,
     535,   536,   537,   538,   344,    -1,    -1,   347,    -1,    -1,
    5652,  5653,    -1,    -1,    -1,    -1,    -1,    -1,  5660,  5661,
      -1,    -1,  5664,    -1,  3883,    -1,    -1,    -1,  5670,   214,
      -1,    -1,    -1,    -1,  5737,    -1,    -1,  5679,    -1,    -1,
      -1,    -1,    -1,    -1,  5761,    -1,    -1,  5761,    -1,  5761,
    5692,  5761,    -1,    -1,    -1,    -1,    -1,    -1,  5761,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,  5703,    -1,
    5705,   256,    -1,    -1,    -1,    -1,   261,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,    -1,
    5742,    89,    -1,    -1,    -1,  5747,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,  5756,   149,    -1,   130,    -1,  5836,
    5762,  5763,  5836,  5765,  5836,    -1,  5836,    -1,  5660,    -1,
      -1,   882,  5774,  5836,    -1,    -1,    -1,    -1,  5780,    -1,
     891,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,  5791,
      -1,    -1,   892,    -1,    -1,    -1,    -1,    -1,    -1,   344,
     900,    -1,    -1,  5805,  5564,    -1,   179,   180,    -1,    -1,
     204,    -1,    -1,   913,   187,    -1,    -1,    -1,   166,   930,
      -1,   215,    -1,    -1,    -1,  5564,   526,  5829,    -1,   529,
     530,   531,  5145,   533,   534,   535,   536,   537,   538,    -1,
     188,   235,   942,    -1,  5921,   545,   240,  5921,   948,  5921,
    5737,  5921,    -1,  3310,  5856,    -1,    -1,  5859,  5921,  5861,
      -1,   961,  5564,    -1,    -1,    -1,    -1,    -1,    -1,   242,
      -1,  4090,    -1,    -1,  5761,    -1,    -1,  5872,    -1,  5881,
      -1,   992,  5774,    -1,    -1,   430,  5881,    -1,    -1,    -1,
     263,  1002,    -1,    -1,    -1,   289,  5898,    -1,    -1,    -1,
      -1,  5661,  5904,  2248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,
      -1,    -1,  5661,    -1,    -1,    -1,  5928,  2272,  5930,    -1,
      -1,    -1,    -1,    -1,    -1,  5930,    -1,    -1,   311,    -1,
      -1,   314,    -1,  5945,  5946,  5947,    -1,    -1,    -1,  5836,
    5945,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,  5661,
      -1,    -1,    -1,    -1,  5856,    -1,    -1,    -1,    -1,  5861,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   376,   356,  4203,   379,    -1,  3444,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
      -1,   405,    -1,    -1,  4233,   874,    -1,    -1,   412,   878,
      -1,    -1,    -1,  5336,    -1,   419,   399,    -1,    -1,    -1,
      -1,    -1,   891,   892,  5921,    -1,    -1,    -1,    -1,    -1,
      -1,   900,    -1,    -1,    -1,    -1,   419,    -1,    -1,    -1,
      -1,    -1,    -1,   447,   913,    -1,    -1,    -1,   452,    -1,
      -1,   455,    -1,    -1,    -1,    -1,   439,  5145,   441,    -1,
      -1,   444,    -1,    -1,  3531,    -1,    70,    -1,    -1,   473,
      -1,    -1,    -1,   942,    78,    79,  4305,  4306,    -1,   948,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,   961,    -1,   498,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,
      -1,  5881,   116,    -1,  3581,    -1,  1226,  1227,   987,   123,
      -1,    -1,    -1,    -1,    -1,   111,    -1,    -1,    -1,    -1,
      -1,    -1,  5881,  1002,  1003,    -1,    -1,    -1,    -1,    -1,
      -1,  1010,    -1,   147,    -1,   131,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1023,    -1,    -1,    -1,    -1,   542,
    5930,    -1,  2517,    -1,    -1,    -1,    -1,    -1,    -1,  5881,
    1039,    -1,    -1,    -1,    -1,  5945,    -1,  3644,    -1,   165,
      -1,  5930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5945,    -1,    -1,    -1,
      -1,    -1,    -1,  4432,  4433,  4434,  4435,  4436,  3675,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5930,    -1,
    3687,  1342,    84,    -1,  4453,    87,    -1,    -1,  3695,    91,
      92,    93,  1353,  5945,  3701,    -1,    -1,    -1,   224,    -1,
    3707,  5564,  3709,    -1,    -1,    -1,   108,    -1,  5336,    -1,
     111,    -1,   256,    -1,   116,    -1,    -1,   261,    -1,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1138,
     131,   131,   258,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,  3755,    -1,
    1159,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,   165,   165,    78,   293,    -1,    -1,
    1431,    -1,    84,    -1,    -1,    -1,    -1,    89,    -1,  3786,
    3787,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5661,    -1,
     344,   327,    -1,   347,   116,    -1,    -1,    -1,  3815,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1226,  1227,    -1,
      -1,    -1,    -1,   224,   224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4612,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,   256,    -1,    -1,   258,   258,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4639,    -1,   398,    -1,    -1,    -1,   402,    -1,    -1,    -1,
     282,   283,    -1,   409,    -1,    -1,   430,   288,    -1,    -1,
      -1,   417,   293,   293,    -1,   297,    -1,   209,    -1,   425,
      -1,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,    -1,
      -1,   437,    98,    -1,    -1,    -1,    -1,    -1,   104,   445,
     232,    -1,    -1,    -1,    -1,    -1,   327,   327,   330,    -1,
      -1,   117,    -1,  4702,    -1,    -1,  5564,  4706,    -1,    -1,
     466,    -1,   344,    -1,  1353,   347,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3963,   358,   358,   145,
      -1,    -1,  4731,  4732,    -1,    -1,    -1,  4736,  4737,    -1,
      -1,    -1,    -1,    -1,   500,    96,    -1,    -1,   504,   505,
     101,    -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,   398,   398,    -1,
     400,   402,   402,    -1,    -1,    -1,    -1,    -1,   409,   409,
      -1,   197,    -1,   199,   135,    -1,   417,   417,  5881,    -1,
     206,    -1,    -1,   209,   425,   425,    -1,   148,   430,    -1,
      -1,    -1,    -1,  5661,    -1,    -1,   437,   437,    -1,    -1,
      -1,    -1,   163,    -1,   445,   445,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,   466,    87,  5930,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,   393,  5945,   204,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,   215,   116,    -1,    -1,    -1,   500,
     500,    -1,   123,   504,    -1,    -1,    -1,  1516,    -1,    -1,
      -1,    -1,    -1,    -1,   235,    -1,   428,    -1,  3013,   240,
      -1,  1530,    -1,    -1,   526,  3020,   147,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,   325,
      -1,   327,  3037,   545,    -1,    -1,    -1,    -1,    -1,  1558,
      -1,   337,  3047,  1051,    -1,  1053,  3051,  1055,    -1,  3054,
     346,    -1,    -1,  1061,    -1,  3060,    -1,  3062,    -1,    -1,
    3065,   357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1594,    -1,  1085,  1086,   310,
      -1,    -1,    -1,    -1,    -1,    -1,  4203,    -1,  1848,    -1,
      -1,  1610,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,
      -1,   397,   398,    -1,    -1,    -1,  1625,    -1,    -1,  1628,
    4227,    -1,    -1,   344,    -1,    -1,    -1,  4234,    -1,    -1,
    4237,    -1,  4239,    -1,    -1,   256,    -1,    -1,    -1,   425,
     261,  3136,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,  5881,    -1,   376,   111,    -1,    -1,    -1,
      -1,   282,   283,    -1,  5033,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4279,    -1,    -1,   130,   297,    -1,    -1,    -1,
    4287,    -1,    -1,    -1,  4291,  4292,    -1,  4294,    -1,    -1,
     145,   412,  4299,    -1,    -1,    -1,    -1,    -1,   419,    -1,
      -1,   422,  5930,   489,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,  1212,    -1,    -1,  5945,    -1,    -1,
      -1,    -1,    -1,   344,   179,    -1,   347,    -1,  1226,  1227,
    5099,   452,    -1,  1231,    -1,    -1,    -1,    -1,   459,    -1,
      -1,    -1,    -1,    -1,   199,   466,    -1,  1756,    -1,    -1,
      -1,   206,   473,    -1,   209,  1764,  1765,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,  1775,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,   111,   498,    -1,   234,
      -1,  1279,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
    4397,    -1,    -1,   116,    -1,    -1,   131,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   263,   430,
      -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,  1827,  1828,
    1829,    -1,    -1,  2073,   147,  4432,  4433,  4434,  4435,  4436,
     165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1848,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,   314,
      -1,    -1,  4469,  4470,  4471,   108,  4473,  4474,  4475,  1878,
     325,    -1,   327,   116,    -1,    -1,  1885,    -1,    -1,    -1,
     123,    -1,   337,    -1,    -1,    -1,    -1,  1896,    -1,   224,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2149,
      -1,   356,   357,    -1,   147,   526,    -1,  2157,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,  2169,
      -1,    -1,   543,   258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,  3430,    -1,  2198,   261,   394,
    2201,    -1,   397,   398,   399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,   293,   282,
     283,    -1,   874,    -1,   419,    -1,   878,    -1,    -1,    -1,
     425,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
     892,  2242,  2243,    -1,   439,    -1,    -1,    -1,   900,    -1,
    5359,  5360,   327,    -1,    -1,    -1,  2246,    -1,    -1,    -1,
      -1,   913,  4609,  5372,    -1,  4612,  4613,   330,    -1,    -1,
      -1,    -1,    -1,   256,    -1,  3510,    -1,  3512,   261,  2269,
      -1,   344,    -1,   358,   347,    -1,    -1,    -1,    -1,    -1,
     942,    -1,  4639,    -1,   489,    -1,   948,    -1,    -1,   282,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   961,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
    1558,    -1,    -1,   398,  2073,    -1,    -1,   402,    -1,    -1,
      -1,    -1,    -1,  2334,   409,   987,    -1,    -1,    -1,    -1,
      -1,    -1,   417,    98,    -1,    -1,    -1,   330,    -1,   104,
     425,  1003,    -1,    -1,    -1,    -1,    -1,    -1,  1010,  5468,
      -1,   344,   437,    -1,   347,    -1,    -1,   430,    -1,    -1,
     445,  1023,    -1,    -1,    -1,    -1,  2125,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1039,    -1,    -1,
     145,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2149,    -1,    -1,    -1,    -1,    98,  3641,    -1,  2157,    -1,
      -1,   104,  3647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2169,    -1,    -1,    -1,   117,   500,    -1,    -1,    -1,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     195,    -1,    -1,    -1,   199,    -1,    -1,   430,    -1,  4796,
    4797,   206,   145,    -1,   209,    -1,    -1,    -1,    -1,  4806,
      -1,  4808,  4809,   526,    -1,  4812,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,   234,
     543,    -1,    -1,    -1,  1136,    -1,  1138,    -1,  1140,    -1,
      -1,    -1,    -1,  2242,  2243,    -1,  2245,  2246,    -1,    -1,
      -1,    -1,    -1,    -1,   197,    -1,   199,  1159,  2257,    -1,
      -1,   266,    -1,   206,    -1,    -1,   209,    -1,    -1,  2268,
    2269,  1759,    -1,    -1,  4871,    -1,  1764,  1765,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,   526,    -1,  2294,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,  4905,    -1,
     543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,   327,   266,  1226,  1227,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,  2334,    -1,    -1,  3823,    -1,
    3825,   346,  3827,    -1,  5703,    -1,  5705,    -1,  4945,  3834,
      -1,    -1,   357,    -1,    -1,  2595,    -1,    -1,    -1,    -1,
    1848,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2617,    -1,    -1,
      -1,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,   394,
    3875,    -1,   397,   398,   337,  2635,    -1,    -1,    -1,    -1,
      -1,  2641,    -1,   346,    -1,  2645,    -1,    -1,    -1,    -1,
      -1,    -1,  1314,  1315,   357,    -1,    -1,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,  2424,    -1,    -1,    -1,    -1,
      98,  2671,    -1,    -1,    -1,  2686,   104,    -1,    -1,    -1,
      -1,    -1,  2693,    -1,    -1,    -1,    -1,  1935,    -1,    89,
      -1,   394,    -1,    -1,   397,   398,    -1,  1945,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2715,   116,   145,    -1,    -1,
      -1,    -1,   425,    -1,   489,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2733,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5872,    -1,    -1,    -1,    -1,    -1,  2518,
      -1,   161,  5881,    -1,    -1,  2765,  2014,    -1,    -1,  2017,
    2018,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,   209,    -1,  5140,    -1,    -1,   489,    -1,    -1,  2789,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2797,    -1,    -1,
      -1,    -1,    -1,    -1,  2804,    -1,   234,    -1,  2808,   209,
      -1,  5930,    -1,    -1,  2573,    -1,  2575,   217,    -1,   219,
      -1,    -1,    -1,    -1,    -1,    -1,  5945,    -1,  2828,    -1,
      -1,    -1,   232,  2833,    -1,    -1,  2595,  2837,   266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2850,    -1,    -1,  2101,  1516,    -1,    -1,    -1,  2617,    -1,
      -1,    -1,    -1,  2863,    -1,    -1,    -1,    -1,  1530,    -1,
      -1,    -1,    -1,  2873,   131,    -1,  2635,    -1,    -1,    -1,
      -1,  2640,  2641,    -1,    -1,    -1,  2645,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2653,    -1,  1558,   325,    -1,   327,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,   337,
      -1,    -1,  2671,    -1,    -1,    -1,    -1,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,    -1,  1594,    -1,  2693,    -1,    -1,    -1,   195,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,  1610,    -1,
      -1,    91,    92,    93,    -1,    -1,  2715,    -1,    -1,    -1,
      -1,    -1,    -1,  1625,    -1,    -1,  1628,   224,   108,   397,
     398,    -1,    -1,    -1,  2733,  2734,   116,    -1,    -1,    98,
      -1,    -1,    -1,   123,    -1,   104,    -1,    -1,    -1,    -1,
      -1,    -1,   111,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,   258,  5359,  5360,    -1,  2764,  2765,   147,    -1,  2768,
      -1,   130,    -1,    -1,    -1,  5372,    -1,    -1,    -1,  5376,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,  5386,
    2789,    -1,  2791,    -1,    -1,    -1,   293,    -1,  2797,    -1,
      -1,    -1,    -1,    -1,    -1,  2804,    -1,    -1,    -1,  2808,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,   489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,
     327,    -1,    -1,    -1,  2833,    -1,    -1,    -1,  2837,    -1,
     199,  2840,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
     209,  2850,    -1,    -1,  1756,    -1,    -1,    -1,    -1,    -1,
     357,   358,  1764,  1765,  2863,    -1,    -1,    -1,  3108,    -1,
      -1,    -1,    -1,  1775,  2873,   234,   256,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,    98,  3126,  3138,    -1,    -1,
      -1,   104,    -1,  3144,  3134,    -1,    -1,   394,    -1,    -1,
      -1,   398,   282,   283,   263,   402,    -1,   266,    -1,    -1,
      -1,    -1,   409,    -1,    -1,    -1,    -1,   297,    -1,    -1,
     417,    -1,    -1,    -1,    -1,  1827,  1828,  1829,   425,  2928,
      -1,    -1,   145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,    -1,    -1,  1848,    -1,   445,    -1,
     330,    -1,   311,    -1,    -1,   314,    -1,    -1,  4443,    -1,
      -1,    -1,  4447,    -1,   344,    -1,   325,   347,   327,  5566,
      -1,    -1,    -1,  5570,    -1,  5572,  1878,    -1,   337,  5576,
    5577,    -1,   195,  1885,    -1,    -1,   199,   346,    -1,    -1,
      -1,    -1,    -1,   206,  1896,    -1,   209,   356,   357,    -1,
      -1,    -1,    -1,   500,  1906,    84,  3005,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    84,    -1,    -1,    87,    -1,    -1,   108,
      91,    92,    93,    -1,    -1,   394,  3287,   116,   397,   398,
     399,    -1,    -1,    -1,   123,  1947,    -1,   108,  2536,    -1,
     430,    -1,    -1,   266,    -1,   116,    -1,    -1,    98,  3058,
     419,    -1,   123,    -1,   104,    -1,   425,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     439,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3347,    -1,    -1,    -1,
      -1,    -1,    -1,  2591,    -1,   145,  5703,  2595,  5705,  3108,
      -1,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2611,   337,    -1,    -1,  3126,    -1,    -1,
     489,    -1,    -1,   346,    -1,  3134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   357,  3144,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,   199,
      -1,    -1,    -1,   543,    -1,  2653,   206,    -1,    -1,   209,
      -1,  2073,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,   394,   261,    -1,   397,   398,    -1,  4672,    -1,    -1,
      -1,    -1,   998,    -1,   234,   256,    -1,    -1,    -1,    -1,
     261,  3441,    -1,   282,   283,    -1,    -1,    -1,  5805,    -1,
      -1,    -1,   425,    -1,  3213,    -1,  1022,    -1,   297,    -1,
    3219,   282,   283,  2125,    -1,    -1,   266,    -1,  4713,  4714,
      -1,    -1,    -1,    -1,   874,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2149,    -1,    -1,
      -1,   330,   892,    -1,    -1,  2157,    -1,    -1,    -1,    -1,
     900,    -1,    -1,    -1,    -1,   344,    -1,  2169,   347,   330,
      -1,    -1,    -1,   913,    -1,  5872,   489,    -1,    -1,    -1,
      -1,    -1,    -1,   344,  5881,   325,   347,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,   942,    -1,    -1,    -1,   346,    -1,   948,  3549,
      -1,  3310,    -1,    -1,  4799,  4800,    -1,   357,    -1,    -1,
      -1,   961,    -1,    -1,    -1,    -1,  2814,    -1,    -1,    -1,
      -1,    -1,    84,  5930,  2822,    87,    -1,  2825,    -1,    91,
      92,    93,    -1,  2245,  2246,    -1,    -1,   987,  5945,    -1,
      -1,   430,    -1,    -1,   394,  2257,   108,   397,   398,    -1,
      -1,    -1,    -1,  1003,   116,    -1,  2268,  2269,    -1,   430,
    1010,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,    -1,    -1,  1023,    -1,   425,   104,    -1,    -1,    -1,
      -1,    -1,  2294,    -1,    -1,   147,    -1,    -1,    -1,  1039,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3414,  3415,    -1,    -1,    -1,
      -1,    -1,  3662,    -1,    -1,    -1,    -1,   145,    -1,    -1,
    4915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4924,
    4925,    -1,  3441,    -1,    -1,  3444,    -1,   526,    -1,   489,
     529,   530,   531,  4938,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,    -1,   543,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,   199,   543,    -1,    -1,    -1,    -1,    -1,   206,    -1,
      -1,   209,    -1,    -1,    -1,    -1,  1136,    -1,  1138,    -1,
    1140,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,  2424,    -1,    -1,    -1,  3525,  3526,  3527,    -1,
     282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1349,    -1,   297,    -1,    -1,   266,    -1,
    3549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,
    3569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,  1387,    -1,    -1,  3583,    -1,  1226,  1227,    -1,    -1,
      -1,    84,   344,  3833,    87,   347,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,   327,
      -1,  3851,    -1,    -1,  3102,   108,  2518,    -1,    -1,   337,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   346,    -1,
     123,    -1,    -1,    -1,    -1,    -1,  3876,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2573,    -1,  2575,  1314,  1315,   394,    -1,   430,   397,
     398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3700,    -1,    -1,    -1,    -1,    -1,   425,  3707,    -1,
    3709,    -1,    -1,    -1,    -1,  2617,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3722,    -1,  3724,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2635,    -1,    -1,    -1,    -1,  2640,  2641,
      -1,    -1,    -1,  2645,    -1,    -1,    -1,  3746,    -1,    -1,
      -1,  2653,  4003,    -1,    -1,  4006,    -1,  5242,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,  2671,
      -1,   489,    -1,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,  3787,   282,
     283,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1608,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2715,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3310,    -1,    -1,  2727,    -1,    -1,    -1,    -1,
      -1,  2733,  2734,  5318,  3833,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,  3851,    -1,   347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2764,  2765,    -1,  4116,  2768,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3873,    -1,  1516,  3876,    -1,    -1,
      -1,    -1,    -1,  5368,    -1,    -1,    -1,  2789,    -1,  2791,
    1530,    -1,    -1,    98,    -1,  2797,    -1,    -1,    -1,   104,
    2802,    -1,  2804,    -1,    -1,    -1,  2808,  4147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1558,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2828,    -1,    -1,    -1,
      -1,  2833,    -1,    -1,    -1,  2837,    -1,   430,  2840,    -1,
     145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2850,    -1,
      -1,    -1,    -1,    -1,  1594,  3954,    -1,    -1,    -1,    -1,
      -1,  2863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1610,  2873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,    -1,
      -1,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4258,    -1,
      -1,  4261,    -1,    -1,    -1,    -1,  2928,    -1,    -1,   234,
      -1,    -1,    -1,   526,    -1,     5,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      40,    -1,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    72,  3005,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,  4365,    85,  1756,    -1,  4358,    -1,
     325,    -1,   327,    -1,  1764,  1765,    -1,    -1,    -1,    -1,
      -1,    -1,   337,    -1,    -1,  1775,    -1,  4377,    -1,    -1,
      -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,  4147,    -1,
      -1,    -1,   357,    -1,    -1,    -1,  3058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1990,    -1,    -1,  1827,    -1,   394,
      -1,    -1,   397,   398,    -1,    -1,    -1,    -1,  4197,    -1,
      -1,    -1,    -1,  4202,    -1,  4204,  3108,  3695,  1848,    -1,
      -1,    -1,    -1,  3701,    -1,    -1,  4456,    -1,    -1,    -1,
     425,    -1,    -1,    -1,  3126,    -1,    -1,  4226,    -1,    -1,
      -1,    -1,  3134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   213,  4243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,  4258,
      -1,   231,  4261,    -1,    -1,    -1,  1906,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,   489,    -1,    -1,    -1,  2094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,  5789,    -1,   276,  1947,    -1,    -1,
      -1,  3213,    -1,    -1,    -1,    -1,    -1,  3219,    -1,    -1,
      -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,  4579,    -1,
      -1,    -1,  4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,   316,    -1,    -1,  4348,
    4349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4358,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4377,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3883,    -1,    -1,    -1,  2205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3310,    -1,
      -1,  2217,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,  2229,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,  4431,  2073,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   416,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,  4456,    -1,  2265,
    2266,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,  2125,   108,    -1,  4728,    -1,
      -1,    -1,    -1,   463,   116,    -1,    -1,    -1,    -1,    -1,
    4740,   123,    -1,    -1,    -1,    -1,    -1,    -1,   478,  2149,
      -1,    -1,  3414,  3415,    -1,    -1,    -1,  2157,    -1,    -1,
      -1,    -1,    -1,   493,    -1,   147,    -1,    -1,    -1,  2169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3441,
      -1,    -1,  3444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,    -1,   533,   534,   535,   536,   537,    -1,    -1,
     540,   541,   542,   543,    -1,   545,   546,   547,   548,   549,
      -1,    -1,    -1,    -1,    -1,  4836,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,    -1,  2245,  2246,    -1,   104,    -1,
      -1,    -1,    -1,  2419,    -1,   282,   283,  2257,    -1,    -1,
      -1,    -1,    -1,  3525,  3526,  3527,    -1,    -1,  2268,  2269,
     297,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,    -1,   145,
      -1,    -1,    -1,    -1,  2294,    -1,    -1,    -1,    -1,    -1,
     282,   283,    -1,   330,    -1,    -1,    -1,  3569,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,   344,    -1,    -1,
     347,  3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4691,    -1,    -1,    -1,    -1,  4696,    -1,  4939,
      -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,   330,    -1,
     206,    -1,    -1,   209,    -1,  4203,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,  4728,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   234,  4227,
      -1,  4740,    -1,    -1,    -1,  4233,    -1,    -1,    -1,  5000,
      -1,    -1,    -1,    -1,    -1,    -1,  5007,    -1,    -1,    -1,
    3662,  5012,    -1,   430,  5015,  5016,    -1,    -1,  4767,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5047,    -1,  3700,    -1,
      -1,    -1,    -1,    -1,    -1,  3707,    -1,  3709,   430,    -1,
    5061,    -1,    -1,    -1,    -1,  5055,    -1,  5057,    -1,    -1,
    3722,    -1,  3724,    -1,    -1,    -1,    -1,    -1,    -1,   325,
      -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   337,    -1,    -1,  3746,    -1,    -1,    -1,    -1,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5109,   526,
    4859,   357,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2690,  3787,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,   394,    -1,
    5151,   397,   398,    -1,   526,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
      -1,  3833,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,
    4939,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,  3851,
      91,    92,    93,    -1,    -1,  2595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4453,  5217,   108,    -1,    -1,
      -1,  3873,    98,    -1,  3876,   116,    -1,  2617,   104,    -1,
      -1,    -1,   123,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,   489,    -1,  2635,    -1,    -1,    -1,    -1,
    2640,  2641,    -1,    -1,    -1,  2645,   147,   108,    -1,    -1,
      -1,    -1,    -1,  2653,    -1,   116,    -1,    -1,    -1,   145,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5281,  2671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,  3954,    -1,    -1,    -1,  5055,    -1,  5057,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   199,    -1,  2715,    -1,    -1,    -1,    -1,
     206,    -1,    -1,   209,    -1,    -1,    -1,  2727,    -1,    -1,
      -1,    -1,    -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,
      -1,  5100,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,
    5109,    -1,    -1,  2919,    -1,   256,    98,    -1,    -1,    -1,
     261,    -1,   104,    -1,  2764,  2765,    -1,    -1,  2768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,   282,   283,    -1,    -1,    -1,  5145,    -1,    -1,  2789,
    5401,  2791,  5151,    -1,    -1,   256,   297,  2797,    -1,    -1,
     261,    -1,  2802,   145,  2804,    -1,    -1,    -1,  2808,    -1,
      -1,    -1,    -1,  5424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,  2828,   330,
      -1,    -1,    -1,  2833,    -1,    -1,   297,  2837,    -1,   325,
    2840,   327,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
    2850,   337,    -1,    -1,  4702,    -1,    -1,   199,  4706,    -1,
     346,    -1,    -1,  2863,   206,    -1,    -1,   209,    -1,   330,
      -1,   357,  5483,  2873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,  4147,   347,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5514,    -1,    -1,    -1,    -1,   394,    -1,
      -1,   397,   398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,  2928,   430,
      -1,    -1,    -1,    -1,    -1,  4197,    -1,    -1,    -1,   425,
    4202,    -1,  4204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,    -1,
      -1,    -1,    -1,    -1,  4226,    -1,    -1,    -1,    -1,   430,
      -1,    -1,    -1,    -1,    -1,  3141,    -1,  5336,    -1,    -1,
      -1,  4243,    -1,   325,    -1,   327,    -1,    -1,  3154,    -1,
      -1,    -1,    -1,    -1,    -1,   337,  4258,    -1,    -1,  4261,
      -1,    -1,    -1,   489,   346,  3005,    -1,    -1,    -1,    -1,
      -1,    -1,  5623,  5372,    -1,   357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   394,    -1,    -1,   397,   398,    -1,  3058,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,  5679,
      -1,  5692,   543,   425,    -1,    -1,  4348,  4349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3108,    84,
      -1,    -1,    87,    -1,    -1,  4377,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,
      -1,  5742,    -1,   108,  3134,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,  5756,    -1,   489,   123,    -1,
      -1,  5762,  5763,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4431,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4456,    -1,   131,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,  5564,    -1,  5566,    -1,   116,
      -1,    -1,    -1,  3213,    -1,    -1,   123,   152,  5829,  3219,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     185,  5099,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,   210,    -1,    -1,    -1,   214,
      -1,   256,  3448,    -1,    -1,    -1,   261,    -1,    -1,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,  3465,
      -1,    -1,  5661,    -1,    -1,    -1,    -1,   282,   283,    -1,
    3310,    -1,    -1,    -1,    -1,    -1,    -1,  5928,    -1,    -1,
    5679,    84,   297,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,  5692,    -1,  5946,  5947,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,   256,
      -1,    -1,    -1,   116,   261,   330,    -1,    -1,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     297,    -1,    -1,  3559,    -1,  3561,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5762,  5763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3414,  3415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,  4691,
      -1,    -1,    -1,    -1,  4696,    -1,    -1,   344,    -1,    -1,
     347,  3441,    -1,    -1,  3444,    -1,  5805,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3642,    -1,  4740,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,    -1,    -1,    -1,  3670,  4767,    -1,    -1,    -1,    -1,
      -1,  5359,  5360,    -1,    -1,    -1,    -1,    -1,    -1,   282,
     283,    -1,  5881,   430,  5372,  3525,  3526,  3527,    -1,    -1,
      -1,    -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,   330,   543,  3569,
      -1,  5930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,  3583,   347,    -1,  5945,  5946,  5947,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,
      -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
    5468,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,  3803,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3662,    -1,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4939,     3,    -1,
      -1,    -1,    -1,    -1,     9,    -1,    -1,    -1,    13,    -1,
      15,    -1,    17,    18,    -1,    -1,    -1,    -1,    -1,    -1,
    3700,    -1,    -1,    28,    -1,    -1,    -1,  3707,    -1,  3709,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,
      45,    -1,  3722,    -1,  3724,    -1,    -1,    -1,    -1,    -1,
      -1,  3897,    -1,    -1,    -1,    -1,    -1,   672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3746,    -1,    -1,    -1,
      -1,    -1,  3918,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    94,
     533,   534,   535,   536,   537,   538,    -1,  3943,    -1,   104,
     543,   106,   107,    -1,    -1,    -1,    -1,  3787,    -1,    -1,
      -1,    -1,    -1,  5055,    -1,  5057,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3977,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,
     145,    -1,    -1,    -1,    -1,    -1,   151,    -1,   153,    -1,
      -1,    -1,    -1,  3833,    -1,    -1,    -1,    -1,  5100,   164,
      -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3851,    -1,    -1,    -1,  5703,   181,  5705,   183,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3873,    -1,   200,  3876,   202,    -1,    -1,
      -1,   206,    -1,  5145,    -1,    -1,    -1,   212,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   220,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   260,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   882,   883,   884,
     885,    -1,   887,    -1,  3954,    -1,   891,    -1,   893,    -1,
      -1,   896,    -1,    -1,    -1,    -1,    -1,    -1,   903,    -1,
     905,    -1,    -1,   908,   299,   300,    -1,   912,    -1,   914,
     305,    -1,    -1,    -1,    -1,    -1,    -1,   922,    -1,    -1,
      -1,    -1,   317,   928,    -1,   930,    -1,    -1,   933,    -1,
     935,    -1,   937,    -1,   329,    -1,    -1,    -1,    -1,   944,
      -1,    -1,    -1,    -1,   949,    -1,   951,    -1,    -1,    -1,
      -1,    -1,    -1,   958,  5872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   992,    -1,   384,
      -1,    -1,   997,    -1,    -1,   390,   391,  1002,   393,    -1,
      -1,  1006,    -1,   398,  5336,    -1,    -1,    -1,   403,    -1,
      -1,   406,    -1,    -1,    -1,    -1,   411,    -1,    -1,    -1,
      -1,  1026,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,
    5372,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,   471,  4147,   473,  1084,
      -1,    -1,    -1,    -1,    -1,    -1,   481,   108,    -1,    -1,
      -1,    -1,   487,    -1,  1099,   116,  1101,   492,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     505,    -1,    -1,    -1,    -1,    -1,  4352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1129,  1130,   147,  4197,    -1,  1134,
    1135,    -1,  4202,   528,  4204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,    -1,  1154,
      -1,   546,    -1,  1158,    -1,    84,  4226,    -1,    87,    -1,
      -1,  1166,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,  1176,    -1,  4243,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,  1188,    -1,    -1,    -1,   116,  4258,    -1,
      84,  4261,    -1,    87,   123,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,   147,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
      -1,    -1,  5564,    -1,  5566,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,    -1,  1269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1280,   297,    -1,  4348,  4349,
    1285,  1286,    -1,    -1,    -1,    -1,    -1,    -1,  4358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4541,    -1,  4377,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,   256,    -1,  5661,
      -1,    -1,   261,    -1,    -1,    -1,    -1,  1342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5679,  1353,    -1,
      -1,    -1,  1357,   282,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,   297,    -1,
    1375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4456,    -1,   282,   283,
      -1,    -1,  1397,    -1,    -1,    -1,    -1,    -1,  1403,  1404,
      -1,   330,    -1,   297,    -1,    -1,    -1,    -1,    -1,   430,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
    1425,  1426,  1427,    -1,  1429,    -1,  1431,    -1,    -1,    -1,
      -1,  1436,    -1,    -1,    -1,    -1,   330,    -1,  4674,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
     344,    87,    -1,   347,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,  5805,    -1,    -1,  4712,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4733,    -1,    -1,
      -1,   430,    -1,    -1,  1509,   526,  1511,  1512,   529,   530,
     531,   147,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1550,    -1,    -1,    -1,  5881,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1588,  1589,    -1,    -1,    -1,  1593,    -1,
    1595,    -1,    -1,    -1,    -1,    -1,    -1,   526,  5930,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,    -1,  5945,   543,    -1,  1621,    -1,    -1,  1624,
     256,  4691,  1627,    -1,    -1,   261,  4696,    -1,    -1,    -1,
      -1,    -1,   526,    -1,  1639,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,   282,   283,    -1,   543,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4728,    -1,
      -1,   297,    -1,  1668,    -1,    -1,    -1,    -1,    -1,    -1,
    4740,    -1,  4908,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,  1696,  1697,  1698,   330,  1700,    -1,  4767,    -1,    -1,
      -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     116,   347,    -1,    -1,    -1,  1720,    -1,   123,    -1,    -1,
      -1,    -1,    -1,  4959,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1742,  1743,    -1,
      -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1771,    -1,    -1,  1774,
      -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4859,
      -1,    -1,    -1,    -1,   430,    -1,    -1,  1802,    -1,    -1,
      -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1817,  1818,  1819,    -1,  1821,    -1,    -1,    -1,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,
     233,  1846,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
     256,   244,    -1,    -1,   247,   261,    -1,   250,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4939,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,
     526,   297,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,   298,    -1,   543,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1942,   344,    -1,
      -1,   347,    -1,    -1,    -1,    -1,   339,    -1,    -1,   342,
      -1,    -1,    -1,    -1,    -1,   348,  1961,  1962,    -1,    -1,
      -1,    -1,    -1,    -1,   216,  1970,    -1,    -1,  1973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,   233,    -1,    -1,    -1,  5055,   238,  5057,    -1,  1994,
      -1,  1996,   244,    -1,    -1,   247,    -1,    -1,   250,    -1,
      -1,    -1,    -1,    -1,  2009,    -1,    -1,  2012,   401,    -1,
      84,  5247,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,   430,    -1,   278,    -1,    -1,    -1,
    5100,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,  2048,    -1,    -1,   298,    -1,    -1,   123,
      -1,  5287,    -1,    -1,  2059,  2060,  2061,  2062,  2063,   452,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2077,   147,    -1,  5145,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2089,   478,  2091,   339,    -1,    -1,
     342,    -1,    -1,    -1,    -1,    -1,   348,    -1,  2103,  2104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,   502,
      -1,   504,   505,  5349,  5350,    -1,    -1,    -1,    -1,  2124,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,  5204,    -1,    -1,   543,  2143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   540,    -1,   401,
     543,   544,    -1,   546,  2159,  2160,  2161,  2162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,    -1,
      -1,    -1,    -1,    -1,  2179,    -1,    -1,  2182,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,    -1,  2198,    -1,    -1,  2201,    -1,    -1,    -1,
     452,  2206,    -1,    -1,    -1,    -1,  2211,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5458,   297,    -1,    -1,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2242,  2243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2253,  2254,
     502,    -1,   504,   505,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5336,    -1,  2273,  2274,
     344,    -1,    -1,   347,    -1,  2280,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2291,    -1,   540,    -1,
      -1,   543,   544,    -1,   546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2325,    -1,    -1,    -1,    -1,    -1,    -1,  2332,    -1,  2334,
      -1,    -1,    -1,  2338,  2339,    -1,  2341,    -1,    -1,    -1,
      -1,    -1,    -1,  2348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2358,    -1,    -1,   430,    -1,  2363,  2364,
      -1,    -1,  2367,    -1,    -1,    -1,  2371,  2372,    -1,    -1,
      -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,  2384,
    2385,  2386,    -1,    -1,    -1,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,
    2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2420,  2421,  2422,  2423,    -1,
      -1,    -1,  2427,  2428,    -1,    -1,    -1,  2432,  5664,    -1,
    2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,    -1,    -1,
    2455,  2456,   526,    -1,  2459,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,   541,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,  2481,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5564,    -1,  5566,    -1,   108,    -1,
      -1,    -1,   112,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,  2519,    -1,  2521,    -1,  2523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2557,    -1,    -1,    -1,    -1,    -1,    -1,  2564,
      -1,  2566,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,   108,    -1,
      -1,  5661,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,  5679,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2646,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
    2655,   261,  2657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2686,    -1,  2688,  2689,    -1,    -1,   297,  2693,    -1,
    2695,    -1,  2697,    -1,  2699,    -1,    -1,    -1,  2703,    -1,
      -1,  2706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,   238,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2737,    -1,   344,  5805,   256,   347,    -1,    -1,
    2745,   261,    -1,    -1,    -1,    -1,    -1,  2752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2761,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2780,    -1,   297,    -1,    -1,
    2785,  2786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2795,  2796,    -1,    -1,  2799,    -1,  2801,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,  5881,    -1,    -1,    -1,  2820,    -1,    -1,  2823,    -1,
     430,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2844,
    2845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2859,    -1,  2861,  2862,    -1,    -1,
    5930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5945,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2899,  2900,    -1,    -1,    -1,    -1,
      -1,  2906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,  2918,    -1,  2920,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,  2934,
      -1,    -1,  2937,    -1,  2939,    -1,    -1,  2942,    -1,    -1,
      -1,  2946,    -1,    -1,  2949,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2961,  2962,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2979,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2989,    -1,  2991,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3006,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,  3017,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3041,    -1,  3043,  3044,
    3045,  3046,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    42,    43,    -1,  3091,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,  3128,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3157,    -1,    -1,    -1,    -1,    -1,    -1,  3164,
      -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3192,  3193,  3194,
      -1,    -1,  3197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3205,  3206,  3207,  3208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3218,    -1,    -1,  3221,    -1,  3223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
    3235,    -1,    -1,  3238,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,  3250,    -1,  3252,    -1,  3254,
      -1,  3256,    -1,    -1,   213,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,  3276,   231,   123,    -1,  3280,    -1,    -1,    -1,    -1,
      -1,    -1,  3287,    -1,  3289,  3290,  3291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,
      -1,  3326,    -1,    -1,    -1,    -1,  3331,    -1,    -1,    -1,
      -1,    -1,  3337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3347,    -1,    -1,    -1,  3351,    -1,    -1,  3354,
      -1,  3356,    -1,    84,   313,    -1,    87,   316,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,   332,    87,    -1,    -1,   108,    91,    92,
      93,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,    -1,   123,    -1,    -1,   108,    -1,    -1,   111,    -1,
      -1,    -1,    -1,   116,    -1,    -1,   256,    -1,    -1,    -1,
     123,   261,    -1,    -1,    -1,  3420,   147,  3422,    -1,    -1,
      -1,    -1,  3427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,   147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,  3454,
      -1,  3456,  3457,  3458,    -1,    -1,    -1,   416,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,   232,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,
     370,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,   261,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3567,    -1,   523,    -1,   297,    -1,    -1,   282,
     283,    -1,   531,    -1,   533,   534,   535,   536,   537,    -1,
     430,   540,   541,   542,   297,    -1,    -1,    -1,   547,   548,
      -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,    -1,    -1,   368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,    -1,    -1,
      -1,  3676,  3677,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    84,   430,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,  3713,  3714,
    3715,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,   108,    -1,    -1,  3730,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,   161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3752,  3753,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3762,  3763,  3764,
      -1,   147,    -1,  3768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,
      -1,    -1,    -1,  3798,   217,   526,   219,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,   232,
    3815,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
      -1,    -1,  3837,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,  3858,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,  3874,
     256,   116,    -1,    -1,    -1,   261,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3894,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,  3903,    -1,
      -1,    -1,   147,    -1,  3909,    -1,  3911,    -1,    -1,  3914,
      -1,   297,    -1,    -1,  3919,  3920,  3921,  3922,    -1,    -1,
    3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,  3934,
      -1,    -1,    -1,  3938,  3939,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3948,   330,    -1,    -1,  3952,    -1,    -1,
      -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,   344,  3964,
      -1,   347,  3967,    -1,  3969,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3978,    -1,    -1,  3981,  3982,   364,    -1,
      -1,  3986,  3987,    -1,    -1,    -1,  3991,    -1,  3993,    -1,
      -1,    -1,    -1,    -1,    -1,  4000,  4001,  4002,  4003,    -1,
      -1,  4006,  4007,    -1,    -1,    -1,  4011,  4012,  4013,    -1,
      -1,   256,    -1,    -1,  4019,    -1,   261,    -1,    -1,    -1,
    4025,  4026,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4086,    -1,  4088,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4116,  4117,  4118,    -1,  4120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4137,  4138,  4139,  4140,    -1,    -1,    -1,    -1,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4184,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,    -1,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,  4276,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4315,    -1,    -1,    -1,  4319,    -1,  4321,    -1,  4323,    -1,
      -1,    -1,    -1,    -1,    -1,  4330,    -1,   138,    -1,    -1,
      -1,  4336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,  4346,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,  4361,    -1,    -1,    -1,
    4365,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
    4375,    -1,   116,    -1,    -1,    -1,    -1,    -1,  4383,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4394,
      -1,    -1,    -1,  4398,    -1,    -1,    -1,  4402,  4403,    -1,
      -1,    -1,   213,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,    -1,    -1,    -1,  4432,  4433,  4434,
    4435,  4436,    -1,    -1,  4439,    -1,  4441,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   882,
      -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,   891,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,   930,    -1,    -1,
      -1,    -1,   256,  4518,    -1,    -1,    -1,   261,    -1,    -1,
      -1,   332,    -1,  4528,  4529,    -1,    -1,    -1,    -1,    -1,
    4535,  4536,    -1,    -1,    -1,  4540,    -1,    -1,   282,   283,
    4545,    -1,    -1,  4548,  4549,    -1,    -1,    -1,  4553,  4554,
      -1,    -1,    -1,   297,  4559,  4560,  4561,  4562,  4563,    -1,
      -1,    -1,  4567,  4568,  4569,    -1,  4571,  4572,    -1,   992,
    4575,    -1,    -1,    -1,  4579,   998,    -1,    -1,  4583,  1002,
      -1,    -1,    -1,    -1,  4589,    -1,   330,    -1,    -1,    -1,
      -1,  4596,    -1,    -1,    -1,    -1,  4601,    -1,    -1,  1022,
     344,    -1,  4607,   347,    -1,   416,    -1,    -1,    -1,    -1,
      -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4625,    -1,    -1,    -1,  4629,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,  4653,    -1,
      -1,  4656,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,   111,    -1,    -1,    -1,   478,   116,    -1,
      -1,  4676,  4677,    -1,    -1,   123,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,    -1,   430,    -1,   166,  4694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,  4707,    -1,    -1,    -1,  1129,  1130,    -1,    -1,
      -1,    -1,   523,  1136,    -1,    -1,    -1,  1140,    -1,    -1,
     531,    -1,   533,   534,   535,   536,   537,    -1,    -1,   540,
     541,   542,   543,    -1,    -1,    -1,   547,    -1,   216,    -1,
      -1,    -1,    -1,  1166,    -1,    -1,    -1,    -1,    -1,    -1,
     228,  4756,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,
     238,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,   247,
      -1,    -1,   250,  4778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,  4793,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,  4822,    -1,    -1,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4836,    -1,    -1,   282,   283,    -1,  4842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4851,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4865,   339,    -1,    -1,   342,    -1,    -1,    -1,    -1,    -1,
     348,    -1,  4877,    -1,  4879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1314,  1315,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,  4910,    -1,    -1,  4913,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,
      -1,    -1,    -1,   401,    84,    -1,  1349,    87,    -1,    -1,
    1353,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,  1372,
    4955,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,  4964,
      -1,    -1,    -1,   123,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   452,    -1,  4981,  4982,    -1,    -1,
    4985,    -1,   430,    -1,    -1,    -1,    -1,   147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5000,    -1,    -1,  5003,    -1,
     478,    -1,  5007,    -1,    -1,    -1,    -1,  5012,  1431,    -1,
    5015,  5016,    -1,  5018,    -1,  5020,    -1,    -1,  5023,  5024,
      -1,    -1,    -1,    -1,   502,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5047,    -1,  5049,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1476,    -1,    -1,  5061,  5062,  5063,  5064,
    5065,    -1,   540,    -1,    -1,   543,   544,    -1,   546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,    -1,  5109,  5110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    84,  1550,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5151,    -1,    -1,  5154,
     108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,    -1,
      -1,  5166,    -1,    -1,  5169,   123,    -1,    -1,    -1,  5174,
     330,  5176,    -1,    -1,    -1,    -1,    -1,  5182,    -1,    -1,
      -1,    -1,    -1,    -1,   344,  1608,    -1,   347,    -1,   147,
      -1,    -1,  5197,    -1,    -1,    -1,  5201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5215,  5216,  5217,    -1,    -1,    -1,  1639,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5246,    -1,    -1,  5249,  1668,  5251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5271,    -1,    -1,    -1,
     430,    -1,  5277,  1696,  1697,  1698,  5281,  1700,    -1,    -1,
    5285,    -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5301,  1720,   256,    -1,
     460,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5328,   282,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5354,
      -1,  1774,  1775,    -1,    -1,    -1,    -1,    -1,  5363,  5364,
    5365,  5366,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,   330,   533,   534,   535,   536,   537,   538,  1802,
      -1,    -1,    -1,  1806,  1807,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,  5401,    -1,  1821,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,  5424,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,  1889,    -1,    -1,   123,
      -1,    -1,   430,  1896,    -1,  5480,    -1,    -1,  5483,    -1,
     147,  5486,    -1,  1906,    -1,  5490,    -1,    -1,    -1,    89,
      -1,    -1,  5497,   147,    94,    -1,    96,  5502,    -1,  5504,
      -1,  5506,    -1,    -1,    -1,    -1,   106,    -1,    -1,  5514,
      -1,    -1,    -1,    -1,    -1,  5520,    -1,  5522,    -1,    -1,
      -1,    -1,    -1,    -1,  1947,    -1,    -1,  5532,    -1,    -1,
      -1,   131,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   152,   153,    -1,    -1,   156,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,   166,  1990,   526,  5574,
    5575,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   188,   256,
    2013,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
    5605,    -1,   256,   203,    -1,    -1,  5611,   261,    -1,    -1,
    5615,    -1,    -1,    -1,    -1,   282,   283,    -1,  5623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5644,
      -1,    -1,    -1,   297,    -1,    -1,    -1,  5652,  5653,    -1,
      -1,    -1,  5657,    -1,    -1,  5660,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,  5670,    -1,    -1,  5673,    -1,
      -1,  2094,    -1,  5678,    -1,    -1,   330,   344,    -1,    -1,
     347,    -1,    -1,    -1,    -1,    -1,  2109,  5692,    -1,    -1,
     344,    -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,
      -1,  5706,  2125,    -1,    -1,    -1,    -1,  2130,  5713,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5742,    -1,    -1,
      -1,    -1,  5747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5756,    -1,    -1,    -1,    -1,    -1,  5762,  5763,    -1,
    5765,    -1,  2185,   430,    -1,    -1,    -1,    -1,    -1,  5774,
      -1,    -1,    -1,  5778,    -1,  2198,   430,    -1,  2201,    -1,
      -1,    -1,  2205,    -1,    -1,    -1,  5791,    -1,  2211,    -1,
      -1,    -1,    -1,  5798,  2217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2242,
    2243,    -1,    -1,    -1,  5829,  5830,  5831,    -1,    -1,   429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5856,    -1,    -1,    -1,    -1,  5861,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5898,    -1,    -1,    -1,    -1,    -1,  5904,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2334,    -1,  5918,    -1,    -1,    -1,    -1,    -1,    -1,
    5925,    -1,    -1,  5928,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5946,  5947,    -1,    -1,    -1,    -1,    -1,  2371,  2372,
      -1,    -1,    -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,
      -1,  2384,  2385,  2386,    -1,    -1,    -1,  2390,    -1,  2392,
    2393,  2394,  2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,
      -1,    -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2419,  2420,  2421,  2422,
    2423,  2424,    -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,
      -1,    -1,  2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,
    2443,  2444,  2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2456,    -1,    -1,  2459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   672,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2523,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,
     720,   721,    -1,    -1,    42,    43,    -1,    -1,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    96,    -1,    -1,    85,   768,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,  2624,    -1,   135,    -1,  2628,  2629,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   148,  2640,    -1,    -1,
     138,   116,    -1,    -1,    -1,    -1,    -1,   159,   123,    -1,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
      -1,  2674,   147,    -1,    -1,   187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2686,    -1,    -1,    -1,  2690,    -1,    -1,
    2693,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,  2702,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   223,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   235,  2727,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,   231,    -1,   247,    -1,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    -1,   253,    -1,    -1,    -1,    -1,
      -1,  2764,    -1,    -1,    -1,  2768,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,  2791,   301,
      -1,    -1,    -1,   973,   974,    -1,   976,    -1,   310,  2802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,   332,   347,    -1,  2840,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1033,   366,   330,  1036,  1037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,    -1,   344,
      -1,  1051,    -1,  1053,   386,  1055,    -1,    -1,    -1,    -1,
      -1,  1061,    -1,    -1,    -1,  1065,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,
     412,    -1,    -1,    -1,    -1,  1085,  1086,   419,    -1,    -1,
     422,    -1,    -1,    -1,    -1,  2918,  2919,    -1,   416,    -1,
      -1,    -1,    -1,    -1,    -1,  2928,    -1,    -1,    -1,   441,
      -1,    -1,    -1,    -1,    -1,   447,    -1,    -1,    -1,    -1,
     452,    -1,    -1,   455,   456,    -1,   458,   459,    -1,    -1,
      -1,    -1,  1132,    -1,  1134,   430,   468,    -1,    -1,  2962,
      -1,   473,    -1,    -1,    -1,   463,    -1,   479,    -1,    -1,
     482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,  3001,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,    -1,    -1,
      -1,    -1,  1212,   531,    -1,   533,   534,   535,   536,   537,
      -1,    -1,   540,   541,   542,   543,  1226,  1227,    -1,   547,
    1230,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,  3141,    -1,
      -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3164,    -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,
      96,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,  3192,
    3193,  3194,    -1,    -1,  3197,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3205,  3206,  3207,  3208,    -1,    -1,    -1,   135,
    3213,    -1,    -1,    -1,    -1,  3218,  3219,    -1,  3221,    -1,
    3223,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3234,  3235,    -1,    -1,  3238,    -1,   163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,
      -1,  3254,    -1,  3256,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3276,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,  3287,    -1,  3289,  3290,  3291,   215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,  3314,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,
      -1,   247,    -1,  3326,    -1,    -1,    -1,    -1,  3331,    -1,
      -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,   264,    -1,
      -1,    -1,    -1,    -1,  3347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1558,    -1,
      -1,    -1,    -1,  1563,   310,  1565,  3389,    -1,  1568,  3392,
    1570,  3394,    -1,  1573,  1574,  1575,  3399,    -1,    -1,  1579,
      -1,    -1,    -1,    -1,    -1,    -1,  1586,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,   344,    -1,
    1600,    -1,  1602,    -1,    -1,    -1,    -1,  1607,    -1,    -1,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     366,    -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,
     376,    -1,    -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,   410,    -1,   412,  3490,    -1,    -1,
      -1,    -1,    -1,   419,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,
      -1,   447,  3525,  3526,  3527,    -1,   452,    -1,    -1,   455,
      -1,    -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    -1,   468,    -1,    -1,    -1,    -1,   473,    -1,    -1,
      -1,  1731,    -1,    -1,    -1,    -1,  3559,    -1,  3561,   485,
       5,    -1,  1742,  1743,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,  1759,
      25,    -1,    -1,    -1,  1764,  1765,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
      -1,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,  3642,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1846,  3670,  1848,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1858,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3695,   138,    -1,    -1,    -1,  3700,  3701,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3746,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1935,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1945,    -1,  3770,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3788,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   276,    -1,    -1,  2014,    -1,    -1,  2017,  2018,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,
      -1,  3894,    -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,
    3903,    -1,    -1,    -1,    -1,    -1,  3909,    -1,  3911,    -1,
      -1,  3914,    -1,    -1,    -1,  3918,  3919,  3920,  3921,  3922,
      -1,  2101,  3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,
    3933,  3934,    -1,    -1,    -1,  3938,  3939,    -1,    -1,    -1,
    3943,    -1,    -1,    -1,    -1,  3948,    -1,    -1,    -1,  3952,
      -1,  3954,    -1,  3956,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3964,    -1,    -1,  3967,    -1,  3969,    -1,    -1,    -1,
      -1,   416,    -1,    -1,  3977,  3978,    -1,    -1,  3981,  3982,
      -1,    -1,    -1,  3986,  3987,    -1,    -1,    -1,    -1,    -1,
    3993,    96,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,
    4003,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4019,    -1,   463,    -1,
      -1,    -1,  4025,  4026,  4027,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   148,   149,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,   163,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,
      -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,   523,    -1,
      -1,    -1,    -1,    -1,    -1,  4088,   531,    -1,   533,   534,
     535,   536,   537,    -1,    -1,   540,   541,   542,    -1,   204,
      -1,  4104,   547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     215,    -1,    -1,  4116,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    -1,    -1,  2303,    -1,  2305,    -1,    -1,    -1,  2309,
     235,  2311,    -1,    -1,  2314,   240,    -1,    -1,  2318,    -1,
      -1,    -1,    -1,  2323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,   264,
     217,    -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4197,    -1,    -1,    -1,    -1,  4202,
    4203,  4204,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4226,  4227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
    4243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   376,    -1,    -1,   379,  2455,    -1,    -1,    -1,    -1,
      -1,    -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     405,    -1,    -1,    -1,    -1,   410,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,   419,    -1,    -1,   422,    -1,    -1,
    4323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,
      -1,    -1,   447,    -1,    -1,    -1,    -1,   452,   101,  4352,
     455,    -1,    -1,    -1,   459,    -1,  2536,    -1,    -1,    -1,
      -1,   466,  4365,   468,    -1,    -1,    -1,    -1,   473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   498,    -1,   148,    -1,    -1,  4401,  4402,
    4403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,  2591,    -1,    -1,    -1,  2595,    -1,    -1,    -1,    -1,
      -1,  2601,    -1,  2603,    -1,    -1,  2606,    -1,   181,    -1,
      -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     223,    -1,    -1,  2653,  4477,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,  4488,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   264,    -1,    -1,    -1,  4518,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4528,  4529,    -1,  4531,    -1,
      -1,    -1,  4535,  4536,    -1,    -1,   289,  4540,  4541,    -1,
      -1,    -1,  4545,    -1,    -1,  4548,  4549,    -1,    -1,    -1,
    4553,    -1,    -1,    -1,    -1,    -1,  4559,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4571,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,
    4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,  4596,    -1,    -1,    -1,    -1,  4601,    -1,
      -1,    -1,    -1,    -1,  4607,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4625,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2822,    -1,    -1,  2825,    -1,    -1,    -1,    -1,
      -1,    -1,   405,  4656,    -1,    -1,    -1,   410,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,    -1,   422,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,
      -1,    -1,    -1,  4696,   447,    -1,    -1,    -1,   451,   452,
      -1,    -1,   455,    -1,    -1,    -1,   459,    -1,    -1,  4712,
      -1,    -1,    -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,
     473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4733,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4756,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4822,
      -1,    -1,    -1,    -1,    -1,   882,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4836,   891,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4906,    -1,  4908,  3086,  3087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   992,    -1,    -1,    -1,    -1,
      -1,   998,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,
      -1,    -1,  4955,    -1,    -1,    -1,  4959,    -1,    -1,    -1,
      -1,  4964,    -1,    -1,    -1,  1022,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4981,  4982,
      -1,    -1,  4985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5000,    -1,    -1,
      -1,    -1,    -1,    -1,  5007,    -1,    -1,    -1,    -1,  5012,
      -1,    -1,  5015,  5016,    -1,    -1,    -1,    -1,    -1,    -1,
    5023,  5024,    -1,    -1,    -1,    -1,   883,   884,    -1,    -1,
     887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5047,    -1,  5049,    -1,   905,    -1,
      -1,    -1,    -1,    -1,    -1,   912,    -1,    -1,  5061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1129,  1130,    -1,    -1,   933,    -1,    -1,  1136,
     937,    -1,    -1,  1140,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   951,    -1,  5099,    -1,    -1,    -1,
      -1,   958,    -1,    -1,    -1,    -1,  5109,    -1,    -1,  1166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3305,    -1,    -1,    -1,    -1,
    3310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5145,    -1,    -1,    -1,    -1,    -1,  5151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5217,    -1,  5219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5246,  5247,    -1,  5249,    -1,  5251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,  1315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5271,    -1,
      -1,    -1,    -1,    -1,  5277,    -1,    -1,    -1,  5281,    -1,
      -1,    -1,    -1,    -1,  5287,  1342,    -1,    -1,    -1,  5292,
      -1,    -1,  1349,    -1,    -1,    -1,  1353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1387,    -1,    -1,  5336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,    -1,    -1,
      -1,  5354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1476,
      -1,  5424,    -1,    -1,    -1,    -1,    -1,    -1,  1285,  1286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5457,  5458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5480,    -1,    -1,
    5483,    -1,    -1,  5486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1550,  5497,    -1,    -1,    -1,    -1,  5502,
      -1,  5504,    -1,  5506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5514,    -1,    -1,    -1,  3695,    -1,    -1,  1375,    -1,
      -1,  3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1403,  1404,    -1,    -1,
      -1,  1608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1668,  5615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5623,  3801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1696,
    1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,  5652,
    5653,    -1,    -1,    -1,  1511,  1512,    -1,  5660,  5661,    -1,
      -1,  5664,    -1,  1720,    -1,    -1,    -1,  5670,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3883,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5742,
      -1,    -1,    -1,    -1,  5747,  1802,    -1,    -1,    -1,  1806,
    1807,    -1,    -1,  5756,    -1,    -1,    -1,    -1,    -1,  5762,
    5763,    -1,  5765,    -1,  1821,    -1,    -1,    -1,    -1,    -1,
      -1,  5774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5791,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5829,    -1,    -1,    -1,
      -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1906,
      -1,    -1,    -1,  5856,    -1,    -1,    -1,    -1,  5861,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5881,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1947,    -1,    -1,    -1,    -1,  5898,    -1,    -1,  1955,    -1,
      -1,  5904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4093,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5928,    -1,  5930,    -1,    -1,
      -1,    -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5945,  5946,  5947,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2013,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,
      -1,    -1,  2109,  4233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,
      -1,    -1,    -1,    -1,    -1,    -1,  1973,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,
      -1,    -1,    -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2198,    -1,    -1,  2201,    -1,    -1,    -1,  2205,    -1,
      -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,    -1,    -1,
    2217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2242,  2243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2059,  2060,  2061,  2062,    -1,    -1,  2265,  2266,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2103,  2104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2124,    -1,    -1,
      -1,    -1,    -1,  4453,    -1,    -1,    -1,  2334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2159,  2160,  2161,  2162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2371,  2372,    -1,    -1,    -1,    -1,
    2377,  2378,    -1,    -1,    -1,    -1,    -1,  2384,  2385,  2386,
      -1,    -1,    -1,  2390,    -1,  2392,  2393,  2394,  2395,  2396,
    2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,  2405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2419,  2420,  2421,  2422,  2423,    -1,    -1,    -1,
      -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,  2435,    -1,
      -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,
     893,  2448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2456,
     903,    -1,  2459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   914,    -1,    -1,    -1,    -1,    -1,  2274,    -1,   922,
      -1,    -1,    -1,  2280,    -1,   928,    -1,    -1,    -1,    -1,
      -1,    -1,  4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1349,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4702,    -1,    -1,    -1,  4706,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,
    2427,  2628,  2629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2674,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2686,
      -1,    -1,  1135,  2690,    -1,    -1,  2693,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2702,    -1,    -1,    -1,    -1,
      -1,  1154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2727,    -1,    -1,  1176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1280,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2688,  2689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2697,    -1,  2699,    -1,    -1,    -1,  2703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5040,  2918,  2919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,  1425,  1426,  1427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3017,    -1,    -1,  2820,    -1,    -1,  2823,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2891,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2899,  2900,    -1,    -1,    -1,    -1,    -1,  2906,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2920,    -1,    -1,  1955,  3124,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3138,    -1,    -1,  3141,    -1,    -1,  3144,    -1,    -1,
    1593,    -1,    -1,    -1,    -1,    -1,    -1,  3154,    -1,    -1,
      -1,  1990,    -1,    -1,  2961,    -1,    -1,  3164,    -1,    -1,
      -1,    -1,  3169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1624,    -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2989,    -1,    -1,  3192,  3193,  3194,    -1,    -1,
    3197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3205,  3206,
    3207,  3208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3218,    -1,    -1,  3221,    -1,  3223,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,  3235,  5359,
    5360,  3238,    -1,    -1,    -1,    -1,  3043,    -1,  3045,    -1,
      -1,    -1,  5372,    -1,    -1,  3252,    -1,  3254,    -1,  3256,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,
    2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,
    3287,    -1,  3289,  3290,  3291,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1771,  3326,
      -1,    -1,    -1,    -1,  3331,    -1,    -1,    -1,    -1,    -1,
    3337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5468,    -1,
    3347,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
    3157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1818,  2205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,  3389,    -1,    -1,  3392,    -1,  3394,    -1,    -1,
    2229,    -1,  3399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,
      -1,    -1,    -1,  3490,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1961,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1970,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3559,    -1,  3561,    -1,  2009,    -1,    -1,  2012,
      -1,    -1,   238,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5703,   250,  5705,    -1,    -1,    -1,    -1,
    2419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2459,    -1,    -1,    -1,  2077,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3642,    -1,    -1,  2091,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3454,    -1,  3456,
    3457,  3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3695,    -1,
    2143,    -1,    -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2172,
      -1,    -1,    -1,    -1,    -1,    -1,  2179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3788,    -1,    -1,    -1,  2624,    -1,    -1,    -1,  2628,
    2629,    -1,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,  3671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2338,  2339,  3894,    -1,    -1,
    3897,    -1,    -1,    -1,    -1,    -1,  3903,    -1,    -1,    -1,
      -1,    -1,  3909,  2742,  3911,  2358,    -1,  3914,    -1,    -1,
      -1,  3918,  3919,  3920,  3921,  3922,    -1,    -1,  3925,  3926,
    3927,  3928,  3929,  3930,  3931,  3932,  3933,  3934,    -1,    -1,
      -1,  3938,  3939,    -1,    -1,    -1,  3943,    -1,    -1,    -1,
      -1,  3948,    -1,    -1,    -1,  3952,    -1,    -1,    -1,  3956,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3964,    -1,    -1,
    3967,    -1,  3969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3977,  3978,    -1,    -1,  3981,  3982,    -1,    -1,    -1,  3986,
    3987,    -1,    -1,    -1,    -1,    -1,  3993,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4003,    -1,    -1,  4006,
      -1,    -1,  2455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4019,    -1,    -1,    -1,    -1,    -1,  4025,  4026,
    4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2481,    -1,
    3837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   720,   721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4072,  2519,    -1,  2521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2919,  4088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   768,    -1,    -1,    -1,    -1,  4104,    -1,    -1,
      -1,    -1,    -1,    -1,  2557,    -1,    -1,    -1,    -1,  4116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   889,    -1,    -1,    -1,    -1,    -1,    -1,
    4227,   897,    -1,   899,    -1,   901,   902,    -1,   904,    -1,
     906,    -1,    -1,   909,    -1,   911,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   931,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   939,    -1,    -1,    -1,    -1,    -1,    -1,
     946,   947,    -1,    -1,   950,    -1,   952,   953,    -1,    -1,
      -1,   957,    -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   974,    -1,
     976,    -1,  3141,    -1,    -1,    -1,    -1,    -1,  2761,    -1,
      -1,    -1,    -1,    -1,    -1,  3154,  4323,   993,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2780,    -1,    -1,
    4137,  4138,  4139,  4140,    -1,    -1,    -1,    -1,    -1,    -1,
    1016,    -1,  1018,    -1,    -1,  4352,    -1,    -1,    -1,    -1,
      -1,  1027,  1028,    -1,    -1,    -1,    -1,    -1,  4365,    -1,
      -1,  1037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2844,  2845,    -1,  4401,  4402,  4403,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1100,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3289,  3290,  3291,    -1,    -1,    -1,  1132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4488,    -1,    -1,    -1,    -1,  2939,    -1,    -1,    -1,
      -1,  1167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4315,    -1,
      -1,  4518,    -1,    -1,  4321,    -1,    -1,    -1,    -1,    -1,
      -1,  4528,  4529,    -1,  4531,    -1,    -1,    -1,  4535,  4536,
      -1,    -1,    -1,  4540,  4541,    -1,    -1,    -1,  4545,    -1,
      -1,  4548,  4549,    -1,    -1,    -1,  4553,    -1,    -1,    -1,
    3389,    -1,  4559,  3392,    -1,  3394,    -1,    -1,    -1,    -1,
    3399,    -1,    -1,  1239,  4571,  1241,    -1,    -1,    -1,  1245,
      -1,    -1,  4579,    -1,    -1,    -1,  4583,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4596,
    1266,    -1,    -1,    -1,  4601,    -1,    -1,    -1,    -1,    -1,
    4607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4625,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4656,
      -1,  3490,    -1,  1329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,
    1346,    -1,    -1,    -1,    -1,  3128,    -1,    -1,    -1,    -1,
      -1,    -1,  1358,    -1,    -1,  1361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1371,    -1,    -1,    -1,    -1,
    1376,    -1,    -1,    -1,    -1,  4712,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,  1390,    -1,    -1,  1393,    -1,    -1,
    3559,    -1,  3561,    -1,    -1,    -1,  4733,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4756,
      -1,    -1,    -1,    -1,    -1,    -1,  1432,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4822,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3280,    -1,  4836,
      -1,  3670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3695,    -1,  4865,    -1,
      -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4906,
      -1,  4908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4955,  3788,
      -1,    -1,  4959,    -1,    -1,    -1,    -1,  4964,    -1,    -1,
      -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,
      -1,  4778,    -1,    -1,  4981,  4982,    -1,    -1,  4985,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4793,    -1,    -1,    -1,
      -1,    -1,    -1,  5000,    -1,    -1,    -1,    -1,    -1,    -1,
    5007,    -1,    -1,    -1,    -1,  5012,    -1,    -1,  5015,  5016,
      -1,    -1,    -1,    -1,    -1,    -1,  5023,  5024,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5047,    -1,  5049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5061,    -1,    -1,    -1,  3897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5109,    -1,  3943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3567,    -1,  1792,  1793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,
      -1,    -1,    -1,    -1,  5151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1851,    -1,    -1,  1854,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1862,    -1,  4027,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1880,    -1,    -1,    -1,    -1,    -1,
    5217,    -1,  5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5246,
    5247,    -1,  5249,    -1,  5251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1931,  5063,  5064,  5065,    -1,
    3713,  3714,  3715,    -1,  5271,  4104,    -1,    -1,    -1,    -1,
    5277,    -1,    -1,    -1,  5281,    -1,    -1,  3730,    -1,    -1,
    5287,    -1,    -1,    -1,    -1,  5292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3763,  3764,    -1,    -1,    -1,  3768,    -1,    -1,    -1,  1995,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,    -1,    -1,
      -1,    -1,  5349,  5350,    -1,    -1,    -1,  5354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
      -1,    -1,    -1,    -1,  5401,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5424,    -1,    -1,
      -1,  3874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5457,  5458,    -1,    -1,    -1,    -1,    -1,    -1,  2134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5480,    -1,    -1,  5483,    -1,    -1,  5486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5497,    -1,    -1,    -1,    -1,  5502,    -1,  5504,    -1,  5506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5514,    -1,    -1,
      -1,    -1,    -1,  4352,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4000,  4001,  4002,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5364,    -1,  5366,
      -1,    -1,  4401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2258,    -1,  2260,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2276,  2277,    -1,  2279,    -1,    -1,    -1,    -1,  5615,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5623,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2319,    -1,  5652,  5653,    -1,    -1,    -1,
      -1,    -1,    -1,  5660,    -1,  2331,    -1,  5664,    -1,  2335,
      -1,  2337,    -1,  5670,  2340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5692,    -1,    -1,    -1,    -1,
      -1,    -1,  4531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5520,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5742,    -1,    -1,    -1,    -1,
    5747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5756,
      -1,    -1,    -1,    -1,    -1,  5762,  5763,  4596,  5765,    -1,
      -1,    -1,  4601,    -1,    -1,    -1,    -1,  5774,  4607,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5791,    -1,  2462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5605,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5856,
      -1,    -1,    -1,    -1,  5861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,    -1,    -1,
      -1,    -1,    -1,  4712,    -1,    -1,    -1,  4330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5898,    -1,    -1,  4733,    -1,    -1,  5904,    -1,  5706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5928,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5946,
    5947,  4394,  2618,  2619,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,
      -1,  2637,  2638,    -1,    -1,    -1,  2642,  2643,    -1,    -1,
      -1,  2647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2661,    -1,    -1,    -1,    -1,
      -1,  5798,  2668,    -1,    -1,    -1,  2672,  2673,    -1,    -1,
    2676,  2677,    -1,    -1,    -1,    -1,    -1,  2683,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2696,    -1,  2698,  5830,  5831,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2717,    -1,    -1,    -1,    -1,  2722,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2735,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4906,  2744,  4908,
    2746,    -1,    -1,  2749,  2750,  2751,    -1,    -1,    -1,    -1,
    2756,  2757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2766,    -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,
    2776,    -1,    -1,    -1,    -1,    -1,    -1,  4560,  4561,  4562,
    4563,  5918,    -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,
    4959,    -1,  2798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2821,    -1,    -1,  2824,    -1,
      -1,    -1,    -1,  2829,    -1,    -1,    -1,    -1,  2834,  2835,
      -1,    -1,    -1,  2839,    -1,    -1,  2842,    -1,   882,    -1,
    2846,  2847,  2848,  2849,    -1,  2851,    -1,   891,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2864,  2865,
      -1,  2867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2877,  2878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2929,    -1,    -1,    -1,    -1,    -1,    -1,
    5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   992,    -1,
      -1,  2957,    -1,    -1,   998,    -1,    -1,    -1,  1002,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,
    3086,    -1,    -1,    -1,    -1,  1129,  1130,    -1,    -1,    -1,
      -1,    -1,    -1,  3099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,    -1,
      -1,    -1,  1166,  3129,    -1,    -1,    -1,  4910,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,
    5349,  5350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5457,  5458,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,  1353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,
      -1,    -1,    -1,    -1,    -1,    -1,  5169,  1431,    -1,    -1,
      -1,  5174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,    -1,  5197,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,  5216,    -1,    -1,  3442,    -1,    -1,    -1,
    3446,    -1,    -1,    -1,    -1,    -1,  3452,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3468,  3469,    -1,    -1,    -1,  3473,    -1,    -1,
      -1,    -1,  3478,  3479,  3480,    -1,  3482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5664,    -1,  3503,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1550,  3513,  3514,  3515,
    3516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3550,  5328,    -1,  3553,  3554,  3555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1639,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1668,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3655,
      -1,    -1,  1696,  1697,  1698,    -1,  1700,  3663,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3681,  1720,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3708,    -1,    -1,    -1,  1349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,
    1774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3760,    -1,    -1,    -1,  1802,  3765,
      -1,    -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,
      -1,    -1,    -1,    -1,    -1,  3801,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3830,    -1,  3832,    -1,    -1,    -1,
      -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3847,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1759,  4123,    -1,  4125,
      -1,    -1,    -1,    -1,    -1,    -1,  4132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,  4148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2198,    -1,    -1,  2201,  4164,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,  4182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4200,    -1,    -1,    -1,  2242,  2243,
      -1,    -1,    -1,    -1,  4210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,  2266,  4229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4240,  4241,  4242,    -1,    -1,    -1,
      -1,  4247,  4248,  4249,  4250,    -1,  1889,  4253,  4254,    -1,
      -1,    -1,    -1,  4259,  4260,    -1,  4262,  4263,  4264,  4265,
    4266,  4267,    -1,  4269,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4278,    -1,    -1,  4281,  4282,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2334,    -1,    -1,    -1,  4300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1955,    -1,    -1,    -1,  4322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,
      -1,    -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,
    2384,  2385,  2386,    -1,    -1,    -1,  2390,  1990,  2392,  2393,
    2394,  2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,
      -1,  2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2013,    -1,    -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,
      -1,    -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,
      -1,  2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,    -1,  2448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2456,    -1,  4420,  2459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4449,  4450,  4451,    -1,    -1,    -1,    -1,
      -1,  2094,    -1,    -1,  4460,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,  2523,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,
    2624,    -1,    -1,    -1,  2628,  2629,  2229,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,
    2674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2686,    -1,    -1,    -1,  2690,    -1,    -1,  2693,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4682,    -1,    -1,    -1,
    4686,  4687,  4688,  4689,    -1,    -1,  4692,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4723,  4724,  4725,
      -1,  4727,    -1,  4729,  4730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4741,  4742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4776,  4777,    -1,  4779,    -1,    -1,  2419,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2918,  2919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4893,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,
      -1,  4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1129,  1130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2702,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3138,  5101,    -1,  3141,    -1,  2742,
    3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3154,    -1,    -1,  5119,    -1,    -1,    -1,    -1,  5124,  5125,
    3164,    -1,    -1,    -1,    -1,  3169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3192,  3193,
    3194,    -1,    -1,  3197,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3205,  3206,  3207,  3208,    -1,    -1,    -1,    -1,  5175,
      -1,    -1,    -1,    -1,  3218,    -1,    -1,  3221,    -1,  3223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5194,    -1,
    3234,  3235,    -1,    -1,  3238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,    -1,
    3254,    -1,  3256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3276,    -1,  5240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3287,    -1,  3289,  3290,  3291,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5274,    -1,
    3314,    -1,    -1,    -1,    -1,    -1,  2919,    -1,    -1,  5285,
      -1,    -1,  3326,    -1,    -1,    -1,    -1,  3331,    -1,    -1,
      -1,    -1,    -1,  3337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3347,    -1,  5311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5343,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3389,    -1,    -1,  3392,    -1,
    3394,    -1,    -1,    -1,    -1,  3399,    -1,    -1,  3001,    -1,
      -1,  5367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5405,
      -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1639,    -1,  3490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1668,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,  5494,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,
      -1,  1696,  1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,
      -1,  3154,    -1,    -1,    -1,  3559,    -1,  3561,    -1,    -1,
      -1,    -1,    -1,  5529,    -1,  1720,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5544,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3642,    -1,
      -1,    -1,    -1,  5609,    -1,    -1,    -1,  1802,    -1,    -1,
      -1,  1806,  1807,    -1,    -1,    -1,    -1,    -1,    -1,   998,
      -1,    -1,    -1,    -1,    -1,    -1,  3670,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3695,    -1,    -1,    -1,    -1,    -1,  3701,    -1,    -1,
      -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5691,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3770,  5733,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,    -1,  3389,    -1,    -1,  3392,
      -1,  3394,    -1,    -1,    -1,    -1,  3399,    -1,    -1,  3803,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,    -1,    -1,
      -1,  5817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,
    3894,    -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,  3903,
      -1,    -1,    -1,    -1,    -1,  3909,    -1,  3911,    -1,    -1,
    3914,    -1,    -1,    -1,  3918,  3919,  3920,  3921,  3922,    -1,
      -1,  3925,  3926,  3927,  3928,  3929,  3930,  3931,  3932,  3933,
    3934,    -1,    -1,    -1,  3938,  3939,    -1,    -1,    -1,  3943,
      -1,    -1,    -1,    -1,  3948,    -1,    -1,    -1,  3952,    -1,
      -1,    -1,  3956,    -1,    -1,    -1,  3559,    -1,  3561,    -1,
    3964,    -1,    -1,  3967,    -1,  3969,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3977,  3978,    -1,    -1,  3981,  3982,    -1,
      -1,    -1,  3986,  3987,    -1,    -1,    -1,    -1,    -1,  3993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4003,
      -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1349,    -1,    -1,    -1,    -1,  4019,    -1,    -1,    -1,    -1,
      -1,  4025,  4026,  4027,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,  3642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,  4072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,  4088,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3695,  1387,    -1,    -1,    -1,    -1,  3701,    -1,
    4104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,  3788,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4203,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2377,  4227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2390,    -1,  2392,    -1,    -1,
    2395,  2396,  2397,    -1,    -1,    -1,    -1,  2402,    -1,    -1,
    2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2420,  2421,  2422,  2423,  1608,
      -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,
    2435,    -1,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,    -1,  2448,  3897,    -1,    -1,    -1,    -1,    -1,
      -1,  2456,    -1,    -1,  2459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1608,  3918,    -1,    -1,    -1,  4323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,
    3943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4365,    -1,  1022,    -1,    -1,    -1,    -1,  2523,    -1,
      -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,  4402,  4403,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4518,    -1,    -1,    -1,    -1,  2674,
      -1,    -1,    -1,    -1,  4528,  4529,    -1,  4531,    -1,    -1,
      -1,  4535,  4536,    -1,    -1,    -1,  4540,  4541,    -1,    -1,
      -1,  4545,    -1,    -1,  4548,  4549,    -1,    -1,    -1,  4553,
    1889,    -1,    -1,    -1,    -1,  4559,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4571,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4579,    -1,    -1,    -1,  4583,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4596,    -1,    -1,  1889,    -1,  4601,    -1,    -1,
    4203,    -1,    -1,  4607,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,
      -1,  4625,    -1,    -1,  4227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1990,  4656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4674,    -1,    -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1349,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4712,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,  4733,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,
      -1,    -1,  4756,    -1,    -1,  2094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2918,    -1,    -1,    -1,    -1,    -1,    -1,
    2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,  4798,    -1,    -1,    -1,  4401,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,  1476,  4822,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4836,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4865,    -1,    -1,    -1,    -1,  2205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,  2217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2229,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1022,  4906,    -1,  4908,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,  2265,  2266,  4531,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,  4541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,
      -1,  4955,    -1,    -1,    -1,  4959,    -1,    -1,    -1,    -1,
    4964,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,  2266,    -1,    -1,    -1,    -1,  4981,  4982,    -1,
      -1,  4985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5000,    -1,    -1,    -1,
      -1,    -1,    -1,  5007,    -1,    -1,    -1,    -1,  5012,  3164,
      -1,  5015,  5016,    -1,  3169,    -1,    -1,    -1,    -1,  5023,
    5024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3194,
      -1,    -1,    -1,  5047,    -1,  5049,    -1,    -1,    -1,    -1,
    3205,    -1,  3207,  3208,    -1,    -1,    -1,  5061,    -1,    -1,
      -1,    -1,    -1,  3218,    -1,    -1,  3221,    -1,  3223,    -1,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5099,    -1,  3252,    -1,  3254,
      -1,  3256,    -1,    -1,    -1,  5109,    -1,    -1,    -1,  4712,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2419,    -1,    -1,    -1,    -1,
    4733,    -1,    -1,    -1,  3289,  3290,  3291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5151,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3326,    -1,    -1,    -1,    -1,  3331,    -1,    -1,    -1,
      -1,    -1,  3337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5217,    -1,  5219,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1349,    -1,
    1889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5246,  5247,    -1,  5249,    -1,  5251,    -1,    -1,
      -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3420,  1387,  5271,    -1,    -1,
      -1,    -1,    -1,  5277,    -1,    -1,    -1,  5281,    -1,    -1,
      -1,    -1,    -1,  5287,    -1,  2624,    -1,    -1,  5292,  2628,
    2629,    -1,    -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,
    2624,  1990,    -1,    -1,  2628,  2629,    -1,    -1,    -1,    -1,
    5344,    -1,    -1,    -1,    -1,  5349,  5350,    -1,    -1,  1022,
    5354,  2690,    -1,    -1,  2013,  1476,  4959,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2690,  5401,    -1,    -1,
      -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,  2702,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,    -1,
    2109,    -1,    -1,  5457,  5458,    -1,    -1,    -1,    -1,  2118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,    -1,  5480,    -1,    -1,  5483,
      -1,    -1,  5486,    -1,    -1,    -1,    -1,  1608,    -1,    -1,
      -1,    -1,    -1,  5497,    -1,    -1,  5099,    -1,  5502,    -1,
    5504,    -1,  5506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,  5532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,
      -1,  5615,    -1,    -1,    -1,    -1,  5219,    -1,    -1,  5623,
      -1,    -1,    -1,    -1,    -1,  2919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5247,    -1,    -1,    -1,  5652,  5653,
      -1,    -1,    -1,    -1,    -1,    -1,  5660,    -1,    -1,    -1,
    5664,    -1,  3001,    -1,    -1,    -1,  5670,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,  5692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5742,  3894,
      -1,  5344,    -1,  5747,    -1,    -1,  5349,  5350,  3903,    -1,
      -1,  1022,  5756,    -1,  3909,    -1,  3911,    -1,  5762,  5763,
    2419,  5765,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,
    5774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3938,  3939,  3124,    -1,  5791,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3956,  3141,  1476,    -1,    -1,    -1,    -1,    -1,  3964,
      -1,    -1,  3967,    -1,  3969,  3154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3978,    -1,  5829,    -1,    -1,    -1,    -1,
    3124,  3986,  3987,    -1,  1955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,    -1,
      -1,    -1,  5856,    -1,    -1,  5458,    -1,  5861,    -1,    -1,
    3154,    -1,    -1,    -1,  4019,    -1,    -1,    -1,    -1,  1990,
    4025,  4026,  4027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2013,    -1,  5898,    -1,    -1,    -1,    -1,    -1,
    5904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4072,    -1,    -1,
      -1,    -1,    -1,    -1,  5928,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4088,    -1,  1608,    -1,    -1,    -1,    -1,
      -1,    -1,  5946,  5947,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,  2628,
    2629,    -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,
    3389,    -1,    -1,  3392,    -1,  3394,    -1,    -1,    -1,    -1,
    3399,  5664,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1349,    -1,
      -1,    -1,    -1,  2742,  2205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3389,  2217,    -1,  3392,    -1,
    3394,  1372,    -1,    -1,    -1,  3399,    -1,    -1,  2229,  3448,
      -1,    -1,    -1,    -1,    -1,    -1,  1387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
      -1,  3490,    -1,    -1,  3448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,
    3559,    -1,  3561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4402,  4403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2919,    -1,    -1,    -1,    -1,  3559,    -1,  3561,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,    -1,
      -1,    -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3670,    -1,  4488,    -1,    -1,    -1,  1608,    -1,    -1,
    2013,    -1,  3001,    -1,    -1,    -1,    -1,    -1,  3642,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3695,    -1,    -1,    -1,
      -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4528,  4529,    -1,  3670,    -1,    -1,    -1,
    4535,  4536,    -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,
    4545,    -1,    -1,  4548,  4549,    -1,    -1,    -1,  4553,    -1,
      -1,  3695,    -1,    -1,  4559,    -1,    -1,  3701,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3770,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,  4596,    -1,    -1,    -1,  2118,  4601,    -1,    -1,  3788,
      -1,    -1,  4607,    -1,    -1,    -1,    -1,  2130,    -1,    -1,
      -1,    -1,    -1,    -1,  3803,  3124,    -1,    -1,    -1,    -1,
    4625,    -1,    -1,    -1,    -1,    -1,  3770,    -1,    -1,    -1,
      -1,    -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3788,  3154,    -1,    -1,    -1,    -1,
      -1,  4656,    -1,  2624,    -1,    -1,    -1,  2628,  2629,  3803,
      -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2229,    -1,  3897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,
      -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4756,    -1,  3897,  3943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,
      -1,  2742,    -1,    -1,  3918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4822,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3977,  1955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3389,    -1,    -1,  3392,    -1,  3394,    -1,    -1,    -1,    -1,
    3399,    -1,  2013,    -1,    -1,    -1,  2419,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2919,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,
    4104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2094,    -1,    -1,  4981,  4982,    -1,    -1,
    4985,  3490,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2130,
      -1,    -1,    -1,    -1,  4203,    -1,    -1,    -1,  5023,  5024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
      -1,    -1,    -1,    -1,  5049,    -1,    -1,    -1,    -1,    -1,
    3559,    -1,  3561,    -1,    -1,    -1,    -1,    -1,    -1,  4203,
      -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4227,  2205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,  2229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3670,    -1,  4352,    -1,    -1,    -1,  2690,    -1,    -1,
    3141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2702,
      -1,    -1,    -1,  3154,    -1,    -1,  3695,    -1,    -1,    -1,
      -1,    -1,  3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,    -1,
      -1,    -1,  4401,    -1,    -1,    -1,    -1,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,    -1,    -1,
      -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5277,    -1,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5292,    -1,    -1,
      -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,  2419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4531,    -1,    -1,    -1,    -1,    -1,    -1,  5354,
      -1,    -1,  4541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4531,  3897,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2919,  4541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,
      -1,  1712,    -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,
      -1,  3392,    -1,  3394,    -1,    -1,    -1,    -1,  3399,    -1,
      -1,    -1,    -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,  3001,    -1,
      -1,    -1,    -1,    -1,    -1,  4674,    -1,    -1,  1789,    -1,
      -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,
      -1,  5506,    -1,  2624,    -1,    -1,    -1,  2628,  2629,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3490,
      -1,    -1,    -1,  4712,    -1,    -1,    -1,  5532,    -1,    -1,
    4674,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4712,  2690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,  3559,  4733,
    3561,    -1,    -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,
    5615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5652,  5653,    -1,
      -1,    -1,    -1,    -1,  4798,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5670,    -1,    -1,    -1,    -1,
      -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4203,    -1,    -1,    -1,    -1,  3670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,  4908,
      -1,    -1,    -1,    -1,  3695,    -1,    -1,    -1,    -1,    -1,
    3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5765,    -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,
    4959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2919,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4959,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4352,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,    -1,  3392,
      -1,  3394,    -1,    -1,    -1,    -1,  3399,    -1,    -1,    -1,
    3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4401,  5898,    -1,    -1,    -1,    -1,    -1,  5904,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3448,  3897,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3465,    -1,    -1,    -1,    -1,  3918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3490,    -1,    -1,
      -1,    -1,  3943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3124,    -1,    -1,  3977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3141,    -1,  4531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5219,    -1,  4541,  3154,    -1,    -1,  3559,    -1,  3561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2375,  5219,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2389,    -1,
      -1,    -1,  2393,    -1,    -1,    -1,    -1,    -1,  5287,    -1,
      -1,    -1,    -1,  5247,    -1,    -1,  2407,  2408,  2409,    -1,
      -1,  2412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3642,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5287,    -1,    -1,    -1,  3670,    -1,    -1,
      -1,    -1,    -1,  2454,    -1,  5344,    -1,    -1,    -1,    -1,
    5349,  5350,    -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,
      -1,    -1,  3695,    -1,    -1,    -1,    -1,    -1,  3701,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5344,    -1,    -1,  4712,    -1,  5349,  5350,    -1,  2509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,    -1,    -1,
      -1,  2532,  4203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2544,    -1,    -1,  2547,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,  3389,  5458,
      -1,  3392,    -1,  3394,    -1,    -1,    -1,    -1,  3399,    -1,
    3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3490,
      -1,    -1,    -1,    -1,  3897,    -1,    -1,    -1,    -1,    -1,
      -1,  4352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,  4908,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3559,    -1,
    3561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4959,    -1,    -1,    -1,  3977,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5664,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5664,  3642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4541,    -1,    -1,    -1,  3695,    -1,    -1,    -1,    -1,    -1,
    3701,  4104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4203,    -1,  3803,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,  4227,    -1,    -1,    -1,    -1,    -1,
    5219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,
      -1,  4712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3897,    -1,  5287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3943,    -1,    -1,    -1,    -1,  4798,    -1,  4352,
      -1,    -1,    -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,
    5349,  5350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3977,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3187,    -1,  3189,    -1,
      -1,  3192,  3193,    -1,  3195,    -1,  3197,    -1,    -1,    -1,
    3201,    -1,    -1,  3204,    -1,    -1,    -1,    -1,  3209,    -1,
      -1,    -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,  3220,
      -1,    -1,    -1,    -1,    -1,    -1,  3227,  3228,  3229,  3230,
      -1,    -1,    -1,  3234,  3235,    -1,  3237,  4908,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3249,  5458,
    3251,    -1,    -1,    -1,    -1,    -1,    -1,  3258,  3259,  3260,
    3261,  3262,  3263,  3264,  3265,  3266,  3267,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,  4959,    -1,
      -1,    -1,    -1,    -1,  3295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4531,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4541,     6,
       7,     8,  3323,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,  4203,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,
      -1,    -1,   119,    -1,  3435,    -1,   123,   124,   125,   126,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4674,   139,    -1,    -1,  5664,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,  4712,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      -1,  4352,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,  5219,    -1,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,  4798,  5247,    -1,    -1,    -1,
    4401,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,
     277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     297,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,
      -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,
     367,    -1,   369,    -1,    -1,  4908,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3696,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4531,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
    4541,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4959,    -1,    -1,    -1,
     427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,   469,    -1,    -1,    -1,    -1,  5458,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4712,  3893,    -1,    -1,    -1,    -1,    -1,  3899,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4733,    -1,  3915,  3916,    -1,    -1,  3919,  3920,
    3921,  3922,    -1,    -1,  3925,  3926,  3927,  3928,  3929,  3930,
    3931,  3932,  3933,  3934,  3935,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3957,    -1,    -1,  3960,
      -1,  3962,    -1,    -1,  3965,  3966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4798,    -1,  3980,
    3981,  3982,  3983,    -1,  3985,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5664,    -1,    -1,  5219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4055,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5287,  4066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4908,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4959,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5099,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4478,    -1,    -1,
      -1,  4482,  4483,  4484,    -1,    -1,    -1,    -1,    -1,  4490,
    4491,  4492,  4493,    -1,    -1,    -1,    -1,  4498,  4499,  4500,
    4501,  4502,  4503,  4504,  4505,  4506,  4507,  4508,  4509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5344,    -1,    -1,    -1,    -1,  5349,  5350,
      -1,    -1,    -1,  4534,    -1,    -1,  4537,    -1,  4539,    -1,
      -1,    -1,  4543,    -1,    -1,  4546,  4547,    -1,    -1,  4550,
    4551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4598,    -1,    -1,
      -1,    -1,    -1,    -1,  4605,  4606,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4637,  5458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5664,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4903,  4904,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4949,    -1,
      -1,    -1,    -1,  4954,  4955,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4969,    -1,
    4971,    -1,    -1,    -1,  4975,  4976,  4977,    -1,    -1,  4980,
      -1,    -1,  4983,  4984,    -1,    -1,    -1,  4988,    -1,    -1,
      -1,  4992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5059,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,  5120,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,  5156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,   119,    -1,    -1,   122,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,   142,    -1,   144,   145,   146,    -1,
     148,    -1,    -1,   151,    -1,   153,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,   166,   167,
      -1,    -1,    -1,    -1,  5245,  5246,   174,    -1,    -1,    -1,
      -1,    -1,    -1,   181,    -1,   183,   184,   185,   186,    -1,
    5261,  5262,  5263,    -1,   192,    -1,    -1,    -1,    -1,    -1,
    5271,    -1,   200,    -1,   202,    -1,    -1,    -1,   206,    -1,
      -1,    -1,    -1,    -1,   212,   213,    -1,    -1,    -1,    -1,
      -1,    -1,   220,   221,   222,    -1,    -1,   225,  5299,  5300,
     228,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,  5315,    -1,   244,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,   274,    -1,    -1,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,
      -1,   299,   300,    -1,    -1,    -1,    -1,   305,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,
      -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,   329,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,   384,    -1,    -1,    -1,
      -1,    -1,   390,   391,    -1,   393,    -1,    -1,    -1,    -1,
     398,  5472,    -1,    -1,    -1,   403,   404,    -1,   406,    -1,
     408,    -1,    -1,   411,    -1,  5486,    -1,    -1,  5489,   417,
     418,    -1,  5493,    -1,    -1,    -1,    -1,   425,    -1,   427,
      -1,   429,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,   452,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,  5543,   471,    -1,   473,    -1,    -1,    -1,    -1,
     478,    -1,    -1,   481,    -1,    -1,   484,    -1,    -1,   487,
      -1,    -1,    -1,    -1,   492,   493,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   505,    -1,    -1,
      -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
     528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,    -1,    -1,    -1,   546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5658,    -1,  5660,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5768,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5827,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5856,    -1,    -1,    -1,    -1,
    5861,    -1,    -1,    -1,    -1,    -1,    -1,  5868,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,  5900,
      15,    16,  5903,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,  5926,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,   548,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    -1,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,
     125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,
      -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,
     335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,   549,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
      -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,   528,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,   543,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   543,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   543,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,   528,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,   540,   541,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,    -1,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,   528,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     543,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,   541,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,   528,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,   452,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,   528,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    84,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,    -1,   468,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,    -1,   468,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,    -1,    -1,    -1,   529,   530,   531,
      -1,   533,   534,   535,   536,   537,   538,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   535,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   535,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     535,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   535,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,   238,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,     4,   531,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,    -1,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,    -1,   125,    -1,    -1,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,    -1,    -1,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,    -1,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,    -1,    -1,    -1,    -1,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,    -1,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,    -1,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,   428,   429,   430,   431,   432,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,    -1,    -1,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,    -1,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,   149,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,   166,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,    -1,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,    -1,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    72,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
     123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,
     283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,
      -1,    -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,
     353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,
      -1,    -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,
     279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,
      -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
     369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,
      -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,
     469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    -1,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,
      -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,
     282,   283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,
     322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,    -1,
      -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,
      -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,    -1,
      -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,
     462,    -1,    -1,    -1,    -1,   467,    -1,   469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,
     125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,
     285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,
      -1,   326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,
     335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,
      -1,    -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,
      -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,   533,   534,   535,    -1,    -1,    -1,    -1,    -1,    -1,
     542,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,   106,   107,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,   524,   525,    70,    71,   528,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,   542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,
     533,   534,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,
      71,   533,   534,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,
      70,    71,   533,   534,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,    70,    71,   533,   534,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    -1,   524,   525,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,   485,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,    -1,    -1,    -1,    -1,    -1,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,    -1,    -1,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,    -1,    -1,   273,   274,   275,    -1,    -1,
      -1,    -1,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,    -1,    -1,    -1,   323,   324,   325,    -1,    -1,
     328,   329,    -1,   331,    -1,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,    -1,   352,    -1,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
     428,   429,    -1,   431,   432,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,    -1,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   551,  1196,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1186,  1197,  1225,  1227,  1318,  1328,
    1329,  1331,  1337,  1338,  1226,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     567,   571,   583,   588,   589,   592,   593,   594,   614,   617,
     618,   634,   677,   680,   683,   684,   685,   693,   699,   701,
     703,   704,   707,   710,   711,   715,   724,   728,   729,   730,
     731,   734,   736,   737,   738,   739,   747,   748,   767,   771,
     773,   774,   775,   785,   787,   794,   795,   798,   799,   800,
     801,   802,   810,   812,   816,   821,   825,   826,   834,   835,
     838,   843,   854,   881,   884,   885,   886,   891,   894,   896,
     898,   900,   901,   906,   907,   910,   911,   912,   916,   917,
     920,   921,   924,   925,   926,   933,   935,   936,   937,   942,
     944,   945,   951,   952,   953,   954,   955,   956,   957,   959,
     960,   962,   963,   965,   968,   969,   974,   980,   983,   985,
     994,   996,  1001,  1006,  1010,  1011,  1012,  1013,  1014,  1015,
    1018,  1053,  1193,  1194,  1198,  1200,  1201,  1218,  1219,  1220,
    1221,  1232,  1234,  1238,  1239,  1240,  1241,  1242,  1244,  1246,
    1248,  1249,  1250,  1251,  1253,  1258,  1259,  1263,  1264,  1273,
    1275,  1276,  1277,  1280,  1285,  1288,  1293,  1295,  1296,  1299,
    1301,  1304,  1313,  1331,  1339,    72,  1221,  1229,  1230,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   118,   120,   121,   122,
     129,   130,   131,   132,   133,   136,   137,   140,   142,   143,
     144,   145,   150,   151,   152,   153,   154,   156,   157,   160,
     161,   162,   163,   164,   165,   168,   169,   177,   178,   179,
     180,   181,   183,   186,   188,   190,   191,   192,   193,   194,
     195,   197,   198,   199,   200,   203,   204,   205,   206,   207,
     209,   210,   211,   213,   214,   215,   217,   218,   219,   220,
     222,   223,   224,   227,   229,   230,   232,   234,   236,   240,
     241,   242,   243,   245,   249,   251,   252,   254,   255,   257,
     258,   259,   260,   262,   263,   264,   265,   266,   267,   269,
     273,   274,   275,   281,   284,   286,   287,   288,   289,   290,
     293,   296,   299,   300,   301,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   317,   318,   319,   323,
     324,   325,   328,   329,   331,   334,   336,   337,   338,   340,
     341,   344,   345,   346,   349,   352,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   365,   366,   368,   370,   371,
     372,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   402,   403,   405,   406,
     407,   409,   410,   411,   412,   413,   414,   415,   417,   419,
     420,   421,   422,   423,   424,   425,   426,   428,   429,   431,
     432,   434,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   450,   451,   453,   455,   456,   457,
     458,   459,   463,   465,   466,   468,   471,   472,   473,   474,
     475,   476,   477,   480,   481,   482,   483,   484,   487,   488,
     489,   490,   491,   495,   497,   498,   499,   500,   503,   506,
     507,   508,   509,   510,   511,   524,   525,  1188,  1189,  1191,
    1192,  1193,  1194,  1211,  1212,  1323,  1325,  1329,  1331,    29,
     272,  1274,     9,    13,    15,    28,    44,    45,    49,    50,
      55,    64,    66,    68,    69,   102,   138,   158,   170,   182,
     187,   253,   313,   316,   416,   492,   523,  1179,  1192,  1193,
    1213,  1260,  1261,  1303,  1304,  1305,  1309,  1314,  1315,  1316,
    1325,  1331,   102,  1007,  1178,  1213,  1309,  1322,    14,  1007,
       5,    25,    29,    35,    36,    42,    43,   102,   106,   107,
     108,   109,   110,   111,   112,   115,   128,   134,   135,   138,
     141,   147,   149,   158,   159,   166,   170,   171,   172,   173,
     175,   176,   177,   187,   189,   196,   201,   202,   208,   212,
     216,   226,   228,   233,   235,   238,   244,   247,   250,   261,
     268,   272,   276,   278,   280,   291,   292,   298,   302,   303,
     327,   332,   339,   342,   343,   347,   348,   364,   373,   388,
     401,   418,   424,   435,   449,   452,   460,   463,   464,   470,
     478,   479,   485,   486,   492,   494,   501,   502,   504,   505,
    1192,  1195,  1305,  1306,  1307,  1311,  1312,  1313,  1314,  1316,
      25,    35,   138,   276,  1300,    37,    39,   327,  1233,   465,
     508,   938,   101,   148,   163,   181,   187,   204,   215,   223,
     235,   240,   247,   264,   289,   310,   344,   366,   376,   379,
     405,   410,   412,   419,   422,   441,   447,   451,   452,   455,
     459,   468,   473,   485,   498,   700,  1261,   186,   938,   102,
    1007,   496,   970,   342,   372,   938,   125,   542,   625,    96,
     101,   113,   135,   148,   159,   181,   187,   204,   215,   223,
     235,   243,   247,   301,   344,   347,   366,   379,   405,   412,
     422,   441,   447,   455,   456,   458,   459,   468,   473,   479,
     482,   485,   635,   682,   790,   844,   855,  1179,  1202,  1203,
    1204,  1213,  1329,  1331,    14,   102,   371,  1178,  1213,  1217,
     440,  1007,   102,   365,   420,   456,   458,   288,   892,   893,
    1329,    96,   101,   113,   135,   148,   163,   181,   204,   215,
     223,   235,   240,   247,   264,   310,   344,   356,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   485,   498,   700,   803,   804,   805,   938,
     548,  1243,  1307,   257,  1217,   166,   186,   220,   496,   542,
     680,   683,   969,   975,   983,   985,   994,  1001,  1006,  1010,
    1198,    95,   102,   120,   230,   236,   238,   261,   290,   324,
     374,   392,   533,   534,   822,   823,  1007,  1186,  1187,  1323,
    1325,   102,   166,   388,   418,   827,   828,   829,  1309,   235,
    1309,  1183,  1329,   452,  1021,   120,   236,   822,  1309,   465,
    1217,   356,   310,   181,   264,   412,   451,   452,   542,   902,
     903,   411,  1309,   102,   138,   423,   461,   465,   492,   575,
     584,   585,  1192,  1193,  1303,  1308,  1314,  1316,  1331,    99,
     244,   827,   828,   372,   938,  1309,   287,   102,   201,  1023,
    1024,     4,    14,   136,   158,   160,   301,   319,   405,   412,
     423,   461,   465,   511,   572,   573,   574,   575,   102,   423,
     461,   465,   575,   465,   343,  1064,  1176,  1309,  1021,  1297,
    1307,   535,  1309,   239,   542,   971,   542,   386,  1016,  1017,
    1178,  1016,  1011,  1012,  1015,   546,   970,   216,   278,   348,
     478,  1025,  1026,  1011,  1013,  1014,   192,   274,   484,   545,
     122,   552,  1241,  1244,  1240,  1236,   546,  1245,  1247,     5,
      25,    35,   138,   205,   276,  1252,   182,   253,   313,   316,
     416,   523,   542,  1107,  1108,  1224,  1228,  1318,    72,  1221,
    1178,  1213,  1332,   187,  1202,    21,   486,   536,  1217,  1217,
    1332,   486,  1265,  1266,  1267,    25,   276,   276,  1311,     7,
      19,    20,    38,    41,   162,   202,  1302,  1302,    16,  1241,
     871,  1184,  1194,  1303,  1306,  1309,  1310,  1314,  1315,  1331,
     807,  1309,   807,  1179,   375,   807,   468,  1178,   180,   452,
     859,  1184,  1194,  1309,  1188,  1189,   102,   255,  1176,   336,
     498,    84,    91,    92,    93,   143,   227,   529,   530,   531,
     533,   534,   535,   536,   537,   538,   888,   890,  1140,  1141,
    1309,   255,  1178,  1178,   102,  1188,  1189,  1178,  1178,   255,
    1176,  1178,   807,  1178,   398,   425,   102,   255,  1064,  1178,
     415,  1178,   807,   102,   308,  1188,  1189,   255,  1176,   288,
      34,   189,   284,   327,   382,   939,   940,   941,  1176,  1182,
    1309,    96,   101,   135,   148,   149,   159,   163,   181,   204,
     215,   223,   235,   240,   264,   289,   310,   344,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   498,   700,   813,   814,  1329,   982,   985,
     994,  1001,  1010,  1176,   312,  1184,  1178,   542,   255,   807,
     468,  1179,   807,   468,   255,  1178,   180,   452,   456,   458,
    1188,   456,   458,   143,   227,   888,   396,  1178,  1178,  1188,
     255,   568,  1309,   255,  1178,   255,   807,  1178,  1178,   415,
    1178,   807,   308,  1188,   386,   419,   452,   498,   310,   163,
     264,   240,   410,   466,   472,   694,    84,  1205,  1206,   547,
    1325,  1332,   102,  1217,  1331,  1008,   582,  1191,  1329,   893,
     312,   255,   871,   872,  1178,   255,   897,   255,  1179,   124,
     126,   127,   138,   139,   184,   185,   205,   231,   255,   276,
     277,   279,   320,   322,   335,   383,   427,   433,   461,   462,
     493,   809,  1086,  1088,  1090,  1092,  1094,  1096,  1097,  1098,
    1100,  1101,  1102,  1104,  1105,  1303,  1310,  1314,  1315,  1331,
     468,   180,   452,   255,   858,   859,   255,  1189,  1190,   155,
     498,   143,   227,   255,   889,   890,   129,   255,  1190,   255,
    1178,   255,  1178,   415,   897,   255,   809,   255,   308,  1190,
     288,   255,   806,   807,   255,  1177,  1178,   255,  1178,   542,
     548,  1333,  1334,  1335,  1336,  1338,  1243,    70,  1213,  1262,
     542,   984,   635,  1007,   975,   969,   976,   977,   978,  1191,
     970,  1187,   823,   824,   102,   823,  1007,  1187,   824,   102,
     823,  1007,  1187,   824,   824,   824,  1187,  1186,  1186,   280,
     486,  1267,  1268,  1342,  1344,  1007,   824,   375,   542,   542,
     655,   655,   655,   342,   463,   545,   655,   412,  1064,  1065,
     823,  1007,   823,  1007,   545,   934,  1329,   238,   542,   981,
     129,   498,   496,   904,   905,  1176,  1178,  1309,   119,   525,
     284,   544,   345,   345,   342,   238,  1329,   463,   233,   817,
     342,    82,    83,    84,    86,   110,   124,   126,   127,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   277,   279,   294,   302,   303,   320,   322,   327,   332,
     333,   335,   344,   354,   367,   383,   408,   424,   433,   448,
     461,   462,   467,   469,   470,   479,   485,   493,   513,   514,
     515,   516,   518,   519,   520,   521,   526,   533,   534,   535,
     542,  1011,  1089,  1092,  1095,  1096,  1097,  1099,  1100,  1101,
    1104,  1105,  1109,  1111,  1112,  1113,  1115,  1136,  1137,  1138,
    1142,  1161,  1166,  1173,  1174,  1184,  1185,  1186,  1309,  1321,
    1323,  1325,  1326,  1327,  1328,  1329,  1172,  1173,   463,   531,
    1332,  1329,   463,   531,  1261,   102,   590,  1175,  1176,   423,
     572,   187,   581,  1329,   582,  1329,   119,   140,   572,   525,
     434,   940,   345,   238,   463,   531,   119,   525,   284,  1342,
     941,   542,  1176,   535,   540,   544,  1167,  1169,  1065,  1313,
     237,   239,   496,   966,   967,   969,  1331,   237,   972,  1109,
    1145,  1016,   545,   542,   973,   543,   543,  1176,   102,   201,
    1022,  1022,   129,  1022,   228,   233,   298,   339,  1029,  1031,
    1032,  1047,  1049,  1050,  1051,  1025,  1026,   238,   280,  1064,
    1066,   542,   546,  1235,   535,  1254,  1255,  1257,   548,   548,
      25,   276,   276,   463,   463,   463,   463,   542,   463,   533,
     534,   691,  1187,  1222,  1328,   212,   111,  1209,   129,  1212,
    1212,   280,  1267,  1269,   280,  1267,  1268,  1269,   491,  1278,
    1279,  1325,    14,    83,   436,   533,   534,  1186,  1270,  1271,
    1272,  1321,  1323,  1327,  1328,  1329,  1330,   276,   282,  1178,
     463,  1178,     6,  1178,  1302,  1257,   357,   394,   425,   542,
     869,  1169,   357,   390,   394,   425,   544,   808,   357,   394,
     425,   158,   210,   304,   357,   394,   425,   455,   457,   505,
     583,   586,   946,   947,   948,   949,  1331,   839,    98,   206,
     357,   394,   425,   489,   598,  1178,    98,   206,   425,   484,
     566,   509,   255,  1064,   131,   165,   195,   224,   258,   293,
     327,   357,   358,   394,   402,   409,   417,   425,   437,   445,
     500,   583,   587,   874,   882,   542,   856,  1169,   394,   566,
     261,   221,    98,   104,   145,   195,   199,   206,   209,   234,
     266,   325,   327,   337,   346,   357,   394,   397,   398,   425,
     489,   595,   597,   718,   691,   102,   255,  1176,   807,   807,
     542,   887,   357,   425,   544,   221,   342,    98,   206,   357,
     394,   425,   261,   561,   394,   505,   528,   554,   561,   342,
     357,   394,   221,   111,   130,   179,   263,   311,   314,   325,
     356,   394,   399,   419,   425,   439,   595,   688,   689,   357,
     394,   497,   718,   726,   357,   394,   425,   158,   199,   209,
     357,   390,   394,   425,   585,   573,   575,   261,   221,   117,
     197,   394,   425,   595,   596,   357,   394,   398,   425,   156,
     198,   359,   457,   342,    98,   104,   206,   357,   394,   425,
     615,   616,   561,   233,   394,   554,   561,   221,   394,   425,
     595,  1178,   546,   296,   189,   343,   510,   545,   939,   486,
     964,   342,   312,   871,   542,  1178,  1086,   468,   180,   452,
     859,   336,   498,   143,   227,   890,  1178,  1178,   415,   233,
    1178,  1086,   288,   807,  1178,   543,   655,  1178,   542,   780,
     869,   141,  1086,   327,   238,   542,   776,  1178,   554,   111,
     958,  1178,   327,   554,   509,   255,  1176,   554,   807,   807,
     776,   482,   635,   342,   233,   918,   919,   554,   327,   119,
     569,   327,   473,   725,   327,   973,   158,   357,   702,   156,
     198,   359,   457,   100,   121,   275,   749,   111,   776,   233,
     255,   554,   498,   255,  1176,   255,   678,  1176,  1176,   498,
     807,   155,   845,  1184,  1178,   233,   700,    73,  1207,  1309,
     547,  1208,  1205,   125,   178,   273,   325,   414,   221,   132,
     400,   545,   599,   599,   221,   542,   221,   495,  1103,  1103,
    1103,   542,  1091,  1091,   369,   542,  1093,   221,   138,   139,
    1103,  1091,  1088,   507,   528,   542,  1106,   542,  1106,   545,
     599,   110,  1087,   542,   182,   316,   523,   542,  1107,   808,
    1091,   509,   221,   545,   599,   221,   545,   255,   806,   255,
     807,   255,   807,   221,   545,   599,  1190,   221,   221,   599,
     221,   156,   198,   359,   457,   233,   221,   599,   221,   233,
     255,   255,   582,   221,   545,   599,   221,   545,   599,   221,
     342,   543,  1334,  1335,  1333,   545,   549,  1145,  1266,  1341,
    1342,   452,  1008,   543,   545,   226,   342,   470,   579,   582,
     691,   979,   975,   824,  1007,   824,  1007,  1344,  1345,   824,
    1007,   824,  1007,  1345,   824,  1007,  1007,  1007,   824,    14,
     436,  1317,  1320,  1325,  1007,   542,   656,   657,  1309,   656,
     102,   181,   204,   235,   240,   288,   289,   412,   419,   452,
     455,   473,   830,  1175,  1190,   829,  1178,   261,   545,   997,
    1007,  1007,  1329,  1262,  1086,  1148,   111,  1190,   845,   543,
     545,   296,  1309,   233,   233,   830,  1190,   411,  1309,   582,
     342,   542,   540,  1011,  1149,  1109,  1165,   542,   542,   233,
     542,   542,  1011,   542,   542,   542,   542,   542,   542,  1109,
     542,   542,   542,   542,   542,   542,   542,   542,  1011,   542,
     542,   542,   542,   542,   542,   542,   542,  1109,  1109,  1109,
     492,  1011,  1109,  1145,  1169,  1329,   542,  1329,    84,    87,
      91,    92,    93,   108,   111,   116,   123,   147,   256,   261,
     282,   283,   297,   330,   344,   347,   430,   526,   529,   530,
     531,   533,   534,   535,   536,   537,   538,  1140,  1142,  1144,
    1331,   506,  1124,   353,  1109,   280,   545,  1019,  1342,   542,
    1329,  1169,    22,  1324,  1325,  1170,  1019,   338,   342,  1294,
    1294,    10,   491,  1281,  1282,  1284,  1261,  1261,   190,   257,
     591,   545,   140,   187,   582,   111,   187,   301,   580,   691,
    1105,  1329,  1331,  1329,   161,   203,  1121,   170,   187,   576,
     577,   579,   691,   187,   576,  1342,  1342,   296,  1176,  1109,
    1168,   535,  1181,  1311,  1167,   162,   399,   811,   282,   543,
     545,   970,   543,   545,  1017,  1177,   111,   973,  1013,  1013,
    1027,  1028,  1109,  1013,   230,   324,  1038,   286,   325,   382,
     428,   484,   102,  1033,  1109,  1034,  1036,  1109,  1111,  1047,
    1048,  1032,  1031,  1029,  1030,   233,  1050,   337,  1052,  1029,
    1047,  1066,   986,  1176,   111,  1309,   425,  1145,  1254,   535,
     545,   546,  1312,  1231,  1234,  1231,   276,   182,   253,   313,
    1108,   313,  1108,  1108,   316,  1186,   313,   316,   416,  1328,
    1328,   545,  1223,   186,  1261,   485,  1210,  1212,  1178,   436,
    1186,  1283,  1325,   545,   531,  1178,    14,  1186,  1328,  1186,
    1328,   545,  1241,   542,  1178,   542,  1313,   463,   463,   412,
     261,   271,   348,   350,   427,   494,   535,   862,   863,   864,
     866,   868,   870,  1086,  1310,   463,   497,   463,   412,  1181,
     544,   463,   463,   412,   298,   463,   463,   455,   572,   357,
     946,   948,   531,   950,   233,   244,   261,   403,   840,   841,
     141,   159,   217,   235,   373,   479,   652,   653,   159,   187,
     327,   463,   159,   463,   187,   327,   412,   159,   199,   209,
     357,   394,   772,   412,   708,    96,   101,   135,   148,   163,
     204,   215,   235,   240,   310,   344,   412,   419,   422,   452,
     459,   466,   473,   498,   700,  1178,   221,   394,   425,   595,
     342,   691,   342,   417,   293,   463,  1309,   463,   332,   691,
     191,   281,   412,   423,   465,   574,   400,   425,   874,   883,
     543,   857,   862,   463,   485,   455,  1176,   149,   217,   255,
     642,   652,  1309,   149,   159,   908,   342,   342,   408,   410,
     468,   159,   908,   105,   397,   408,   410,   468,   408,  1176,
     234,   266,   337,   807,   542,   463,   463,   254,   542,   603,
     307,   455,   482,   505,   507,   603,   159,   545,   357,   261,
     221,   195,   394,   425,   595,   486,   486,   326,  1086,   463,
     412,   542,   888,  1178,  1176,   452,   452,   463,   463,   452,
     776,   181,   425,   586,   463,   556,   586,  1176,   463,   463,
    1176,  1088,   691,   129,   690,   691,   691,   179,   311,   314,
     129,   463,   554,   318,   412,   554,   325,   689,   463,   463,
     332,  1329,   718,   463,   463,   412,  1329,   463,   379,   463,
     379,   776,   455,  1064,   361,   361,   159,   463,   908,   412,
     463,   463,   603,   603,   807,   807,   807,   807,  1176,   118,
     491,   118,   118,   463,   118,   463,   491,   412,   545,   586,
     485,   735,  1189,   463,   556,   586,  1176,   463,   412,   357,
     394,   382,   395,   421,   578,   939,  1182,  1309,  1176,   282,
    1086,   342,   282,   509,   282,   691,   807,   807,   282,   342,
     342,   156,   198,   359,   457,  1086,   342,   282,   282,   282,
     463,   505,   626,   473,   781,   782,  1331,   776,   542,   111,
     221,   807,   777,   778,  1311,   100,   946,  1086,   342,   221,
     705,  1178,   327,   361,   542,   555,   790,   486,   386,   498,
    1176,   102,   452,   505,   878,   555,   221,  1189,   166,   244,
     570,   634,   684,   748,   825,   843,   942,   221,  1329,   726,
     727,   221,   342,  1329,  1189,   304,   807,   807,   807,   807,
     337,   192,   274,   471,   484,   750,   751,   213,   381,   542,
     735,   327,   555,  1176,   327,   686,   688,   327,   111,   337,
     361,   542,   655,   655,   255,   681,  1176,   233,   255,   846,
    1182,   542,   860,   111,  1086,   288,   544,  1186,  1208,   505,
     507,  1009,   414,   872,   871,  1086,  1179,   542,  1145,  1186,
     809,  1103,  1103,   110,  1087,   461,   461,  1186,  1186,  1086,
     540,   540,  1186,   463,   463,  1186,  1091,   858,   859,  1190,
    1189,   221,   599,   221,   486,   221,   486,   889,   890,   599,
    1190,  1178,  1178,  1086,   809,  1190,   735,   221,   221,   599,
     806,   807,  1177,  1178,  1178,   807,   543,   549,  1336,   543,
    1342,  1343,  1266,  1176,   178,   975,   977,  1007,  1007,  1345,
    1007,  1007,  1345,  1007,  1007,  1178,    14,   545,  1324,   656,
     543,   545,   543,   241,   420,   453,  1177,   806,   180,   422,
     858,  1177,   336,  1177,  1175,  1175,  1177,   806,   463,   505,
     836,   216,   298,   732,   733,    96,   219,   408,   428,   998,
    1064,   331,   999,   543,   545,   982,   463,  1176,   902,   903,
     905,   828,   827,   828,   238,   245,   837,  1309,   101,   149,
     181,   204,   215,   235,   240,   289,   310,   379,   405,   412,
     419,   447,   452,   455,   473,   498,   700,   818,   819,  1145,
     541,  1145,  1149,  1150,   501,  1162,  1163,  1109,  1145,   542,
    1186,  1186,   182,   253,   313,   316,   416,   523,  1151,  1152,
    1329,  1331,  1145,  1145,  1145,  1186,  1186,  1109,   888,  1109,
    1153,   408,   533,   534,   542,  1110,  1111,  1142,  1155,   543,
    1145,  1109,  1145,  1156,  1109,   128,   238,   292,   464,  1109,
    1145,  1159,  1145,   318,  1111,  1109,  1119,  1120,  1121,   318,
    1109,  1121,   543,   545,  1186,  1107,  1086,  1109,  1109,  1109,
    1109,  1311,   461,   115,   449,  1171,   807,  1109,   542,  1011,
    1160,   201,   203,   226,   327,   332,   337,   470,   480,  1109,
     542,  1109,   463,   123,   256,   261,   297,   430,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,   102,   109,
     435,  1139,   247,   229,  1125,   408,   542,  1136,   243,   301,
     452,   456,   458,   482,  1020,  1176,  1174,   238,  1054,   102,
     201,   494,   535,   543,   864,  1109,  1146,  1147,  1310,  1178,
    1325,  1167,  1054,  1283,   545,   531,  1176,   465,   542,  1329,
     545,  1342,   543,   541,   547,   254,   254,   599,  1241,  1176,
     967,   968,  1176,  1109,   543,   542,   545,   112,   196,   486,
     852,   542,  1035,  1187,   428,   286,   343,   545,   408,   409,
    1037,  1175,   331,   432,  1000,  1048,  1030,   486,   995,   187,
     355,   542,   987,  1010,   111,  1309,   542,  1002,  1003,  1004,
    1309,   543,   546,  1255,  1087,   549,  1234,   549,   543,   691,
     543,    34,  1211,  1286,  1287,  1325,  1279,  1284,  1332,  1270,
    1087,  1319,  1335,  1319,  1087,  1189,  1178,  1178,   350,   129,
    1310,   543,   864,   866,   863,   866,  1310,   348,   543,   545,
     808,  1189,  1178,  1178,  1181,  1189,  1178,  1178,  1189,  1179,
    1178,   187,   579,  1187,   405,   485,   827,   412,   244,   827,
     542,  1178,   486,   847,   286,   286,   486,   542,   676,   255,
    1178,   332,  1189,  1178,  1178,  1109,   332,  1178,  1178,   105,
     397,   463,   463,  1178,   463,   709,   312,   871,   542,   807,
     807,  1086,   468,   180,   452,   859,   498,   143,   227,   890,
    1178,   807,  1178,   807,   415,   233,  1086,   807,   288,   249,
     325,   357,   394,   490,   712,   713,   714,  1064,   463,   908,
     412,   332,   223,   191,   281,  1189,  1178,   342,  1178,   543,
     545,  1188,  1190,  1178,   394,   595,   255,   642,   327,  1086,
    1178,  1309,  1178,   223,   296,  1178,   102,   485,  1178,   255,
    1178,   255,  1309,   410,   468,   410,   468,   296,  1178,   102,
     485,  1178,   296,   408,  1176,    98,   206,   425,   719,   720,
     721,   722,  1311,  1189,  1178,   187,   239,   328,   486,   602,
     605,   606,  1311,  1178,   340,   145,   340,  1178,   597,   463,
     455,  1176,   342,   463,   908,   412,  1180,  1309,  1180,   545,
     543,   545,  1189,  1178,   913,   914,  1311,   342,   394,   463,
     743,  1065,  1065,  1189,  1178,  1065,  1179,  1188,   158,   211,
     266,   363,   477,   485,   488,   557,  1331,   394,  1189,  1178,
     394,   425,   595,   688,   691,   807,  1178,   691,   807,  1178,
     691,  1189,  1178,  1189,  1178,  1178,  1189,   878,  1178,   922,
     923,  1311,  1178,   394,   425,   595,   596,  1176,  1176,  1178,
    1178,  1178,  1178,  1189,  1178,    98,   104,   206,   357,   394,
     425,   357,   394,   425,   776,   394,   425,   394,   425,   195,
     394,  1078,  1309,   255,   786,  1309,   255,  1309,  1189,  1178,
    1178,  1329,  1178,    98,   616,   422,  1188,   394,   425,   595,
    1178,  1178,   463,   463,   154,   476,   382,   332,   815,  1329,
     111,   204,   807,   815,   815,   282,   486,   486,   815,   807,
     807,   288,   807,   815,   815,   815,   378,   620,   340,   238,
     463,   619,   264,   543,   545,   531,  1109,  1086,   807,   543,
     545,   531,   750,   644,  1311,  1178,   132,   238,   412,   497,
     706,   713,   714,   221,   337,   297,   636,   638,   640,   642,
     649,   652,    99,   261,   405,   450,   557,   558,   233,  1180,
     498,  1176,   111,   744,   453,  1065,   776,   568,  1309,   569,
     347,   635,  1178,   235,   807,  1145,   379,  1329,   776,   776,
     776,   776,   337,   342,   347,   542,   776,  1076,  1077,  1078,
     422,   221,   542,   221,   221,   220,  1199,   807,   337,   636,
    1309,   505,   507,   672,   505,   604,   327,   111,   655,  1329,
     327,   342,   543,   861,   862,   867,   111,   288,   402,   466,
     504,   873,   874,   875,   342,   288,   582,  1207,   536,   252,
     252,   233,   599,   111,  1145,   543,   543,   599,   540,   525,
     525,   543,   543,  1186,   541,   542,  1186,  1309,  1329,  1340,
     543,   543,   599,   806,   807,  1180,   807,  1180,   599,   599,
     288,   599,   422,   233,   582,   599,   599,   342,   599,  1009,
    1332,  1320,   543,   657,   261,   261,   261,   509,  1177,   691,
     692,   247,   831,   832,  1189,    99,   837,   463,   542,   238,
     219,   428,   219,   428,   408,   484,   315,  1086,  1189,   505,
     679,  1176,  1178,   238,   342,   831,   129,   599,   871,  1086,
     468,   452,   859,   336,   498,  1086,   288,   807,  1178,   543,
     541,   541,   545,  1109,   208,  1163,  1164,   111,   543,  1109,
     543,   543,   543,   238,   543,   543,   543,   543,   543,   545,
     543,   364,  1154,   543,   542,  1110,  1110,  1145,    87,    91,
      92,    93,   261,   282,   344,   529,   530,   531,   533,   534,
     535,   536,   537,   538,  1142,  1110,   543,   543,   233,   238,
    1157,  1158,   543,   111,  1159,  1145,  1159,  1159,   238,   543,
     543,  1311,   362,  1123,   111,   543,   545,  1109,  1311,   545,
    1109,  1170,  1109,   543,   525,  1110,  1110,   214,  1145,   238,
     201,   203,   226,   332,   337,   470,   480,   542,   214,   888,
    1109,   449,  1171,  1109,  1160,  1109,   463,   542,  1011,   542,
     542,   352,  1129,   542,  1145,   456,   458,   456,   458,  1176,
    1021,  1021,  1021,   291,   409,   522,   542,  1011,  1055,  1056,
    1057,  1064,  1069,  1079,  1112,  1114,  1115,  1184,  1309,   502,
    1074,  1146,  1146,  1147,   543,    89,    90,   545,  1025,  1026,
    1074,     8,    11,    12,    22,    23,    24,    26,    27,    31,
      32,    33,   180,   318,   369,   473,  1289,  1290,  1292,  1282,
    1283,   940,  1186,  1107,   577,  1109,  1168,  1087,   973,   982,
    1028,   344,  1140,  1143,   527,   853,  1109,  1037,   484,  1034,
     306,  1055,   502,  1075,   492,   451,   485,   988,   989,   990,
    1309,   342,   991,  1309,  1004,  1005,   545,  1054,   531,  1170,
     547,  1237,   546,   545,   531,    30,  1298,   543,   543,   546,
     870,   808,   866,   866,   129,   868,   537,  1190,  1190,   342,
    1177,   345,   342,  1109,   653,  1180,   542,   542,   542,   676,
     264,   656,   765,   221,   599,   463,  1189,  1178,   582,  1178,
    1086,  1178,   509,   807,   807,   807,   807,   156,   198,   359,
     457,  1086,  1178,   695,  1178,   249,   490,   463,   463,   695,
     712,   718,   394,   425,   595,  1178,  1178,  1178,   272,  1178,
     332,   862,   356,   425,   463,   327,   221,   346,   716,   765,
      98,   206,   398,   399,   425,   598,   607,   608,   718,   909,
    1178,   417,   221,   599,   221,   599,  1178,  1178,  1178,  1178,
     417,   417,   296,   721,   722,   721,   543,   545,   723,  1329,
     264,   543,   545,   531,   544,  1189,  1178,   394,   425,   595,
     223,  1178,  1178,  1178,   357,   394,   425,    98,   206,   357,
     394,   425,  1086,   326,  1086,   543,   545,   531,  1176,   463,
    1190,   486,   740,   298,   363,   332,  1329,   363,  1190,   483,
     463,   463,   412,   545,   878,   356,   425,   159,   463,   908,
     412,   233,   609,   463,   463,   308,   308,   308,   463,   463,
     412,   463,   463,   412,   463,   412,   463,   412,   342,   463,
     599,  1086,   327,  1329,   425,   909,   221,   599,   463,   463,
    1178,   463,   412,  1189,  1178,  1086,   807,   282,   815,  1180,
    1180,   282,   282,  1178,   282,   442,   443,   621,  1329,   620,
     249,   782,  1331,   326,   344,   533,   534,   691,   779,   866,
    1143,  1195,  1329,   543,   543,   238,   776,   778,   779,   342,
     141,   147,   159,   187,   189,   242,   268,   327,   332,   373,
     388,   479,   645,   646,   648,   220,   501,   554,   582,  1178,
     582,   716,  1176,  1176,  1176,   543,   545,  1190,   247,   405,
    1190,  1186,   473,  1176,   655,  1331,   233,   745,   119,   569,
     396,   452,   725,   180,   973,   238,   922,   604,   656,  1176,
     751,   783,   784,  1329,   543,   545,  1178,   233,   656,  1176,
    1176,  1178,  1010,   542,   637,  1176,   543,   340,   603,   340,
     342,   673,   603,   111,   221,  1010,   604,   463,   221,  1176,
     543,   545,   187,   531,   876,  1329,   582,   452,   865,   866,
     233,   877,   875,   878,   192,   274,   418,   484,   931,  1178,
     249,  1203,  1010,  1217,  1086,   543,  1186,  1106,  1106,   541,
    1340,   542,   533,   534,   535,   536,   537,   541,   599,   486,
     599,   486,   599,  1178,  1178,   735,   599,   807,   233,   412,
     412,   412,  1177,   545,  1189,   505,   545,   833,   345,  1065,
     422,   219,   219,   180,   325,  1190,   830,   599,  1189,   282,
     282,   282,   691,   282,   282,   282,  1149,   460,  1109,   212,
    1086,   543,  1109,  1109,  1109,  1157,   543,  1145,   545,  1086,
    1110,  1110,  1110,  1110,   201,   203,   327,   337,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1109,  1109,
    1158,  1157,  1086,   543,   543,   543,  1145,   543,   545,   129,
    1111,   543,  1311,  1120,   370,   446,  1122,   543,   545,   497,
    1116,   111,   543,  1329,  1109,   108,   108,  1109,   543,  1109,
     238,   542,  1148,  1109,   543,   214,  1110,  1110,   214,   214,
    1109,  1109,  1026,   502,   542,  1130,  1309,   543,  1145,   545,
    1021,  1021,  1021,  1021,  1176,  1176,  1176,  1011,  1069,  1079,
     238,   542,  1011,  1056,  1057,   111,  1058,  1059,  1309,   545,
     167,   239,   270,   285,   295,   321,   404,  1061,  1059,   111,
    1058,  1060,  1309,  1059,   528,  1073,   542,  1169,  1109,   247,
    1039,   545,  1025,  1025,  1025,  1109,  1109,   494,  1147,   543,
    1039,   545,   531,   543,   541,  1298,   543,   542,   853,   230,
     290,   543,   343,   170,  1109,   401,   993,   491,   543,   545,
    1170,   157,   993,   543,   545,  1003,  1075,  1109,  1186,   531,
    1256,  1287,  1292,   543,   537,   870,   473,   241,   413,   420,
     453,   474,   842,   233,   842,   543,   542,   659,   660,   849,
    1114,  1309,   656,   656,   765,  1182,   543,   189,   268,   325,
     327,   766,  1178,  1178,   111,  1178,   486,   486,   807,   807,
     807,   807,   288,   808,  1189,  1178,   463,   908,   412,   463,
     272,   129,   455,  1178,   221,   642,   542,   644,   242,   254,
     327,   603,   554,   180,   242,   327,   441,   444,   603,   689,
     425,   608,   473,  1178,  1309,   417,   720,  1178,   606,   779,
    1311,   356,   425,   463,   908,   412,  1178,   463,   463,   463,
     412,   240,   344,   444,   788,   789,   240,   344,   796,   797,
     463,   463,   412,   543,   543,   543,   914,   326,   691,   866,
     915,  1143,  1195,  1329,   394,  1178,   542,   505,   741,  1187,
    1329,  1329,  1329,  1178,  1178,  1178,   923,   129,   455,  1178,
    1178,  1178,  1178,   492,  1178,  1178,   233,   233,   396,   233,
     255,  1189,  1178,  1178,  1189,  1178,  1178,  1178,  1178,  1178,
    1178,   223,  1178,   147,   600,   221,   100,   121,   473,  1309,
    1178,  1329,   718,  1178,  1178,   543,   282,   815,   282,   282,
     815,   815,   282,   815,   554,   621,   695,   765,   505,   507,
     807,  1176,   542,   807,  1178,  1110,   105,   129,   647,   190,
     257,   189,   332,   286,  1176,   878,   377,   768,   769,  1309,
     705,   361,   542,   637,   650,   267,   666,   640,  1190,  1190,
    1086,   542,   604,   102,   192,   274,   418,   484,   746,   463,
     742,  1189,  1176,   727,   509,   342,  1055,   878,   389,   752,
     543,   545,  1078,   716,   735,   543,   686,   337,   361,   542,
     984,   679,   639,   641,   643,   652,  1309,   361,   667,   668,
     637,   666,   153,   455,   674,  1010,   681,   679,   674,  1329,
    1182,   847,   867,  1109,  1109,   545,   542,   873,   473,   545,
     463,   542,   695,    84,  1214,   543,   541,   543,  1241,  1340,
    1340,  1340,  1340,  1340,  1180,  1180,   599,   422,   599,  1177,
    1177,  1177,   691,   244,   832,   543,  1178,   180,   837,   238,
     332,   820,  1329,   820,   820,   282,   820,   820,   820,  1109,
     543,   543,  1158,   543,  1109,   238,   201,   203,   337,   542,
     543,   512,  1118,  1145,   387,   129,   503,   503,   543,  1109,
     325,  1109,   545,  1117,  1088,  1109,  1109,  1109,  1148,   543,
    1109,   108,   108,  1109,  1109,   214,   543,   543,  1109,  1131,
    1309,   543,  1109,  1176,  1176,  1176,  1176,  1059,  1060,  1059,
     542,   517,  1111,   543,  1309,   542,  1056,   285,   351,  1062,
    1056,  1062,   285,  1061,  1062,   285,   454,  1067,   542,  1309,
     542,   349,  1146,   129,   250,  1046,   543,   543,   543,  1147,
    1329,  1046,  1290,   534,  1283,  1291,  1328,  1329,  1329,   888,
     337,  1173,  1010,   355,  1010,   990,   342,   542,   992,   531,
    1004,   993,  1336,   473,   543,   463,   827,   238,   765,  1109,
     543,   545,   505,   147,   850,   850,   543,   543,   878,   190,
     257,   266,   189,   488,   599,  1086,  1180,  1180,  1178,  1178,
    1178,  1178,  1178,  1190,  1178,   642,   717,   721,   647,   255,
     332,   691,   647,   332,  1187,  1309,  1086,   599,   599,   531,
     129,   455,  1178,  1178,  1178,  1178,  1189,  1178,  1178,  1186,
    1186,  1086,   545,  1186,  1186,   545,  1189,  1178,  1178,   463,
    1109,   141,  1190,  1178,   463,   463,   238,   261,  1177,  1177,
     807,  1177,   221,  1178,   807,  1329,  1329,  1086,   599,   599,
     282,   815,   815,   815,   815,   542,   622,   623,   486,   627,
     628,   240,   271,   240,   238,   764,  1109,   327,   646,   187,
     111,   878,   655,   486,   675,  1184,   108,   220,   261,   337,
     636,   609,   218,   262,   542,   422,   486,   656,   111,  1190,
     740,   569,   542,   235,  1178,  1145,   323,   341,   753,   754,
     755,   233,   758,  1329,   422,   604,   807,   337,   636,   679,
     543,   545,   505,   644,   129,   672,   609,   667,   192,   206,
     370,  1178,   505,   943,   111,   238,   342,   542,  1329,   864,
     879,   880,  1310,   878,  1086,   233,  1176,   238,   463,   899,
     269,   696,  1215,  1309,   599,   543,   599,   599,  1178,   345,
     280,   599,   831,   820,   543,  1110,   238,   542,  1148,   542,
     543,   545,   543,  1111,   387,   543,   491,   438,   543,   543,
     543,  1109,  1109,  1109,   543,   361,  1132,   543,  1070,  1071,
    1114,   542,  1123,  1058,   542,  1177,  1056,   342,   486,  1063,
    1056,   285,  1056,  1184,  1077,   542,  1077,  1309,  1025,   169,
     248,   407,   542,  1040,  1041,  1042,  1043,  1044,  1045,  1109,
    1109,   504,  1126,  1025,  1126,  1186,  1328,   543,  1007,  1343,
     988,   159,   848,   849,   202,  1109,   831,   342,   831,   543,
     878,   660,   344,   888,   807,   807,   851,   851,   388,   878,
     675,   543,   463,   425,   999,   543,   545,   111,   221,   600,
     779,  1190,  1178,   463,   542,   859,   888,   890,   789,   542,
     542,   797,  1178,   543,   542,   425,   999,  1178,  1178,   542,
     542,   505,   528,   961,   396,   961,   961,   233,   600,   815,
     629,   630,  1311,   125,   168,   193,   210,   214,   234,   237,
     251,   332,   340,   380,   624,   554,   194,   859,   111,   895,
     895,  1176,   765,   543,   254,   675,   309,   658,   264,   542,
     769,   377,   542,  1176,   543,   422,   102,   152,   160,   188,
     254,   265,   441,   444,   651,   651,  1175,  1178,  1180,   543,
    1010,   741,   180,   716,   238,   754,   408,   452,   756,   207,
     759,   501,   761,  1178,   111,   637,  1176,   543,   641,   346,
     669,  1192,  1331,   673,   667,   672,   409,   409,   133,   141,
     301,  1010,   807,  1176,   848,   866,   543,   545,   473,  1074,
     436,   436,   543,   695,   325,   490,   697,   698,   531,  1216,
    1178,   599,  1110,  1148,   543,  1119,  1145,   129,   325,   524,
     129,  1025,   543,   545,   111,  1072,   187,  1084,  1085,  1110,
     150,  1177,   543,  1109,   542,  1056,  1063,   542,   543,  1077,
     543,   543,   542,   426,   542,   543,   545,  1127,  1128,  1309,
     543,   491,  1178,   543,   545,   328,   484,   833,   842,   599,
     850,   675,   542,   852,   852,  1176,   675,   765,  1178,   455,
     721,   254,   486,   601,   425,   999,  1178,  1148,   233,   792,
     792,  1148,  1148,  1109,   455,   226,   311,   314,   332,   470,
     610,   612,   613,   691,  1329,   610,   611,   806,   807,   806,
     807,  1177,   599,   543,   545,   535,   542,   579,   631,   691,
     958,  1329,   958,   327,   332,   380,   958,   958,   622,  1329,
     895,   114,   259,   233,   325,   654,   542,   687,   239,   360,
     431,   342,   662,   663,   664,   455,   543,  1184,    81,   770,
     637,   666,  1178,   543,   716,   227,   791,   604,   943,   509,
    1055,   958,   408,   440,   760,   542,   220,   716,  1010,   667,
     637,   666,   644,   542,   674,   672,   673,   141,   345,   141,
     679,   847,   543,   873,   879,  1086,   202,   505,   505,   490,
     695,  1186,  1323,  1331,    84,   716,   543,   543,   543,   387,
     491,  1145,   381,   409,  1133,  1073,  1070,   542,  1110,   543,
     545,   111,  1080,  1081,  1309,   543,  1177,  1145,   543,  1145,
     542,  1145,  1041,   545,   111,  1010,  1074,   849,   425,   238,
     851,   502,   661,   888,   853,   853,   655,   765,  1178,   687,
    1109,   455,   543,   348,   415,   385,   793,   793,   543,   543,
     543,  1178,   543,   545,   543,   545,   961,   630,   579,   632,
     633,  1329,  1329,   332,   656,   535,   656,  1329,  1329,   207,
     266,   688,   192,   484,   342,   664,   342,   663,  1178,   542,
     543,   545,   609,   422,   716,   807,   111,   111,  1178,   757,
    1309,  1109,   377,   943,   672,   609,   667,   542,   670,   671,
    1114,  1309,   673,   674,   345,   345,   542,   604,   878,   103,
     275,   932,   240,   240,  1215,   123,   170,   475,  1109,  1134,
    1135,  1134,   543,  1077,   545,  1085,  1311,   543,   545,   233,
    1086,   543,   543,   543,  1040,   543,  1128,  1130,  1002,   831,
     852,   542,   765,   543,   658,   999,  1178,   859,   129,   999,
     463,   613,   610,   807,   543,   545,   656,   408,   543,   132,
     325,   400,   425,   665,   665,   543,    81,   422,  1178,   788,
    1010,   716,   543,  1184,   673,   667,   672,  1109,   543,   545,
     850,   850,   674,   848,   674,   328,   542,   927,   929,   933,
     985,   994,  1001,  1010,   859,   859,  1135,   408,   232,   368,
     232,   368,   543,  1111,  1081,   349,   187,   327,   332,  1082,
    1083,  1331,   395,  1068,   543,  1074,   599,   853,  1109,   662,
     999,   807,   542,   633,   761,    97,   187,   332,  1178,   716,
     943,   542,   674,   672,   673,   543,   671,   851,   851,   543,
    1074,   928,   929,   930,  1011,  1012,   545,   545,   108,  1123,
    1110,   332,  1083,  1110,   542,   543,   765,   612,   220,   716,
     762,   763,  1186,  1311,  1328,  1329,   673,   674,   850,   604,
     543,   546,   463,   238,  1135,   150,  1109,   543,   377,   543,
     545,   674,   851,   674,   930,   436,   436,  1080,   543,  1184,
     763,  1074,   505,   505,   543,   542,   240,   240,   762,   859,
     859,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   553,   554,   554,   554,
     555,   555,   556,   556,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   558,   558,   558,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   563,   563,
     563,   563,   563,   563,   564,   565,   566,   566,   567,   567,
     567,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     570,   570,   571,   571,   571,   572,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   575,   575,   576,   576,   577,   577,   578,
     578,   578,   578,   579,   579,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   581,   582,   582,   583,
     584,   584,   584,   584,   585,   585,   586,   586,   587,   587,
     588,   588,   588,   588,   588,   589,   590,   590,   591,   591,
     592,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     594,   594,   594,   594,   594,   594,   594,   594,   594,   594,
     594,   594,   594,   594,   595,   595,   596,   596,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   598,   598,   599,   599,   599,   600,
     600,   601,   601,   602,   602,   602,   602,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   607,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   610,   610,   611,
     611,   612,   612,   613,   613,   613,   614,   615,   615,   616,
     616,   616,   616,   617,   617,   618,   618,   619,   619,   620,
     620,   621,   621,   621,   622,   622,   623,   623,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     624,   624,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   630,   631,   631,   631,   631,   631,   632,   632,
     633,   634,   634,   634,   634,   634,   634,   635,   635,   635,
     635,   635,   635,   635,   635,   636,   636,   637,   637,   638,
     638,   639,   639,   640,   640,   640,   641,   641,   642,   643,
     643,   644,   644,   645,   645,   645,   645,   646,   646,   646,
     646,   646,   646,   646,   646,   647,   647,   648,   648,   648,
     648,   649,   650,   650,   650,   651,   651,   651,   651,   651,
     651,   651,   651,   652,   652,   653,   653,   653,   653,   653,
     653,   653,   654,   654,   655,   655,   656,   656,   657,   658,
     658,   658,   658,   659,   659,   660,   660,   661,   661,   662,
     662,   662,   662,   662,   663,   664,   665,   665,   665,   665,
     665,   666,   666,   667,   667,   668,   669,   669,   670,   670,
     671,   671,   671,   672,   672,   672,   672,   673,   673,   673,
     673,   674,   674,   675,   675,   676,   677,   677,   678,   679,
     679,   679,   680,   680,   681,   682,   682,   683,   684,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   690,   690,   691,   691,   691,   691,   692,   692,
     693,   693,   694,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   700,   700,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   706,   706,   706,   707,
     708,   708,   709,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   711,
     712,   712,   712,   712,   713,   713,   714,   714,   715,   715,
     716,   716,   717,   717,   718,   719,   719,   720,   720,   720,
     720,   721,   722,   723,   724,   724,   725,   725,   726,   726,
     727,   727,   728,   728,   728,   729,   729,   729,   729,   730,
     730,   731,   732,   732,   733,   733,   734,   734,   735,   735,
     736,   736,   737,   738,   739,   740,   740,   741,   741,   742,
     742,   743,   743,   744,   744,   745,   745,   746,   746,   746,
     746,   746,   747,   748,   748,   749,   749,   749,   750,   750,
     751,   751,   751,   751,   751,   752,   752,   753,   753,   754,
     755,   755,   756,   756,   757,   758,   758,   759,   759,   760,
     760,   761,   761,   762,   762,   762,   763,   763,   763,   763,
     764,   764,   765,   765,   766,   766,   766,   766,   766,   766,
     767,   767,   768,   768,   769,   770,   770,   771,   772,   772,
     772,   772,   773,   774,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     776,   777,   777,   778,   778,   779,   779,   779,   779,   779,
     779,   780,   781,   781,   782,   783,   783,   784,   784,   785,
     785,   785,   785,   786,   786,   787,   788,   788,   789,   789,
     789,   789,   789,   790,   790,   791,   791,   792,   792,   792,
     793,   793,   794,   795,   795,   796,   796,   797,   797,   798,
     798,   799,   799,   800,   801,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     804,   804,   804,   804,   804,   804,   804,   805,   805,   805,
     806,   806,   807,   807,   808,   808,   809,   809,   810,   811,
     811,   811,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   815,   815,   816,   816,   816,
     816,   816,   816,   816,   817,   817,   818,   818,   818,   818,
     818,   818,   819,   819,   819,   819,   819,   819,   819,   819,
     820,   820,   821,   821,   821,   821,   821,   821,   821,   821,
     821,   821,   821,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   823,   823,   824,
     824,   825,   826,   826,   827,   827,   827,   827,   827,   828,
     828,   829,   829,   829,   829,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   831,   831,   832,   832,   833,   833,   834,   835,   835,
     836,   836,   837,   837,   838,   839,   839,   840,   840,   840,
     841,   841,   841,   842,   842,   842,   842,   842,   843,   843,
     844,   844,   845,   845,   846,   846,   847,   847,   848,   848,
     849,   849,   849,   850,   850,   851,   851,   852,   852,   852,
     853,   853,   853,   854,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   859,   859,   859,   860,   860,
     861,   861,   862,   862,   862,   862,   862,   863,   863,   863,
     863,   863,   864,   865,   866,   866,   866,   867,   867,   867,
     868,   869,   869,   869,   869,   870,   870,   871,   872,   872,
     873,   873,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   875,   875,
     875,   875,   875,   876,   876,   877,   877,   878,   878,   879,
     880,   880,   881,   882,   882,   883,   883,   884,   884,   885,
     885,   886,   886,   887,   887,   887,   887,   888,   888,   889,
     889,   890,   891,   892,   892,   893,   893,   894,   894,   894,
     895,   895,   895,   896,   897,   897,   898,   899,   899,   899,
     899,   900,   901,   901,   901,   901,   902,   902,   903,   903,
     903,   904,   904,   905,   906,   906,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   908,   908,   909,
     909,   910,   910,   910,   910,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     912,   913,   913,   914,   914,   915,   915,   915,   915,   915,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   917,   918,   918,   919,   919,   920,   920,   920,
     920,   921,   922,   922,   923,   924,   924,   924,   924,   924,
     924,   925,   925,   926,   927,   927,   927,   928,   928,   929,
     929,   929,   929,   929,   930,   930,   931,   931,   931,   931,
     932,   932,   932,   933,   934,   934,   935,   936,   936,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     937,   937,   937,   938,   938,   938,   939,   939,   939,   939,
     939,   940,   940,   940,   941,   941,   942,   942,   942,   942,
     943,   943,   943,   943,   944,   945,   946,   946,   947,   947,
     948,   948,   948,   949,   949,   949,   949,   949,   949,   949,
     950,   950,   951,   951,   951,   952,   953,   953,   954,   955,
     955,   956,   957,   957,   957,   957,   957,   957,   957,   958,
     958,   959,   960,   960,   960,   960,   960,   960,   961,   961,
     962,   963,   963,   963,   964,   964,   965,   965,   965,   965,
     965,   966,   966,   967,   967,   967,   967,   967,   968,   968,
     969,   969,   970,   970,   971,   971,   972,   972,   973,   973,
     974,   974,   974,   974,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   976,   976,   977,   978,   978,   979,   979,
     979,   980,   980,   981,   981,   982,   982,   982,   982,   983,
     983,   984,   984,   985,   986,   986,   987,   987,   987,   987,
     987,   988,   988,   989,   989,   990,   991,   991,   991,   992,
     992,   992,   993,   993,   994,   995,   995,   996,   997,   997,
     998,   998,   998,   998,   998,   998,   998,   998,   999,   999,
    1000,  1000,  1000,  1001,  1002,  1002,  1003,  1003,  1004,  1005,
    1005,  1006,  1007,  1007,  1008,  1008,  1008,  1008,  1008,  1009,
    1009,  1009,  1010,  1010,  1011,  1011,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1013,  1013,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1015,  1015,  1015,  1016,  1016,  1017,  1018,
    1018,  1019,  1019,  1019,  1020,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1021,  1021,  1022,  1022,  1022,  1023,  1023,
    1024,  1024,  1025,  1025,  1026,  1027,  1027,  1028,  1028,  1029,
    1029,  1029,  1029,  1030,  1030,  1031,  1031,  1031,  1032,  1032,
    1033,  1033,  1034,  1035,  1035,  1035,  1036,  1037,  1037,  1038,
    1038,  1039,  1039,  1040,  1040,  1041,  1041,  1041,  1041,  1041,
    1042,  1043,  1044,  1045,  1046,  1046,  1047,  1047,  1048,  1048,
    1049,  1049,  1050,  1051,  1051,  1051,  1051,  1052,  1052,  1053,
    1053,  1054,  1054,  1055,  1055,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1057,  1057,  1057,  1057,  1057,
    1057,  1058,  1058,  1058,  1058,  1059,  1059,  1060,  1060,  1060,
    1060,  1060,  1061,  1061,  1061,  1061,  1062,  1062,  1063,  1063,
    1064,  1064,  1064,  1064,  1065,  1065,  1066,  1066,  1066,  1067,
    1068,  1068,  1069,  1069,  1070,  1071,  1071,  1072,  1072,  1073,
    1073,  1074,  1074,  1075,  1075,  1075,  1076,  1076,  1077,  1077,
    1078,  1079,  1079,  1080,  1080,  1081,  1081,  1081,  1082,  1082,
    1083,  1083,  1083,  1083,  1084,  1084,  1085,  1085,  1086,  1086,
    1086,  1086,  1086,  1086,  1087,  1087,  1087,  1088,  1088,  1088,
    1088,  1088,  1088,  1088,  1089,  1089,  1089,  1089,  1090,  1090,
    1091,  1091,  1092,  1092,  1092,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1093,  1093,  1094,  1094,  1095,  1095,  1096,
    1097,  1098,  1098,  1099,  1099,  1100,  1101,  1102,  1102,  1102,
    1102,  1102,  1102,  1103,  1103,  1104,  1104,  1104,  1104,  1105,
    1106,  1106,  1106,  1107,  1107,  1107,  1107,  1107,  1107,  1107,
    1107,  1107,  1107,  1107,  1107,  1107,  1107,  1108,  1108,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1112,  1112,  1112,  1112,  1112,  1112,  1112,  1113,
    1113,  1114,  1114,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1116,  1116,  1117,  1117,  1117,
    1117,  1118,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1122,  1123,  1123,  1123,  1123,  1124,  1124,  1125,  1125,  1126,
    1126,  1127,  1127,  1128,  1129,  1129,  1129,  1130,  1131,  1131,
    1132,  1132,  1133,  1133,  1133,  1134,  1134,  1135,  1135,  1135,
    1135,  1135,  1136,  1136,  1136,  1137,  1137,  1138,  1139,  1139,
    1139,  1140,  1140,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1142,  1142,  1143,  1143,  1144,
    1144,  1144,  1144,  1144,  1144,  1145,  1145,  1146,  1146,  1147,
    1147,  1147,  1148,  1148,  1149,  1149,  1149,  1150,  1150,  1151,
    1151,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1152,  1153,
    1153,  1154,  1155,  1155,  1156,  1156,  1156,  1156,  1156,  1156,
    1157,  1158,  1159,  1159,  1159,  1160,  1160,  1161,  1162,  1162,
    1163,  1164,  1164,  1165,  1165,  1166,  1166,  1167,  1167,  1167,
    1167,  1168,  1168,  1169,  1169,  1170,  1170,  1171,  1171,  1172,
    1172,  1173,  1173,  1174,  1174,  1174,  1174,  1175,  1175,  1176,
    1176,  1177,  1177,  1178,  1179,  1180,  1181,  1182,  1183,  1184,
    1184,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1186,  1187,  1187,  1187,
    1187,  1188,  1189,  1189,  1189,  1190,  1190,  1191,  1191,  1191,
    1191,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1196,
    1196,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1197,  1199,
    1198,  1200,  1201,  1201,  1201,  1201,  1202,  1202,  1202,  1202,
    1203,  1203,  1204,  1205,  1206,  1206,  1207,  1207,  1207,  1208,
    1208,  1209,  1209,  1210,  1210,  1211,  1211,  1211,  1211,  1212,
    1212,  1212,  1213,  1214,  1214,  1215,  1215,  1216,  1216,  1216,
    1216,  1217,  1217,  1218,  1219,  1220,  1221,  1221,  1222,  1223,
    1223,  1224,  1224,  1224,  1224,  1224,  1226,  1225,  1227,  1228,
    1229,  1229,  1230,  1230,  1230,  1230,  1231,  1231,  1233,  1232,
    1235,  1234,  1236,  1234,  1234,  1237,  1237,  1238,  1238,  1238,
    1239,  1239,  1239,  1239,  1240,  1240,  1241,  1241,  1241,  1241,
    1241,  1241,  1242,  1242,  1242,  1243,  1245,  1244,  1246,  1247,
    1246,  1248,  1248,  1249,  1249,  1250,  1250,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1252,  1252,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1252,  1253,  1253,  1254,  1254,
    1255,  1256,  1256,  1257,  1257,  1257,  1258,  1259,  1260,  1260,
    1260,  1260,  1261,  1261,  1261,  1262,  1262,  1263,  1263,  1264,
    1265,  1265,  1266,  1266,  1267,  1267,  1268,  1268,  1269,  1270,
    1270,  1271,  1271,  1271,  1272,  1272,  1272,  1272,  1272,  1272,
    1272,  1272,  1272,  1273,  1273,  1273,  1273,  1273,  1274,  1274,
    1275,  1276,  1277,  1278,  1278,  1279,  1280,  1281,  1281,  1282,
    1283,  1283,  1284,  1285,  1286,  1286,  1287,  1288,  1289,  1289,
    1290,  1291,  1291,  1291,  1291,  1291,  1292,  1292,  1292,  1292,
    1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,  1292,
    1292,  1293,  1293,  1294,  1294,  1295,  1295,  1295,  1297,  1296,
    1298,  1298,  1300,  1299,  1301,  1301,  1301,  1302,  1302,  1302,
    1302,  1302,  1302,  1302,  1302,  1302,  1303,  1303,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,
    1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,  1304,
    1304,  1305,  1305,  1305,  1305,  1305,  1305,  1306,  1306,  1306,
    1306,  1306,  1306,  1306,  1307,  1308,  1308,  1308,  1308,  1308,
    1308,  1308,  1308,  1309,  1309,  1309,  1309,  1309,  1309,  1309,
    1310,  1310,  1310,  1310,  1310,  1310,  1311,  1311,  1311,  1311,
    1311,  1311,  1311,  1311,  1311,  1311,  1311,  1312,  1312,  1312,
    1312,  1312,  1313,  1313,  1313,  1313,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1315,  1315,  1315,  1316,  1316,  1316,  1316,
    1316,  1316,  1317,  1317,  1318,  1319,  1319,  1320,  1320,  1321,
    1322,  1323,  1324,  1324,  1324,  1325,  1326,  1327,  1328,  1329,
    1329,  1329,  1329,  1329,  1330,  1331,  1331,  1331,  1332,  1332,
    1333,  1333,  1333,  1334,  1334,  1335,  1335,  1336,  1336,  1337,
    1337,  1337,  1337,  1337,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,  1338,
    1339,  1339,  1339,  1339,  1340,  1340,  1340,  1340,  1340,  1340,
    1340,  1340,  1340,  1340,  1341,  1341,  1341,  1341,  1342,  1342,
    1343,  1343,  1344,  1344,  1345,  1345
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     5,     0,     3,     5,     5,     5,     5,     3,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     1,     3,     3,     2,     2,     2,     2,     3,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       1,     2,     3,     2,     1,     1,     2,     1,     2,     1,
       3,     4,     5,     4,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     6,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     4,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     9,
       4,     5,     7,     6,     4,     8,     4,     2,     4,     3,
       6,     4,     3,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,    10,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     1,     0,     6,     1,     1,     1,     3,
       3,     3,     5,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     5,     2,
       3,     0,     8,    11,     4,     1,     0,     6,     5,     8,
       4,     6,     1,     0,     3,     0,     1,     2,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     7,     6,    10,     6,     6,     6,     6,
       7,     6,     9,     9,     6,     7,     6,     8,     8,     8,
       8,     6,     6,     7,     7,     8,     6,     9,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,    13,     2,     0,     2,     2,
       1,     0,     5,     4,     4,    11,    14,    12,    15,     5,
       7,    11,     2,     1,     4,     0,     8,    11,     1,     1,
       7,     9,     8,    10,     8,     4,     0,     5,     0,     2,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,    16,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     2,     0,     1,     2,     4,
       1,     1,     1,     1,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     7,     5,     8,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     8,     3,     0,    13,     1,     3,     5,     5,
       3,     6,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     6,     4,     6,
       8,     4,     6,     4,     6,     5,     7,     1,     1,     1,
       2,     1,     2,     1,     1,     1,     3,     3,     3,     3,
       2,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     3,     1,     3,     5,     2,
       2,     0,     6,     6,     6,     6,     6,     6,     6,     8,
       9,     8,     8,     9,     8,     9,     9,     7,    10,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     3,
       3,     3,     3,     2,     1,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     8,     8,     8,
       8,     8,     8,     9,     2,     0,     1,     2,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,    14,    17,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     1,     2,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     4,     6,     4,
       6,     4,     6,     3,     5,     5,     5,     1,     3,     1,
       3,     2,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,    10,    11,    11,     5,
       5,     8,     3,     3,     6,     6,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     9,    11,
       8,    10,     9,    11,     8,     8,     7,     6,     6,     6,
       6,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     7,     9,     8,     7,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     8,     8,     8,     6,     7,
       6,     6,     5,     1,     0,     3,     3,     5,     6,     6,
       6,     8,     1,     3,     1,     5,     5,     6,     7,     4,
       4,     4,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     4,     3,     5,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       0,     5,     4,     3,     0,     1,     1,     1,     1,     4,
       9,     3,     0,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     3,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,     7,     1,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     9,     1,     2,
       4,     4,     4,     2,     2,     3,     1,     3,     6,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     1,     3,     1,     1,     1,     1,     1,
       2,     4,     4,     5,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     4,
       5,     2,     0,     1,     3,     2,     3,     2,     3,     2,
       3,     2,     3,     1,     4,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     6,
       4,     0,     2,     6,     2,     1,     3,     4,     0,     2,
       0,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     7,    12,     1,     3,     2,     3,     3,     1,     2,
       2,     2,     2,     1,     1,     3,     3,     2,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     1,     2,     3,
       3,     0,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     1,     3,     0,     1,     1,     1,     1,     5,
       2,     1,     1,     1,     1,     4,     1,     2,     2,     1,
       3,     3,     2,     1,     0,     5,     2,     5,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     0,     1,     4,     1,
       3,     3,     5,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       1,     4,     3,     5,     6,     8,     6,     6,     4,     4,
       1,     1,     1,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     2,     2,     0,     1,     4,     2,     2,     2,
       2,     2,     4,     3,     5,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     0,     1,     2,     0,     2,     1,     0,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     6,     2,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       2,     4,     3,     2,     1,     1,     1,     1,     1,     0,
       8,     2,     5,     3,     2,     2,     3,     7,     1,     1,
       1,     0,     2,     2,     1,     0,     1,     3,     1,     2,
       0,     2,     0,     2,     0,     1,     3,     4,     3,     1,
       1,     1,     1,     2,     0,     2,     4,     0,     2,     2,
       2,     1,     1,     7,     3,     1,     1,     1,     1,     2,
       0,     1,     3,     3,     3,     3,     0,     4,     5,     5,
       0,     1,     1,     1,     2,     2,     1,     2,     0,     7,
       0,     5,     0,     4,     2,     2,     0,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     5,
       2,     1,     3,     2,     2,     3,     0,     5,     1,     0,
       5,     2,     2,     1,     1,     1,     2,     2,     3,     1,
       2,     2,     3,     3,     4,     2,     1,     2,     1,     1,
       2,     2,     3,     1,     1,     1,     1,     0,     1,     3,
       5,     0,     2,     0,     1,     2,     3,     2,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     2,     2,     3,
       0,     1,     2,     1,     4,     3,     4,     3,     2,     1,
       3,     1,     1,     1,     1,     2,     2,     1,     2,     2,
       1,     1,     1,     4,     4,     4,     4,     4,     1,     0,
       3,     3,     4,     1,     3,     3,     4,     1,     3,     3,
       1,     1,     1,     6,     1,     3,     3,     6,     1,     3,
       3,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     4,     1,     1,     4,     4,     3,     0,     7,
       1,     0,     0,     7,     3,     4,     3,     1,     1,     1,
       2,     3,     5,     2,     5,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     0,     1,     2,     1,     2,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     1,     2,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     2,     3,     1,     3,     3,     3,     3,     3,
       3,     1,     1,     4,     0,     2,     2,     1,     2,     1,
       0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1602 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32394 "preproc.c" /* yacc.c:1648  */
    break;

  case 4:
#line 1604 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32400 "preproc.c" /* yacc.c:1648  */
    break;

  case 5:
#line 1606 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32406 "preproc.c" /* yacc.c:1648  */
    break;

  case 6:
#line 1608 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32412 "preproc.c" /* yacc.c:1648  */
    break;

  case 7:
#line 1610 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32418 "preproc.c" /* yacc.c:1648  */
    break;

  case 8:
#line 1612 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32424 "preproc.c" /* yacc.c:1648  */
    break;

  case 9:
#line 1614 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32430 "preproc.c" /* yacc.c:1648  */
    break;

  case 10:
#line 1616 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32436 "preproc.c" /* yacc.c:1648  */
    break;

  case 11:
#line 1618 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32442 "preproc.c" /* yacc.c:1648  */
    break;

  case 12:
#line 1620 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32448 "preproc.c" /* yacc.c:1648  */
    break;

  case 13:
#line 1622 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32454 "preproc.c" /* yacc.c:1648  */
    break;

  case 14:
#line 1624 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32460 "preproc.c" /* yacc.c:1648  */
    break;

  case 15:
#line 1626 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32466 "preproc.c" /* yacc.c:1648  */
    break;

  case 16:
#line 1628 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32472 "preproc.c" /* yacc.c:1648  */
    break;

  case 17:
#line 1630 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32478 "preproc.c" /* yacc.c:1648  */
    break;

  case 18:
#line 1632 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32484 "preproc.c" /* yacc.c:1648  */
    break;

  case 19:
#line 1634 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32490 "preproc.c" /* yacc.c:1648  */
    break;

  case 20:
#line 1636 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32496 "preproc.c" /* yacc.c:1648  */
    break;

  case 21:
#line 1638 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32502 "preproc.c" /* yacc.c:1648  */
    break;

  case 22:
#line 1640 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32508 "preproc.c" /* yacc.c:1648  */
    break;

  case 23:
#line 1642 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32514 "preproc.c" /* yacc.c:1648  */
    break;

  case 24:
#line 1644 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32520 "preproc.c" /* yacc.c:1648  */
    break;

  case 25:
#line 1646 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32526 "preproc.c" /* yacc.c:1648  */
    break;

  case 26:
#line 1648 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32532 "preproc.c" /* yacc.c:1648  */
    break;

  case 27:
#line 1650 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32538 "preproc.c" /* yacc.c:1648  */
    break;

  case 28:
#line 1652 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32544 "preproc.c" /* yacc.c:1648  */
    break;

  case 29:
#line 1654 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32550 "preproc.c" /* yacc.c:1648  */
    break;

  case 30:
#line 1656 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32556 "preproc.c" /* yacc.c:1648  */
    break;

  case 31:
#line 1658 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32562 "preproc.c" /* yacc.c:1648  */
    break;

  case 32:
#line 1660 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32568 "preproc.c" /* yacc.c:1648  */
    break;

  case 33:
#line 1662 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32574 "preproc.c" /* yacc.c:1648  */
    break;

  case 34:
#line 1664 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32580 "preproc.c" /* yacc.c:1648  */
    break;

  case 35:
#line 1666 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32586 "preproc.c" /* yacc.c:1648  */
    break;

  case 36:
#line 1668 "preproc.y" /* yacc.c:1648  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 32608 "preproc.c" /* yacc.c:1648  */
    break;

  case 37:
#line 1686 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32614 "preproc.c" /* yacc.c:1648  */
    break;

  case 38:
#line 1688 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32620 "preproc.c" /* yacc.c:1648  */
    break;

  case 39:
#line 1690 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32626 "preproc.c" /* yacc.c:1648  */
    break;

  case 40:
#line 1692 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32632 "preproc.c" /* yacc.c:1648  */
    break;

  case 41:
#line 1694 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32638 "preproc.c" /* yacc.c:1648  */
    break;

  case 42:
#line 1696 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32644 "preproc.c" /* yacc.c:1648  */
    break;

  case 43:
#line 1698 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32650 "preproc.c" /* yacc.c:1648  */
    break;

  case 44:
#line 1700 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32656 "preproc.c" /* yacc.c:1648  */
    break;

  case 45:
#line 1702 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32662 "preproc.c" /* yacc.c:1648  */
    break;

  case 46:
#line 1704 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32668 "preproc.c" /* yacc.c:1648  */
    break;

  case 47:
#line 1706 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32674 "preproc.c" /* yacc.c:1648  */
    break;

  case 48:
#line 1708 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32680 "preproc.c" /* yacc.c:1648  */
    break;

  case 49:
#line 1710 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32686 "preproc.c" /* yacc.c:1648  */
    break;

  case 50:
#line 1712 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32692 "preproc.c" /* yacc.c:1648  */
    break;

  case 51:
#line 1714 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32698 "preproc.c" /* yacc.c:1648  */
    break;

  case 52:
#line 1716 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32704 "preproc.c" /* yacc.c:1648  */
    break;

  case 53:
#line 1718 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32710 "preproc.c" /* yacc.c:1648  */
    break;

  case 54:
#line 1720 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32716 "preproc.c" /* yacc.c:1648  */
    break;

  case 55:
#line 1722 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32722 "preproc.c" /* yacc.c:1648  */
    break;

  case 56:
#line 1724 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32728 "preproc.c" /* yacc.c:1648  */
    break;

  case 57:
#line 1726 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32734 "preproc.c" /* yacc.c:1648  */
    break;

  case 58:
#line 1728 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32740 "preproc.c" /* yacc.c:1648  */
    break;

  case 59:
#line 1730 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32746 "preproc.c" /* yacc.c:1648  */
    break;

  case 60:
#line 1732 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32752 "preproc.c" /* yacc.c:1648  */
    break;

  case 61:
#line 1734 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32758 "preproc.c" /* yacc.c:1648  */
    break;

  case 62:
#line 1736 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32764 "preproc.c" /* yacc.c:1648  */
    break;

  case 63:
#line 1738 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32770 "preproc.c" /* yacc.c:1648  */
    break;

  case 64:
#line 1740 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32776 "preproc.c" /* yacc.c:1648  */
    break;

  case 65:
#line 1742 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32782 "preproc.c" /* yacc.c:1648  */
    break;

  case 66:
#line 1744 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32788 "preproc.c" /* yacc.c:1648  */
    break;

  case 67:
#line 1746 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32794 "preproc.c" /* yacc.c:1648  */
    break;

  case 68:
#line 1748 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32800 "preproc.c" /* yacc.c:1648  */
    break;

  case 69:
#line 1750 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32806 "preproc.c" /* yacc.c:1648  */
    break;

  case 70:
#line 1752 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32812 "preproc.c" /* yacc.c:1648  */
    break;

  case 71:
#line 1754 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32818 "preproc.c" /* yacc.c:1648  */
    break;

  case 72:
#line 1756 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32824 "preproc.c" /* yacc.c:1648  */
    break;

  case 73:
#line 1758 "preproc.y" /* yacc.c:1648  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 32832 "preproc.c" /* yacc.c:1648  */
    break;

  case 74:
#line 1762 "preproc.y" /* yacc.c:1648  */
    { output_simple_statement((yyvsp[0].str)); }
#line 32838 "preproc.c" /* yacc.c:1648  */
    break;

  case 75:
#line 1764 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32844 "preproc.c" /* yacc.c:1648  */
    break;

  case 76:
#line 1766 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32850 "preproc.c" /* yacc.c:1648  */
    break;

  case 77:
#line 1768 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32856 "preproc.c" /* yacc.c:1648  */
    break;

  case 78:
#line 1770 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32862 "preproc.c" /* yacc.c:1648  */
    break;

  case 79:
#line 1772 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32868 "preproc.c" /* yacc.c:1648  */
    break;

  case 80:
#line 1774 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32874 "preproc.c" /* yacc.c:1648  */
    break;

  case 81:
#line 1776 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32880 "preproc.c" /* yacc.c:1648  */
    break;

  case 82:
#line 1778 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32886 "preproc.c" /* yacc.c:1648  */
    break;

  case 83:
#line 1780 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32892 "preproc.c" /* yacc.c:1648  */
    break;

  case 84:
#line 1782 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32898 "preproc.c" /* yacc.c:1648  */
    break;

  case 85:
#line 1784 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32904 "preproc.c" /* yacc.c:1648  */
    break;

  case 86:
#line 1786 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32910 "preproc.c" /* yacc.c:1648  */
    break;

  case 87:
#line 1788 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32916 "preproc.c" /* yacc.c:1648  */
    break;

  case 88:
#line 1790 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32922 "preproc.c" /* yacc.c:1648  */
    break;

  case 89:
#line 1792 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32928 "preproc.c" /* yacc.c:1648  */
    break;

  case 90:
#line 1794 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32934 "preproc.c" /* yacc.c:1648  */
    break;

  case 91:
#line 1796 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32940 "preproc.c" /* yacc.c:1648  */
    break;

  case 92:
#line 1798 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 32946 "preproc.c" /* yacc.c:1648  */
    break;

  case 93:
#line 1800 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32952 "preproc.c" /* yacc.c:1648  */
    break;

  case 94:
#line 1802 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 32958 "preproc.c" /* yacc.c:1648  */
    break;

  case 95:
#line 1804 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32964 "preproc.c" /* yacc.c:1648  */
    break;

  case 96:
#line 1806 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32970 "preproc.c" /* yacc.c:1648  */
    break;

  case 97:
#line 1808 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32976 "preproc.c" /* yacc.c:1648  */
    break;

  case 98:
#line 1810 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32982 "preproc.c" /* yacc.c:1648  */
    break;

  case 99:
#line 1812 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 32988 "preproc.c" /* yacc.c:1648  */
    break;

  case 100:
#line 1814 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 32994 "preproc.c" /* yacc.c:1648  */
    break;

  case 101:
#line 1816 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33000 "preproc.c" /* yacc.c:1648  */
    break;

  case 102:
#line 1818 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33006 "preproc.c" /* yacc.c:1648  */
    break;

  case 103:
#line 1820 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33012 "preproc.c" /* yacc.c:1648  */
    break;

  case 104:
#line 1822 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33018 "preproc.c" /* yacc.c:1648  */
    break;

  case 105:
#line 1824 "preproc.y" /* yacc.c:1648  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 33029 "preproc.c" /* yacc.c:1648  */
    break;

  case 106:
#line 1831 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33035 "preproc.c" /* yacc.c:1648  */
    break;

  case 107:
#line 1833 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33041 "preproc.c" /* yacc.c:1648  */
    break;

  case 108:
#line 1835 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33047 "preproc.c" /* yacc.c:1648  */
    break;

  case 109:
#line 1837 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33053 "preproc.c" /* yacc.c:1648  */
    break;

  case 110:
#line 1839 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33059 "preproc.c" /* yacc.c:1648  */
    break;

  case 111:
#line 1841 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33065 "preproc.c" /* yacc.c:1648  */
    break;

  case 112:
#line 1843 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33071 "preproc.c" /* yacc.c:1648  */
    break;

  case 113:
#line 1845 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33077 "preproc.c" /* yacc.c:1648  */
    break;

  case 114:
#line 1847 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33083 "preproc.c" /* yacc.c:1648  */
    break;

  case 115:
#line 1849 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33089 "preproc.c" /* yacc.c:1648  */
    break;

  case 116:
#line 1851 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33095 "preproc.c" /* yacc.c:1648  */
    break;

  case 117:
#line 1853 "preproc.y" /* yacc.c:1648  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33105 "preproc.c" /* yacc.c:1648  */
    break;

  case 118:
#line 1859 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33111 "preproc.c" /* yacc.c:1648  */
    break;

  case 119:
#line 1861 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33117 "preproc.c" /* yacc.c:1648  */
    break;

  case 120:
#line 1863 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 33123 "preproc.c" /* yacc.c:1648  */
    break;

  case 121:
#line 1865 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33129 "preproc.c" /* yacc.c:1648  */
    break;

  case 122:
#line 1867 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33135 "preproc.c" /* yacc.c:1648  */
    break;

  case 123:
#line 1869 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33141 "preproc.c" /* yacc.c:1648  */
    break;

  case 124:
#line 1871 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33147 "preproc.c" /* yacc.c:1648  */
    break;

  case 125:
#line 1873 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33153 "preproc.c" /* yacc.c:1648  */
    break;

  case 126:
#line 1875 "preproc.y" /* yacc.c:1648  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33163 "preproc.c" /* yacc.c:1648  */
    break;

  case 127:
#line 1881 "preproc.y" /* yacc.c:1648  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33177 "preproc.c" /* yacc.c:1648  */
    break;

  case 128:
#line 1891 "preproc.y" /* yacc.c:1648  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33185 "preproc.c" /* yacc.c:1648  */
    break;

  case 129:
#line 1895 "preproc.y" /* yacc.c:1648  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 33195 "preproc.c" /* yacc.c:1648  */
    break;

  case 130:
#line 1901 "preproc.y" /* yacc.c:1648  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 33203 "preproc.c" /* yacc.c:1648  */
    break;

  case 131:
#line 1905 "preproc.y" /* yacc.c:1648  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 33217 "preproc.c" /* yacc.c:1648  */
    break;

  case 132:
#line 1915 "preproc.y" /* yacc.c:1648  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33231 "preproc.c" /* yacc.c:1648  */
    break;

  case 133:
#line 1924 "preproc.y" /* yacc.c:1648  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 33237 "preproc.c" /* yacc.c:1648  */
    break;

  case 134:
#line 1926 "preproc.y" /* yacc.c:1648  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33255 "preproc.c" /* yacc.c:1648  */
    break;

  case 135:
#line 1940 "preproc.y" /* yacc.c:1648  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33266 "preproc.c" /* yacc.c:1648  */
    break;

  case 136:
#line 1947 "preproc.y" /* yacc.c:1648  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33276 "preproc.c" /* yacc.c:1648  */
    break;

  case 137:
#line 1953 "preproc.y" /* yacc.c:1648  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 33291 "preproc.c" /* yacc.c:1648  */
    break;

  case 138:
#line 1964 "preproc.y" /* yacc.c:1648  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33301 "preproc.c" /* yacc.c:1648  */
    break;

  case 139:
#line 1970 "preproc.y" /* yacc.c:1648  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 33314 "preproc.c" /* yacc.c:1648  */
    break;

  case 140:
#line 1979 "preproc.y" /* yacc.c:1648  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 33325 "preproc.c" /* yacc.c:1648  */
    break;

  case 141:
#line 1986 "preproc.y" /* yacc.c:1648  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 33335 "preproc.c" /* yacc.c:1648  */
    break;

  case 142:
#line 1992 "preproc.y" /* yacc.c:1648  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 33348 "preproc.c" /* yacc.c:1648  */
    break;

  case 143:
#line 2001 "preproc.y" /* yacc.c:1648  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33359 "preproc.c" /* yacc.c:1648  */
    break;

  case 144:
#line 2008 "preproc.y" /* yacc.c:1648  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 33370 "preproc.c" /* yacc.c:1648  */
    break;

  case 145:
#line 2015 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = NULL; }
#line 33376 "preproc.c" /* yacc.c:1648  */
    break;

  case 146:
#line 2021 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33384 "preproc.c" /* yacc.c:1648  */
    break;

  case 147:
#line 2029 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33392 "preproc.c" /* yacc.c:1648  */
    break;

  case 148:
#line 2033 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 33400 "preproc.c" /* yacc.c:1648  */
    break;

  case 149:
#line 2037 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 33407 "preproc.c" /* yacc.c:1648  */
    break;

  case 150:
#line 2044 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33415 "preproc.c" /* yacc.c:1648  */
    break;

  case 151:
#line 2048 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 33422 "preproc.c" /* yacc.c:1648  */
    break;

  case 152:
#line 2055 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33430 "preproc.c" /* yacc.c:1648  */
    break;

  case 153:
#line 2059 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 33437 "preproc.c" /* yacc.c:1648  */
    break;

  case 154:
#line 2066 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 33445 "preproc.c" /* yacc.c:1648  */
    break;

  case 155:
#line 2070 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 33453 "preproc.c" /* yacc.c:1648  */
    break;

  case 156:
#line 2074 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 33461 "preproc.c" /* yacc.c:1648  */
    break;

  case 157:
#line 2078 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 33470 "preproc.c" /* yacc.c:1648  */
    break;

  case 158:
#line 2083 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 33478 "preproc.c" /* yacc.c:1648  */
    break;

  case 159:
#line 2087 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 33486 "preproc.c" /* yacc.c:1648  */
    break;

  case 160:
#line 2091 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 33494 "preproc.c" /* yacc.c:1648  */
    break;

  case 161:
#line 2095 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 33502 "preproc.c" /* yacc.c:1648  */
    break;

  case 162:
#line 2099 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33510 "preproc.c" /* yacc.c:1648  */
    break;

  case 163:
#line 2107 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33518 "preproc.c" /* yacc.c:1648  */
    break;

  case 164:
#line 2111 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 33526 "preproc.c" /* yacc.c:1648  */
    break;

  case 165:
#line 2115 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 33534 "preproc.c" /* yacc.c:1648  */
    break;

  case 166:
#line 2119 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33542 "preproc.c" /* yacc.c:1648  */
    break;

  case 167:
#line 2123 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 33550 "preproc.c" /* yacc.c:1648  */
    break;

  case 168:
#line 2127 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 33558 "preproc.c" /* yacc.c:1648  */
    break;

  case 169:
#line 2135 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33566 "preproc.c" /* yacc.c:1648  */
    break;

  case 170:
#line 2143 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33574 "preproc.c" /* yacc.c:1648  */
    break;

  case 171:
#line 2147 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33582 "preproc.c" /* yacc.c:1648  */
    break;

  case 172:
#line 2155 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 33589 "preproc.c" /* yacc.c:1648  */
    break;

  case 173:
#line 2158 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 33597 "preproc.c" /* yacc.c:1648  */
    break;

  case 174:
#line 2166 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33605 "preproc.c" /* yacc.c:1648  */
    break;

  case 175:
#line 2170 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33613 "preproc.c" /* yacc.c:1648  */
    break;

  case 176:
#line 2174 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33621 "preproc.c" /* yacc.c:1648  */
    break;

  case 177:
#line 2178 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33629 "preproc.c" /* yacc.c:1648  */
    break;

  case 178:
#line 2186 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 33637 "preproc.c" /* yacc.c:1648  */
    break;

  case 179:
#line 2190 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 33645 "preproc.c" /* yacc.c:1648  */
    break;

  case 180:
#line 2194 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 33653 "preproc.c" /* yacc.c:1648  */
    break;

  case 181:
#line 2198 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 33661 "preproc.c" /* yacc.c:1648  */
    break;

  case 182:
#line 2202 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 33669 "preproc.c" /* yacc.c:1648  */
    break;

  case 183:
#line 2206 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 33677 "preproc.c" /* yacc.c:1648  */
    break;

  case 184:
#line 2214 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33685 "preproc.c" /* yacc.c:1648  */
    break;

  case 185:
#line 2222 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 33693 "preproc.c" /* yacc.c:1648  */
    break;

  case 186:
#line 2230 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 33701 "preproc.c" /* yacc.c:1648  */
    break;

  case 187:
#line 2234 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 33709 "preproc.c" /* yacc.c:1648  */
    break;

  case 188:
#line 2242 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33717 "preproc.c" /* yacc.c:1648  */
    break;

  case 189:
#line 2246 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33725 "preproc.c" /* yacc.c:1648  */
    break;

  case 190:
#line 2250 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33734 "preproc.c" /* yacc.c:1648  */
    break;

  case 191:
#line 2255 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33743 "preproc.c" /* yacc.c:1648  */
    break;

  case 192:
#line 2264 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33751 "preproc.c" /* yacc.c:1648  */
    break;

  case 193:
#line 2268 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 33758 "preproc.c" /* yacc.c:1648  */
    break;

  case 194:
#line 2275 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33766 "preproc.c" /* yacc.c:1648  */
    break;

  case 195:
#line 2279 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 33773 "preproc.c" /* yacc.c:1648  */
    break;

  case 196:
#line 2286 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33781 "preproc.c" /* yacc.c:1648  */
    break;

  case 197:
#line 2290 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33789 "preproc.c" /* yacc.c:1648  */
    break;

  case 198:
#line 2294 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33797 "preproc.c" /* yacc.c:1648  */
    break;

  case 199:
#line 2298 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33805 "preproc.c" /* yacc.c:1648  */
    break;

  case 200:
#line 2302 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33813 "preproc.c" /* yacc.c:1648  */
    break;

  case 201:
#line 2306 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33821 "preproc.c" /* yacc.c:1648  */
    break;

  case 202:
#line 2314 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33829 "preproc.c" /* yacc.c:1648  */
    break;

  case 203:
#line 2318 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 33837 "preproc.c" /* yacc.c:1648  */
    break;

  case 204:
#line 2322 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 33845 "preproc.c" /* yacc.c:1648  */
    break;

  case 205:
#line 2330 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 33853 "preproc.c" /* yacc.c:1648  */
    break;

  case 206:
#line 2334 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 33861 "preproc.c" /* yacc.c:1648  */
    break;

  case 207:
#line 2338 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33869 "preproc.c" /* yacc.c:1648  */
    break;

  case 208:
#line 2346 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 33877 "preproc.c" /* yacc.c:1648  */
    break;

  case 209:
#line 2350 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33885 "preproc.c" /* yacc.c:1648  */
    break;

  case 210:
#line 2354 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 33893 "preproc.c" /* yacc.c:1648  */
    break;

  case 212:
#line 2359 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33901 "preproc.c" /* yacc.c:1648  */
    break;

  case 213:
#line 2363 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 33909 "preproc.c" /* yacc.c:1648  */
    break;

  case 214:
#line 2367 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 33917 "preproc.c" /* yacc.c:1648  */
    break;

  case 215:
#line 2371 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 33926 "preproc.c" /* yacc.c:1648  */
    break;

  case 216:
#line 2376 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 33934 "preproc.c" /* yacc.c:1648  */
    break;

  case 217:
#line 2380 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 33942 "preproc.c" /* yacc.c:1648  */
    break;

  case 218:
#line 2384 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 33950 "preproc.c" /* yacc.c:1648  */
    break;

  case 219:
#line 2388 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 33958 "preproc.c" /* yacc.c:1648  */
    break;

  case 220:
#line 2392 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 33966 "preproc.c" /* yacc.c:1648  */
    break;

  case 221:
#line 2396 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 33974 "preproc.c" /* yacc.c:1648  */
    break;

  case 222:
#line 2400 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 33982 "preproc.c" /* yacc.c:1648  */
    break;

  case 223:
#line 2408 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33990 "preproc.c" /* yacc.c:1648  */
    break;

  case 224:
#line 2412 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33998 "preproc.c" /* yacc.c:1648  */
    break;

  case 225:
#line 2420 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34006 "preproc.c" /* yacc.c:1648  */
    break;

  case 226:
#line 2424 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34014 "preproc.c" /* yacc.c:1648  */
    break;

  case 227:
#line 2432 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34022 "preproc.c" /* yacc.c:1648  */
    break;

  case 228:
#line 2436 "preproc.y" /* yacc.c:1648  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 34036 "preproc.c" /* yacc.c:1648  */
    break;

  case 229:
#line 2450 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 34044 "preproc.c" /* yacc.c:1648  */
    break;

  case 230:
#line 2454 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 34052 "preproc.c" /* yacc.c:1648  */
    break;

  case 231:
#line 2458 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 34060 "preproc.c" /* yacc.c:1648  */
    break;

  case 232:
#line 2462 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 34068 "preproc.c" /* yacc.c:1648  */
    break;

  case 233:
#line 2470 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 34076 "preproc.c" /* yacc.c:1648  */
    break;

  case 234:
#line 2474 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 34084 "preproc.c" /* yacc.c:1648  */
    break;

  case 235:
#line 2478 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 34092 "preproc.c" /* yacc.c:1648  */
    break;

  case 236:
#line 2482 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34100 "preproc.c" /* yacc.c:1648  */
    break;

  case 237:
#line 2490 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34108 "preproc.c" /* yacc.c:1648  */
    break;

  case 238:
#line 2494 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34116 "preproc.c" /* yacc.c:1648  */
    break;

  case 239:
#line 2498 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34124 "preproc.c" /* yacc.c:1648  */
    break;

  case 240:
#line 2502 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34132 "preproc.c" /* yacc.c:1648  */
    break;

  case 241:
#line 2506 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34140 "preproc.c" /* yacc.c:1648  */
    break;

  case 242:
#line 2510 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34148 "preproc.c" /* yacc.c:1648  */
    break;

  case 243:
#line 2514 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 34156 "preproc.c" /* yacc.c:1648  */
    break;

  case 244:
#line 2522 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34164 "preproc.c" /* yacc.c:1648  */
    break;

  case 245:
#line 2526 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 34172 "preproc.c" /* yacc.c:1648  */
    break;

  case 246:
#line 2530 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 34179 "preproc.c" /* yacc.c:1648  */
    break;

  case 247:
#line 2537 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34187 "preproc.c" /* yacc.c:1648  */
    break;

  case 248:
#line 2541 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34195 "preproc.c" /* yacc.c:1648  */
    break;

  case 249:
#line 2549 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34203 "preproc.c" /* yacc.c:1648  */
    break;

  case 250:
#line 2557 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34211 "preproc.c" /* yacc.c:1648  */
    break;

  case 251:
#line 2561 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 34219 "preproc.c" /* yacc.c:1648  */
    break;

  case 252:
#line 2565 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 34227 "preproc.c" /* yacc.c:1648  */
    break;

  case 253:
#line 2569 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 34235 "preproc.c" /* yacc.c:1648  */
    break;

  case 254:
#line 2577 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34243 "preproc.c" /* yacc.c:1648  */
    break;

  case 255:
#line 2581 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34251 "preproc.c" /* yacc.c:1648  */
    break;

  case 256:
#line 2589 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34259 "preproc.c" /* yacc.c:1648  */
    break;

  case 257:
#line 2593 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34267 "preproc.c" /* yacc.c:1648  */
    break;

  case 258:
#line 2601 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34275 "preproc.c" /* yacc.c:1648  */
    break;

  case 259:
#line 2605 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34283 "preproc.c" /* yacc.c:1648  */
    break;

  case 260:
#line 2613 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 34291 "preproc.c" /* yacc.c:1648  */
    break;

  case 261:
#line 2617 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 34299 "preproc.c" /* yacc.c:1648  */
    break;

  case 262:
#line 2621 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 34307 "preproc.c" /* yacc.c:1648  */
    break;

  case 263:
#line 2625 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 34315 "preproc.c" /* yacc.c:1648  */
    break;

  case 264:
#line 2629 "preproc.y" /* yacc.c:1648  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 34324 "preproc.c" /* yacc.c:1648  */
    break;

  case 265:
#line 2638 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34332 "preproc.c" /* yacc.c:1648  */
    break;

  case 266:
#line 2646 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34340 "preproc.c" /* yacc.c:1648  */
    break;

  case 267:
#line 2650 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34348 "preproc.c" /* yacc.c:1648  */
    break;

  case 268:
#line 2658 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 34356 "preproc.c" /* yacc.c:1648  */
    break;

  case 269:
#line 2662 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 34364 "preproc.c" /* yacc.c:1648  */
    break;

  case 270:
#line 2670 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 34372 "preproc.c" /* yacc.c:1648  */
    break;

  case 271:
#line 2678 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 34380 "preproc.c" /* yacc.c:1648  */
    break;

  case 272:
#line 2682 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 34388 "preproc.c" /* yacc.c:1648  */
    break;

  case 273:
#line 2686 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 34396 "preproc.c" /* yacc.c:1648  */
    break;

  case 274:
#line 2690 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 34404 "preproc.c" /* yacc.c:1648  */
    break;

  case 275:
#line 2694 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 34412 "preproc.c" /* yacc.c:1648  */
    break;

  case 276:
#line 2702 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34420 "preproc.c" /* yacc.c:1648  */
    break;

  case 277:
#line 2706 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34428 "preproc.c" /* yacc.c:1648  */
    break;

  case 278:
#line 2710 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34436 "preproc.c" /* yacc.c:1648  */
    break;

  case 279:
#line 2714 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34444 "preproc.c" /* yacc.c:1648  */
    break;

  case 280:
#line 2718 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34452 "preproc.c" /* yacc.c:1648  */
    break;

  case 281:
#line 2722 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34460 "preproc.c" /* yacc.c:1648  */
    break;

  case 282:
#line 2726 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34468 "preproc.c" /* yacc.c:1648  */
    break;

  case 283:
#line 2730 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34476 "preproc.c" /* yacc.c:1648  */
    break;

  case 284:
#line 2734 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34484 "preproc.c" /* yacc.c:1648  */
    break;

  case 285:
#line 2738 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34492 "preproc.c" /* yacc.c:1648  */
    break;

  case 286:
#line 2742 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34500 "preproc.c" /* yacc.c:1648  */
    break;

  case 287:
#line 2746 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34508 "preproc.c" /* yacc.c:1648  */
    break;

  case 288:
#line 2750 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34516 "preproc.c" /* yacc.c:1648  */
    break;

  case 289:
#line 2754 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34524 "preproc.c" /* yacc.c:1648  */
    break;

  case 290:
#line 2758 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34532 "preproc.c" /* yacc.c:1648  */
    break;

  case 291:
#line 2762 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34540 "preproc.c" /* yacc.c:1648  */
    break;

  case 292:
#line 2766 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34548 "preproc.c" /* yacc.c:1648  */
    break;

  case 293:
#line 2770 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34556 "preproc.c" /* yacc.c:1648  */
    break;

  case 294:
#line 2778 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34564 "preproc.c" /* yacc.c:1648  */
    break;

  case 295:
#line 2782 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34572 "preproc.c" /* yacc.c:1648  */
    break;

  case 296:
#line 2790 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34580 "preproc.c" /* yacc.c:1648  */
    break;

  case 297:
#line 2794 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 34588 "preproc.c" /* yacc.c:1648  */
    break;

  case 298:
#line 2802 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34596 "preproc.c" /* yacc.c:1648  */
    break;

  case 299:
#line 2806 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 34604 "preproc.c" /* yacc.c:1648  */
    break;

  case 300:
#line 2810 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 34612 "preproc.c" /* yacc.c:1648  */
    break;

  case 301:
#line 2814 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 34620 "preproc.c" /* yacc.c:1648  */
    break;

  case 302:
#line 2818 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34628 "preproc.c" /* yacc.c:1648  */
    break;

  case 303:
#line 2822 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 34636 "preproc.c" /* yacc.c:1648  */
    break;

  case 304:
#line 2826 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 34644 "preproc.c" /* yacc.c:1648  */
    break;

  case 305:
#line 2830 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 34652 "preproc.c" /* yacc.c:1648  */
    break;

  case 306:
#line 2834 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 34660 "preproc.c" /* yacc.c:1648  */
    break;

  case 307:
#line 2838 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 34668 "preproc.c" /* yacc.c:1648  */
    break;

  case 308:
#line 2842 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 34676 "preproc.c" /* yacc.c:1648  */
    break;

  case 309:
#line 2846 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 34684 "preproc.c" /* yacc.c:1648  */
    break;

  case 310:
#line 2850 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34692 "preproc.c" /* yacc.c:1648  */
    break;

  case 311:
#line 2854 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 34700 "preproc.c" /* yacc.c:1648  */
    break;

  case 312:
#line 2858 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 34708 "preproc.c" /* yacc.c:1648  */
    break;

  case 313:
#line 2862 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34716 "preproc.c" /* yacc.c:1648  */
    break;

  case 314:
#line 2866 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34724 "preproc.c" /* yacc.c:1648  */
    break;

  case 315:
#line 2870 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34732 "preproc.c" /* yacc.c:1648  */
    break;

  case 316:
#line 2874 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34740 "preproc.c" /* yacc.c:1648  */
    break;

  case 317:
#line 2878 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 34748 "preproc.c" /* yacc.c:1648  */
    break;

  case 318:
#line 2882 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34756 "preproc.c" /* yacc.c:1648  */
    break;

  case 319:
#line 2886 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 34764 "preproc.c" /* yacc.c:1648  */
    break;

  case 320:
#line 2890 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34772 "preproc.c" /* yacc.c:1648  */
    break;

  case 321:
#line 2894 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34780 "preproc.c" /* yacc.c:1648  */
    break;

  case 322:
#line 2898 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 34788 "preproc.c" /* yacc.c:1648  */
    break;

  case 323:
#line 2902 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 34796 "preproc.c" /* yacc.c:1648  */
    break;

  case 324:
#line 2906 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 34804 "preproc.c" /* yacc.c:1648  */
    break;

  case 325:
#line 2910 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 34812 "preproc.c" /* yacc.c:1648  */
    break;

  case 326:
#line 2914 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 34820 "preproc.c" /* yacc.c:1648  */
    break;

  case 327:
#line 2918 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 34828 "preproc.c" /* yacc.c:1648  */
    break;

  case 328:
#line 2922 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 34836 "preproc.c" /* yacc.c:1648  */
    break;

  case 329:
#line 2926 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 34844 "preproc.c" /* yacc.c:1648  */
    break;

  case 330:
#line 2930 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 34852 "preproc.c" /* yacc.c:1648  */
    break;

  case 331:
#line 2934 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 34860 "preproc.c" /* yacc.c:1648  */
    break;

  case 332:
#line 2938 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 34868 "preproc.c" /* yacc.c:1648  */
    break;

  case 333:
#line 2942 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 34876 "preproc.c" /* yacc.c:1648  */
    break;

  case 334:
#line 2946 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 34884 "preproc.c" /* yacc.c:1648  */
    break;

  case 335:
#line 2950 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 34892 "preproc.c" /* yacc.c:1648  */
    break;

  case 336:
#line 2954 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 34900 "preproc.c" /* yacc.c:1648  */
    break;

  case 337:
#line 2958 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 34908 "preproc.c" /* yacc.c:1648  */
    break;

  case 338:
#line 2962 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 34916 "preproc.c" /* yacc.c:1648  */
    break;

  case 339:
#line 2966 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 34924 "preproc.c" /* yacc.c:1648  */
    break;

  case 340:
#line 2970 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 34932 "preproc.c" /* yacc.c:1648  */
    break;

  case 341:
#line 2974 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 34940 "preproc.c" /* yacc.c:1648  */
    break;

  case 342:
#line 2978 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 34948 "preproc.c" /* yacc.c:1648  */
    break;

  case 343:
#line 2982 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 34956 "preproc.c" /* yacc.c:1648  */
    break;

  case 344:
#line 2986 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 34964 "preproc.c" /* yacc.c:1648  */
    break;

  case 345:
#line 2990 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 34972 "preproc.c" /* yacc.c:1648  */
    break;

  case 346:
#line 2994 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 34980 "preproc.c" /* yacc.c:1648  */
    break;

  case 347:
#line 2998 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 34988 "preproc.c" /* yacc.c:1648  */
    break;

  case 348:
#line 3002 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 34996 "preproc.c" /* yacc.c:1648  */
    break;

  case 349:
#line 3006 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 35004 "preproc.c" /* yacc.c:1648  */
    break;

  case 350:
#line 3010 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 35012 "preproc.c" /* yacc.c:1648  */
    break;

  case 351:
#line 3014 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 35020 "preproc.c" /* yacc.c:1648  */
    break;

  case 352:
#line 3018 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 35028 "preproc.c" /* yacc.c:1648  */
    break;

  case 353:
#line 3022 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35036 "preproc.c" /* yacc.c:1648  */
    break;

  case 354:
#line 3030 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 35044 "preproc.c" /* yacc.c:1648  */
    break;

  case 355:
#line 3034 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 35052 "preproc.c" /* yacc.c:1648  */
    break;

  case 356:
#line 3042 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35060 "preproc.c" /* yacc.c:1648  */
    break;

  case 357:
#line 3046 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 35068 "preproc.c" /* yacc.c:1648  */
    break;

  case 358:
#line 3050 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35075 "preproc.c" /* yacc.c:1648  */
    break;

  case 359:
#line 3057 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 35083 "preproc.c" /* yacc.c:1648  */
    break;

  case 360:
#line 3061 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35090 "preproc.c" /* yacc.c:1648  */
    break;

  case 361:
#line 3068 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 35098 "preproc.c" /* yacc.c:1648  */
    break;

  case 362:
#line 3072 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35105 "preproc.c" /* yacc.c:1648  */
    break;

  case 363:
#line 3079 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 35113 "preproc.c" /* yacc.c:1648  */
    break;

  case 364:
#line 3083 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 35121 "preproc.c" /* yacc.c:1648  */
    break;

  case 365:
#line 3087 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 35129 "preproc.c" /* yacc.c:1648  */
    break;

  case 366:
#line 3091 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 35137 "preproc.c" /* yacc.c:1648  */
    break;

  case 367:
#line 3099 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35145 "preproc.c" /* yacc.c:1648  */
    break;

  case 368:
#line 3107 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35153 "preproc.c" /* yacc.c:1648  */
    break;

  case 369:
#line 3111 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35160 "preproc.c" /* yacc.c:1648  */
    break;

  case 370:
#line 3118 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35168 "preproc.c" /* yacc.c:1648  */
    break;

  case 371:
#line 3122 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35176 "preproc.c" /* yacc.c:1648  */
    break;

  case 372:
#line 3130 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35184 "preproc.c" /* yacc.c:1648  */
    break;

  case 373:
#line 3134 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35192 "preproc.c" /* yacc.c:1648  */
    break;

  case 374:
#line 3138 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35200 "preproc.c" /* yacc.c:1648  */
    break;

  case 375:
#line 3142 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35208 "preproc.c" /* yacc.c:1648  */
    break;

  case 376:
#line 3150 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35216 "preproc.c" /* yacc.c:1648  */
    break;

  case 377:
#line 3154 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35224 "preproc.c" /* yacc.c:1648  */
    break;

  case 378:
#line 3162 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 35232 "preproc.c" /* yacc.c:1648  */
    break;

  case 379:
#line 3166 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35240 "preproc.c" /* yacc.c:1648  */
    break;

  case 380:
#line 3170 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35248 "preproc.c" /* yacc.c:1648  */
    break;

  case 381:
#line 3174 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 35256 "preproc.c" /* yacc.c:1648  */
    break;

  case 382:
#line 3182 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35264 "preproc.c" /* yacc.c:1648  */
    break;

  case 383:
#line 3186 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35272 "preproc.c" /* yacc.c:1648  */
    break;

  case 384:
#line 3194 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35280 "preproc.c" /* yacc.c:1648  */
    break;

  case 385:
#line 3198 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35288 "preproc.c" /* yacc.c:1648  */
    break;

  case 386:
#line 3202 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 35296 "preproc.c" /* yacc.c:1648  */
    break;

  case 387:
#line 3206 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 35304 "preproc.c" /* yacc.c:1648  */
    break;

  case 388:
#line 3210 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 35312 "preproc.c" /* yacc.c:1648  */
    break;

  case 389:
#line 3218 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35320 "preproc.c" /* yacc.c:1648  */
    break;

  case 390:
#line 3222 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35328 "preproc.c" /* yacc.c:1648  */
    break;

  case 391:
#line 3230 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35336 "preproc.c" /* yacc.c:1648  */
    break;

  case 392:
#line 3234 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35344 "preproc.c" /* yacc.c:1648  */
    break;

  case 393:
#line 3242 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 35352 "preproc.c" /* yacc.c:1648  */
    break;

  case 394:
#line 3246 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 35360 "preproc.c" /* yacc.c:1648  */
    break;

  case 395:
#line 3250 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35368 "preproc.c" /* yacc.c:1648  */
    break;

  case 396:
#line 3258 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35376 "preproc.c" /* yacc.c:1648  */
    break;

  case 397:
#line 3266 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35384 "preproc.c" /* yacc.c:1648  */
    break;

  case 398:
#line 3270 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35392 "preproc.c" /* yacc.c:1648  */
    break;

  case 399:
#line 3278 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35400 "preproc.c" /* yacc.c:1648  */
    break;

  case 400:
#line 3282 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35408 "preproc.c" /* yacc.c:1648  */
    break;

  case 401:
#line 3286 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35416 "preproc.c" /* yacc.c:1648  */
    break;

  case 402:
#line 3290 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35424 "preproc.c" /* yacc.c:1648  */
    break;

  case 403:
#line 3298 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 35433 "preproc.c" /* yacc.c:1648  */
    break;

  case 404:
#line 3303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 35441 "preproc.c" /* yacc.c:1648  */
    break;

  case 405:
#line 3311 "preproc.y" /* yacc.c:1648  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35453 "preproc.c" /* yacc.c:1648  */
    break;

  case 406:
#line 3319 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35461 "preproc.c" /* yacc.c:1648  */
    break;

  case 407:
#line 3327 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 35469 "preproc.c" /* yacc.c:1648  */
    break;

  case 408:
#line 3331 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 35477 "preproc.c" /* yacc.c:1648  */
    break;

  case 409:
#line 3339 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 35485 "preproc.c" /* yacc.c:1648  */
    break;

  case 410:
#line 3343 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35492 "preproc.c" /* yacc.c:1648  */
    break;

  case 411:
#line 3350 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35500 "preproc.c" /* yacc.c:1648  */
    break;

  case 412:
#line 3354 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 35508 "preproc.c" /* yacc.c:1648  */
    break;

  case 413:
#line 3358 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 35516 "preproc.c" /* yacc.c:1648  */
    break;

  case 414:
#line 3366 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35524 "preproc.c" /* yacc.c:1648  */
    break;

  case 415:
#line 3370 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35532 "preproc.c" /* yacc.c:1648  */
    break;

  case 416:
#line 3378 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35540 "preproc.c" /* yacc.c:1648  */
    break;

  case 417:
#line 3382 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35547 "preproc.c" /* yacc.c:1648  */
    break;

  case 418:
#line 3389 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35555 "preproc.c" /* yacc.c:1648  */
    break;

  case 419:
#line 3393 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 35563 "preproc.c" /* yacc.c:1648  */
    break;

  case 420:
#line 3397 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 35571 "preproc.c" /* yacc.c:1648  */
    break;

  case 421:
#line 3401 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35579 "preproc.c" /* yacc.c:1648  */
    break;

  case 422:
#line 3405 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35587 "preproc.c" /* yacc.c:1648  */
    break;

  case 423:
#line 3409 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 35595 "preproc.c" /* yacc.c:1648  */
    break;

  case 424:
#line 3413 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 35603 "preproc.c" /* yacc.c:1648  */
    break;

  case 425:
#line 3417 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35611 "preproc.c" /* yacc.c:1648  */
    break;

  case 426:
#line 3421 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35619 "preproc.c" /* yacc.c:1648  */
    break;

  case 427:
#line 3425 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 35627 "preproc.c" /* yacc.c:1648  */
    break;

  case 428:
#line 3429 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 35635 "preproc.c" /* yacc.c:1648  */
    break;

  case 429:
#line 3433 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 35643 "preproc.c" /* yacc.c:1648  */
    break;

  case 430:
#line 3437 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 35651 "preproc.c" /* yacc.c:1648  */
    break;

  case 431:
#line 3441 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 35659 "preproc.c" /* yacc.c:1648  */
    break;

  case 432:
#line 3449 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 35667 "preproc.c" /* yacc.c:1648  */
    break;

  case 433:
#line 3453 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35674 "preproc.c" /* yacc.c:1648  */
    break;

  case 434:
#line 3460 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 35682 "preproc.c" /* yacc.c:1648  */
    break;

  case 435:
#line 3464 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35689 "preproc.c" /* yacc.c:1648  */
    break;

  case 436:
#line 3471 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 35697 "preproc.c" /* yacc.c:1648  */
    break;

  case 437:
#line 3475 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35704 "preproc.c" /* yacc.c:1648  */
    break;

  case 438:
#line 3482 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 35712 "preproc.c" /* yacc.c:1648  */
    break;

  case 439:
#line 3486 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35719 "preproc.c" /* yacc.c:1648  */
    break;

  case 440:
#line 3493 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35727 "preproc.c" /* yacc.c:1648  */
    break;

  case 441:
#line 3497 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35735 "preproc.c" /* yacc.c:1648  */
    break;

  case 442:
#line 3505 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35743 "preproc.c" /* yacc.c:1648  */
    break;

  case 443:
#line 3513 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35751 "preproc.c" /* yacc.c:1648  */
    break;

  case 444:
#line 3517 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35759 "preproc.c" /* yacc.c:1648  */
    break;

  case 445:
#line 3521 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 35767 "preproc.c" /* yacc.c:1648  */
    break;

  case 446:
#line 3525 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35775 "preproc.c" /* yacc.c:1648  */
    break;

  case 447:
#line 3529 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35782 "preproc.c" /* yacc.c:1648  */
    break;

  case 448:
#line 3536 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35790 "preproc.c" /* yacc.c:1648  */
    break;

  case 449:
#line 3540 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35798 "preproc.c" /* yacc.c:1648  */
    break;

  case 450:
#line 3548 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35806 "preproc.c" /* yacc.c:1648  */
    break;

  case 451:
#line 3556 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35814 "preproc.c" /* yacc.c:1648  */
    break;

  case 452:
#line 3560 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35822 "preproc.c" /* yacc.c:1648  */
    break;

  case 453:
#line 3564 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35830 "preproc.c" /* yacc.c:1648  */
    break;

  case 454:
#line 3568 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35838 "preproc.c" /* yacc.c:1648  */
    break;

  case 455:
#line 3572 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35846 "preproc.c" /* yacc.c:1648  */
    break;

  case 456:
#line 3576 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35854 "preproc.c" /* yacc.c:1648  */
    break;

  case 457:
#line 3584 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 35862 "preproc.c" /* yacc.c:1648  */
    break;

  case 458:
#line 3588 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 35870 "preproc.c" /* yacc.c:1648  */
    break;

  case 459:
#line 3592 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 35878 "preproc.c" /* yacc.c:1648  */
    break;

  case 460:
#line 3596 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 35886 "preproc.c" /* yacc.c:1648  */
    break;

  case 461:
#line 3600 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 35894 "preproc.c" /* yacc.c:1648  */
    break;

  case 462:
#line 3604 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 35902 "preproc.c" /* yacc.c:1648  */
    break;

  case 463:
#line 3608 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 35910 "preproc.c" /* yacc.c:1648  */
    break;

  case 464:
#line 3612 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35917 "preproc.c" /* yacc.c:1648  */
    break;

  case 465:
#line 3619 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35925 "preproc.c" /* yacc.c:1648  */
    break;

  case 466:
#line 3623 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35932 "preproc.c" /* yacc.c:1648  */
    break;

  case 467:
#line 3630 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35940 "preproc.c" /* yacc.c:1648  */
    break;

  case 468:
#line 3634 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 35947 "preproc.c" /* yacc.c:1648  */
    break;

  case 469:
#line 3641 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35955 "preproc.c" /* yacc.c:1648  */
    break;

  case 470:
#line 3645 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35963 "preproc.c" /* yacc.c:1648  */
    break;

  case 471:
#line 3653 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35971 "preproc.c" /* yacc.c:1648  */
    break;

  case 472:
#line 3657 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35979 "preproc.c" /* yacc.c:1648  */
    break;

  case 473:
#line 3665 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35987 "preproc.c" /* yacc.c:1648  */
    break;

  case 474:
#line 3669 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35995 "preproc.c" /* yacc.c:1648  */
    break;

  case 475:
#line 3673 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36003 "preproc.c" /* yacc.c:1648  */
    break;

  case 476:
#line 3681 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36011 "preproc.c" /* yacc.c:1648  */
    break;

  case 477:
#line 3685 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36019 "preproc.c" /* yacc.c:1648  */
    break;

  case 478:
#line 3693 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36027 "preproc.c" /* yacc.c:1648  */
    break;

  case 479:
#line 3701 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36035 "preproc.c" /* yacc.c:1648  */
    break;

  case 480:
#line 3705 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 36043 "preproc.c" /* yacc.c:1648  */
    break;

  case 481:
#line 3713 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36051 "preproc.c" /* yacc.c:1648  */
    break;

  case 482:
#line 3717 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36058 "preproc.c" /* yacc.c:1648  */
    break;

  case 483:
#line 3724 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36066 "preproc.c" /* yacc.c:1648  */
    break;

  case 484:
#line 3728 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36074 "preproc.c" /* yacc.c:1648  */
    break;

  case 485:
#line 3732 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36082 "preproc.c" /* yacc.c:1648  */
    break;

  case 486:
#line 3736 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 36090 "preproc.c" /* yacc.c:1648  */
    break;

  case 487:
#line 3744 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 36098 "preproc.c" /* yacc.c:1648  */
    break;

  case 488:
#line 3748 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 36106 "preproc.c" /* yacc.c:1648  */
    break;

  case 489:
#line 3752 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36114 "preproc.c" /* yacc.c:1648  */
    break;

  case 490:
#line 3756 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36122 "preproc.c" /* yacc.c:1648  */
    break;

  case 491:
#line 3760 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36130 "preproc.c" /* yacc.c:1648  */
    break;

  case 492:
#line 3764 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 36138 "preproc.c" /* yacc.c:1648  */
    break;

  case 493:
#line 3768 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 36146 "preproc.c" /* yacc.c:1648  */
    break;

  case 494:
#line 3772 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36154 "preproc.c" /* yacc.c:1648  */
    break;

  case 495:
#line 3780 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 36162 "preproc.c" /* yacc.c:1648  */
    break;

  case 496:
#line 3784 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 36170 "preproc.c" /* yacc.c:1648  */
    break;

  case 497:
#line 3792 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36178 "preproc.c" /* yacc.c:1648  */
    break;

  case 498:
#line 3796 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36186 "preproc.c" /* yacc.c:1648  */
    break;

  case 499:
#line 3800 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36194 "preproc.c" /* yacc.c:1648  */
    break;

  case 500:
#line 3804 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36202 "preproc.c" /* yacc.c:1648  */
    break;

  case 501:
#line 3812 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36210 "preproc.c" /* yacc.c:1648  */
    break;

  case 502:
#line 3820 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 36218 "preproc.c" /* yacc.c:1648  */
    break;

  case 503:
#line 3824 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 36226 "preproc.c" /* yacc.c:1648  */
    break;

  case 504:
#line 3828 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36233 "preproc.c" /* yacc.c:1648  */
    break;

  case 505:
#line 3835 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 36241 "preproc.c" /* yacc.c:1648  */
    break;

  case 506:
#line 3839 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 36249 "preproc.c" /* yacc.c:1648  */
    break;

  case 507:
#line 3843 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 36257 "preproc.c" /* yacc.c:1648  */
    break;

  case 508:
#line 3847 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 36265 "preproc.c" /* yacc.c:1648  */
    break;

  case 509:
#line 3851 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 36273 "preproc.c" /* yacc.c:1648  */
    break;

  case 510:
#line 3855 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 36281 "preproc.c" /* yacc.c:1648  */
    break;

  case 511:
#line 3859 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 36289 "preproc.c" /* yacc.c:1648  */
    break;

  case 512:
#line 3863 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36297 "preproc.c" /* yacc.c:1648  */
    break;

  case 513:
#line 3871 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36305 "preproc.c" /* yacc.c:1648  */
    break;

  case 514:
#line 3875 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36313 "preproc.c" /* yacc.c:1648  */
    break;

  case 515:
#line 3883 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36321 "preproc.c" /* yacc.c:1648  */
    break;

  case 516:
#line 3887 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36329 "preproc.c" /* yacc.c:1648  */
    break;

  case 517:
#line 3891 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36337 "preproc.c" /* yacc.c:1648  */
    break;

  case 518:
#line 3895 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36345 "preproc.c" /* yacc.c:1648  */
    break;

  case 519:
#line 3899 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36353 "preproc.c" /* yacc.c:1648  */
    break;

  case 520:
#line 3903 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36361 "preproc.c" /* yacc.c:1648  */
    break;

  case 521:
#line 3907 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36369 "preproc.c" /* yacc.c:1648  */
    break;

  case 522:
#line 3915 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36377 "preproc.c" /* yacc.c:1648  */
    break;

  case 523:
#line 3919 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36384 "preproc.c" /* yacc.c:1648  */
    break;

  case 524:
#line 3926 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36392 "preproc.c" /* yacc.c:1648  */
    break;

  case 525:
#line 3930 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36399 "preproc.c" /* yacc.c:1648  */
    break;

  case 526:
#line 3937 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36407 "preproc.c" /* yacc.c:1648  */
    break;

  case 527:
#line 3941 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36415 "preproc.c" /* yacc.c:1648  */
    break;

  case 528:
#line 3949 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36423 "preproc.c" /* yacc.c:1648  */
    break;

  case 529:
#line 3957 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 36431 "preproc.c" /* yacc.c:1648  */
    break;

  case 530:
#line 3961 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 36440 "preproc.c" /* yacc.c:1648  */
    break;

  case 531:
#line 3966 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 36448 "preproc.c" /* yacc.c:1648  */
    break;

  case 532:
#line 3970 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36455 "preproc.c" /* yacc.c:1648  */
    break;

  case 533:
#line 3977 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36463 "preproc.c" /* yacc.c:1648  */
    break;

  case 534:
#line 3981 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36471 "preproc.c" /* yacc.c:1648  */
    break;

  case 535:
#line 3989 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 36479 "preproc.c" /* yacc.c:1648  */
    break;

  case 536:
#line 3993 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36487 "preproc.c" /* yacc.c:1648  */
    break;

  case 537:
#line 4001 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36495 "preproc.c" /* yacc.c:1648  */
    break;

  case 538:
#line 4005 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36502 "preproc.c" /* yacc.c:1648  */
    break;

  case 539:
#line 4012 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36510 "preproc.c" /* yacc.c:1648  */
    break;

  case 540:
#line 4016 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36518 "preproc.c" /* yacc.c:1648  */
    break;

  case 541:
#line 4020 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36526 "preproc.c" /* yacc.c:1648  */
    break;

  case 542:
#line 4024 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36534 "preproc.c" /* yacc.c:1648  */
    break;

  case 543:
#line 4028 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36541 "preproc.c" /* yacc.c:1648  */
    break;

  case 544:
#line 4035 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 36549 "preproc.c" /* yacc.c:1648  */
    break;

  case 545:
#line 4043 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 36557 "preproc.c" /* yacc.c:1648  */
    break;

  case 546:
#line 4051 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 36565 "preproc.c" /* yacc.c:1648  */
    break;

  case 547:
#line 4055 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36573 "preproc.c" /* yacc.c:1648  */
    break;

  case 548:
#line 4059 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36581 "preproc.c" /* yacc.c:1648  */
    break;

  case 549:
#line 4063 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 36589 "preproc.c" /* yacc.c:1648  */
    break;

  case 550:
#line 4067 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 36597 "preproc.c" /* yacc.c:1648  */
    break;

  case 551:
#line 4075 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36605 "preproc.c" /* yacc.c:1648  */
    break;

  case 552:
#line 4079 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36612 "preproc.c" /* yacc.c:1648  */
    break;

  case 553:
#line 4086 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36620 "preproc.c" /* yacc.c:1648  */
    break;

  case 554:
#line 4090 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36627 "preproc.c" /* yacc.c:1648  */
    break;

  case 555:
#line 4097 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36635 "preproc.c" /* yacc.c:1648  */
    break;

  case 556:
#line 4105 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36643 "preproc.c" /* yacc.c:1648  */
    break;

  case 557:
#line 4109 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36651 "preproc.c" /* yacc.c:1648  */
    break;

  case 558:
#line 4117 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36659 "preproc.c" /* yacc.c:1648  */
    break;

  case 559:
#line 4121 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36667 "preproc.c" /* yacc.c:1648  */
    break;

  case 560:
#line 4129 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36675 "preproc.c" /* yacc.c:1648  */
    break;

  case 561:
#line 4133 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36683 "preproc.c" /* yacc.c:1648  */
    break;

  case 562:
#line 4137 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36691 "preproc.c" /* yacc.c:1648  */
    break;

  case 563:
#line 4145 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36699 "preproc.c" /* yacc.c:1648  */
    break;

  case 564:
#line 4149 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36707 "preproc.c" /* yacc.c:1648  */
    break;

  case 565:
#line 4153 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 36715 "preproc.c" /* yacc.c:1648  */
    break;

  case 566:
#line 4157 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36722 "preproc.c" /* yacc.c:1648  */
    break;

  case 567:
#line 4164 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 36730 "preproc.c" /* yacc.c:1648  */
    break;

  case 568:
#line 4168 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 36738 "preproc.c" /* yacc.c:1648  */
    break;

  case 569:
#line 4172 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 36746 "preproc.c" /* yacc.c:1648  */
    break;

  case 570:
#line 4176 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36753 "preproc.c" /* yacc.c:1648  */
    break;

  case 571:
#line 4183 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 36761 "preproc.c" /* yacc.c:1648  */
    break;

  case 572:
#line 4187 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36768 "preproc.c" /* yacc.c:1648  */
    break;

  case 573:
#line 4194 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 36776 "preproc.c" /* yacc.c:1648  */
    break;

  case 574:
#line 4198 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36783 "preproc.c" /* yacc.c:1648  */
    break;

  case 575:
#line 4205 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36791 "preproc.c" /* yacc.c:1648  */
    break;

  case 576:
#line 4213 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36799 "preproc.c" /* yacc.c:1648  */
    break;

  case 577:
#line 4217 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36807 "preproc.c" /* yacc.c:1648  */
    break;

  case 578:
#line 4225 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36815 "preproc.c" /* yacc.c:1648  */
    break;

  case 579:
#line 4233 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 36823 "preproc.c" /* yacc.c:1648  */
    break;

  case 580:
#line 4237 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 36831 "preproc.c" /* yacc.c:1648  */
    break;

  case 581:
#line 4241 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36838 "preproc.c" /* yacc.c:1648  */
    break;

  case 582:
#line 4248 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36846 "preproc.c" /* yacc.c:1648  */
    break;

  case 583:
#line 4252 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36854 "preproc.c" /* yacc.c:1648  */
    break;

  case 584:
#line 4260 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36862 "preproc.c" /* yacc.c:1648  */
    break;

  case 585:
#line 4268 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 36870 "preproc.c" /* yacc.c:1648  */
    break;

  case 586:
#line 4272 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36877 "preproc.c" /* yacc.c:1648  */
    break;

  case 587:
#line 4279 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36885 "preproc.c" /* yacc.c:1648  */
    break;

  case 588:
#line 4287 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36893 "preproc.c" /* yacc.c:1648  */
    break;

  case 589:
#line 4291 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36901 "preproc.c" /* yacc.c:1648  */
    break;

  case 590:
#line 4299 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36909 "preproc.c" /* yacc.c:1648  */
    break;

  case 591:
#line 4303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36917 "preproc.c" /* yacc.c:1648  */
    break;

  case 592:
#line 4311 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36925 "preproc.c" /* yacc.c:1648  */
    break;

  case 593:
#line 4315 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36932 "preproc.c" /* yacc.c:1648  */
    break;

  case 594:
#line 4322 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36940 "preproc.c" /* yacc.c:1648  */
    break;

  case 595:
#line 4326 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 36947 "preproc.c" /* yacc.c:1648  */
    break;

  case 596:
#line 4333 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36955 "preproc.c" /* yacc.c:1648  */
    break;

  case 597:
#line 4337 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36963 "preproc.c" /* yacc.c:1648  */
    break;

  case 598:
#line 4345 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 36971 "preproc.c" /* yacc.c:1648  */
    break;

  case 599:
#line 4349 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 36979 "preproc.c" /* yacc.c:1648  */
    break;

  case 600:
#line 4353 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 36987 "preproc.c" /* yacc.c:1648  */
    break;

  case 601:
#line 4357 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 36995 "preproc.c" /* yacc.c:1648  */
    break;

  case 602:
#line 4361 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37003 "preproc.c" /* yacc.c:1648  */
    break;

  case 603:
#line 4365 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 37011 "preproc.c" /* yacc.c:1648  */
    break;

  case 604:
#line 4369 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 37019 "preproc.c" /* yacc.c:1648  */
    break;

  case 605:
#line 4373 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 37027 "preproc.c" /* yacc.c:1648  */
    break;

  case 606:
#line 4377 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 37035 "preproc.c" /* yacc.c:1648  */
    break;

  case 607:
#line 4381 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 37043 "preproc.c" /* yacc.c:1648  */
    break;

  case 608:
#line 4385 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 37051 "preproc.c" /* yacc.c:1648  */
    break;

  case 609:
#line 4389 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37059 "preproc.c" /* yacc.c:1648  */
    break;

  case 610:
#line 4393 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 37067 "preproc.c" /* yacc.c:1648  */
    break;

  case 611:
#line 4397 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37075 "preproc.c" /* yacc.c:1648  */
    break;

  case 612:
#line 4405 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 37083 "preproc.c" /* yacc.c:1648  */
    break;

  case 613:
#line 4409 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37090 "preproc.c" /* yacc.c:1648  */
    break;

  case 614:
#line 4416 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37098 "preproc.c" /* yacc.c:1648  */
    break;

  case 615:
#line 4420 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 37106 "preproc.c" /* yacc.c:1648  */
    break;

  case 616:
#line 4424 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 37114 "preproc.c" /* yacc.c:1648  */
    break;

  case 617:
#line 4428 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37122 "preproc.c" /* yacc.c:1648  */
    break;

  case 618:
#line 4436 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37130 "preproc.c" /* yacc.c:1648  */
    break;

  case 619:
#line 4440 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37138 "preproc.c" /* yacc.c:1648  */
    break;

  case 620:
#line 4448 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37146 "preproc.c" /* yacc.c:1648  */
    break;

  case 621:
#line 4452 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37154 "preproc.c" /* yacc.c:1648  */
    break;

  case 622:
#line 4460 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 37162 "preproc.c" /* yacc.c:1648  */
    break;

  case 623:
#line 4464 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37169 "preproc.c" /* yacc.c:1648  */
    break;

  case 624:
#line 4471 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37177 "preproc.c" /* yacc.c:1648  */
    break;

  case 625:
#line 4475 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37185 "preproc.c" /* yacc.c:1648  */
    break;

  case 626:
#line 4483 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 37193 "preproc.c" /* yacc.c:1648  */
    break;

  case 627:
#line 4487 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37200 "preproc.c" /* yacc.c:1648  */
    break;

  case 628:
#line 4494 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37208 "preproc.c" /* yacc.c:1648  */
    break;

  case 629:
#line 4498 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37216 "preproc.c" /* yacc.c:1648  */
    break;

  case 630:
#line 4506 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37224 "preproc.c" /* yacc.c:1648  */
    break;

  case 631:
#line 4510 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37231 "preproc.c" /* yacc.c:1648  */
    break;

  case 632:
#line 4517 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37239 "preproc.c" /* yacc.c:1648  */
    break;

  case 633:
#line 4521 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37247 "preproc.c" /* yacc.c:1648  */
    break;

  case 634:
#line 4529 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 37255 "preproc.c" /* yacc.c:1648  */
    break;

  case 635:
#line 4533 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37262 "preproc.c" /* yacc.c:1648  */
    break;

  case 636:
#line 4540 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37270 "preproc.c" /* yacc.c:1648  */
    break;

  case 637:
#line 4548 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 37278 "preproc.c" /* yacc.c:1648  */
    break;

  case 638:
#line 4552 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37285 "preproc.c" /* yacc.c:1648  */
    break;

  case 639:
#line 4559 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 37293 "preproc.c" /* yacc.c:1648  */
    break;

  case 640:
#line 4563 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 37301 "preproc.c" /* yacc.c:1648  */
    break;

  case 641:
#line 4571 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37309 "preproc.c" /* yacc.c:1648  */
    break;

  case 642:
#line 4575 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37317 "preproc.c" /* yacc.c:1648  */
    break;

  case 643:
#line 4583 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37325 "preproc.c" /* yacc.c:1648  */
    break;

  case 644:
#line 4587 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37332 "preproc.c" /* yacc.c:1648  */
    break;

  case 645:
#line 4594 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 37340 "preproc.c" /* yacc.c:1648  */
    break;

  case 646:
#line 4598 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37348 "preproc.c" /* yacc.c:1648  */
    break;

  case 647:
#line 4602 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 37356 "preproc.c" /* yacc.c:1648  */
    break;

  case 648:
#line 4606 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37364 "preproc.c" /* yacc.c:1648  */
    break;

  case 649:
#line 4614 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 37372 "preproc.c" /* yacc.c:1648  */
    break;

  case 650:
#line 4622 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37380 "preproc.c" /* yacc.c:1648  */
    break;

  case 651:
#line 4626 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37387 "preproc.c" /* yacc.c:1648  */
    break;

  case 652:
#line 4633 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 37395 "preproc.c" /* yacc.c:1648  */
    break;

  case 653:
#line 4641 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 37403 "preproc.c" /* yacc.c:1648  */
    break;

  case 654:
#line 4645 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 37411 "preproc.c" /* yacc.c:1648  */
    break;

  case 655:
#line 4649 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37419 "preproc.c" /* yacc.c:1648  */
    break;

  case 656:
#line 4653 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 37427 "preproc.c" /* yacc.c:1648  */
    break;

  case 657:
#line 4657 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 37435 "preproc.c" /* yacc.c:1648  */
    break;

  case 658:
#line 4661 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 37443 "preproc.c" /* yacc.c:1648  */
    break;

  case 659:
#line 4665 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 37451 "preproc.c" /* yacc.c:1648  */
    break;

  case 660:
#line 4669 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37459 "preproc.c" /* yacc.c:1648  */
    break;

  case 661:
#line 4673 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 37467 "preproc.c" /* yacc.c:1648  */
    break;

  case 662:
#line 4677 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37475 "preproc.c" /* yacc.c:1648  */
    break;

  case 663:
#line 4681 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 37483 "preproc.c" /* yacc.c:1648  */
    break;

  case 664:
#line 4685 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 37491 "preproc.c" /* yacc.c:1648  */
    break;

  case 665:
#line 4689 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 37499 "preproc.c" /* yacc.c:1648  */
    break;

  case 666:
#line 4693 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 37507 "preproc.c" /* yacc.c:1648  */
    break;

  case 667:
#line 4697 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 37515 "preproc.c" /* yacc.c:1648  */
    break;

  case 668:
#line 4701 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 37523 "preproc.c" /* yacc.c:1648  */
    break;

  case 669:
#line 4705 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 37531 "preproc.c" /* yacc.c:1648  */
    break;

  case 670:
#line 4709 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 37539 "preproc.c" /* yacc.c:1648  */
    break;

  case 671:
#line 4713 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37547 "preproc.c" /* yacc.c:1648  */
    break;

  case 672:
#line 4717 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 37555 "preproc.c" /* yacc.c:1648  */
    break;

  case 673:
#line 4721 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 37563 "preproc.c" /* yacc.c:1648  */
    break;

  case 674:
#line 4725 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 37571 "preproc.c" /* yacc.c:1648  */
    break;

  case 675:
#line 4729 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37579 "preproc.c" /* yacc.c:1648  */
    break;

  case 676:
#line 4733 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 37587 "preproc.c" /* yacc.c:1648  */
    break;

  case 677:
#line 4737 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 37595 "preproc.c" /* yacc.c:1648  */
    break;

  case 678:
#line 4741 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 37603 "preproc.c" /* yacc.c:1648  */
    break;

  case 679:
#line 4749 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37611 "preproc.c" /* yacc.c:1648  */
    break;

  case 680:
#line 4757 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 37619 "preproc.c" /* yacc.c:1648  */
    break;

  case 681:
#line 4761 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 37627 "preproc.c" /* yacc.c:1648  */
    break;

  case 682:
#line 4765 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 37635 "preproc.c" /* yacc.c:1648  */
    break;

  case 683:
#line 4769 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 37643 "preproc.c" /* yacc.c:1648  */
    break;

  case 684:
#line 4777 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37651 "preproc.c" /* yacc.c:1648  */
    break;

  case 685:
#line 4781 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37659 "preproc.c" /* yacc.c:1648  */
    break;

  case 686:
#line 4789 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37667 "preproc.c" /* yacc.c:1648  */
    break;

  case 687:
#line 4793 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37674 "preproc.c" /* yacc.c:1648  */
    break;

  case 688:
#line 4800 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37682 "preproc.c" /* yacc.c:1648  */
    break;

  case 689:
#line 4804 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37690 "preproc.c" /* yacc.c:1648  */
    break;

  case 690:
#line 4812 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37698 "preproc.c" /* yacc.c:1648  */
    break;

  case 691:
#line 4816 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37705 "preproc.c" /* yacc.c:1648  */
    break;

  case 692:
#line 4823 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37713 "preproc.c" /* yacc.c:1648  */
    break;

  case 693:
#line 4827 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37721 "preproc.c" /* yacc.c:1648  */
    break;

  case 694:
#line 4835 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37729 "preproc.c" /* yacc.c:1648  */
    break;

  case 695:
#line 4843 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37737 "preproc.c" /* yacc.c:1648  */
    break;

  case 696:
#line 4847 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37745 "preproc.c" /* yacc.c:1648  */
    break;

  case 697:
#line 4855 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37753 "preproc.c" /* yacc.c:1648  */
    break;

  case 698:
#line 4859 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 37761 "preproc.c" /* yacc.c:1648  */
    break;

  case 699:
#line 4863 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 37769 "preproc.c" /* yacc.c:1648  */
    break;

  case 700:
#line 4867 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 37777 "preproc.c" /* yacc.c:1648  */
    break;

  case 701:
#line 4875 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37785 "preproc.c" /* yacc.c:1648  */
    break;

  case 702:
#line 4883 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37793 "preproc.c" /* yacc.c:1648  */
    break;

  case 703:
#line 4891 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37801 "preproc.c" /* yacc.c:1648  */
    break;

  case 704:
#line 4899 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37809 "preproc.c" /* yacc.c:1648  */
    break;

  case 705:
#line 4903 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37817 "preproc.c" /* yacc.c:1648  */
    break;

  case 706:
#line 4911 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 37825 "preproc.c" /* yacc.c:1648  */
    break;

  case 707:
#line 4915 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37832 "preproc.c" /* yacc.c:1648  */
    break;

  case 708:
#line 4922 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 37840 "preproc.c" /* yacc.c:1648  */
    break;

  case 709:
#line 4926 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 37848 "preproc.c" /* yacc.c:1648  */
    break;

  case 710:
#line 4934 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37856 "preproc.c" /* yacc.c:1648  */
    break;

  case 711:
#line 4938 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37863 "preproc.c" /* yacc.c:1648  */
    break;

  case 712:
#line 4945 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37871 "preproc.c" /* yacc.c:1648  */
    break;

  case 713:
#line 4949 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37879 "preproc.c" /* yacc.c:1648  */
    break;

  case 714:
#line 4953 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37887 "preproc.c" /* yacc.c:1648  */
    break;

  case 715:
#line 4961 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37895 "preproc.c" /* yacc.c:1648  */
    break;

  case 716:
#line 4965 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37903 "preproc.c" /* yacc.c:1648  */
    break;

  case 717:
#line 4969 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37911 "preproc.c" /* yacc.c:1648  */
    break;

  case 718:
#line 4973 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37919 "preproc.c" /* yacc.c:1648  */
    break;

  case 719:
#line 4981 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37927 "preproc.c" /* yacc.c:1648  */
    break;

  case 720:
#line 4985 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37935 "preproc.c" /* yacc.c:1648  */
    break;

  case 721:
#line 4993 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37943 "preproc.c" /* yacc.c:1648  */
    break;

  case 722:
#line 5001 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 37951 "preproc.c" /* yacc.c:1648  */
    break;

  case 723:
#line 5005 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 37959 "preproc.c" /* yacc.c:1648  */
    break;

  case 724:
#line 5013 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37967 "preproc.c" /* yacc.c:1648  */
    break;

  case 725:
#line 5017 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 37974 "preproc.c" /* yacc.c:1648  */
    break;

  case 726:
#line 5024 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37982 "preproc.c" /* yacc.c:1648  */
    break;

  case 727:
#line 5028 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37990 "preproc.c" /* yacc.c:1648  */
    break;

  case 728:
#line 5036 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37998 "preproc.c" /* yacc.c:1648  */
    break;

  case 729:
#line 5040 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 38006 "preproc.c" /* yacc.c:1648  */
    break;

  case 730:
#line 5048 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 38014 "preproc.c" /* yacc.c:1648  */
    break;

  case 731:
#line 5052 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 38022 "preproc.c" /* yacc.c:1648  */
    break;

  case 732:
#line 5060 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38030 "preproc.c" /* yacc.c:1648  */
    break;

  case 733:
#line 5068 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38038 "preproc.c" /* yacc.c:1648  */
    break;

  case 734:
#line 5076 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38046 "preproc.c" /* yacc.c:1648  */
    break;

  case 735:
#line 5084 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38054 "preproc.c" /* yacc.c:1648  */
    break;

  case 736:
#line 5088 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38061 "preproc.c" /* yacc.c:1648  */
    break;

  case 737:
#line 5095 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38069 "preproc.c" /* yacc.c:1648  */
    break;

  case 738:
#line 5099 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38076 "preproc.c" /* yacc.c:1648  */
    break;

  case 739:
#line 5106 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 38084 "preproc.c" /* yacc.c:1648  */
    break;

  case 740:
#line 5110 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38091 "preproc.c" /* yacc.c:1648  */
    break;

  case 741:
#line 5117 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 38099 "preproc.c" /* yacc.c:1648  */
    break;

  case 742:
#line 5121 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38106 "preproc.c" /* yacc.c:1648  */
    break;

  case 743:
#line 5128 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38114 "preproc.c" /* yacc.c:1648  */
    break;

  case 744:
#line 5132 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38121 "preproc.c" /* yacc.c:1648  */
    break;

  case 745:
#line 5139 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 38129 "preproc.c" /* yacc.c:1648  */
    break;

  case 746:
#line 5143 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38136 "preproc.c" /* yacc.c:1648  */
    break;

  case 747:
#line 5150 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38144 "preproc.c" /* yacc.c:1648  */
    break;

  case 748:
#line 5154 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 38152 "preproc.c" /* yacc.c:1648  */
    break;

  case 749:
#line 5158 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38160 "preproc.c" /* yacc.c:1648  */
    break;

  case 750:
#line 5162 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38168 "preproc.c" /* yacc.c:1648  */
    break;

  case 751:
#line 5166 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38176 "preproc.c" /* yacc.c:1648  */
    break;

  case 752:
#line 5174 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 38184 "preproc.c" /* yacc.c:1648  */
    break;

  case 753:
#line 5182 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38192 "preproc.c" /* yacc.c:1648  */
    break;

  case 754:
#line 5186 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38200 "preproc.c" /* yacc.c:1648  */
    break;

  case 755:
#line 5194 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 38208 "preproc.c" /* yacc.c:1648  */
    break;

  case 756:
#line 5198 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 38216 "preproc.c" /* yacc.c:1648  */
    break;

  case 757:
#line 5202 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 38224 "preproc.c" /* yacc.c:1648  */
    break;

  case 758:
#line 5210 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38232 "preproc.c" /* yacc.c:1648  */
    break;

  case 759:
#line 5214 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 38240 "preproc.c" /* yacc.c:1648  */
    break;

  case 760:
#line 5222 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 38248 "preproc.c" /* yacc.c:1648  */
    break;

  case 761:
#line 5226 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 38256 "preproc.c" /* yacc.c:1648  */
    break;

  case 762:
#line 5230 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 38264 "preproc.c" /* yacc.c:1648  */
    break;

  case 763:
#line 5234 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 38272 "preproc.c" /* yacc.c:1648  */
    break;

  case 764:
#line 5238 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 38280 "preproc.c" /* yacc.c:1648  */
    break;

  case 765:
#line 5246 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 38288 "preproc.c" /* yacc.c:1648  */
    break;

  case 766:
#line 5250 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38295 "preproc.c" /* yacc.c:1648  */
    break;

  case 767:
#line 5257 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38303 "preproc.c" /* yacc.c:1648  */
    break;

  case 768:
#line 5261 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38311 "preproc.c" /* yacc.c:1648  */
    break;

  case 769:
#line 5269 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38319 "preproc.c" /* yacc.c:1648  */
    break;

  case 770:
#line 5277 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 38327 "preproc.c" /* yacc.c:1648  */
    break;

  case 771:
#line 5281 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 38335 "preproc.c" /* yacc.c:1648  */
    break;

  case 772:
#line 5289 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38343 "preproc.c" /* yacc.c:1648  */
    break;

  case 773:
#line 5293 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38351 "preproc.c" /* yacc.c:1648  */
    break;

  case 774:
#line 5301 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38359 "preproc.c" /* yacc.c:1648  */
    break;

  case 775:
#line 5309 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38367 "preproc.c" /* yacc.c:1648  */
    break;

  case 776:
#line 5313 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38374 "preproc.c" /* yacc.c:1648  */
    break;

  case 777:
#line 5320 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 38382 "preproc.c" /* yacc.c:1648  */
    break;

  case 778:
#line 5324 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38389 "preproc.c" /* yacc.c:1648  */
    break;

  case 779:
#line 5331 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38397 "preproc.c" /* yacc.c:1648  */
    break;

  case 780:
#line 5335 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 38405 "preproc.c" /* yacc.c:1648  */
    break;

  case 781:
#line 5343 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38413 "preproc.c" /* yacc.c:1648  */
    break;

  case 782:
#line 5347 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38420 "preproc.c" /* yacc.c:1648  */
    break;

  case 783:
#line 5354 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38428 "preproc.c" /* yacc.c:1648  */
    break;

  case 784:
#line 5358 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38436 "preproc.c" /* yacc.c:1648  */
    break;

  case 785:
#line 5362 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38443 "preproc.c" /* yacc.c:1648  */
    break;

  case 786:
#line 5369 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38451 "preproc.c" /* yacc.c:1648  */
    break;

  case 787:
#line 5373 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38459 "preproc.c" /* yacc.c:1648  */
    break;

  case 788:
#line 5377 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38467 "preproc.c" /* yacc.c:1648  */
    break;

  case 789:
#line 5381 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38475 "preproc.c" /* yacc.c:1648  */
    break;

  case 790:
#line 5389 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38483 "preproc.c" /* yacc.c:1648  */
    break;

  case 791:
#line 5393 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38490 "preproc.c" /* yacc.c:1648  */
    break;

  case 792:
#line 5400 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38497 "preproc.c" /* yacc.c:1648  */
    break;

  case 793:
#line 5403 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38505 "preproc.c" /* yacc.c:1648  */
    break;

  case 794:
#line 5411 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 38513 "preproc.c" /* yacc.c:1648  */
    break;

  case 795:
#line 5415 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 38521 "preproc.c" /* yacc.c:1648  */
    break;

  case 796:
#line 5419 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 38529 "preproc.c" /* yacc.c:1648  */
    break;

  case 797:
#line 5423 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 38537 "preproc.c" /* yacc.c:1648  */
    break;

  case 798:
#line 5427 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 38545 "preproc.c" /* yacc.c:1648  */
    break;

  case 799:
#line 5431 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 38553 "preproc.c" /* yacc.c:1648  */
    break;

  case 800:
#line 5439 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38561 "preproc.c" /* yacc.c:1648  */
    break;

  case 801:
#line 5443 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 38569 "preproc.c" /* yacc.c:1648  */
    break;

  case 802:
#line 5451 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38577 "preproc.c" /* yacc.c:1648  */
    break;

  case 803:
#line 5455 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 38585 "preproc.c" /* yacc.c:1648  */
    break;

  case 804:
#line 5463 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38593 "preproc.c" /* yacc.c:1648  */
    break;

  case 805:
#line 5471 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 38601 "preproc.c" /* yacc.c:1648  */
    break;

  case 806:
#line 5475 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 38609 "preproc.c" /* yacc.c:1648  */
    break;

  case 807:
#line 5483 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38617 "preproc.c" /* yacc.c:1648  */
    break;

  case 808:
#line 5491 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 38625 "preproc.c" /* yacc.c:1648  */
    break;

  case 809:
#line 5495 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 38633 "preproc.c" /* yacc.c:1648  */
    break;

  case 810:
#line 5499 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 38641 "preproc.c" /* yacc.c:1648  */
    break;

  case 811:
#line 5503 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 38649 "preproc.c" /* yacc.c:1648  */
    break;

  case 812:
#line 5511 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38658 "preproc.c" /* yacc.c:1648  */
    break;

  case 813:
#line 5520 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38667 "preproc.c" /* yacc.c:1648  */
    break;

  case 814:
#line 5529 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38675 "preproc.c" /* yacc.c:1648  */
    break;

  case 815:
#line 5533 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38683 "preproc.c" /* yacc.c:1648  */
    break;

  case 816:
#line 5537 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38691 "preproc.c" /* yacc.c:1648  */
    break;

  case 817:
#line 5541 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38699 "preproc.c" /* yacc.c:1648  */
    break;

  case 818:
#line 5545 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 38707 "preproc.c" /* yacc.c:1648  */
    break;

  case 819:
#line 5549 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38715 "preproc.c" /* yacc.c:1648  */
    break;

  case 820:
#line 5553 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38723 "preproc.c" /* yacc.c:1648  */
    break;

  case 821:
#line 5557 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 38731 "preproc.c" /* yacc.c:1648  */
    break;

  case 822:
#line 5561 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38739 "preproc.c" /* yacc.c:1648  */
    break;

  case 823:
#line 5565 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38747 "preproc.c" /* yacc.c:1648  */
    break;

  case 824:
#line 5569 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38755 "preproc.c" /* yacc.c:1648  */
    break;

  case 825:
#line 5573 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38763 "preproc.c" /* yacc.c:1648  */
    break;

  case 826:
#line 5577 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38771 "preproc.c" /* yacc.c:1648  */
    break;

  case 827:
#line 5581 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38779 "preproc.c" /* yacc.c:1648  */
    break;

  case 828:
#line 5585 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38787 "preproc.c" /* yacc.c:1648  */
    break;

  case 829:
#line 5589 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38795 "preproc.c" /* yacc.c:1648  */
    break;

  case 830:
#line 5597 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38803 "preproc.c" /* yacc.c:1648  */
    break;

  case 831:
#line 5605 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38811 "preproc.c" /* yacc.c:1648  */
    break;

  case 832:
#line 5609 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38819 "preproc.c" /* yacc.c:1648  */
    break;

  case 833:
#line 5617 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38827 "preproc.c" /* yacc.c:1648  */
    break;

  case 834:
#line 5621 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38835 "preproc.c" /* yacc.c:1648  */
    break;

  case 835:
#line 5629 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38843 "preproc.c" /* yacc.c:1648  */
    break;

  case 836:
#line 5633 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38851 "preproc.c" /* yacc.c:1648  */
    break;

  case 837:
#line 5637 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38859 "preproc.c" /* yacc.c:1648  */
    break;

  case 838:
#line 5641 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38867 "preproc.c" /* yacc.c:1648  */
    break;

  case 839:
#line 5645 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38875 "preproc.c" /* yacc.c:1648  */
    break;

  case 840:
#line 5649 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 38883 "preproc.c" /* yacc.c:1648  */
    break;

  case 841:
#line 5657 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38891 "preproc.c" /* yacc.c:1648  */
    break;

  case 842:
#line 5665 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38899 "preproc.c" /* yacc.c:1648  */
    break;

  case 843:
#line 5669 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38907 "preproc.c" /* yacc.c:1648  */
    break;

  case 844:
#line 5677 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38915 "preproc.c" /* yacc.c:1648  */
    break;

  case 845:
#line 5685 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38923 "preproc.c" /* yacc.c:1648  */
    break;

  case 846:
#line 5689 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38930 "preproc.c" /* yacc.c:1648  */
    break;

  case 847:
#line 5696 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38938 "preproc.c" /* yacc.c:1648  */
    break;

  case 848:
#line 5700 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38946 "preproc.c" /* yacc.c:1648  */
    break;

  case 849:
#line 5708 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38954 "preproc.c" /* yacc.c:1648  */
    break;

  case 850:
#line 5712 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 38962 "preproc.c" /* yacc.c:1648  */
    break;

  case 851:
#line 5716 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 38970 "preproc.c" /* yacc.c:1648  */
    break;

  case 852:
#line 5720 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 38978 "preproc.c" /* yacc.c:1648  */
    break;

  case 853:
#line 5728 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 38986 "preproc.c" /* yacc.c:1648  */
    break;

  case 854:
#line 5732 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 38993 "preproc.c" /* yacc.c:1648  */
    break;

  case 855:
#line 5739 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39001 "preproc.c" /* yacc.c:1648  */
    break;

  case 856:
#line 5747 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39009 "preproc.c" /* yacc.c:1648  */
    break;

  case 857:
#line 5751 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39017 "preproc.c" /* yacc.c:1648  */
    break;

  case 858:
#line 5759 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39025 "preproc.c" /* yacc.c:1648  */
    break;

  case 859:
#line 5763 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39033 "preproc.c" /* yacc.c:1648  */
    break;

  case 860:
#line 5767 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39041 "preproc.c" /* yacc.c:1648  */
    break;

  case 861:
#line 5771 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39049 "preproc.c" /* yacc.c:1648  */
    break;

  case 862:
#line 5775 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 39057 "preproc.c" /* yacc.c:1648  */
    break;

  case 863:
#line 5783 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 39065 "preproc.c" /* yacc.c:1648  */
    break;

  case 864:
#line 5787 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 39072 "preproc.c" /* yacc.c:1648  */
    break;

  case 865:
#line 5794 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 39080 "preproc.c" /* yacc.c:1648  */
    break;

  case 866:
#line 5798 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 39087 "preproc.c" /* yacc.c:1648  */
    break;

  case 867:
#line 5805 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 39095 "preproc.c" /* yacc.c:1648  */
    break;

  case 868:
#line 5809 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 39103 "preproc.c" /* yacc.c:1648  */
    break;

  case 869:
#line 5813 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 39110 "preproc.c" /* yacc.c:1648  */
    break;

  case 870:
#line 5820 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 39119 "preproc.c" /* yacc.c:1648  */
    break;

  case 871:
#line 5825 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 39126 "preproc.c" /* yacc.c:1648  */
    break;

  case 872:
#line 5832 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 39134 "preproc.c" /* yacc.c:1648  */
    break;

  case 873:
#line 5840 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 39142 "preproc.c" /* yacc.c:1648  */
    break;

  case 874:
#line 5844 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 39150 "preproc.c" /* yacc.c:1648  */
    break;

  case 875:
#line 5852 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39158 "preproc.c" /* yacc.c:1648  */
    break;

  case 876:
#line 5856 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39166 "preproc.c" /* yacc.c:1648  */
    break;

  case 877:
#line 5864 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39174 "preproc.c" /* yacc.c:1648  */
    break;

  case 878:
#line 5868 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39182 "preproc.c" /* yacc.c:1648  */
    break;

  case 879:
#line 5876 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39190 "preproc.c" /* yacc.c:1648  */
    break;

  case 880:
#line 5880 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39198 "preproc.c" /* yacc.c:1648  */
    break;

  case 881:
#line 5888 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39206 "preproc.c" /* yacc.c:1648  */
    break;

  case 882:
#line 5892 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39214 "preproc.c" /* yacc.c:1648  */
    break;

  case 883:
#line 5900 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39222 "preproc.c" /* yacc.c:1648  */
    break;

  case 884:
#line 5908 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39230 "preproc.c" /* yacc.c:1648  */
    break;

  case 885:
#line 5916 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39238 "preproc.c" /* yacc.c:1648  */
    break;

  case 886:
#line 5920 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39246 "preproc.c" /* yacc.c:1648  */
    break;

  case 887:
#line 5924 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39254 "preproc.c" /* yacc.c:1648  */
    break;

  case 888:
#line 5928 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39262 "preproc.c" /* yacc.c:1648  */
    break;

  case 889:
#line 5932 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39270 "preproc.c" /* yacc.c:1648  */
    break;

  case 890:
#line 5936 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39278 "preproc.c" /* yacc.c:1648  */
    break;

  case 891:
#line 5940 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39286 "preproc.c" /* yacc.c:1648  */
    break;

  case 892:
#line 5944 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39294 "preproc.c" /* yacc.c:1648  */
    break;

  case 893:
#line 5948 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39302 "preproc.c" /* yacc.c:1648  */
    break;

  case 894:
#line 5952 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39310 "preproc.c" /* yacc.c:1648  */
    break;

  case 895:
#line 5956 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39318 "preproc.c" /* yacc.c:1648  */
    break;

  case 896:
#line 5960 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39326 "preproc.c" /* yacc.c:1648  */
    break;

  case 897:
#line 5968 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39334 "preproc.c" /* yacc.c:1648  */
    break;

  case 898:
#line 5972 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39342 "preproc.c" /* yacc.c:1648  */
    break;

  case 899:
#line 5976 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39350 "preproc.c" /* yacc.c:1648  */
    break;

  case 900:
#line 5980 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39358 "preproc.c" /* yacc.c:1648  */
    break;

  case 901:
#line 5984 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39366 "preproc.c" /* yacc.c:1648  */
    break;

  case 902:
#line 5988 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39374 "preproc.c" /* yacc.c:1648  */
    break;

  case 903:
#line 5992 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39382 "preproc.c" /* yacc.c:1648  */
    break;

  case 904:
#line 5996 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39390 "preproc.c" /* yacc.c:1648  */
    break;

  case 905:
#line 6000 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39398 "preproc.c" /* yacc.c:1648  */
    break;

  case 906:
#line 6004 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39406 "preproc.c" /* yacc.c:1648  */
    break;

  case 907:
#line 6008 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39414 "preproc.c" /* yacc.c:1648  */
    break;

  case 908:
#line 6012 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39422 "preproc.c" /* yacc.c:1648  */
    break;

  case 909:
#line 6016 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39430 "preproc.c" /* yacc.c:1648  */
    break;

  case 910:
#line 6024 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39438 "preproc.c" /* yacc.c:1648  */
    break;

  case 911:
#line 6028 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39446 "preproc.c" /* yacc.c:1648  */
    break;

  case 912:
#line 6032 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39454 "preproc.c" /* yacc.c:1648  */
    break;

  case 913:
#line 6036 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39462 "preproc.c" /* yacc.c:1648  */
    break;

  case 914:
#line 6040 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39470 "preproc.c" /* yacc.c:1648  */
    break;

  case 915:
#line 6044 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39478 "preproc.c" /* yacc.c:1648  */
    break;

  case 916:
#line 6048 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39486 "preproc.c" /* yacc.c:1648  */
    break;

  case 917:
#line 6056 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 39494 "preproc.c" /* yacc.c:1648  */
    break;

  case 918:
#line 6060 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 39502 "preproc.c" /* yacc.c:1648  */
    break;

  case 919:
#line 6064 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 39510 "preproc.c" /* yacc.c:1648  */
    break;

  case 920:
#line 6072 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39518 "preproc.c" /* yacc.c:1648  */
    break;

  case 921:
#line 6076 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39526 "preproc.c" /* yacc.c:1648  */
    break;

  case 922:
#line 6084 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39534 "preproc.c" /* yacc.c:1648  */
    break;

  case 923:
#line 6088 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39542 "preproc.c" /* yacc.c:1648  */
    break;

  case 924:
#line 6096 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 39550 "preproc.c" /* yacc.c:1648  */
    break;

  case 925:
#line 6100 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39558 "preproc.c" /* yacc.c:1648  */
    break;

  case 926:
#line 6108 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39566 "preproc.c" /* yacc.c:1648  */
    break;

  case 928:
#line 6113 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39574 "preproc.c" /* yacc.c:1648  */
    break;

  case 929:
#line 6121 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 39582 "preproc.c" /* yacc.c:1648  */
    break;

  case 930:
#line 6125 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 39590 "preproc.c" /* yacc.c:1648  */
    break;

  case 931:
#line 6129 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 39597 "preproc.c" /* yacc.c:1648  */
    break;

  case 932:
#line 6136 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39605 "preproc.c" /* yacc.c:1648  */
    break;

  case 933:
#line 6140 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39613 "preproc.c" /* yacc.c:1648  */
    break;

  case 934:
#line 6144 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39621 "preproc.c" /* yacc.c:1648  */
    break;

  case 935:
#line 6148 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39629 "preproc.c" /* yacc.c:1648  */
    break;

  case 936:
#line 6152 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39637 "preproc.c" /* yacc.c:1648  */
    break;

  case 937:
#line 6156 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39645 "preproc.c" /* yacc.c:1648  */
    break;

  case 938:
#line 6160 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39653 "preproc.c" /* yacc.c:1648  */
    break;

  case 939:
#line 6164 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39661 "preproc.c" /* yacc.c:1648  */
    break;

  case 940:
#line 6168 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39669 "preproc.c" /* yacc.c:1648  */
    break;

  case 941:
#line 6172 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39677 "preproc.c" /* yacc.c:1648  */
    break;

  case 942:
#line 6176 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39685 "preproc.c" /* yacc.c:1648  */
    break;

  case 943:
#line 6180 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39693 "preproc.c" /* yacc.c:1648  */
    break;

  case 944:
#line 6184 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39701 "preproc.c" /* yacc.c:1648  */
    break;

  case 945:
#line 6188 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39709 "preproc.c" /* yacc.c:1648  */
    break;

  case 946:
#line 6192 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39717 "preproc.c" /* yacc.c:1648  */
    break;

  case 947:
#line 6196 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39725 "preproc.c" /* yacc.c:1648  */
    break;

  case 948:
#line 6200 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 39733 "preproc.c" /* yacc.c:1648  */
    break;

  case 949:
#line 6208 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39741 "preproc.c" /* yacc.c:1648  */
    break;

  case 950:
#line 6212 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39749 "preproc.c" /* yacc.c:1648  */
    break;

  case 951:
#line 6216 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 39757 "preproc.c" /* yacc.c:1648  */
    break;

  case 952:
#line 6220 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 39765 "preproc.c" /* yacc.c:1648  */
    break;

  case 953:
#line 6224 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39773 "preproc.c" /* yacc.c:1648  */
    break;

  case 954:
#line 6228 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 39781 "preproc.c" /* yacc.c:1648  */
    break;

  case 955:
#line 6232 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 39789 "preproc.c" /* yacc.c:1648  */
    break;

  case 956:
#line 6236 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 39797 "preproc.c" /* yacc.c:1648  */
    break;

  case 957:
#line 6240 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 39805 "preproc.c" /* yacc.c:1648  */
    break;

  case 958:
#line 6244 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 39813 "preproc.c" /* yacc.c:1648  */
    break;

  case 959:
#line 6248 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 39821 "preproc.c" /* yacc.c:1648  */
    break;

  case 960:
#line 6252 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 39829 "preproc.c" /* yacc.c:1648  */
    break;

  case 961:
#line 6256 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 39837 "preproc.c" /* yacc.c:1648  */
    break;

  case 962:
#line 6260 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 39845 "preproc.c" /* yacc.c:1648  */
    break;

  case 963:
#line 6268 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 39853 "preproc.c" /* yacc.c:1648  */
    break;

  case 964:
#line 6272 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39861 "preproc.c" /* yacc.c:1648  */
    break;

  case 965:
#line 6276 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 39869 "preproc.c" /* yacc.c:1648  */
    break;

  case 966:
#line 6280 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 39877 "preproc.c" /* yacc.c:1648  */
    break;

  case 967:
#line 6284 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 39885 "preproc.c" /* yacc.c:1648  */
    break;

  case 968:
#line 6288 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 39893 "preproc.c" /* yacc.c:1648  */
    break;

  case 969:
#line 6292 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 39901 "preproc.c" /* yacc.c:1648  */
    break;

  case 970:
#line 6296 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 39909 "preproc.c" /* yacc.c:1648  */
    break;

  case 971:
#line 6300 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39917 "preproc.c" /* yacc.c:1648  */
    break;

  case 972:
#line 6304 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 39925 "preproc.c" /* yacc.c:1648  */
    break;

  case 973:
#line 6308 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 39933 "preproc.c" /* yacc.c:1648  */
    break;

  case 974:
#line 6312 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 39941 "preproc.c" /* yacc.c:1648  */
    break;

  case 975:
#line 6320 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39949 "preproc.c" /* yacc.c:1648  */
    break;

  case 976:
#line 6324 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 39957 "preproc.c" /* yacc.c:1648  */
    break;

  case 977:
#line 6332 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39965 "preproc.c" /* yacc.c:1648  */
    break;

  case 978:
#line 6336 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39973 "preproc.c" /* yacc.c:1648  */
    break;

  case 979:
#line 6340 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39981 "preproc.c" /* yacc.c:1648  */
    break;

  case 980:
#line 6344 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39989 "preproc.c" /* yacc.c:1648  */
    break;

  case 981:
#line 6348 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 39997 "preproc.c" /* yacc.c:1648  */
    break;

  case 982:
#line 6352 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40005 "preproc.c" /* yacc.c:1648  */
    break;

  case 983:
#line 6356 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40013 "preproc.c" /* yacc.c:1648  */
    break;

  case 984:
#line 6364 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 40021 "preproc.c" /* yacc.c:1648  */
    break;

  case 985:
#line 6368 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 40028 "preproc.c" /* yacc.c:1648  */
    break;

  case 986:
#line 6375 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40036 "preproc.c" /* yacc.c:1648  */
    break;

  case 987:
#line 6379 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 40044 "preproc.c" /* yacc.c:1648  */
    break;

  case 988:
#line 6383 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 40052 "preproc.c" /* yacc.c:1648  */
    break;

  case 989:
#line 6387 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 40060 "preproc.c" /* yacc.c:1648  */
    break;

  case 990:
#line 6391 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 40068 "preproc.c" /* yacc.c:1648  */
    break;

  case 991:
#line 6395 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 40076 "preproc.c" /* yacc.c:1648  */
    break;

  case 992:
#line 6403 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 40084 "preproc.c" /* yacc.c:1648  */
    break;

  case 993:
#line 6407 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 40092 "preproc.c" /* yacc.c:1648  */
    break;

  case 994:
#line 6411 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 40100 "preproc.c" /* yacc.c:1648  */
    break;

  case 995:
#line 6415 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 40108 "preproc.c" /* yacc.c:1648  */
    break;

  case 996:
#line 6419 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 40116 "preproc.c" /* yacc.c:1648  */
    break;

  case 997:
#line 6423 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 40124 "preproc.c" /* yacc.c:1648  */
    break;

  case 998:
#line 6427 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 40132 "preproc.c" /* yacc.c:1648  */
    break;

  case 999:
#line 6431 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40140 "preproc.c" /* yacc.c:1648  */
    break;

  case 1000:
#line 6439 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40148 "preproc.c" /* yacc.c:1648  */
    break;

  case 1001:
#line 6443 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 40156 "preproc.c" /* yacc.c:1648  */
    break;

  case 1002:
#line 6451 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 40164 "preproc.c" /* yacc.c:1648  */
    break;

  case 1003:
#line 6455 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 40172 "preproc.c" /* yacc.c:1648  */
    break;

  case 1004:
#line 6459 "preproc.y" /* yacc.c:1648  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 40180 "preproc.c" /* yacc.c:1648  */
    break;

  case 1005:
#line 6463 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 40190 "preproc.c" /* yacc.c:1648  */
    break;

  case 1006:
#line 6469 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 40200 "preproc.c" /* yacc.c:1648  */
    break;

  case 1007:
#line 6475 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 40210 "preproc.c" /* yacc.c:1648  */
    break;

  case 1008:
#line 6481 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 40220 "preproc.c" /* yacc.c:1648  */
    break;

  case 1009:
#line 6487 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 40230 "preproc.c" /* yacc.c:1648  */
    break;

  case 1010:
#line 6493 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 40240 "preproc.c" /* yacc.c:1648  */
    break;

  case 1011:
#line 6499 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 40250 "preproc.c" /* yacc.c:1648  */
    break;

  case 1012:
#line 6505 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 40260 "preproc.c" /* yacc.c:1648  */
    break;

  case 1013:
#line 6515 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40275 "preproc.c" /* yacc.c:1648  */
    break;

  case 1014:
#line 6526 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40290 "preproc.c" /* yacc.c:1648  */
    break;

  case 1015:
#line 6537 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40305 "preproc.c" /* yacc.c:1648  */
    break;

  case 1016:
#line 6548 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40320 "preproc.c" /* yacc.c:1648  */
    break;

  case 1017:
#line 6559 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40335 "preproc.c" /* yacc.c:1648  */
    break;

  case 1018:
#line 6570 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40350 "preproc.c" /* yacc.c:1648  */
    break;

  case 1019:
#line 6581 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40370 "preproc.c" /* yacc.c:1648  */
    break;

  case 1020:
#line 6597 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40390 "preproc.c" /* yacc.c:1648  */
    break;

  case 1021:
#line 6613 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40410 "preproc.c" /* yacc.c:1648  */
    break;

  case 1022:
#line 6629 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40425 "preproc.c" /* yacc.c:1648  */
    break;

  case 1023:
#line 6640 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40445 "preproc.c" /* yacc.c:1648  */
    break;

  case 1024:
#line 6656 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40460 "preproc.c" /* yacc.c:1648  */
    break;

  case 1025:
#line 6667 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40480 "preproc.c" /* yacc.c:1648  */
    break;

  case 1026:
#line 6683 "preproc.y" /* yacc.c:1648  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40495 "preproc.c" /* yacc.c:1648  */
    break;

  case 1027:
#line 6698 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 40503 "preproc.c" /* yacc.c:1648  */
    break;

  case 1028:
#line 6702 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 40511 "preproc.c" /* yacc.c:1648  */
    break;

  case 1029:
#line 6710 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40519 "preproc.c" /* yacc.c:1648  */
    break;

  case 1030:
#line 6714 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 40526 "preproc.c" /* yacc.c:1648  */
    break;

  case 1031:
#line 6721 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40534 "preproc.c" /* yacc.c:1648  */
    break;

  case 1032:
#line 6729 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40542 "preproc.c" /* yacc.c:1648  */
    break;

  case 1033:
#line 6733 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40550 "preproc.c" /* yacc.c:1648  */
    break;

  case 1034:
#line 6741 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40558 "preproc.c" /* yacc.c:1648  */
    break;

  case 1035:
#line 6745 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40566 "preproc.c" /* yacc.c:1648  */
    break;

  case 1036:
#line 6749 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 40574 "preproc.c" /* yacc.c:1648  */
    break;

  case 1037:
#line 6753 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40582 "preproc.c" /* yacc.c:1648  */
    break;

  case 1038:
#line 6757 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40590 "preproc.c" /* yacc.c:1648  */
    break;

  case 1039:
#line 6765 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40598 "preproc.c" /* yacc.c:1648  */
    break;

  case 1040:
#line 6769 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40606 "preproc.c" /* yacc.c:1648  */
    break;

  case 1041:
#line 6777 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 40614 "preproc.c" /* yacc.c:1648  */
    break;

  case 1042:
#line 6781 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 40622 "preproc.c" /* yacc.c:1648  */
    break;

  case 1043:
#line 6785 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 40630 "preproc.c" /* yacc.c:1648  */
    break;

  case 1044:
#line 6789 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40638 "preproc.c" /* yacc.c:1648  */
    break;

  case 1045:
#line 6797 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40646 "preproc.c" /* yacc.c:1648  */
    break;

  case 1046:
#line 6801 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 40654 "preproc.c" /* yacc.c:1648  */
    break;

  case 1047:
#line 6805 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 40662 "preproc.c" /* yacc.c:1648  */
    break;

  case 1048:
#line 6809 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 40670 "preproc.c" /* yacc.c:1648  */
    break;

  case 1049:
#line 6813 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 40678 "preproc.c" /* yacc.c:1648  */
    break;

  case 1050:
#line 6817 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 40686 "preproc.c" /* yacc.c:1648  */
    break;

  case 1051:
#line 6821 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 40694 "preproc.c" /* yacc.c:1648  */
    break;

  case 1052:
#line 6825 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 40702 "preproc.c" /* yacc.c:1648  */
    break;

  case 1053:
#line 6829 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 40710 "preproc.c" /* yacc.c:1648  */
    break;

  case 1054:
#line 6833 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 40718 "preproc.c" /* yacc.c:1648  */
    break;

  case 1055:
#line 6837 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40726 "preproc.c" /* yacc.c:1648  */
    break;

  case 1056:
#line 6841 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 40734 "preproc.c" /* yacc.c:1648  */
    break;

  case 1057:
#line 6845 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 40742 "preproc.c" /* yacc.c:1648  */
    break;

  case 1058:
#line 6849 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 40750 "preproc.c" /* yacc.c:1648  */
    break;

  case 1059:
#line 6853 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 40758 "preproc.c" /* yacc.c:1648  */
    break;

  case 1060:
#line 6857 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 40766 "preproc.c" /* yacc.c:1648  */
    break;

  case 1061:
#line 6865 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40774 "preproc.c" /* yacc.c:1648  */
    break;

  case 1062:
#line 6869 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40782 "preproc.c" /* yacc.c:1648  */
    break;

  case 1063:
#line 6877 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40790 "preproc.c" /* yacc.c:1648  */
    break;

  case 1064:
#line 6881 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 40798 "preproc.c" /* yacc.c:1648  */
    break;

  case 1065:
#line 6889 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 40806 "preproc.c" /* yacc.c:1648  */
    break;

  case 1066:
#line 6893 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 40813 "preproc.c" /* yacc.c:1648  */
    break;

  case 1067:
#line 6900 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40821 "preproc.c" /* yacc.c:1648  */
    break;

  case 1068:
#line 6908 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40829 "preproc.c" /* yacc.c:1648  */
    break;

  case 1069:
#line 6912 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40837 "preproc.c" /* yacc.c:1648  */
    break;

  case 1070:
#line 6920 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 40845 "preproc.c" /* yacc.c:1648  */
    break;

  case 1071:
#line 6924 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 40852 "preproc.c" /* yacc.c:1648  */
    break;

  case 1072:
#line 6931 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 40860 "preproc.c" /* yacc.c:1648  */
    break;

  case 1073:
#line 6935 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 40867 "preproc.c" /* yacc.c:1648  */
    break;

  case 1074:
#line 6942 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40875 "preproc.c" /* yacc.c:1648  */
    break;

  case 1075:
#line 6950 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40883 "preproc.c" /* yacc.c:1648  */
    break;

  case 1076:
#line 6954 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 40890 "preproc.c" /* yacc.c:1648  */
    break;

  case 1077:
#line 6961 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 40898 "preproc.c" /* yacc.c:1648  */
    break;

  case 1078:
#line 6965 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 40906 "preproc.c" /* yacc.c:1648  */
    break;

  case 1079:
#line 6969 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 40914 "preproc.c" /* yacc.c:1648  */
    break;

  case 1080:
#line 6977 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40922 "preproc.c" /* yacc.c:1648  */
    break;

  case 1081:
#line 6981 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40930 "preproc.c" /* yacc.c:1648  */
    break;

  case 1082:
#line 6985 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40938 "preproc.c" /* yacc.c:1648  */
    break;

  case 1083:
#line 6993 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 40946 "preproc.c" /* yacc.c:1648  */
    break;

  case 1084:
#line 6997 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 40954 "preproc.c" /* yacc.c:1648  */
    break;

  case 1085:
#line 7001 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 40962 "preproc.c" /* yacc.c:1648  */
    break;

  case 1086:
#line 7005 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 40970 "preproc.c" /* yacc.c:1648  */
    break;

  case 1087:
#line 7009 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 40978 "preproc.c" /* yacc.c:1648  */
    break;

  case 1088:
#line 7017 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40986 "preproc.c" /* yacc.c:1648  */
    break;

  case 1089:
#line 7021 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40994 "preproc.c" /* yacc.c:1648  */
    break;

  case 1090:
#line 7029 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 41002 "preproc.c" /* yacc.c:1648  */
    break;

  case 1091:
#line 7033 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41009 "preproc.c" /* yacc.c:1648  */
    break;

  case 1092:
#line 7040 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 41017 "preproc.c" /* yacc.c:1648  */
    break;

  case 1093:
#line 7044 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41024 "preproc.c" /* yacc.c:1648  */
    break;

  case 1094:
#line 7051 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41032 "preproc.c" /* yacc.c:1648  */
    break;

  case 1095:
#line 7055 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41039 "preproc.c" /* yacc.c:1648  */
    break;

  case 1096:
#line 7062 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41047 "preproc.c" /* yacc.c:1648  */
    break;

  case 1097:
#line 7066 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41054 "preproc.c" /* yacc.c:1648  */
    break;

  case 1098:
#line 7073 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41062 "preproc.c" /* yacc.c:1648  */
    break;

  case 1099:
#line 7077 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41070 "preproc.c" /* yacc.c:1648  */
    break;

  case 1100:
#line 7085 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41078 "preproc.c" /* yacc.c:1648  */
    break;

  case 1101:
#line 7089 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41086 "preproc.c" /* yacc.c:1648  */
    break;

  case 1102:
#line 7093 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41094 "preproc.c" /* yacc.c:1648  */
    break;

  case 1103:
#line 7101 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 41102 "preproc.c" /* yacc.c:1648  */
    break;

  case 1104:
#line 7105 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41109 "preproc.c" /* yacc.c:1648  */
    break;

  case 1105:
#line 7112 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41117 "preproc.c" /* yacc.c:1648  */
    break;

  case 1106:
#line 7116 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41124 "preproc.c" /* yacc.c:1648  */
    break;

  case 1107:
#line 7123 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 41132 "preproc.c" /* yacc.c:1648  */
    break;

  case 1108:
#line 7127 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 41140 "preproc.c" /* yacc.c:1648  */
    break;

  case 1109:
#line 7131 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41147 "preproc.c" /* yacc.c:1648  */
    break;

  case 1110:
#line 7138 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 41155 "preproc.c" /* yacc.c:1648  */
    break;

  case 1111:
#line 7142 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 41163 "preproc.c" /* yacc.c:1648  */
    break;

  case 1112:
#line 7146 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41170 "preproc.c" /* yacc.c:1648  */
    break;

  case 1113:
#line 7153 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41178 "preproc.c" /* yacc.c:1648  */
    break;

  case 1114:
#line 7157 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41186 "preproc.c" /* yacc.c:1648  */
    break;

  case 1115:
#line 7161 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41194 "preproc.c" /* yacc.c:1648  */
    break;

  case 1116:
#line 7169 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 41202 "preproc.c" /* yacc.c:1648  */
    break;

  case 1117:
#line 7173 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41209 "preproc.c" /* yacc.c:1648  */
    break;

  case 1118:
#line 7180 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41217 "preproc.c" /* yacc.c:1648  */
    break;

  case 1119:
#line 7184 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41225 "preproc.c" /* yacc.c:1648  */
    break;

  case 1120:
#line 7192 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41233 "preproc.c" /* yacc.c:1648  */
    break;

  case 1121:
#line 7196 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41241 "preproc.c" /* yacc.c:1648  */
    break;

  case 1122:
#line 7204 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41249 "preproc.c" /* yacc.c:1648  */
    break;

  case 1123:
#line 7208 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41257 "preproc.c" /* yacc.c:1648  */
    break;

  case 1124:
#line 7216 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41265 "preproc.c" /* yacc.c:1648  */
    break;

  case 1125:
#line 7220 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41273 "preproc.c" /* yacc.c:1648  */
    break;

  case 1126:
#line 7224 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41281 "preproc.c" /* yacc.c:1648  */
    break;

  case 1127:
#line 7228 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41289 "preproc.c" /* yacc.c:1648  */
    break;

  case 1128:
#line 7236 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41297 "preproc.c" /* yacc.c:1648  */
    break;

  case 1129:
#line 7240 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 41305 "preproc.c" /* yacc.c:1648  */
    break;

  case 1130:
#line 7248 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41313 "preproc.c" /* yacc.c:1648  */
    break;

  case 1131:
#line 7252 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41321 "preproc.c" /* yacc.c:1648  */
    break;

  case 1132:
#line 7260 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41329 "preproc.c" /* yacc.c:1648  */
    break;

  case 1133:
#line 7264 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41337 "preproc.c" /* yacc.c:1648  */
    break;

  case 1134:
#line 7268 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41345 "preproc.c" /* yacc.c:1648  */
    break;

  case 1135:
#line 7272 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41353 "preproc.c" /* yacc.c:1648  */
    break;

  case 1136:
#line 7276 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41361 "preproc.c" /* yacc.c:1648  */
    break;

  case 1137:
#line 7284 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 41369 "preproc.c" /* yacc.c:1648  */
    break;

  case 1138:
#line 7288 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 41377 "preproc.c" /* yacc.c:1648  */
    break;

  case 1139:
#line 7292 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 41385 "preproc.c" /* yacc.c:1648  */
    break;

  case 1140:
#line 7296 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 41393 "preproc.c" /* yacc.c:1648  */
    break;

  case 1141:
#line 7300 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 41401 "preproc.c" /* yacc.c:1648  */
    break;

  case 1142:
#line 7308 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41409 "preproc.c" /* yacc.c:1648  */
    break;

  case 1143:
#line 7316 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41417 "preproc.c" /* yacc.c:1648  */
    break;

  case 1144:
#line 7324 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41425 "preproc.c" /* yacc.c:1648  */
    break;

  case 1145:
#line 7328 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41433 "preproc.c" /* yacc.c:1648  */
    break;

  case 1146:
#line 7332 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 41441 "preproc.c" /* yacc.c:1648  */
    break;

  case 1147:
#line 7340 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41449 "preproc.c" /* yacc.c:1648  */
    break;

  case 1148:
#line 7344 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 41457 "preproc.c" /* yacc.c:1648  */
    break;

  case 1149:
#line 7348 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41465 "preproc.c" /* yacc.c:1648  */
    break;

  case 1150:
#line 7356 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 41474 "preproc.c" /* yacc.c:1648  */
    break;

  case 1151:
#line 7365 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 41482 "preproc.c" /* yacc.c:1648  */
    break;

  case 1152:
#line 7369 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41490 "preproc.c" /* yacc.c:1648  */
    break;

  case 1153:
#line 7373 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41498 "preproc.c" /* yacc.c:1648  */
    break;

  case 1154:
#line 7377 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41506 "preproc.c" /* yacc.c:1648  */
    break;

  case 1155:
#line 7385 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41514 "preproc.c" /* yacc.c:1648  */
    break;

  case 1156:
#line 7389 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41522 "preproc.c" /* yacc.c:1648  */
    break;

  case 1157:
#line 7397 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41530 "preproc.c" /* yacc.c:1648  */
    break;

  case 1158:
#line 7405 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41538 "preproc.c" /* yacc.c:1648  */
    break;

  case 1159:
#line 7409 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41546 "preproc.c" /* yacc.c:1648  */
    break;

  case 1160:
#line 7417 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41554 "preproc.c" /* yacc.c:1648  */
    break;

  case 1161:
#line 7421 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41562 "preproc.c" /* yacc.c:1648  */
    break;

  case 1162:
#line 7429 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 41570 "preproc.c" /* yacc.c:1648  */
    break;

  case 1163:
#line 7433 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 41578 "preproc.c" /* yacc.c:1648  */
    break;

  case 1164:
#line 7437 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 41586 "preproc.c" /* yacc.c:1648  */
    break;

  case 1165:
#line 7441 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 41594 "preproc.c" /* yacc.c:1648  */
    break;

  case 1166:
#line 7445 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 41602 "preproc.c" /* yacc.c:1648  */
    break;

  case 1167:
#line 7449 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 41610 "preproc.c" /* yacc.c:1648  */
    break;

  case 1168:
#line 7453 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 41618 "preproc.c" /* yacc.c:1648  */
    break;

  case 1169:
#line 7457 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 41626 "preproc.c" /* yacc.c:1648  */
    break;

  case 1170:
#line 7461 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 41634 "preproc.c" /* yacc.c:1648  */
    break;

  case 1171:
#line 7465 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 41642 "preproc.c" /* yacc.c:1648  */
    break;

  case 1172:
#line 7469 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 41650 "preproc.c" /* yacc.c:1648  */
    break;

  case 1173:
#line 7473 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 41658 "preproc.c" /* yacc.c:1648  */
    break;

  case 1174:
#line 7477 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 41666 "preproc.c" /* yacc.c:1648  */
    break;

  case 1175:
#line 7481 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41674 "preproc.c" /* yacc.c:1648  */
    break;

  case 1176:
#line 7485 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41682 "preproc.c" /* yacc.c:1648  */
    break;

  case 1177:
#line 7489 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 41690 "preproc.c" /* yacc.c:1648  */
    break;

  case 1178:
#line 7497 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 41698 "preproc.c" /* yacc.c:1648  */
    break;

  case 1179:
#line 7501 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 41706 "preproc.c" /* yacc.c:1648  */
    break;

  case 1180:
#line 7505 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 41714 "preproc.c" /* yacc.c:1648  */
    break;

  case 1181:
#line 7509 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 41722 "preproc.c" /* yacc.c:1648  */
    break;

  case 1182:
#line 7513 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41730 "preproc.c" /* yacc.c:1648  */
    break;

  case 1183:
#line 7521 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41738 "preproc.c" /* yacc.c:1648  */
    break;

  case 1184:
#line 7525 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41746 "preproc.c" /* yacc.c:1648  */
    break;

  case 1185:
#line 7533 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 41754 "preproc.c" /* yacc.c:1648  */
    break;

  case 1186:
#line 7537 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 41762 "preproc.c" /* yacc.c:1648  */
    break;

  case 1187:
#line 7545 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41770 "preproc.c" /* yacc.c:1648  */
    break;

  case 1188:
#line 7549 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41777 "preproc.c" /* yacc.c:1648  */
    break;

  case 1189:
#line 7556 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41785 "preproc.c" /* yacc.c:1648  */
    break;

  case 1190:
#line 7564 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41793 "preproc.c" /* yacc.c:1648  */
    break;

  case 1191:
#line 7568 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41801 "preproc.c" /* yacc.c:1648  */
    break;

  case 1192:
#line 7576 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41809 "preproc.c" /* yacc.c:1648  */
    break;

  case 1193:
#line 7584 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41817 "preproc.c" /* yacc.c:1648  */
    break;

  case 1194:
#line 7588 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41825 "preproc.c" /* yacc.c:1648  */
    break;

  case 1195:
#line 7596 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 41833 "preproc.c" /* yacc.c:1648  */
    break;

  case 1196:
#line 7600 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 41840 "preproc.c" /* yacc.c:1648  */
    break;

  case 1197:
#line 7607 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41848 "preproc.c" /* yacc.c:1648  */
    break;

  case 1198:
#line 7611 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41856 "preproc.c" /* yacc.c:1648  */
    break;

  case 1199:
#line 7619 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41864 "preproc.c" /* yacc.c:1648  */
    break;

  case 1200:
#line 7623 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41872 "preproc.c" /* yacc.c:1648  */
    break;

  case 1201:
#line 7631 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41880 "preproc.c" /* yacc.c:1648  */
    break;

  case 1202:
#line 7635 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41888 "preproc.c" /* yacc.c:1648  */
    break;

  case 1203:
#line 7643 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41896 "preproc.c" /* yacc.c:1648  */
    break;

  case 1204:
#line 7647 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41904 "preproc.c" /* yacc.c:1648  */
    break;

  case 1205:
#line 7651 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41912 "preproc.c" /* yacc.c:1648  */
    break;

  case 1206:
#line 7655 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 41920 "preproc.c" /* yacc.c:1648  */
    break;

  case 1207:
#line 7663 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41928 "preproc.c" /* yacc.c:1648  */
    break;

  case 1208:
#line 7667 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41936 "preproc.c" /* yacc.c:1648  */
    break;

  case 1209:
#line 7675 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41944 "preproc.c" /* yacc.c:1648  */
    break;

  case 1210:
#line 7679 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41952 "preproc.c" /* yacc.c:1648  */
    break;

  case 1211:
#line 7687 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41960 "preproc.c" /* yacc.c:1648  */
    break;

  case 1212:
#line 7695 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 41968 "preproc.c" /* yacc.c:1648  */
    break;

  case 1213:
#line 7703 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41976 "preproc.c" /* yacc.c:1648  */
    break;

  case 1214:
#line 7707 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41984 "preproc.c" /* yacc.c:1648  */
    break;

  case 1215:
#line 7715 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41992 "preproc.c" /* yacc.c:1648  */
    break;

  case 1216:
#line 7719 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 42000 "preproc.c" /* yacc.c:1648  */
    break;

  case 1217:
#line 7727 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42008 "preproc.c" /* yacc.c:1648  */
    break;

  case 1218:
#line 7731 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 42016 "preproc.c" /* yacc.c:1648  */
    break;

  case 1219:
#line 7735 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 42024 "preproc.c" /* yacc.c:1648  */
    break;

  case 1220:
#line 7743 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 42032 "preproc.c" /* yacc.c:1648  */
    break;

  case 1221:
#line 7747 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 42040 "preproc.c" /* yacc.c:1648  */
    break;

  case 1222:
#line 7751 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 42047 "preproc.c" /* yacc.c:1648  */
    break;

  case 1223:
#line 7758 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42055 "preproc.c" /* yacc.c:1648  */
    break;

  case 1224:
#line 7766 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 42063 "preproc.c" /* yacc.c:1648  */
    break;

  case 1225:
#line 7770 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 42070 "preproc.c" /* yacc.c:1648  */
    break;

  case 1226:
#line 7777 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42078 "preproc.c" /* yacc.c:1648  */
    break;

  case 1227:
#line 7785 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 42086 "preproc.c" /* yacc.c:1648  */
    break;

  case 1228:
#line 7789 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 42094 "preproc.c" /* yacc.c:1648  */
    break;

  case 1229:
#line 7793 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 42102 "preproc.c" /* yacc.c:1648  */
    break;

  case 1230:
#line 7797 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 42110 "preproc.c" /* yacc.c:1648  */
    break;

  case 1231:
#line 7805 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42118 "preproc.c" /* yacc.c:1648  */
    break;

  case 1232:
#line 7813 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42126 "preproc.c" /* yacc.c:1648  */
    break;

  case 1233:
#line 7817 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42134 "preproc.c" /* yacc.c:1648  */
    break;

  case 1234:
#line 7821 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42142 "preproc.c" /* yacc.c:1648  */
    break;

  case 1235:
#line 7825 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42150 "preproc.c" /* yacc.c:1648  */
    break;

  case 1236:
#line 7833 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 42158 "preproc.c" /* yacc.c:1648  */
    break;

  case 1237:
#line 7837 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42166 "preproc.c" /* yacc.c:1648  */
    break;

  case 1238:
#line 7845 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 42174 "preproc.c" /* yacc.c:1648  */
    break;

  case 1239:
#line 7849 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 42182 "preproc.c" /* yacc.c:1648  */
    break;

  case 1240:
#line 7853 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42190 "preproc.c" /* yacc.c:1648  */
    break;

  case 1241:
#line 7861 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42198 "preproc.c" /* yacc.c:1648  */
    break;

  case 1242:
#line 7865 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42206 "preproc.c" /* yacc.c:1648  */
    break;

  case 1243:
#line 7873 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 42214 "preproc.c" /* yacc.c:1648  */
    break;

  case 1244:
#line 7881 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 42222 "preproc.c" /* yacc.c:1648  */
    break;

  case 1245:
#line 7885 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 42230 "preproc.c" /* yacc.c:1648  */
    break;

  case 1246:
#line 7893 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42238 "preproc.c" /* yacc.c:1648  */
    break;

  case 1247:
#line 7897 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42246 "preproc.c" /* yacc.c:1648  */
    break;

  case 1248:
#line 7901 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42254 "preproc.c" /* yacc.c:1648  */
    break;

  case 1249:
#line 7905 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42262 "preproc.c" /* yacc.c:1648  */
    break;

  case 1250:
#line 7909 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42270 "preproc.c" /* yacc.c:1648  */
    break;

  case 1251:
#line 7913 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42278 "preproc.c" /* yacc.c:1648  */
    break;

  case 1252:
#line 7917 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42286 "preproc.c" /* yacc.c:1648  */
    break;

  case 1253:
#line 7921 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42294 "preproc.c" /* yacc.c:1648  */
    break;

  case 1254:
#line 7925 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42302 "preproc.c" /* yacc.c:1648  */
    break;

  case 1255:
#line 7929 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42310 "preproc.c" /* yacc.c:1648  */
    break;

  case 1256:
#line 7933 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42318 "preproc.c" /* yacc.c:1648  */
    break;

  case 1257:
#line 7937 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42326 "preproc.c" /* yacc.c:1648  */
    break;

  case 1258:
#line 7941 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42334 "preproc.c" /* yacc.c:1648  */
    break;

  case 1259:
#line 7945 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42342 "preproc.c" /* yacc.c:1648  */
    break;

  case 1260:
#line 7949 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42350 "preproc.c" /* yacc.c:1648  */
    break;

  case 1261:
#line 7953 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42358 "preproc.c" /* yacc.c:1648  */
    break;

  case 1262:
#line 7957 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42366 "preproc.c" /* yacc.c:1648  */
    break;

  case 1263:
#line 7961 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42374 "preproc.c" /* yacc.c:1648  */
    break;

  case 1264:
#line 7965 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42382 "preproc.c" /* yacc.c:1648  */
    break;

  case 1265:
#line 7969 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42390 "preproc.c" /* yacc.c:1648  */
    break;

  case 1266:
#line 7973 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42398 "preproc.c" /* yacc.c:1648  */
    break;

  case 1267:
#line 7977 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42406 "preproc.c" /* yacc.c:1648  */
    break;

  case 1268:
#line 7981 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42414 "preproc.c" /* yacc.c:1648  */
    break;

  case 1269:
#line 7985 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42422 "preproc.c" /* yacc.c:1648  */
    break;

  case 1270:
#line 7989 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42430 "preproc.c" /* yacc.c:1648  */
    break;

  case 1271:
#line 7993 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42438 "preproc.c" /* yacc.c:1648  */
    break;

  case 1272:
#line 7997 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42446 "preproc.c" /* yacc.c:1648  */
    break;

  case 1273:
#line 8001 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42454 "preproc.c" /* yacc.c:1648  */
    break;

  case 1274:
#line 8005 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42462 "preproc.c" /* yacc.c:1648  */
    break;

  case 1275:
#line 8009 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42470 "preproc.c" /* yacc.c:1648  */
    break;

  case 1276:
#line 8013 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42478 "preproc.c" /* yacc.c:1648  */
    break;

  case 1277:
#line 8017 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42486 "preproc.c" /* yacc.c:1648  */
    break;

  case 1278:
#line 8021 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42494 "preproc.c" /* yacc.c:1648  */
    break;

  case 1279:
#line 8025 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42502 "preproc.c" /* yacc.c:1648  */
    break;

  case 1280:
#line 8029 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42510 "preproc.c" /* yacc.c:1648  */
    break;

  case 1281:
#line 8033 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42518 "preproc.c" /* yacc.c:1648  */
    break;

  case 1282:
#line 8037 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42526 "preproc.c" /* yacc.c:1648  */
    break;

  case 1283:
#line 8041 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 42534 "preproc.c" /* yacc.c:1648  */
    break;

  case 1284:
#line 8045 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42542 "preproc.c" /* yacc.c:1648  */
    break;

  case 1285:
#line 8049 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42550 "preproc.c" /* yacc.c:1648  */
    break;

  case 1286:
#line 8053 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42558 "preproc.c" /* yacc.c:1648  */
    break;

  case 1287:
#line 8057 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42566 "preproc.c" /* yacc.c:1648  */
    break;

  case 1288:
#line 8061 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42574 "preproc.c" /* yacc.c:1648  */
    break;

  case 1289:
#line 8065 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42582 "preproc.c" /* yacc.c:1648  */
    break;

  case 1290:
#line 8069 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42590 "preproc.c" /* yacc.c:1648  */
    break;

  case 1291:
#line 8073 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42598 "preproc.c" /* yacc.c:1648  */
    break;

  case 1292:
#line 8077 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42606 "preproc.c" /* yacc.c:1648  */
    break;

  case 1293:
#line 8081 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42614 "preproc.c" /* yacc.c:1648  */
    break;

  case 1294:
#line 8085 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42622 "preproc.c" /* yacc.c:1648  */
    break;

  case 1295:
#line 8089 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 42630 "preproc.c" /* yacc.c:1648  */
    break;

  case 1296:
#line 8093 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42638 "preproc.c" /* yacc.c:1648  */
    break;

  case 1297:
#line 8101 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 42646 "preproc.c" /* yacc.c:1648  */
    break;

  case 1298:
#line 8105 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 42653 "preproc.c" /* yacc.c:1648  */
    break;

  case 1299:
#line 8112 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 42661 "preproc.c" /* yacc.c:1648  */
    break;

  case 1300:
#line 8116 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 42668 "preproc.c" /* yacc.c:1648  */
    break;

  case 1301:
#line 8123 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42676 "preproc.c" /* yacc.c:1648  */
    break;

  case 1302:
#line 8127 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42684 "preproc.c" /* yacc.c:1648  */
    break;

  case 1303:
#line 8131 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42692 "preproc.c" /* yacc.c:1648  */
    break;

  case 1304:
#line 8135 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 42700 "preproc.c" /* yacc.c:1648  */
    break;

  case 1305:
#line 8143 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42708 "preproc.c" /* yacc.c:1648  */
    break;

  case 1306:
#line 8147 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42716 "preproc.c" /* yacc.c:1648  */
    break;

  case 1307:
#line 8151 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42724 "preproc.c" /* yacc.c:1648  */
    break;

  case 1308:
#line 8155 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42732 "preproc.c" /* yacc.c:1648  */
    break;

  case 1309:
#line 8159 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42740 "preproc.c" /* yacc.c:1648  */
    break;

  case 1310:
#line 8163 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42748 "preproc.c" /* yacc.c:1648  */
    break;

  case 1311:
#line 8167 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42756 "preproc.c" /* yacc.c:1648  */
    break;

  case 1312:
#line 8171 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42764 "preproc.c" /* yacc.c:1648  */
    break;

  case 1313:
#line 8175 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42772 "preproc.c" /* yacc.c:1648  */
    break;

  case 1314:
#line 8179 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42780 "preproc.c" /* yacc.c:1648  */
    break;

  case 1315:
#line 8183 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42788 "preproc.c" /* yacc.c:1648  */
    break;

  case 1316:
#line 8187 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42796 "preproc.c" /* yacc.c:1648  */
    break;

  case 1317:
#line 8191 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42804 "preproc.c" /* yacc.c:1648  */
    break;

  case 1318:
#line 8195 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42812 "preproc.c" /* yacc.c:1648  */
    break;

  case 1319:
#line 8199 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42820 "preproc.c" /* yacc.c:1648  */
    break;

  case 1320:
#line 8203 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42828 "preproc.c" /* yacc.c:1648  */
    break;

  case 1321:
#line 8207 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42836 "preproc.c" /* yacc.c:1648  */
    break;

  case 1322:
#line 8211 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42844 "preproc.c" /* yacc.c:1648  */
    break;

  case 1323:
#line 8215 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42852 "preproc.c" /* yacc.c:1648  */
    break;

  case 1324:
#line 8219 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42860 "preproc.c" /* yacc.c:1648  */
    break;

  case 1325:
#line 8223 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42868 "preproc.c" /* yacc.c:1648  */
    break;

  case 1326:
#line 8227 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42876 "preproc.c" /* yacc.c:1648  */
    break;

  case 1327:
#line 8231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42884 "preproc.c" /* yacc.c:1648  */
    break;

  case 1328:
#line 8235 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42892 "preproc.c" /* yacc.c:1648  */
    break;

  case 1329:
#line 8239 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 42900 "preproc.c" /* yacc.c:1648  */
    break;

  case 1330:
#line 8247 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42908 "preproc.c" /* yacc.c:1648  */
    break;

  case 1331:
#line 8255 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42916 "preproc.c" /* yacc.c:1648  */
    break;

  case 1332:
#line 8259 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42924 "preproc.c" /* yacc.c:1648  */
    break;

  case 1333:
#line 8267 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 42932 "preproc.c" /* yacc.c:1648  */
    break;

  case 1334:
#line 8271 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42940 "preproc.c" /* yacc.c:1648  */
    break;

  case 1335:
#line 8279 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42948 "preproc.c" /* yacc.c:1648  */
    break;

  case 1336:
#line 8283 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42956 "preproc.c" /* yacc.c:1648  */
    break;

  case 1337:
#line 8287 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42964 "preproc.c" /* yacc.c:1648  */
    break;

  case 1338:
#line 8291 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42972 "preproc.c" /* yacc.c:1648  */
    break;

  case 1339:
#line 8295 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42980 "preproc.c" /* yacc.c:1648  */
    break;

  case 1340:
#line 8303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42988 "preproc.c" /* yacc.c:1648  */
    break;

  case 1341:
#line 8307 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 42996 "preproc.c" /* yacc.c:1648  */
    break;

  case 1342:
#line 8311 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43004 "preproc.c" /* yacc.c:1648  */
    break;

  case 1343:
#line 8315 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43012 "preproc.c" /* yacc.c:1648  */
    break;

  case 1344:
#line 8319 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43020 "preproc.c" /* yacc.c:1648  */
    break;

  case 1345:
#line 8323 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43028 "preproc.c" /* yacc.c:1648  */
    break;

  case 1346:
#line 8327 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43036 "preproc.c" /* yacc.c:1648  */
    break;

  case 1347:
#line 8331 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43044 "preproc.c" /* yacc.c:1648  */
    break;

  case 1348:
#line 8335 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43052 "preproc.c" /* yacc.c:1648  */
    break;

  case 1349:
#line 8339 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43060 "preproc.c" /* yacc.c:1648  */
    break;

  case 1350:
#line 8343 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43068 "preproc.c" /* yacc.c:1648  */
    break;

  case 1351:
#line 8347 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43076 "preproc.c" /* yacc.c:1648  */
    break;

  case 1352:
#line 8351 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43084 "preproc.c" /* yacc.c:1648  */
    break;

  case 1353:
#line 8355 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43092 "preproc.c" /* yacc.c:1648  */
    break;

  case 1354:
#line 8359 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43100 "preproc.c" /* yacc.c:1648  */
    break;

  case 1355:
#line 8363 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43108 "preproc.c" /* yacc.c:1648  */
    break;

  case 1356:
#line 8367 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43116 "preproc.c" /* yacc.c:1648  */
    break;

  case 1357:
#line 8371 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43124 "preproc.c" /* yacc.c:1648  */
    break;

  case 1358:
#line 8375 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43132 "preproc.c" /* yacc.c:1648  */
    break;

  case 1359:
#line 8379 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43140 "preproc.c" /* yacc.c:1648  */
    break;

  case 1360:
#line 8383 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43148 "preproc.c" /* yacc.c:1648  */
    break;

  case 1361:
#line 8387 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 43156 "preproc.c" /* yacc.c:1648  */
    break;

  case 1362:
#line 8395 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43164 "preproc.c" /* yacc.c:1648  */
    break;

  case 1363:
#line 8403 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43172 "preproc.c" /* yacc.c:1648  */
    break;

  case 1364:
#line 8407 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43179 "preproc.c" /* yacc.c:1648  */
    break;

  case 1365:
#line 8414 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 43187 "preproc.c" /* yacc.c:1648  */
    break;

  case 1366:
#line 8418 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 43195 "preproc.c" /* yacc.c:1648  */
    break;

  case 1367:
#line 8426 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43203 "preproc.c" /* yacc.c:1648  */
    break;

  case 1368:
#line 8430 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 43211 "preproc.c" /* yacc.c:1648  */
    break;

  case 1369:
#line 8434 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 43219 "preproc.c" /* yacc.c:1648  */
    break;

  case 1370:
#line 8438 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 43227 "preproc.c" /* yacc.c:1648  */
    break;

  case 1371:
#line 8446 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43235 "preproc.c" /* yacc.c:1648  */
    break;

  case 1372:
#line 8454 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43243 "preproc.c" /* yacc.c:1648  */
    break;

  case 1373:
#line 8458 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43251 "preproc.c" /* yacc.c:1648  */
    break;

  case 1374:
#line 8466 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43259 "preproc.c" /* yacc.c:1648  */
    break;

  case 1375:
#line 8474 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43267 "preproc.c" /* yacc.c:1648  */
    break;

  case 1376:
#line 8478 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 43275 "preproc.c" /* yacc.c:1648  */
    break;

  case 1377:
#line 8482 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 43283 "preproc.c" /* yacc.c:1648  */
    break;

  case 1378:
#line 8486 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43291 "preproc.c" /* yacc.c:1648  */
    break;

  case 1379:
#line 8490 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 43299 "preproc.c" /* yacc.c:1648  */
    break;

  case 1380:
#line 8494 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 43307 "preproc.c" /* yacc.c:1648  */
    break;

  case 1381:
#line 8502 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43315 "preproc.c" /* yacc.c:1648  */
    break;

  case 1382:
#line 8506 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43323 "preproc.c" /* yacc.c:1648  */
    break;

  case 1383:
#line 8514 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43331 "preproc.c" /* yacc.c:1648  */
    break;

  case 1384:
#line 8522 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43339 "preproc.c" /* yacc.c:1648  */
    break;

  case 1385:
#line 8526 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43347 "preproc.c" /* yacc.c:1648  */
    break;

  case 1386:
#line 8530 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43355 "preproc.c" /* yacc.c:1648  */
    break;

  case 1387:
#line 8538 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 43363 "preproc.c" /* yacc.c:1648  */
    break;

  case 1388:
#line 8542 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43371 "preproc.c" /* yacc.c:1648  */
    break;

  case 1389:
#line 8550 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43379 "preproc.c" /* yacc.c:1648  */
    break;

  case 1390:
#line 8554 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43387 "preproc.c" /* yacc.c:1648  */
    break;

  case 1391:
#line 8558 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43395 "preproc.c" /* yacc.c:1648  */
    break;

  case 1392:
#line 8562 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43403 "preproc.c" /* yacc.c:1648  */
    break;

  case 1393:
#line 8566 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43411 "preproc.c" /* yacc.c:1648  */
    break;

  case 1394:
#line 8574 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43419 "preproc.c" /* yacc.c:1648  */
    break;

  case 1395:
#line 8578 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43426 "preproc.c" /* yacc.c:1648  */
    break;

  case 1396:
#line 8585 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 43434 "preproc.c" /* yacc.c:1648  */
    break;

  case 1397:
#line 8589 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 43442 "preproc.c" /* yacc.c:1648  */
    break;

  case 1398:
#line 8593 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 43450 "preproc.c" /* yacc.c:1648  */
    break;

  case 1399:
#line 8597 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43458 "preproc.c" /* yacc.c:1648  */
    break;

  case 1400:
#line 8605 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43466 "preproc.c" /* yacc.c:1648  */
    break;

  case 1401:
#line 8609 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 43474 "preproc.c" /* yacc.c:1648  */
    break;

  case 1402:
#line 8613 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43481 "preproc.c" /* yacc.c:1648  */
    break;

  case 1403:
#line 8620 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43489 "preproc.c" /* yacc.c:1648  */
    break;

  case 1404:
#line 8628 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 43497 "preproc.c" /* yacc.c:1648  */
    break;

  case 1405:
#line 8632 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43504 "preproc.c" /* yacc.c:1648  */
    break;

  case 1406:
#line 8639 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 43512 "preproc.c" /* yacc.c:1648  */
    break;

  case 1407:
#line 8647 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 43520 "preproc.c" /* yacc.c:1648  */
    break;

  case 1408:
#line 8651 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 43528 "preproc.c" /* yacc.c:1648  */
    break;

  case 1409:
#line 8659 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 43536 "preproc.c" /* yacc.c:1648  */
    break;

  case 1410:
#line 8663 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43544 "preproc.c" /* yacc.c:1648  */
    break;

  case 1411:
#line 8667 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 43552 "preproc.c" /* yacc.c:1648  */
    break;

  case 1412:
#line 8671 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 43560 "preproc.c" /* yacc.c:1648  */
    break;

  case 1413:
#line 8675 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 43568 "preproc.c" /* yacc.c:1648  */
    break;

  case 1414:
#line 8679 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 43576 "preproc.c" /* yacc.c:1648  */
    break;

  case 1415:
#line 8683 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 43584 "preproc.c" /* yacc.c:1648  */
    break;

  case 1416:
#line 8687 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 43592 "preproc.c" /* yacc.c:1648  */
    break;

  case 1417:
#line 8691 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 43600 "preproc.c" /* yacc.c:1648  */
    break;

  case 1418:
#line 8695 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 43608 "preproc.c" /* yacc.c:1648  */
    break;

  case 1419:
#line 8699 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43616 "preproc.c" /* yacc.c:1648  */
    break;

  case 1420:
#line 8703 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 43624 "preproc.c" /* yacc.c:1648  */
    break;

  case 1421:
#line 8707 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 43632 "preproc.c" /* yacc.c:1648  */
    break;

  case 1422:
#line 8711 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 43640 "preproc.c" /* yacc.c:1648  */
    break;

  case 1423:
#line 8719 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 43648 "preproc.c" /* yacc.c:1648  */
    break;

  case 1424:
#line 8723 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 43656 "preproc.c" /* yacc.c:1648  */
    break;

  case 1425:
#line 8727 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43663 "preproc.c" /* yacc.c:1648  */
    break;

  case 1426:
#line 8734 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 43671 "preproc.c" /* yacc.c:1648  */
    break;

  case 1427:
#line 8738 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 43679 "preproc.c" /* yacc.c:1648  */
    break;

  case 1428:
#line 8742 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 43687 "preproc.c" /* yacc.c:1648  */
    break;

  case 1429:
#line 8746 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43695 "preproc.c" /* yacc.c:1648  */
    break;

  case 1430:
#line 8750 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43703 "preproc.c" /* yacc.c:1648  */
    break;

  case 1431:
#line 8758 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43711 "preproc.c" /* yacc.c:1648  */
    break;

  case 1432:
#line 8762 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43719 "preproc.c" /* yacc.c:1648  */
    break;

  case 1433:
#line 8766 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43727 "preproc.c" /* yacc.c:1648  */
    break;

  case 1434:
#line 8774 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43735 "preproc.c" /* yacc.c:1648  */
    break;

  case 1435:
#line 8778 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43742 "preproc.c" /* yacc.c:1648  */
    break;

  case 1436:
#line 8785 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43750 "preproc.c" /* yacc.c:1648  */
    break;

  case 1437:
#line 8789 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43758 "preproc.c" /* yacc.c:1648  */
    break;

  case 1438:
#line 8793 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43767 "preproc.c" /* yacc.c:1648  */
    break;

  case 1439:
#line 8798 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43776 "preproc.c" /* yacc.c:1648  */
    break;

  case 1440:
#line 8807 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 43784 "preproc.c" /* yacc.c:1648  */
    break;

  case 1441:
#line 8811 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 43792 "preproc.c" /* yacc.c:1648  */
    break;

  case 1442:
#line 8815 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 43800 "preproc.c" /* yacc.c:1648  */
    break;

  case 1443:
#line 8819 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43807 "preproc.c" /* yacc.c:1648  */
    break;

  case 1444:
#line 8826 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 43815 "preproc.c" /* yacc.c:1648  */
    break;

  case 1445:
#line 8834 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43823 "preproc.c" /* yacc.c:1648  */
    break;

  case 1446:
#line 8842 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43831 "preproc.c" /* yacc.c:1648  */
    break;

  case 1447:
#line 8846 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43838 "preproc.c" /* yacc.c:1648  */
    break;

  case 1448:
#line 8853 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43846 "preproc.c" /* yacc.c:1648  */
    break;

  case 1449:
#line 8857 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43854 "preproc.c" /* yacc.c:1648  */
    break;

  case 1450:
#line 8865 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43862 "preproc.c" /* yacc.c:1648  */
    break;

  case 1451:
#line 8869 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43870 "preproc.c" /* yacc.c:1648  */
    break;

  case 1452:
#line 8873 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 43878 "preproc.c" /* yacc.c:1648  */
    break;

  case 1453:
#line 8881 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43886 "preproc.c" /* yacc.c:1648  */
    break;

  case 1454:
#line 8885 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 43894 "preproc.c" /* yacc.c:1648  */
    break;

  case 1455:
#line 8889 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 43902 "preproc.c" /* yacc.c:1648  */
    break;

  case 1456:
#line 8893 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43910 "preproc.c" /* yacc.c:1648  */
    break;

  case 1457:
#line 8897 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43918 "preproc.c" /* yacc.c:1648  */
    break;

  case 1458:
#line 8901 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 43926 "preproc.c" /* yacc.c:1648  */
    break;

  case 1459:
#line 8905 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 43934 "preproc.c" /* yacc.c:1648  */
    break;

  case 1460:
#line 8913 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 43942 "preproc.c" /* yacc.c:1648  */
    break;

  case 1461:
#line 8917 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 43949 "preproc.c" /* yacc.c:1648  */
    break;

  case 1462:
#line 8924 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43957 "preproc.c" /* yacc.c:1648  */
    break;

  case 1463:
#line 8928 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43965 "preproc.c" /* yacc.c:1648  */
    break;

  case 1464:
#line 8932 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 43973 "preproc.c" /* yacc.c:1648  */
    break;

  case 1465:
#line 8940 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43981 "preproc.c" /* yacc.c:1648  */
    break;

  case 1466:
#line 8948 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 43989 "preproc.c" /* yacc.c:1648  */
    break;

  case 1467:
#line 8952 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 43997 "preproc.c" /* yacc.c:1648  */
    break;

  case 1468:
#line 8960 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 44005 "preproc.c" /* yacc.c:1648  */
    break;

  case 1469:
#line 8968 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 44013 "preproc.c" /* yacc.c:1648  */
    break;

  case 1470:
#line 8972 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 44021 "preproc.c" /* yacc.c:1648  */
    break;

  case 1471:
#line 8980 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44029 "preproc.c" /* yacc.c:1648  */
    break;

  case 1472:
#line 8988 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44037 "preproc.c" /* yacc.c:1648  */
    break;

  case 1473:
#line 8992 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 44045 "preproc.c" /* yacc.c:1648  */
    break;

  case 1474:
#line 8996 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 44053 "preproc.c" /* yacc.c:1648  */
    break;

  case 1475:
#line 9000 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 44061 "preproc.c" /* yacc.c:1648  */
    break;

  case 1476:
#line 9004 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44069 "preproc.c" /* yacc.c:1648  */
    break;

  case 1477:
#line 9008 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44077 "preproc.c" /* yacc.c:1648  */
    break;

  case 1478:
#line 9012 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 44085 "preproc.c" /* yacc.c:1648  */
    break;

  case 1479:
#line 9020 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 44093 "preproc.c" /* yacc.c:1648  */
    break;

  case 1480:
#line 9024 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44100 "preproc.c" /* yacc.c:1648  */
    break;

  case 1481:
#line 9031 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44108 "preproc.c" /* yacc.c:1648  */
    break;

  case 1482:
#line 9039 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44116 "preproc.c" /* yacc.c:1648  */
    break;

  case 1483:
#line 9043 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44124 "preproc.c" /* yacc.c:1648  */
    break;

  case 1484:
#line 9047 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44132 "preproc.c" /* yacc.c:1648  */
    break;

  case 1485:
#line 9051 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44140 "preproc.c" /* yacc.c:1648  */
    break;

  case 1486:
#line 9055 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 44148 "preproc.c" /* yacc.c:1648  */
    break;

  case 1487:
#line 9059 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 44156 "preproc.c" /* yacc.c:1648  */
    break;

  case 1488:
#line 9067 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44164 "preproc.c" /* yacc.c:1648  */
    break;

  case 1489:
#line 9071 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 44172 "preproc.c" /* yacc.c:1648  */
    break;

  case 1490:
#line 9079 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 44180 "preproc.c" /* yacc.c:1648  */
    break;

  case 1491:
#line 9087 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44188 "preproc.c" /* yacc.c:1648  */
    break;

  case 1492:
#line 9091 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 44196 "preproc.c" /* yacc.c:1648  */
    break;

  case 1493:
#line 9095 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 44204 "preproc.c" /* yacc.c:1648  */
    break;

  case 1494:
#line 9103 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44212 "preproc.c" /* yacc.c:1648  */
    break;

  case 1495:
#line 9107 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44219 "preproc.c" /* yacc.c:1648  */
    break;

  case 1496:
#line 9114 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44227 "preproc.c" /* yacc.c:1648  */
    break;

  case 1497:
#line 9118 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44235 "preproc.c" /* yacc.c:1648  */
    break;

  case 1498:
#line 9122 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44243 "preproc.c" /* yacc.c:1648  */
    break;

  case 1499:
#line 9126 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44251 "preproc.c" /* yacc.c:1648  */
    break;

  case 1500:
#line 9130 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44259 "preproc.c" /* yacc.c:1648  */
    break;

  case 1501:
#line 9138 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44267 "preproc.c" /* yacc.c:1648  */
    break;

  case 1502:
#line 9142 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44275 "preproc.c" /* yacc.c:1648  */
    break;

  case 1503:
#line 9150 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44283 "preproc.c" /* yacc.c:1648  */
    break;

  case 1504:
#line 9154 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44291 "preproc.c" /* yacc.c:1648  */
    break;

  case 1505:
#line 9158 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44299 "preproc.c" /* yacc.c:1648  */
    break;

  case 1506:
#line 9162 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44307 "preproc.c" /* yacc.c:1648  */
    break;

  case 1507:
#line 9166 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44315 "preproc.c" /* yacc.c:1648  */
    break;

  case 1508:
#line 9174 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44323 "preproc.c" /* yacc.c:1648  */
    break;

  case 1509:
#line 9178 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44331 "preproc.c" /* yacc.c:1648  */
    break;

  case 1510:
#line 9186 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44339 "preproc.c" /* yacc.c:1648  */
    break;

  case 1511:
#line 9190 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44347 "preproc.c" /* yacc.c:1648  */
    break;

  case 1512:
#line 9198 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44355 "preproc.c" /* yacc.c:1648  */
    break;

  case 1513:
#line 9202 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44362 "preproc.c" /* yacc.c:1648  */
    break;

  case 1514:
#line 9209 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44370 "preproc.c" /* yacc.c:1648  */
    break;

  case 1515:
#line 9213 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44377 "preproc.c" /* yacc.c:1648  */
    break;

  case 1516:
#line 9220 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44385 "preproc.c" /* yacc.c:1648  */
    break;

  case 1517:
#line 9224 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44392 "preproc.c" /* yacc.c:1648  */
    break;

  case 1518:
#line 9231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44400 "preproc.c" /* yacc.c:1648  */
    break;

  case 1519:
#line 9235 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44407 "preproc.c" /* yacc.c:1648  */
    break;

  case 1520:
#line 9242 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 44415 "preproc.c" /* yacc.c:1648  */
    break;

  case 1521:
#line 9246 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44423 "preproc.c" /* yacc.c:1648  */
    break;

  case 1522:
#line 9250 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 44431 "preproc.c" /* yacc.c:1648  */
    break;

  case 1523:
#line 9254 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44439 "preproc.c" /* yacc.c:1648  */
    break;

  case 1524:
#line 9262 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44447 "preproc.c" /* yacc.c:1648  */
    break;

  case 1525:
#line 9266 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44455 "preproc.c" /* yacc.c:1648  */
    break;

  case 1526:
#line 9270 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44463 "preproc.c" /* yacc.c:1648  */
    break;

  case 1527:
#line 9274 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44471 "preproc.c" /* yacc.c:1648  */
    break;

  case 1528:
#line 9278 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44479 "preproc.c" /* yacc.c:1648  */
    break;

  case 1529:
#line 9282 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44487 "preproc.c" /* yacc.c:1648  */
    break;

  case 1530:
#line 9286 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44495 "preproc.c" /* yacc.c:1648  */
    break;

  case 1531:
#line 9290 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44503 "preproc.c" /* yacc.c:1648  */
    break;

  case 1532:
#line 9294 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44511 "preproc.c" /* yacc.c:1648  */
    break;

  case 1533:
#line 9302 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44519 "preproc.c" /* yacc.c:1648  */
    break;

  case 1534:
#line 9306 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44527 "preproc.c" /* yacc.c:1648  */
    break;

  case 1535:
#line 9314 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44535 "preproc.c" /* yacc.c:1648  */
    break;

  case 1536:
#line 9322 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44543 "preproc.c" /* yacc.c:1648  */
    break;

  case 1537:
#line 9326 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44551 "preproc.c" /* yacc.c:1648  */
    break;

  case 1538:
#line 9334 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44559 "preproc.c" /* yacc.c:1648  */
    break;

  case 1539:
#line 9338 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44567 "preproc.c" /* yacc.c:1648  */
    break;

  case 1540:
#line 9342 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44574 "preproc.c" /* yacc.c:1648  */
    break;

  case 1541:
#line 9349 "preproc.y" /* yacc.c:1648  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 44584 "preproc.c" /* yacc.c:1648  */
    break;

  case 1542:
#line 9355 "preproc.y" /* yacc.c:1648  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 44594 "preproc.c" /* yacc.c:1648  */
    break;

  case 1543:
#line 9365 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44602 "preproc.c" /* yacc.c:1648  */
    break;

  case 1544:
#line 9369 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44609 "preproc.c" /* yacc.c:1648  */
    break;

  case 1545:
#line 9376 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44617 "preproc.c" /* yacc.c:1648  */
    break;

  case 1546:
#line 9380 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44625 "preproc.c" /* yacc.c:1648  */
    break;

  case 1547:
#line 9384 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44633 "preproc.c" /* yacc.c:1648  */
    break;

  case 1548:
#line 9388 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44641 "preproc.c" /* yacc.c:1648  */
    break;

  case 1549:
#line 9396 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 44647 "preproc.c" /* yacc.c:1648  */
    break;

  case 1550:
#line 9398 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44655 "preproc.c" /* yacc.c:1648  */
    break;

  case 1551:
#line 9406 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44663 "preproc.c" /* yacc.c:1648  */
    break;

  case 1552:
#line 9410 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44670 "preproc.c" /* yacc.c:1648  */
    break;

  case 1553:
#line 9417 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44678 "preproc.c" /* yacc.c:1648  */
    break;

  case 1554:
#line 9425 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44686 "preproc.c" /* yacc.c:1648  */
    break;

  case 1555:
#line 9429 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 44694 "preproc.c" /* yacc.c:1648  */
    break;

  case 1556:
#line 9437 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44702 "preproc.c" /* yacc.c:1648  */
    break;

  case 1557:
#line 9441 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44710 "preproc.c" /* yacc.c:1648  */
    break;

  case 1558:
#line 9445 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44718 "preproc.c" /* yacc.c:1648  */
    break;

  case 1559:
#line 9449 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 44726 "preproc.c" /* yacc.c:1648  */
    break;

  case 1560:
#line 9453 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 44734 "preproc.c" /* yacc.c:1648  */
    break;

  case 1561:
#line 9461 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44742 "preproc.c" /* yacc.c:1648  */
    break;

  case 1562:
#line 9465 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44750 "preproc.c" /* yacc.c:1648  */
    break;

  case 1563:
#line 9473 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44758 "preproc.c" /* yacc.c:1648  */
    break;

  case 1564:
#line 9477 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44766 "preproc.c" /* yacc.c:1648  */
    break;

  case 1565:
#line 9485 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44774 "preproc.c" /* yacc.c:1648  */
    break;

  case 1566:
#line 9493 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44782 "preproc.c" /* yacc.c:1648  */
    break;

  case 1567:
#line 9497 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 44790 "preproc.c" /* yacc.c:1648  */
    break;

  case 1568:
#line 9501 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44797 "preproc.c" /* yacc.c:1648  */
    break;

  case 1569:
#line 9508 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44805 "preproc.c" /* yacc.c:1648  */
    break;

  case 1570:
#line 9512 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 44813 "preproc.c" /* yacc.c:1648  */
    break;

  case 1571:
#line 9516 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44820 "preproc.c" /* yacc.c:1648  */
    break;

  case 1572:
#line 9523 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 44828 "preproc.c" /* yacc.c:1648  */
    break;

  case 1573:
#line 9527 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44835 "preproc.c" /* yacc.c:1648  */
    break;

  case 1574:
#line 9534 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44843 "preproc.c" /* yacc.c:1648  */
    break;

  case 1575:
#line 9542 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 44851 "preproc.c" /* yacc.c:1648  */
    break;

  case 1576:
#line 9546 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44858 "preproc.c" /* yacc.c:1648  */
    break;

  case 1577:
#line 9553 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44866 "preproc.c" /* yacc.c:1648  */
    break;

  case 1578:
#line 9561 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 44874 "preproc.c" /* yacc.c:1648  */
    break;

  case 1579:
#line 9565 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44881 "preproc.c" /* yacc.c:1648  */
    break;

  case 1580:
#line 9572 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 44889 "preproc.c" /* yacc.c:1648  */
    break;

  case 1581:
#line 9576 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 44897 "preproc.c" /* yacc.c:1648  */
    break;

  case 1582:
#line 9580 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 44905 "preproc.c" /* yacc.c:1648  */
    break;

  case 1583:
#line 9584 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 44913 "preproc.c" /* yacc.c:1648  */
    break;

  case 1584:
#line 9588 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 44921 "preproc.c" /* yacc.c:1648  */
    break;

  case 1585:
#line 9592 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 44929 "preproc.c" /* yacc.c:1648  */
    break;

  case 1586:
#line 9596 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 44937 "preproc.c" /* yacc.c:1648  */
    break;

  case 1587:
#line 9600 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 44945 "preproc.c" /* yacc.c:1648  */
    break;

  case 1588:
#line 9608 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44953 "preproc.c" /* yacc.c:1648  */
    break;

  case 1589:
#line 9612 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44960 "preproc.c" /* yacc.c:1648  */
    break;

  case 1590:
#line 9619 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 44968 "preproc.c" /* yacc.c:1648  */
    break;

  case 1591:
#line 9623 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 44976 "preproc.c" /* yacc.c:1648  */
    break;

  case 1592:
#line 9627 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 44983 "preproc.c" /* yacc.c:1648  */
    break;

  case 1593:
#line 9634 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44991 "preproc.c" /* yacc.c:1648  */
    break;

  case 1594:
#line 9642 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44999 "preproc.c" /* yacc.c:1648  */
    break;

  case 1595:
#line 9646 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45007 "preproc.c" /* yacc.c:1648  */
    break;

  case 1596:
#line 9654 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45015 "preproc.c" /* yacc.c:1648  */
    break;

  case 1597:
#line 9658 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 45023 "preproc.c" /* yacc.c:1648  */
    break;

  case 1598:
#line 9666 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45031 "preproc.c" /* yacc.c:1648  */
    break;

  case 1599:
#line 9674 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45039 "preproc.c" /* yacc.c:1648  */
    break;

  case 1600:
#line 9678 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45047 "preproc.c" /* yacc.c:1648  */
    break;

  case 1601:
#line 9686 "preproc.y" /* yacc.c:1648  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 45100 "preproc.c" /* yacc.c:1648  */
    break;

  case 1602:
#line 9739 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45108 "preproc.c" /* yacc.c:1648  */
    break;

  case 1603:
#line 9743 "preproc.y" /* yacc.c:1648  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 45120 "preproc.c" /* yacc.c:1648  */
    break;

  case 1604:
#line 9755 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45127 "preproc.c" /* yacc.c:1648  */
    break;

  case 1605:
#line 9758 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 45135 "preproc.c" /* yacc.c:1648  */
    break;

  case 1606:
#line 9762 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 45143 "preproc.c" /* yacc.c:1648  */
    break;

  case 1607:
#line 9766 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 45151 "preproc.c" /* yacc.c:1648  */
    break;

  case 1608:
#line 9770 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 45159 "preproc.c" /* yacc.c:1648  */
    break;

  case 1609:
#line 9778 "preproc.y" /* yacc.c:1648  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 45170 "preproc.c" /* yacc.c:1648  */
    break;

  case 1610:
#line 9785 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 45178 "preproc.c" /* yacc.c:1648  */
    break;

  case 1611:
#line 9789 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 45186 "preproc.c" /* yacc.c:1648  */
    break;

  case 1612:
#line 9797 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45194 "preproc.c" /* yacc.c:1648  */
    break;

  case 1613:
#line 9801 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45202 "preproc.c" /* yacc.c:1648  */
    break;

  case 1614:
#line 9809 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45210 "preproc.c" /* yacc.c:1648  */
    break;

  case 1615:
#line 9813 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45218 "preproc.c" /* yacc.c:1648  */
    break;

  case 1616:
#line 9821 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45226 "preproc.c" /* yacc.c:1648  */
    break;

  case 1617:
#line 9825 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45234 "preproc.c" /* yacc.c:1648  */
    break;

  case 1618:
#line 9829 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45242 "preproc.c" /* yacc.c:1648  */
    break;

  case 1619:
#line 9833 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45250 "preproc.c" /* yacc.c:1648  */
    break;

  case 1620:
#line 9837 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45258 "preproc.c" /* yacc.c:1648  */
    break;

  case 1621:
#line 9841 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45266 "preproc.c" /* yacc.c:1648  */
    break;

  case 1622:
#line 9845 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45274 "preproc.c" /* yacc.c:1648  */
    break;

  case 1623:
#line 9849 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45282 "preproc.c" /* yacc.c:1648  */
    break;

  case 1624:
#line 9857 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45290 "preproc.c" /* yacc.c:1648  */
    break;

  case 1625:
#line 9861 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45298 "preproc.c" /* yacc.c:1648  */
    break;

  case 1626:
#line 9869 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45306 "preproc.c" /* yacc.c:1648  */
    break;

  case 1627:
#line 9873 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45314 "preproc.c" /* yacc.c:1648  */
    break;

  case 1628:
#line 9877 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45322 "preproc.c" /* yacc.c:1648  */
    break;

  case 1629:
#line 9881 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45330 "preproc.c" /* yacc.c:1648  */
    break;

  case 1630:
#line 9885 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45338 "preproc.c" /* yacc.c:1648  */
    break;

  case 1631:
#line 9889 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45346 "preproc.c" /* yacc.c:1648  */
    break;

  case 1632:
#line 9893 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45354 "preproc.c" /* yacc.c:1648  */
    break;

  case 1633:
#line 9901 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45362 "preproc.c" /* yacc.c:1648  */
    break;

  case 1634:
#line 9905 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 45370 "preproc.c" /* yacc.c:1648  */
    break;

  case 1635:
#line 9909 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 45378 "preproc.c" /* yacc.c:1648  */
    break;

  case 1636:
#line 9917 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45386 "preproc.c" /* yacc.c:1648  */
    break;

  case 1637:
#line 9921 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45394 "preproc.c" /* yacc.c:1648  */
    break;

  case 1638:
#line 9929 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45402 "preproc.c" /* yacc.c:1648  */
    break;

  case 1639:
#line 9937 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45410 "preproc.c" /* yacc.c:1648  */
    break;

  case 1640:
#line 9941 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45417 "preproc.c" /* yacc.c:1648  */
    break;

  case 1641:
#line 9948 "preproc.y" /* yacc.c:1648  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 45426 "preproc.c" /* yacc.c:1648  */
    break;

  case 1642:
#line 9952 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 45432 "preproc.c" /* yacc.c:1648  */
    break;

  case 1643:
#line 9954 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45439 "preproc.c" /* yacc.c:1648  */
    break;

  case 1644:
#line 9961 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45447 "preproc.c" /* yacc.c:1648  */
    break;

  case 1645:
#line 9965 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45455 "preproc.c" /* yacc.c:1648  */
    break;

  case 1646:
#line 9969 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45463 "preproc.c" /* yacc.c:1648  */
    break;

  case 1647:
#line 9973 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45471 "preproc.c" /* yacc.c:1648  */
    break;

  case 1648:
#line 9977 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45479 "preproc.c" /* yacc.c:1648  */
    break;

  case 1649:
#line 9981 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45487 "preproc.c" /* yacc.c:1648  */
    break;

  case 1650:
#line 9985 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45495 "preproc.c" /* yacc.c:1648  */
    break;

  case 1651:
#line 9989 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 45503 "preproc.c" /* yacc.c:1648  */
    break;

  case 1652:
#line 9993 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45511 "preproc.c" /* yacc.c:1648  */
    break;

  case 1653:
#line 10001 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45519 "preproc.c" /* yacc.c:1648  */
    break;

  case 1654:
#line 10005 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45526 "preproc.c" /* yacc.c:1648  */
    break;

  case 1655:
#line 10012 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45534 "preproc.c" /* yacc.c:1648  */
    break;

  case 1656:
#line 10016 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45542 "preproc.c" /* yacc.c:1648  */
    break;

  case 1657:
#line 10020 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45549 "preproc.c" /* yacc.c:1648  */
    break;

  case 1658:
#line 10027 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45557 "preproc.c" /* yacc.c:1648  */
    break;

  case 1659:
#line 10031 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45565 "preproc.c" /* yacc.c:1648  */
    break;

  case 1660:
#line 10039 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45573 "preproc.c" /* yacc.c:1648  */
    break;

  case 1661:
#line 10043 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45580 "preproc.c" /* yacc.c:1648  */
    break;

  case 1662:
#line 10050 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45588 "preproc.c" /* yacc.c:1648  */
    break;

  case 1663:
#line 10054 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45595 "preproc.c" /* yacc.c:1648  */
    break;

  case 1664:
#line 10061 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 45603 "preproc.c" /* yacc.c:1648  */
    break;

  case 1665:
#line 10069 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45611 "preproc.c" /* yacc.c:1648  */
    break;

  case 1666:
#line 10073 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45619 "preproc.c" /* yacc.c:1648  */
    break;

  case 1667:
#line 10081 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45627 "preproc.c" /* yacc.c:1648  */
    break;

  case 1668:
#line 10085 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45635 "preproc.c" /* yacc.c:1648  */
    break;

  case 1669:
#line 10093 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45643 "preproc.c" /* yacc.c:1648  */
    break;

  case 1670:
#line 10097 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45651 "preproc.c" /* yacc.c:1648  */
    break;

  case 1671:
#line 10101 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45659 "preproc.c" /* yacc.c:1648  */
    break;

  case 1672:
#line 10105 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45667 "preproc.c" /* yacc.c:1648  */
    break;

  case 1673:
#line 10113 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45675 "preproc.c" /* yacc.c:1648  */
    break;

  case 1674:
#line 10117 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45682 "preproc.c" /* yacc.c:1648  */
    break;

  case 1675:
#line 10124 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 45690 "preproc.c" /* yacc.c:1648  */
    break;

  case 1676:
#line 10128 "preproc.y" /* yacc.c:1648  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 45699 "preproc.c" /* yacc.c:1648  */
    break;

  case 1677:
#line 10133 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 45707 "preproc.c" /* yacc.c:1648  */
    break;

  case 1678:
#line 10141 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 45715 "preproc.c" /* yacc.c:1648  */
    break;

  case 1679:
#line 10145 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45723 "preproc.c" /* yacc.c:1648  */
    break;

  case 1680:
#line 10153 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45731 "preproc.c" /* yacc.c:1648  */
    break;

  case 1681:
#line 10157 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45739 "preproc.c" /* yacc.c:1648  */
    break;

  case 1682:
#line 10165 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45747 "preproc.c" /* yacc.c:1648  */
    break;

  case 1683:
#line 10173 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45755 "preproc.c" /* yacc.c:1648  */
    break;

  case 1684:
#line 10177 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45763 "preproc.c" /* yacc.c:1648  */
    break;

  case 1685:
#line 10181 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45770 "preproc.c" /* yacc.c:1648  */
    break;

  case 1686:
#line 10188 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45778 "preproc.c" /* yacc.c:1648  */
    break;

  case 1687:
#line 10196 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45786 "preproc.c" /* yacc.c:1648  */
    break;

  case 1688:
#line 10200 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 45794 "preproc.c" /* yacc.c:1648  */
    break;

  case 1689:
#line 10208 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 45802 "preproc.c" /* yacc.c:1648  */
    break;

  case 1690:
#line 10212 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 45810 "preproc.c" /* yacc.c:1648  */
    break;

  case 1691:
#line 10220 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 45818 "preproc.c" /* yacc.c:1648  */
    break;

  case 1692:
#line 10224 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45825 "preproc.c" /* yacc.c:1648  */
    break;

  case 1693:
#line 10231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45833 "preproc.c" /* yacc.c:1648  */
    break;

  case 1694:
#line 10235 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45841 "preproc.c" /* yacc.c:1648  */
    break;

  case 1695:
#line 10243 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45849 "preproc.c" /* yacc.c:1648  */
    break;

  case 1696:
#line 10247 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45857 "preproc.c" /* yacc.c:1648  */
    break;

  case 1697:
#line 10251 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45865 "preproc.c" /* yacc.c:1648  */
    break;

  case 1698:
#line 10255 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45873 "preproc.c" /* yacc.c:1648  */
    break;

  case 1699:
#line 10259 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45881 "preproc.c" /* yacc.c:1648  */
    break;

  case 1700:
#line 10267 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 45889 "preproc.c" /* yacc.c:1648  */
    break;

  case 1701:
#line 10275 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45897 "preproc.c" /* yacc.c:1648  */
    break;

  case 1702:
#line 10283 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45905 "preproc.c" /* yacc.c:1648  */
    break;

  case 1703:
#line 10291 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45913 "preproc.c" /* yacc.c:1648  */
    break;

  case 1704:
#line 10299 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 45921 "preproc.c" /* yacc.c:1648  */
    break;

  case 1705:
#line 10303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45928 "preproc.c" /* yacc.c:1648  */
    break;

  case 1706:
#line 10310 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45936 "preproc.c" /* yacc.c:1648  */
    break;

  case 1707:
#line 10314 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 45944 "preproc.c" /* yacc.c:1648  */
    break;

  case 1708:
#line 10322 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45952 "preproc.c" /* yacc.c:1648  */
    break;

  case 1709:
#line 10326 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 45959 "preproc.c" /* yacc.c:1648  */
    break;

  case 1710:
#line 10333 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45967 "preproc.c" /* yacc.c:1648  */
    break;

  case 1711:
#line 10337 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45975 "preproc.c" /* yacc.c:1648  */
    break;

  case 1712:
#line 10345 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45983 "preproc.c" /* yacc.c:1648  */
    break;

  case 1713:
#line 10353 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 45991 "preproc.c" /* yacc.c:1648  */
    break;

  case 1714:
#line 10357 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 45999 "preproc.c" /* yacc.c:1648  */
    break;

  case 1715:
#line 10361 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 46007 "preproc.c" /* yacc.c:1648  */
    break;

  case 1716:
#line 10365 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 46015 "preproc.c" /* yacc.c:1648  */
    break;

  case 1717:
#line 10373 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 46023 "preproc.c" /* yacc.c:1648  */
    break;

  case 1718:
#line 10377 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46030 "preproc.c" /* yacc.c:1648  */
    break;

  case 1719:
#line 10384 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46038 "preproc.c" /* yacc.c:1648  */
    break;

  case 1720:
#line 10388 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46046 "preproc.c" /* yacc.c:1648  */
    break;

  case 1721:
#line 10396 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46054 "preproc.c" /* yacc.c:1648  */
    break;

  case 1722:
#line 10400 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46061 "preproc.c" /* yacc.c:1648  */
    break;

  case 1723:
#line 10407 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46069 "preproc.c" /* yacc.c:1648  */
    break;

  case 1724:
#line 10411 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46077 "preproc.c" /* yacc.c:1648  */
    break;

  case 1725:
#line 10419 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46085 "preproc.c" /* yacc.c:1648  */
    break;

  case 1726:
#line 10423 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46093 "preproc.c" /* yacc.c:1648  */
    break;

  case 1727:
#line 10427 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46101 "preproc.c" /* yacc.c:1648  */
    break;

  case 1728:
#line 10431 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46109 "preproc.c" /* yacc.c:1648  */
    break;

  case 1729:
#line 10435 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46117 "preproc.c" /* yacc.c:1648  */
    break;

  case 1730:
#line 10439 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46125 "preproc.c" /* yacc.c:1648  */
    break;

  case 1731:
#line 10443 "preproc.y" /* yacc.c:1648  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46136 "preproc.c" /* yacc.c:1648  */
    break;

  case 1732:
#line 10450 "preproc.y" /* yacc.c:1648  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46147 "preproc.c" /* yacc.c:1648  */
    break;

  case 1733:
#line 10457 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46155 "preproc.c" /* yacc.c:1648  */
    break;

  case 1734:
#line 10461 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46163 "preproc.c" /* yacc.c:1648  */
    break;

  case 1735:
#line 10469 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46171 "preproc.c" /* yacc.c:1648  */
    break;

  case 1736:
#line 10473 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 46179 "preproc.c" /* yacc.c:1648  */
    break;

  case 1737:
#line 10477 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46187 "preproc.c" /* yacc.c:1648  */
    break;

  case 1738:
#line 10481 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46195 "preproc.c" /* yacc.c:1648  */
    break;

  case 1739:
#line 10485 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 46203 "preproc.c" /* yacc.c:1648  */
    break;

  case 1740:
#line 10489 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 46211 "preproc.c" /* yacc.c:1648  */
    break;

  case 1741:
#line 10497 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46219 "preproc.c" /* yacc.c:1648  */
    break;

  case 1742:
#line 10501 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 46227 "preproc.c" /* yacc.c:1648  */
    break;

  case 1743:
#line 10505 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46235 "preproc.c" /* yacc.c:1648  */
    break;

  case 1744:
#line 10509 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46243 "preproc.c" /* yacc.c:1648  */
    break;

  case 1745:
#line 10517 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46251 "preproc.c" /* yacc.c:1648  */
    break;

  case 1746:
#line 10521 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46258 "preproc.c" /* yacc.c:1648  */
    break;

  case 1747:
#line 10528 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46266 "preproc.c" /* yacc.c:1648  */
    break;

  case 1748:
#line 10532 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46274 "preproc.c" /* yacc.c:1648  */
    break;

  case 1749:
#line 10536 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46282 "preproc.c" /* yacc.c:1648  */
    break;

  case 1750:
#line 10540 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46290 "preproc.c" /* yacc.c:1648  */
    break;

  case 1751:
#line 10544 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46297 "preproc.c" /* yacc.c:1648  */
    break;

  case 1752:
#line 10551 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 46305 "preproc.c" /* yacc.c:1648  */
    break;

  case 1753:
#line 10555 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 46313 "preproc.c" /* yacc.c:1648  */
    break;

  case 1754:
#line 10559 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 46321 "preproc.c" /* yacc.c:1648  */
    break;

  case 1755:
#line 10563 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 46329 "preproc.c" /* yacc.c:1648  */
    break;

  case 1756:
#line 10571 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 46337 "preproc.c" /* yacc.c:1648  */
    break;

  case 1757:
#line 10575 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46344 "preproc.c" /* yacc.c:1648  */
    break;

  case 1758:
#line 10582 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46352 "preproc.c" /* yacc.c:1648  */
    break;

  case 1759:
#line 10586 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 46360 "preproc.c" /* yacc.c:1648  */
    break;

  case 1760:
#line 10594 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46368 "preproc.c" /* yacc.c:1648  */
    break;

  case 1761:
#line 10598 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 46376 "preproc.c" /* yacc.c:1648  */
    break;

  case 1762:
#line 10602 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 46384 "preproc.c" /* yacc.c:1648  */
    break;

  case 1763:
#line 10606 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46392 "preproc.c" /* yacc.c:1648  */
    break;

  case 1764:
#line 10614 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46400 "preproc.c" /* yacc.c:1648  */
    break;

  case 1765:
#line 10618 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46408 "preproc.c" /* yacc.c:1648  */
    break;

  case 1766:
#line 10626 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46416 "preproc.c" /* yacc.c:1648  */
    break;

  case 1767:
#line 10630 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46424 "preproc.c" /* yacc.c:1648  */
    break;

  case 1768:
#line 10634 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46432 "preproc.c" /* yacc.c:1648  */
    break;

  case 1769:
#line 10642 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46440 "preproc.c" /* yacc.c:1648  */
    break;

  case 1770:
#line 10650 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46448 "preproc.c" /* yacc.c:1648  */
    break;

  case 1771:
#line 10654 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46455 "preproc.c" /* yacc.c:1648  */
    break;

  case 1772:
#line 10661 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46463 "preproc.c" /* yacc.c:1648  */
    break;

  case 1773:
#line 10665 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46471 "preproc.c" /* yacc.c:1648  */
    break;

  case 1774:
#line 10673 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46479 "preproc.c" /* yacc.c:1648  */
    break;

  case 1775:
#line 10681 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46487 "preproc.c" /* yacc.c:1648  */
    break;

  case 1776:
#line 10685 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46495 "preproc.c" /* yacc.c:1648  */
    break;

  case 1777:
#line 10693 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46503 "preproc.c" /* yacc.c:1648  */
    break;

  case 1778:
#line 10697 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46510 "preproc.c" /* yacc.c:1648  */
    break;

  case 1779:
#line 10704 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 46518 "preproc.c" /* yacc.c:1648  */
    break;

  case 1780:
#line 10708 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46525 "preproc.c" /* yacc.c:1648  */
    break;

  case 1781:
#line 10715 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46533 "preproc.c" /* yacc.c:1648  */
    break;

  case 1782:
#line 10719 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46540 "preproc.c" /* yacc.c:1648  */
    break;

  case 1783:
#line 10726 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 46548 "preproc.c" /* yacc.c:1648  */
    break;

  case 1784:
#line 10730 "preproc.y" /* yacc.c:1648  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 46557 "preproc.c" /* yacc.c:1648  */
    break;

  case 1785:
#line 10735 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46564 "preproc.c" /* yacc.c:1648  */
    break;

  case 1786:
#line 10742 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46572 "preproc.c" /* yacc.c:1648  */
    break;

  case 1787:
#line 10746 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46579 "preproc.c" /* yacc.c:1648  */
    break;

  case 1788:
#line 10753 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46587 "preproc.c" /* yacc.c:1648  */
    break;

  case 1789:
#line 10757 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46595 "preproc.c" /* yacc.c:1648  */
    break;

  case 1790:
#line 10765 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46603 "preproc.c" /* yacc.c:1648  */
    break;

  case 1791:
#line 10773 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46611 "preproc.c" /* yacc.c:1648  */
    break;

  case 1792:
#line 10777 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46619 "preproc.c" /* yacc.c:1648  */
    break;

  case 1793:
#line 10785 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46627 "preproc.c" /* yacc.c:1648  */
    break;

  case 1794:
#line 10789 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46635 "preproc.c" /* yacc.c:1648  */
    break;

  case 1795:
#line 10797 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46643 "preproc.c" /* yacc.c:1648  */
    break;

  case 1796:
#line 10801 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46651 "preproc.c" /* yacc.c:1648  */
    break;

  case 1797:
#line 10805 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 46659 "preproc.c" /* yacc.c:1648  */
    break;

  case 1798:
#line 10813 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46667 "preproc.c" /* yacc.c:1648  */
    break;

  case 1799:
#line 10817 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46675 "preproc.c" /* yacc.c:1648  */
    break;

  case 1800:
#line 10825 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46683 "preproc.c" /* yacc.c:1648  */
    break;

  case 1801:
#line 10829 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46691 "preproc.c" /* yacc.c:1648  */
    break;

  case 1802:
#line 10833 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 46699 "preproc.c" /* yacc.c:1648  */
    break;

  case 1803:
#line 10837 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46707 "preproc.c" /* yacc.c:1648  */
    break;

  case 1804:
#line 10845 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46715 "preproc.c" /* yacc.c:1648  */
    break;

  case 1805:
#line 10849 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46723 "preproc.c" /* yacc.c:1648  */
    break;

  case 1806:
#line 10857 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46731 "preproc.c" /* yacc.c:1648  */
    break;

  case 1807:
#line 10861 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 46739 "preproc.c" /* yacc.c:1648  */
    break;

  case 1808:
#line 10869 "preproc.y" /* yacc.c:1648  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46745 "preproc.c" /* yacc.c:1648  */
    break;

  case 1809:
#line 10871 "preproc.y" /* yacc.c:1648  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 46751 "preproc.c" /* yacc.c:1648  */
    break;

  case 1810:
#line 10873 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46759 "preproc.c" /* yacc.c:1648  */
    break;

  case 1811:
#line 10877 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46767 "preproc.c" /* yacc.c:1648  */
    break;

  case 1812:
#line 10881 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 46775 "preproc.c" /* yacc.c:1648  */
    break;

  case 1813:
#line 10885 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 46783 "preproc.c" /* yacc.c:1648  */
    break;

  case 1814:
#line 10893 "preproc.y" /* yacc.c:1648  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 46797 "preproc.c" /* yacc.c:1648  */
    break;

  case 1815:
#line 10903 "preproc.y" /* yacc.c:1648  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 46811 "preproc.c" /* yacc.c:1648  */
    break;

  case 1816:
#line 10913 "preproc.y" /* yacc.c:1648  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 46821 "preproc.c" /* yacc.c:1648  */
    break;

  case 1817:
#line 10923 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46829 "preproc.c" /* yacc.c:1648  */
    break;

  case 1818:
#line 10927 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46837 "preproc.c" /* yacc.c:1648  */
    break;

  case 1819:
#line 10931 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46845 "preproc.c" /* yacc.c:1648  */
    break;

  case 1820:
#line 10935 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46853 "preproc.c" /* yacc.c:1648  */
    break;

  case 1821:
#line 10939 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46861 "preproc.c" /* yacc.c:1648  */
    break;

  case 1822:
#line 10943 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46869 "preproc.c" /* yacc.c:1648  */
    break;

  case 1823:
#line 10947 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46877 "preproc.c" /* yacc.c:1648  */
    break;

  case 1824:
#line 10955 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46885 "preproc.c" /* yacc.c:1648  */
    break;

  case 1825:
#line 10959 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46893 "preproc.c" /* yacc.c:1648  */
    break;

  case 1826:
#line 10963 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46901 "preproc.c" /* yacc.c:1648  */
    break;

  case 1827:
#line 10967 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46909 "preproc.c" /* yacc.c:1648  */
    break;

  case 1828:
#line 10975 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46917 "preproc.c" /* yacc.c:1648  */
    break;

  case 1829:
#line 10979 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46925 "preproc.c" /* yacc.c:1648  */
    break;

  case 1830:
#line 10987 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46933 "preproc.c" /* yacc.c:1648  */
    break;

  case 1831:
#line 10991 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 46940 "preproc.c" /* yacc.c:1648  */
    break;

  case 1832:
#line 10998 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 46948 "preproc.c" /* yacc.c:1648  */
    break;

  case 1833:
#line 11002 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 46956 "preproc.c" /* yacc.c:1648  */
    break;

  case 1834:
#line 11006 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 46964 "preproc.c" /* yacc.c:1648  */
    break;

  case 1835:
#line 11010 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 46972 "preproc.c" /* yacc.c:1648  */
    break;

  case 1836:
#line 11014 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 46980 "preproc.c" /* yacc.c:1648  */
    break;

  case 1837:
#line 11018 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 46988 "preproc.c" /* yacc.c:1648  */
    break;

  case 1838:
#line 11022 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 46996 "preproc.c" /* yacc.c:1648  */
    break;

  case 1839:
#line 11026 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 47004 "preproc.c" /* yacc.c:1648  */
    break;

  case 1840:
#line 11030 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 47012 "preproc.c" /* yacc.c:1648  */
    break;

  case 1841:
#line 11034 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 47020 "preproc.c" /* yacc.c:1648  */
    break;

  case 1842:
#line 11038 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 47028 "preproc.c" /* yacc.c:1648  */
    break;

  case 1843:
#line 11046 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47036 "preproc.c" /* yacc.c:1648  */
    break;

  case 1844:
#line 11050 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 47043 "preproc.c" /* yacc.c:1648  */
    break;

  case 1845:
#line 11057 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47051 "preproc.c" /* yacc.c:1648  */
    break;

  case 1846:
#line 11061 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47059 "preproc.c" /* yacc.c:1648  */
    break;

  case 1847:
#line 11069 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47067 "preproc.c" /* yacc.c:1648  */
    break;

  case 1848:
#line 11073 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47075 "preproc.c" /* yacc.c:1648  */
    break;

  case 1849:
#line 11081 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47083 "preproc.c" /* yacc.c:1648  */
    break;

  case 1850:
#line 11089 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 47091 "preproc.c" /* yacc.c:1648  */
    break;

  case 1851:
#line 11097 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47099 "preproc.c" /* yacc.c:1648  */
    break;

  case 1852:
#line 11101 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47107 "preproc.c" /* yacc.c:1648  */
    break;

  case 1853:
#line 11109 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47115 "preproc.c" /* yacc.c:1648  */
    break;

  case 1854:
#line 11113 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47123 "preproc.c" /* yacc.c:1648  */
    break;

  case 1855:
#line 11121 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47131 "preproc.c" /* yacc.c:1648  */
    break;

  case 1856:
#line 11129 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47139 "preproc.c" /* yacc.c:1648  */
    break;

  case 1857:
#line 11137 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 47147 "preproc.c" /* yacc.c:1648  */
    break;

  case 1858:
#line 11141 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 47155 "preproc.c" /* yacc.c:1648  */
    break;

  case 1859:
#line 11145 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 47163 "preproc.c" /* yacc.c:1648  */
    break;

  case 1860:
#line 11149 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 47171 "preproc.c" /* yacc.c:1648  */
    break;

  case 1861:
#line 11153 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 47179 "preproc.c" /* yacc.c:1648  */
    break;

  case 1862:
#line 11157 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 47187 "preproc.c" /* yacc.c:1648  */
    break;

  case 1863:
#line 11165 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 47195 "preproc.c" /* yacc.c:1648  */
    break;

  case 1864:
#line 11169 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 47202 "preproc.c" /* yacc.c:1648  */
    break;

  case 1865:
#line 11176 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47210 "preproc.c" /* yacc.c:1648  */
    break;

  case 1866:
#line 11180 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 47218 "preproc.c" /* yacc.c:1648  */
    break;

  case 1867:
#line 11184 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47226 "preproc.c" /* yacc.c:1648  */
    break;

  case 1868:
#line 11188 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 47234 "preproc.c" /* yacc.c:1648  */
    break;

  case 1869:
#line 11196 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 47242 "preproc.c" /* yacc.c:1648  */
    break;

  case 1870:
#line 11204 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 47250 "preproc.c" /* yacc.c:1648  */
    break;

  case 1871:
#line 11208 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 47258 "preproc.c" /* yacc.c:1648  */
    break;

  case 1872:
#line 11212 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 47265 "preproc.c" /* yacc.c:1648  */
    break;

  case 1873:
#line 11219 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 47273 "preproc.c" /* yacc.c:1648  */
    break;

  case 1874:
#line 11223 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 47281 "preproc.c" /* yacc.c:1648  */
    break;

  case 1875:
#line 11227 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 47289 "preproc.c" /* yacc.c:1648  */
    break;

  case 1876:
#line 11231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 47297 "preproc.c" /* yacc.c:1648  */
    break;

  case 1877:
#line 11235 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 47305 "preproc.c" /* yacc.c:1648  */
    break;

  case 1878:
#line 11239 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47313 "preproc.c" /* yacc.c:1648  */
    break;

  case 1879:
#line 11243 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 47321 "preproc.c" /* yacc.c:1648  */
    break;

  case 1880:
#line 11247 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 47329 "preproc.c" /* yacc.c:1648  */
    break;

  case 1881:
#line 11251 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 47337 "preproc.c" /* yacc.c:1648  */
    break;

  case 1882:
#line 11255 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 47345 "preproc.c" /* yacc.c:1648  */
    break;

  case 1883:
#line 11259 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 47353 "preproc.c" /* yacc.c:1648  */
    break;

  case 1884:
#line 11263 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 47361 "preproc.c" /* yacc.c:1648  */
    break;

  case 1885:
#line 11267 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 47369 "preproc.c" /* yacc.c:1648  */
    break;

  case 1886:
#line 11271 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 47376 "preproc.c" /* yacc.c:1648  */
    break;

  case 1887:
#line 11278 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 47384 "preproc.c" /* yacc.c:1648  */
    break;

  case 1888:
#line 11282 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47392 "preproc.c" /* yacc.c:1648  */
    break;

  case 1889:
#line 11290 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47400 "preproc.c" /* yacc.c:1648  */
    break;

  case 1890:
#line 11294 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47408 "preproc.c" /* yacc.c:1648  */
    break;

  case 1891:
#line 11298 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 47416 "preproc.c" /* yacc.c:1648  */
    break;

  case 1892:
#line 11302 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 47424 "preproc.c" /* yacc.c:1648  */
    break;

  case 1893:
#line 11306 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47432 "preproc.c" /* yacc.c:1648  */
    break;

  case 1894:
#line 11310 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47440 "preproc.c" /* yacc.c:1648  */
    break;

  case 1895:
#line 11314 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47448 "preproc.c" /* yacc.c:1648  */
    break;

  case 1896:
#line 11318 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47456 "preproc.c" /* yacc.c:1648  */
    break;

  case 1897:
#line 11322 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47464 "preproc.c" /* yacc.c:1648  */
    break;

  case 1898:
#line 11326 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47472 "preproc.c" /* yacc.c:1648  */
    break;

  case 1899:
#line 11330 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47480 "preproc.c" /* yacc.c:1648  */
    break;

  case 1900:
#line 11334 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47488 "preproc.c" /* yacc.c:1648  */
    break;

  case 1901:
#line 11338 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47496 "preproc.c" /* yacc.c:1648  */
    break;

  case 1902:
#line 11342 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 47504 "preproc.c" /* yacc.c:1648  */
    break;

  case 1903:
#line 11346 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 47512 "preproc.c" /* yacc.c:1648  */
    break;

  case 1904:
#line 11350 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 47520 "preproc.c" /* yacc.c:1648  */
    break;

  case 1905:
#line 11354 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 47528 "preproc.c" /* yacc.c:1648  */
    break;

  case 1906:
#line 11358 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 47536 "preproc.c" /* yacc.c:1648  */
    break;

  case 1907:
#line 11362 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47544 "preproc.c" /* yacc.c:1648  */
    break;

  case 1908:
#line 11366 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47552 "preproc.c" /* yacc.c:1648  */
    break;

  case 1909:
#line 11370 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47560 "preproc.c" /* yacc.c:1648  */
    break;

  case 1910:
#line 11374 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47568 "preproc.c" /* yacc.c:1648  */
    break;

  case 1911:
#line 11378 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 47576 "preproc.c" /* yacc.c:1648  */
    break;

  case 1912:
#line 11382 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47584 "preproc.c" /* yacc.c:1648  */
    break;

  case 1913:
#line 11386 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 47592 "preproc.c" /* yacc.c:1648  */
    break;

  case 1914:
#line 11390 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 47600 "preproc.c" /* yacc.c:1648  */
    break;

  case 1915:
#line 11394 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47608 "preproc.c" /* yacc.c:1648  */
    break;

  case 1916:
#line 11398 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 47616 "preproc.c" /* yacc.c:1648  */
    break;

  case 1917:
#line 11402 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47624 "preproc.c" /* yacc.c:1648  */
    break;

  case 1918:
#line 11406 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 47632 "preproc.c" /* yacc.c:1648  */
    break;

  case 1919:
#line 11410 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47640 "preproc.c" /* yacc.c:1648  */
    break;

  case 1920:
#line 11414 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 47648 "preproc.c" /* yacc.c:1648  */
    break;

  case 1921:
#line 11418 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47656 "preproc.c" /* yacc.c:1648  */
    break;

  case 1922:
#line 11422 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 47664 "preproc.c" /* yacc.c:1648  */
    break;

  case 1923:
#line 11426 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47672 "preproc.c" /* yacc.c:1648  */
    break;

  case 1924:
#line 11430 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 47680 "preproc.c" /* yacc.c:1648  */
    break;

  case 1925:
#line 11434 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 47688 "preproc.c" /* yacc.c:1648  */
    break;

  case 1926:
#line 11438 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 47696 "preproc.c" /* yacc.c:1648  */
    break;

  case 1927:
#line 11442 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 47704 "preproc.c" /* yacc.c:1648  */
    break;

  case 1928:
#line 11446 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 47712 "preproc.c" /* yacc.c:1648  */
    break;

  case 1929:
#line 11450 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 47720 "preproc.c" /* yacc.c:1648  */
    break;

  case 1930:
#line 11454 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 47728 "preproc.c" /* yacc.c:1648  */
    break;

  case 1931:
#line 11458 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 47736 "preproc.c" /* yacc.c:1648  */
    break;

  case 1932:
#line 11462 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 47744 "preproc.c" /* yacc.c:1648  */
    break;

  case 1933:
#line 11466 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 47752 "preproc.c" /* yacc.c:1648  */
    break;

  case 1934:
#line 11470 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 47760 "preproc.c" /* yacc.c:1648  */
    break;

  case 1935:
#line 11474 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 47768 "preproc.c" /* yacc.c:1648  */
    break;

  case 1936:
#line 11478 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 47776 "preproc.c" /* yacc.c:1648  */
    break;

  case 1937:
#line 11482 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 47784 "preproc.c" /* yacc.c:1648  */
    break;

  case 1938:
#line 11486 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 47792 "preproc.c" /* yacc.c:1648  */
    break;

  case 1939:
#line 11490 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47800 "preproc.c" /* yacc.c:1648  */
    break;

  case 1940:
#line 11494 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47808 "preproc.c" /* yacc.c:1648  */
    break;

  case 1941:
#line 11498 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47816 "preproc.c" /* yacc.c:1648  */
    break;

  case 1942:
#line 11502 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47824 "preproc.c" /* yacc.c:1648  */
    break;

  case 1943:
#line 11506 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47832 "preproc.c" /* yacc.c:1648  */
    break;

  case 1944:
#line 11510 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 47840 "preproc.c" /* yacc.c:1648  */
    break;

  case 1945:
#line 11514 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 47848 "preproc.c" /* yacc.c:1648  */
    break;

  case 1946:
#line 11518 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 47856 "preproc.c" /* yacc.c:1648  */
    break;

  case 1947:
#line 11522 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47864 "preproc.c" /* yacc.c:1648  */
    break;

  case 1948:
#line 11526 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47872 "preproc.c" /* yacc.c:1648  */
    break;

  case 1949:
#line 11530 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 47881 "preproc.c" /* yacc.c:1648  */
    break;

  case 1950:
#line 11535 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 47889 "preproc.c" /* yacc.c:1648  */
    break;

  case 1951:
#line 11539 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 47897 "preproc.c" /* yacc.c:1648  */
    break;

  case 1952:
#line 11543 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 47905 "preproc.c" /* yacc.c:1648  */
    break;

  case 1953:
#line 11551 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47913 "preproc.c" /* yacc.c:1648  */
    break;

  case 1954:
#line 11555 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 47921 "preproc.c" /* yacc.c:1648  */
    break;

  case 1955:
#line 11559 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47929 "preproc.c" /* yacc.c:1648  */
    break;

  case 1956:
#line 11563 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47937 "preproc.c" /* yacc.c:1648  */
    break;

  case 1957:
#line 11567 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 47945 "preproc.c" /* yacc.c:1648  */
    break;

  case 1958:
#line 11571 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 47953 "preproc.c" /* yacc.c:1648  */
    break;

  case 1959:
#line 11575 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 47961 "preproc.c" /* yacc.c:1648  */
    break;

  case 1960:
#line 11579 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 47969 "preproc.c" /* yacc.c:1648  */
    break;

  case 1961:
#line 11583 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 47977 "preproc.c" /* yacc.c:1648  */
    break;

  case 1962:
#line 11587 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 47985 "preproc.c" /* yacc.c:1648  */
    break;

  case 1963:
#line 11591 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 47993 "preproc.c" /* yacc.c:1648  */
    break;

  case 1964:
#line 11595 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 48001 "preproc.c" /* yacc.c:1648  */
    break;

  case 1965:
#line 11599 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48009 "preproc.c" /* yacc.c:1648  */
    break;

  case 1966:
#line 11603 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 48017 "preproc.c" /* yacc.c:1648  */
    break;

  case 1967:
#line 11607 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 48025 "preproc.c" /* yacc.c:1648  */
    break;

  case 1968:
#line 11611 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 48033 "preproc.c" /* yacc.c:1648  */
    break;

  case 1969:
#line 11615 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48041 "preproc.c" /* yacc.c:1648  */
    break;

  case 1970:
#line 11619 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48049 "preproc.c" /* yacc.c:1648  */
    break;

  case 1971:
#line 11623 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48057 "preproc.c" /* yacc.c:1648  */
    break;

  case 1972:
#line 11627 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 48065 "preproc.c" /* yacc.c:1648  */
    break;

  case 1973:
#line 11631 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 48073 "preproc.c" /* yacc.c:1648  */
    break;

  case 1974:
#line 11635 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48081 "preproc.c" /* yacc.c:1648  */
    break;

  case 1975:
#line 11639 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48089 "preproc.c" /* yacc.c:1648  */
    break;

  case 1976:
#line 11643 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 48097 "preproc.c" /* yacc.c:1648  */
    break;

  case 1977:
#line 11647 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 48105 "preproc.c" /* yacc.c:1648  */
    break;

  case 1978:
#line 11655 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48113 "preproc.c" /* yacc.c:1648  */
    break;

  case 1979:
#line 11659 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48121 "preproc.c" /* yacc.c:1648  */
    break;

  case 1980:
#line 11663 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48129 "preproc.c" /* yacc.c:1648  */
    break;

  case 1981:
#line 11667 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48137 "preproc.c" /* yacc.c:1648  */
    break;

  case 1982:
#line 11671 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48145 "preproc.c" /* yacc.c:1648  */
    break;

  case 1983:
#line 11675 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48153 "preproc.c" /* yacc.c:1648  */
    break;

  case 1984:
#line 11679 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48161 "preproc.c" /* yacc.c:1648  */
    break;

  case 1985:
#line 11683 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48169 "preproc.c" /* yacc.c:1648  */
    break;

  case 1986:
#line 11687 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 48177 "preproc.c" /* yacc.c:1648  */
    break;

  case 1987:
#line 11691 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48185 "preproc.c" /* yacc.c:1648  */
    break;

  case 1988:
#line 11695 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 48193 "preproc.c" /* yacc.c:1648  */
    break;

  case 1989:
#line 11699 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48201 "preproc.c" /* yacc.c:1648  */
    break;

  case 1990:
#line 11703 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48209 "preproc.c" /* yacc.c:1648  */
    break;

  case 1991:
#line 11707 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48217 "preproc.c" /* yacc.c:1648  */
    break;

  case 1992:
#line 11715 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 48225 "preproc.c" /* yacc.c:1648  */
    break;

  case 1993:
#line 11719 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48233 "preproc.c" /* yacc.c:1648  */
    break;

  case 1994:
#line 11723 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48241 "preproc.c" /* yacc.c:1648  */
    break;

  case 1995:
#line 11727 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48249 "preproc.c" /* yacc.c:1648  */
    break;

  case 1996:
#line 11731 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48257 "preproc.c" /* yacc.c:1648  */
    break;

  case 1997:
#line 11735 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48265 "preproc.c" /* yacc.c:1648  */
    break;

  case 1998:
#line 11739 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 48273 "preproc.c" /* yacc.c:1648  */
    break;

  case 1999:
#line 11747 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48281 "preproc.c" /* yacc.c:1648  */
    break;

  case 2000:
#line 11751 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48289 "preproc.c" /* yacc.c:1648  */
    break;

  case 2001:
#line 11759 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48297 "preproc.c" /* yacc.c:1648  */
    break;

  case 2002:
#line 11763 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48305 "preproc.c" /* yacc.c:1648  */
    break;

  case 2003:
#line 11771 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48313 "preproc.c" /* yacc.c:1648  */
    break;

  case 2004:
#line 11775 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 48321 "preproc.c" /* yacc.c:1648  */
    break;

  case 2005:
#line 11779 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 48329 "preproc.c" /* yacc.c:1648  */
    break;

  case 2006:
#line 11783 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48337 "preproc.c" /* yacc.c:1648  */
    break;

  case 2007:
#line 11787 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 48345 "preproc.c" /* yacc.c:1648  */
    break;

  case 2008:
#line 11791 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48353 "preproc.c" /* yacc.c:1648  */
    break;

  case 2009:
#line 11795 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 48361 "preproc.c" /* yacc.c:1648  */
    break;

  case 2010:
#line 11799 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48369 "preproc.c" /* yacc.c:1648  */
    break;

  case 2011:
#line 11803 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 48377 "preproc.c" /* yacc.c:1648  */
    break;

  case 2012:
#line 11807 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48385 "preproc.c" /* yacc.c:1648  */
    break;

  case 2013:
#line 11811 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 48393 "preproc.c" /* yacc.c:1648  */
    break;

  case 2014:
#line 11815 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 48401 "preproc.c" /* yacc.c:1648  */
    break;

  case 2015:
#line 11819 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 48409 "preproc.c" /* yacc.c:1648  */
    break;

  case 2016:
#line 11823 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 48417 "preproc.c" /* yacc.c:1648  */
    break;

  case 2017:
#line 11827 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 48425 "preproc.c" /* yacc.c:1648  */
    break;

  case 2018:
#line 11831 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 48433 "preproc.c" /* yacc.c:1648  */
    break;

  case 2019:
#line 11835 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48441 "preproc.c" /* yacc.c:1648  */
    break;

  case 2020:
#line 11839 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48449 "preproc.c" /* yacc.c:1648  */
    break;

  case 2021:
#line 11843 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48457 "preproc.c" /* yacc.c:1648  */
    break;

  case 2022:
#line 11847 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48465 "preproc.c" /* yacc.c:1648  */
    break;

  case 2023:
#line 11851 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48473 "preproc.c" /* yacc.c:1648  */
    break;

  case 2024:
#line 11855 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48481 "preproc.c" /* yacc.c:1648  */
    break;

  case 2025:
#line 11859 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48489 "preproc.c" /* yacc.c:1648  */
    break;

  case 2026:
#line 11863 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48497 "preproc.c" /* yacc.c:1648  */
    break;

  case 2027:
#line 11867 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48505 "preproc.c" /* yacc.c:1648  */
    break;

  case 2028:
#line 11871 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48513 "preproc.c" /* yacc.c:1648  */
    break;

  case 2029:
#line 11875 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48521 "preproc.c" /* yacc.c:1648  */
    break;

  case 2030:
#line 11879 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48529 "preproc.c" /* yacc.c:1648  */
    break;

  case 2031:
#line 11883 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48537 "preproc.c" /* yacc.c:1648  */
    break;

  case 2032:
#line 11887 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48545 "preproc.c" /* yacc.c:1648  */
    break;

  case 2033:
#line 11891 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48553 "preproc.c" /* yacc.c:1648  */
    break;

  case 2034:
#line 11895 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48561 "preproc.c" /* yacc.c:1648  */
    break;

  case 2035:
#line 11899 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48569 "preproc.c" /* yacc.c:1648  */
    break;

  case 2036:
#line 11903 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48577 "preproc.c" /* yacc.c:1648  */
    break;

  case 2037:
#line 11907 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48585 "preproc.c" /* yacc.c:1648  */
    break;

  case 2038:
#line 11911 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48593 "preproc.c" /* yacc.c:1648  */
    break;

  case 2039:
#line 11915 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48601 "preproc.c" /* yacc.c:1648  */
    break;

  case 2040:
#line 11919 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48609 "preproc.c" /* yacc.c:1648  */
    break;

  case 2041:
#line 11923 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48617 "preproc.c" /* yacc.c:1648  */
    break;

  case 2042:
#line 11927 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48625 "preproc.c" /* yacc.c:1648  */
    break;

  case 2043:
#line 11931 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48633 "preproc.c" /* yacc.c:1648  */
    break;

  case 2044:
#line 11935 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48641 "preproc.c" /* yacc.c:1648  */
    break;

  case 2045:
#line 11943 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 48649 "preproc.c" /* yacc.c:1648  */
    break;

  case 2046:
#line 11947 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 48657 "preproc.c" /* yacc.c:1648  */
    break;

  case 2047:
#line 11955 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 48665 "preproc.c" /* yacc.c:1648  */
    break;

  case 2048:
#line 11959 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 48673 "preproc.c" /* yacc.c:1648  */
    break;

  case 2049:
#line 11963 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 48681 "preproc.c" /* yacc.c:1648  */
    break;

  case 2050:
#line 11967 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48688 "preproc.c" /* yacc.c:1648  */
    break;

  case 2051:
#line 11974 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48696 "preproc.c" /* yacc.c:1648  */
    break;

  case 2052:
#line 11982 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48704 "preproc.c" /* yacc.c:1648  */
    break;

  case 2053:
#line 11986 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48712 "preproc.c" /* yacc.c:1648  */
    break;

  case 2054:
#line 11994 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48720 "preproc.c" /* yacc.c:1648  */
    break;

  case 2055:
#line 11998 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48728 "preproc.c" /* yacc.c:1648  */
    break;

  case 2056:
#line 12006 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 48736 "preproc.c" /* yacc.c:1648  */
    break;

  case 2057:
#line 12010 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 48744 "preproc.c" /* yacc.c:1648  */
    break;

  case 2058:
#line 12018 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 48752 "preproc.c" /* yacc.c:1648  */
    break;

  case 2059:
#line 12022 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 48760 "preproc.c" /* yacc.c:1648  */
    break;

  case 2060:
#line 12026 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48767 "preproc.c" /* yacc.c:1648  */
    break;

  case 2061:
#line 12033 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 48775 "preproc.c" /* yacc.c:1648  */
    break;

  case 2062:
#line 12037 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48783 "preproc.c" /* yacc.c:1648  */
    break;

  case 2063:
#line 12041 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 48791 "preproc.c" /* yacc.c:1648  */
    break;

  case 2064:
#line 12045 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 48799 "preproc.c" /* yacc.c:1648  */
    break;

  case 2065:
#line 12053 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48807 "preproc.c" /* yacc.c:1648  */
    break;

  case 2066:
#line 12057 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48814 "preproc.c" /* yacc.c:1648  */
    break;

  case 2067:
#line 12064 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48822 "preproc.c" /* yacc.c:1648  */
    break;

  case 2068:
#line 12068 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48829 "preproc.c" /* yacc.c:1648  */
    break;

  case 2069:
#line 12075 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 48837 "preproc.c" /* yacc.c:1648  */
    break;

  case 2070:
#line 12079 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48844 "preproc.c" /* yacc.c:1648  */
    break;

  case 2071:
#line 12086 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48852 "preproc.c" /* yacc.c:1648  */
    break;

  case 2072:
#line 12090 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48860 "preproc.c" /* yacc.c:1648  */
    break;

  case 2073:
#line 12098 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48868 "preproc.c" /* yacc.c:1648  */
    break;

  case 2074:
#line 12106 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48876 "preproc.c" /* yacc.c:1648  */
    break;

  case 2075:
#line 12110 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 48884 "preproc.c" /* yacc.c:1648  */
    break;

  case 2076:
#line 12114 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48891 "preproc.c" /* yacc.c:1648  */
    break;

  case 2077:
#line 12121 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48899 "preproc.c" /* yacc.c:1648  */
    break;

  case 2078:
#line 12129 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48907 "preproc.c" /* yacc.c:1648  */
    break;

  case 2079:
#line 12133 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48914 "preproc.c" /* yacc.c:1648  */
    break;

  case 2080:
#line 12140 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 48922 "preproc.c" /* yacc.c:1648  */
    break;

  case 2081:
#line 12144 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48929 "preproc.c" /* yacc.c:1648  */
    break;

  case 2082:
#line 12151 "preproc.y" /* yacc.c:1648  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 48938 "preproc.c" /* yacc.c:1648  */
    break;

  case 2083:
#line 12156 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48946 "preproc.c" /* yacc.c:1648  */
    break;

  case 2084:
#line 12160 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 48953 "preproc.c" /* yacc.c:1648  */
    break;

  case 2085:
#line 12167 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48961 "preproc.c" /* yacc.c:1648  */
    break;

  case 2086:
#line 12171 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48969 "preproc.c" /* yacc.c:1648  */
    break;

  case 2087:
#line 12179 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 48977 "preproc.c" /* yacc.c:1648  */
    break;

  case 2088:
#line 12183 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 48985 "preproc.c" /* yacc.c:1648  */
    break;

  case 2089:
#line 12187 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 48993 "preproc.c" /* yacc.c:1648  */
    break;

  case 2090:
#line 12191 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 49001 "preproc.c" /* yacc.c:1648  */
    break;

  case 2091:
#line 12195 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 49009 "preproc.c" /* yacc.c:1648  */
    break;

  case 2092:
#line 12203 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49017 "preproc.c" /* yacc.c:1648  */
    break;

  case 2093:
#line 12207 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 49025 "preproc.c" /* yacc.c:1648  */
    break;

  case 2094:
#line 12211 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49033 "preproc.c" /* yacc.c:1648  */
    break;

  case 2095:
#line 12219 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49041 "preproc.c" /* yacc.c:1648  */
    break;

  case 2096:
#line 12223 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 49049 "preproc.c" /* yacc.c:1648  */
    break;

  case 2097:
#line 12231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49057 "preproc.c" /* yacc.c:1648  */
    break;

  case 2098:
#line 12239 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 49065 "preproc.c" /* yacc.c:1648  */
    break;

  case 2099:
#line 12243 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 49073 "preproc.c" /* yacc.c:1648  */
    break;

  case 2100:
#line 12247 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 49081 "preproc.c" /* yacc.c:1648  */
    break;

  case 2101:
#line 12255 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49089 "preproc.c" /* yacc.c:1648  */
    break;

  case 2102:
#line 12259 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49097 "preproc.c" /* yacc.c:1648  */
    break;

  case 2103:
#line 12267 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 49105 "preproc.c" /* yacc.c:1648  */
    break;

  case 2104:
#line 12271 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 49113 "preproc.c" /* yacc.c:1648  */
    break;

  case 2105:
#line 12275 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49121 "preproc.c" /* yacc.c:1648  */
    break;

  case 2106:
#line 12279 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 49129 "preproc.c" /* yacc.c:1648  */
    break;

  case 2107:
#line 12283 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 49137 "preproc.c" /* yacc.c:1648  */
    break;

  case 2108:
#line 12287 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 49145 "preproc.c" /* yacc.c:1648  */
    break;

  case 2109:
#line 12291 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 49153 "preproc.c" /* yacc.c:1648  */
    break;

  case 2110:
#line 12295 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 49161 "preproc.c" /* yacc.c:1648  */
    break;

  case 2111:
#line 12299 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 49169 "preproc.c" /* yacc.c:1648  */
    break;

  case 2112:
#line 12303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 49177 "preproc.c" /* yacc.c:1648  */
    break;

  case 2113:
#line 12307 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 49185 "preproc.c" /* yacc.c:1648  */
    break;

  case 2114:
#line 12311 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 49193 "preproc.c" /* yacc.c:1648  */
    break;

  case 2115:
#line 12319 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49201 "preproc.c" /* yacc.c:1648  */
    break;

  case 2116:
#line 12323 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49209 "preproc.c" /* yacc.c:1648  */
    break;

  case 2117:
#line 12331 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49217 "preproc.c" /* yacc.c:1648  */
    break;

  case 2118:
#line 12335 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49225 "preproc.c" /* yacc.c:1648  */
    break;

  case 2119:
#line 12343 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49233 "preproc.c" /* yacc.c:1648  */
    break;

  case 2120:
#line 12347 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49241 "preproc.c" /* yacc.c:1648  */
    break;

  case 2121:
#line 12351 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49249 "preproc.c" /* yacc.c:1648  */
    break;

  case 2122:
#line 12355 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 49257 "preproc.c" /* yacc.c:1648  */
    break;

  case 2123:
#line 12359 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49265 "preproc.c" /* yacc.c:1648  */
    break;

  case 2124:
#line 12363 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 49273 "preproc.c" /* yacc.c:1648  */
    break;

  case 2125:
#line 12371 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49281 "preproc.c" /* yacc.c:1648  */
    break;

  case 2126:
#line 12375 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49289 "preproc.c" /* yacc.c:1648  */
    break;

  case 2127:
#line 12383 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49297 "preproc.c" /* yacc.c:1648  */
    break;

  case 2128:
#line 12387 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49305 "preproc.c" /* yacc.c:1648  */
    break;

  case 2129:
#line 12395 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49313 "preproc.c" /* yacc.c:1648  */
    break;

  case 2130:
#line 12399 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 49321 "preproc.c" /* yacc.c:1648  */
    break;

  case 2131:
#line 12403 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 49329 "preproc.c" /* yacc.c:1648  */
    break;

  case 2132:
#line 12411 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49337 "preproc.c" /* yacc.c:1648  */
    break;

  case 2133:
#line 12415 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49345 "preproc.c" /* yacc.c:1648  */
    break;

  case 2134:
#line 12423 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49353 "preproc.c" /* yacc.c:1648  */
    break;

  case 2135:
#line 12427 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49361 "preproc.c" /* yacc.c:1648  */
    break;

  case 2136:
#line 12431 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 49369 "preproc.c" /* yacc.c:1648  */
    break;

  case 2137:
#line 12439 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49377 "preproc.c" /* yacc.c:1648  */
    break;

  case 2138:
#line 12443 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49385 "preproc.c" /* yacc.c:1648  */
    break;

  case 2139:
#line 12451 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49393 "preproc.c" /* yacc.c:1648  */
    break;

  case 2140:
#line 12455 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49400 "preproc.c" /* yacc.c:1648  */
    break;

  case 2141:
#line 12462 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49408 "preproc.c" /* yacc.c:1648  */
    break;

  case 2142:
#line 12466 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 49416 "preproc.c" /* yacc.c:1648  */
    break;

  case 2143:
#line 12470 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 49424 "preproc.c" /* yacc.c:1648  */
    break;

  case 2144:
#line 12474 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 49432 "preproc.c" /* yacc.c:1648  */
    break;

  case 2145:
#line 12478 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 49440 "preproc.c" /* yacc.c:1648  */
    break;

  case 2146:
#line 12482 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 49448 "preproc.c" /* yacc.c:1648  */
    break;

  case 2147:
#line 12486 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 49456 "preproc.c" /* yacc.c:1648  */
    break;

  case 2148:
#line 12490 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49464 "preproc.c" /* yacc.c:1648  */
    break;

  case 2149:
#line 12498 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49472 "preproc.c" /* yacc.c:1648  */
    break;

  case 2150:
#line 12502 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49480 "preproc.c" /* yacc.c:1648  */
    break;

  case 2151:
#line 12510 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 49488 "preproc.c" /* yacc.c:1648  */
    break;

  case 2152:
#line 12518 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49496 "preproc.c" /* yacc.c:1648  */
    break;

  case 2153:
#line 12522 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49503 "preproc.c" /* yacc.c:1648  */
    break;

  case 2154:
#line 12529 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49511 "preproc.c" /* yacc.c:1648  */
    break;

  case 2155:
#line 12533 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49519 "preproc.c" /* yacc.c:1648  */
    break;

  case 2156:
#line 12537 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49527 "preproc.c" /* yacc.c:1648  */
    break;

  case 2157:
#line 12541 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49535 "preproc.c" /* yacc.c:1648  */
    break;

  case 2158:
#line 12545 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49543 "preproc.c" /* yacc.c:1648  */
    break;

  case 2159:
#line 12549 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49550 "preproc.c" /* yacc.c:1648  */
    break;

  case 2160:
#line 12556 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49558 "preproc.c" /* yacc.c:1648  */
    break;

  case 2161:
#line 12564 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 49566 "preproc.c" /* yacc.c:1648  */
    break;

  case 2162:
#line 12572 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 49574 "preproc.c" /* yacc.c:1648  */
    break;

  case 2163:
#line 12576 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 49582 "preproc.c" /* yacc.c:1648  */
    break;

  case 2164:
#line 12580 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49590 "preproc.c" /* yacc.c:1648  */
    break;

  case 2165:
#line 12588 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49598 "preproc.c" /* yacc.c:1648  */
    break;

  case 2166:
#line 12592 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49606 "preproc.c" /* yacc.c:1648  */
    break;

  case 2167:
#line 12600 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 49614 "preproc.c" /* yacc.c:1648  */
    break;

  case 2168:
#line 12608 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49622 "preproc.c" /* yacc.c:1648  */
    break;

  case 2169:
#line 12612 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49630 "preproc.c" /* yacc.c:1648  */
    break;

  case 2170:
#line 12620 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 49638 "preproc.c" /* yacc.c:1648  */
    break;

  case 2171:
#line 12628 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 49646 "preproc.c" /* yacc.c:1648  */
    break;

  case 2172:
#line 12632 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49653 "preproc.c" /* yacc.c:1648  */
    break;

  case 2173:
#line 12639 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49661 "preproc.c" /* yacc.c:1648  */
    break;

  case 2174:
#line 12643 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49668 "preproc.c" /* yacc.c:1648  */
    break;

  case 2175:
#line 12650 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49676 "preproc.c" /* yacc.c:1648  */
    break;

  case 2176:
#line 12654 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49684 "preproc.c" /* yacc.c:1648  */
    break;

  case 2177:
#line 12662 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 49692 "preproc.c" /* yacc.c:1648  */
    break;

  case 2178:
#line 12666 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 49700 "preproc.c" /* yacc.c:1648  */
    break;

  case 2179:
#line 12670 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49708 "preproc.c" /* yacc.c:1648  */
    break;

  case 2180:
#line 12674 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 49716 "preproc.c" /* yacc.c:1648  */
    break;

  case 2181:
#line 12682 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49724 "preproc.c" /* yacc.c:1648  */
    break;

  case 2182:
#line 12686 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49731 "preproc.c" /* yacc.c:1648  */
    break;

  case 2183:
#line 12693 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49739 "preproc.c" /* yacc.c:1648  */
    break;

  case 2184:
#line 12697 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49747 "preproc.c" /* yacc.c:1648  */
    break;

  case 2185:
#line 12705 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49754 "preproc.c" /* yacc.c:1648  */
    break;

  case 2186:
#line 12708 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49762 "preproc.c" /* yacc.c:1648  */
    break;

  case 2187:
#line 12716 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49770 "preproc.c" /* yacc.c:1648  */
    break;

  case 2188:
#line 12720 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49777 "preproc.c" /* yacc.c:1648  */
    break;

  case 2189:
#line 12727 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49785 "preproc.c" /* yacc.c:1648  */
    break;

  case 2190:
#line 12731 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str)=EMPTY; }
#line 49792 "preproc.c" /* yacc.c:1648  */
    break;

  case 2191:
#line 12738 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49800 "preproc.c" /* yacc.c:1648  */
    break;

  case 2192:
#line 12742 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49808 "preproc.c" /* yacc.c:1648  */
    break;

  case 2193:
#line 12750 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 49816 "preproc.c" /* yacc.c:1648  */
    break;

  case 2194:
#line 12754 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49824 "preproc.c" /* yacc.c:1648  */
    break;

  case 2195:
#line 12758 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49832 "preproc.c" /* yacc.c:1648  */
    break;

  case 2196:
#line 12762 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 49840 "preproc.c" /* yacc.c:1648  */
    break;

  case 2197:
#line 12770 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49848 "preproc.c" /* yacc.c:1648  */
    break;

  case 2198:
#line 12774 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49856 "preproc.c" /* yacc.c:1648  */
    break;

  case 2199:
#line 12782 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49864 "preproc.c" /* yacc.c:1648  */
    break;

  case 2200:
#line 12786 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49872 "preproc.c" /* yacc.c:1648  */
    break;

  case 2201:
#line 12794 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49880 "preproc.c" /* yacc.c:1648  */
    break;

  case 2202:
#line 12798 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49888 "preproc.c" /* yacc.c:1648  */
    break;

  case 2203:
#line 12806 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49896 "preproc.c" /* yacc.c:1648  */
    break;

  case 2204:
#line 12814 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49904 "preproc.c" /* yacc.c:1648  */
    break;

  case 2205:
#line 12822 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49912 "preproc.c" /* yacc.c:1648  */
    break;

  case 2206:
#line 12830 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49920 "preproc.c" /* yacc.c:1648  */
    break;

  case 2207:
#line 12838 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49928 "preproc.c" /* yacc.c:1648  */
    break;

  case 2208:
#line 12846 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49936 "preproc.c" /* yacc.c:1648  */
    break;

  case 2209:
#line 12854 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49944 "preproc.c" /* yacc.c:1648  */
    break;

  case 2210:
#line 12858 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49952 "preproc.c" /* yacc.c:1648  */
    break;

  case 2211:
#line 12866 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49960 "preproc.c" /* yacc.c:1648  */
    break;

  case 2212:
#line 12870 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49968 "preproc.c" /* yacc.c:1648  */
    break;

  case 2213:
#line 12874 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49976 "preproc.c" /* yacc.c:1648  */
    break;

  case 2214:
#line 12878 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49984 "preproc.c" /* yacc.c:1648  */
    break;

  case 2215:
#line 12882 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 49992 "preproc.c" /* yacc.c:1648  */
    break;

  case 2216:
#line 12886 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50000 "preproc.c" /* yacc.c:1648  */
    break;

  case 2217:
#line 12890 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50008 "preproc.c" /* yacc.c:1648  */
    break;

  case 2218:
#line 12894 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50016 "preproc.c" /* yacc.c:1648  */
    break;

  case 2219:
#line 12898 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50024 "preproc.c" /* yacc.c:1648  */
    break;

  case 2220:
#line 12902 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 50032 "preproc.c" /* yacc.c:1648  */
    break;

  case 2221:
#line 12906 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50040 "preproc.c" /* yacc.c:1648  */
    break;

  case 2222:
#line 12910 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50048 "preproc.c" /* yacc.c:1648  */
    break;

  case 2223:
#line 12914 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50056 "preproc.c" /* yacc.c:1648  */
    break;

  case 2224:
#line 12917 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50062 "preproc.c" /* yacc.c:1648  */
    break;

  case 2225:
#line 12918 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50068 "preproc.c" /* yacc.c:1648  */
    break;

  case 2226:
#line 12924 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 50074 "preproc.c" /* yacc.c:1648  */
    break;

  case 2227:
#line 12930 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50082 "preproc.c" /* yacc.c:1648  */
    break;

  case 2228:
#line 12933 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50088 "preproc.c" /* yacc.c:1648  */
    break;

  case 2229:
#line 12935 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 50096 "preproc.c" /* yacc.c:1648  */
    break;

  case 2230:
#line 12939 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 50104 "preproc.c" /* yacc.c:1648  */
    break;

  case 2231:
#line 12947 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50112 "preproc.c" /* yacc.c:1648  */
    break;

  case 2232:
#line 12955 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50120 "preproc.c" /* yacc.c:1648  */
    break;

  case 2233:
#line 12959 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50128 "preproc.c" /* yacc.c:1648  */
    break;

  case 2234:
#line 12963 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50136 "preproc.c" /* yacc.c:1648  */
    break;

  case 2235:
#line 12971 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50144 "preproc.c" /* yacc.c:1648  */
    break;

  case 2236:
#line 12975 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50152 "preproc.c" /* yacc.c:1648  */
    break;

  case 2237:
#line 12983 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50160 "preproc.c" /* yacc.c:1648  */
    break;

  case 2238:
#line 12987 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50168 "preproc.c" /* yacc.c:1648  */
    break;

  case 2239:
#line 12991 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50176 "preproc.c" /* yacc.c:1648  */
    break;

  case 2240:
#line 12995 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50184 "preproc.c" /* yacc.c:1648  */
    break;

  case 2241:
#line 13003 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 50192 "preproc.c" /* yacc.c:1648  */
    break;

  case 2242:
#line 13007 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 50200 "preproc.c" /* yacc.c:1648  */
    break;

  case 2243:
#line 13011 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 50208 "preproc.c" /* yacc.c:1648  */
    break;

  case 2244:
#line 13015 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 50216 "preproc.c" /* yacc.c:1648  */
    break;

  case 2245:
#line 13019 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 50224 "preproc.c" /* yacc.c:1648  */
    break;

  case 2246:
#line 13023 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 50232 "preproc.c" /* yacc.c:1648  */
    break;

  case 2247:
#line 13027 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 50240 "preproc.c" /* yacc.c:1648  */
    break;

  case 2248:
#line 13031 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 50248 "preproc.c" /* yacc.c:1648  */
    break;

  case 2249:
#line 13035 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50256 "preproc.c" /* yacc.c:1648  */
    break;

  case 2250:
#line 13039 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 50264 "preproc.c" /* yacc.c:1648  */
    break;

  case 2251:
#line 13043 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 50272 "preproc.c" /* yacc.c:1648  */
    break;

  case 2252:
#line 13047 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 50280 "preproc.c" /* yacc.c:1648  */
    break;

  case 2253:
#line 13051 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 50288 "preproc.c" /* yacc.c:1648  */
    break;

  case 2254:
#line 13055 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 50296 "preproc.c" /* yacc.c:1648  */
    break;

  case 2255:
#line 13059 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 50304 "preproc.c" /* yacc.c:1648  */
    break;

  case 2256:
#line 13063 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 50312 "preproc.c" /* yacc.c:1648  */
    break;

  case 2257:
#line 13067 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 50320 "preproc.c" /* yacc.c:1648  */
    break;

  case 2258:
#line 13071 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 50328 "preproc.c" /* yacc.c:1648  */
    break;

  case 2259:
#line 13075 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 50336 "preproc.c" /* yacc.c:1648  */
    break;

  case 2260:
#line 13079 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 50344 "preproc.c" /* yacc.c:1648  */
    break;

  case 2261:
#line 13083 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 50352 "preproc.c" /* yacc.c:1648  */
    break;

  case 2262:
#line 13087 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 50360 "preproc.c" /* yacc.c:1648  */
    break;

  case 2263:
#line 13091 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 50368 "preproc.c" /* yacc.c:1648  */
    break;

  case 2264:
#line 13095 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 50376 "preproc.c" /* yacc.c:1648  */
    break;

  case 2265:
#line 13099 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 50384 "preproc.c" /* yacc.c:1648  */
    break;

  case 2266:
#line 13103 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 50392 "preproc.c" /* yacc.c:1648  */
    break;

  case 2267:
#line 13107 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 50400 "preproc.c" /* yacc.c:1648  */
    break;

  case 2268:
#line 13111 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 50408 "preproc.c" /* yacc.c:1648  */
    break;

  case 2269:
#line 13115 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 50416 "preproc.c" /* yacc.c:1648  */
    break;

  case 2270:
#line 13119 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 50424 "preproc.c" /* yacc.c:1648  */
    break;

  case 2271:
#line 13123 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 50432 "preproc.c" /* yacc.c:1648  */
    break;

  case 2272:
#line 13127 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 50440 "preproc.c" /* yacc.c:1648  */
    break;

  case 2273:
#line 13131 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 50448 "preproc.c" /* yacc.c:1648  */
    break;

  case 2274:
#line 13135 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 50456 "preproc.c" /* yacc.c:1648  */
    break;

  case 2275:
#line 13139 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 50464 "preproc.c" /* yacc.c:1648  */
    break;

  case 2276:
#line 13143 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 50472 "preproc.c" /* yacc.c:1648  */
    break;

  case 2277:
#line 13147 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 50480 "preproc.c" /* yacc.c:1648  */
    break;

  case 2278:
#line 13151 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 50488 "preproc.c" /* yacc.c:1648  */
    break;

  case 2279:
#line 13155 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 50496 "preproc.c" /* yacc.c:1648  */
    break;

  case 2280:
#line 13159 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 50504 "preproc.c" /* yacc.c:1648  */
    break;

  case 2281:
#line 13163 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 50512 "preproc.c" /* yacc.c:1648  */
    break;

  case 2282:
#line 13167 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 50520 "preproc.c" /* yacc.c:1648  */
    break;

  case 2283:
#line 13171 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 50528 "preproc.c" /* yacc.c:1648  */
    break;

  case 2284:
#line 13175 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 50536 "preproc.c" /* yacc.c:1648  */
    break;

  case 2285:
#line 13179 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 50544 "preproc.c" /* yacc.c:1648  */
    break;

  case 2286:
#line 13183 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 50552 "preproc.c" /* yacc.c:1648  */
    break;

  case 2287:
#line 13187 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 50560 "preproc.c" /* yacc.c:1648  */
    break;

  case 2288:
#line 13191 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 50568 "preproc.c" /* yacc.c:1648  */
    break;

  case 2289:
#line 13195 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 50576 "preproc.c" /* yacc.c:1648  */
    break;

  case 2290:
#line 13199 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 50584 "preproc.c" /* yacc.c:1648  */
    break;

  case 2291:
#line 13203 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 50592 "preproc.c" /* yacc.c:1648  */
    break;

  case 2292:
#line 13207 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 50600 "preproc.c" /* yacc.c:1648  */
    break;

  case 2293:
#line 13211 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 50608 "preproc.c" /* yacc.c:1648  */
    break;

  case 2294:
#line 13215 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 50616 "preproc.c" /* yacc.c:1648  */
    break;

  case 2295:
#line 13219 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 50624 "preproc.c" /* yacc.c:1648  */
    break;

  case 2296:
#line 13223 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50632 "preproc.c" /* yacc.c:1648  */
    break;

  case 2297:
#line 13227 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 50640 "preproc.c" /* yacc.c:1648  */
    break;

  case 2298:
#line 13231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 50648 "preproc.c" /* yacc.c:1648  */
    break;

  case 2299:
#line 13235 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 50656 "preproc.c" /* yacc.c:1648  */
    break;

  case 2300:
#line 13239 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 50664 "preproc.c" /* yacc.c:1648  */
    break;

  case 2301:
#line 13243 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 50672 "preproc.c" /* yacc.c:1648  */
    break;

  case 2302:
#line 13247 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 50680 "preproc.c" /* yacc.c:1648  */
    break;

  case 2303:
#line 13251 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 50688 "preproc.c" /* yacc.c:1648  */
    break;

  case 2304:
#line 13255 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 50696 "preproc.c" /* yacc.c:1648  */
    break;

  case 2305:
#line 13259 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 50704 "preproc.c" /* yacc.c:1648  */
    break;

  case 2306:
#line 13263 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 50712 "preproc.c" /* yacc.c:1648  */
    break;

  case 2307:
#line 13267 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 50720 "preproc.c" /* yacc.c:1648  */
    break;

  case 2308:
#line 13271 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 50728 "preproc.c" /* yacc.c:1648  */
    break;

  case 2309:
#line 13275 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 50736 "preproc.c" /* yacc.c:1648  */
    break;

  case 2310:
#line 13279 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 50744 "preproc.c" /* yacc.c:1648  */
    break;

  case 2311:
#line 13283 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 50752 "preproc.c" /* yacc.c:1648  */
    break;

  case 2312:
#line 13287 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 50760 "preproc.c" /* yacc.c:1648  */
    break;

  case 2313:
#line 13291 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 50768 "preproc.c" /* yacc.c:1648  */
    break;

  case 2314:
#line 13295 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 50776 "preproc.c" /* yacc.c:1648  */
    break;

  case 2315:
#line 13299 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 50784 "preproc.c" /* yacc.c:1648  */
    break;

  case 2316:
#line 13303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 50792 "preproc.c" /* yacc.c:1648  */
    break;

  case 2317:
#line 13307 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 50800 "preproc.c" /* yacc.c:1648  */
    break;

  case 2318:
#line 13311 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 50808 "preproc.c" /* yacc.c:1648  */
    break;

  case 2319:
#line 13315 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 50816 "preproc.c" /* yacc.c:1648  */
    break;

  case 2320:
#line 13319 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 50824 "preproc.c" /* yacc.c:1648  */
    break;

  case 2321:
#line 13323 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 50832 "preproc.c" /* yacc.c:1648  */
    break;

  case 2322:
#line 13327 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 50840 "preproc.c" /* yacc.c:1648  */
    break;

  case 2323:
#line 13331 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 50848 "preproc.c" /* yacc.c:1648  */
    break;

  case 2324:
#line 13335 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 50856 "preproc.c" /* yacc.c:1648  */
    break;

  case 2325:
#line 13339 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 50864 "preproc.c" /* yacc.c:1648  */
    break;

  case 2326:
#line 13343 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 50872 "preproc.c" /* yacc.c:1648  */
    break;

  case 2327:
#line 13347 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 50880 "preproc.c" /* yacc.c:1648  */
    break;

  case 2328:
#line 13351 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 50888 "preproc.c" /* yacc.c:1648  */
    break;

  case 2329:
#line 13355 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 50896 "preproc.c" /* yacc.c:1648  */
    break;

  case 2330:
#line 13359 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 50904 "preproc.c" /* yacc.c:1648  */
    break;

  case 2331:
#line 13363 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 50912 "preproc.c" /* yacc.c:1648  */
    break;

  case 2332:
#line 13367 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 50920 "preproc.c" /* yacc.c:1648  */
    break;

  case 2333:
#line 13371 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 50928 "preproc.c" /* yacc.c:1648  */
    break;

  case 2334:
#line 13375 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 50936 "preproc.c" /* yacc.c:1648  */
    break;

  case 2335:
#line 13379 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 50944 "preproc.c" /* yacc.c:1648  */
    break;

  case 2336:
#line 13383 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 50952 "preproc.c" /* yacc.c:1648  */
    break;

  case 2337:
#line 13387 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 50960 "preproc.c" /* yacc.c:1648  */
    break;

  case 2338:
#line 13391 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 50968 "preproc.c" /* yacc.c:1648  */
    break;

  case 2339:
#line 13395 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 50976 "preproc.c" /* yacc.c:1648  */
    break;

  case 2340:
#line 13399 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 50984 "preproc.c" /* yacc.c:1648  */
    break;

  case 2341:
#line 13403 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 50992 "preproc.c" /* yacc.c:1648  */
    break;

  case 2342:
#line 13407 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 51000 "preproc.c" /* yacc.c:1648  */
    break;

  case 2343:
#line 13411 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 51008 "preproc.c" /* yacc.c:1648  */
    break;

  case 2344:
#line 13415 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 51016 "preproc.c" /* yacc.c:1648  */
    break;

  case 2345:
#line 13419 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 51024 "preproc.c" /* yacc.c:1648  */
    break;

  case 2346:
#line 13423 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 51032 "preproc.c" /* yacc.c:1648  */
    break;

  case 2347:
#line 13427 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 51040 "preproc.c" /* yacc.c:1648  */
    break;

  case 2348:
#line 13431 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 51048 "preproc.c" /* yacc.c:1648  */
    break;

  case 2349:
#line 13435 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 51056 "preproc.c" /* yacc.c:1648  */
    break;

  case 2350:
#line 13439 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 51064 "preproc.c" /* yacc.c:1648  */
    break;

  case 2351:
#line 13443 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 51072 "preproc.c" /* yacc.c:1648  */
    break;

  case 2352:
#line 13447 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 51080 "preproc.c" /* yacc.c:1648  */
    break;

  case 2353:
#line 13451 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 51088 "preproc.c" /* yacc.c:1648  */
    break;

  case 2354:
#line 13455 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 51096 "preproc.c" /* yacc.c:1648  */
    break;

  case 2355:
#line 13459 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 51104 "preproc.c" /* yacc.c:1648  */
    break;

  case 2356:
#line 13463 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 51112 "preproc.c" /* yacc.c:1648  */
    break;

  case 2357:
#line 13467 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 51120 "preproc.c" /* yacc.c:1648  */
    break;

  case 2358:
#line 13471 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 51128 "preproc.c" /* yacc.c:1648  */
    break;

  case 2359:
#line 13475 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 51136 "preproc.c" /* yacc.c:1648  */
    break;

  case 2360:
#line 13479 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 51144 "preproc.c" /* yacc.c:1648  */
    break;

  case 2361:
#line 13483 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 51152 "preproc.c" /* yacc.c:1648  */
    break;

  case 2362:
#line 13487 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 51160 "preproc.c" /* yacc.c:1648  */
    break;

  case 2363:
#line 13491 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 51168 "preproc.c" /* yacc.c:1648  */
    break;

  case 2364:
#line 13495 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51176 "preproc.c" /* yacc.c:1648  */
    break;

  case 2365:
#line 13499 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 51184 "preproc.c" /* yacc.c:1648  */
    break;

  case 2366:
#line 13503 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 51192 "preproc.c" /* yacc.c:1648  */
    break;

  case 2367:
#line 13507 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 51200 "preproc.c" /* yacc.c:1648  */
    break;

  case 2368:
#line 13511 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 51208 "preproc.c" /* yacc.c:1648  */
    break;

  case 2369:
#line 13515 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 51216 "preproc.c" /* yacc.c:1648  */
    break;

  case 2370:
#line 13519 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 51224 "preproc.c" /* yacc.c:1648  */
    break;

  case 2371:
#line 13523 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 51232 "preproc.c" /* yacc.c:1648  */
    break;

  case 2372:
#line 13527 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 51240 "preproc.c" /* yacc.c:1648  */
    break;

  case 2373:
#line 13531 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 51248 "preproc.c" /* yacc.c:1648  */
    break;

  case 2374:
#line 13535 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 51256 "preproc.c" /* yacc.c:1648  */
    break;

  case 2375:
#line 13539 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 51264 "preproc.c" /* yacc.c:1648  */
    break;

  case 2376:
#line 13543 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 51272 "preproc.c" /* yacc.c:1648  */
    break;

  case 2377:
#line 13547 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 51280 "preproc.c" /* yacc.c:1648  */
    break;

  case 2378:
#line 13551 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 51288 "preproc.c" /* yacc.c:1648  */
    break;

  case 2379:
#line 13555 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 51296 "preproc.c" /* yacc.c:1648  */
    break;

  case 2380:
#line 13559 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 51304 "preproc.c" /* yacc.c:1648  */
    break;

  case 2381:
#line 13563 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 51312 "preproc.c" /* yacc.c:1648  */
    break;

  case 2382:
#line 13567 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 51320 "preproc.c" /* yacc.c:1648  */
    break;

  case 2383:
#line 13571 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 51328 "preproc.c" /* yacc.c:1648  */
    break;

  case 2384:
#line 13575 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 51336 "preproc.c" /* yacc.c:1648  */
    break;

  case 2385:
#line 13579 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 51344 "preproc.c" /* yacc.c:1648  */
    break;

  case 2386:
#line 13583 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 51352 "preproc.c" /* yacc.c:1648  */
    break;

  case 2387:
#line 13587 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 51360 "preproc.c" /* yacc.c:1648  */
    break;

  case 2388:
#line 13591 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 51368 "preproc.c" /* yacc.c:1648  */
    break;

  case 2389:
#line 13595 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 51376 "preproc.c" /* yacc.c:1648  */
    break;

  case 2390:
#line 13599 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 51384 "preproc.c" /* yacc.c:1648  */
    break;

  case 2391:
#line 13603 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 51392 "preproc.c" /* yacc.c:1648  */
    break;

  case 2392:
#line 13607 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 51400 "preproc.c" /* yacc.c:1648  */
    break;

  case 2393:
#line 13611 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 51408 "preproc.c" /* yacc.c:1648  */
    break;

  case 2394:
#line 13615 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 51416 "preproc.c" /* yacc.c:1648  */
    break;

  case 2395:
#line 13619 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 51424 "preproc.c" /* yacc.c:1648  */
    break;

  case 2396:
#line 13623 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 51432 "preproc.c" /* yacc.c:1648  */
    break;

  case 2397:
#line 13627 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51440 "preproc.c" /* yacc.c:1648  */
    break;

  case 2398:
#line 13631 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 51448 "preproc.c" /* yacc.c:1648  */
    break;

  case 2399:
#line 13635 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 51456 "preproc.c" /* yacc.c:1648  */
    break;

  case 2400:
#line 13639 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 51464 "preproc.c" /* yacc.c:1648  */
    break;

  case 2401:
#line 13643 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 51472 "preproc.c" /* yacc.c:1648  */
    break;

  case 2402:
#line 13647 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 51480 "preproc.c" /* yacc.c:1648  */
    break;

  case 2403:
#line 13651 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 51488 "preproc.c" /* yacc.c:1648  */
    break;

  case 2404:
#line 13655 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 51496 "preproc.c" /* yacc.c:1648  */
    break;

  case 2405:
#line 13659 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 51504 "preproc.c" /* yacc.c:1648  */
    break;

  case 2406:
#line 13663 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 51512 "preproc.c" /* yacc.c:1648  */
    break;

  case 2407:
#line 13667 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 51520 "preproc.c" /* yacc.c:1648  */
    break;

  case 2408:
#line 13671 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 51528 "preproc.c" /* yacc.c:1648  */
    break;

  case 2409:
#line 13675 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 51536 "preproc.c" /* yacc.c:1648  */
    break;

  case 2410:
#line 13679 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 51544 "preproc.c" /* yacc.c:1648  */
    break;

  case 2411:
#line 13683 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 51552 "preproc.c" /* yacc.c:1648  */
    break;

  case 2412:
#line 13687 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 51560 "preproc.c" /* yacc.c:1648  */
    break;

  case 2413:
#line 13691 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 51568 "preproc.c" /* yacc.c:1648  */
    break;

  case 2414:
#line 13695 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 51576 "preproc.c" /* yacc.c:1648  */
    break;

  case 2415:
#line 13699 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 51584 "preproc.c" /* yacc.c:1648  */
    break;

  case 2416:
#line 13703 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 51592 "preproc.c" /* yacc.c:1648  */
    break;

  case 2417:
#line 13707 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 51600 "preproc.c" /* yacc.c:1648  */
    break;

  case 2418:
#line 13711 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 51608 "preproc.c" /* yacc.c:1648  */
    break;

  case 2419:
#line 13715 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 51616 "preproc.c" /* yacc.c:1648  */
    break;

  case 2420:
#line 13719 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 51624 "preproc.c" /* yacc.c:1648  */
    break;

  case 2421:
#line 13723 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 51632 "preproc.c" /* yacc.c:1648  */
    break;

  case 2422:
#line 13727 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 51640 "preproc.c" /* yacc.c:1648  */
    break;

  case 2423:
#line 13731 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 51648 "preproc.c" /* yacc.c:1648  */
    break;

  case 2424:
#line 13735 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 51656 "preproc.c" /* yacc.c:1648  */
    break;

  case 2425:
#line 13739 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 51664 "preproc.c" /* yacc.c:1648  */
    break;

  case 2426:
#line 13743 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 51672 "preproc.c" /* yacc.c:1648  */
    break;

  case 2427:
#line 13747 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 51680 "preproc.c" /* yacc.c:1648  */
    break;

  case 2428:
#line 13751 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 51688 "preproc.c" /* yacc.c:1648  */
    break;

  case 2429:
#line 13755 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 51696 "preproc.c" /* yacc.c:1648  */
    break;

  case 2430:
#line 13759 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 51704 "preproc.c" /* yacc.c:1648  */
    break;

  case 2431:
#line 13763 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 51712 "preproc.c" /* yacc.c:1648  */
    break;

  case 2432:
#line 13767 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 51720 "preproc.c" /* yacc.c:1648  */
    break;

  case 2433:
#line 13771 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 51728 "preproc.c" /* yacc.c:1648  */
    break;

  case 2434:
#line 13775 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 51736 "preproc.c" /* yacc.c:1648  */
    break;

  case 2435:
#line 13779 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 51744 "preproc.c" /* yacc.c:1648  */
    break;

  case 2436:
#line 13783 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 51752 "preproc.c" /* yacc.c:1648  */
    break;

  case 2437:
#line 13787 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 51760 "preproc.c" /* yacc.c:1648  */
    break;

  case 2438:
#line 13791 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 51768 "preproc.c" /* yacc.c:1648  */
    break;

  case 2439:
#line 13795 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 51776 "preproc.c" /* yacc.c:1648  */
    break;

  case 2440:
#line 13799 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 51784 "preproc.c" /* yacc.c:1648  */
    break;

  case 2441:
#line 13803 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 51792 "preproc.c" /* yacc.c:1648  */
    break;

  case 2442:
#line 13807 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 51800 "preproc.c" /* yacc.c:1648  */
    break;

  case 2443:
#line 13811 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 51808 "preproc.c" /* yacc.c:1648  */
    break;

  case 2444:
#line 13815 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 51816 "preproc.c" /* yacc.c:1648  */
    break;

  case 2445:
#line 13819 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 51824 "preproc.c" /* yacc.c:1648  */
    break;

  case 2446:
#line 13823 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 51832 "preproc.c" /* yacc.c:1648  */
    break;

  case 2447:
#line 13827 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 51840 "preproc.c" /* yacc.c:1648  */
    break;

  case 2448:
#line 13831 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 51848 "preproc.c" /* yacc.c:1648  */
    break;

  case 2449:
#line 13835 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 51856 "preproc.c" /* yacc.c:1648  */
    break;

  case 2450:
#line 13839 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 51864 "preproc.c" /* yacc.c:1648  */
    break;

  case 2451:
#line 13843 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 51872 "preproc.c" /* yacc.c:1648  */
    break;

  case 2452:
#line 13847 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 51880 "preproc.c" /* yacc.c:1648  */
    break;

  case 2453:
#line 13851 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 51888 "preproc.c" /* yacc.c:1648  */
    break;

  case 2454:
#line 13855 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 51896 "preproc.c" /* yacc.c:1648  */
    break;

  case 2455:
#line 13859 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 51904 "preproc.c" /* yacc.c:1648  */
    break;

  case 2456:
#line 13863 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 51912 "preproc.c" /* yacc.c:1648  */
    break;

  case 2457:
#line 13867 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 51920 "preproc.c" /* yacc.c:1648  */
    break;

  case 2458:
#line 13871 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 51928 "preproc.c" /* yacc.c:1648  */
    break;

  case 2459:
#line 13875 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 51936 "preproc.c" /* yacc.c:1648  */
    break;

  case 2460:
#line 13879 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 51944 "preproc.c" /* yacc.c:1648  */
    break;

  case 2461:
#line 13883 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 51952 "preproc.c" /* yacc.c:1648  */
    break;

  case 2462:
#line 13887 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 51960 "preproc.c" /* yacc.c:1648  */
    break;

  case 2463:
#line 13891 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 51968 "preproc.c" /* yacc.c:1648  */
    break;

  case 2464:
#line 13895 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 51976 "preproc.c" /* yacc.c:1648  */
    break;

  case 2465:
#line 13899 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 51984 "preproc.c" /* yacc.c:1648  */
    break;

  case 2466:
#line 13903 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 51992 "preproc.c" /* yacc.c:1648  */
    break;

  case 2467:
#line 13907 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 52000 "preproc.c" /* yacc.c:1648  */
    break;

  case 2468:
#line 13911 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 52008 "preproc.c" /* yacc.c:1648  */
    break;

  case 2469:
#line 13915 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 52016 "preproc.c" /* yacc.c:1648  */
    break;

  case 2470:
#line 13919 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 52024 "preproc.c" /* yacc.c:1648  */
    break;

  case 2471:
#line 13923 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 52032 "preproc.c" /* yacc.c:1648  */
    break;

  case 2472:
#line 13927 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 52040 "preproc.c" /* yacc.c:1648  */
    break;

  case 2473:
#line 13931 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 52048 "preproc.c" /* yacc.c:1648  */
    break;

  case 2474:
#line 13935 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 52056 "preproc.c" /* yacc.c:1648  */
    break;

  case 2475:
#line 13939 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 52064 "preproc.c" /* yacc.c:1648  */
    break;

  case 2476:
#line 13943 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 52072 "preproc.c" /* yacc.c:1648  */
    break;

  case 2477:
#line 13947 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 52080 "preproc.c" /* yacc.c:1648  */
    break;

  case 2478:
#line 13951 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 52088 "preproc.c" /* yacc.c:1648  */
    break;

  case 2479:
#line 13955 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 52096 "preproc.c" /* yacc.c:1648  */
    break;

  case 2480:
#line 13959 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 52104 "preproc.c" /* yacc.c:1648  */
    break;

  case 2481:
#line 13963 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 52112 "preproc.c" /* yacc.c:1648  */
    break;

  case 2482:
#line 13967 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 52120 "preproc.c" /* yacc.c:1648  */
    break;

  case 2483:
#line 13971 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 52128 "preproc.c" /* yacc.c:1648  */
    break;

  case 2484:
#line 13975 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 52136 "preproc.c" /* yacc.c:1648  */
    break;

  case 2485:
#line 13979 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 52144 "preproc.c" /* yacc.c:1648  */
    break;

  case 2486:
#line 13983 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 52152 "preproc.c" /* yacc.c:1648  */
    break;

  case 2487:
#line 13987 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 52160 "preproc.c" /* yacc.c:1648  */
    break;

  case 2488:
#line 13991 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 52168 "preproc.c" /* yacc.c:1648  */
    break;

  case 2489:
#line 13995 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 52176 "preproc.c" /* yacc.c:1648  */
    break;

  case 2490:
#line 13999 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 52184 "preproc.c" /* yacc.c:1648  */
    break;

  case 2491:
#line 14003 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 52192 "preproc.c" /* yacc.c:1648  */
    break;

  case 2492:
#line 14007 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 52200 "preproc.c" /* yacc.c:1648  */
    break;

  case 2493:
#line 14011 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 52208 "preproc.c" /* yacc.c:1648  */
    break;

  case 2494:
#line 14015 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 52216 "preproc.c" /* yacc.c:1648  */
    break;

  case 2495:
#line 14019 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 52224 "preproc.c" /* yacc.c:1648  */
    break;

  case 2496:
#line 14023 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 52232 "preproc.c" /* yacc.c:1648  */
    break;

  case 2497:
#line 14027 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 52240 "preproc.c" /* yacc.c:1648  */
    break;

  case 2498:
#line 14031 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 52248 "preproc.c" /* yacc.c:1648  */
    break;

  case 2499:
#line 14035 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 52256 "preproc.c" /* yacc.c:1648  */
    break;

  case 2500:
#line 14039 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 52264 "preproc.c" /* yacc.c:1648  */
    break;

  case 2501:
#line 14043 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 52272 "preproc.c" /* yacc.c:1648  */
    break;

  case 2502:
#line 14047 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 52280 "preproc.c" /* yacc.c:1648  */
    break;

  case 2503:
#line 14051 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 52288 "preproc.c" /* yacc.c:1648  */
    break;

  case 2504:
#line 14055 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 52296 "preproc.c" /* yacc.c:1648  */
    break;

  case 2505:
#line 14059 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 52304 "preproc.c" /* yacc.c:1648  */
    break;

  case 2506:
#line 14063 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 52312 "preproc.c" /* yacc.c:1648  */
    break;

  case 2507:
#line 14067 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 52320 "preproc.c" /* yacc.c:1648  */
    break;

  case 2508:
#line 14071 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 52328 "preproc.c" /* yacc.c:1648  */
    break;

  case 2509:
#line 14075 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 52336 "preproc.c" /* yacc.c:1648  */
    break;

  case 2510:
#line 14079 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 52344 "preproc.c" /* yacc.c:1648  */
    break;

  case 2511:
#line 14083 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 52352 "preproc.c" /* yacc.c:1648  */
    break;

  case 2512:
#line 14087 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 52360 "preproc.c" /* yacc.c:1648  */
    break;

  case 2513:
#line 14091 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 52368 "preproc.c" /* yacc.c:1648  */
    break;

  case 2514:
#line 14099 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 52376 "preproc.c" /* yacc.c:1648  */
    break;

  case 2515:
#line 14103 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 52384 "preproc.c" /* yacc.c:1648  */
    break;

  case 2516:
#line 14107 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 52392 "preproc.c" /* yacc.c:1648  */
    break;

  case 2517:
#line 14111 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 52400 "preproc.c" /* yacc.c:1648  */
    break;

  case 2518:
#line 14115 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 52408 "preproc.c" /* yacc.c:1648  */
    break;

  case 2519:
#line 14119 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 52416 "preproc.c" /* yacc.c:1648  */
    break;

  case 2520:
#line 14123 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 52424 "preproc.c" /* yacc.c:1648  */
    break;

  case 2521:
#line 14127 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 52432 "preproc.c" /* yacc.c:1648  */
    break;

  case 2522:
#line 14131 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 52440 "preproc.c" /* yacc.c:1648  */
    break;

  case 2523:
#line 14135 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 52448 "preproc.c" /* yacc.c:1648  */
    break;

  case 2524:
#line 14139 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 52456 "preproc.c" /* yacc.c:1648  */
    break;

  case 2525:
#line 14143 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 52464 "preproc.c" /* yacc.c:1648  */
    break;

  case 2526:
#line 14147 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 52472 "preproc.c" /* yacc.c:1648  */
    break;

  case 2527:
#line 14151 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 52480 "preproc.c" /* yacc.c:1648  */
    break;

  case 2528:
#line 14155 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 52488 "preproc.c" /* yacc.c:1648  */
    break;

  case 2529:
#line 14159 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 52496 "preproc.c" /* yacc.c:1648  */
    break;

  case 2530:
#line 14163 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 52504 "preproc.c" /* yacc.c:1648  */
    break;

  case 2531:
#line 14167 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 52512 "preproc.c" /* yacc.c:1648  */
    break;

  case 2532:
#line 14171 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 52520 "preproc.c" /* yacc.c:1648  */
    break;

  case 2533:
#line 14175 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 52528 "preproc.c" /* yacc.c:1648  */
    break;

  case 2534:
#line 14179 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 52536 "preproc.c" /* yacc.c:1648  */
    break;

  case 2535:
#line 14183 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 52544 "preproc.c" /* yacc.c:1648  */
    break;

  case 2536:
#line 14187 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 52552 "preproc.c" /* yacc.c:1648  */
    break;

  case 2537:
#line 14191 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 52560 "preproc.c" /* yacc.c:1648  */
    break;

  case 2538:
#line 14195 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 52568 "preproc.c" /* yacc.c:1648  */
    break;

  case 2539:
#line 14199 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 52576 "preproc.c" /* yacc.c:1648  */
    break;

  case 2540:
#line 14203 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 52584 "preproc.c" /* yacc.c:1648  */
    break;

  case 2541:
#line 14207 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 52592 "preproc.c" /* yacc.c:1648  */
    break;

  case 2542:
#line 14211 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 52600 "preproc.c" /* yacc.c:1648  */
    break;

  case 2543:
#line 14215 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 52608 "preproc.c" /* yacc.c:1648  */
    break;

  case 2544:
#line 14219 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 52616 "preproc.c" /* yacc.c:1648  */
    break;

  case 2545:
#line 14223 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 52624 "preproc.c" /* yacc.c:1648  */
    break;

  case 2546:
#line 14227 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 52632 "preproc.c" /* yacc.c:1648  */
    break;

  case 2547:
#line 14231 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 52640 "preproc.c" /* yacc.c:1648  */
    break;

  case 2548:
#line 14235 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 52648 "preproc.c" /* yacc.c:1648  */
    break;

  case 2549:
#line 14239 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 52656 "preproc.c" /* yacc.c:1648  */
    break;

  case 2550:
#line 14243 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 52664 "preproc.c" /* yacc.c:1648  */
    break;

  case 2551:
#line 14247 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 52672 "preproc.c" /* yacc.c:1648  */
    break;

  case 2552:
#line 14251 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 52680 "preproc.c" /* yacc.c:1648  */
    break;

  case 2553:
#line 14255 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 52688 "preproc.c" /* yacc.c:1648  */
    break;

  case 2554:
#line 14259 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 52696 "preproc.c" /* yacc.c:1648  */
    break;

  case 2555:
#line 14263 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 52704 "preproc.c" /* yacc.c:1648  */
    break;

  case 2556:
#line 14267 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 52712 "preproc.c" /* yacc.c:1648  */
    break;

  case 2557:
#line 14271 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 52720 "preproc.c" /* yacc.c:1648  */
    break;

  case 2558:
#line 14275 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 52728 "preproc.c" /* yacc.c:1648  */
    break;

  case 2559:
#line 14279 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 52736 "preproc.c" /* yacc.c:1648  */
    break;

  case 2560:
#line 14283 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 52744 "preproc.c" /* yacc.c:1648  */
    break;

  case 2561:
#line 14291 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 52752 "preproc.c" /* yacc.c:1648  */
    break;

  case 2562:
#line 14295 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 52760 "preproc.c" /* yacc.c:1648  */
    break;

  case 2563:
#line 14299 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 52768 "preproc.c" /* yacc.c:1648  */
    break;

  case 2564:
#line 14303 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 52776 "preproc.c" /* yacc.c:1648  */
    break;

  case 2565:
#line 14307 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 52784 "preproc.c" /* yacc.c:1648  */
    break;

  case 2566:
#line 14311 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 52792 "preproc.c" /* yacc.c:1648  */
    break;

  case 2567:
#line 14315 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 52800 "preproc.c" /* yacc.c:1648  */
    break;

  case 2568:
#line 14319 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 52808 "preproc.c" /* yacc.c:1648  */
    break;

  case 2569:
#line 14323 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 52816 "preproc.c" /* yacc.c:1648  */
    break;

  case 2570:
#line 14327 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 52824 "preproc.c" /* yacc.c:1648  */
    break;

  case 2571:
#line 14331 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 52832 "preproc.c" /* yacc.c:1648  */
    break;

  case 2572:
#line 14335 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 52840 "preproc.c" /* yacc.c:1648  */
    break;

  case 2573:
#line 14339 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 52848 "preproc.c" /* yacc.c:1648  */
    break;

  case 2574:
#line 14343 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 52856 "preproc.c" /* yacc.c:1648  */
    break;

  case 2575:
#line 14347 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 52864 "preproc.c" /* yacc.c:1648  */
    break;

  case 2576:
#line 14351 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 52872 "preproc.c" /* yacc.c:1648  */
    break;

  case 2577:
#line 14355 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 52880 "preproc.c" /* yacc.c:1648  */
    break;

  case 2578:
#line 14359 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 52888 "preproc.c" /* yacc.c:1648  */
    break;

  case 2579:
#line 14363 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 52896 "preproc.c" /* yacc.c:1648  */
    break;

  case 2580:
#line 14367 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 52904 "preproc.c" /* yacc.c:1648  */
    break;

  case 2581:
#line 14371 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 52912 "preproc.c" /* yacc.c:1648  */
    break;

  case 2582:
#line 14375 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 52920 "preproc.c" /* yacc.c:1648  */
    break;

  case 2583:
#line 14379 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 52928 "preproc.c" /* yacc.c:1648  */
    break;

  case 2584:
#line 14387 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52936 "preproc.c" /* yacc.c:1648  */
    break;

  case 2585:
#line 14391 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 52944 "preproc.c" /* yacc.c:1648  */
    break;

  case 2586:
#line 14395 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 52952 "preproc.c" /* yacc.c:1648  */
    break;

  case 2587:
#line 14399 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 52960 "preproc.c" /* yacc.c:1648  */
    break;

  case 2588:
#line 14403 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 52968 "preproc.c" /* yacc.c:1648  */
    break;

  case 2589:
#line 14407 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 52976 "preproc.c" /* yacc.c:1648  */
    break;

  case 2590:
#line 14411 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 52984 "preproc.c" /* yacc.c:1648  */
    break;

  case 2591:
#line 14415 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 52992 "preproc.c" /* yacc.c:1648  */
    break;

  case 2592:
#line 14419 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 53000 "preproc.c" /* yacc.c:1648  */
    break;

  case 2593:
#line 14423 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 53008 "preproc.c" /* yacc.c:1648  */
    break;

  case 2594:
#line 14427 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 53016 "preproc.c" /* yacc.c:1648  */
    break;

  case 2595:
#line 14431 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 53024 "preproc.c" /* yacc.c:1648  */
    break;

  case 2596:
#line 14435 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 53032 "preproc.c" /* yacc.c:1648  */
    break;

  case 2597:
#line 14439 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 53040 "preproc.c" /* yacc.c:1648  */
    break;

  case 2598:
#line 14443 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 53048 "preproc.c" /* yacc.c:1648  */
    break;

  case 2599:
#line 14447 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 53056 "preproc.c" /* yacc.c:1648  */
    break;

  case 2600:
#line 14451 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 53064 "preproc.c" /* yacc.c:1648  */
    break;

  case 2601:
#line 14455 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 53072 "preproc.c" /* yacc.c:1648  */
    break;

  case 2602:
#line 14459 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 53080 "preproc.c" /* yacc.c:1648  */
    break;

  case 2603:
#line 14463 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 53088 "preproc.c" /* yacc.c:1648  */
    break;

  case 2604:
#line 14467 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 53096 "preproc.c" /* yacc.c:1648  */
    break;

  case 2605:
#line 14471 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 53104 "preproc.c" /* yacc.c:1648  */
    break;

  case 2606:
#line 14475 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 53112 "preproc.c" /* yacc.c:1648  */
    break;

  case 2607:
#line 14479 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 53120 "preproc.c" /* yacc.c:1648  */
    break;

  case 2608:
#line 14483 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 53128 "preproc.c" /* yacc.c:1648  */
    break;

  case 2609:
#line 14487 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 53136 "preproc.c" /* yacc.c:1648  */
    break;

  case 2610:
#line 14491 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 53144 "preproc.c" /* yacc.c:1648  */
    break;

  case 2611:
#line 14495 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 53152 "preproc.c" /* yacc.c:1648  */
    break;

  case 2612:
#line 14499 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 53160 "preproc.c" /* yacc.c:1648  */
    break;

  case 2613:
#line 14503 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 53168 "preproc.c" /* yacc.c:1648  */
    break;

  case 2614:
#line 14507 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 53176 "preproc.c" /* yacc.c:1648  */
    break;

  case 2615:
#line 14511 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 53184 "preproc.c" /* yacc.c:1648  */
    break;

  case 2616:
#line 14515 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 53192 "preproc.c" /* yacc.c:1648  */
    break;

  case 2617:
#line 14519 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 53200 "preproc.c" /* yacc.c:1648  */
    break;

  case 2618:
#line 14523 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 53208 "preproc.c" /* yacc.c:1648  */
    break;

  case 2619:
#line 14527 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 53216 "preproc.c" /* yacc.c:1648  */
    break;

  case 2620:
#line 14531 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 53224 "preproc.c" /* yacc.c:1648  */
    break;

  case 2621:
#line 14535 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 53232 "preproc.c" /* yacc.c:1648  */
    break;

  case 2622:
#line 14539 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 53240 "preproc.c" /* yacc.c:1648  */
    break;

  case 2623:
#line 14543 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 53248 "preproc.c" /* yacc.c:1648  */
    break;

  case 2624:
#line 14547 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 53256 "preproc.c" /* yacc.c:1648  */
    break;

  case 2625:
#line 14551 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 53264 "preproc.c" /* yacc.c:1648  */
    break;

  case 2626:
#line 14555 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 53272 "preproc.c" /* yacc.c:1648  */
    break;

  case 2627:
#line 14559 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 53280 "preproc.c" /* yacc.c:1648  */
    break;

  case 2628:
#line 14563 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 53288 "preproc.c" /* yacc.c:1648  */
    break;

  case 2629:
#line 14567 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 53296 "preproc.c" /* yacc.c:1648  */
    break;

  case 2630:
#line 14571 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 53304 "preproc.c" /* yacc.c:1648  */
    break;

  case 2631:
#line 14575 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 53312 "preproc.c" /* yacc.c:1648  */
    break;

  case 2632:
#line 14579 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 53320 "preproc.c" /* yacc.c:1648  */
    break;

  case 2633:
#line 14583 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 53328 "preproc.c" /* yacc.c:1648  */
    break;

  case 2634:
#line 14587 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 53336 "preproc.c" /* yacc.c:1648  */
    break;

  case 2635:
#line 14591 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 53344 "preproc.c" /* yacc.c:1648  */
    break;

  case 2636:
#line 14595 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 53352 "preproc.c" /* yacc.c:1648  */
    break;

  case 2637:
#line 14599 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 53360 "preproc.c" /* yacc.c:1648  */
    break;

  case 2638:
#line 14603 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 53368 "preproc.c" /* yacc.c:1648  */
    break;

  case 2639:
#line 14607 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 53376 "preproc.c" /* yacc.c:1648  */
    break;

  case 2640:
#line 14611 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 53384 "preproc.c" /* yacc.c:1648  */
    break;

  case 2641:
#line 14615 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 53392 "preproc.c" /* yacc.c:1648  */
    break;

  case 2642:
#line 14619 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 53400 "preproc.c" /* yacc.c:1648  */
    break;

  case 2643:
#line 14623 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 53408 "preproc.c" /* yacc.c:1648  */
    break;

  case 2644:
#line 14627 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 53416 "preproc.c" /* yacc.c:1648  */
    break;

  case 2645:
#line 14631 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 53424 "preproc.c" /* yacc.c:1648  */
    break;

  case 2646:
#line 14635 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 53432 "preproc.c" /* yacc.c:1648  */
    break;

  case 2647:
#line 14639 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 53440 "preproc.c" /* yacc.c:1648  */
    break;

  case 2648:
#line 14643 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 53448 "preproc.c" /* yacc.c:1648  */
    break;

  case 2649:
#line 14647 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 53456 "preproc.c" /* yacc.c:1648  */
    break;

  case 2650:
#line 14651 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 53464 "preproc.c" /* yacc.c:1648  */
    break;

  case 2651:
#line 14655 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 53472 "preproc.c" /* yacc.c:1648  */
    break;

  case 2652:
#line 14659 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 53480 "preproc.c" /* yacc.c:1648  */
    break;

  case 2653:
#line 14663 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 53488 "preproc.c" /* yacc.c:1648  */
    break;

  case 2654:
#line 14667 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 53496 "preproc.c" /* yacc.c:1648  */
    break;

  case 2655:
#line 14671 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 53504 "preproc.c" /* yacc.c:1648  */
    break;

  case 2656:
#line 14675 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 53512 "preproc.c" /* yacc.c:1648  */
    break;

  case 2657:
#line 14679 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 53520 "preproc.c" /* yacc.c:1648  */
    break;

  case 2658:
#line 14683 "preproc.y" /* yacc.c:1648  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 53528 "preproc.c" /* yacc.c:1648  */
    break;

  case 2661:
#line 14696 "preproc.y" /* yacc.c:1648  */
    { connection = NULL; }
#line 53534 "preproc.c" /* yacc.c:1648  */
    break;

  case 2663:
#line 14699 "preproc.y" /* yacc.c:1648  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 53544 "preproc.c" /* yacc.c:1648  */
    break;

  case 2665:
#line 14705 "preproc.y" /* yacc.c:1648  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53550 "preproc.c" /* yacc.c:1648  */
    break;

  case 2666:
#line 14706 "preproc.y" /* yacc.c:1648  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 53556 "preproc.c" /* yacc.c:1648  */
    break;

  case 2667:
#line 14707 "preproc.y" /* yacc.c:1648  */
    { braces_open++; fputs("{", base_yyout); }
#line 53562 "preproc.c" /* yacc.c:1648  */
    break;

  case 2668:
#line 14709 "preproc.y" /* yacc.c:1648  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 53577 "preproc.c" /* yacc.c:1648  */
    break;

  case 2669:
#line 14721 "preproc.y" /* yacc.c:1648  */
    {FoundInto = 0;}
#line 53583 "preproc.c" /* yacc.c:1648  */
    break;

  case 2670:
#line 14722 "preproc.y" /* yacc.c:1648  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 53594 "preproc.c" /* yacc.c:1648  */
    break;

  case 2671:
#line 14731 "preproc.y" /* yacc.c:1648  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 53608 "preproc.c" /* yacc.c:1648  */
    break;

  case 2672:
#line 14746 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 53614 "preproc.c" /* yacc.c:1648  */
    break;

  case 2673:
#line 14748 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 53620 "preproc.c" /* yacc.c:1648  */
    break;

  case 2674:
#line 14751 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 53626 "preproc.c" /* yacc.c:1648  */
    break;

  case 2675:
#line 14753 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 53632 "preproc.c" /* yacc.c:1648  */
    break;

  case 2676:
#line 14757 "preproc.y" /* yacc.c:1648  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 53648 "preproc.c" /* yacc.c:1648  */
    break;

  case 2677:
#line 14769 "preproc.y" /* yacc.c:1648  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 53668 "preproc.c" /* yacc.c:1648  */
    break;

  case 2678:
#line 14785 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 53676 "preproc.c" /* yacc.c:1648  */
    break;

  case 2679:
#line 14789 "preproc.y" /* yacc.c:1648  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 53689 "preproc.c" /* yacc.c:1648  */
    break;

  case 2680:
#line 14799 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53695 "preproc.c" /* yacc.c:1648  */
    break;

  case 2681:
#line 14800 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 53701 "preproc.c" /* yacc.c:1648  */
    break;

  case 2682:
#line 14804 "preproc.y" /* yacc.c:1648  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 53715 "preproc.c" /* yacc.c:1648  */
    break;

  case 2683:
#line 14816 "preproc.y" /* yacc.c:1648  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 53726 "preproc.c" /* yacc.c:1648  */
    break;

  case 2684:
#line 14824 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53732 "preproc.c" /* yacc.c:1648  */
    break;

  case 2685:
#line 14825 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 53738 "preproc.c" /* yacc.c:1648  */
    break;

  case 2686:
#line 14828 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53744 "preproc.c" /* yacc.c:1648  */
    break;

  case 2687:
#line 14829 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 53750 "preproc.c" /* yacc.c:1648  */
    break;

  case 2688:
#line 14830 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 53756 "preproc.c" /* yacc.c:1648  */
    break;

  case 2689:
#line 14833 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 53762 "preproc.c" /* yacc.c:1648  */
    break;

  case 2690:
#line 14834 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 53768 "preproc.c" /* yacc.c:1648  */
    break;

  case 2691:
#line 14837 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53774 "preproc.c" /* yacc.c:1648  */
    break;

  case 2692:
#line 14838 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53780 "preproc.c" /* yacc.c:1648  */
    break;

  case 2693:
#line 14841 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53786 "preproc.c" /* yacc.c:1648  */
    break;

  case 2694:
#line 14842 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 53792 "preproc.c" /* yacc.c:1648  */
    break;

  case 2695:
#line 14846 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 53798 "preproc.c" /* yacc.c:1648  */
    break;

  case 2696:
#line 14848 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53804 "preproc.c" /* yacc.c:1648  */
    break;

  case 2697:
#line 14850 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53810 "preproc.c" /* yacc.c:1648  */
    break;

  case 2698:
#line 14852 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53816 "preproc.c" /* yacc.c:1648  */
    break;

  case 2699:
#line 14856 "preproc.y" /* yacc.c:1648  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53827 "preproc.c" /* yacc.c:1648  */
    break;

  case 2700:
#line 14863 "preproc.y" /* yacc.c:1648  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 53838 "preproc.c" /* yacc.c:1648  */
    break;

  case 2701:
#line 14870 "preproc.y" /* yacc.c:1648  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 53856 "preproc.c" /* yacc.c:1648  */
    break;

  case 2702:
#line 14886 "preproc.y" /* yacc.c:1648  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 53892 "preproc.c" /* yacc.c:1648  */
    break;

  case 2703:
#line 14920 "preproc.y" /* yacc.c:1648  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 53906 "preproc.c" /* yacc.c:1648  */
    break;

  case 2704:
#line 14929 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 53912 "preproc.c" /* yacc.c:1648  */
    break;

  case 2705:
#line 14933 "preproc.y" /* yacc.c:1648  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53920 "preproc.c" /* yacc.c:1648  */
    break;

  case 2706:
#line 14937 "preproc.y" /* yacc.c:1648  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 53934 "preproc.c" /* yacc.c:1648  */
    break;

  case 2707:
#line 14949 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 53940 "preproc.c" /* yacc.c:1648  */
    break;

  case 2708:
#line 14951 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53946 "preproc.c" /* yacc.c:1648  */
    break;

  case 2709:
#line 14953 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53952 "preproc.c" /* yacc.c:1648  */
    break;

  case 2710:
#line 14955 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 53958 "preproc.c" /* yacc.c:1648  */
    break;

  case 2711:
#line 14959 "preproc.y" /* yacc.c:1648  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 53976 "preproc.c" /* yacc.c:1648  */
    break;

  case 2712:
#line 14972 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53982 "preproc.c" /* yacc.c:1648  */
    break;

  case 2713:
#line 14980 "preproc.y" /* yacc.c:1648  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 54045 "preproc.c" /* yacc.c:1648  */
    break;

  case 2714:
#line 15041 "preproc.y" /* yacc.c:1648  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 54055 "preproc.c" /* yacc.c:1648  */
    break;

  case 2716:
#line 15051 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54061 "preproc.c" /* yacc.c:1648  */
    break;

  case 2717:
#line 15052 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54067 "preproc.c" /* yacc.c:1648  */
    break;

  case 2718:
#line 15055 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54073 "preproc.c" /* yacc.c:1648  */
    break;

  case 2719:
#line 15057 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54079 "preproc.c" /* yacc.c:1648  */
    break;

  case 2720:
#line 15058 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 54085 "preproc.c" /* yacc.c:1648  */
    break;

  case 2721:
#line 15061 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54091 "preproc.c" /* yacc.c:1648  */
    break;

  case 2722:
#line 15062 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 54097 "preproc.c" /* yacc.c:1648  */
    break;

  case 2723:
#line 15063 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 54103 "preproc.c" /* yacc.c:1648  */
    break;

  case 2724:
#line 15064 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 54109 "preproc.c" /* yacc.c:1648  */
    break;

  case 2725:
#line 15065 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 54115 "preproc.c" /* yacc.c:1648  */
    break;

  case 2726:
#line 15072 "preproc.y" /* yacc.c:1648  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 54121 "preproc.c" /* yacc.c:1648  */
    break;

  case 2727:
#line 15074 "preproc.y" /* yacc.c:1648  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 54131 "preproc.c" /* yacc.c:1648  */
    break;

  case 2728:
#line 15081 "preproc.y" /* yacc.c:1648  */
    {}
#line 54137 "preproc.c" /* yacc.c:1648  */
    break;

  case 2729:
#line 15083 "preproc.y" /* yacc.c:1648  */
    {}
#line 54143 "preproc.c" /* yacc.c:1648  */
    break;

  case 2730:
#line 15085 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 54149 "preproc.c" /* yacc.c:1648  */
    break;

  case 2731:
#line 15086 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54155 "preproc.c" /* yacc.c:1648  */
    break;

  case 2732:
#line 15089 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54161 "preproc.c" /* yacc.c:1648  */
    break;

  case 2733:
#line 15090 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54167 "preproc.c" /* yacc.c:1648  */
    break;

  case 2734:
#line 15091 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54173 "preproc.c" /* yacc.c:1648  */
    break;

  case 2735:
#line 15092 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54179 "preproc.c" /* yacc.c:1648  */
    break;

  case 2736:
#line 15095 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54185 "preproc.c" /* yacc.c:1648  */
    break;

  case 2737:
#line 15096 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54191 "preproc.c" /* yacc.c:1648  */
    break;

  case 2738:
#line 15100 "preproc.y" /* yacc.c:1648  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 54201 "preproc.c" /* yacc.c:1648  */
    break;

  case 2739:
#line 15106 "preproc.y" /* yacc.c:1648  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 54213 "preproc.c" /* yacc.c:1648  */
    break;

  case 2740:
#line 15116 "preproc.y" /* yacc.c:1648  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54227 "preproc.c" /* yacc.c:1648  */
    break;

  case 2741:
#line 15126 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54235 "preproc.c" /* yacc.c:1648  */
    break;

  case 2742:
#line 15130 "preproc.y" /* yacc.c:1648  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 54249 "preproc.c" /* yacc.c:1648  */
    break;

  case 2743:
#line 15140 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 54257 "preproc.c" /* yacc.c:1648  */
    break;

  case 2744:
#line 15144 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 54265 "preproc.c" /* yacc.c:1648  */
    break;

  case 2745:
#line 15149 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 54271 "preproc.c" /* yacc.c:1648  */
    break;

  case 2746:
#line 15150 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 54277 "preproc.c" /* yacc.c:1648  */
    break;

  case 2747:
#line 15154 "preproc.y" /* yacc.c:1648  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 54283 "preproc.c" /* yacc.c:1648  */
    break;

  case 2748:
#line 15155 "preproc.y" /* yacc.c:1648  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54289 "preproc.c" /* yacc.c:1648  */
    break;

  case 2749:
#line 15156 "preproc.y" /* yacc.c:1648  */
    {(yyval.str) = (yyvsp[0].str); }
#line 54295 "preproc.c" /* yacc.c:1648  */
    break;

  case 2750:
#line 15159 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("extern"); }
#line 54301 "preproc.c" /* yacc.c:1648  */
    break;

  case 2751:
#line 15160 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("static"); }
#line 54307 "preproc.c" /* yacc.c:1648  */
    break;

  case 2752:
#line 15161 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("register"); }
#line 54313 "preproc.c" /* yacc.c:1648  */
    break;

  case 2753:
#line 15162 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("auto"); }
#line 54319 "preproc.c" /* yacc.c:1648  */
    break;

  case 2754:
#line 15165 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("const"); }
#line 54325 "preproc.c" /* yacc.c:1648  */
    break;

  case 2755:
#line 15166 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 54331 "preproc.c" /* yacc.c:1648  */
    break;

  case 2756:
#line 15170 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54343 "preproc.c" /* yacc.c:1648  */
    break;

  case 2757:
#line 15178 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 54364 "preproc.c" /* yacc.c:1648  */
    break;

  case 2758:
#line 15195 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54376 "preproc.c" /* yacc.c:1648  */
    break;

  case 2759:
#line 15203 "preproc.y" /* yacc.c:1648  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 54403 "preproc.c" /* yacc.c:1648  */
    break;

  case 2760:
#line 15226 "preproc.y" /* yacc.c:1648  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 54513 "preproc.c" /* yacc.c:1648  */
    break;

  case 2761:
#line 15332 "preproc.y" /* yacc.c:1648  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 54549 "preproc.c" /* yacc.c:1648  */
    break;

  case 2762:
#line 15366 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 54555 "preproc.c" /* yacc.c:1648  */
    break;

  case 2763:
#line 15368 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54561 "preproc.c" /* yacc.c:1648  */
    break;

  case 2764:
#line 15370 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 54567 "preproc.c" /* yacc.c:1648  */
    break;

  case 2765:
#line 15374 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 54573 "preproc.c" /* yacc.c:1648  */
    break;

  case 2766:
#line 15377 "preproc.y" /* yacc.c:1648  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 54584 "preproc.c" /* yacc.c:1648  */
    break;

  case 2767:
#line 15384 "preproc.y" /* yacc.c:1648  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54630 "preproc.c" /* yacc.c:1648  */
    break;

  case 2768:
#line 15427 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54636 "preproc.c" /* yacc.c:1648  */
    break;

  case 2769:
#line 15429 "preproc.y" /* yacc.c:1648  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 54646 "preproc.c" /* yacc.c:1648  */
    break;

  case 2770:
#line 15435 "preproc.y" /* yacc.c:1648  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 54657 "preproc.c" /* yacc.c:1648  */
    break;

  case 2771:
#line 15444 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 54667 "preproc.c" /* yacc.c:1648  */
    break;

  case 2772:
#line 15450 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 54676 "preproc.c" /* yacc.c:1648  */
    break;

  case 2773:
#line 15457 "preproc.y" /* yacc.c:1648  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 54685 "preproc.c" /* yacc.c:1648  */
    break;

  case 2774:
#line 15462 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 54693 "preproc.c" /* yacc.c:1648  */
    break;

  case 2775:
#line 15467 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54699 "preproc.c" /* yacc.c:1648  */
    break;

  case 2776:
#line 15468 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 54705 "preproc.c" /* yacc.c:1648  */
    break;

  case 2777:
#line 15471 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54711 "preproc.c" /* yacc.c:1648  */
    break;

  case 2778:
#line 15472 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 54717 "preproc.c" /* yacc.c:1648  */
    break;

  case 2779:
#line 15473 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54723 "preproc.c" /* yacc.c:1648  */
    break;

  case 2780:
#line 15474 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 54729 "preproc.c" /* yacc.c:1648  */
    break;

  case 2781:
#line 15475 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54735 "preproc.c" /* yacc.c:1648  */
    break;

  case 2782:
#line 15476 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 54741 "preproc.c" /* yacc.c:1648  */
    break;

  case 2783:
#line 15478 "preproc.y" /* yacc.c:1648  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54753 "preproc.c" /* yacc.c:1648  */
    break;

  case 2784:
#line 15486 "preproc.y" /* yacc.c:1648  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 54765 "preproc.c" /* yacc.c:1648  */
    break;

  case 2785:
#line 15493 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 54771 "preproc.c" /* yacc.c:1648  */
    break;

  case 2786:
#line 15496 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54777 "preproc.c" /* yacc.c:1648  */
    break;

  case 2787:
#line 15497 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_short; }
#line 54783 "preproc.c" /* yacc.c:1648  */
    break;

  case 2788:
#line 15498 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_int; }
#line 54789 "preproc.c" /* yacc.c:1648  */
    break;

  case 2789:
#line 15499 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54795 "preproc.c" /* yacc.c:1648  */
    break;

  case 2790:
#line 15500 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_long; }
#line 54801 "preproc.c" /* yacc.c:1648  */
    break;

  case 2791:
#line 15502 "preproc.y" /* yacc.c:1648  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54813 "preproc.c" /* yacc.c:1648  */
    break;

  case 2792:
#line 15510 "preproc.y" /* yacc.c:1648  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 54825 "preproc.c" /* yacc.c:1648  */
    break;

  case 2793:
#line 15517 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 54831 "preproc.c" /* yacc.c:1648  */
    break;

  case 2794:
#line 15518 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_char; }
#line 54837 "preproc.c" /* yacc.c:1648  */
    break;

  case 2795:
#line 15519 "preproc.y" /* yacc.c:1648  */
    { (yyval.type_enum) = ECPGt_double; }
#line 54843 "preproc.c" /* yacc.c:1648  */
    break;

  case 2798:
#line 15527 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54849 "preproc.c" /* yacc.c:1648  */
    break;

  case 2799:
#line 15529 "preproc.y" /* yacc.c:1648  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 54860 "preproc.c" /* yacc.c:1648  */
    break;

  case 2800:
#line 15538 "preproc.y" /* yacc.c:1648  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 54949 "preproc.c" /* yacc.c:1648  */
    break;

  case 2801:
#line 15625 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 54955 "preproc.c" /* yacc.c:1648  */
    break;

  case 2802:
#line 15627 "preproc.y" /* yacc.c:1648  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 54964 "preproc.c" /* yacc.c:1648  */
    break;

  case 2803:
#line 15633 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 54970 "preproc.c" /* yacc.c:1648  */
    break;

  case 2804:
#line 15634 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("*"); }
#line 54976 "preproc.c" /* yacc.c:1648  */
    break;

  case 2805:
#line 15635 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("**"); }
#line 54982 "preproc.c" /* yacc.c:1648  */
    break;

  case 2806:
#line 15642 "preproc.y" /* yacc.c:1648  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 54991 "preproc.c" /* yacc.c:1648  */
    break;

  case 2807:
#line 15650 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54997 "preproc.c" /* yacc.c:1648  */
    break;

  case 2808:
#line 15653 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55003 "preproc.c" /* yacc.c:1648  */
    break;

  case 2809:
#line 15654 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 55009 "preproc.c" /* yacc.c:1648  */
    break;

  case 2810:
#line 15655 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 55015 "preproc.c" /* yacc.c:1648  */
    break;

  case 2811:
#line 15656 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 55021 "preproc.c" /* yacc.c:1648  */
    break;

  case 2812:
#line 15659 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 55027 "preproc.c" /* yacc.c:1648  */
    break;

  case 2813:
#line 15660 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 55033 "preproc.c" /* yacc.c:1648  */
    break;

  case 2814:
#line 15661 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55039 "preproc.c" /* yacc.c:1648  */
    break;

  case 2815:
#line 15665 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55045 "preproc.c" /* yacc.c:1648  */
    break;

  case 2816:
#line 15667 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 55051 "preproc.c" /* yacc.c:1648  */
    break;

  case 2817:
#line 15674 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55057 "preproc.c" /* yacc.c:1648  */
    break;

  case 2818:
#line 15675 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("all"); }
#line 55063 "preproc.c" /* yacc.c:1648  */
    break;

  case 2819:
#line 15682 "preproc.y" /* yacc.c:1648  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 55073 "preproc.c" /* yacc.c:1648  */
    break;

  case 2820:
#line 15689 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 55079 "preproc.c" /* yacc.c:1648  */
    break;

  case 2821:
#line 15690 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55085 "preproc.c" /* yacc.c:1648  */
    break;

  case 2822:
#line 15693 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 55091 "preproc.c" /* yacc.c:1648  */
    break;

  case 2823:
#line 15694 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55097 "preproc.c" /* yacc.c:1648  */
    break;

  case 2824:
#line 15698 "preproc.y" /* yacc.c:1648  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55106 "preproc.c" /* yacc.c:1648  */
    break;

  case 2825:
#line 15703 "preproc.y" /* yacc.c:1648  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55115 "preproc.c" /* yacc.c:1648  */
    break;

  case 2826:
#line 15710 "preproc.y" /* yacc.c:1648  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55124 "preproc.c" /* yacc.c:1648  */
    break;

  case 2827:
#line 15715 "preproc.y" /* yacc.c:1648  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55133 "preproc.c" /* yacc.c:1648  */
    break;

  case 2828:
#line 15722 "preproc.y" /* yacc.c:1648  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 55142 "preproc.c" /* yacc.c:1648  */
    break;

  case 2831:
#line 15731 "preproc.y" /* yacc.c:1648  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 55153 "preproc.c" /* yacc.c:1648  */
    break;

  case 2832:
#line 15737 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 55159 "preproc.c" /* yacc.c:1648  */
    break;

  case 2833:
#line 15738 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 55165 "preproc.c" /* yacc.c:1648  */
    break;

  case 2834:
#line 15741 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55171 "preproc.c" /* yacc.c:1648  */
    break;

  case 2835:
#line 15742 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55177 "preproc.c" /* yacc.c:1648  */
    break;

  case 2836:
#line 15743 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55183 "preproc.c" /* yacc.c:1648  */
    break;

  case 2837:
#line 15744 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55189 "preproc.c" /* yacc.c:1648  */
    break;

  case 2838:
#line 15745 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 55195 "preproc.c" /* yacc.c:1648  */
    break;

  case 2839:
#line 15746 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 55201 "preproc.c" /* yacc.c:1648  */
    break;

  case 2840:
#line 15747 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55207 "preproc.c" /* yacc.c:1648  */
    break;

  case 2841:
#line 15748 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55213 "preproc.c" /* yacc.c:1648  */
    break;

  case 2842:
#line 15749 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55219 "preproc.c" /* yacc.c:1648  */
    break;

  case 2843:
#line 15756 "preproc.y" /* yacc.c:1648  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55230 "preproc.c" /* yacc.c:1648  */
    break;

  case 2844:
#line 15763 "preproc.y" /* yacc.c:1648  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55246 "preproc.c" /* yacc.c:1648  */
    break;

  case 2845:
#line 15775 "preproc.y" /* yacc.c:1648  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55256 "preproc.c" /* yacc.c:1648  */
    break;

  case 2846:
#line 15781 "preproc.y" /* yacc.c:1648  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 55267 "preproc.c" /* yacc.c:1648  */
    break;

  case 2847:
#line 15788 "preproc.y" /* yacc.c:1648  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 55277 "preproc.c" /* yacc.c:1648  */
    break;

  case 2848:
#line 15795 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("output"); }
#line 55283 "preproc.c" /* yacc.c:1648  */
    break;

  case 2849:
#line 15796 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 55289 "preproc.c" /* yacc.c:1648  */
    break;

  case 2850:
#line 15809 "preproc.y" /* yacc.c:1648  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55298 "preproc.c" /* yacc.c:1648  */
    break;

  case 2851:
#line 15820 "preproc.y" /* yacc.c:1648  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55307 "preproc.c" /* yacc.c:1648  */
    break;

  case 2852:
#line 15831 "preproc.y" /* yacc.c:1648  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 55313 "preproc.c" /* yacc.c:1648  */
    break;

  case 2855:
#line 15839 "preproc.y" /* yacc.c:1648  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55319 "preproc.c" /* yacc.c:1648  */
    break;

  case 2856:
#line 15844 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 55325 "preproc.c" /* yacc.c:1648  */
    break;

  case 2859:
#line 15852 "preproc.y" /* yacc.c:1648  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55333 "preproc.c" /* yacc.c:1648  */
    break;

  case 2860:
#line 15858 "preproc.y" /* yacc.c:1648  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55345 "preproc.c" /* yacc.c:1648  */
    break;

  case 2861:
#line 15866 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55353 "preproc.c" /* yacc.c:1648  */
    break;

  case 2862:
#line 15871 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 55359 "preproc.c" /* yacc.c:1648  */
    break;

  case 2863:
#line 15879 "preproc.y" /* yacc.c:1648  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55365 "preproc.c" /* yacc.c:1648  */
    break;

  case 2866:
#line 15886 "preproc.y" /* yacc.c:1648  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 55371 "preproc.c" /* yacc.c:1648  */
    break;

  case 2867:
#line 15890 "preproc.y" /* yacc.c:1648  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 55377 "preproc.c" /* yacc.c:1648  */
    break;

  case 2870:
#line 15898 "preproc.y" /* yacc.c:1648  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 55385 "preproc.c" /* yacc.c:1648  */
    break;

  case 2871:
#line 15904 "preproc.y" /* yacc.c:1648  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 55397 "preproc.c" /* yacc.c:1648  */
    break;

  case 2872:
#line 15913 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55405 "preproc.c" /* yacc.c:1648  */
    break;

  case 2873:
#line 15918 "preproc.y" /* yacc.c:1648  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55418 "preproc.c" /* yacc.c:1648  */
    break;

  case 2874:
#line 15928 "preproc.y" /* yacc.c:1648  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55431 "preproc.c" /* yacc.c:1648  */
    break;

  case 2875:
#line 15938 "preproc.y" /* yacc.c:1648  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 55445 "preproc.c" /* yacc.c:1648  */
    break;

  case 2876:
#line 15949 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 55451 "preproc.c" /* yacc.c:1648  */
    break;

  case 2877:
#line 15950 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 55457 "preproc.c" /* yacc.c:1648  */
    break;

  case 2878:
#line 15951 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 55463 "preproc.c" /* yacc.c:1648  */
    break;

  case 2879:
#line 15952 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 55469 "preproc.c" /* yacc.c:1648  */
    break;

  case 2880:
#line 15953 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 55475 "preproc.c" /* yacc.c:1648  */
    break;

  case 2881:
#line 15954 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 55481 "preproc.c" /* yacc.c:1648  */
    break;

  case 2882:
#line 15955 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55487 "preproc.c" /* yacc.c:1648  */
    break;

  case 2883:
#line 15956 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 55493 "preproc.c" /* yacc.c:1648  */
    break;

  case 2884:
#line 15957 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 55499 "preproc.c" /* yacc.c:1648  */
    break;

  case 2885:
#line 15958 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 55505 "preproc.c" /* yacc.c:1648  */
    break;

  case 2886:
#line 15959 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 55511 "preproc.c" /* yacc.c:1648  */
    break;

  case 2887:
#line 15960 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 55517 "preproc.c" /* yacc.c:1648  */
    break;

  case 2888:
#line 15961 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 55523 "preproc.c" /* yacc.c:1648  */
    break;

  case 2889:
#line 15962 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 55529 "preproc.c" /* yacc.c:1648  */
    break;

  case 2890:
#line 15963 "preproc.y" /* yacc.c:1648  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 55535 "preproc.c" /* yacc.c:1648  */
    break;

  case 2891:
#line 15970 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55541 "preproc.c" /* yacc.c:1648  */
    break;

  case 2892:
#line 15971 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55547 "preproc.c" /* yacc.c:1648  */
    break;

  case 2893:
#line 15974 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("on"); }
#line 55553 "preproc.c" /* yacc.c:1648  */
    break;

  case 2894:
#line 15975 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("off"); }
#line 55559 "preproc.c" /* yacc.c:1648  */
    break;

  case 2895:
#line 15982 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55565 "preproc.c" /* yacc.c:1648  */
    break;

  case 2896:
#line 15983 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55571 "preproc.c" /* yacc.c:1648  */
    break;

  case 2897:
#line 15984 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55577 "preproc.c" /* yacc.c:1648  */
    break;

  case 2898:
#line 15991 "preproc.y" /* yacc.c:1648  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55587 "preproc.c" /* yacc.c:1648  */
    break;

  case 2899:
#line 15997 "preproc.y" /* yacc.c:1648  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 55600 "preproc.c" /* yacc.c:1648  */
    break;

  case 2900:
#line 16007 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("reference"); }
#line 55606 "preproc.c" /* yacc.c:1648  */
    break;

  case 2901:
#line 16008 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 55612 "preproc.c" /* yacc.c:1648  */
    break;

  case 2902:
#line 16015 "preproc.y" /* yacc.c:1648  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 55622 "preproc.c" /* yacc.c:1648  */
    break;

  case 2903:
#line 16021 "preproc.y" /* yacc.c:1648  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 55684 "preproc.c" /* yacc.c:1648  */
    break;

  case 2904:
#line 16085 "preproc.y" /* yacc.c:1648  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55694 "preproc.c" /* yacc.c:1648  */
    break;

  case 2905:
#line 16091 "preproc.y" /* yacc.c:1648  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55704 "preproc.c" /* yacc.c:1648  */
    break;

  case 2906:
#line 16097 "preproc.y" /* yacc.c:1648  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 55714 "preproc.c" /* yacc.c:1648  */
    break;

  case 2907:
#line 16105 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 55724 "preproc.c" /* yacc.c:1648  */
    break;

  case 2908:
#line 16111 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 55734 "preproc.c" /* yacc.c:1648  */
    break;

  case 2909:
#line 16117 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 55744 "preproc.c" /* yacc.c:1648  */
    break;

  case 2910:
#line 16123 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55754 "preproc.c" /* yacc.c:1648  */
    break;

  case 2911:
#line 16129 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 55764 "preproc.c" /* yacc.c:1648  */
    break;

  case 2912:
#line 16135 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 55774 "preproc.c" /* yacc.c:1648  */
    break;

  case 2913:
#line 16141 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 55784 "preproc.c" /* yacc.c:1648  */
    break;

  case 2914:
#line 16147 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55794 "preproc.c" /* yacc.c:1648  */
    break;

  case 2915:
#line 16153 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 55804 "preproc.c" /* yacc.c:1648  */
    break;

  case 2916:
#line 16163 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55810 "preproc.c" /* yacc.c:1648  */
    break;

  case 2917:
#line 16164 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 55816 "preproc.c" /* yacc.c:1648  */
    break;

  case 2918:
#line 16167 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("break"); }
#line 55822 "preproc.c" /* yacc.c:1648  */
    break;

  case 2919:
#line 16168 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("call"); }
#line 55828 "preproc.c" /* yacc.c:1648  */
    break;

  case 2920:
#line 16169 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 55834 "preproc.c" /* yacc.c:1648  */
    break;

  case 2921:
#line 16170 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("count"); }
#line 55840 "preproc.c" /* yacc.c:1648  */
    break;

  case 2922:
#line 16171 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 55846 "preproc.c" /* yacc.c:1648  */
    break;

  case 2923:
#line 16172 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 55852 "preproc.c" /* yacc.c:1648  */
    break;

  case 2924:
#line 16173 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("found"); }
#line 55858 "preproc.c" /* yacc.c:1648  */
    break;

  case 2925:
#line 16174 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("go"); }
#line 55864 "preproc.c" /* yacc.c:1648  */
    break;

  case 2926:
#line 16175 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("goto"); }
#line 55870 "preproc.c" /* yacc.c:1648  */
    break;

  case 2927:
#line 16176 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("identified"); }
#line 55876 "preproc.c" /* yacc.c:1648  */
    break;

  case 2928:
#line 16177 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 55882 "preproc.c" /* yacc.c:1648  */
    break;

  case 2929:
#line 16178 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 55888 "preproc.c" /* yacc.c:1648  */
    break;

  case 2930:
#line 16179 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("length"); }
#line 55894 "preproc.c" /* yacc.c:1648  */
    break;

  case 2931:
#line 16180 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 55900 "preproc.c" /* yacc.c:1648  */
    break;

  case 2932:
#line 16181 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 55906 "preproc.c" /* yacc.c:1648  */
    break;

  case 2933:
#line 16182 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 55912 "preproc.c" /* yacc.c:1648  */
    break;

  case 2934:
#line 16183 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 55918 "preproc.c" /* yacc.c:1648  */
    break;

  case 2935:
#line 16184 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("scale"); }
#line 55924 "preproc.c" /* yacc.c:1648  */
    break;

  case 2936:
#line 16185 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("section"); }
#line 55930 "preproc.c" /* yacc.c:1648  */
    break;

  case 2937:
#line 16186 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 55936 "preproc.c" /* yacc.c:1648  */
    break;

  case 2938:
#line 16187 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 55942 "preproc.c" /* yacc.c:1648  */
    break;

  case 2939:
#line 16188 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 55948 "preproc.c" /* yacc.c:1648  */
    break;

  case 2940:
#line 16189 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("stop"); }
#line 55954 "preproc.c" /* yacc.c:1648  */
    break;

  case 2941:
#line 16192 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("connect"); }
#line 55960 "preproc.c" /* yacc.c:1648  */
    break;

  case 2942:
#line 16193 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("describe"); }
#line 55966 "preproc.c" /* yacc.c:1648  */
    break;

  case 2943:
#line 16194 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 55972 "preproc.c" /* yacc.c:1648  */
    break;

  case 2944:
#line 16195 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("open"); }
#line 55978 "preproc.c" /* yacc.c:1648  */
    break;

  case 2945:
#line 16196 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("var"); }
#line 55984 "preproc.c" /* yacc.c:1648  */
    break;

  case 2946:
#line 16197 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 55990 "preproc.c" /* yacc.c:1648  */
    break;

  case 2947:
#line 16201 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("bool"); }
#line 55996 "preproc.c" /* yacc.c:1648  */
    break;

  case 2948:
#line 16202 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("long"); }
#line 56002 "preproc.c" /* yacc.c:1648  */
    break;

  case 2949:
#line 16203 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("output"); }
#line 56008 "preproc.c" /* yacc.c:1648  */
    break;

  case 2950:
#line 16204 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("short"); }
#line 56014 "preproc.c" /* yacc.c:1648  */
    break;

  case 2951:
#line 16205 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56020 "preproc.c" /* yacc.c:1648  */
    break;

  case 2952:
#line 16206 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56026 "preproc.c" /* yacc.c:1648  */
    break;

  case 2953:
#line 16207 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56032 "preproc.c" /* yacc.c:1648  */
    break;

  case 2954:
#line 16210 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56038 "preproc.c" /* yacc.c:1648  */
    break;

  case 2955:
#line 16213 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56044 "preproc.c" /* yacc.c:1648  */
    break;

  case 2956:
#line 16214 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56050 "preproc.c" /* yacc.c:1648  */
    break;

  case 2957:
#line 16215 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56056 "preproc.c" /* yacc.c:1648  */
    break;

  case 2958:
#line 16216 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56062 "preproc.c" /* yacc.c:1648  */
    break;

  case 2959:
#line 16217 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56068 "preproc.c" /* yacc.c:1648  */
    break;

  case 2960:
#line 16218 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56074 "preproc.c" /* yacc.c:1648  */
    break;

  case 2961:
#line 16219 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("char"); }
#line 56080 "preproc.c" /* yacc.c:1648  */
    break;

  case 2962:
#line 16220 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("values"); }
#line 56086 "preproc.c" /* yacc.c:1648  */
    break;

  case 2963:
#line 16233 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56092 "preproc.c" /* yacc.c:1648  */
    break;

  case 2964:
#line 16234 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56098 "preproc.c" /* yacc.c:1648  */
    break;

  case 2965:
#line 16235 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56104 "preproc.c" /* yacc.c:1648  */
    break;

  case 2966:
#line 16236 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56110 "preproc.c" /* yacc.c:1648  */
    break;

  case 2967:
#line 16237 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56116 "preproc.c" /* yacc.c:1648  */
    break;

  case 2968:
#line 16238 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("char"); }
#line 56122 "preproc.c" /* yacc.c:1648  */
    break;

  case 2969:
#line 16239 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("values"); }
#line 56128 "preproc.c" /* yacc.c:1648  */
    break;

  case 2970:
#line 16244 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56134 "preproc.c" /* yacc.c:1648  */
    break;

  case 2971:
#line 16245 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56140 "preproc.c" /* yacc.c:1648  */
    break;

  case 2972:
#line 16246 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56146 "preproc.c" /* yacc.c:1648  */
    break;

  case 2973:
#line 16247 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56152 "preproc.c" /* yacc.c:1648  */
    break;

  case 2974:
#line 16248 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56158 "preproc.c" /* yacc.c:1648  */
    break;

  case 2975:
#line 16249 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56164 "preproc.c" /* yacc.c:1648  */
    break;

  case 2976:
#line 16255 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56170 "preproc.c" /* yacc.c:1648  */
    break;

  case 2977:
#line 16256 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56176 "preproc.c" /* yacc.c:1648  */
    break;

  case 2978:
#line 16257 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("char"); }
#line 56182 "preproc.c" /* yacc.c:1648  */
    break;

  case 2979:
#line 16258 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("current"); }
#line 56188 "preproc.c" /* yacc.c:1648  */
    break;

  case 2980:
#line 16259 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("input"); }
#line 56194 "preproc.c" /* yacc.c:1648  */
    break;

  case 2981:
#line 16260 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("int"); }
#line 56200 "preproc.c" /* yacc.c:1648  */
    break;

  case 2982:
#line 16261 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("to"); }
#line 56206 "preproc.c" /* yacc.c:1648  */
    break;

  case 2983:
#line 16262 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("union"); }
#line 56212 "preproc.c" /* yacc.c:1648  */
    break;

  case 2984:
#line 16263 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("values"); }
#line 56218 "preproc.c" /* yacc.c:1648  */
    break;

  case 2985:
#line 16264 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56224 "preproc.c" /* yacc.c:1648  */
    break;

  case 2986:
#line 16265 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56230 "preproc.c" /* yacc.c:1648  */
    break;

  case 2987:
#line 16268 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56236 "preproc.c" /* yacc.c:1648  */
    break;

  case 2988:
#line 16269 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56242 "preproc.c" /* yacc.c:1648  */
    break;

  case 2989:
#line 16270 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56248 "preproc.c" /* yacc.c:1648  */
    break;

  case 2990:
#line 16271 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56254 "preproc.c" /* yacc.c:1648  */
    break;

  case 2991:
#line 16272 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56260 "preproc.c" /* yacc.c:1648  */
    break;

  case 2992:
#line 16275 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56266 "preproc.c" /* yacc.c:1648  */
    break;

  case 2993:
#line 16276 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56272 "preproc.c" /* yacc.c:1648  */
    break;

  case 2994:
#line 16277 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56278 "preproc.c" /* yacc.c:1648  */
    break;

  case 2995:
#line 16278 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56284 "preproc.c" /* yacc.c:1648  */
    break;

  case 2996:
#line 16281 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56290 "preproc.c" /* yacc.c:1648  */
    break;

  case 2997:
#line 16282 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("const"); }
#line 56296 "preproc.c" /* yacc.c:1648  */
    break;

  case 2998:
#line 16283 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56302 "preproc.c" /* yacc.c:1648  */
    break;

  case 2999:
#line 16284 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("register"); }
#line 56308 "preproc.c" /* yacc.c:1648  */
    break;

  case 3000:
#line 16285 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("static"); }
#line 56314 "preproc.c" /* yacc.c:1648  */
    break;

  case 3001:
#line 16286 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56320 "preproc.c" /* yacc.c:1648  */
    break;

  case 3002:
#line 16287 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56326 "preproc.c" /* yacc.c:1648  */
    break;

  case 3003:
#line 16304 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56332 "preproc.c" /* yacc.c:1648  */
    break;

  case 3004:
#line 16305 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56338 "preproc.c" /* yacc.c:1648  */
    break;

  case 3005:
#line 16306 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("connection"); }
#line 56344 "preproc.c" /* yacc.c:1648  */
    break;

  case 3006:
#line 16309 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("day"); }
#line 56350 "preproc.c" /* yacc.c:1648  */
    break;

  case 3007:
#line 16310 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56356 "preproc.c" /* yacc.c:1648  */
    break;

  case 3008:
#line 16311 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56362 "preproc.c" /* yacc.c:1648  */
    break;

  case 3009:
#line 16312 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("month"); }
#line 56368 "preproc.c" /* yacc.c:1648  */
    break;

  case 3010:
#line 16313 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("second"); }
#line 56374 "preproc.c" /* yacc.c:1648  */
    break;

  case 3011:
#line 16314 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("year"); }
#line 56380 "preproc.c" /* yacc.c:1648  */
    break;

  case 3014:
#line 16321 "preproc.y" /* yacc.c:1648  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 56389 "preproc.c" /* yacc.c:1648  */
    break;

  case 3015:
#line 16327 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 56395 "preproc.c" /* yacc.c:1648  */
    break;

  case 3016:
#line 16328 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56401 "preproc.c" /* yacc.c:1648  */
    break;

  case 3017:
#line 16332 "preproc.y" /* yacc.c:1648  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 56407 "preproc.c" /* yacc.c:1648  */
    break;

  case 3018:
#line 16334 "preproc.y" /* yacc.c:1648  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 56413 "preproc.c" /* yacc.c:1648  */
    break;

  case 3019:
#line 16339 "preproc.y" /* yacc.c:1648  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 56425 "preproc.c" /* yacc.c:1648  */
    break;

  case 3020:
#line 16349 "preproc.y" /* yacc.c:1648  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56438 "preproc.c" /* yacc.c:1648  */
    break;

  case 3021:
#line 16360 "preproc.y" /* yacc.c:1648  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 56447 "preproc.c" /* yacc.c:1648  */
    break;

  case 3022:
#line 16366 "preproc.y" /* yacc.c:1648  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56453 "preproc.c" /* yacc.c:1648  */
    break;

  case 3023:
#line 16367 "preproc.y" /* yacc.c:1648  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56459 "preproc.c" /* yacc.c:1648  */
    break;

  case 3024:
#line 16368 "preproc.y" /* yacc.c:1648  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 56465 "preproc.c" /* yacc.c:1648  */
    break;

  case 3025:
#line 16372 "preproc.y" /* yacc.c:1648  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 56500 "preproc.c" /* yacc.c:1648  */
    break;

  case 3026:
#line 16404 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 56506 "preproc.c" /* yacc.c:1648  */
    break;

  case 3027:
#line 16406 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 56512 "preproc.c" /* yacc.c:1648  */
    break;

  case 3028:
#line 16408 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 56518 "preproc.c" /* yacc.c:1648  */
    break;

  case 3029:
#line 16412 "preproc.y" /* yacc.c:1648  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 56532 "preproc.c" /* yacc.c:1648  */
    break;

  case 3030:
#line 16422 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56546 "preproc.c" /* yacc.c:1648  */
    break;

  case 3031:
#line 16432 "preproc.y" /* yacc.c:1648  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 56560 "preproc.c" /* yacc.c:1648  */
    break;

  case 3032:
#line 16441 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56566 "preproc.c" /* yacc.c:1648  */
    break;

  case 3033:
#line 16442 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56572 "preproc.c" /* yacc.c:1648  */
    break;

  case 3034:
#line 16445 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 56578 "preproc.c" /* yacc.c:1648  */
    break;

  case 3035:
#line 16447 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 56584 "preproc.c" /* yacc.c:1648  */
    break;

  case 3036:
#line 16448 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56590 "preproc.c" /* yacc.c:1648  */
    break;

  case 3037:
#line 16449 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56596 "preproc.c" /* yacc.c:1648  */
    break;

  case 3038:
#line 16453 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56602 "preproc.c" /* yacc.c:1648  */
    break;

  case 3039:
#line 16455 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 56608 "preproc.c" /* yacc.c:1648  */
    break;

  case 3040:
#line 16462 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56614 "preproc.c" /* yacc.c:1648  */
    break;

  case 3041:
#line 16463 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("()"); }
#line 56620 "preproc.c" /* yacc.c:1648  */
    break;

  case 3042:
#line 16465 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 56626 "preproc.c" /* yacc.c:1648  */
    break;

  case 3043:
#line 16468 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56632 "preproc.c" /* yacc.c:1648  */
    break;

  case 3044:
#line 16470 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 56638 "preproc.c" /* yacc.c:1648  */
    break;

  case 3045:
#line 16473 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56644 "preproc.c" /* yacc.c:1648  */
    break;

  case 3046:
#line 16474 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 56650 "preproc.c" /* yacc.c:1648  */
    break;

  case 3047:
#line 16477 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56656 "preproc.c" /* yacc.c:1648  */
    break;

  case 3048:
#line 16478 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 56662 "preproc.c" /* yacc.c:1648  */
    break;

  case 3049:
#line 16481 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56668 "preproc.c" /* yacc.c:1648  */
    break;

  case 3050:
#line 16482 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("("); }
#line 56674 "preproc.c" /* yacc.c:1648  */
    break;

  case 3051:
#line 16483 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup(")"); }
#line 56680 "preproc.c" /* yacc.c:1648  */
    break;

  case 3052:
#line 16484 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup(","); }
#line 56686 "preproc.c" /* yacc.c:1648  */
    break;

  case 3053:
#line 16485 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup(";"); }
#line 56692 "preproc.c" /* yacc.c:1648  */
    break;

  case 3054:
#line 16488 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56698 "preproc.c" /* yacc.c:1648  */
    break;

  case 3055:
#line 16489 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56704 "preproc.c" /* yacc.c:1648  */
    break;

  case 3056:
#line 16490 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56710 "preproc.c" /* yacc.c:1648  */
    break;

  case 3057:
#line 16491 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 56716 "preproc.c" /* yacc.c:1648  */
    break;

  case 3058:
#line 16492 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("*"); }
#line 56722 "preproc.c" /* yacc.c:1648  */
    break;

  case 3059:
#line 16493 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("+"); }
#line 56728 "preproc.c" /* yacc.c:1648  */
    break;

  case 3060:
#line 16494 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("-"); }
#line 56734 "preproc.c" /* yacc.c:1648  */
    break;

  case 3061:
#line 16495 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("/"); }
#line 56740 "preproc.c" /* yacc.c:1648  */
    break;

  case 3062:
#line 16496 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("%"); }
#line 56746 "preproc.c" /* yacc.c:1648  */
    break;

  case 3063:
#line 16497 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 56752 "preproc.c" /* yacc.c:1648  */
    break;

  case 3064:
#line 16498 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("+="); }
#line 56758 "preproc.c" /* yacc.c:1648  */
    break;

  case 3065:
#line 16499 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("&&"); }
#line 56764 "preproc.c" /* yacc.c:1648  */
    break;

  case 3066:
#line 16500 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = make_name(); }
#line 56770 "preproc.c" /* yacc.c:1648  */
    break;

  case 3067:
#line 16501 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("auto"); }
#line 56776 "preproc.c" /* yacc.c:1648  */
    break;

  case 3068:
#line 16502 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("const"); }
#line 56782 "preproc.c" /* yacc.c:1648  */
    break;

  case 3069:
#line 16503 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("--"); }
#line 56788 "preproc.c" /* yacc.c:1648  */
    break;

  case 3070:
#line 16504 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("/="); }
#line 56794 "preproc.c" /* yacc.c:1648  */
    break;

  case 3071:
#line 16505 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup(".*"); }
#line 56800 "preproc.c" /* yacc.c:1648  */
    break;

  case 3072:
#line 16506 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("=="); }
#line 56806 "preproc.c" /* yacc.c:1648  */
    break;

  case 3073:
#line 16507 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("extern"); }
#line 56812 "preproc.c" /* yacc.c:1648  */
    break;

  case 3074:
#line 16508 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("++"); }
#line 56818 "preproc.c" /* yacc.c:1648  */
    break;

  case 3075:
#line 16509 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("<<"); }
#line 56824 "preproc.c" /* yacc.c:1648  */
    break;

  case 3076:
#line 16510 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("->"); }
#line 56830 "preproc.c" /* yacc.c:1648  */
    break;

  case 3077:
#line 16511 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("->*"); }
#line 56836 "preproc.c" /* yacc.c:1648  */
    break;

  case 3078:
#line 16512 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("%="); }
#line 56842 "preproc.c" /* yacc.c:1648  */
    break;

  case 3079:
#line 16513 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("*="); }
#line 56848 "preproc.c" /* yacc.c:1648  */
    break;

  case 3080:
#line 16514 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("!="); }
#line 56854 "preproc.c" /* yacc.c:1648  */
    break;

  case 3081:
#line 16515 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("||"); }
#line 56860 "preproc.c" /* yacc.c:1648  */
    break;

  case 3082:
#line 16516 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("register"); }
#line 56866 "preproc.c" /* yacc.c:1648  */
    break;

  case 3083:
#line 16517 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup(">>"); }
#line 56872 "preproc.c" /* yacc.c:1648  */
    break;

  case 3084:
#line 16518 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("static"); }
#line 56878 "preproc.c" /* yacc.c:1648  */
    break;

  case 3085:
#line 16519 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("-="); }
#line 56884 "preproc.c" /* yacc.c:1648  */
    break;

  case 3086:
#line 16520 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 56890 "preproc.c" /* yacc.c:1648  */
    break;

  case 3087:
#line 16521 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 56896 "preproc.c" /* yacc.c:1648  */
    break;

  case 3088:
#line 16522 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("bool"); }
#line 56902 "preproc.c" /* yacc.c:1648  */
    break;

  case 3089:
#line 16523 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("enum"); }
#line 56908 "preproc.c" /* yacc.c:1648  */
    break;

  case 3090:
#line 16524 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("hour"); }
#line 56914 "preproc.c" /* yacc.c:1648  */
    break;

  case 3091:
#line 16525 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("int"); }
#line 56920 "preproc.c" /* yacc.c:1648  */
    break;

  case 3092:
#line 16526 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("long"); }
#line 56926 "preproc.c" /* yacc.c:1648  */
    break;

  case 3093:
#line 16527 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("minute"); }
#line 56932 "preproc.c" /* yacc.c:1648  */
    break;

  case 3094:
#line 16528 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("month"); }
#line 56938 "preproc.c" /* yacc.c:1648  */
    break;

  case 3095:
#line 16529 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("second"); }
#line 56944 "preproc.c" /* yacc.c:1648  */
    break;

  case 3096:
#line 16530 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("short"); }
#line 56950 "preproc.c" /* yacc.c:1648  */
    break;

  case 3097:
#line 16531 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("signed"); }
#line 56956 "preproc.c" /* yacc.c:1648  */
    break;

  case 3098:
#line 16532 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("struct"); }
#line 56962 "preproc.c" /* yacc.c:1648  */
    break;

  case 3099:
#line 16533 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 56968 "preproc.c" /* yacc.c:1648  */
    break;

  case 3100:
#line 16534 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("year"); }
#line 56974 "preproc.c" /* yacc.c:1648  */
    break;

  case 3101:
#line 16535 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("char"); }
#line 56980 "preproc.c" /* yacc.c:1648  */
    break;

  case 3102:
#line 16536 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("float"); }
#line 56986 "preproc.c" /* yacc.c:1648  */
    break;

  case 3103:
#line 16537 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("to"); }
#line 56992 "preproc.c" /* yacc.c:1648  */
    break;

  case 3104:
#line 16538 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("union"); }
#line 56998 "preproc.c" /* yacc.c:1648  */
    break;

  case 3105:
#line 16539 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 57004 "preproc.c" /* yacc.c:1648  */
    break;

  case 3106:
#line 16540 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("["); }
#line 57010 "preproc.c" /* yacc.c:1648  */
    break;

  case 3107:
#line 16541 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("]"); }
#line 57016 "preproc.c" /* yacc.c:1648  */
    break;

  case 3108:
#line 16542 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("="); }
#line 57022 "preproc.c" /* yacc.c:1648  */
    break;

  case 3109:
#line 16543 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup(":"); }
#line 57028 "preproc.c" /* yacc.c:1648  */
    break;

  case 3110:
#line 16546 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57034 "preproc.c" /* yacc.c:1648  */
    break;

  case 3111:
#line 16547 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57040 "preproc.c" /* yacc.c:1648  */
    break;

  case 3112:
#line 16548 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("all"); }
#line 57046 "preproc.c" /* yacc.c:1648  */
    break;

  case 3113:
#line 16549 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = mm_strdup("all"); }
#line 57052 "preproc.c" /* yacc.c:1648  */
    break;

  case 3114:
#line 16552 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57058 "preproc.c" /* yacc.c:1648  */
    break;

  case 3115:
#line 16553 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 57064 "preproc.c" /* yacc.c:1648  */
    break;

  case 3116:
#line 16554 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 57070 "preproc.c" /* yacc.c:1648  */
    break;

  case 3117:
#line 16555 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 57076 "preproc.c" /* yacc.c:1648  */
    break;

  case 3118:
#line 16556 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 57082 "preproc.c" /* yacc.c:1648  */
    break;

  case 3119:
#line 16557 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 57088 "preproc.c" /* yacc.c:1648  */
    break;

  case 3120:
#line 16558 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 57094 "preproc.c" /* yacc.c:1648  */
    break;

  case 3121:
#line 16559 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57100 "preproc.c" /* yacc.c:1648  */
    break;

  case 3122:
#line 16560 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57106 "preproc.c" /* yacc.c:1648  */
    break;

  case 3123:
#line 16561 "preproc.y" /* yacc.c:1648  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 57116 "preproc.c" /* yacc.c:1648  */
    break;

  case 3124:
#line 16568 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57122 "preproc.c" /* yacc.c:1648  */
    break;

  case 3125:
#line 16569 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57128 "preproc.c" /* yacc.c:1648  */
    break;

  case 3126:
#line 16570 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57134 "preproc.c" /* yacc.c:1648  */
    break;

  case 3127:
#line 16571 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57140 "preproc.c" /* yacc.c:1648  */
    break;

  case 3128:
#line 16574 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57146 "preproc.c" /* yacc.c:1648  */
    break;

  case 3129:
#line 16575 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57152 "preproc.c" /* yacc.c:1648  */
    break;

  case 3130:
#line 16578 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57158 "preproc.c" /* yacc.c:1648  */
    break;

  case 3131:
#line 16579 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57164 "preproc.c" /* yacc.c:1648  */
    break;

  case 3132:
#line 16582 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57170 "preproc.c" /* yacc.c:1648  */
    break;

  case 3133:
#line 16584 "preproc.y" /* yacc.c:1648  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 57183 "preproc.c" /* yacc.c:1648  */
    break;

  case 3134:
#line 16594 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = EMPTY; }
#line 57189 "preproc.c" /* yacc.c:1648  */
    break;

  case 3135:
#line 16595 "preproc.y" /* yacc.c:1648  */
    { (yyval.str) = (yyvsp[0].str); }
#line 57195 "preproc.c" /* yacc.c:1648  */
    break;


#line 57199 "preproc.c" /* yacc.c:1648  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 16598 "preproc.y" /* yacc.c:1907  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
